#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 5020
#define LARGE_STATE_COUNT 1963
#define SYMBOL_COUNT 337
#define ALIAS_COUNT 3
#define TOKEN_COUNT 168
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 40
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 223

enum {
  sym_identifier = 1,
  anon_sym_LPAREN = 2,
  anon_sym_RPAREN = 3,
  anon_sym_PLUS = 4,
  anon_sym_DASH = 5,
  anon_sym_BANG = 6,
  anon_sym_TILDE = 7,
  anon_sym_CARET = 8,
  anon_sym_STAR = 9,
  anon_sym_AMP = 10,
  anon_sym_LT_DASH = 11,
  anon_sym_SLASH = 12,
  anon_sym_PERCENT = 13,
  anon_sym_LT_LT = 14,
  anon_sym_GT_GT = 15,
  anon_sym_GT_GT_GT = 16,
  anon_sym_AMP_CARET = 17,
  anon_sym_PIPE = 18,
  anon_sym_EQ_EQ = 19,
  anon_sym_BANG_EQ = 20,
  anon_sym_LT = 21,
  anon_sym_LT_EQ = 22,
  anon_sym_GT = 23,
  anon_sym_GT_EQ = 24,
  anon_sym_in = 25,
  anon_sym_BANGin = 26,
  anon_sym_AMP_AMP = 27,
  anon_sym_PIPE_PIPE = 28,
  anon_sym_as = 29,
  anon_sym_COMMA = 30,
  anon_sym_DOLLAR = 31,
  anon_sym_QMARK = 32,
  anon_sym_or = 33,
  sym_escape_sequence = 34,
  sym_none = 35,
  sym_true = 36,
  sym_false = 37,
  anon_sym_DOT_DOT_DOT = 38,
  anon_sym_LBRACE = 39,
  anon_sym_LF = 40,
  anon_sym_CR = 41,
  anon_sym_CR_LF = 42,
  anon_sym_RBRACE = 43,
  anon_sym_COLON = 44,
  anon_sym_LBRACK = 45,
  anon_sym_RBRACK = 46,
  anon_sym_map_LBRACK = 47,
  anon_sym_chan = 48,
  anon_sym_shared = 49,
  anon_sym_thread = 50,
  sym_int_literal = 51,
  sym_float_literal = 52,
  sym_rune_literal = 53,
  anon_sym_DOLLAR2 = 54,
  aux_sym_format_specifier_token1 = 55,
  aux_sym_format_specifier_token2 = 56,
  anon_sym_DOT = 57,
  anon_sym_array = 58,
  anon_sym_string = 59,
  anon_sym_char = 60,
  anon_sym_sql = 61,
  sym_immediate_identifier = 62,
  sym__old_identifier = 63,
  anon_sym_mut = 64,
  anon_sym_static = 65,
  anon_sym_C = 66,
  anon_sym_JS = 67,
  anon_sym_DOT2 = 68,
  anon_sym_LT2 = 69,
  anon_sym_GT2 = 70,
  anon_sym_voidptr = 71,
  anon_sym_byteptr = 72,
  anon_sym_charptr = 73,
  anon_sym_i8 = 74,
  anon_sym_i16 = 75,
  anon_sym_i32 = 76,
  anon_sym_int = 77,
  anon_sym_i64 = 78,
  anon_sym_byte = 79,
  anon_sym_u8 = 80,
  anon_sym_u16 = 81,
  anon_sym_u32 = 82,
  anon_sym_u64 = 83,
  anon_sym_f32 = 84,
  anon_sym_f64 = 85,
  anon_sym_bool = 86,
  anon_sym_rune = 87,
  anon_sym_map = 88,
  anon_sym_mapnode = 89,
  anon_sym_size_t = 90,
  anon_sym_usize = 91,
  anon_sym_isize = 92,
  anon_sym_float_literal = 93,
  anon_sym_int_literal = 94,
  anon_sym_IError = 95,
  sym_type_placeholder = 96,
  anon_sym_AT = 97,
  aux_sym_pseudo_comptime_identifier_token1 = 98,
  sym_type_identifier = 99,
  anon_sym_PLUS_PLUS = 100,
  anon_sym_DASH_DASH = 101,
  anon_sym_COLON_EQ = 102,
  anon_sym_STAR_EQ = 103,
  anon_sym_SLASH_EQ = 104,
  anon_sym_PERCENT_EQ = 105,
  anon_sym_LT_LT_EQ = 106,
  anon_sym_GT_GT_EQ = 107,
  anon_sym_GT_GT_GT_EQ = 108,
  anon_sym_AMP_EQ = 109,
  anon_sym_AMP_CARET_EQ = 110,
  anon_sym_PLUS_EQ = 111,
  anon_sym_DASH_EQ = 112,
  anon_sym_PIPE_EQ = 113,
  anon_sym_CARET_EQ = 114,
  anon_sym_EQ = 115,
  anon_sym_assert = 116,
  anon_sym_defer = 117,
  anon_sym_unsafe = 118,
  anon_sym_pub = 119,
  anon_sym_fn = 120,
  anon_sym___global = 121,
  anon_sym_const = 122,
  anon_sym_asm = 123,
  aux_sym__content_block_token1 = 124,
  anon_sym_break = 125,
  anon_sym_continue = 126,
  anon_sym_return = 127,
  anon_sym_type = 128,
  anon_sym_go = 129,
  anon_sym_spawn = 130,
  anon_sym_goto = 131,
  anon_sym_for = 132,
  anon_sym_DOLLARfor = 133,
  anon_sym_DOT_DOT = 134,
  anon_sym_SEMI = 135,
  anon_sym_DOLLARif = 136,
  anon_sym_DOLLARelse = 137,
  anon_sym_if = 138,
  anon_sym_else = 139,
  anon_sym_is = 140,
  anon_sym_BANGis = 141,
  anon_sym_struct = 142,
  anon_sym_union = 143,
  anon_sym_COLON2 = 144,
  anon_sym_enum = 145,
  anon_sym_interface = 146,
  anon_sym_POUND = 147,
  aux_sym_hash_statement_token1 = 148,
  anon_sym_module = 149,
  anon_sym_ = 150,
  anon_sym_import = 151,
  sym_import_path = 152,
  anon_sym_LBRACE2 = 153,
  anon_sym_match = 154,
  anon_sym_select = 155,
  anon_sym_lock = 156,
  anon_sym_rlock = 157,
  sym__automatic_separator = 158,
  sym__braced_interpolation_opening = 159,
  sym__unbraced_interpolation_opening = 160,
  sym__interpolation_closing = 161,
  sym__c_string_opening = 162,
  sym__raw_string_opening = 163,
  sym__string_opening = 164,
  sym__string_content = 165,
  sym__string_closing = 166,
  sym__comment = 167,
  sym_source_file = 168,
  sym__expression = 169,
  sym_parenthesized_expression = 170,
  sym_unary_expression = 171,
  sym_binary_expression = 172,
  sym_as_type_cast_expression = 173,
  sym_type_cast_expression = 174,
  sym_call_expression = 175,
  sym_special_argument_list = 176,
  sym_special_call_expression = 177,
  sym_comptime_identifier = 178,
  sym_comptime_selector_expression = 179,
  sym_option_propagator = 180,
  sym_or_block = 181,
  sym__expression_with_blocks = 182,
  sym__single_line_expression = 183,
  sym_comment = 184,
  sym_spread_operator = 185,
  sym_type_initializer = 186,
  sym_literal_value = 187,
  sym_element = 188,
  sym_keyed_element = 189,
  sym__element_key = 190,
  sym_map = 191,
  sym_array = 192,
  sym_fixed_array = 193,
  sym_fixed_array_type = 194,
  sym_array_type = 195,
  sym_variadic_type = 196,
  sym_pointer_type = 197,
  sym_map_type = 198,
  sym_channel_type = 199,
  sym_shared_type = 200,
  sym_thread_type = 201,
  sym_c_string_literal = 202,
  sym_raw_string_literal = 203,
  sym_interpreted_string_literal = 204,
  sym_string_interpolation = 205,
  sym_format_specifier = 206,
  sym__reserved_identifier = 207,
  sym__mutable_prefix = 208,
  sym_mutable_identifier = 209,
  sym__mutable_expression_2 = 210,
  sym_mutable_expression = 211,
  sym_binded_identifier = 212,
  sym_identifier_list = 213,
  sym_expression_list = 214,
  sym__expression_list_repeat1 = 215,
  sym_parameter_declaration = 216,
  sym_parameter_list = 217,
  sym_empty_literal_value = 218,
  sym_argument_list = 219,
  sym_option_type = 220,
  sym_result_type = 221,
  sym_multi_return_type = 222,
  sym__simple_type = 223,
  sym_type_parameters = 224,
  sym_builtin_type = 225,
  sym__binded_type = 226,
  sym_generic_type = 227,
  sym_qualified_type = 228,
  sym_pseudo_comptime_identifier = 229,
  aux_sym__statement_list = 230,
  sym__statement = 231,
  sym__simple_statement = 232,
  sym_inc_statement = 233,
  sym_dec_statement = 234,
  sym_send_statement = 235,
  sym_short_var_declaration = 236,
  sym_assignment_statement = 237,
  sym_assert_statement = 238,
  sym_block = 239,
  sym_defer_statement = 240,
  sym_unsafe_expression = 241,
  sym_overloadable_operator = 242,
  sym_exposed_variables_list = 243,
  sym_function_declaration = 244,
  sym_function_type = 245,
  sym_type_only_parameter_list = 246,
  sym_type_parameter_declaration = 247,
  sym_fn_literal = 248,
  sym_global_var_declaration = 249,
  sym__global_var_spec = 250,
  sym_global_var_type_initializer = 251,
  sym_const_declaration = 252,
  sym_const_spec = 253,
  sym_asm_statement = 254,
  sym_sql_expression = 255,
  sym__content_block = 256,
  sym_break_statement = 257,
  sym_continue_statement = 258,
  sym_return_statement = 259,
  sym_type_declaration = 260,
  sym_sum_type_list = 261,
  sym_go_statement = 262,
  sym_spawn_statement = 263,
  sym_goto_statement = 264,
  sym_labeled_statement = 265,
  sym_empty_labeled_statement = 266,
  sym_for_statement = 267,
  sym_comptime_for_statement = 268,
  sym_for_in_operator = 269,
  sym__definite_range = 270,
  sym__range = 271,
  sym_selector_expression = 272,
  sym_index_expression = 273,
  sym_slice_expression = 274,
  sym_cstyle_for_clause = 275,
  sym_comptime_if_expression = 276,
  sym_if_expression = 277,
  sym_is_expression = 278,
  sym_attribute_spec = 279,
  sym_attribute_declaration = 280,
  sym_attribute_list = 281,
  sym_struct_declaration = 282,
  sym_struct_field_declaration_list = 283,
  sym_struct_field_scope = 284,
  sym_struct_field_declaration = 285,
  sym__binded_struct_declaration = 286,
  sym__binded_struct_field_declaration_list = 287,
  sym__binded_struct_field_declaration = 288,
  sym_enum_declaration = 289,
  sym_enum_member_declaration_list = 290,
  sym_enum_member = 291,
  sym_type_selector_expression = 292,
  sym_interface_declaration = 293,
  sym_interface_spec_list = 294,
  sym_interface_field_scope = 295,
  sym_interface_spec = 296,
  sym_hash_statement = 297,
  sym_module_clause = 298,
  sym_import_declaration = 299,
  sym_import_symbols = 300,
  sym_import_symbols_list = 301,
  sym_import_alias = 302,
  sym_match_expression = 303,
  sym_case_list = 304,
  sym_expression_case = 305,
  sym_default_case = 306,
  sym_select_expression = 307,
  sym_select_branch = 308,
  sym_select_default_branch = 309,
  sym_lock_expression = 310,
  aux_sym_source_file_repeat1 = 311,
  aux_sym_literal_value_repeat1 = 312,
  aux_sym_literal_value_repeat2 = 313,
  aux_sym_map_repeat1 = 314,
  aux_sym__non_empty_array_repeat1 = 315,
  aux_sym_c_string_literal_repeat1 = 316,
  aux_sym_raw_string_literal_repeat1 = 317,
  aux_sym_identifier_list_repeat1 = 318,
  aux_sym_expression_list_repeat1 = 319,
  aux_sym_parameter_list_repeat1 = 320,
  aux_sym_argument_list_repeat1 = 321,
  aux_sym_multi_return_type_repeat1 = 322,
  aux_sym_type_only_parameter_list_repeat1 = 323,
  aux_sym_global_var_declaration_repeat1 = 324,
  aux_sym_const_declaration_repeat1 = 325,
  aux_sym_sum_type_list_repeat1 = 326,
  aux_sym_attribute_declaration_repeat1 = 327,
  aux_sym_attribute_list_repeat1 = 328,
  aux_sym_struct_field_declaration_list_repeat1 = 329,
  aux_sym__binded_struct_field_declaration_list_repeat1 = 330,
  aux_sym_enum_member_declaration_list_repeat1 = 331,
  aux_sym_interface_spec_list_repeat1 = 332,
  aux_sym_import_symbols_list_repeat1 = 333,
  aux_sym_match_expression_repeat1 = 334,
  aux_sym_case_list_repeat1 = 335,
  aux_sym_select_expression_repeat1 = 336,
  alias_sym_binded_type = 337,
  alias_sym_global_var_spec = 338,
  alias_sym_label_name = 339,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_CARET] = "^",
  [anon_sym_STAR] = "*",
  [anon_sym_AMP] = "&",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_PIPE] = "|",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_in] = "in",
  [anon_sym_BANGin] = "!in",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_as] = "as",
  [anon_sym_COMMA] = ",",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_QMARK] = "\?",
  [anon_sym_or] = "or",
  [sym_escape_sequence] = "escape_sequence",
  [sym_none] = "none",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_LBRACE] = "{",
  [anon_sym_LF] = "\n",
  [anon_sym_CR] = "\r",
  [anon_sym_CR_LF] = "\r\n",
  [anon_sym_RBRACE] = "}",
  [anon_sym_COLON] = ":",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_map_LBRACK] = "map[",
  [anon_sym_chan] = "chan",
  [anon_sym_shared] = "shared",
  [anon_sym_thread] = "thread",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_rune_literal] = "rune_literal",
  [anon_sym_DOLLAR2] = "$",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [aux_sym_format_specifier_token2] = "format_specifier_token2",
  [anon_sym_DOT] = ".",
  [anon_sym_array] = "array",
  [anon_sym_string] = "string",
  [anon_sym_char] = "char",
  [anon_sym_sql] = "sql",
  [sym_immediate_identifier] = "module_identifier",
  [sym__old_identifier] = "field_identifier",
  [anon_sym_mut] = "mut",
  [anon_sym_static] = "static",
  [anon_sym_C] = "C",
  [anon_sym_JS] = "JS",
  [anon_sym_DOT2] = ".",
  [anon_sym_LT2] = "<",
  [anon_sym_GT2] = ">",
  [anon_sym_voidptr] = "voidptr",
  [anon_sym_byteptr] = "byteptr",
  [anon_sym_charptr] = "charptr",
  [anon_sym_i8] = "i8",
  [anon_sym_i16] = "i16",
  [anon_sym_i32] = "i32",
  [anon_sym_int] = "int",
  [anon_sym_i64] = "i64",
  [anon_sym_byte] = "byte",
  [anon_sym_u8] = "u8",
  [anon_sym_u16] = "u16",
  [anon_sym_u32] = "u32",
  [anon_sym_u64] = "u64",
  [anon_sym_f32] = "f32",
  [anon_sym_f64] = "f64",
  [anon_sym_bool] = "bool",
  [anon_sym_rune] = "rune",
  [anon_sym_map] = "map",
  [anon_sym_mapnode] = "mapnode",
  [anon_sym_size_t] = "size_t",
  [anon_sym_usize] = "usize",
  [anon_sym_isize] = "isize",
  [anon_sym_float_literal] = "float_literal",
  [anon_sym_int_literal] = "int_literal",
  [anon_sym_IError] = "IError",
  [sym_type_placeholder] = "type_placeholder",
  [anon_sym_AT] = "@",
  [aux_sym_pseudo_comptime_identifier_token1] = "identifier",
  [sym_type_identifier] = "type_identifier",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_EQ] = "=",
  [anon_sym_assert] = "assert",
  [anon_sym_defer] = "defer",
  [anon_sym_unsafe] = "unsafe",
  [anon_sym_pub] = "pub",
  [anon_sym_fn] = "fn",
  [anon_sym___global] = "__global",
  [anon_sym_const] = "const",
  [anon_sym_asm] = "asm",
  [aux_sym__content_block_token1] = "_content_block_token1",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_type] = "type",
  [anon_sym_go] = "go",
  [anon_sym_spawn] = "spawn",
  [anon_sym_goto] = "goto",
  [anon_sym_for] = "for",
  [anon_sym_DOLLARfor] = "$for",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_SEMI] = ";",
  [anon_sym_DOLLARif] = "$if",
  [anon_sym_DOLLARelse] = "$else",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_is] = "is",
  [anon_sym_BANGis] = "!is",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON2] = ":",
  [anon_sym_enum] = "enum",
  [anon_sym_interface] = "interface",
  [anon_sym_POUND] = "#",
  [aux_sym_hash_statement_token1] = "hash_statement_token1",
  [anon_sym_module] = "module",
  [anon_sym_] = " ",
  [anon_sym_import] = "import",
  [sym_import_path] = "import_path",
  [anon_sym_LBRACE2] = "{",
  [anon_sym_match] = "match",
  [anon_sym_select] = "select",
  [anon_sym_lock] = "lock",
  [anon_sym_rlock] = "rlock",
  [sym__automatic_separator] = "_automatic_separator",
  [sym__braced_interpolation_opening] = "_braced_interpolation_opening",
  [sym__unbraced_interpolation_opening] = "_unbraced_interpolation_opening",
  [sym__interpolation_closing] = "_interpolation_closing",
  [sym__c_string_opening] = "_c_string_opening",
  [sym__raw_string_opening] = "_raw_string_opening",
  [sym__string_opening] = "_string_opening",
  [sym__string_content] = "_string_content",
  [sym__string_closing] = "_string_closing",
  [sym__comment] = "_comment",
  [sym_source_file] = "source_file",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_as_type_cast_expression] = "as_type_cast_expression",
  [sym_type_cast_expression] = "type_cast_expression",
  [sym_call_expression] = "call_expression",
  [sym_special_argument_list] = "special_argument_list",
  [sym_special_call_expression] = "special_call_expression",
  [sym_comptime_identifier] = "comptime_identifier",
  [sym_comptime_selector_expression] = "comptime_selector_expression",
  [sym_option_propagator] = "option_propagator",
  [sym_or_block] = "or_block",
  [sym__expression_with_blocks] = "_expression_with_blocks",
  [sym__single_line_expression] = "_single_line_expression",
  [sym_comment] = "comment",
  [sym_spread_operator] = "spread_operator",
  [sym_type_initializer] = "type_initializer",
  [sym_literal_value] = "literal_value",
  [sym_element] = "element",
  [sym_keyed_element] = "keyed_element",
  [sym__element_key] = "_element_key",
  [sym_map] = "map",
  [sym_array] = "array",
  [sym_fixed_array] = "fixed_array",
  [sym_fixed_array_type] = "fixed_array_type",
  [sym_array_type] = "array_type",
  [sym_variadic_type] = "variadic_type",
  [sym_pointer_type] = "pointer_type",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_shared_type] = "shared_type",
  [sym_thread_type] = "thread_type",
  [sym_c_string_literal] = "c_string_literal",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [sym_string_interpolation] = "string_interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym__reserved_identifier] = "_reserved_identifier",
  [sym__mutable_prefix] = "_mutable_prefix",
  [sym_mutable_identifier] = "mutable_identifier",
  [sym__mutable_expression_2] = "mutable_expression",
  [sym_mutable_expression] = "mutable_expression",
  [sym_binded_identifier] = "binded_identifier",
  [sym_identifier_list] = "identifier_list",
  [sym_expression_list] = "expression_list",
  [sym__expression_list_repeat1] = "expression_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_empty_literal_value] = "empty_literal_value",
  [sym_argument_list] = "argument_list",
  [sym_option_type] = "option_type",
  [sym_result_type] = "result_type",
  [sym_multi_return_type] = "multi_return_type",
  [sym__simple_type] = "_simple_type",
  [sym_type_parameters] = "type_parameters",
  [sym_builtin_type] = "builtin_type",
  [sym__binded_type] = "_binded_type",
  [sym_generic_type] = "generic_type",
  [sym_qualified_type] = "qualified_type",
  [sym_pseudo_comptime_identifier] = "pseudo_comptime_identifier",
  [aux_sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_send_statement] = "send_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_assignment_statement] = "assignment_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_block] = "block",
  [sym_defer_statement] = "defer_statement",
  [sym_unsafe_expression] = "unsafe_expression",
  [sym_overloadable_operator] = "overloadable_operator",
  [sym_exposed_variables_list] = "exposed_variables_list",
  [sym_function_declaration] = "function_declaration",
  [sym_function_type] = "function_type",
  [sym_type_only_parameter_list] = "type_only_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_fn_literal] = "fn_literal",
  [sym_global_var_declaration] = "global_var_declaration",
  [sym__global_var_spec] = "_global_var_spec",
  [sym_global_var_type_initializer] = "global_var_type_initializer",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_asm_statement] = "asm_statement",
  [sym_sql_expression] = "sql_expression",
  [sym__content_block] = "_content_block",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_return_statement] = "return_statement",
  [sym_type_declaration] = "type_declaration",
  [sym_sum_type_list] = "type_list",
  [sym_go_statement] = "go_statement",
  [sym_spawn_statement] = "spawn_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_for_statement] = "for_statement",
  [sym_comptime_for_statement] = "comptime_for_statement",
  [sym_for_in_operator] = "for_in_operator",
  [sym__definite_range] = "range",
  [sym__range] = "_range",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_cstyle_for_clause] = "cstyle_for_clause",
  [sym_comptime_if_expression] = "comptime_if_expression",
  [sym_if_expression] = "if_expression",
  [sym_is_expression] = "is_expression",
  [sym_attribute_spec] = "attribute_spec",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_attribute_list] = "attribute_list",
  [sym_struct_declaration] = "struct_declaration",
  [sym_struct_field_declaration_list] = "struct_field_declaration_list",
  [sym_struct_field_scope] = "struct_field_scope",
  [sym_struct_field_declaration] = "struct_field_declaration",
  [sym__binded_struct_declaration] = "struct_declaration",
  [sym__binded_struct_field_declaration_list] = "struct_field_declaration_list",
  [sym__binded_struct_field_declaration] = "struct_field_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_member_declaration_list] = "enum_member_declaration_list",
  [sym_enum_member] = "enum_member",
  [sym_type_selector_expression] = "type_selector_expression",
  [sym_interface_declaration] = "interface_declaration",
  [sym_interface_spec_list] = "interface_spec_list",
  [sym_interface_field_scope] = "interface_field_scope",
  [sym_interface_spec] = "interface_spec",
  [sym_hash_statement] = "hash_statement",
  [sym_module_clause] = "module_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_symbols] = "import_symbols",
  [sym_import_symbols_list] = "import_symbols_list",
  [sym_import_alias] = "import_alias",
  [sym_match_expression] = "match_expression",
  [sym_case_list] = "case_list",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_select_expression] = "select_expression",
  [sym_select_branch] = "select_branch",
  [sym_select_default_branch] = "select_default_branch",
  [sym_lock_expression] = "lock_expression",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_literal_value_repeat2] = "literal_value_repeat2",
  [aux_sym_map_repeat1] = "map_repeat1",
  [aux_sym__non_empty_array_repeat1] = "_non_empty_array_repeat1",
  [aux_sym_c_string_literal_repeat1] = "c_string_literal_repeat1",
  [aux_sym_raw_string_literal_repeat1] = "raw_string_literal_repeat1",
  [aux_sym_identifier_list_repeat1] = "identifier_list_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_multi_return_type_repeat1] = "multi_return_type_repeat1",
  [aux_sym_type_only_parameter_list_repeat1] = "type_only_parameter_list_repeat1",
  [aux_sym_global_var_declaration_repeat1] = "global_var_declaration_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_sum_type_list_repeat1] = "sum_type_list_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_struct_field_declaration_list_repeat1] = "struct_field_declaration_list_repeat1",
  [aux_sym__binded_struct_field_declaration_list_repeat1] = "_binded_struct_field_declaration_list_repeat1",
  [aux_sym_enum_member_declaration_list_repeat1] = "enum_member_declaration_list_repeat1",
  [aux_sym_interface_spec_list_repeat1] = "interface_spec_list_repeat1",
  [aux_sym_import_symbols_list_repeat1] = "import_symbols_list_repeat1",
  [aux_sym_match_expression_repeat1] = "match_expression_repeat1",
  [aux_sym_case_list_repeat1] = "case_list_repeat1",
  [aux_sym_select_expression_repeat1] = "select_expression_repeat1",
  [alias_sym_binded_type] = "binded_type",
  [alias_sym_global_var_spec] = "global_var_spec",
  [alias_sym_label_name] = "label_name",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_BANGin] = anon_sym_BANGin,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_or] = anon_sym_or,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_none] = sym_none,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_CR] = anon_sym_CR,
  [anon_sym_CR_LF] = anon_sym_CR_LF,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_map_LBRACK] = anon_sym_map_LBRACK,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_shared] = anon_sym_shared,
  [anon_sym_thread] = anon_sym_thread,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_rune_literal] = sym_rune_literal,
  [anon_sym_DOLLAR2] = anon_sym_DOLLAR,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [aux_sym_format_specifier_token2] = aux_sym_format_specifier_token2,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_array] = anon_sym_array,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_char] = anon_sym_char,
  [anon_sym_sql] = anon_sym_sql,
  [sym_immediate_identifier] = sym_immediate_identifier,
  [sym__old_identifier] = sym__old_identifier,
  [anon_sym_mut] = anon_sym_mut,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_C] = anon_sym_C,
  [anon_sym_JS] = anon_sym_JS,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_LT2] = anon_sym_LT,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_voidptr] = anon_sym_voidptr,
  [anon_sym_byteptr] = anon_sym_byteptr,
  [anon_sym_charptr] = anon_sym_charptr,
  [anon_sym_i8] = anon_sym_i8,
  [anon_sym_i16] = anon_sym_i16,
  [anon_sym_i32] = anon_sym_i32,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_i64] = anon_sym_i64,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_u8] = anon_sym_u8,
  [anon_sym_u16] = anon_sym_u16,
  [anon_sym_u32] = anon_sym_u32,
  [anon_sym_u64] = anon_sym_u64,
  [anon_sym_f32] = anon_sym_f32,
  [anon_sym_f64] = anon_sym_f64,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_rune] = anon_sym_rune,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_mapnode] = anon_sym_mapnode,
  [anon_sym_size_t] = anon_sym_size_t,
  [anon_sym_usize] = anon_sym_usize,
  [anon_sym_isize] = anon_sym_isize,
  [anon_sym_float_literal] = anon_sym_float_literal,
  [anon_sym_int_literal] = anon_sym_int_literal,
  [anon_sym_IError] = anon_sym_IError,
  [sym_type_placeholder] = sym_type_placeholder,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_pseudo_comptime_identifier_token1] = sym_identifier,
  [sym_type_identifier] = sym_type_identifier,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_unsafe] = anon_sym_unsafe,
  [anon_sym_pub] = anon_sym_pub,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym___global] = anon_sym___global,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_asm] = anon_sym_asm,
  [aux_sym__content_block_token1] = aux_sym__content_block_token1,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_spawn] = anon_sym_spawn,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_DOLLARfor] = anon_sym_DOLLARfor,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_DOLLARif] = anon_sym_DOLLARif,
  [anon_sym_DOLLARelse] = anon_sym_DOLLARelse,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_BANGis] = anon_sym_BANGis,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_POUND] = anon_sym_POUND,
  [aux_sym_hash_statement_token1] = aux_sym_hash_statement_token1,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_] = anon_sym_,
  [anon_sym_import] = anon_sym_import,
  [sym_import_path] = sym_import_path,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_lock] = anon_sym_lock,
  [anon_sym_rlock] = anon_sym_rlock,
  [sym__automatic_separator] = sym__automatic_separator,
  [sym__braced_interpolation_opening] = sym__braced_interpolation_opening,
  [sym__unbraced_interpolation_opening] = sym__unbraced_interpolation_opening,
  [sym__interpolation_closing] = sym__interpolation_closing,
  [sym__c_string_opening] = sym__c_string_opening,
  [sym__raw_string_opening] = sym__raw_string_opening,
  [sym__string_opening] = sym__string_opening,
  [sym__string_content] = sym__string_content,
  [sym__string_closing] = sym__string_closing,
  [sym__comment] = sym__comment,
  [sym_source_file] = sym_source_file,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_as_type_cast_expression] = sym_as_type_cast_expression,
  [sym_type_cast_expression] = sym_type_cast_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_special_argument_list] = sym_special_argument_list,
  [sym_special_call_expression] = sym_special_call_expression,
  [sym_comptime_identifier] = sym_comptime_identifier,
  [sym_comptime_selector_expression] = sym_comptime_selector_expression,
  [sym_option_propagator] = sym_option_propagator,
  [sym_or_block] = sym_or_block,
  [sym__expression_with_blocks] = sym__expression_with_blocks,
  [sym__single_line_expression] = sym__single_line_expression,
  [sym_comment] = sym_comment,
  [sym_spread_operator] = sym_spread_operator,
  [sym_type_initializer] = sym_type_initializer,
  [sym_literal_value] = sym_literal_value,
  [sym_element] = sym_element,
  [sym_keyed_element] = sym_keyed_element,
  [sym__element_key] = sym__element_key,
  [sym_map] = sym_map,
  [sym_array] = sym_array,
  [sym_fixed_array] = sym_fixed_array,
  [sym_fixed_array_type] = sym_fixed_array_type,
  [sym_array_type] = sym_array_type,
  [sym_variadic_type] = sym_variadic_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_shared_type] = sym_shared_type,
  [sym_thread_type] = sym_thread_type,
  [sym_c_string_literal] = sym_c_string_literal,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [sym_string_interpolation] = sym_string_interpolation,
  [sym_format_specifier] = sym_format_specifier,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [sym__mutable_prefix] = sym__mutable_prefix,
  [sym_mutable_identifier] = sym_mutable_identifier,
  [sym__mutable_expression_2] = sym_mutable_expression,
  [sym_mutable_expression] = sym_mutable_expression,
  [sym_binded_identifier] = sym_binded_identifier,
  [sym_identifier_list] = sym_identifier_list,
  [sym_expression_list] = sym_expression_list,
  [sym__expression_list_repeat1] = sym_expression_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_parameter_list] = sym_parameter_list,
  [sym_empty_literal_value] = sym_empty_literal_value,
  [sym_argument_list] = sym_argument_list,
  [sym_option_type] = sym_option_type,
  [sym_result_type] = sym_result_type,
  [sym_multi_return_type] = sym_multi_return_type,
  [sym__simple_type] = sym__simple_type,
  [sym_type_parameters] = sym_type_parameters,
  [sym_builtin_type] = sym_builtin_type,
  [sym__binded_type] = sym__binded_type,
  [sym_generic_type] = sym_generic_type,
  [sym_qualified_type] = sym_qualified_type,
  [sym_pseudo_comptime_identifier] = sym_pseudo_comptime_identifier,
  [aux_sym__statement_list] = aux_sym__statement_list,
  [sym__statement] = sym__statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_block] = sym_block,
  [sym_defer_statement] = sym_defer_statement,
  [sym_unsafe_expression] = sym_unsafe_expression,
  [sym_overloadable_operator] = sym_overloadable_operator,
  [sym_exposed_variables_list] = sym_exposed_variables_list,
  [sym_function_declaration] = sym_function_declaration,
  [sym_function_type] = sym_function_type,
  [sym_type_only_parameter_list] = sym_type_only_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_fn_literal] = sym_fn_literal,
  [sym_global_var_declaration] = sym_global_var_declaration,
  [sym__global_var_spec] = sym__global_var_spec,
  [sym_global_var_type_initializer] = sym_global_var_type_initializer,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_asm_statement] = sym_asm_statement,
  [sym_sql_expression] = sym_sql_expression,
  [sym__content_block] = sym__content_block,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_type_declaration] = sym_type_declaration,
  [sym_sum_type_list] = sym_sum_type_list,
  [sym_go_statement] = sym_go_statement,
  [sym_spawn_statement] = sym_spawn_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_comptime_for_statement] = sym_comptime_for_statement,
  [sym_for_in_operator] = sym_for_in_operator,
  [sym__definite_range] = sym__definite_range,
  [sym__range] = sym__range,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_cstyle_for_clause] = sym_cstyle_for_clause,
  [sym_comptime_if_expression] = sym_comptime_if_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_is_expression] = sym_is_expression,
  [sym_attribute_spec] = sym_attribute_spec,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_attribute_list] = sym_attribute_list,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_struct_field_declaration_list] = sym_struct_field_declaration_list,
  [sym_struct_field_scope] = sym_struct_field_scope,
  [sym_struct_field_declaration] = sym_struct_field_declaration,
  [sym__binded_struct_declaration] = sym_struct_declaration,
  [sym__binded_struct_field_declaration_list] = sym_struct_field_declaration_list,
  [sym__binded_struct_field_declaration] = sym_struct_field_declaration,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_member_declaration_list] = sym_enum_member_declaration_list,
  [sym_enum_member] = sym_enum_member,
  [sym_type_selector_expression] = sym_type_selector_expression,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_interface_spec_list] = sym_interface_spec_list,
  [sym_interface_field_scope] = sym_interface_field_scope,
  [sym_interface_spec] = sym_interface_spec,
  [sym_hash_statement] = sym_hash_statement,
  [sym_module_clause] = sym_module_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_symbols] = sym_import_symbols,
  [sym_import_symbols_list] = sym_import_symbols_list,
  [sym_import_alias] = sym_import_alias,
  [sym_match_expression] = sym_match_expression,
  [sym_case_list] = sym_case_list,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_select_expression] = sym_select_expression,
  [sym_select_branch] = sym_select_branch,
  [sym_select_default_branch] = sym_select_default_branch,
  [sym_lock_expression] = sym_lock_expression,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_literal_value_repeat2] = aux_sym_literal_value_repeat2,
  [aux_sym_map_repeat1] = aux_sym_map_repeat1,
  [aux_sym__non_empty_array_repeat1] = aux_sym__non_empty_array_repeat1,
  [aux_sym_c_string_literal_repeat1] = aux_sym_c_string_literal_repeat1,
  [aux_sym_raw_string_literal_repeat1] = aux_sym_raw_string_literal_repeat1,
  [aux_sym_identifier_list_repeat1] = aux_sym_identifier_list_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_multi_return_type_repeat1] = aux_sym_multi_return_type_repeat1,
  [aux_sym_type_only_parameter_list_repeat1] = aux_sym_type_only_parameter_list_repeat1,
  [aux_sym_global_var_declaration_repeat1] = aux_sym_global_var_declaration_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_sum_type_list_repeat1] = aux_sym_sum_type_list_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_struct_field_declaration_list_repeat1] = aux_sym_struct_field_declaration_list_repeat1,
  [aux_sym__binded_struct_field_declaration_list_repeat1] = aux_sym__binded_struct_field_declaration_list_repeat1,
  [aux_sym_enum_member_declaration_list_repeat1] = aux_sym_enum_member_declaration_list_repeat1,
  [aux_sym_interface_spec_list_repeat1] = aux_sym_interface_spec_list_repeat1,
  [aux_sym_import_symbols_list_repeat1] = aux_sym_import_symbols_list_repeat1,
  [aux_sym_match_expression_repeat1] = aux_sym_match_expression_repeat1,
  [aux_sym_case_list_repeat1] = aux_sym_case_list_repeat1,
  [aux_sym_select_expression_repeat1] = aux_sym_select_expression_repeat1,
  [alias_sym_binded_type] = alias_sym_binded_type,
  [alias_sym_global_var_spec] = alias_sym_global_var_spec,
  [alias_sym_label_name] = alias_sym_label_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANGin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread] = {
    .visible = true,
    .named = false,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sql] = {
    .visible = true,
    .named = false,
  },
  [sym_immediate_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__old_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_mut] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_C] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_JS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_voidptr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byteptr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_charptr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rune] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mapnode] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_size_t] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_usize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float_literal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int_literal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IError] = {
    .visible = true,
    .named = false,
  },
  [sym_type_placeholder] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pseudo_comptime_identifier_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsafe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__content_block_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_spawn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLARfor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLARif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLARelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANGis] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hash_statement_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [sym_import_path] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rlock] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_separator] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_interpolation_opening] = {
    .visible = false,
    .named = true,
  },
  [sym__unbraced_interpolation_opening] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolation_closing] = {
    .visible = false,
    .named = true,
  },
  [sym__c_string_opening] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_opening] = {
    .visible = false,
    .named = true,
  },
  [sym__string_opening] = {
    .visible = false,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_closing] = {
    .visible = false,
    .named = true,
  },
  [sym__comment] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_as_type_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_special_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_option_propagator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_block] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_with_blocks] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__single_line_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_type_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym__element_key] = {
    .visible = false,
    .named = true,
  },
  [sym_map] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_fixed_array] = {
    .visible = true,
    .named = true,
  },
  [sym_fixed_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_shared_type] = {
    .visible = true,
    .named = true,
  },
  [sym_thread_type] = {
    .visible = true,
    .named = true,
  },
  [sym_c_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__mutable_prefix] = {
    .visible = false,
    .named = true,
  },
  [sym_mutable_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__mutable_expression_2] = {
    .visible = true,
    .named = true,
  },
  [sym_mutable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binded_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_list] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_list_repeat1] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_option_type] = {
    .visible = true,
    .named = true,
  },
  [sym_result_type] = {
    .visible = true,
    .named = true,
  },
  [sym_multi_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_type] = {
    .visible = true,
    .named = true,
  },
  [sym__binded_type] = {
    .visible = false,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pseudo_comptime_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statement_list] = {
    .visible = false,
    .named = false,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unsafe_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_overloadable_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_exposed_variables_list] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_only_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_fn_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_global_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__global_var_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_global_var_type_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_sql_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__content_block] = {
    .visible = false,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_sum_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_spawn_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__definite_range] = {
    .visible = true,
    .named = true,
  },
  [sym__range] = {
    .visible = false,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cstyle_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_is_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__binded_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__binded_struct_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__binded_struct_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member] = {
    .visible = true,
    .named = true,
  },
  [sym_type_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_field_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_symbols] = {
    .visible = true,
    .named = true,
  },
  [sym_import_symbols_list] = {
    .visible = true,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_case_list] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_select_branch] = {
    .visible = true,
    .named = true,
  },
  [sym_select_default_branch] = {
    .visible = true,
    .named = true,
  },
  [sym_lock_expression] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_map_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__non_empty_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_c_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_raw_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifier_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multi_return_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_only_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sum_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__binded_struct_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_member_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_symbols_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_binded_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_global_var_spec] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_channel = 6,
  field_condition = 7,
  field_consequence = 8,
  field_default_value = 9,
  field_element = 10,
  field_end = 11,
  field_exposed_variables = 12,
  field_field = 13,
  field_field_name = 14,
  field_function = 15,
  field_index = 16,
  field_initializer = 17,
  field_key = 18,
  field_label = 19,
  field_language = 20,
  field_left = 21,
  field_locked_variables = 22,
  field_module = 23,
  field_name = 24,
  field_operand = 25,
  field_operator = 26,
  field_parameters = 27,
  field_path = 28,
  field_receiver = 29,
  field_result = 30,
  field_right = 31,
  field_selected_variables = 32,
  field_size = 33,
  field_start = 34,
  field_symbols = 35,
  field_type = 36,
  field_type_parameters = 37,
  field_types = 38,
  field_update = 39,
  field_value = 40,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_channel] = "channel",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_value] = "default_value",
  [field_element] = "element",
  [field_end] = "end",
  [field_exposed_variables] = "exposed_variables",
  [field_field] = "field",
  [field_field_name] = "field_name",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_language] = "language",
  [field_left] = "left",
  [field_locked_variables] = "locked_variables",
  [field_module] = "module",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_selected_variables] = "selected_variables",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbols] = "symbols",
  [field_type] = "type",
  [field_type_parameters] = "type_parameters",
  [field_types] = "types",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 2},
  [4] = {.index = 2, .length = 2},
  [6] = {.index = 4, .length = 1},
  [7] = {.index = 5, .length = 1},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 2},
  [10] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 1},
  [14] = {.index = 12, .length = 1},
  [15] = {.index = 13, .length = 1},
  [16] = {.index = 14, .length = 2},
  [17] = {.index = 16, .length = 3},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 1},
  [23] = {.index = 26, .length = 2},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 2},
  [27] = {.index = 34, .length = 1},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 1},
  [31] = {.index = 40, .length = 1},
  [32] = {.index = 41, .length = 2},
  [33] = {.index = 43, .length = 3},
  [34] = {.index = 46, .length = 2},
  [35] = {.index = 48, .length = 2},
  [36] = {.index = 48, .length = 2},
  [37] = {.index = 50, .length = 2},
  [38] = {.index = 52, .length = 2},
  [39] = {.index = 50, .length = 2},
  [40] = {.index = 54, .length = 2},
  [41] = {.index = 56, .length = 2},
  [42] = {.index = 58, .length = 1},
  [43] = {.index = 59, .length = 1},
  [44] = {.index = 60, .length = 3},
  [45] = {.index = 63, .length = 3},
  [46] = {.index = 66, .length = 3},
  [47] = {.index = 69, .length = 3},
  [48] = {.index = 72, .length = 3},
  [49] = {.index = 75, .length = 3},
  [50] = {.index = 78, .length = 3},
  [51] = {.index = 81, .length = 3},
  [52] = {.index = 84, .length = 2},
  [53] = {.index = 86, .length = 1},
  [54] = {.index = 87, .length = 1},
  [55] = {.index = 88, .length = 4},
  [56] = {.index = 92, .length = 1},
  [57] = {.index = 93, .length = 3},
  [58] = {.index = 96, .length = 4},
  [59] = {.index = 100, .length = 1},
  [60] = {.index = 101, .length = 2},
  [61] = {.index = 103, .length = 1},
  [62] = {.index = 104, .length = 1},
  [63] = {.index = 105, .length = 2},
  [64] = {.index = 107, .length = 1},
  [65] = {.index = 108, .length = 3},
  [66] = {.index = 111, .length = 2},
  [67] = {.index = 113, .length = 3},
  [68] = {.index = 116, .length = 2},
  [69] = {.index = 118, .length = 1},
  [70] = {.index = 119, .length = 3},
  [71] = {.index = 122, .length = 3},
  [72] = {.index = 125, .length = 3},
  [73] = {.index = 128, .length = 3},
  [74] = {.index = 131, .length = 3},
  [75] = {.index = 134, .length = 2},
  [76] = {.index = 136, .length = 4},
  [77] = {.index = 140, .length = 4},
  [78] = {.index = 144, .length = 4},
  [79] = {.index = 148, .length = 4},
  [80] = {.index = 152, .length = 4},
  [81] = {.index = 156, .length = 4},
  [82] = {.index = 160, .length = 4},
  [83] = {.index = 164, .length = 4},
  [84] = {.index = 168, .length = 4},
  [85] = {.index = 172, .length = 4},
  [86] = {.index = 176, .length = 4},
  [87] = {.index = 180, .length = 4},
  [88] = {.index = 184, .length = 4},
  [89] = {.index = 188, .length = 3},
  [90] = {.index = 191, .length = 2},
  [91] = {.index = 193, .length = 2},
  [92] = {.index = 195, .length = 2},
  [93] = {.index = 197, .length = 3},
  [94] = {.index = 200, .length = 3},
  [95] = {.index = 32, .length = 2},
  [96] = {.index = 203, .length = 2},
  [97] = {.index = 205, .length = 2},
  [98] = {.index = 207, .length = 2},
  [99] = {.index = 209, .length = 2},
  [100] = {.index = 211, .length = 1},
  [101] = {.index = 212, .length = 2},
  [102] = {.index = 214, .length = 2},
  [103] = {.index = 216, .length = 3},
  [104] = {.index = 219, .length = 2},
  [105] = {.index = 221, .length = 1},
  [106] = {.index = 222, .length = 4},
  [107] = {.index = 226, .length = 4},
  [108] = {.index = 230, .length = 4},
  [109] = {.index = 234, .length = 4},
  [110] = {.index = 238, .length = 4},
  [111] = {.index = 242, .length = 4},
  [112] = {.index = 246, .length = 4},
  [113] = {.index = 250, .length = 4},
  [114] = {.index = 254, .length = 4},
  [115] = {.index = 258, .length = 4},
  [116] = {.index = 262, .length = 4},
  [117] = {.index = 266, .length = 4},
  [118] = {.index = 270, .length = 4},
  [119] = {.index = 274, .length = 4},
  [120] = {.index = 278, .length = 4},
  [121] = {.index = 282, .length = 3},
  [122] = {.index = 285, .length = 5},
  [123] = {.index = 290, .length = 5},
  [124] = {.index = 295, .length = 5},
  [125] = {.index = 300, .length = 5},
  [126] = {.index = 305, .length = 5},
  [127] = {.index = 310, .length = 5},
  [128] = {.index = 315, .length = 5},
  [129] = {.index = 320, .length = 5},
  [130] = {.index = 325, .length = 5},
  [131] = {.index = 330, .length = 5},
  [132] = {.index = 335, .length = 5},
  [133] = {.index = 340, .length = 3},
  [134] = {.index = 343, .length = 4},
  [135] = {.index = 347, .length = 3},
  [136] = {.index = 347, .length = 3},
  [137] = {.index = 350, .length = 3},
  [138] = {.index = 353, .length = 2},
  [139] = {.index = 355, .length = 4},
  [140] = {.index = 359, .length = 4},
  [141] = {.index = 363, .length = 4},
  [142] = {.index = 367, .length = 4},
  [143] = {.index = 371, .length = 4},
  [144] = {.index = 375, .length = 5},
  [145] = {.index = 380, .length = 5},
  [146] = {.index = 385, .length = 5},
  [147] = {.index = 390, .length = 5},
  [148] = {.index = 395, .length = 5},
  [149] = {.index = 400, .length = 5},
  [150] = {.index = 405, .length = 5},
  [151] = {.index = 410, .length = 5},
  [152] = {.index = 415, .length = 5},
  [153] = {.index = 420, .length = 5},
  [154] = {.index = 425, .length = 5},
  [155] = {.index = 430, .length = 5},
  [156] = {.index = 435, .length = 5},
  [157] = {.index = 440, .length = 5},
  [158] = {.index = 445, .length = 5},
  [159] = {.index = 450, .length = 5},
  [160] = {.index = 455, .length = 5},
  [161] = {.index = 460, .length = 5},
  [162] = {.index = 465, .length = 5},
  [163] = {.index = 470, .length = 5},
  [164] = {.index = 475, .length = 6},
  [165] = {.index = 481, .length = 6},
  [166] = {.index = 487, .length = 6},
  [167] = {.index = 493, .length = 6},
  [168] = {.index = 499, .length = 6},
  [169] = {.index = 505, .length = 3},
  [170] = {.index = 505, .length = 3},
  [171] = {.index = 508, .length = 5},
  [172] = {.index = 513, .length = 5},
  [173] = {.index = 518, .length = 5},
  [174] = {.index = 523, .length = 5},
  [175] = {.index = 528, .length = 5},
  [176] = {.index = 533, .length = 5},
  [177] = {.index = 538, .length = 5},
  [178] = {.index = 543, .length = 5},
  [179] = {.index = 548, .length = 5},
  [180] = {.index = 553, .length = 5},
  [181] = {.index = 558, .length = 6},
  [182] = {.index = 564, .length = 6},
  [183] = {.index = 570, .length = 6},
  [184] = {.index = 576, .length = 6},
  [185] = {.index = 582, .length = 6},
  [186] = {.index = 588, .length = 6},
  [187] = {.index = 594, .length = 6},
  [188] = {.index = 600, .length = 6},
  [189] = {.index = 606, .length = 6},
  [190] = {.index = 612, .length = 6},
  [191] = {.index = 618, .length = 6},
  [192] = {.index = 624, .length = 6},
  [193] = {.index = 630, .length = 6},
  [194] = {.index = 636, .length = 6},
  [195] = {.index = 642, .length = 6},
  [196] = {.index = 648, .length = 7},
  [197] = {.index = 655, .length = 4},
  [198] = {.index = 655, .length = 4},
  [200] = {.index = 659, .length = 6},
  [201] = {.index = 665, .length = 6},
  [202] = {.index = 671, .length = 6},
  [203] = {.index = 677, .length = 6},
  [204] = {.index = 683, .length = 6},
  [205] = {.index = 689, .length = 6},
  [206] = {.index = 695, .length = 6},
  [207] = {.index = 701, .length = 6},
  [208] = {.index = 707, .length = 6},
  [209] = {.index = 713, .length = 6},
  [210] = {.index = 719, .length = 7},
  [211] = {.index = 726, .length = 7},
  [212] = {.index = 733, .length = 7},
  [213] = {.index = 740, .length = 7},
  [214] = {.index = 747, .length = 7},
  [215] = {.index = 754, .length = 7},
  [216] = {.index = 761, .length = 7},
  [217] = {.index = 768, .length = 7},
  [218] = {.index = 775, .length = 7},
  [219] = {.index = 782, .length = 7},
  [220] = {.index = 789, .length = 7},
  [221] = {.index = 796, .length = 8},
  [222] = {.index = 804, .length = 8},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_attributes, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [2] =
    {field_operand, 1},
    {field_operator, 0},
  [4] =
    {field_value, 1},
  [5] =
    {field_field_name, 1},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_body, 1},
    {field_type, 0},
  [10] =
    {field_parameters, 1},
  [11] =
    {field_body, 1},
  [12] =
    {field_label, 0},
  [13] =
    {field_element, 2},
  [14] =
    {field_module, 0},
    {field_name, 2},
  [16] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_parameters, 1},
  [19] =
    {field_language, 0},
    {field_name, 2},
  [21] =
    {field_field_name, 2},
    {field_type, 0},
  [23] =
    {field_left, 0},
    {field_right, 2},
  [25] =
    {field_type, 0},
  [26] =
    {field_name, 1},
    {field_parameters, 2},
  [28] =
    {field_parameters, 1},
    {field_result, 2},
  [30] =
    {field_body, 2},
    {field_parameters, 1},
  [32] =
    {field_name, 0},
    {field_type, 1},
  [34] =
    {field_body, 2},
  [35] =
    {field_condition, 1},
    {field_consequence, 2},
  [37] =
    {field_consequence, 2},
    {field_initializer, 1},
  [39] =
    {field_name, 1},
  [40] =
    {field_path, 2},
  [41] =
    {field_body, 2},
    {field_locked_variables, 1},
  [43] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [46] =
    {field_channel, 0},
    {field_value, 2},
  [48] =
    {field_field, 2},
    {field_operand, 0},
  [50] =
    {field_name, 0},
    {field_value, 2},
  [52] =
    {field_element, 3},
    {field_size, 1},
  [54] =
    {field_key, 1},
    {field_value, 3},
  [56] =
    {field_name, 2},
    {field_parameters, 3},
  [58] =
    {field_name, 2},
  [59] =
    {field_type, 1},
  [60] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [63] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [66] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [69] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [75] =
    {field_arguments, 3},
    {field_body, 2},
    {field_parameters, 1},
  [78] =
    {field_exposed_variables, 1},
    {field_name, 2},
    {field_parameters, 3},
  [81] =
    {field_body, 3},
    {field_exposed_variables, 1},
    {field_parameters, 2},
  [84] =
    {field_name, 1},
    {field_types, 3},
  [86] =
    {field_update, 2},
  [87] =
    {field_condition, 1},
  [88] =
    {field_end, 2, .inherited = true},
    {field_left, 0},
    {field_right, 2},
    {field_start, 2, .inherited = true},
  [92] =
    {field_initializer, 0},
  [93] =
    {field_condition, 1},
    {field_condition, 2},
    {field_consequence, 3},
  [96] =
    {field_attributes, 0, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [100] =
    {field_name, 0},
  [101] =
    {field_end, 0, .inherited = true},
    {field_start, 0, .inherited = true},
  [103] =
    {field_selected_variables, 1},
  [104] =
    {field_end, 1},
  [105] =
    {field_index, 2},
    {field_operand, 0},
  [107] =
    {field_start, 0},
  [108] =
    {field_end, 2, .inherited = true},
    {field_operand, 0},
    {field_start, 2, .inherited = true},
  [111] =
    {field_operand, 2},
    {field_type, 0},
  [113] =
    {field_attributes, 0},
    {field_name, 2},
    {field_parameters, 3},
  [116] =
    {field_attributes, 0},
    {field_name, 2},
  [118] =
    {field_attributes, 0},
  [119] =
    {field_name, 2},
    {field_parameters, 3},
    {field_result, 4},
  [122] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [125] =
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [128] =
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 2},
  [131] =
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
  [134] =
    {field_name, 2},
    {field_types, 4},
  [136] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [140] =
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [144] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [148] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [152] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [156] =
    {field_name, 2},
    {field_parameters, 4},
    {field_receiver, 1},
    {field_type_parameters, 3},
  [160] =
    {field_arguments, 4},
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [164] =
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 1},
  [168] =
    {field_exposed_variables, 1},
    {field_name, 2},
    {field_parameters, 3},
    {field_result, 4},
  [172] =
    {field_body, 4},
    {field_exposed_variables, 1},
    {field_name, 2},
    {field_parameters, 3},
  [176] =
    {field_exposed_variables, 1},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [180] =
    {field_body, 4},
    {field_exposed_variables, 1},
    {field_parameters, 2},
    {field_result, 3},
  [184] =
    {field_arguments, 4},
    {field_body, 3},
    {field_exposed_variables, 1},
    {field_parameters, 2},
  [188] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_types, 4},
  [191] =
    {field_condition, 1},
    {field_update, 3},
  [193] =
    {field_initializer, 0},
    {field_update, 3},
  [195] =
    {field_condition, 2},
    {field_initializer, 0},
  [197] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [200] =
    {field_alternative, 4},
    {field_consequence, 2},
    {field_initializer, 1},
  [203] =
    {field_type, 0},
    {field_type, 1},
  [205] =
    {field_name, 0},
    {field_parameters, 1},
  [207] =
    {field_path, 2},
    {field_symbols, 4},
  [209] =
    {field_alias, 4},
    {field_path, 2},
  [211] =
    {field_consequence, 1},
  [212] =
    {field_consequence, 1},
    {field_value, 0},
  [214] =
    {field_end, 2},
    {field_start, 0},
  [216] =
    {field_attributes, 0},
    {field_name, 3},
    {field_parameters, 4},
  [219] =
    {field_attributes, 0},
    {field_name, 3},
  [221] =
    {field_name, 3},
  [222] =
    {field_attributes, 0},
    {field_name, 2},
    {field_parameters, 3},
    {field_result, 4},
  [226] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [230] =
    {field_attributes, 0},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [234] =
    {field_attributes, 0},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 2},
  [238] =
    {field_attributes, 0},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
  [242] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_result, 4},
  [246] =
    {field_name, 2},
    {field_parameters, 4},
    {field_result, 5},
    {field_type_parameters, 3},
  [250] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [254] =
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 2},
    {field_result, 5},
  [258] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 2},
  [262] =
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_type_parameters, 4},
  [266] =
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 2},
  [270] =
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
    {field_result, 5},
  [274] =
    {field_body, 5},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
  [278] =
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [282] =
    {field_name, 2},
    {field_type_parameters, 3},
    {field_types, 5},
  [285] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [290] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [295] =
    {field_name, 2},
    {field_parameters, 4},
    {field_receiver, 1},
    {field_result, 5},
    {field_type_parameters, 3},
  [300] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_receiver, 1},
    {field_type_parameters, 3},
  [305] =
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 1},
    {field_result, 5},
  [310] =
    {field_body, 5},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 1},
  [315] =
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 1},
    {field_type_parameters, 4},
  [320] =
    {field_body, 5},
    {field_exposed_variables, 1},
    {field_name, 2},
    {field_parameters, 3},
    {field_result, 4},
  [325] =
    {field_exposed_variables, 1},
    {field_name, 2},
    {field_parameters, 4},
    {field_result, 5},
    {field_type_parameters, 3},
  [330] =
    {field_body, 5},
    {field_exposed_variables, 1},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [335] =
    {field_arguments, 5},
    {field_body, 4},
    {field_exposed_variables, 1},
    {field_parameters, 2},
    {field_result, 3},
  [340] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [343] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_condition, 2},
    {field_consequence, 3},
  [347] =
    {field_attributes, 2},
    {field_name, 0},
    {field_type, 1},
  [350] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [353] =
    {field_end, 1, .inherited = true},
    {field_start, 1, .inherited = true},
  [355] =
    {field_attributes, 0},
    {field_name, 3},
    {field_parameters, 4},
    {field_result, 5},
  [359] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [363] =
    {field_attributes, 0},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [367] =
    {field_attributes, 0},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 3},
  [371] =
    {field_attributes, 0},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
  [375] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_result, 4},
  [380] =
    {field_attributes, 0},
    {field_name, 2},
    {field_parameters, 4},
    {field_result, 5},
    {field_type_parameters, 3},
  [385] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [390] =
    {field_attributes, 0},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 2},
    {field_result, 5},
  [395] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 2},
  [400] =
    {field_attributes, 0},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_type_parameters, 4},
  [405] =
    {field_attributes, 0},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 2},
  [410] =
    {field_attributes, 0},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
    {field_result, 5},
  [415] =
    {field_attributes, 0},
    {field_body, 5},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
  [420] =
    {field_attributes, 0},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [425] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_result, 5},
    {field_type_parameters, 3},
  [430] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 2},
    {field_result, 5},
  [435] =
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_result, 6},
    {field_type_parameters, 4},
  [440] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_type_parameters, 4},
  [445] =
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_result, 6},
  [450] =
    {field_body, 6},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 2},
  [455] =
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 2},
    {field_type_parameters, 5},
  [460] =
    {field_body, 6},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
    {field_result, 5},
  [465] =
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_result, 6},
    {field_type_parameters, 4},
  [470] =
    {field_body, 6},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [475] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_receiver, 1},
    {field_result, 5},
    {field_type_parameters, 3},
  [481] =
    {field_body, 6},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 1},
    {field_result, 5},
  [487] =
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 1},
    {field_result, 6},
    {field_type_parameters, 4},
  [493] =
    {field_body, 6},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 1},
    {field_type_parameters, 4},
  [499] =
    {field_body, 6},
    {field_exposed_variables, 1},
    {field_name, 2},
    {field_parameters, 4},
    {field_result, 5},
    {field_type_parameters, 3},
  [505] =
    {field_default_value, 3},
    {field_name, 0},
    {field_type, 1},
  [508] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 4},
    {field_result, 5},
  [513] =
    {field_attributes, 0},
    {field_name, 3},
    {field_parameters, 5},
    {field_result, 6},
    {field_type_parameters, 4},
  [518] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [523] =
    {field_attributes, 0},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 3},
    {field_result, 6},
  [528] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 3},
  [533] =
    {field_attributes, 0},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 3},
    {field_type_parameters, 5},
  [538] =
    {field_attributes, 0},
    {field_exposed_variables, 4},
    {field_name, 5},
    {field_parameters, 6},
    {field_receiver, 3},
  [543] =
    {field_attributes, 0},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_result, 6},
  [548] =
    {field_attributes, 0},
    {field_body, 6},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
  [553] =
    {field_attributes, 0},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_type_parameters, 5},
  [558] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_result, 5},
    {field_type_parameters, 3},
  [564] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 4},
    {field_receiver, 2},
    {field_result, 5},
  [570] =
    {field_attributes, 0},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_result, 6},
    {field_type_parameters, 4},
  [576] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_type_parameters, 4},
  [582] =
    {field_attributes, 0},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_result, 6},
  [588] =
    {field_attributes, 0},
    {field_body, 6},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 2},
  [594] =
    {field_attributes, 0},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 2},
    {field_type_parameters, 5},
  [600] =
    {field_attributes, 0},
    {field_body, 6},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 4},
    {field_result, 5},
  [606] =
    {field_attributes, 0},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_result, 6},
    {field_type_parameters, 4},
  [612] =
    {field_attributes, 0},
    {field_body, 6},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [618] =
    {field_body, 7},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_result, 6},
    {field_type_parameters, 4},
  [624] =
    {field_body, 7},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_result, 6},
  [630] =
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 2},
    {field_result, 7},
    {field_type_parameters, 5},
  [636] =
    {field_body, 7},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 2},
    {field_type_parameters, 5},
  [642] =
    {field_body, 7},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_result, 6},
    {field_type_parameters, 4},
  [648] =
    {field_body, 7},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 1},
    {field_result, 6},
    {field_type_parameters, 4},
  [655] =
    {field_attributes, 2},
    {field_default_value, 4},
    {field_name, 0},
    {field_type, 1},
  [659] =
    {field_attributes, 0},
    {field_body, 7},
    {field_name, 3},
    {field_parameters, 5},
    {field_result, 6},
    {field_type_parameters, 4},
  [665] =
    {field_attributes, 0},
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 3},
    {field_result, 6},
  [671] =
    {field_attributes, 0},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 3},
    {field_result, 7},
    {field_type_parameters, 5},
  [677] =
    {field_attributes, 0},
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 3},
    {field_type_parameters, 5},
  [683] =
    {field_attributes, 0},
    {field_exposed_variables, 4},
    {field_name, 5},
    {field_parameters, 6},
    {field_receiver, 3},
    {field_result, 7},
  [689] =
    {field_attributes, 0},
    {field_body, 7},
    {field_exposed_variables, 4},
    {field_name, 5},
    {field_parameters, 6},
    {field_receiver, 3},
  [695] =
    {field_attributes, 0},
    {field_exposed_variables, 4},
    {field_name, 5},
    {field_parameters, 7},
    {field_receiver, 3},
    {field_type_parameters, 6},
  [701] =
    {field_attributes, 0},
    {field_body, 7},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_result, 6},
  [707] =
    {field_attributes, 0},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_result, 7},
    {field_type_parameters, 5},
  [713] =
    {field_attributes, 0},
    {field_body, 7},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_type_parameters, 5},
  [719] =
    {field_attributes, 0},
    {field_body, 7},
    {field_name, 3},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_result, 6},
    {field_type_parameters, 4},
  [726] =
    {field_attributes, 0},
    {field_body, 7},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 5},
    {field_receiver, 2},
    {field_result, 6},
  [733] =
    {field_attributes, 0},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 2},
    {field_result, 7},
    {field_type_parameters, 5},
  [740] =
    {field_attributes, 0},
    {field_body, 7},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 2},
    {field_type_parameters, 5},
  [747] =
    {field_attributes, 0},
    {field_body, 7},
    {field_exposed_variables, 2},
    {field_name, 3},
    {field_parameters, 5},
    {field_result, 6},
    {field_type_parameters, 4},
  [754] =
    {field_body, 8},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 2},
    {field_result, 7},
    {field_type_parameters, 5},
  [761] =
    {field_attributes, 0},
    {field_body, 8},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 3},
    {field_result, 7},
    {field_type_parameters, 5},
  [768] =
    {field_attributes, 0},
    {field_body, 8},
    {field_exposed_variables, 4},
    {field_name, 5},
    {field_parameters, 6},
    {field_receiver, 3},
    {field_result, 7},
  [775] =
    {field_attributes, 0},
    {field_exposed_variables, 4},
    {field_name, 5},
    {field_parameters, 7},
    {field_receiver, 3},
    {field_result, 8},
    {field_type_parameters, 6},
  [782] =
    {field_attributes, 0},
    {field_body, 8},
    {field_exposed_variables, 4},
    {field_name, 5},
    {field_parameters, 7},
    {field_receiver, 3},
    {field_type_parameters, 6},
  [789] =
    {field_attributes, 0},
    {field_body, 8},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_result, 7},
    {field_type_parameters, 5},
  [796] =
    {field_attributes, 0},
    {field_body, 8},
    {field_exposed_variables, 3},
    {field_name, 4},
    {field_parameters, 6},
    {field_receiver, 2},
    {field_result, 7},
    {field_type_parameters, 5},
  [804] =
    {field_attributes, 0},
    {field_body, 9},
    {field_exposed_variables, 4},
    {field_name, 5},
    {field_parameters, 7},
    {field_receiver, 3},
    {field_result, 8},
    {field_type_parameters, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = alias_sym_binded_type,
  },
  [5] = {
    [0] = sym__old_identifier,
  },
  [11] = {
    [0] = alias_sym_global_var_spec,
  },
  [12] = {
    [1] = alias_sym_label_name,
  },
  [14] = {
    [0] = alias_sym_label_name,
  },
  [16] = {
    [0] = sym_immediate_identifier,
  },
  [19] = {
    [2] = sym_identifier,
  },
  [36] = {
    [2] = sym_type_identifier,
  },
  [39] = {
    [0] = sym_identifier,
  },
  [95] = {
    [0] = sym__old_identifier,
  },
  [97] = {
    [0] = sym__old_identifier,
  },
  [135] = {
    [0] = sym__old_identifier,
  },
  [137] = {
    [0] = sym__old_identifier,
  },
  [169] = {
    [0] = sym__old_identifier,
  },
  [197] = {
    [0] = sym__old_identifier,
  },
  [199] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_binded_identifier, 2,
    sym_binded_identifier,
    alias_sym_binded_type,
  sym_const_spec, 2,
    sym_const_spec,
    alias_sym_global_var_spec,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 4,
  [13] = 4,
  [14] = 4,
  [15] = 4,
  [16] = 4,
  [17] = 4,
  [18] = 4,
  [19] = 4,
  [20] = 4,
  [21] = 4,
  [22] = 4,
  [23] = 4,
  [24] = 4,
  [25] = 4,
  [26] = 4,
  [27] = 4,
  [28] = 28,
  [29] = 29,
  [30] = 28,
  [31] = 28,
  [32] = 28,
  [33] = 29,
  [34] = 28,
  [35] = 28,
  [36] = 29,
  [37] = 29,
  [38] = 29,
  [39] = 28,
  [40] = 29,
  [41] = 28,
  [42] = 28,
  [43] = 28,
  [44] = 29,
  [45] = 28,
  [46] = 28,
  [47] = 29,
  [48] = 28,
  [49] = 29,
  [50] = 29,
  [51] = 29,
  [52] = 28,
  [53] = 28,
  [54] = 29,
  [55] = 28,
  [56] = 29,
  [57] = 29,
  [58] = 28,
  [59] = 28,
  [60] = 29,
  [61] = 29,
  [62] = 28,
  [63] = 29,
  [64] = 29,
  [65] = 28,
  [66] = 29,
  [67] = 29,
  [68] = 29,
  [69] = 28,
  [70] = 28,
  [71] = 29,
  [72] = 29,
  [73] = 28,
  [74] = 29,
  [75] = 28,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 78,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 80,
  [88] = 81,
  [89] = 83,
  [90] = 90,
  [91] = 82,
  [92] = 92,
  [93] = 93,
  [94] = 85,
  [95] = 84,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 86,
  [101] = 101,
  [102] = 101,
  [103] = 103,
  [104] = 101,
  [105] = 101,
  [106] = 101,
  [107] = 101,
  [108] = 101,
  [109] = 101,
  [110] = 101,
  [111] = 111,
  [112] = 101,
  [113] = 101,
  [114] = 101,
  [115] = 101,
  [116] = 101,
  [117] = 101,
  [118] = 103,
  [119] = 101,
  [120] = 101,
  [121] = 101,
  [122] = 101,
  [123] = 101,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 80,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 146,
  [150] = 145,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 152,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 164,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 166,
  [178] = 167,
  [179] = 166,
  [180] = 167,
  [181] = 164,
  [182] = 167,
  [183] = 166,
  [184] = 164,
  [185] = 167,
  [186] = 186,
  [187] = 187,
  [188] = 166,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 164,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 133,
  [206] = 166,
  [207] = 167,
  [208] = 164,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 166,
  [216] = 167,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 166,
  [223] = 167,
  [224] = 164,
  [225] = 225,
  [226] = 164,
  [227] = 166,
  [228] = 167,
  [229] = 164,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 164,
  [234] = 167,
  [235] = 235,
  [236] = 236,
  [237] = 166,
  [238] = 148,
  [239] = 239,
  [240] = 240,
  [241] = 135,
  [242] = 242,
  [243] = 166,
  [244] = 147,
  [245] = 245,
  [246] = 246,
  [247] = 167,
  [248] = 164,
  [249] = 249,
  [250] = 164,
  [251] = 166,
  [252] = 167,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 164,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 167,
  [263] = 166,
  [264] = 264,
  [265] = 166,
  [266] = 266,
  [267] = 167,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 164,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 288,
  [291] = 291,
  [292] = 291,
  [293] = 289,
  [294] = 291,
  [295] = 295,
  [296] = 295,
  [297] = 295,
  [298] = 288,
  [299] = 291,
  [300] = 289,
  [301] = 82,
  [302] = 291,
  [303] = 83,
  [304] = 288,
  [305] = 289,
  [306] = 295,
  [307] = 291,
  [308] = 288,
  [309] = 291,
  [310] = 295,
  [311] = 289,
  [312] = 288,
  [313] = 295,
  [314] = 295,
  [315] = 288,
  [316] = 289,
  [317] = 291,
  [318] = 288,
  [319] = 295,
  [320] = 288,
  [321] = 289,
  [322] = 295,
  [323] = 288,
  [324] = 291,
  [325] = 291,
  [326] = 291,
  [327] = 295,
  [328] = 295,
  [329] = 329,
  [330] = 289,
  [331] = 288,
  [332] = 289,
  [333] = 295,
  [334] = 291,
  [335] = 289,
  [336] = 291,
  [337] = 295,
  [338] = 291,
  [339] = 288,
  [340] = 289,
  [341] = 295,
  [342] = 289,
  [343] = 288,
  [344] = 289,
  [345] = 289,
  [346] = 288,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 347,
  [351] = 351,
  [352] = 347,
  [353] = 347,
  [354] = 354,
  [355] = 347,
  [356] = 85,
  [357] = 347,
  [358] = 347,
  [359] = 347,
  [360] = 347,
  [361] = 347,
  [362] = 347,
  [363] = 347,
  [364] = 347,
  [365] = 365,
  [366] = 86,
  [367] = 347,
  [368] = 84,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 371,
  [373] = 370,
  [374] = 370,
  [375] = 375,
  [376] = 371,
  [377] = 375,
  [378] = 375,
  [379] = 371,
  [380] = 375,
  [381] = 370,
  [382] = 375,
  [383] = 371,
  [384] = 375,
  [385] = 371,
  [386] = 370,
  [387] = 375,
  [388] = 375,
  [389] = 375,
  [390] = 371,
  [391] = 371,
  [392] = 371,
  [393] = 371,
  [394] = 370,
  [395] = 375,
  [396] = 370,
  [397] = 375,
  [398] = 375,
  [399] = 371,
  [400] = 370,
  [401] = 370,
  [402] = 371,
  [403] = 371,
  [404] = 375,
  [405] = 370,
  [406] = 370,
  [407] = 370,
  [408] = 370,
  [409] = 370,
  [410] = 371,
  [411] = 375,
  [412] = 371,
  [413] = 375,
  [414] = 370,
  [415] = 415,
  [416] = 415,
  [417] = 415,
  [418] = 418,
  [419] = 418,
  [420] = 415,
  [421] = 418,
  [422] = 415,
  [423] = 415,
  [424] = 418,
  [425] = 418,
  [426] = 426,
  [427] = 415,
  [428] = 418,
  [429] = 418,
  [430] = 418,
  [431] = 415,
  [432] = 418,
  [433] = 415,
  [434] = 434,
  [435] = 418,
  [436] = 418,
  [437] = 415,
  [438] = 418,
  [439] = 415,
  [440] = 415,
  [441] = 415,
  [442] = 415,
  [443] = 418,
  [444] = 418,
  [445] = 445,
  [446] = 98,
  [447] = 99,
  [448] = 97,
  [449] = 90,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 453,
  [458] = 458,
  [459] = 459,
  [460] = 456,
  [461] = 459,
  [462] = 454,
  [463] = 458,
  [464] = 96,
  [465] = 453,
  [466] = 458,
  [467] = 459,
  [468] = 454,
  [469] = 454,
  [470] = 453,
  [471] = 459,
  [472] = 456,
  [473] = 458,
  [474] = 474,
  [475] = 454,
  [476] = 459,
  [477] = 93,
  [478] = 453,
  [479] = 454,
  [480] = 458,
  [481] = 453,
  [482] = 458,
  [483] = 456,
  [484] = 458,
  [485] = 458,
  [486] = 459,
  [487] = 458,
  [488] = 458,
  [489] = 459,
  [490] = 458,
  [491] = 456,
  [492] = 458,
  [493] = 454,
  [494] = 456,
  [495] = 459,
  [496] = 458,
  [497] = 453,
  [498] = 456,
  [499] = 459,
  [500] = 456,
  [501] = 454,
  [502] = 459,
  [503] = 453,
  [504] = 456,
  [505] = 456,
  [506] = 454,
  [507] = 456,
  [508] = 92,
  [509] = 453,
  [510] = 459,
  [511] = 453,
  [512] = 458,
  [513] = 458,
  [514] = 459,
  [515] = 458,
  [516] = 454,
  [517] = 458,
  [518] = 453,
  [519] = 519,
  [520] = 453,
  [521] = 458,
  [522] = 454,
  [523] = 454,
  [524] = 454,
  [525] = 453,
  [526] = 456,
  [527] = 527,
  [528] = 454,
  [529] = 456,
  [530] = 456,
  [531] = 459,
  [532] = 453,
  [533] = 455,
  [534] = 459,
  [535] = 458,
  [536] = 458,
  [537] = 537,
  [538] = 538,
  [539] = 538,
  [540] = 540,
  [541] = 538,
  [542] = 538,
  [543] = 543,
  [544] = 544,
  [545] = 538,
  [546] = 538,
  [547] = 538,
  [548] = 548,
  [549] = 538,
  [550] = 538,
  [551] = 551,
  [552] = 538,
  [553] = 538,
  [554] = 544,
  [555] = 543,
  [556] = 538,
  [557] = 538,
  [558] = 538,
  [559] = 538,
  [560] = 537,
  [561] = 124,
  [562] = 127,
  [563] = 538,
  [564] = 564,
  [565] = 565,
  [566] = 538,
  [567] = 128,
  [568] = 544,
  [569] = 125,
  [570] = 543,
  [571] = 538,
  [572] = 538,
  [573] = 573,
  [574] = 538,
  [575] = 111,
  [576] = 576,
  [577] = 543,
  [578] = 544,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 581,
  [583] = 581,
  [584] = 584,
  [585] = 585,
  [586] = 584,
  [587] = 584,
  [588] = 585,
  [589] = 585,
  [590] = 590,
  [591] = 585,
  [592] = 584,
  [593] = 585,
  [594] = 594,
  [595] = 581,
  [596] = 584,
  [597] = 585,
  [598] = 584,
  [599] = 585,
  [600] = 584,
  [601] = 585,
  [602] = 584,
  [603] = 603,
  [604] = 585,
  [605] = 584,
  [606] = 606,
  [607] = 607,
  [608] = 585,
  [609] = 584,
  [610] = 585,
  [611] = 584,
  [612] = 585,
  [613] = 584,
  [614] = 614,
  [615] = 584,
  [616] = 584,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 617,
  [621] = 581,
  [622] = 622,
  [623] = 594,
  [624] = 584,
  [625] = 585,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 580,
  [630] = 630,
  [631] = 622,
  [632] = 581,
  [633] = 585,
  [634] = 584,
  [635] = 585,
  [636] = 584,
  [637] = 618,
  [638] = 638,
  [639] = 619,
  [640] = 638,
  [641] = 626,
  [642] = 627,
  [643] = 628,
  [644] = 644,
  [645] = 630,
  [646] = 617,
  [647] = 622,
  [648] = 594,
  [649] = 585,
  [650] = 584,
  [651] = 581,
  [652] = 618,
  [653] = 619,
  [654] = 617,
  [655] = 622,
  [656] = 584,
  [657] = 585,
  [658] = 626,
  [659] = 659,
  [660] = 627,
  [661] = 594,
  [662] = 628,
  [663] = 618,
  [664] = 619,
  [665] = 617,
  [666] = 580,
  [667] = 630,
  [668] = 622,
  [669] = 594,
  [670] = 638,
  [671] = 626,
  [672] = 627,
  [673] = 628,
  [674] = 580,
  [675] = 630,
  [676] = 618,
  [677] = 619,
  [678] = 617,
  [679] = 622,
  [680] = 594,
  [681] = 681,
  [682] = 618,
  [683] = 619,
  [684] = 617,
  [685] = 606,
  [686] = 607,
  [687] = 622,
  [688] = 614,
  [689] = 603,
  [690] = 594,
  [691] = 618,
  [692] = 619,
  [693] = 638,
  [694] = 644,
  [695] = 617,
  [696] = 622,
  [697] = 594,
  [698] = 618,
  [699] = 619,
  [700] = 617,
  [701] = 622,
  [702] = 594,
  [703] = 618,
  [704] = 619,
  [705] = 617,
  [706] = 622,
  [707] = 594,
  [708] = 618,
  [709] = 619,
  [710] = 581,
  [711] = 617,
  [712] = 622,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 594,
  [717] = 584,
  [718] = 585,
  [719] = 626,
  [720] = 627,
  [721] = 628,
  [722] = 580,
  [723] = 630,
  [724] = 133,
  [725] = 618,
  [726] = 619,
  [727] = 626,
  [728] = 617,
  [729] = 622,
  [730] = 627,
  [731] = 628,
  [732] = 580,
  [733] = 630,
  [734] = 80,
  [735] = 626,
  [736] = 627,
  [737] = 628,
  [738] = 580,
  [739] = 630,
  [740] = 626,
  [741] = 627,
  [742] = 628,
  [743] = 580,
  [744] = 630,
  [745] = 594,
  [746] = 618,
  [747] = 619,
  [748] = 626,
  [749] = 627,
  [750] = 628,
  [751] = 580,
  [752] = 630,
  [753] = 753,
  [754] = 622,
  [755] = 626,
  [756] = 627,
  [757] = 628,
  [758] = 594,
  [759] = 580,
  [760] = 760,
  [761] = 630,
  [762] = 618,
  [763] = 619,
  [764] = 764,
  [765] = 626,
  [766] = 627,
  [767] = 767,
  [768] = 628,
  [769] = 580,
  [770] = 630,
  [771] = 617,
  [772] = 617,
  [773] = 622,
  [774] = 594,
  [775] = 617,
  [776] = 626,
  [777] = 627,
  [778] = 628,
  [779] = 753,
  [780] = 780,
  [781] = 580,
  [782] = 630,
  [783] = 783,
  [784] = 659,
  [785] = 145,
  [786] = 152,
  [787] = 630,
  [788] = 146,
  [789] = 626,
  [790] = 627,
  [791] = 628,
  [792] = 580,
  [793] = 630,
  [794] = 580,
  [795] = 628,
  [796] = 627,
  [797] = 626,
  [798] = 630,
  [799] = 580,
  [800] = 628,
  [801] = 627,
  [802] = 626,
  [803] = 627,
  [804] = 628,
  [805] = 580,
  [806] = 630,
  [807] = 126,
  [808] = 626,
  [809] = 129,
  [810] = 630,
  [811] = 581,
  [812] = 580,
  [813] = 628,
  [814] = 627,
  [815] = 626,
  [816] = 630,
  [817] = 130,
  [818] = 753,
  [819] = 580,
  [820] = 820,
  [821] = 151,
  [822] = 134,
  [823] = 823,
  [824] = 143,
  [825] = 628,
  [826] = 826,
  [827] = 627,
  [828] = 626,
  [829] = 626,
  [830] = 627,
  [831] = 628,
  [832] = 580,
  [833] = 630,
  [834] = 585,
  [835] = 584,
  [836] = 619,
  [837] = 630,
  [838] = 136,
  [839] = 713,
  [840] = 714,
  [841] = 580,
  [842] = 628,
  [843] = 627,
  [844] = 626,
  [845] = 585,
  [846] = 584,
  [847] = 581,
  [848] = 585,
  [849] = 584,
  [850] = 753,
  [851] = 715,
  [852] = 630,
  [853] = 580,
  [854] = 628,
  [855] = 638,
  [856] = 626,
  [857] = 627,
  [858] = 628,
  [859] = 580,
  [860] = 630,
  [861] = 627,
  [862] = 626,
  [863] = 753,
  [864] = 753,
  [865] = 753,
  [866] = 753,
  [867] = 753,
  [868] = 753,
  [869] = 753,
  [870] = 584,
  [871] = 585,
  [872] = 618,
  [873] = 753,
  [874] = 753,
  [875] = 753,
  [876] = 221,
  [877] = 147,
  [878] = 141,
  [879] = 157,
  [880] = 153,
  [881] = 146,
  [882] = 280,
  [883] = 274,
  [884] = 271,
  [885] = 885,
  [886] = 155,
  [887] = 132,
  [888] = 140,
  [889] = 133,
  [890] = 138,
  [891] = 214,
  [892] = 255,
  [893] = 189,
  [894] = 257,
  [895] = 190,
  [896] = 259,
  [897] = 154,
  [898] = 152,
  [899] = 137,
  [900] = 249,
  [901] = 242,
  [902] = 148,
  [903] = 139,
  [904] = 231,
  [905] = 145,
  [906] = 906,
  [907] = 907,
  [908] = 135,
  [909] = 156,
  [910] = 158,
  [911] = 159,
  [912] = 142,
  [913] = 144,
  [914] = 160,
  [915] = 282,
  [916] = 270,
  [917] = 261,
  [918] = 254,
  [919] = 276,
  [920] = 213,
  [921] = 277,
  [922] = 218,
  [923] = 211,
  [924] = 285,
  [925] = 286,
  [926] = 174,
  [927] = 230,
  [928] = 232,
  [929] = 287,
  [930] = 239,
  [931] = 135,
  [932] = 253,
  [933] = 220,
  [934] = 246,
  [935] = 197,
  [936] = 204,
  [937] = 168,
  [938] = 165,
  [939] = 176,
  [940] = 268,
  [941] = 284,
  [942] = 186,
  [943] = 278,
  [944] = 162,
  [945] = 163,
  [946] = 203,
  [947] = 236,
  [948] = 225,
  [949] = 173,
  [950] = 275,
  [951] = 272,
  [952] = 281,
  [953] = 212,
  [954] = 147,
  [955] = 256,
  [956] = 217,
  [957] = 209,
  [958] = 199,
  [959] = 198,
  [960] = 170,
  [961] = 187,
  [962] = 235,
  [963] = 210,
  [964] = 171,
  [965] = 264,
  [966] = 279,
  [967] = 266,
  [968] = 148,
  [969] = 260,
  [970] = 240,
  [971] = 283,
  [972] = 200,
  [973] = 196,
  [974] = 193,
  [975] = 202,
  [976] = 195,
  [977] = 194,
  [978] = 172,
  [979] = 191,
  [980] = 219,
  [981] = 201,
  [982] = 175,
  [983] = 269,
  [984] = 245,
  [985] = 82,
  [986] = 83,
  [987] = 987,
  [988] = 97,
  [989] = 98,
  [990] = 86,
  [991] = 96,
  [992] = 92,
  [993] = 85,
  [994] = 84,
  [995] = 99,
  [996] = 996,
  [997] = 93,
  [998] = 111,
  [999] = 126,
  [1000] = 124,
  [1001] = 129,
  [1002] = 130,
  [1003] = 125,
  [1004] = 128,
  [1005] = 127,
  [1006] = 1006,
  [1007] = 154,
  [1008] = 134,
  [1009] = 151,
  [1010] = 157,
  [1011] = 137,
  [1012] = 145,
  [1013] = 141,
  [1014] = 153,
  [1015] = 139,
  [1016] = 152,
  [1017] = 146,
  [1018] = 146,
  [1019] = 133,
  [1020] = 140,
  [1021] = 147,
  [1022] = 138,
  [1023] = 132,
  [1024] = 158,
  [1025] = 155,
  [1026] = 144,
  [1027] = 156,
  [1028] = 143,
  [1029] = 136,
  [1030] = 160,
  [1031] = 152,
  [1032] = 145,
  [1033] = 159,
  [1034] = 148,
  [1035] = 260,
  [1036] = 277,
  [1037] = 171,
  [1038] = 1038,
  [1039] = 200,
  [1040] = 204,
  [1041] = 196,
  [1042] = 194,
  [1043] = 190,
  [1044] = 285,
  [1045] = 195,
  [1046] = 279,
  [1047] = 193,
  [1048] = 189,
  [1049] = 266,
  [1050] = 187,
  [1051] = 283,
  [1052] = 280,
  [1053] = 274,
  [1054] = 271,
  [1055] = 203,
  [1056] = 191,
  [1057] = 219,
  [1058] = 269,
  [1059] = 264,
  [1060] = 240,
  [1061] = 202,
  [1062] = 201,
  [1063] = 175,
  [1064] = 221,
  [1065] = 133,
  [1066] = 253,
  [1067] = 245,
  [1068] = 214,
  [1069] = 287,
  [1070] = 256,
  [1071] = 281,
  [1072] = 282,
  [1073] = 170,
  [1074] = 198,
  [1075] = 199,
  [1076] = 209,
  [1077] = 270,
  [1078] = 217,
  [1079] = 255,
  [1080] = 257,
  [1081] = 259,
  [1082] = 165,
  [1083] = 163,
  [1084] = 162,
  [1085] = 278,
  [1086] = 284,
  [1087] = 268,
  [1088] = 135,
  [1089] = 168,
  [1090] = 249,
  [1091] = 246,
  [1092] = 173,
  [1093] = 242,
  [1094] = 174,
  [1095] = 148,
  [1096] = 1096,
  [1097] = 236,
  [1098] = 147,
  [1099] = 275,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 235,
  [1103] = 232,
  [1104] = 172,
  [1105] = 239,
  [1106] = 176,
  [1107] = 186,
  [1108] = 197,
  [1109] = 231,
  [1110] = 225,
  [1111] = 272,
  [1112] = 212,
  [1113] = 230,
  [1114] = 220,
  [1115] = 254,
  [1116] = 213,
  [1117] = 135,
  [1118] = 261,
  [1119] = 276,
  [1120] = 218,
  [1121] = 211,
  [1122] = 210,
  [1123] = 286,
  [1124] = 276,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 272,
  [1130] = 1130,
  [1131] = 277,
  [1132] = 80,
  [1133] = 286,
  [1134] = 1134,
  [1135] = 261,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 80,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 82,
  [1170] = 83,
  [1171] = 85,
  [1172] = 82,
  [1173] = 86,
  [1174] = 84,
  [1175] = 80,
  [1176] = 83,
  [1177] = 92,
  [1178] = 987,
  [1179] = 99,
  [1180] = 93,
  [1181] = 97,
  [1182] = 84,
  [1183] = 85,
  [1184] = 98,
  [1185] = 96,
  [1186] = 996,
  [1187] = 111,
  [1188] = 82,
  [1189] = 127,
  [1190] = 128,
  [1191] = 126,
  [1192] = 124,
  [1193] = 83,
  [1194] = 130,
  [1195] = 125,
  [1196] = 129,
  [1197] = 145,
  [1198] = 153,
  [1199] = 134,
  [1200] = 143,
  [1201] = 146,
  [1202] = 151,
  [1203] = 84,
  [1204] = 145,
  [1205] = 156,
  [1206] = 1006,
  [1207] = 155,
  [1208] = 80,
  [1209] = 132,
  [1210] = 158,
  [1211] = 138,
  [1212] = 152,
  [1213] = 139,
  [1214] = 133,
  [1215] = 136,
  [1216] = 140,
  [1217] = 159,
  [1218] = 148,
  [1219] = 85,
  [1220] = 144,
  [1221] = 147,
  [1222] = 157,
  [1223] = 141,
  [1224] = 152,
  [1225] = 146,
  [1226] = 86,
  [1227] = 154,
  [1228] = 137,
  [1229] = 160,
  [1230] = 266,
  [1231] = 212,
  [1232] = 135,
  [1233] = 186,
  [1234] = 276,
  [1235] = 283,
  [1236] = 176,
  [1237] = 168,
  [1238] = 165,
  [1239] = 195,
  [1240] = 148,
  [1241] = 147,
  [1242] = 194,
  [1243] = 133,
  [1244] = 172,
  [1245] = 174,
  [1246] = 173,
  [1247] = 170,
  [1248] = 214,
  [1249] = 264,
  [1250] = 198,
  [1251] = 271,
  [1252] = 199,
  [1253] = 197,
  [1254] = 240,
  [1255] = 274,
  [1256] = 1038,
  [1257] = 209,
  [1258] = 217,
  [1259] = 255,
  [1260] = 203,
  [1261] = 257,
  [1262] = 135,
  [1263] = 259,
  [1264] = 163,
  [1265] = 276,
  [1266] = 162,
  [1267] = 278,
  [1268] = 1100,
  [1269] = 282,
  [1270] = 281,
  [1271] = 256,
  [1272] = 284,
  [1273] = 253,
  [1274] = 213,
  [1275] = 287,
  [1276] = 221,
  [1277] = 268,
  [1278] = 175,
  [1279] = 201,
  [1280] = 219,
  [1281] = 249,
  [1282] = 191,
  [1283] = 193,
  [1284] = 246,
  [1285] = 242,
  [1286] = 196,
  [1287] = 200,
  [1288] = 210,
  [1289] = 211,
  [1290] = 269,
  [1291] = 245,
  [1292] = 236,
  [1293] = 202,
  [1294] = 280,
  [1295] = 260,
  [1296] = 239,
  [1297] = 279,
  [1298] = 171,
  [1299] = 285,
  [1300] = 187,
  [1301] = 189,
  [1302] = 190,
  [1303] = 231,
  [1304] = 235,
  [1305] = 232,
  [1306] = 272,
  [1307] = 225,
  [1308] = 204,
  [1309] = 220,
  [1310] = 1101,
  [1311] = 270,
  [1312] = 277,
  [1313] = 1096,
  [1314] = 230,
  [1315] = 286,
  [1316] = 275,
  [1317] = 261,
  [1318] = 254,
  [1319] = 218,
  [1320] = 1130,
  [1321] = 1134,
  [1322] = 261,
  [1323] = 1127,
  [1324] = 286,
  [1325] = 277,
  [1326] = 272,
  [1327] = 1126,
  [1328] = 83,
  [1329] = 82,
  [1330] = 80,
  [1331] = 86,
  [1332] = 85,
  [1333] = 98,
  [1334] = 84,
  [1335] = 99,
  [1336] = 92,
  [1337] = 93,
  [1338] = 97,
  [1339] = 96,
  [1340] = 111,
  [1341] = 124,
  [1342] = 129,
  [1343] = 125,
  [1344] = 127,
  [1345] = 130,
  [1346] = 128,
  [1347] = 1347,
  [1348] = 126,
  [1349] = 1349,
  [1350] = 82,
  [1351] = 160,
  [1352] = 151,
  [1353] = 157,
  [1354] = 143,
  [1355] = 137,
  [1356] = 145,
  [1357] = 152,
  [1358] = 136,
  [1359] = 154,
  [1360] = 146,
  [1361] = 134,
  [1362] = 156,
  [1363] = 158,
  [1364] = 159,
  [1365] = 83,
  [1366] = 144,
  [1367] = 141,
  [1368] = 126,
  [1369] = 1369,
  [1370] = 145,
  [1371] = 152,
  [1372] = 155,
  [1373] = 132,
  [1374] = 153,
  [1375] = 147,
  [1376] = 133,
  [1377] = 138,
  [1378] = 146,
  [1379] = 148,
  [1380] = 140,
  [1381] = 139,
  [1382] = 217,
  [1383] = 225,
  [1384] = 168,
  [1385] = 283,
  [1386] = 98,
  [1387] = 93,
  [1388] = 201,
  [1389] = 280,
  [1390] = 274,
  [1391] = 137,
  [1392] = 271,
  [1393] = 264,
  [1394] = 175,
  [1395] = 173,
  [1396] = 174,
  [1397] = 165,
  [1398] = 221,
  [1399] = 176,
  [1400] = 186,
  [1401] = 214,
  [1402] = 170,
  [1403] = 194,
  [1404] = 198,
  [1405] = 199,
  [1406] = 197,
  [1407] = 209,
  [1408] = 172,
  [1409] = 1409,
  [1410] = 287,
  [1411] = 255,
  [1412] = 257,
  [1413] = 259,
  [1414] = 211,
  [1415] = 163,
  [1416] = 162,
  [1417] = 133,
  [1418] = 253,
  [1419] = 256,
  [1420] = 278,
  [1421] = 281,
  [1422] = 139,
  [1423] = 282,
  [1424] = 1424,
  [1425] = 154,
  [1426] = 212,
  [1427] = 140,
  [1428] = 284,
  [1429] = 213,
  [1430] = 203,
  [1431] = 268,
  [1432] = 195,
  [1433] = 249,
  [1434] = 246,
  [1435] = 1435,
  [1436] = 242,
  [1437] = 144,
  [1438] = 141,
  [1439] = 239,
  [1440] = 231,
  [1441] = 230,
  [1442] = 1442,
  [1443] = 191,
  [1444] = 193,
  [1445] = 196,
  [1446] = 200,
  [1447] = 218,
  [1448] = 96,
  [1449] = 92,
  [1450] = 97,
  [1451] = 254,
  [1452] = 261,
  [1453] = 1453,
  [1454] = 275,
  [1455] = 1455,
  [1456] = 286,
  [1457] = 277,
  [1458] = 272,
  [1459] = 270,
  [1460] = 210,
  [1461] = 220,
  [1462] = 204,
  [1463] = 219,
  [1464] = 269,
  [1465] = 232,
  [1466] = 86,
  [1467] = 235,
  [1468] = 190,
  [1469] = 1469,
  [1470] = 135,
  [1471] = 189,
  [1472] = 187,
  [1473] = 99,
  [1474] = 1474,
  [1475] = 245,
  [1476] = 147,
  [1477] = 148,
  [1478] = 276,
  [1479] = 285,
  [1480] = 236,
  [1481] = 171,
  [1482] = 202,
  [1483] = 240,
  [1484] = 279,
  [1485] = 260,
  [1486] = 266,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 197,
  [1491] = 1491,
  [1492] = 186,
  [1493] = 176,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 173,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 168,
  [1511] = 165,
  [1512] = 84,
  [1513] = 85,
  [1514] = 1514,
  [1515] = 147,
  [1516] = 148,
  [1517] = 111,
  [1518] = 1518,
  [1519] = 213,
  [1520] = 1520,
  [1521] = 236,
  [1522] = 1522,
  [1523] = 269,
  [1524] = 235,
  [1525] = 285,
  [1526] = 232,
  [1527] = 225,
  [1528] = 220,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 218,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 287,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 174,
  [1542] = 212,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 145,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 127,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 125,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 152,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 124,
  [1641] = 129,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 203,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 126,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 128,
  [1676] = 130,
  [1677] = 1677,
  [1678] = 146,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 158,
  [1683] = 146,
  [1684] = 132,
  [1685] = 138,
  [1686] = 155,
  [1687] = 151,
  [1688] = 160,
  [1689] = 152,
  [1690] = 1690,
  [1691] = 144,
  [1692] = 134,
  [1693] = 143,
  [1694] = 139,
  [1695] = 1695,
  [1696] = 145,
  [1697] = 159,
  [1698] = 141,
  [1699] = 80,
  [1700] = 156,
  [1701] = 1701,
  [1702] = 146,
  [1703] = 152,
  [1704] = 148,
  [1705] = 147,
  [1706] = 154,
  [1707] = 145,
  [1708] = 153,
  [1709] = 259,
  [1710] = 80,
  [1711] = 137,
  [1712] = 133,
  [1713] = 136,
  [1714] = 157,
  [1715] = 140,
  [1716] = 271,
  [1717] = 283,
  [1718] = 270,
  [1719] = 260,
  [1720] = 240,
  [1721] = 202,
  [1722] = 245,
  [1723] = 210,
  [1724] = 200,
  [1725] = 287,
  [1726] = 196,
  [1727] = 193,
  [1728] = 191,
  [1729] = 219,
  [1730] = 269,
  [1731] = 201,
  [1732] = 175,
  [1733] = 221,
  [1734] = 253,
  [1735] = 285,
  [1736] = 256,
  [1737] = 281,
  [1738] = 282,
  [1739] = 171,
  [1740] = 165,
  [1741] = 80,
  [1742] = 214,
  [1743] = 168,
  [1744] = 187,
  [1745] = 189,
  [1746] = 190,
  [1747] = 203,
  [1748] = 204,
  [1749] = 173,
  [1750] = 174,
  [1751] = 176,
  [1752] = 186,
  [1753] = 272,
  [1754] = 277,
  [1755] = 286,
  [1756] = 275,
  [1757] = 211,
  [1758] = 197,
  [1759] = 261,
  [1760] = 254,
  [1761] = 276,
  [1762] = 172,
  [1763] = 230,
  [1764] = 231,
  [1765] = 135,
  [1766] = 239,
  [1767] = 212,
  [1768] = 213,
  [1769] = 242,
  [1770] = 246,
  [1771] = 249,
  [1772] = 268,
  [1773] = 1773,
  [1774] = 284,
  [1775] = 148,
  [1776] = 147,
  [1777] = 266,
  [1778] = 162,
  [1779] = 163,
  [1780] = 236,
  [1781] = 218,
  [1782] = 194,
  [1783] = 257,
  [1784] = 195,
  [1785] = 255,
  [1786] = 217,
  [1787] = 209,
  [1788] = 1788,
  [1789] = 279,
  [1790] = 199,
  [1791] = 280,
  [1792] = 274,
  [1793] = 264,
  [1794] = 198,
  [1795] = 220,
  [1796] = 235,
  [1797] = 133,
  [1798] = 232,
  [1799] = 278,
  [1800] = 225,
  [1801] = 170,
  [1802] = 82,
  [1803] = 83,
  [1804] = 144,
  [1805] = 83,
  [1806] = 140,
  [1807] = 86,
  [1808] = 80,
  [1809] = 137,
  [1810] = 82,
  [1811] = 139,
  [1812] = 141,
  [1813] = 80,
  [1814] = 80,
  [1815] = 1349,
  [1816] = 85,
  [1817] = 82,
  [1818] = 86,
  [1819] = 83,
  [1820] = 80,
  [1821] = 84,
  [1822] = 84,
  [1823] = 80,
  [1824] = 85,
  [1825] = 1369,
  [1826] = 86,
  [1827] = 1469,
  [1828] = 1453,
  [1829] = 84,
  [1830] = 85,
  [1831] = 82,
  [1832] = 83,
  [1833] = 82,
  [1834] = 83,
  [1835] = 82,
  [1836] = 1634,
  [1837] = 141,
  [1838] = 140,
  [1839] = 145,
  [1840] = 1660,
  [1841] = 1589,
  [1842] = 1842,
  [1843] = 1546,
  [1844] = 83,
  [1845] = 137,
  [1846] = 1666,
  [1847] = 1655,
  [1848] = 146,
  [1849] = 83,
  [1850] = 1574,
  [1851] = 1633,
  [1852] = 1566,
  [1853] = 144,
  [1854] = 1581,
  [1855] = 203,
  [1856] = 1584,
  [1857] = 1613,
  [1858] = 1573,
  [1859] = 139,
  [1860] = 1619,
  [1861] = 1617,
  [1862] = 1652,
  [1863] = 1551,
  [1864] = 1651,
  [1865] = 1595,
  [1866] = 82,
  [1867] = 152,
  [1868] = 1868,
  [1869] = 86,
  [1870] = 85,
  [1871] = 86,
  [1872] = 84,
  [1873] = 82,
  [1874] = 1874,
  [1875] = 84,
  [1876] = 85,
  [1877] = 83,
  [1878] = 84,
  [1879] = 86,
  [1880] = 85,
  [1881] = 84,
  [1882] = 85,
  [1883] = 84,
  [1884] = 85,
  [1885] = 144,
  [1886] = 137,
  [1887] = 141,
  [1888] = 141,
  [1889] = 140,
  [1890] = 140,
  [1891] = 137,
  [1892] = 1892,
  [1893] = 139,
  [1894] = 144,
  [1895] = 139,
  [1896] = 144,
  [1897] = 141,
  [1898] = 139,
  [1899] = 1899,
  [1900] = 140,
  [1901] = 137,
  [1902] = 1902,
  [1903] = 146,
  [1904] = 1904,
  [1905] = 152,
  [1906] = 145,
  [1907] = 1907,
  [1908] = 139,
  [1909] = 141,
  [1910] = 1910,
  [1911] = 144,
  [1912] = 137,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 140,
  [1916] = 140,
  [1917] = 141,
  [1918] = 144,
  [1919] = 1919,
  [1920] = 139,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 137,
  [1924] = 140,
  [1925] = 137,
  [1926] = 144,
  [1927] = 141,
  [1928] = 1928,
  [1929] = 139,
  [1930] = 80,
  [1931] = 80,
  [1932] = 1932,
  [1933] = 1932,
  [1934] = 1932,
  [1935] = 1932,
  [1936] = 1932,
  [1937] = 1932,
  [1938] = 1932,
  [1939] = 1932,
  [1940] = 1932,
  [1941] = 1932,
  [1942] = 1932,
  [1943] = 1932,
  [1944] = 1932,
  [1945] = 1932,
  [1946] = 1932,
  [1947] = 1932,
  [1948] = 1932,
  [1949] = 1932,
  [1950] = 1932,
  [1951] = 83,
  [1952] = 82,
  [1953] = 80,
  [1954] = 1954,
  [1955] = 83,
  [1956] = 1956,
  [1957] = 80,
  [1958] = 82,
  [1959] = 84,
  [1960] = 1956,
  [1961] = 80,
  [1962] = 85,
  [1963] = 1956,
  [1964] = 1964,
  [1965] = 1964,
  [1966] = 1956,
  [1967] = 84,
  [1968] = 1956,
  [1969] = 1964,
  [1970] = 1956,
  [1971] = 1964,
  [1972] = 1964,
  [1973] = 1956,
  [1974] = 1964,
  [1975] = 1956,
  [1976] = 1964,
  [1977] = 1964,
  [1978] = 85,
  [1979] = 1956,
  [1980] = 1964,
  [1981] = 80,
  [1982] = 1956,
  [1983] = 1964,
  [1984] = 1956,
  [1985] = 1956,
  [1986] = 1964,
  [1987] = 1964,
  [1988] = 1964,
  [1989] = 1956,
  [1990] = 1956,
  [1991] = 1964,
  [1992] = 1992,
  [1993] = 83,
  [1994] = 82,
  [1995] = 1992,
  [1996] = 1996,
  [1997] = 83,
  [1998] = 1998,
  [1999] = 1996,
  [2000] = 1996,
  [2001] = 1996,
  [2002] = 1996,
  [2003] = 1996,
  [2004] = 1996,
  [2005] = 1996,
  [2006] = 1996,
  [2007] = 1996,
  [2008] = 1996,
  [2009] = 1996,
  [2010] = 1996,
  [2011] = 1996,
  [2012] = 1996,
  [2013] = 2013,
  [2014] = 1996,
  [2015] = 82,
  [2016] = 1996,
  [2017] = 1996,
  [2018] = 1996,
  [2019] = 1996,
  [2020] = 1996,
  [2021] = 2021,
  [2022] = 1996,
  [2023] = 1996,
  [2024] = 84,
  [2025] = 85,
  [2026] = 83,
  [2027] = 85,
  [2028] = 82,
  [2029] = 84,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 83,
  [2034] = 82,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2035,
  [2038] = 2035,
  [2039] = 85,
  [2040] = 2035,
  [2041] = 2035,
  [2042] = 2035,
  [2043] = 2035,
  [2044] = 2035,
  [2045] = 2035,
  [2046] = 2035,
  [2047] = 2035,
  [2048] = 2035,
  [2049] = 2035,
  [2050] = 2035,
  [2051] = 2035,
  [2052] = 2035,
  [2053] = 84,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 84,
  [2057] = 85,
  [2058] = 1868,
  [2059] = 139,
  [2060] = 140,
  [2061] = 137,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2066,
  [2068] = 2068,
  [2069] = 2066,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2066,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2071,
  [2078] = 2070,
  [2079] = 2073,
  [2080] = 2071,
  [2081] = 2072,
  [2082] = 2066,
  [2083] = 2071,
  [2084] = 2084,
  [2085] = 2075,
  [2086] = 2070,
  [2087] = 2066,
  [2088] = 2073,
  [2089] = 2075,
  [2090] = 2072,
  [2091] = 2076,
  [2092] = 2071,
  [2093] = 2072,
  [2094] = 2066,
  [2095] = 2095,
  [2096] = 2072,
  [2097] = 2084,
  [2098] = 2066,
  [2099] = 2066,
  [2100] = 2071,
  [2101] = 2075,
  [2102] = 2073,
  [2103] = 2070,
  [2104] = 2084,
  [2105] = 2066,
  [2106] = 2066,
  [2107] = 2066,
  [2108] = 2066,
  [2109] = 2073,
  [2110] = 2070,
  [2111] = 2066,
  [2112] = 2070,
  [2113] = 2072,
  [2114] = 2075,
  [2115] = 2076,
  [2116] = 2073,
  [2117] = 2084,
  [2118] = 2071,
  [2119] = 2072,
  [2120] = 2076,
  [2121] = 2072,
  [2122] = 2071,
  [2123] = 2066,
  [2124] = 2073,
  [2125] = 2076,
  [2126] = 2075,
  [2127] = 2070,
  [2128] = 2066,
  [2129] = 2071,
  [2130] = 2072,
  [2131] = 2076,
  [2132] = 2072,
  [2133] = 2071,
  [2134] = 2075,
  [2135] = 2084,
  [2136] = 2084,
  [2137] = 2075,
  [2138] = 2073,
  [2139] = 2073,
  [2140] = 2075,
  [2141] = 2075,
  [2142] = 2076,
  [2143] = 2070,
  [2144] = 2076,
  [2145] = 2070,
  [2146] = 2066,
  [2147] = 2070,
  [2148] = 2073,
  [2149] = 2072,
  [2150] = 2072,
  [2151] = 2071,
  [2152] = 2071,
  [2153] = 2075,
  [2154] = 2076,
  [2155] = 2084,
  [2156] = 2076,
  [2157] = 2076,
  [2158] = 2075,
  [2159] = 2076,
  [2160] = 2071,
  [2161] = 2072,
  [2162] = 2075,
  [2163] = 2066,
  [2164] = 2076,
  [2165] = 2072,
  [2166] = 2084,
  [2167] = 2075,
  [2168] = 2073,
  [2169] = 2071,
  [2170] = 2070,
  [2171] = 2072,
  [2172] = 2076,
  [2173] = 2070,
  [2174] = 2076,
  [2175] = 2084,
  [2176] = 2075,
  [2177] = 2071,
  [2178] = 2072,
  [2179] = 2071,
  [2180] = 2071,
  [2181] = 2066,
  [2182] = 2071,
  [2183] = 2073,
  [2184] = 2066,
  [2185] = 2072,
  [2186] = 2070,
  [2187] = 2084,
  [2188] = 2066,
  [2189] = 2076,
  [2190] = 2072,
  [2191] = 2072,
  [2192] = 2075,
  [2193] = 2068,
  [2194] = 2071,
  [2195] = 2075,
  [2196] = 2076,
  [2197] = 2070,
  [2198] = 2075,
  [2199] = 2084,
  [2200] = 2075,
  [2201] = 2076,
  [2202] = 2076,
  [2203] = 2084,
  [2204] = 2072,
  [2205] = 2073,
  [2206] = 2070,
  [2207] = 2071,
  [2208] = 2071,
  [2209] = 2072,
  [2210] = 2076,
  [2211] = 2076,
  [2212] = 2066,
  [2213] = 2072,
  [2214] = 2071,
  [2215] = 2075,
  [2216] = 2075,
  [2217] = 2073,
  [2218] = 2070,
  [2219] = 2076,
  [2220] = 2073,
  [2221] = 2075,
  [2222] = 2222,
  [2223] = 2075,
  [2224] = 2084,
  [2225] = 2084,
  [2226] = 2070,
  [2227] = 2066,
  [2228] = 2084,
  [2229] = 2072,
  [2230] = 2073,
  [2231] = 2071,
  [2232] = 2073,
  [2233] = 2084,
  [2234] = 2076,
  [2235] = 98,
  [2236] = 99,
  [2237] = 97,
  [2238] = 96,
  [2239] = 92,
  [2240] = 93,
  [2241] = 111,
  [2242] = 137,
  [2243] = 139,
  [2244] = 144,
  [2245] = 141,
  [2246] = 140,
  [2247] = 2247,
  [2248] = 137,
  [2249] = 129,
  [2250] = 140,
  [2251] = 127,
  [2252] = 146,
  [2253] = 145,
  [2254] = 144,
  [2255] = 124,
  [2256] = 139,
  [2257] = 130,
  [2258] = 152,
  [2259] = 125,
  [2260] = 141,
  [2261] = 128,
  [2262] = 156,
  [2263] = 148,
  [2264] = 147,
  [2265] = 136,
  [2266] = 138,
  [2267] = 153,
  [2268] = 151,
  [2269] = 143,
  [2270] = 133,
  [2271] = 126,
  [2272] = 157,
  [2273] = 132,
  [2274] = 134,
  [2275] = 154,
  [2276] = 158,
  [2277] = 159,
  [2278] = 160,
  [2279] = 284,
  [2280] = 195,
  [2281] = 155,
  [2282] = 275,
  [2283] = 264,
  [2284] = 269,
  [2285] = 287,
  [2286] = 133,
  [2287] = 148,
  [2288] = 147,
  [2289] = 211,
  [2290] = 996,
  [2291] = 218,
  [2292] = 111,
  [2293] = 97,
  [2294] = 197,
  [2295] = 282,
  [2296] = 281,
  [2297] = 256,
  [2298] = 253,
  [2299] = 221,
  [2300] = 175,
  [2301] = 2301,
  [2302] = 201,
  [2303] = 219,
  [2304] = 191,
  [2305] = 193,
  [2306] = 196,
  [2307] = 200,
  [2308] = 92,
  [2309] = 210,
  [2310] = 245,
  [2311] = 186,
  [2312] = 202,
  [2313] = 93,
  [2314] = 172,
  [2315] = 176,
  [2316] = 240,
  [2317] = 174,
  [2318] = 260,
  [2319] = 266,
  [2320] = 279,
  [2321] = 171,
  [2322] = 135,
  [2323] = 173,
  [2324] = 187,
  [2325] = 189,
  [2326] = 190,
  [2327] = 204,
  [2328] = 99,
  [2329] = 270,
  [2330] = 272,
  [2331] = 277,
  [2332] = 286,
  [2333] = 137,
  [2334] = 261,
  [2335] = 254,
  [2336] = 139,
  [2337] = 225,
  [2338] = 987,
  [2339] = 168,
  [2340] = 96,
  [2341] = 212,
  [2342] = 213,
  [2343] = 2301,
  [2344] = 165,
  [2345] = 230,
  [2346] = 231,
  [2347] = 239,
  [2348] = 236,
  [2349] = 194,
  [2350] = 220,
  [2351] = 242,
  [2352] = 246,
  [2353] = 249,
  [2354] = 2354,
  [2355] = 268,
  [2356] = 140,
  [2357] = 203,
  [2358] = 285,
  [2359] = 144,
  [2360] = 278,
  [2361] = 162,
  [2362] = 163,
  [2363] = 235,
  [2364] = 259,
  [2365] = 257,
  [2366] = 255,
  [2367] = 232,
  [2368] = 283,
  [2369] = 98,
  [2370] = 217,
  [2371] = 209,
  [2372] = 199,
  [2373] = 198,
  [2374] = 280,
  [2375] = 274,
  [2376] = 170,
  [2377] = 214,
  [2378] = 271,
  [2379] = 276,
  [2380] = 141,
  [2381] = 996,
  [2382] = 2382,
  [2383] = 145,
  [2384] = 147,
  [2385] = 125,
  [2386] = 146,
  [2387] = 2387,
  [2388] = 148,
  [2389] = 130,
  [2390] = 128,
  [2391] = 127,
  [2392] = 129,
  [2393] = 124,
  [2394] = 152,
  [2395] = 157,
  [2396] = 133,
  [2397] = 153,
  [2398] = 143,
  [2399] = 156,
  [2400] = 151,
  [2401] = 134,
  [2402] = 126,
  [2403] = 136,
  [2404] = 195,
  [2405] = 138,
  [2406] = 132,
  [2407] = 158,
  [2408] = 284,
  [2409] = 135,
  [2410] = 276,
  [2411] = 2411,
  [2412] = 155,
  [2413] = 160,
  [2414] = 195,
  [2415] = 159,
  [2416] = 154,
  [2417] = 212,
  [2418] = 286,
  [2419] = 232,
  [2420] = 264,
  [2421] = 271,
  [2422] = 1096,
  [2423] = 203,
  [2424] = 274,
  [2425] = 148,
  [2426] = 230,
  [2427] = 231,
  [2428] = 147,
  [2429] = 1100,
  [2430] = 239,
  [2431] = 283,
  [2432] = 210,
  [2433] = 261,
  [2434] = 1101,
  [2435] = 1038,
  [2436] = 194,
  [2437] = 172,
  [2438] = 165,
  [2439] = 198,
  [2440] = 168,
  [2441] = 275,
  [2442] = 278,
  [2443] = 254,
  [2444] = 199,
  [2445] = 282,
  [2446] = 281,
  [2447] = 256,
  [2448] = 253,
  [2449] = 221,
  [2450] = 209,
  [2451] = 217,
  [2452] = 170,
  [2453] = 133,
  [2454] = 175,
  [2455] = 201,
  [2456] = 219,
  [2457] = 191,
  [2458] = 193,
  [2459] = 196,
  [2460] = 277,
  [2461] = 200,
  [2462] = 272,
  [2463] = 211,
  [2464] = 268,
  [2465] = 173,
  [2466] = 174,
  [2467] = 287,
  [2468] = 176,
  [2469] = 186,
  [2470] = 269,
  [2471] = 245,
  [2472] = 236,
  [2473] = 270,
  [2474] = 280,
  [2475] = 162,
  [2476] = 249,
  [2477] = 197,
  [2478] = 202,
  [2479] = 285,
  [2480] = 240,
  [2481] = 204,
  [2482] = 242,
  [2483] = 213,
  [2484] = 163,
  [2485] = 190,
  [2486] = 235,
  [2487] = 260,
  [2488] = 225,
  [2489] = 266,
  [2490] = 220,
  [2491] = 189,
  [2492] = 259,
  [2493] = 187,
  [2494] = 255,
  [2495] = 246,
  [2496] = 279,
  [2497] = 257,
  [2498] = 171,
  [2499] = 218,
  [2500] = 214,
  [2501] = 133,
  [2502] = 1100,
  [2503] = 2503,
  [2504] = 97,
  [2505] = 93,
  [2506] = 98,
  [2507] = 96,
  [2508] = 97,
  [2509] = 97,
  [2510] = 92,
  [2511] = 111,
  [2512] = 98,
  [2513] = 96,
  [2514] = 99,
  [2515] = 92,
  [2516] = 99,
  [2517] = 111,
  [2518] = 93,
  [2519] = 99,
  [2520] = 93,
  [2521] = 98,
  [2522] = 92,
  [2523] = 147,
  [2524] = 148,
  [2525] = 96,
  [2526] = 152,
  [2527] = 146,
  [2528] = 145,
  [2529] = 129,
  [2530] = 130,
  [2531] = 125,
  [2532] = 147,
  [2533] = 127,
  [2534] = 124,
  [2535] = 2535,
  [2536] = 148,
  [2537] = 2537,
  [2538] = 128,
  [2539] = 136,
  [2540] = 125,
  [2541] = 124,
  [2542] = 2542,
  [2543] = 152,
  [2544] = 127,
  [2545] = 2545,
  [2546] = 146,
  [2547] = 111,
  [2548] = 125,
  [2549] = 124,
  [2550] = 129,
  [2551] = 128,
  [2552] = 134,
  [2553] = 127,
  [2554] = 145,
  [2555] = 126,
  [2556] = 128,
  [2557] = 130,
  [2558] = 133,
  [2559] = 143,
  [2560] = 151,
  [2561] = 157,
  [2562] = 156,
  [2563] = 148,
  [2564] = 147,
  [2565] = 195,
  [2566] = 126,
  [2567] = 143,
  [2568] = 2568,
  [2569] = 130,
  [2570] = 153,
  [2571] = 129,
  [2572] = 138,
  [2573] = 126,
  [2574] = 135,
  [2575] = 132,
  [2576] = 151,
  [2577] = 136,
  [2578] = 195,
  [2579] = 136,
  [2580] = 2580,
  [2581] = 156,
  [2582] = 135,
  [2583] = 153,
  [2584] = 154,
  [2585] = 133,
  [2586] = 276,
  [2587] = 151,
  [2588] = 276,
  [2589] = 2589,
  [2590] = 138,
  [2591] = 143,
  [2592] = 134,
  [2593] = 157,
  [2594] = 138,
  [2595] = 133,
  [2596] = 132,
  [2597] = 156,
  [2598] = 146,
  [2599] = 152,
  [2600] = 145,
  [2601] = 132,
  [2602] = 157,
  [2603] = 153,
  [2604] = 134,
  [2605] = 213,
  [2606] = 232,
  [2607] = 145,
  [2608] = 152,
  [2609] = 146,
  [2610] = 176,
  [2611] = 174,
  [2612] = 173,
  [2613] = 195,
  [2614] = 285,
  [2615] = 158,
  [2616] = 159,
  [2617] = 160,
  [2618] = 168,
  [2619] = 280,
  [2620] = 218,
  [2621] = 274,
  [2622] = 165,
  [2623] = 271,
  [2624] = 197,
  [2625] = 451,
  [2626] = 2626,
  [2627] = 133,
  [2628] = 214,
  [2629] = 186,
  [2630] = 996,
  [2631] = 987,
  [2632] = 155,
  [2633] = 255,
  [2634] = 257,
  [2635] = 259,
  [2636] = 284,
  [2637] = 249,
  [2638] = 242,
  [2639] = 287,
  [2640] = 231,
  [2641] = 158,
  [2642] = 284,
  [2643] = 159,
  [2644] = 160,
  [2645] = 154,
  [2646] = 287,
  [2647] = 190,
  [2648] = 212,
  [2649] = 189,
  [2650] = 284,
  [2651] = 154,
  [2652] = 232,
  [2653] = 155,
  [2654] = 269,
  [2655] = 158,
  [2656] = 159,
  [2657] = 160,
  [2658] = 236,
  [2659] = 155,
  [2660] = 221,
  [2661] = 225,
  [2662] = 235,
  [2663] = 220,
  [2664] = 269,
  [2665] = 162,
  [2666] = 217,
  [2667] = 97,
  [2668] = 242,
  [2669] = 255,
  [2670] = 172,
  [2671] = 239,
  [2672] = 217,
  [2673] = 209,
  [2674] = 199,
  [2675] = 198,
  [2676] = 92,
  [2677] = 231,
  [2678] = 170,
  [2679] = 230,
  [2680] = 93,
  [2681] = 194,
  [2682] = 214,
  [2683] = 2683,
  [2684] = 286,
  [2685] = 261,
  [2686] = 254,
  [2687] = 264,
  [2688] = 271,
  [2689] = 274,
  [2690] = 280,
  [2691] = 283,
  [2692] = 283,
  [2693] = 194,
  [2694] = 96,
  [2695] = 97,
  [2696] = 275,
  [2697] = 270,
  [2698] = 172,
  [2699] = 282,
  [2700] = 200,
  [2701] = 281,
  [2702] = 2702,
  [2703] = 256,
  [2704] = 204,
  [2705] = 264,
  [2706] = 2706,
  [2707] = 451,
  [2708] = 253,
  [2709] = 190,
  [2710] = 221,
  [2711] = 175,
  [2712] = 201,
  [2713] = 219,
  [2714] = 125,
  [2715] = 191,
  [2716] = 193,
  [2717] = 196,
  [2718] = 211,
  [2719] = 210,
  [2720] = 99,
  [2721] = 147,
  [2722] = 148,
  [2723] = 282,
  [2724] = 281,
  [2725] = 245,
  [2726] = 256,
  [2727] = 253,
  [2728] = 236,
  [2729] = 189,
  [2730] = 202,
  [2731] = 187,
  [2732] = 170,
  [2733] = 2733,
  [2734] = 240,
  [2735] = 98,
  [2736] = 261,
  [2737] = 260,
  [2738] = 286,
  [2739] = 277,
  [2740] = 272,
  [2741] = 256,
  [2742] = 266,
  [2743] = 279,
  [2744] = 282,
  [2745] = 175,
  [2746] = 171,
  [2747] = 285,
  [2748] = 98,
  [2749] = 203,
  [2750] = 198,
  [2751] = 128,
  [2752] = 199,
  [2753] = 187,
  [2754] = 189,
  [2755] = 190,
  [2756] = 201,
  [2757] = 219,
  [2758] = 235,
  [2759] = 209,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 133,
  [2763] = 172,
  [2764] = 225,
  [2765] = 204,
  [2766] = 191,
  [2767] = 220,
  [2768] = 281,
  [2769] = 193,
  [2770] = 127,
  [2771] = 173,
  [2772] = 217,
  [2773] = 196,
  [2774] = 270,
  [2775] = 171,
  [2776] = 239,
  [2777] = 194,
  [2778] = 275,
  [2779] = 279,
  [2780] = 210,
  [2781] = 254,
  [2782] = 245,
  [2783] = 287,
  [2784] = 202,
  [2785] = 240,
  [2786] = 124,
  [2787] = 269,
  [2788] = 202,
  [2789] = 253,
  [2790] = 259,
  [2791] = 260,
  [2792] = 211,
  [2793] = 266,
  [2794] = 279,
  [2795] = 218,
  [2796] = 163,
  [2797] = 230,
  [2798] = 231,
  [2799] = 266,
  [2800] = 239,
  [2801] = 221,
  [2802] = 260,
  [2803] = 99,
  [2804] = 240,
  [2805] = 242,
  [2806] = 246,
  [2807] = 249,
  [2808] = 171,
  [2809] = 175,
  [2810] = 268,
  [2811] = 2626,
  [2812] = 165,
  [2813] = 213,
  [2814] = 201,
  [2815] = 232,
  [2816] = 212,
  [2817] = 278,
  [2818] = 163,
  [2819] = 249,
  [2820] = 168,
  [2821] = 187,
  [2822] = 219,
  [2823] = 133,
  [2824] = 191,
  [2825] = 193,
  [2826] = 162,
  [2827] = 278,
  [2828] = 246,
  [2829] = 147,
  [2830] = 283,
  [2831] = 148,
  [2832] = 163,
  [2833] = 211,
  [2834] = 203,
  [2835] = 259,
  [2836] = 280,
  [2837] = 274,
  [2838] = 203,
  [2839] = 204,
  [2840] = 257,
  [2841] = 271,
  [2842] = 255,
  [2843] = 264,
  [2844] = 147,
  [2845] = 148,
  [2846] = 268,
  [2847] = 196,
  [2848] = 257,
  [2849] = 270,
  [2850] = 268,
  [2851] = 165,
  [2852] = 168,
  [2853] = 246,
  [2854] = 245,
  [2855] = 174,
  [2856] = 176,
  [2857] = 209,
  [2858] = 173,
  [2859] = 174,
  [2860] = 176,
  [2861] = 186,
  [2862] = 186,
  [2863] = 197,
  [2864] = 275,
  [2865] = 236,
  [2866] = 212,
  [2867] = 285,
  [2868] = 213,
  [2869] = 272,
  [2870] = 254,
  [2871] = 277,
  [2872] = 214,
  [2873] = 200,
  [2874] = 162,
  [2875] = 210,
  [2876] = 278,
  [2877] = 170,
  [2878] = 197,
  [2879] = 218,
  [2880] = 199,
  [2881] = 230,
  [2882] = 220,
  [2883] = 225,
  [2884] = 200,
  [2885] = 198,
  [2886] = 235,
  [2887] = 134,
  [2888] = 151,
  [2889] = 133,
  [2890] = 96,
  [2891] = 111,
  [2892] = 987,
  [2893] = 996,
  [2894] = 143,
  [2895] = 111,
  [2896] = 111,
  [2897] = 93,
  [2898] = 92,
  [2899] = 136,
  [2900] = 111,
  [2901] = 111,
  [2902] = 124,
  [2903] = 125,
  [2904] = 125,
  [2905] = 145,
  [2906] = 127,
  [2907] = 128,
  [2908] = 127,
  [2909] = 130,
  [2910] = 2247,
  [2911] = 128,
  [2912] = 93,
  [2913] = 145,
  [2914] = 111,
  [2915] = 146,
  [2916] = 97,
  [2917] = 98,
  [2918] = 99,
  [2919] = 96,
  [2920] = 129,
  [2921] = 1424,
  [2922] = 152,
  [2923] = 146,
  [2924] = 124,
  [2925] = 152,
  [2926] = 92,
  [2927] = 2927,
  [2928] = 2927,
  [2929] = 276,
  [2930] = 135,
  [2931] = 2927,
  [2932] = 148,
  [2933] = 147,
  [2934] = 133,
  [2935] = 130,
  [2936] = 136,
  [2937] = 157,
  [2938] = 126,
  [2939] = 135,
  [2940] = 129,
  [2941] = 143,
  [2942] = 2927,
  [2943] = 276,
  [2944] = 2927,
  [2945] = 153,
  [2946] = 2927,
  [2947] = 2927,
  [2948] = 2927,
  [2949] = 2927,
  [2950] = 132,
  [2951] = 2927,
  [2952] = 134,
  [2953] = 151,
  [2954] = 138,
  [2955] = 2927,
  [2956] = 133,
  [2957] = 148,
  [2958] = 157,
  [2959] = 2927,
  [2960] = 147,
  [2961] = 156,
  [2962] = 2927,
  [2963] = 996,
  [2964] = 151,
  [2965] = 2927,
  [2966] = 2927,
  [2967] = 134,
  [2968] = 143,
  [2969] = 136,
  [2970] = 125,
  [2971] = 276,
  [2972] = 159,
  [2973] = 158,
  [2974] = 286,
  [2975] = 145,
  [2976] = 284,
  [2977] = 160,
  [2978] = 2978,
  [2979] = 2979,
  [2980] = 153,
  [2981] = 885,
  [2982] = 2982,
  [2983] = 152,
  [2984] = 2984,
  [2985] = 261,
  [2986] = 2984,
  [2987] = 907,
  [2988] = 195,
  [2989] = 276,
  [2990] = 132,
  [2991] = 2991,
  [2992] = 138,
  [2993] = 146,
  [2994] = 155,
  [2995] = 2995,
  [2996] = 148,
  [2997] = 2984,
  [2998] = 2984,
  [2999] = 135,
  [3000] = 2984,
  [3001] = 156,
  [3002] = 147,
  [3003] = 126,
  [3004] = 1100,
  [3005] = 129,
  [3006] = 124,
  [3007] = 2984,
  [3008] = 195,
  [3009] = 2984,
  [3010] = 135,
  [3011] = 1096,
  [3012] = 2984,
  [3013] = 2984,
  [3014] = 157,
  [3015] = 127,
  [3016] = 286,
  [3017] = 2984,
  [3018] = 272,
  [3019] = 154,
  [3020] = 1006,
  [3021] = 277,
  [3022] = 272,
  [3023] = 2984,
  [3024] = 277,
  [3025] = 2984,
  [3026] = 195,
  [3027] = 2984,
  [3028] = 130,
  [3029] = 195,
  [3030] = 2984,
  [3031] = 128,
  [3032] = 261,
  [3033] = 156,
  [3034] = 3034,
  [3035] = 134,
  [3036] = 171,
  [3037] = 135,
  [3038] = 279,
  [3039] = 266,
  [3040] = 260,
  [3041] = 264,
  [3042] = 285,
  [3043] = 133,
  [3044] = 240,
  [3045] = 236,
  [3046] = 189,
  [3047] = 235,
  [3048] = 225,
  [3049] = 220,
  [3050] = 147,
  [3051] = 148,
  [3052] = 218,
  [3053] = 202,
  [3054] = 151,
  [3055] = 133,
  [3056] = 143,
  [3057] = 213,
  [3058] = 212,
  [3059] = 197,
  [3060] = 186,
  [3061] = 176,
  [3062] = 174,
  [3063] = 245,
  [3064] = 3064,
  [3065] = 210,
  [3066] = 173,
  [3067] = 168,
  [3068] = 200,
  [3069] = 165,
  [3070] = 3034,
  [3071] = 196,
  [3072] = 155,
  [3073] = 193,
  [3074] = 136,
  [3075] = 3034,
  [3076] = 199,
  [3077] = 191,
  [3078] = 170,
  [3079] = 198,
  [3080] = 203,
  [3081] = 3034,
  [3082] = 187,
  [3083] = 189,
  [3084] = 190,
  [3085] = 219,
  [3086] = 201,
  [3087] = 175,
  [3088] = 221,
  [3089] = 280,
  [3090] = 271,
  [3091] = 253,
  [3092] = 195,
  [3093] = 209,
  [3094] = 217,
  [3095] = 256,
  [3096] = 3034,
  [3097] = 126,
  [3098] = 274,
  [3099] = 274,
  [3100] = 271,
  [3101] = 3034,
  [3102] = 133,
  [3103] = 160,
  [3104] = 3034,
  [3105] = 159,
  [3106] = 3034,
  [3107] = 158,
  [3108] = 281,
  [3109] = 204,
  [3110] = 282,
  [3111] = 135,
  [3112] = 287,
  [3113] = 269,
  [3114] = 3034,
  [3115] = 249,
  [3116] = 272,
  [3117] = 277,
  [3118] = 286,
  [3119] = 261,
  [3120] = 138,
  [3121] = 172,
  [3122] = 231,
  [3123] = 270,
  [3124] = 261,
  [3125] = 214,
  [3126] = 286,
  [3127] = 275,
  [3128] = 232,
  [3129] = 254,
  [3130] = 1101,
  [3131] = 276,
  [3132] = 3034,
  [3133] = 230,
  [3134] = 277,
  [3135] = 284,
  [3136] = 242,
  [3137] = 272,
  [3138] = 255,
  [3139] = 257,
  [3140] = 3034,
  [3141] = 231,
  [3142] = 280,
  [3143] = 132,
  [3144] = 239,
  [3145] = 242,
  [3146] = 276,
  [3147] = 221,
  [3148] = 3034,
  [3149] = 255,
  [3150] = 190,
  [3151] = 257,
  [3152] = 246,
  [3153] = 194,
  [3154] = 153,
  [3155] = 214,
  [3156] = 3034,
  [3157] = 268,
  [3158] = 249,
  [3159] = 907,
  [3160] = 154,
  [3161] = 885,
  [3162] = 259,
  [3163] = 283,
  [3164] = 259,
  [3165] = 3034,
  [3166] = 1038,
  [3167] = 3034,
  [3168] = 211,
  [3169] = 163,
  [3170] = 162,
  [3171] = 278,
  [3172] = 272,
  [3173] = 3173,
  [3174] = 282,
  [3175] = 3175,
  [3176] = 212,
  [3177] = 213,
  [3178] = 3175,
  [3179] = 278,
  [3180] = 268,
  [3181] = 162,
  [3182] = 235,
  [3183] = 281,
  [3184] = 246,
  [3185] = 3175,
  [3186] = 256,
  [3187] = 253,
  [3188] = 284,
  [3189] = 163,
  [3190] = 194,
  [3191] = 155,
  [3192] = 154,
  [3193] = 2354,
  [3194] = 287,
  [3195] = 1125,
  [3196] = 217,
  [3197] = 3175,
  [3198] = 209,
  [3199] = 1128,
  [3200] = 3175,
  [3201] = 175,
  [3202] = 1474,
  [3203] = 201,
  [3204] = 3204,
  [3205] = 219,
  [3206] = 197,
  [3207] = 199,
  [3208] = 191,
  [3209] = 261,
  [3210] = 3210,
  [3211] = 198,
  [3212] = 170,
  [3213] = 193,
  [3214] = 3175,
  [3215] = 3175,
  [3216] = 186,
  [3217] = 176,
  [3218] = 196,
  [3219] = 1101,
  [3220] = 230,
  [3221] = 218,
  [3222] = 3175,
  [3223] = 200,
  [3224] = 174,
  [3225] = 173,
  [3226] = 272,
  [3227] = 264,
  [3228] = 286,
  [3229] = 158,
  [3230] = 210,
  [3231] = 269,
  [3232] = 245,
  [3233] = 1006,
  [3234] = 277,
  [3235] = 3175,
  [3236] = 261,
  [3237] = 286,
  [3238] = 277,
  [3239] = 277,
  [3240] = 254,
  [3241] = 1096,
  [3242] = 236,
  [3243] = 159,
  [3244] = 283,
  [3245] = 286,
  [3246] = 261,
  [3247] = 1100,
  [3248] = 272,
  [3249] = 261,
  [3250] = 202,
  [3251] = 3175,
  [3252] = 203,
  [3253] = 168,
  [3254] = 165,
  [3255] = 240,
  [3256] = 160,
  [3257] = 232,
  [3258] = 260,
  [3259] = 1442,
  [3260] = 275,
  [3261] = 266,
  [3262] = 286,
  [3263] = 172,
  [3264] = 3175,
  [3265] = 277,
  [3266] = 279,
  [3267] = 211,
  [3268] = 272,
  [3269] = 3175,
  [3270] = 270,
  [3271] = 220,
  [3272] = 204,
  [3273] = 171,
  [3274] = 285,
  [3275] = 187,
  [3276] = 3175,
  [3277] = 225,
  [3278] = 148,
  [3279] = 147,
  [3280] = 3175,
  [3281] = 239,
  [3282] = 199,
  [3283] = 176,
  [3284] = 147,
  [3285] = 232,
  [3286] = 211,
  [3287] = 282,
  [3288] = 281,
  [3289] = 256,
  [3290] = 3290,
  [3291] = 270,
  [3292] = 272,
  [3293] = 3290,
  [3294] = 203,
  [3295] = 253,
  [3296] = 3290,
  [3297] = 277,
  [3298] = 286,
  [3299] = 287,
  [3300] = 3290,
  [3301] = 225,
  [3302] = 204,
  [3303] = 275,
  [3304] = 261,
  [3305] = 235,
  [3306] = 3290,
  [3307] = 221,
  [3308] = 254,
  [3309] = 194,
  [3310] = 190,
  [3311] = 165,
  [3312] = 168,
  [3313] = 1101,
  [3314] = 283,
  [3315] = 280,
  [3316] = 189,
  [3317] = 274,
  [3318] = 271,
  [3319] = 264,
  [3320] = 1788,
  [3321] = 187,
  [3322] = 173,
  [3323] = 175,
  [3324] = 174,
  [3325] = 285,
  [3326] = 2382,
  [3327] = 3290,
  [3328] = 230,
  [3329] = 3290,
  [3330] = 171,
  [3331] = 202,
  [3332] = 133,
  [3333] = 1038,
  [3334] = 272,
  [3335] = 278,
  [3336] = 277,
  [3337] = 286,
  [3338] = 261,
  [3339] = 201,
  [3340] = 186,
  [3341] = 231,
  [3342] = 219,
  [3343] = 191,
  [3344] = 239,
  [3345] = 3290,
  [3346] = 193,
  [3347] = 196,
  [3348] = 214,
  [3349] = 200,
  [3350] = 242,
  [3351] = 3351,
  [3352] = 246,
  [3353] = 170,
  [3354] = 198,
  [3355] = 3290,
  [3356] = 249,
  [3357] = 210,
  [3358] = 268,
  [3359] = 269,
  [3360] = 3290,
  [3361] = 218,
  [3362] = 213,
  [3363] = 148,
  [3364] = 197,
  [3365] = 3365,
  [3366] = 245,
  [3367] = 3367,
  [3368] = 209,
  [3369] = 217,
  [3370] = 236,
  [3371] = 279,
  [3372] = 3290,
  [3373] = 172,
  [3374] = 3290,
  [3375] = 266,
  [3376] = 212,
  [3377] = 220,
  [3378] = 240,
  [3379] = 260,
  [3380] = 3290,
  [3381] = 3290,
  [3382] = 255,
  [3383] = 257,
  [3384] = 259,
  [3385] = 163,
  [3386] = 162,
  [3387] = 3387,
  [3388] = 3388,
  [3389] = 3388,
  [3390] = 3390,
  [3391] = 3388,
  [3392] = 3365,
  [3393] = 3393,
  [3394] = 3387,
  [3395] = 3390,
  [3396] = 3390,
  [3397] = 3387,
  [3398] = 3388,
  [3399] = 3390,
  [3400] = 3388,
  [3401] = 3388,
  [3402] = 3388,
  [3403] = 3388,
  [3404] = 3393,
  [3405] = 3390,
  [3406] = 3390,
  [3407] = 3393,
  [3408] = 3388,
  [3409] = 3387,
  [3410] = 3393,
  [3411] = 3388,
  [3412] = 3393,
  [3413] = 3387,
  [3414] = 3390,
  [3415] = 3393,
  [3416] = 3388,
  [3417] = 3390,
  [3418] = 3393,
  [3419] = 3387,
  [3420] = 1101,
  [3421] = 3421,
  [3422] = 3387,
  [3423] = 3390,
  [3424] = 3393,
  [3425] = 3387,
  [3426] = 3426,
  [3427] = 3393,
  [3428] = 3390,
  [3429] = 3393,
  [3430] = 3387,
  [3431] = 3387,
  [3432] = 3388,
  [3433] = 3388,
  [3434] = 3387,
  [3435] = 1100,
  [3436] = 3393,
  [3437] = 3390,
  [3438] = 3390,
  [3439] = 3388,
  [3440] = 3393,
  [3441] = 3390,
  [3442] = 3442,
  [3443] = 3387,
  [3444] = 3387,
  [3445] = 3387,
  [3446] = 3393,
  [3447] = 3393,
  [3448] = 3448,
  [3449] = 3390,
  [3450] = 1101,
  [3451] = 3451,
  [3452] = 3452,
  [3453] = 3451,
  [3454] = 3454,
  [3455] = 3455,
  [3456] = 3456,
  [3457] = 3457,
  [3458] = 1349,
  [3459] = 1369,
  [3460] = 1349,
  [3461] = 3461,
  [3462] = 3462,
  [3463] = 1349,
  [3464] = 3464,
  [3465] = 3465,
  [3466] = 3466,
  [3467] = 3467,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 1453,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3473,
  [3474] = 3474,
  [3475] = 1469,
  [3476] = 3476,
  [3477] = 3477,
  [3478] = 3478,
  [3479] = 2411,
  [3480] = 3480,
  [3481] = 137,
  [3482] = 139,
  [3483] = 3483,
  [3484] = 3483,
  [3485] = 3483,
  [3486] = 3483,
  [3487] = 126,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 3491,
  [3492] = 3489,
  [3493] = 154,
  [3494] = 3494,
  [3495] = 3494,
  [3496] = 3494,
  [3497] = 225,
  [3498] = 220,
  [3499] = 218,
  [3500] = 3500,
  [3501] = 3494,
  [3502] = 3494,
  [3503] = 148,
  [3504] = 3494,
  [3505] = 3494,
  [3506] = 147,
  [3507] = 3494,
  [3508] = 213,
  [3509] = 212,
  [3510] = 197,
  [3511] = 3494,
  [3512] = 285,
  [3513] = 236,
  [3514] = 174,
  [3515] = 3494,
  [3516] = 3494,
  [3517] = 235,
  [3518] = 3518,
  [3519] = 168,
  [3520] = 232,
  [3521] = 3494,
  [3522] = 186,
  [3523] = 3494,
  [3524] = 176,
  [3525] = 165,
  [3526] = 173,
  [3527] = 269,
  [3528] = 287,
  [3529] = 3494,
  [3530] = 3494,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3468,
  [3534] = 3534,
  [3535] = 3535,
  [3536] = 3469,
  [3537] = 3537,
  [3538] = 3538,
  [3539] = 3539,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3544,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3549,
  [3550] = 3550,
  [3551] = 3551,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3556,
  [3557] = 3557,
  [3558] = 3546,
  [3559] = 3559,
  [3560] = 3560,
  [3561] = 3561,
  [3562] = 3562,
  [3563] = 3559,
  [3564] = 3564,
  [3565] = 3565,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 3571,
  [3572] = 3572,
  [3573] = 165,
  [3574] = 3574,
  [3575] = 3574,
  [3576] = 3574,
  [3577] = 3574,
  [3578] = 3570,
  [3579] = 3579,
  [3580] = 3570,
  [3581] = 3574,
  [3582] = 3570,
  [3583] = 3572,
  [3584] = 3570,
  [3585] = 3571,
  [3586] = 3572,
  [3587] = 3572,
  [3588] = 3571,
  [3589] = 3572,
  [3590] = 3574,
  [3591] = 3579,
  [3592] = 126,
  [3593] = 3570,
  [3594] = 3594,
  [3595] = 3574,
  [3596] = 3571,
  [3597] = 3570,
  [3598] = 3570,
  [3599] = 3572,
  [3600] = 3574,
  [3601] = 3571,
  [3602] = 3570,
  [3603] = 3571,
  [3604] = 3604,
  [3605] = 3571,
  [3606] = 3570,
  [3607] = 3574,
  [3608] = 3574,
  [3609] = 3571,
  [3610] = 3572,
  [3611] = 3574,
  [3612] = 3574,
  [3613] = 3572,
  [3614] = 3571,
  [3615] = 3572,
  [3616] = 3571,
  [3617] = 3572,
  [3618] = 3618,
  [3619] = 3572,
  [3620] = 3570,
  [3621] = 3570,
  [3622] = 3571,
  [3623] = 3572,
  [3624] = 3571,
  [3625] = 3574,
  [3626] = 3570,
  [3627] = 3571,
  [3628] = 3570,
  [3629] = 3572,
  [3630] = 3574,
  [3631] = 3571,
  [3632] = 3572,
  [3633] = 154,
  [3634] = 3634,
  [3635] = 1369,
  [3636] = 236,
  [3637] = 3579,
  [3638] = 3604,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3553,
  [3644] = 3644,
  [3645] = 3553,
  [3646] = 3646,
  [3647] = 3641,
  [3648] = 1349,
  [3649] = 3649,
  [3650] = 235,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 168,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3604,
  [3658] = 3579,
  [3659] = 3655,
  [3660] = 3579,
  [3661] = 3604,
  [3662] = 176,
  [3663] = 3604,
  [3664] = 3655,
  [3665] = 3665,
  [3666] = 1922,
  [3667] = 3579,
  [3668] = 3655,
  [3669] = 173,
  [3670] = 3579,
  [3671] = 3579,
  [3672] = 3579,
  [3673] = 3579,
  [3674] = 3604,
  [3675] = 3579,
  [3676] = 3656,
  [3677] = 3655,
  [3678] = 3656,
  [3679] = 3656,
  [3680] = 3680,
  [3681] = 3665,
  [3682] = 3604,
  [3683] = 3655,
  [3684] = 186,
  [3685] = 3579,
  [3686] = 3655,
  [3687] = 3665,
  [3688] = 3579,
  [3689] = 3604,
  [3690] = 3579,
  [3691] = 3604,
  [3692] = 3655,
  [3693] = 3665,
  [3694] = 3694,
  [3695] = 3695,
  [3696] = 3665,
  [3697] = 3579,
  [3698] = 3641,
  [3699] = 3655,
  [3700] = 3604,
  [3701] = 3579,
  [3702] = 3604,
  [3703] = 3604,
  [3704] = 3656,
  [3705] = 3604,
  [3706] = 3706,
  [3707] = 3707,
  [3708] = 3579,
  [3709] = 3604,
  [3710] = 3579,
  [3711] = 3656,
  [3712] = 212,
  [3713] = 3604,
  [3714] = 3665,
  [3715] = 3715,
  [3716] = 3655,
  [3717] = 3579,
  [3718] = 3718,
  [3719] = 3656,
  [3720] = 3579,
  [3721] = 3604,
  [3722] = 3656,
  [3723] = 3604,
  [3724] = 3579,
  [3725] = 3579,
  [3726] = 3604,
  [3727] = 3604,
  [3728] = 3579,
  [3729] = 3655,
  [3730] = 3730,
  [3731] = 3604,
  [3732] = 3656,
  [3733] = 3579,
  [3734] = 3604,
  [3735] = 3604,
  [3736] = 3656,
  [3737] = 3579,
  [3738] = 3604,
  [3739] = 197,
  [3740] = 213,
  [3741] = 218,
  [3742] = 3656,
  [3743] = 3715,
  [3744] = 3744,
  [3745] = 3604,
  [3746] = 3655,
  [3747] = 3579,
  [3748] = 3604,
  [3749] = 3604,
  [3750] = 3579,
  [3751] = 3656,
  [3752] = 225,
  [3753] = 3655,
  [3754] = 3579,
  [3755] = 3755,
  [3756] = 3756,
  [3757] = 3665,
  [3758] = 3758,
  [3759] = 3656,
  [3760] = 174,
  [3761] = 3665,
  [3762] = 3579,
  [3763] = 3763,
  [3764] = 3764,
  [3765] = 3665,
  [3766] = 220,
  [3767] = 3767,
  [3768] = 3579,
  [3769] = 3769,
  [3770] = 3655,
  [3771] = 3665,
  [3772] = 3665,
  [3773] = 3665,
  [3774] = 3656,
  [3775] = 3665,
  [3776] = 3767,
  [3777] = 285,
  [3778] = 3579,
  [3779] = 3579,
  [3780] = 3665,
  [3781] = 3665,
  [3782] = 3604,
  [3783] = 3604,
  [3784] = 3641,
  [3785] = 3641,
  [3786] = 3786,
  [3787] = 3787,
  [3788] = 3788,
  [3789] = 1469,
  [3790] = 3790,
  [3791] = 3641,
  [3792] = 3792,
  [3793] = 3793,
  [3794] = 3787,
  [3795] = 3795,
  [3796] = 1928,
  [3797] = 3797,
  [3798] = 3798,
  [3799] = 3641,
  [3800] = 3800,
  [3801] = 3795,
  [3802] = 3795,
  [3803] = 3803,
  [3804] = 3787,
  [3805] = 3641,
  [3806] = 3787,
  [3807] = 3787,
  [3808] = 3808,
  [3809] = 3641,
  [3810] = 3810,
  [3811] = 3641,
  [3812] = 3641,
  [3813] = 3795,
  [3814] = 3641,
  [3815] = 3641,
  [3816] = 3787,
  [3817] = 3641,
  [3818] = 3818,
  [3819] = 3641,
  [3820] = 3795,
  [3821] = 3821,
  [3822] = 3822,
  [3823] = 3823,
  [3824] = 3795,
  [3825] = 3795,
  [3826] = 3793,
  [3827] = 3827,
  [3828] = 3828,
  [3829] = 3787,
  [3830] = 1453,
  [3831] = 3831,
  [3832] = 3787,
  [3833] = 3795,
  [3834] = 3834,
  [3835] = 3641,
  [3836] = 3787,
  [3837] = 3808,
  [3838] = 3641,
  [3839] = 3641,
  [3840] = 3641,
  [3841] = 3641,
  [3842] = 3795,
  [3843] = 3787,
  [3844] = 3844,
  [3845] = 3845,
  [3846] = 3641,
  [3847] = 3641,
  [3848] = 3641,
  [3849] = 3849,
  [3850] = 3795,
  [3851] = 3641,
  [3852] = 3795,
  [3853] = 3641,
  [3854] = 3854,
  [3855] = 3641,
  [3856] = 3787,
  [3857] = 3641,
  [3858] = 3858,
  [3859] = 3787,
  [3860] = 3787,
  [3861] = 3787,
  [3862] = 3862,
  [3863] = 3641,
  [3864] = 3864,
  [3865] = 3795,
  [3866] = 3795,
  [3867] = 3795,
  [3868] = 1349,
  [3869] = 3795,
  [3870] = 3870,
  [3871] = 3871,
  [3872] = 3872,
  [3873] = 3873,
  [3874] = 3874,
  [3875] = 3875,
  [3876] = 3876,
  [3877] = 3875,
  [3878] = 3878,
  [3879] = 3879,
  [3880] = 3880,
  [3881] = 3881,
  [3882] = 3882,
  [3883] = 3883,
  [3884] = 3872,
  [3885] = 3885,
  [3886] = 3874,
  [3887] = 3887,
  [3888] = 3874,
  [3889] = 3882,
  [3890] = 3881,
  [3891] = 3880,
  [3892] = 3871,
  [3893] = 3871,
  [3894] = 3872,
  [3895] = 3895,
  [3896] = 3874,
  [3897] = 3880,
  [3898] = 3881,
  [3899] = 3882,
  [3900] = 3872,
  [3901] = 3875,
  [3902] = 3872,
  [3903] = 3875,
  [3904] = 3875,
  [3905] = 3875,
  [3906] = 3875,
  [3907] = 3872,
  [3908] = 3874,
  [3909] = 3882,
  [3910] = 3875,
  [3911] = 3881,
  [3912] = 3872,
  [3913] = 3913,
  [3914] = 3880,
  [3915] = 3871,
  [3916] = 3871,
  [3917] = 3880,
  [3918] = 3881,
  [3919] = 3882,
  [3920] = 3881,
  [3921] = 3880,
  [3922] = 3882,
  [3923] = 3872,
  [3924] = 3874,
  [3925] = 3786,
  [3926] = 3871,
  [3927] = 3927,
  [3928] = 3875,
  [3929] = 3880,
  [3930] = 3871,
  [3931] = 3881,
  [3932] = 3882,
  [3933] = 3933,
  [3934] = 3874,
  [3935] = 3871,
  [3936] = 3936,
  [3937] = 3937,
  [3938] = 3880,
  [3939] = 3880,
  [3940] = 3881,
  [3941] = 3882,
  [3942] = 3881,
  [3943] = 3882,
  [3944] = 3872,
  [3945] = 3945,
  [3946] = 3874,
  [3947] = 3872,
  [3948] = 3875,
  [3949] = 3872,
  [3950] = 3875,
  [3951] = 3793,
  [3952] = 3874,
  [3953] = 3872,
  [3954] = 3954,
  [3955] = 3871,
  [3956] = 3874,
  [3957] = 3880,
  [3958] = 3881,
  [3959] = 3882,
  [3960] = 3872,
  [3961] = 3961,
  [3962] = 3962,
  [3963] = 3872,
  [3964] = 3964,
  [3965] = 3874,
  [3966] = 3875,
  [3967] = 3882,
  [3968] = 3881,
  [3969] = 3871,
  [3970] = 3882,
  [3971] = 3881,
  [3972] = 3880,
  [3973] = 3880,
  [3974] = 3880,
  [3975] = 3975,
  [3976] = 3881,
  [3977] = 3882,
  [3978] = 3871,
  [3979] = 3871,
  [3980] = 3980,
  [3981] = 3872,
  [3982] = 3875,
  [3983] = 3983,
  [3984] = 3874,
  [3985] = 3985,
  [3986] = 3874,
  [3987] = 3875,
  [3988] = 3988,
  [3989] = 3871,
  [3990] = 3875,
  [3991] = 3871,
  [3992] = 3992,
  [3993] = 3880,
  [3994] = 3881,
  [3995] = 3874,
  [3996] = 3882,
  [3997] = 3997,
  [3998] = 3998,
  [3999] = 3999,
  [4000] = 3793,
  [4001] = 4001,
  [4002] = 4002,
  [4003] = 4003,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 4007,
  [4008] = 3997,
  [4009] = 4009,
  [4010] = 4005,
  [4011] = 3999,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 4014,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4009,
  [4018] = 3997,
  [4019] = 4019,
  [4020] = 4020,
  [4021] = 3998,
  [4022] = 4022,
  [4023] = 4023,
  [4024] = 3997,
  [4025] = 4023,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 3998,
  [4029] = 4029,
  [4030] = 4020,
  [4031] = 4009,
  [4032] = 4032,
  [4033] = 4019,
  [4034] = 4034,
  [4035] = 4029,
  [4036] = 4002,
  [4037] = 4037,
  [4038] = 1453,
  [4039] = 3997,
  [4040] = 3999,
  [4041] = 3793,
  [4042] = 4042,
  [4043] = 3786,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 4016,
  [4047] = 4047,
  [4048] = 1469,
  [4049] = 3793,
  [4050] = 3997,
  [4051] = 4029,
  [4052] = 4002,
  [4053] = 3793,
  [4054] = 3997,
  [4055] = 4005,
  [4056] = 4012,
  [4057] = 4013,
  [4058] = 3793,
  [4059] = 4014,
  [4060] = 4060,
  [4061] = 4005,
  [4062] = 4009,
  [4063] = 4015,
  [4064] = 4016,
  [4065] = 3998,
  [4066] = 4023,
  [4067] = 4020,
  [4068] = 4068,
  [4069] = 3998,
  [4070] = 3997,
  [4071] = 3997,
  [4072] = 4072,
  [4073] = 3998,
  [4074] = 4019,
  [4075] = 4075,
  [4076] = 3997,
  [4077] = 3793,
  [4078] = 3997,
  [4079] = 4016,
  [4080] = 4080,
  [4081] = 4016,
  [4082] = 4015,
  [4083] = 4029,
  [4084] = 4084,
  [4085] = 4014,
  [4086] = 4015,
  [4087] = 4013,
  [4088] = 4009,
  [4089] = 4023,
  [4090] = 4020,
  [4091] = 3793,
  [4092] = 4019,
  [4093] = 4012,
  [4094] = 4094,
  [4095] = 3999,
  [4096] = 3786,
  [4097] = 4005,
  [4098] = 4002,
  [4099] = 4094,
  [4100] = 3997,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 4105,
  [4106] = 4106,
  [4107] = 4014,
  [4108] = 4012,
  [4109] = 4013,
  [4110] = 4014,
  [4111] = 4015,
  [4112] = 4016,
  [4113] = 4005,
  [4114] = 4114,
  [4115] = 3786,
  [4116] = 4013,
  [4117] = 4009,
  [4118] = 4118,
  [4119] = 3997,
  [4120] = 4120,
  [4121] = 3786,
  [4122] = 3999,
  [4123] = 4094,
  [4124] = 3998,
  [4125] = 4002,
  [4126] = 4094,
  [4127] = 4015,
  [4128] = 4012,
  [4129] = 4129,
  [4130] = 4019,
  [4131] = 4029,
  [4132] = 4012,
  [4133] = 4020,
  [4134] = 4023,
  [4135] = 4020,
  [4136] = 4023,
  [4137] = 4019,
  [4138] = 4013,
  [4139] = 4094,
  [4140] = 3999,
  [4141] = 3786,
  [4142] = 4142,
  [4143] = 4014,
  [4144] = 1554,
  [4145] = 3793,
  [4146] = 4012,
  [4147] = 4013,
  [4148] = 4002,
  [4149] = 4014,
  [4150] = 4015,
  [4151] = 4015,
  [4152] = 3997,
  [4153] = 4016,
  [4154] = 4016,
  [4155] = 4155,
  [4156] = 4156,
  [4157] = 4005,
  [4158] = 4009,
  [4159] = 4002,
  [4160] = 4160,
  [4161] = 3998,
  [4162] = 4029,
  [4163] = 3793,
  [4164] = 4029,
  [4165] = 4009,
  [4166] = 4005,
  [4167] = 3786,
  [4168] = 3793,
  [4169] = 4009,
  [4170] = 4005,
  [4171] = 4002,
  [4172] = 4014,
  [4173] = 4173,
  [4174] = 4009,
  [4175] = 4005,
  [4176] = 3793,
  [4177] = 3999,
  [4178] = 4014,
  [4179] = 4094,
  [4180] = 4009,
  [4181] = 4094,
  [4182] = 4094,
  [4183] = 4002,
  [4184] = 4005,
  [4185] = 4023,
  [4186] = 4020,
  [4187] = 3998,
  [4188] = 4019,
  [4189] = 3793,
  [4190] = 4094,
  [4191] = 3999,
  [4192] = 4012,
  [4193] = 4019,
  [4194] = 4014,
  [4195] = 4094,
  [4196] = 4005,
  [4197] = 4009,
  [4198] = 4009,
  [4199] = 4005,
  [4200] = 4015,
  [4201] = 4014,
  [4202] = 3999,
  [4203] = 4009,
  [4204] = 4012,
  [4205] = 4013,
  [4206] = 4014,
  [4207] = 4015,
  [4208] = 4016,
  [4209] = 4094,
  [4210] = 4013,
  [4211] = 4020,
  [4212] = 4103,
  [4213] = 4213,
  [4214] = 4029,
  [4215] = 4009,
  [4216] = 4005,
  [4217] = 3793,
  [4218] = 4218,
  [4219] = 4114,
  [4220] = 3998,
  [4221] = 4016,
  [4222] = 3998,
  [4223] = 4016,
  [4224] = 3793,
  [4225] = 4015,
  [4226] = 4015,
  [4227] = 4029,
  [4228] = 3998,
  [4229] = 4014,
  [4230] = 4012,
  [4231] = 3999,
  [4232] = 4094,
  [4233] = 4020,
  [4234] = 4014,
  [4235] = 4013,
  [4236] = 4012,
  [4237] = 4009,
  [4238] = 4023,
  [4239] = 4005,
  [4240] = 4023,
  [4241] = 3793,
  [4242] = 4016,
  [4243] = 4015,
  [4244] = 4002,
  [4245] = 4014,
  [4246] = 4013,
  [4247] = 4247,
  [4248] = 4012,
  [4249] = 3998,
  [4250] = 4016,
  [4251] = 3793,
  [4252] = 4252,
  [4253] = 4005,
  [4254] = 4009,
  [4255] = 4015,
  [4256] = 4014,
  [4257] = 4012,
  [4258] = 3999,
  [4259] = 4094,
  [4260] = 4020,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 4029,
  [4264] = 4009,
  [4265] = 4005,
  [4266] = 4266,
  [4267] = 4023,
  [4268] = 3786,
  [4269] = 4023,
  [4270] = 3999,
  [4271] = 4094,
  [4272] = 4019,
  [4273] = 3998,
  [4274] = 4020,
  [4275] = 4020,
  [4276] = 4016,
  [4277] = 4023,
  [4278] = 4278,
  [4279] = 4015,
  [4280] = 4014,
  [4281] = 4023,
  [4282] = 4020,
  [4283] = 4012,
  [4284] = 4019,
  [4285] = 4285,
  [4286] = 4094,
  [4287] = 3999,
  [4288] = 3786,
  [4289] = 4289,
  [4290] = 3999,
  [4291] = 3786,
  [4292] = 4094,
  [4293] = 4020,
  [4294] = 4019,
  [4295] = 4295,
  [4296] = 4106,
  [4297] = 4094,
  [4298] = 3999,
  [4299] = 3786,
  [4300] = 4012,
  [4301] = 4013,
  [4302] = 4014,
  [4303] = 4015,
  [4304] = 4016,
  [4305] = 4020,
  [4306] = 3999,
  [4307] = 4094,
  [4308] = 3793,
  [4309] = 3786,
  [4310] = 4009,
  [4311] = 4005,
  [4312] = 4019,
  [4313] = 4313,
  [4314] = 4019,
  [4315] = 4020,
  [4316] = 3998,
  [4317] = 4023,
  [4318] = 4012,
  [4319] = 4013,
  [4320] = 3793,
  [4321] = 3793,
  [4322] = 1657,
  [4323] = 4029,
  [4324] = 3998,
  [4325] = 4014,
  [4326] = 3999,
  [4327] = 4015,
  [4328] = 4094,
  [4329] = 4016,
  [4330] = 4009,
  [4331] = 4331,
  [4332] = 4005,
  [4333] = 4009,
  [4334] = 4005,
  [4335] = 4016,
  [4336] = 3793,
  [4337] = 3793,
  [4338] = 4002,
  [4339] = 4015,
  [4340] = 4002,
  [4341] = 4002,
  [4342] = 3793,
  [4343] = 4014,
  [4344] = 4060,
  [4345] = 4013,
  [4346] = 4346,
  [4347] = 4012,
  [4348] = 4005,
  [4349] = 4005,
  [4350] = 4009,
  [4351] = 4002,
  [4352] = 4009,
  [4353] = 4353,
  [4354] = 3793,
  [4355] = 3793,
  [4356] = 4356,
  [4357] = 4029,
  [4358] = 3786,
  [4359] = 4029,
  [4360] = 3999,
  [4361] = 4029,
  [4362] = 3793,
  [4363] = 4094,
  [4364] = 4019,
  [4365] = 3998,
  [4366] = 4020,
  [4367] = 4005,
  [4368] = 4368,
  [4369] = 4369,
  [4370] = 4368,
  [4371] = 4371,
  [4372] = 4372,
  [4373] = 4371,
  [4374] = 4374,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4378,
  [4379] = 4379,
  [4380] = 4374,
  [4381] = 4375,
  [4382] = 4382,
  [4383] = 4377,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4376,
  [4387] = 4371,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4369,
  [4392] = 4392,
  [4393] = 4375,
  [4394] = 4368,
  [4395] = 4395,
  [4396] = 4396,
  [4397] = 4375,
  [4398] = 4378,
  [4399] = 4399,
  [4400] = 4400,
  [4401] = 4401,
  [4402] = 4368,
  [4403] = 4369,
  [4404] = 4375,
  [4405] = 4390,
  [4406] = 4401,
  [4407] = 4379,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 4371,
  [4412] = 4412,
  [4413] = 4368,
  [4414] = 4414,
  [4415] = 4377,
  [4416] = 4376,
  [4417] = 4369,
  [4418] = 4418,
  [4419] = 4385,
  [4420] = 4371,
  [4421] = 4390,
  [4422] = 4371,
  [4423] = 4378,
  [4424] = 4401,
  [4425] = 4425,
  [4426] = 4379,
  [4427] = 2503,
  [4428] = 4390,
  [4429] = 4376,
  [4430] = 4401,
  [4431] = 4431,
  [4432] = 4379,
  [4433] = 4376,
  [4434] = 4371,
  [4435] = 1595,
  [4436] = 4401,
  [4437] = 4437,
  [4438] = 4390,
  [4439] = 4377,
  [4440] = 4385,
  [4441] = 4410,
  [4442] = 269,
  [4443] = 1651,
  [4444] = 1652,
  [4445] = 4379,
  [4446] = 4376,
  [4447] = 4369,
  [4448] = 4379,
  [4449] = 4378,
  [4450] = 4378,
  [4451] = 4410,
  [4452] = 4452,
  [4453] = 4379,
  [4454] = 4378,
  [4455] = 4385,
  [4456] = 4368,
  [4457] = 4377,
  [4458] = 287,
  [4459] = 4376,
  [4460] = 4460,
  [4461] = 4461,
  [4462] = 4390,
  [4463] = 4378,
  [4464] = 4401,
  [4465] = 4369,
  [4466] = 1573,
  [4467] = 4390,
  [4468] = 4468,
  [4469] = 4410,
  [4470] = 1574,
  [4471] = 4390,
  [4472] = 4369,
  [4473] = 4473,
  [4474] = 4460,
  [4475] = 4368,
  [4476] = 4476,
  [4477] = 4477,
  [4478] = 4379,
  [4479] = 4385,
  [4480] = 4377,
  [4481] = 4378,
  [4482] = 4410,
  [4483] = 4401,
  [4484] = 4484,
  [4485] = 4385,
  [4486] = 4390,
  [4487] = 4377,
  [4488] = 4375,
  [4489] = 4489,
  [4490] = 4460,
  [4491] = 4385,
  [4492] = 4377,
  [4493] = 4390,
  [4494] = 4371,
  [4495] = 4410,
  [4496] = 4378,
  [4497] = 4379,
  [4498] = 4371,
  [4499] = 4460,
  [4500] = 4390,
  [4501] = 4375,
  [4502] = 4369,
  [4503] = 147,
  [4504] = 4375,
  [4505] = 4368,
  [4506] = 4390,
  [4507] = 4410,
  [4508] = 4401,
  [4509] = 4509,
  [4510] = 4368,
  [4511] = 4369,
  [4512] = 4401,
  [4513] = 4473,
  [4514] = 4371,
  [4515] = 4368,
  [4516] = 4460,
  [4517] = 4390,
  [4518] = 4401,
  [4519] = 4368,
  [4520] = 4410,
  [4521] = 4390,
  [4522] = 4376,
  [4523] = 4375,
  [4524] = 4524,
  [4525] = 4369,
  [4526] = 4390,
  [4527] = 4527,
  [4528] = 4376,
  [4529] = 4377,
  [4530] = 4385,
  [4531] = 4379,
  [4532] = 4378,
  [4533] = 4460,
  [4534] = 4390,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4376,
  [4538] = 4378,
  [4539] = 4410,
  [4540] = 4401,
  [4541] = 4379,
  [4542] = 4385,
  [4543] = 4377,
  [4544] = 4544,
  [4545] = 4460,
  [4546] = 4390,
  [4547] = 4460,
  [4548] = 4371,
  [4549] = 4368,
  [4550] = 4550,
  [4551] = 4375,
  [4552] = 4376,
  [4553] = 4369,
  [4554] = 4375,
  [4555] = 4390,
  [4556] = 4375,
  [4557] = 4410,
  [4558] = 4371,
  [4559] = 4559,
  [4560] = 4390,
  [4561] = 4460,
  [4562] = 4562,
  [4563] = 4563,
  [4564] = 4371,
  [4565] = 4390,
  [4566] = 4390,
  [4567] = 4410,
  [4568] = 4390,
  [4569] = 4390,
  [4570] = 4390,
  [4571] = 4390,
  [4572] = 4390,
  [4573] = 4390,
  [4574] = 4390,
  [4575] = 4390,
  [4576] = 4409,
  [4577] = 4368,
  [4578] = 4401,
  [4579] = 4369,
  [4580] = 4369,
  [4581] = 4390,
  [4582] = 4460,
  [4583] = 4410,
  [4584] = 232,
  [4585] = 4410,
  [4586] = 4586,
  [4587] = 4377,
  [4588] = 4369,
  [4589] = 4385,
  [4590] = 4385,
  [4591] = 4460,
  [4592] = 4401,
  [4593] = 4378,
  [4594] = 4371,
  [4595] = 4410,
  [4596] = 4412,
  [4597] = 4390,
  [4598] = 4377,
  [4599] = 4414,
  [4600] = 4375,
  [4601] = 4379,
  [4602] = 4602,
  [4603] = 4385,
  [4604] = 4460,
  [4605] = 4376,
  [4606] = 4460,
  [4607] = 148,
  [4608] = 4377,
  [4609] = 4609,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4410,
  [4613] = 4613,
  [4614] = 4376,
  [4615] = 4615,
  [4616] = 4375,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4379,
  [4620] = 4378,
  [4621] = 4371,
  [4622] = 4378,
  [4623] = 4623,
  [4624] = 4401,
  [4625] = 4376,
  [4626] = 4379,
  [4627] = 4368,
  [4628] = 4460,
  [4629] = 4385,
  [4630] = 4377,
  [4631] = 4385,
  [4632] = 4410,
  [4633] = 4633,
  [4634] = 4634,
  [4635] = 4635,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4633,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4645,
  [4646] = 4646,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4650,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4634,
  [4654] = 4654,
  [4655] = 4654,
  [4656] = 4647,
  [4657] = 4657,
  [4658] = 4658,
  [4659] = 4634,
  [4660] = 4657,
  [4661] = 4661,
  [4662] = 4662,
  [4663] = 4636,
  [4664] = 4637,
  [4665] = 4650,
  [4666] = 4657,
  [4667] = 4633,
  [4668] = 4641,
  [4669] = 4657,
  [4670] = 4654,
  [4671] = 4652,
  [4672] = 4654,
  [4673] = 4673,
  [4674] = 4674,
  [4675] = 4633,
  [4676] = 4633,
  [4677] = 4647,
  [4678] = 4641,
  [4679] = 4658,
  [4680] = 4650,
  [4681] = 4681,
  [4682] = 4682,
  [4683] = 4683,
  [4684] = 4636,
  [4685] = 4637,
  [4686] = 4634,
  [4687] = 4652,
  [4688] = 4648,
  [4689] = 4641,
  [4690] = 4690,
  [4691] = 4691,
  [4692] = 4637,
  [4693] = 4636,
  [4694] = 4694,
  [4695] = 4640,
  [4696] = 4696,
  [4697] = 4647,
  [4698] = 4698,
  [4699] = 4651,
  [4700] = 4700,
  [4701] = 4645,
  [4702] = 4642,
  [4703] = 4645,
  [4704] = 4636,
  [4705] = 4637,
  [4706] = 4651,
  [4707] = 4651,
  [4708] = 4645,
  [4709] = 4641,
  [4710] = 4710,
  [4711] = 4642,
  [4712] = 4712,
  [4713] = 4642,
  [4714] = 4643,
  [4715] = 4715,
  [4716] = 4643,
  [4717] = 4647,
  [4718] = 4647,
  [4719] = 4633,
  [4720] = 4640,
  [4721] = 4694,
  [4722] = 4648,
  [4723] = 4640,
  [4724] = 4636,
  [4725] = 4637,
  [4726] = 4650,
  [4727] = 4694,
  [4728] = 4652,
  [4729] = 4641,
  [4730] = 4681,
  [4731] = 4650,
  [4732] = 4652,
  [4733] = 4654,
  [4734] = 4641,
  [4735] = 4735,
  [4736] = 4658,
  [4737] = 4647,
  [4738] = 4682,
  [4739] = 4658,
  [4740] = 4657,
  [4741] = 4650,
  [4742] = 4652,
  [4743] = 4648,
  [4744] = 4636,
  [4745] = 4637,
  [4746] = 4643,
  [4747] = 4658,
  [4748] = 4748,
  [4749] = 4641,
  [4750] = 4650,
  [4751] = 4751,
  [4752] = 4652,
  [4753] = 4633,
  [4754] = 4754,
  [4755] = 4648,
  [4756] = 4648,
  [4757] = 4647,
  [4758] = 4694,
  [4759] = 4650,
  [4760] = 4694,
  [4761] = 4650,
  [4762] = 4640,
  [4763] = 4652,
  [4764] = 4636,
  [4765] = 4637,
  [4766] = 4654,
  [4767] = 4634,
  [4768] = 4634,
  [4769] = 4641,
  [4770] = 4652,
  [4771] = 4642,
  [4772] = 4650,
  [4773] = 4645,
  [4774] = 4652,
  [4775] = 4648,
  [4776] = 4652,
  [4777] = 4647,
  [4778] = 4650,
  [4779] = 4779,
  [4780] = 4657,
  [4781] = 4652,
  [4782] = 4643,
  [4783] = 4648,
  [4784] = 4636,
  [4785] = 4637,
  [4786] = 4648,
  [4787] = 4651,
  [4788] = 4658,
  [4789] = 4641,
  [4790] = 4654,
  [4791] = 4654,
  [4792] = 4648,
  [4793] = 4648,
  [4794] = 4650,
  [4795] = 4795,
  [4796] = 4633,
  [4797] = 4647,
  [4798] = 4643,
  [4799] = 4651,
  [4800] = 4637,
  [4801] = 4652,
  [4802] = 4657,
  [4803] = 4650,
  [4804] = 4636,
  [4805] = 4637,
  [4806] = 4806,
  [4807] = 4648,
  [4808] = 4643,
  [4809] = 4641,
  [4810] = 4642,
  [4811] = 4694,
  [4812] = 4650,
  [4813] = 4658,
  [4814] = 4648,
  [4815] = 4640,
  [4816] = 4657,
  [4817] = 4647,
  [4818] = 4640,
  [4819] = 4819,
  [4820] = 4636,
  [4821] = 4642,
  [4822] = 4822,
  [4823] = 4645,
  [4824] = 4636,
  [4825] = 4637,
  [4826] = 4694,
  [4827] = 4652,
  [4828] = 4651,
  [4829] = 4641,
  [4830] = 4652,
  [4831] = 4831,
  [4832] = 4658,
  [4833] = 4634,
  [4834] = 4652,
  [4835] = 4643,
  [4836] = 4836,
  [4837] = 4647,
  [4838] = 4838,
  [4839] = 4694,
  [4840] = 4633,
  [4841] = 4648,
  [4842] = 4640,
  [4843] = 4831,
  [4844] = 4636,
  [4845] = 4637,
  [4846] = 4650,
  [4847] = 4633,
  [4848] = 4650,
  [4849] = 4641,
  [4850] = 4634,
  [4851] = 4642,
  [4852] = 4648,
  [4853] = 4645,
  [4854] = 4650,
  [4855] = 4651,
  [4856] = 4645,
  [4857] = 4647,
  [4858] = 4696,
  [4859] = 4779,
  [4860] = 4643,
  [4861] = 4654,
  [4862] = 4634,
  [4863] = 4652,
  [4864] = 4636,
  [4865] = 4637,
  [4866] = 4657,
  [4867] = 4652,
  [4868] = 4643,
  [4869] = 4641,
  [4870] = 4634,
  [4871] = 4633,
  [4872] = 4643,
  [4873] = 4648,
  [4874] = 4648,
  [4875] = 4633,
  [4876] = 4647,
  [4877] = 4650,
  [4878] = 4652,
  [4879] = 4650,
  [4880] = 4636,
  [4881] = 4637,
  [4882] = 4634,
  [4883] = 4657,
  [4884] = 4634,
  [4885] = 4647,
  [4886] = 4694,
  [4887] = 4652,
  [4888] = 4636,
  [4889] = 4637,
  [4890] = 4654,
  [4891] = 4654,
  [4892] = 4633,
  [4893] = 4647,
  [4894] = 4633,
  [4895] = 4636,
  [4896] = 4634,
  [4897] = 4658,
  [4898] = 4652,
  [4899] = 4647,
  [4900] = 4651,
  [4901] = 4657,
  [4902] = 4647,
  [4903] = 4633,
  [4904] = 4657,
  [4905] = 4647,
  [4906] = 4642,
  [4907] = 4651,
  [4908] = 4647,
  [4909] = 4645,
  [4910] = 4647,
  [4911] = 4647,
  [4912] = 4647,
  [4913] = 4647,
  [4914] = 4647,
  [4915] = 4647,
  [4916] = 4647,
  [4917] = 4647,
  [4918] = 4647,
  [4919] = 4647,
  [4920] = 4642,
  [4921] = 4694,
  [4922] = 4633,
  [4923] = 4923,
  [4924] = 4640,
  [4925] = 4645,
  [4926] = 4642,
  [4927] = 4648,
  [4928] = 4643,
  [4929] = 4648,
  [4930] = 4633,
  [4931] = 4645,
  [4932] = 4651,
  [4933] = 4645,
  [4934] = 4642,
  [4935] = 4640,
  [4936] = 4634,
  [4937] = 4694,
  [4938] = 4652,
  [4939] = 4939,
  [4940] = 4654,
  [4941] = 4941,
  [4942] = 4942,
  [4943] = 4633,
  [4944] = 4654,
  [4945] = 4945,
  [4946] = 4650,
  [4947] = 4923,
  [4948] = 4657,
  [4949] = 4640,
  [4950] = 4694,
  [4951] = 4643,
  [4952] = 4694,
  [4953] = 4640,
  [4954] = 4954,
  [4955] = 4648,
  [4956] = 4658,
  [4957] = 4658,
  [4958] = 4640,
  [4959] = 4642,
  [4960] = 4645,
  [4961] = 4651,
  [4962] = 4643,
  [4963] = 4963,
  [4964] = 4964,
  [4965] = 4965,
  [4966] = 4712,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4650,
  [4970] = 4970,
  [4971] = 4650,
  [4972] = 4972,
  [4973] = 4973,
  [4974] = 4648,
  [4975] = 4648,
  [4976] = 4643,
  [4977] = 4634,
  [4978] = 4694,
  [4979] = 4652,
  [4980] = 4980,
  [4981] = 4715,
  [4982] = 4654,
  [4983] = 4650,
  [4984] = 4650,
  [4985] = 4657,
  [4986] = 4651,
  [4987] = 4923,
  [4988] = 4643,
  [4989] = 4658,
  [4990] = 4658,
  [4991] = 4645,
  [4992] = 4972,
  [4993] = 4642,
  [4994] = 4643,
  [4995] = 4647,
  [4996] = 4923,
  [4997] = 4634,
  [4998] = 4923,
  [4999] = 4658,
  [5000] = 4923,
  [5001] = 4652,
  [5002] = 4923,
  [5003] = 5003,
  [5004] = 4923,
  [5005] = 4633,
  [5006] = 4923,
  [5007] = 4633,
  [5008] = 4923,
  [5009] = 4651,
  [5010] = 4923,
  [5011] = 4633,
  [5012] = 4923,
  [5013] = 4640,
  [5014] = 4923,
  [5015] = 4633,
  [5016] = 4923,
  [5017] = 4633,
  [5018] = 4648,
  [5019] = 5019,
};

static inline bool sym_rune_literal_character_set_1(int32_t c) {
  return (c < 'e'
    ? (c < '\\'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '\\' || (c >= '`' && c <= 'b')))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 'q'
    ? (c < 'h'
      ? (c < 'a'
        ? c == '_'
        : c <= 'b')
      : (c <= 'l' || c == 'n'))
    : (c <= 'r' || (c < 181
      ? (c < 'y'
        ? (c >= 't' && c <= 'w')
        : c <= 'z')
      : (c <= 181 || (c >= 945 && c <= 969)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '0') ADVANCE(315);
      if (lookahead == ':') ADVANCE(403);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(360);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(364);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(216);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(247);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(410);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(220)
      if (('E' <= lookahead && lookahead <= 'G') ||
          lookahead == 'S' ||
          lookahead == 'X') ADVANCE(323);
      if (('c' <= lookahead && lookahead <= 'x')) ADVANCE(322);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(312);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(292);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(361);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(4)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(4)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(288);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(92);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(350);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(92);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(215);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(8)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(353);
      if (lookahead == 'I') ADVANCE(344);
      if (lookahead == 'J') ADVANCE(345);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(9)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(350);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(44);
      if (lookahead == '=') ADVANCE(392);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(10)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '=') ADVANCE(392);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(353);
      if (lookahead == 'I') ADVANCE(344);
      if (lookahead == 'J') ADVANCE(345);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(12)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(350);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '=') ADVANCE(392);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(353);
      if (lookahead == 'I') ADVANCE(344);
      if (lookahead == 'J') ADVANCE(345);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(12)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(350);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(13)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(215);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(14)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(350);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(363);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(13)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(215);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(363);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(14)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(350);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(302);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(361);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(302);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(319);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(216);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(288);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(92);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '0') ADVANCE(315);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(60);
      if (lookahead == 'J') ADVANCE(63);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(312);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(215);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(92);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(350);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(92);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(329);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '$') ADVANCE(92);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(216);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(329);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(402);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(44);
      if (lookahead == '>') ADVANCE(277);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(44);
      if (lookahead == '>') ADVANCE(277);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '$') ADVANCE(290);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(330);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(44);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(242);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(327);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '$') ADVANCE(319);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(329);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(363);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(216);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(212);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '$') ADVANCE(286);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '$') ADVANCE(286);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '<') ADVANCE(362);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'I') ADVANCE(60);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(215);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(362);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'I') ADVANCE(60);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(215);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(329);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(216);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(212);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == ':') ADVANCE(402);
      if (lookahead == '<') ADVANCE(363);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(57);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(56);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(351);
      if (lookahead == 'J') ADVANCE(64);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '{') ADVANCE(410);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(56);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '@') ADVANCE(62);
      if (lookahead == 'C') ADVANCE(351);
      if (lookahead == 'J') ADVANCE(64);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      END_STATE();
    case 44:
      if (lookahead == '-') ADVANCE(253);
      END_STATE();
    case 45:
      if (lookahead == '.') ADVANCE(297);
      END_STATE();
    case 46:
      if (lookahead == '.') ADVANCE(325);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46)
      if (('E' <= lookahead && lookahead <= 'G') ||
          lookahead == 'S' ||
          lookahead == 'X' ||
          ('c' <= lookahead && lookahead <= 'g') ||
          lookahead == 'o' ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'x') ADVANCE(321);
      END_STATE();
    case 47:
      if (lookahead == '.') ADVANCE(190);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(179);
      if (lookahead == '_') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '.') ADVANCE(198);
      if (lookahead == '_') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(307);
      END_STATE();
    case 49:
      if (lookahead == '0') ADVANCE(315);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49)
      if (('+' <= lookahead && lookahead <= '/')) ADVANCE(324);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(312);
      if (('E' <= lookahead && lookahead <= 'G') ||
          lookahead == 'S' ||
          lookahead == 'X' ||
          ('c' <= lookahead && lookahead <= 'g') ||
          lookahead == 'o' ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'x') ADVANCE(321);
      END_STATE();
    case 50:
      if (lookahead == '1') ADVANCE(55);
      if (lookahead == '3') ADVANCE(52);
      if (lookahead == '6') ADVANCE(54);
      if (lookahead == '8') ADVANCE(332);
      if (lookahead == 'n') ADVANCE(116);
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 51:
      if (lookahead == '1') ADVANCE(55);
      if (lookahead == '3') ADVANCE(52);
      if (lookahead == '6') ADVANCE(54);
      if (lookahead == '8' ||
          lookahead == 'f') ADVANCE(332);
      if (lookahead == 'm') ADVANCE(149);
      if (lookahead == 'n') ADVANCE(339);
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 52:
      if (lookahead == '2') ADVANCE(332);
      END_STATE();
    case 53:
      if (lookahead == '3') ADVANCE(52);
      if (lookahead == '6') ADVANCE(54);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'n') ADVANCE(332);
      if (lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 54:
      if (lookahead == '4') ADVANCE(332);
      END_STATE();
    case 55:
      if (lookahead == '6') ADVANCE(332);
      END_STATE();
    case 56:
      if (lookahead == '=') ADVANCE(270);
      END_STATE();
    case 57:
      if (lookahead == '=') ADVANCE(270);
      if (lookahead == 'i') ADVANCE(127);
      END_STATE();
    case 58:
      if (lookahead == '=') ADVANCE(379);
      END_STATE();
    case 59:
      if (lookahead == '=') ADVANCE(269);
      END_STATE();
    case 60:
      if (lookahead == 'E') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 61:
      if (lookahead == 'E') ADVANCE(158);
      END_STATE();
    case 62:
      if (lookahead == 'I') ADVANCE(61);
      if (lookahead == '_') ADVANCE(69);
      if (lookahead == 'a') ADVANCE(155);
      if (lookahead == 'b') ADVANCE(144);
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'd') ADVANCE(97);
      if (lookahead == 'e') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'g') ADVANCE(134);
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'l') ADVANCE(135);
      if (lookahead == 'm') ADVANCE(74);
      if (lookahead == 'n') ADVANCE(136);
      if (lookahead == 'p') ADVANCE(172);
      if (lookahead == 'r') ADVANCE(99);
      if (lookahead == 's') ADVANCE(96);
      if (lookahead == 't') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(50);
      if (lookahead == 'v') ADVANCE(138);
      END_STATE();
    case 63:
      if (lookahead == 'S') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 64:
      if (lookahead == 'S') ADVANCE(354);
      END_STATE();
    case 65:
      if (lookahead == '\\') ADVANCE(406);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(405);
      END_STATE();
    case 66:
      if (lookahead == '_') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(311);
      END_STATE();
    case 67:
      if (lookahead == '_') ADVANCE(182);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(313);
      END_STATE();
    case 68:
      if (lookahead == '_') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      END_STATE();
    case 69:
      if (lookahead == '_') ADVANCE(110);
      END_STATE();
    case 70:
      if (lookahead == '_') ADVANCE(166);
      END_STATE();
    case 71:
      if (lookahead == '_') ADVANCE(122);
      END_STATE();
    case 72:
      if (lookahead == '`') ADVANCE(318);
      END_STATE();
    case 73:
      if (lookahead == '`') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(185);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(146);
      if (lookahead == 'u') ADVANCE(166);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 77:
      if (lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(89);
      END_STATE();
    case 79:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(167);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(88);
      END_STATE();
    case 82:
      if (lookahead == 'a') ADVANCE(106);
      END_STATE();
    case 83:
      if (lookahead == 'b') ADVANCE(332);
      END_STATE();
    case 84:
      if (lookahead == 'b') ADVANCE(79);
      END_STATE();
    case 85:
      if (lookahead == 'c') ADVANCE(119);
      END_STATE();
    case 86:
      if (lookahead == 'c') ADVANCE(112);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(166);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 89:
      if (lookahead == 'd') ADVANCE(332);
      END_STATE();
    case 90:
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 91:
      if (lookahead == 'd') ADVANCE(93);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(332);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(400);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(123);
      if (lookahead == 'i') ADVANCE(178);
      if (lookahead == 'p') ADVANCE(76);
      if (lookahead == 't') ADVANCE(152);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(168);
      if (lookahead == 'l') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(132);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 105:
      if (lookahead == 'f') ADVANCE(399);
      END_STATE();
    case 106:
      if (lookahead == 'f') ADVANCE(93);
      END_STATE();
    case 107:
      if (lookahead == 'f') ADVANCE(81);
      END_STATE();
    case 108:
      if (lookahead == 'f') ADVANCE(101);
      END_STATE();
    case 109:
      if (lookahead == 'g') ADVANCE(332);
      END_STATE();
    case 110:
      if (lookahead == 'g') ADVANCE(124);
      END_STATE();
    case 111:
      if (lookahead == 'h') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 112:
      if (lookahead == 'h') ADVANCE(332);
      END_STATE();
    case 113:
      if (lookahead == 'h') ADVANCE(160);
      if (lookahead == 'y') ADVANCE(147);
      END_STATE();
    case 114:
      if (lookahead == 'i') ADVANCE(90);
      END_STATE();
    case 115:
      if (lookahead == 'i') ADVANCE(131);
      if (lookahead == 'u') ADVANCE(87);
      END_STATE();
    case 116:
      if (lookahead == 'i') ADVANCE(140);
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 117:
      if (lookahead == 'i') ADVANCE(171);
      END_STATE();
    case 118:
      if (lookahead == 'i') ADVANCE(177);
      END_STATE();
    case 119:
      if (lookahead == 'k') ADVANCE(332);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 121:
      if (lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 123:
      if (lookahead == 'l') ADVANCE(100);
      END_STATE();
    case 124:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 'n') ADVANCE(173);
      END_STATE();
    case 126:
      if (lookahead == 'm') ADVANCE(332);
      END_STATE();
    case 127:
      if (lookahead == 'n') ADVANCE(282);
      if (lookahead == 's') ADVANCE(401);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 129:
      if (lookahead == 'n') ADVANCE(332);
      if (lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 130:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 131:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 132:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 133:
      if (lookahead == 'o') ADVANCE(151);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(332);
      END_STATE();
    case 135:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 136:
      if (lookahead == 'o') ADVANCE(132);
      END_STATE();
    case 137:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 138:
      if (lookahead == 'o') ADVANCE(114);
      END_STATE();
    case 139:
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 140:
      if (lookahead == 'o') ADVANCE(128);
      END_STATE();
    case 141:
      if (lookahead == 'o') ADVANCE(121);
      END_STATE();
    case 142:
      if (lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 143:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 144:
      if (lookahead == 'o') ADVANCE(141);
      if (lookahead == 'y') ADVANCE(169);
      END_STATE();
    case 145:
      if (lookahead == 'o') ADVANCE(153);
      END_STATE();
    case 146:
      if (lookahead == 'p') ADVANCE(337);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 147:
      if (lookahead == 'p') ADVANCE(93);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(170);
      END_STATE();
    case 149:
      if (lookahead == 'p') ADVANCE(145);
      END_STATE();
    case 150:
      if (lookahead == 'r') ADVANCE(332);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(395);
      END_STATE();
    case 152:
      if (lookahead == 'r') ADVANCE(115);
      END_STATE();
    case 153:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 154:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 155:
      if (lookahead == 'r') ADVANCE(156);
      if (lookahead == 's') ADVANCE(336);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(77);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 158:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 159:
      if (lookahead == 'r') ADVANCE(79);
      END_STATE();
    case 160:
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 161:
      if (lookahead == 'r') ADVANCE(142);
      END_STATE();
    case 162:
      if (lookahead == 's') ADVANCE(401);
      END_STATE();
    case 163:
      if (lookahead == 's') ADVANCE(94);
      END_STATE();
    case 164:
      if (lookahead == 's') ADVANCE(166);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(332);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 168:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 169:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 170:
      if (lookahead == 't') ADVANCE(150);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 172:
      if (lookahead == 'u') ADVANCE(83);
      END_STATE();
    case 173:
      if (lookahead == 'u') ADVANCE(126);
      END_STATE();
    case 174:
      if (lookahead == 'u') ADVANCE(157);
      END_STATE();
    case 175:
      if (lookahead == 'w') ADVANCE(128);
      END_STATE();
    case 176:
      if (lookahead == 'y') ADVANCE(332);
      END_STATE();
    case 177:
      if (lookahead == 'z') ADVANCE(93);
      END_STATE();
    case 178:
      if (lookahead == 'z') ADVANCE(98);
      END_STATE();
    case 179:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(316);
      END_STATE();
    case 180:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(179);
      if (lookahead == '_') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(180);
      END_STATE();
    case 181:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(180);
      END_STATE();
    case 182:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(313);
      END_STATE();
    case 183:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(309);
      END_STATE();
    case 184:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(311);
      END_STATE();
    case 185:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(72);
      END_STATE();
    case 186:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(185);
      END_STATE();
    case 187:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(312);
      END_STATE();
    case 188:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 189:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(310);
      END_STATE();
    case 190:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(317);
      END_STATE();
    case 191:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(47);
      END_STATE();
    case 192:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(316);
      END_STATE();
    case 193:
      if (sym_rune_literal_character_set_1(lookahead)) ADVANCE(72);
      if (lookahead == '0') ADVANCE(73);
      if (lookahead == 'U') ADVANCE(211);
      if (lookahead == 'u') ADVANCE(204);
      if (lookahead == 'x') ADVANCE(200);
      if (('1' <= lookahead && lookahead <= '7')) ADVANCE(186);
      END_STATE();
    case 194:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(292);
      END_STATE();
    case 195:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 196:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      END_STATE();
    case 197:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(307);
      END_STATE();
    case 198:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(180);
      END_STATE();
    case 199:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(194);
      END_STATE();
    case 200:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(195);
      END_STATE();
    case 201:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(200);
      END_STATE();
    case 202:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(199);
      END_STATE();
    case 203:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(202);
      END_STATE();
    case 204:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(201);
      END_STATE();
    case 205:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 206:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(203);
      END_STATE();
    case 207:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(206);
      END_STATE();
    case 208:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(205);
      END_STATE();
    case 209:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(207);
      END_STATE();
    case 210:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(208);
      END_STATE();
    case 211:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(210);
      END_STATE();
    case 212:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(371);
      END_STATE();
    case 213:
      if (('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(343);
      END_STATE();
    case 214:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(409);
      END_STATE();
    case 215:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 216:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != 'U' &&
          lookahead != 'u' &&
          lookahead != 'x') ADVANCE(292);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == 'U') ADVANCE(294);
      if (lookahead == 'u') ADVANCE(296);
      if (lookahead == 'x') ADVANCE(295);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 217:
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(394);
      END_STATE();
    case 218:
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(72);
      if (lookahead == '\\') ADVANCE(193);
      END_STATE();
    case 219:
      if (eof) ADVANCE(232);
      if (lookahead == ' ') ADVANCE(408);
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(44);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r') SKIP(219)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 220:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(287);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '0') ADVANCE(315);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(271);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(277);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(216);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(247);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(220)
      if (('E' <= lookahead && lookahead <= 'G') ||
          lookahead == 'S' ||
          lookahead == 'X') ADVANCE(323);
      if (('c' <= lookahead && lookahead <= 'x')) ADVANCE(322);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(312);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 221:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(287);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '<') ADVANCE(271);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(221)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 222:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(287);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(222)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 223:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(271);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(223)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 224:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == '<') ADVANCE(360);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(225)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 225:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '%') ADVANCE(257);
      if (lookahead == '&') ADVANCE(251);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(239);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == '<') ADVANCE(271);
      if (lookahead == '=') ADVANCE(393);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(247);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(267);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(225)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 226:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(361);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(228)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 227:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(227)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 228:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(243);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '%') ADVANCE(256);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '/') ADVANCE(254);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(280);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(268);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(228)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 229:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(359);
      if (lookahead == '=') ADVANCE(392);
      if (lookahead == '>') ADVANCE(364);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(266);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(230)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 230:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(241);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == ')') ADVANCE(234);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(328);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == ':') ADVANCE(303);
      if (lookahead == ';') ADVANCE(398);
      if (lookahead == '<') ADVANCE(44);
      if (lookahead == '=') ADVANCE(392);
      if (lookahead == '?') ADVANCE(291);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == ']') ADVANCE(305);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '|') ADVANCE(266);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(230)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 231:
      if (eof) ADVANCE(232);
      if (lookahead == '!') ADVANCE(244);
      if (lookahead == '#') ADVANCE(404);
      if (lookahead == '$') ADVANCE(289);
      if (lookahead == '&') ADVANCE(250);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(285);
      if (lookahead == '-') ADVANCE(238);
      if (lookahead == '.') ADVANCE(331);
      if (lookahead == '0') ADVANCE(308);
      if (lookahead == '<') ADVANCE(44);
      if (lookahead == '@') ADVANCE(370);
      if (lookahead == 'C') ADVANCE(352);
      if (lookahead == 'I') ADVANCE(367);
      if (lookahead == 'J') ADVANCE(368);
      if (lookahead == '[') ADVANCE(304);
      if (lookahead == '^') ADVANCE(246);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'l') ||
          ('n' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == '`') ADVANCE(218);
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == '{') ADVANCE(298);
      if (lookahead == '}') ADVANCE(301);
      if (lookahead == '~') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(231)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(310);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          (913 <= lookahead && lookahead <= 937)) ADVANCE(369);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(377);
      if (lookahead == '=') ADVANCE(388);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(388);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(378);
      if (lookahead == '=') ADVANCE(389);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(389);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(270);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(270);
      if (lookahead == 'i') ADVANCE(127);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == 'i') ADVANCE(162);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(391);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(380);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(283);
      if (lookahead == '=') ADVANCE(386);
      if (lookahead == '^') ADVANCE(265);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(283);
      if (lookahead == '^') ADVANCE(264);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(381);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(382);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(383);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(384);
      if (lookahead == '>') ADVANCE(263);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(262);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(385);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(387);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(390);
      if (lookahead == '|') ADVANCE(284);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(284);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(253);
      if (lookahead == '<') ADVANCE(259);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(253);
      if (lookahead == '<') ADVANCE(258);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(259);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(258);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(281);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(281);
      if (lookahead == '>') ADVANCE(260);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(281);
      if (lookahead == '>') ADVANCE(261);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_BANGin);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == 'e') ADVANCE(120);
      if (lookahead == 'f') ADVANCE(133);
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == 'e') ADVANCE(120);
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == 'f') ADVANCE(133);
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(209);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(194);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(202);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_CR);
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(300);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(379);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_map_LBRACK);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(181);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(179);
      if (lookahead == '_') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(307);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(190);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(67);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(179);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(66);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(48);
      if (lookahead == '_') ADVANCE(183);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(309);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(190);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(179);
      if (lookahead == '_') ADVANCE(183);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(309);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(190);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(179);
      if (lookahead == '_') ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(310);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(311);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(312);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(182);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(313);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(67);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(66);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(68);
      if (lookahead == '_') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(311);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(316);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(179);
      if (lookahead == '_') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      if (lookahead == 'e') ADVANCE(120);
      if (lookahead == 'f') ADVANCE(133);
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(aux_sym_format_specifier_token2);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(397);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(45);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(317);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(396);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(317);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(317);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_identifier);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '[') ADVANCE(306);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_') ADVANCE(122);
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(177);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(332);
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(170);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(334);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'o') ||
          ('q' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'p') ADVANCE(333);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      if (lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(342);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_immediate_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(343);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym__old_identifier);
      if (lookahead == 'E') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym__old_identifier);
      if (lookahead == 'S') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym__old_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'n') ||
          ('p' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      if (lookahead == 'o') ADVANCE(348);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym__old_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'q') ||
          ('s' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      if (lookahead == 'r') ADVANCE(346);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym__old_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'q') ||
          ('s' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym__old_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'q') ||
          ('s' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      if (lookahead == 'r') ADVANCE(347);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym__old_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_C);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_C);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_C);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_JS);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_JS);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_JS);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_DOT2);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(397);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '-') ADVANCE(253);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '-') ADVANCE(253);
      if (lookahead == '<') ADVANCE(259);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '-') ADVANCE(253);
      if (lookahead == '<') ADVANCE(258);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '<') ADVANCE(259);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '<') ADVANCE(258);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_IError);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_IError);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(350);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_type_placeholder);
      if (lookahead == 'E') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_type_placeholder);
      if (lookahead == 'S') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_type_placeholder);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'I') ADVANCE(61);
      if (lookahead == '_') ADVANCE(69);
      if (lookahead == 'a') ADVANCE(155);
      if (lookahead == 'b') ADVANCE(144);
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'd') ADVANCE(97);
      if (lookahead == 'e') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'g') ADVANCE(134);
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'l') ADVANCE(135);
      if (lookahead == 'm') ADVANCE(74);
      if (lookahead == 'n') ADVANCE(136);
      if (lookahead == 'p') ADVANCE(172);
      if (lookahead == 'r') ADVANCE(99);
      if (lookahead == 's') ADVANCE(96);
      if (lookahead == 't') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(50);
      if (lookahead == 'v') ADVANCE(138);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_pseudo_comptime_identifier_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(371);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_type_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'n') ||
          ('p' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      if (lookahead == 'o') ADVANCE(374);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_type_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'q') ||
          ('s' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      if (lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_type_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'q') ||
          ('s' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      if (lookahead == 'r') ADVANCE(365);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_type_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'q') ||
          ('s' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      if (lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_type_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(376);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(269);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym__content_block_token1);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(394);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_DOLLARfor);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(297);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_DOLLARif);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_DOLLARelse);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_BANGis);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(379);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_hash_statement_token1);
      if (lookahead == '\\') ADVANCE(406);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(405);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_hash_statement_token1);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(405);
      if (lookahead == '\r') ADVANCE(407);
      if (lookahead == '\\') ADVANCE(406);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_hash_statement_token1);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(405);
      if (lookahead == '\\') ADVANCE(406);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_);
      if (lookahead == ' ') ADVANCE(408);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_import_path);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(409);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(2);
      if (lookahead == 'b') ADVANCE(3);
      if (lookahead == 'c') ADVANCE(4);
      if (lookahead == 'd') ADVANCE(5);
      if (lookahead == 'e') ADVANCE(6);
      if (lookahead == 'f') ADVANCE(7);
      if (lookahead == 'g') ADVANCE(8);
      if (lookahead == 'i') ADVANCE(9);
      if (lookahead == 'l') ADVANCE(10);
      if (lookahead == 'm') ADVANCE(11);
      if (lookahead == 'n') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'p') ADVANCE(14);
      if (lookahead == 'r') ADVANCE(15);
      if (lookahead == 's') ADVANCE(16);
      if (lookahead == 't') ADVANCE(17);
      if (lookahead == 'u') ADVANCE(18);
      if (lookahead == 'v') ADVANCE(19);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '_') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      if (lookahead == 's') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'r') ADVANCE(24);
      if (lookahead == 'y') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'h') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'n') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == '3') ADVANCE(31);
      if (lookahead == '6') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'o') ADVANCE(36);
      END_STATE();
    case 8:
      if (lookahead == 'o') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == '1') ADVANCE(38);
      if (lookahead == '3') ADVANCE(39);
      if (lookahead == '6') ADVANCE(40);
      if (lookahead == '8') ADVANCE(41);
      if (lookahead == 'f') ADVANCE(42);
      if (lookahead == 'm') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'o') ADVANCE(48);
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == 'l') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(56);
      if (lookahead == 'h') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'q') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == '1') ADVANCE(65);
      if (lookahead == '3') ADVANCE(66);
      if (lookahead == '6') ADVANCE(67);
      if (lookahead == '8') ADVANCE(68);
      if (lookahead == 'n') ADVANCE(69);
      if (lookahead == 's') ADVANCE(70);
      END_STATE();
    case 19:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 20:
      if (lookahead == 'g') ADVANCE(72);
      END_STATE();
    case 21:
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'm') ADVANCE(74);
      if (lookahead == 's') ADVANCE(75);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 27:
      if (lookahead == 'n') ADVANCE(80);
      END_STATE();
    case 28:
      if (lookahead == 'f') ADVANCE(81);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 30:
      if (lookahead == 'u') ADVANCE(83);
      END_STATE();
    case 31:
      if (lookahead == '2') ADVANCE(84);
      END_STATE();
    case 32:
      if (lookahead == '4') ADVANCE(85);
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 34:
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 38:
      if (lookahead == '6') ADVANCE(90);
      END_STATE();
    case 39:
      if (lookahead == '2') ADVANCE(91);
      END_STATE();
    case 40:
      if (lookahead == '4') ADVANCE(92);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_i8);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(93);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 46:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(97);
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 48:
      if (lookahead == 'd') ADVANCE(99);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 50:
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 52:
      if (lookahead == 'b') ADVANCE(102);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 56:
      if (lookahead == 'l') ADVANCE(106);
      END_STATE();
    case 57:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 58:
      if (lookahead == 'z') ADVANCE(108);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(109);
      END_STATE();
    case 60:
      if (lookahead == 'l') ADVANCE(110);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(111);
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(113);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(114);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(115);
      END_STATE();
    case 65:
      if (lookahead == '6') ADVANCE(116);
      END_STATE();
    case 66:
      if (lookahead == '2') ADVANCE(117);
      END_STATE();
    case 67:
      if (lookahead == '4') ADVANCE(118);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_u8);
      END_STATE();
    case 69:
      if (lookahead == 'i') ADVANCE(119);
      if (lookahead == 's') ADVANCE(120);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(121);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(122);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 77:
      if (lookahead == 'a') ADVANCE(127);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 79:
      if (lookahead == 'n') ADVANCE(129);
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 80:
      if (lookahead == 's') ADVANCE(131);
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 83:
      if (lookahead == 'm') ADVANCE(135);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_f32);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_f64);
      END_STATE();
    case 86:
      if (lookahead == 's') ADVANCE(136);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(137);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 89:
      if (lookahead == 'o') ADVANCE(138);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_i16);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_i32);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_i64);
      END_STATE();
    case 93:
      if (lookahead == 'o') ADVANCE(139);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == '_') ADVANCE(140);
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 95:
      if (lookahead == 'z') ADVANCE(142);
      END_STATE();
    case 96:
      if (lookahead == 'k') ADVANCE(143);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_map);
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(145);
      END_STATE();
    case 99:
      if (lookahead == 'u') ADVANCE(146);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_mut);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_pub);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 104:
      if (lookahead == 'c') ADVANCE(149);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 107:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 109:
      if (lookahead == 'w') ADVANCE(154);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_sql);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'u') ADVANCE(157);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(160);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_u16);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_u32);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_u64);
      END_STATE();
    case 119:
      if (lookahead == 'o') ADVANCE(161);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(162);
      END_STATE();
    case 121:
      if (lookahead == 'z') ADVANCE(163);
      END_STATE();
    case 122:
      if (lookahead == 'd') ADVANCE(164);
      END_STATE();
    case 123:
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 124:
      if (lookahead == 'y') ADVANCE(166);
      END_STATE();
    case 125:
      if (lookahead == 'r') ADVANCE(167);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 127:
      if (lookahead == 'k') ADVANCE(168);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_byte);
      if (lookahead == 'p') ADVANCE(169);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_char);
      if (lookahead == 'p') ADVANCE(170);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(172);
      END_STATE();
    case 133:
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 137:
      if (lookahead == 't') ADVANCE(175);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 139:
      if (lookahead == 'r') ADVANCE(176);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 141:
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_lock);
      END_STATE();
    case 144:
      if (lookahead == 'o') ADVANCE(180);
      END_STATE();
    case 145:
      if (lookahead == 'h') ADVANCE(181);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(182);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 149:
      if (lookahead == 'k') ADVANCE(184);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_rune);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(185);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 153:
      if (lookahead == '_') ADVANCE(187);
      END_STATE();
    case 154:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 155:
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 156:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 157:
      if (lookahead == 'c') ADVANCE(191);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(192);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 162:
      if (lookahead == 'f') ADVANCE(194);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 164:
      if (lookahead == 'p') ADVANCE(196);
      END_STATE();
    case 165:
      if (lookahead == 'b') ADVANCE(197);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(198);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 169:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 170:
      if (lookahead == 't') ADVANCE(200);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 172:
      if (lookahead == 'n') ADVANCE(201);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 175:
      if (lookahead == '_') ADVANCE(202);
      END_STATE();
    case 176:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 177:
      if (lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 178:
      if (lookahead == 'f') ADVANCE(205);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_isize);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(208);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_rlock);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(210);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_spawn);
      END_STATE();
    case 189:
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 190:
      if (lookahead == 'g') ADVANCE(213);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(215);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(216);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_usize);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(217);
      END_STATE();
    case 197:
      if (lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(219);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 201:
      if (lookahead == 'u') ADVANCE(221);
      END_STATE();
    case 202:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(223);
      END_STATE();
    case 205:
      if (lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 206:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_shared);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_size_t);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_thread);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_unsafe);
      END_STATE();
    case 217:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 218:
      if (lookahead == 'l') ADVANCE(227);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_byteptr);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_charptr);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 222:
      if (lookahead == 'i') ADVANCE(229);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(231);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_mapnode);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_voidptr);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym___global);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 230:
      if (lookahead == 'r') ADVANCE(233);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 233:
      if (lookahead == 'a') ADVANCE(236);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 236:
      if (lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_int_literal);
      END_STATE();
    case 239:
      if (lookahead == 'l') ADVANCE(240);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_float_literal);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 229, .external_lex_state = 2},
  [2] = {.lex_state = 229, .external_lex_state = 2},
  [3] = {.lex_state = 229, .external_lex_state = 2},
  [4] = {.lex_state = 229, .external_lex_state = 2},
  [5] = {.lex_state = 229, .external_lex_state = 2},
  [6] = {.lex_state = 229, .external_lex_state = 2},
  [7] = {.lex_state = 229, .external_lex_state = 2},
  [8] = {.lex_state = 229, .external_lex_state = 2},
  [9] = {.lex_state = 229, .external_lex_state = 2},
  [10] = {.lex_state = 229, .external_lex_state = 2},
  [11] = {.lex_state = 229, .external_lex_state = 2},
  [12] = {.lex_state = 229, .external_lex_state = 2},
  [13] = {.lex_state = 229, .external_lex_state = 2},
  [14] = {.lex_state = 229, .external_lex_state = 2},
  [15] = {.lex_state = 229, .external_lex_state = 2},
  [16] = {.lex_state = 229, .external_lex_state = 2},
  [17] = {.lex_state = 229, .external_lex_state = 2},
  [18] = {.lex_state = 229, .external_lex_state = 2},
  [19] = {.lex_state = 229, .external_lex_state = 2},
  [20] = {.lex_state = 229, .external_lex_state = 2},
  [21] = {.lex_state = 229, .external_lex_state = 2},
  [22] = {.lex_state = 229, .external_lex_state = 2},
  [23] = {.lex_state = 229, .external_lex_state = 2},
  [24] = {.lex_state = 229, .external_lex_state = 2},
  [25] = {.lex_state = 229, .external_lex_state = 2},
  [26] = {.lex_state = 229, .external_lex_state = 2},
  [27] = {.lex_state = 229, .external_lex_state = 2},
  [28] = {.lex_state = 229, .external_lex_state = 2},
  [29] = {.lex_state = 229, .external_lex_state = 2},
  [30] = {.lex_state = 229, .external_lex_state = 2},
  [31] = {.lex_state = 229, .external_lex_state = 2},
  [32] = {.lex_state = 229, .external_lex_state = 2},
  [33] = {.lex_state = 229, .external_lex_state = 2},
  [34] = {.lex_state = 229, .external_lex_state = 2},
  [35] = {.lex_state = 229, .external_lex_state = 2},
  [36] = {.lex_state = 229, .external_lex_state = 2},
  [37] = {.lex_state = 229, .external_lex_state = 2},
  [38] = {.lex_state = 229, .external_lex_state = 2},
  [39] = {.lex_state = 229, .external_lex_state = 2},
  [40] = {.lex_state = 229, .external_lex_state = 2},
  [41] = {.lex_state = 229, .external_lex_state = 2},
  [42] = {.lex_state = 229, .external_lex_state = 2},
  [43] = {.lex_state = 229, .external_lex_state = 2},
  [44] = {.lex_state = 229, .external_lex_state = 2},
  [45] = {.lex_state = 229, .external_lex_state = 2},
  [46] = {.lex_state = 229, .external_lex_state = 2},
  [47] = {.lex_state = 229, .external_lex_state = 2},
  [48] = {.lex_state = 229, .external_lex_state = 2},
  [49] = {.lex_state = 229, .external_lex_state = 2},
  [50] = {.lex_state = 229, .external_lex_state = 2},
  [51] = {.lex_state = 229, .external_lex_state = 2},
  [52] = {.lex_state = 229, .external_lex_state = 2},
  [53] = {.lex_state = 229, .external_lex_state = 2},
  [54] = {.lex_state = 229, .external_lex_state = 2},
  [55] = {.lex_state = 229, .external_lex_state = 2},
  [56] = {.lex_state = 229, .external_lex_state = 2},
  [57] = {.lex_state = 229, .external_lex_state = 2},
  [58] = {.lex_state = 229, .external_lex_state = 2},
  [59] = {.lex_state = 229, .external_lex_state = 2},
  [60] = {.lex_state = 229, .external_lex_state = 2},
  [61] = {.lex_state = 229, .external_lex_state = 2},
  [62] = {.lex_state = 229, .external_lex_state = 2},
  [63] = {.lex_state = 229, .external_lex_state = 2},
  [64] = {.lex_state = 229, .external_lex_state = 2},
  [65] = {.lex_state = 229, .external_lex_state = 2},
  [66] = {.lex_state = 229, .external_lex_state = 2},
  [67] = {.lex_state = 229, .external_lex_state = 2},
  [68] = {.lex_state = 229, .external_lex_state = 2},
  [69] = {.lex_state = 229, .external_lex_state = 2},
  [70] = {.lex_state = 229, .external_lex_state = 2},
  [71] = {.lex_state = 229, .external_lex_state = 2},
  [72] = {.lex_state = 229, .external_lex_state = 2},
  [73] = {.lex_state = 229, .external_lex_state = 2},
  [74] = {.lex_state = 229, .external_lex_state = 2},
  [75] = {.lex_state = 229, .external_lex_state = 2},
  [76] = {.lex_state = 229, .external_lex_state = 2},
  [77] = {.lex_state = 229, .external_lex_state = 2},
  [78] = {.lex_state = 229, .external_lex_state = 2},
  [79] = {.lex_state = 229, .external_lex_state = 2},
  [80] = {.lex_state = 223, .external_lex_state = 3},
  [81] = {.lex_state = 229, .external_lex_state = 3},
  [82] = {.lex_state = 223, .external_lex_state = 3},
  [83] = {.lex_state = 223, .external_lex_state = 3},
  [84] = {.lex_state = 223, .external_lex_state = 3},
  [85] = {.lex_state = 223, .external_lex_state = 3},
  [86] = {.lex_state = 223, .external_lex_state = 3},
  [87] = {.lex_state = 223, .external_lex_state = 3},
  [88] = {.lex_state = 229, .external_lex_state = 3},
  [89] = {.lex_state = 223, .external_lex_state = 3},
  [90] = {.lex_state = 224, .external_lex_state = 3},
  [91] = {.lex_state = 223, .external_lex_state = 3},
  [92] = {.lex_state = 224, .external_lex_state = 3},
  [93] = {.lex_state = 224, .external_lex_state = 3},
  [94] = {.lex_state = 223, .external_lex_state = 3},
  [95] = {.lex_state = 223, .external_lex_state = 3},
  [96] = {.lex_state = 223, .external_lex_state = 3},
  [97] = {.lex_state = 223, .external_lex_state = 3},
  [98] = {.lex_state = 223, .external_lex_state = 3},
  [99] = {.lex_state = 223, .external_lex_state = 3},
  [100] = {.lex_state = 223, .external_lex_state = 3},
  [101] = {.lex_state = 30, .external_lex_state = 2},
  [102] = {.lex_state = 30, .external_lex_state = 2},
  [103] = {.lex_state = 30, .external_lex_state = 2},
  [104] = {.lex_state = 30, .external_lex_state = 2},
  [105] = {.lex_state = 30, .external_lex_state = 2},
  [106] = {.lex_state = 30, .external_lex_state = 2},
  [107] = {.lex_state = 30, .external_lex_state = 2},
  [108] = {.lex_state = 30, .external_lex_state = 2},
  [109] = {.lex_state = 30, .external_lex_state = 2},
  [110] = {.lex_state = 30, .external_lex_state = 2},
  [111] = {.lex_state = 224, .external_lex_state = 3},
  [112] = {.lex_state = 30, .external_lex_state = 2},
  [113] = {.lex_state = 30, .external_lex_state = 2},
  [114] = {.lex_state = 30, .external_lex_state = 2},
  [115] = {.lex_state = 30, .external_lex_state = 2},
  [116] = {.lex_state = 30, .external_lex_state = 2},
  [117] = {.lex_state = 30, .external_lex_state = 2},
  [118] = {.lex_state = 30, .external_lex_state = 2},
  [119] = {.lex_state = 30, .external_lex_state = 2},
  [120] = {.lex_state = 30, .external_lex_state = 2},
  [121] = {.lex_state = 30, .external_lex_state = 2},
  [122] = {.lex_state = 30, .external_lex_state = 2},
  [123] = {.lex_state = 30, .external_lex_state = 2},
  [124] = {.lex_state = 223, .external_lex_state = 3},
  [125] = {.lex_state = 223, .external_lex_state = 3},
  [126] = {.lex_state = 224, .external_lex_state = 3},
  [127] = {.lex_state = 223, .external_lex_state = 3},
  [128] = {.lex_state = 223, .external_lex_state = 3},
  [129] = {.lex_state = 223, .external_lex_state = 3},
  [130] = {.lex_state = 223, .external_lex_state = 3},
  [131] = {.lex_state = 227, .external_lex_state = 3},
  [132] = {.lex_state = 223, .external_lex_state = 3},
  [133] = {.lex_state = 224, .external_lex_state = 3},
  [134] = {.lex_state = 224, .external_lex_state = 3},
  [135] = {.lex_state = 223, .external_lex_state = 3},
  [136] = {.lex_state = 224, .external_lex_state = 3},
  [137] = {.lex_state = 223, .external_lex_state = 3},
  [138] = {.lex_state = 223, .external_lex_state = 3},
  [139] = {.lex_state = 223, .external_lex_state = 3},
  [140] = {.lex_state = 223, .external_lex_state = 3},
  [141] = {.lex_state = 223, .external_lex_state = 3},
  [142] = {.lex_state = 223, .external_lex_state = 3},
  [143] = {.lex_state = 224, .external_lex_state = 3},
  [144] = {.lex_state = 223, .external_lex_state = 3},
  [145] = {.lex_state = 223, .external_lex_state = 3},
  [146] = {.lex_state = 223, .external_lex_state = 3},
  [147] = {.lex_state = 224, .external_lex_state = 3},
  [148] = {.lex_state = 224, .external_lex_state = 3},
  [149] = {.lex_state = 221, .external_lex_state = 3},
  [150] = {.lex_state = 221, .external_lex_state = 3},
  [151] = {.lex_state = 224, .external_lex_state = 3},
  [152] = {.lex_state = 223, .external_lex_state = 3},
  [153] = {.lex_state = 223, .external_lex_state = 3},
  [154] = {.lex_state = 224, .external_lex_state = 3},
  [155] = {.lex_state = 221, .external_lex_state = 3},
  [156] = {.lex_state = 223, .external_lex_state = 3},
  [157] = {.lex_state = 223, .external_lex_state = 3},
  [158] = {.lex_state = 221, .external_lex_state = 3},
  [159] = {.lex_state = 223, .external_lex_state = 3},
  [160] = {.lex_state = 223, .external_lex_state = 3},
  [161] = {.lex_state = 221, .external_lex_state = 3},
  [162] = {.lex_state = 223, .external_lex_state = 3},
  [163] = {.lex_state = 223, .external_lex_state = 3},
  [164] = {.lex_state = 30, .external_lex_state = 2},
  [165] = {.lex_state = 223, .external_lex_state = 3},
  [166] = {.lex_state = 30, .external_lex_state = 2},
  [167] = {.lex_state = 30, .external_lex_state = 2},
  [168] = {.lex_state = 223, .external_lex_state = 3},
  [169] = {.lex_state = 30, .external_lex_state = 2},
  [170] = {.lex_state = 223, .external_lex_state = 3},
  [171] = {.lex_state = 223, .external_lex_state = 3},
  [172] = {.lex_state = 223, .external_lex_state = 3},
  [173] = {.lex_state = 223, .external_lex_state = 3},
  [174] = {.lex_state = 223, .external_lex_state = 3},
  [175] = {.lex_state = 223, .external_lex_state = 3},
  [176] = {.lex_state = 223, .external_lex_state = 3},
  [177] = {.lex_state = 30, .external_lex_state = 2},
  [178] = {.lex_state = 30, .external_lex_state = 2},
  [179] = {.lex_state = 30, .external_lex_state = 2},
  [180] = {.lex_state = 30, .external_lex_state = 2},
  [181] = {.lex_state = 30, .external_lex_state = 2},
  [182] = {.lex_state = 30, .external_lex_state = 2},
  [183] = {.lex_state = 30, .external_lex_state = 2},
  [184] = {.lex_state = 30, .external_lex_state = 2},
  [185] = {.lex_state = 30, .external_lex_state = 2},
  [186] = {.lex_state = 223, .external_lex_state = 3},
  [187] = {.lex_state = 223, .external_lex_state = 3},
  [188] = {.lex_state = 30, .external_lex_state = 2},
  [189] = {.lex_state = 223, .external_lex_state = 3},
  [190] = {.lex_state = 223, .external_lex_state = 3},
  [191] = {.lex_state = 223, .external_lex_state = 3},
  [192] = {.lex_state = 30, .external_lex_state = 2},
  [193] = {.lex_state = 223, .external_lex_state = 3},
  [194] = {.lex_state = 223, .external_lex_state = 3},
  [195] = {.lex_state = 223, .external_lex_state = 3},
  [196] = {.lex_state = 223, .external_lex_state = 3},
  [197] = {.lex_state = 223, .external_lex_state = 3},
  [198] = {.lex_state = 223, .external_lex_state = 3},
  [199] = {.lex_state = 223, .external_lex_state = 3},
  [200] = {.lex_state = 223, .external_lex_state = 3},
  [201] = {.lex_state = 223, .external_lex_state = 3},
  [202] = {.lex_state = 223, .external_lex_state = 3},
  [203] = {.lex_state = 223, .external_lex_state = 3},
  [204] = {.lex_state = 223, .external_lex_state = 3},
  [205] = {.lex_state = 223, .external_lex_state = 3},
  [206] = {.lex_state = 30, .external_lex_state = 2},
  [207] = {.lex_state = 30, .external_lex_state = 2},
  [208] = {.lex_state = 30, .external_lex_state = 2},
  [209] = {.lex_state = 223, .external_lex_state = 3},
  [210] = {.lex_state = 223, .external_lex_state = 3},
  [211] = {.lex_state = 223, .external_lex_state = 3},
  [212] = {.lex_state = 223, .external_lex_state = 3},
  [213] = {.lex_state = 223, .external_lex_state = 3},
  [214] = {.lex_state = 223, .external_lex_state = 3},
  [215] = {.lex_state = 30, .external_lex_state = 2},
  [216] = {.lex_state = 30, .external_lex_state = 2},
  [217] = {.lex_state = 223, .external_lex_state = 3},
  [218] = {.lex_state = 223, .external_lex_state = 3},
  [219] = {.lex_state = 223, .external_lex_state = 3},
  [220] = {.lex_state = 223, .external_lex_state = 3},
  [221] = {.lex_state = 223, .external_lex_state = 3},
  [222] = {.lex_state = 30, .external_lex_state = 2},
  [223] = {.lex_state = 30, .external_lex_state = 2},
  [224] = {.lex_state = 30, .external_lex_state = 2},
  [225] = {.lex_state = 223, .external_lex_state = 3},
  [226] = {.lex_state = 30, .external_lex_state = 2},
  [227] = {.lex_state = 30, .external_lex_state = 2},
  [228] = {.lex_state = 30, .external_lex_state = 2},
  [229] = {.lex_state = 30, .external_lex_state = 2},
  [230] = {.lex_state = 223, .external_lex_state = 3},
  [231] = {.lex_state = 223, .external_lex_state = 3},
  [232] = {.lex_state = 223, .external_lex_state = 3},
  [233] = {.lex_state = 30, .external_lex_state = 2},
  [234] = {.lex_state = 30, .external_lex_state = 2},
  [235] = {.lex_state = 223, .external_lex_state = 3},
  [236] = {.lex_state = 223, .external_lex_state = 3},
  [237] = {.lex_state = 30, .external_lex_state = 2},
  [238] = {.lex_state = 223, .external_lex_state = 3},
  [239] = {.lex_state = 223, .external_lex_state = 3},
  [240] = {.lex_state = 223, .external_lex_state = 3},
  [241] = {.lex_state = 223, .external_lex_state = 3},
  [242] = {.lex_state = 223, .external_lex_state = 3},
  [243] = {.lex_state = 30, .external_lex_state = 2},
  [244] = {.lex_state = 223, .external_lex_state = 3},
  [245] = {.lex_state = 223, .external_lex_state = 3},
  [246] = {.lex_state = 223, .external_lex_state = 3},
  [247] = {.lex_state = 30, .external_lex_state = 2},
  [248] = {.lex_state = 30, .external_lex_state = 2},
  [249] = {.lex_state = 223, .external_lex_state = 3},
  [250] = {.lex_state = 30, .external_lex_state = 2},
  [251] = {.lex_state = 30, .external_lex_state = 2},
  [252] = {.lex_state = 30, .external_lex_state = 2},
  [253] = {.lex_state = 223, .external_lex_state = 3},
  [254] = {.lex_state = 223, .external_lex_state = 3},
  [255] = {.lex_state = 223, .external_lex_state = 3},
  [256] = {.lex_state = 223, .external_lex_state = 3},
  [257] = {.lex_state = 223, .external_lex_state = 3},
  [258] = {.lex_state = 30, .external_lex_state = 2},
  [259] = {.lex_state = 223, .external_lex_state = 3},
  [260] = {.lex_state = 223, .external_lex_state = 3},
  [261] = {.lex_state = 223, .external_lex_state = 3},
  [262] = {.lex_state = 30, .external_lex_state = 2},
  [263] = {.lex_state = 30, .external_lex_state = 2},
  [264] = {.lex_state = 223, .external_lex_state = 3},
  [265] = {.lex_state = 30, .external_lex_state = 2},
  [266] = {.lex_state = 223, .external_lex_state = 3},
  [267] = {.lex_state = 30, .external_lex_state = 2},
  [268] = {.lex_state = 223, .external_lex_state = 3},
  [269] = {.lex_state = 223, .external_lex_state = 3},
  [270] = {.lex_state = 223, .external_lex_state = 3},
  [271] = {.lex_state = 223, .external_lex_state = 3},
  [272] = {.lex_state = 223, .external_lex_state = 3},
  [273] = {.lex_state = 30, .external_lex_state = 2},
  [274] = {.lex_state = 223, .external_lex_state = 3},
  [275] = {.lex_state = 223, .external_lex_state = 3},
  [276] = {.lex_state = 223, .external_lex_state = 3},
  [277] = {.lex_state = 223, .external_lex_state = 3},
  [278] = {.lex_state = 223, .external_lex_state = 3},
  [279] = {.lex_state = 223, .external_lex_state = 3},
  [280] = {.lex_state = 223, .external_lex_state = 3},
  [281] = {.lex_state = 223, .external_lex_state = 3},
  [282] = {.lex_state = 223, .external_lex_state = 3},
  [283] = {.lex_state = 223, .external_lex_state = 3},
  [284] = {.lex_state = 223, .external_lex_state = 3},
  [285] = {.lex_state = 223, .external_lex_state = 3},
  [286] = {.lex_state = 223, .external_lex_state = 3},
  [287] = {.lex_state = 223, .external_lex_state = 3},
  [288] = {.lex_state = 30, .external_lex_state = 2},
  [289] = {.lex_state = 30, .external_lex_state = 2},
  [290] = {.lex_state = 30, .external_lex_state = 2},
  [291] = {.lex_state = 30, .external_lex_state = 2},
  [292] = {.lex_state = 30, .external_lex_state = 2},
  [293] = {.lex_state = 30, .external_lex_state = 2},
  [294] = {.lex_state = 30, .external_lex_state = 2},
  [295] = {.lex_state = 30, .external_lex_state = 2},
  [296] = {.lex_state = 30, .external_lex_state = 2},
  [297] = {.lex_state = 30, .external_lex_state = 2},
  [298] = {.lex_state = 30, .external_lex_state = 2},
  [299] = {.lex_state = 30, .external_lex_state = 2},
  [300] = {.lex_state = 30, .external_lex_state = 2},
  [301] = {.lex_state = 227, .external_lex_state = 3},
  [302] = {.lex_state = 30, .external_lex_state = 2},
  [303] = {.lex_state = 227, .external_lex_state = 3},
  [304] = {.lex_state = 30, .external_lex_state = 2},
  [305] = {.lex_state = 30, .external_lex_state = 2},
  [306] = {.lex_state = 30, .external_lex_state = 2},
  [307] = {.lex_state = 30, .external_lex_state = 2},
  [308] = {.lex_state = 30, .external_lex_state = 2},
  [309] = {.lex_state = 30, .external_lex_state = 2},
  [310] = {.lex_state = 30, .external_lex_state = 2},
  [311] = {.lex_state = 30, .external_lex_state = 2},
  [312] = {.lex_state = 30, .external_lex_state = 2},
  [313] = {.lex_state = 30, .external_lex_state = 2},
  [314] = {.lex_state = 30, .external_lex_state = 2},
  [315] = {.lex_state = 30, .external_lex_state = 2},
  [316] = {.lex_state = 30, .external_lex_state = 2},
  [317] = {.lex_state = 30, .external_lex_state = 2},
  [318] = {.lex_state = 30, .external_lex_state = 2},
  [319] = {.lex_state = 30, .external_lex_state = 2},
  [320] = {.lex_state = 30, .external_lex_state = 2},
  [321] = {.lex_state = 30, .external_lex_state = 2},
  [322] = {.lex_state = 30, .external_lex_state = 2},
  [323] = {.lex_state = 30, .external_lex_state = 2},
  [324] = {.lex_state = 30, .external_lex_state = 2},
  [325] = {.lex_state = 30, .external_lex_state = 2},
  [326] = {.lex_state = 30, .external_lex_state = 2},
  [327] = {.lex_state = 30, .external_lex_state = 2},
  [328] = {.lex_state = 30, .external_lex_state = 2},
  [329] = {.lex_state = 30, .external_lex_state = 2},
  [330] = {.lex_state = 30, .external_lex_state = 2},
  [331] = {.lex_state = 30, .external_lex_state = 2},
  [332] = {.lex_state = 30, .external_lex_state = 2},
  [333] = {.lex_state = 30, .external_lex_state = 2},
  [334] = {.lex_state = 30, .external_lex_state = 2},
  [335] = {.lex_state = 30, .external_lex_state = 2},
  [336] = {.lex_state = 30, .external_lex_state = 2},
  [337] = {.lex_state = 30, .external_lex_state = 2},
  [338] = {.lex_state = 30, .external_lex_state = 2},
  [339] = {.lex_state = 30, .external_lex_state = 2},
  [340] = {.lex_state = 30, .external_lex_state = 2},
  [341] = {.lex_state = 30, .external_lex_state = 2},
  [342] = {.lex_state = 30, .external_lex_state = 2},
  [343] = {.lex_state = 30, .external_lex_state = 2},
  [344] = {.lex_state = 30, .external_lex_state = 2},
  [345] = {.lex_state = 30, .external_lex_state = 2},
  [346] = {.lex_state = 30, .external_lex_state = 2},
  [347] = {.lex_state = 30, .external_lex_state = 2},
  [348] = {.lex_state = 30, .external_lex_state = 2},
  [349] = {.lex_state = 30, .external_lex_state = 2},
  [350] = {.lex_state = 30, .external_lex_state = 2},
  [351] = {.lex_state = 30, .external_lex_state = 2},
  [352] = {.lex_state = 30, .external_lex_state = 2},
  [353] = {.lex_state = 30, .external_lex_state = 2},
  [354] = {.lex_state = 30, .external_lex_state = 2},
  [355] = {.lex_state = 30, .external_lex_state = 2},
  [356] = {.lex_state = 227, .external_lex_state = 3},
  [357] = {.lex_state = 30, .external_lex_state = 2},
  [358] = {.lex_state = 30, .external_lex_state = 2},
  [359] = {.lex_state = 30, .external_lex_state = 2},
  [360] = {.lex_state = 30, .external_lex_state = 2},
  [361] = {.lex_state = 30, .external_lex_state = 2},
  [362] = {.lex_state = 30, .external_lex_state = 2},
  [363] = {.lex_state = 30, .external_lex_state = 2},
  [364] = {.lex_state = 30, .external_lex_state = 2},
  [365] = {.lex_state = 30, .external_lex_state = 2},
  [366] = {.lex_state = 227, .external_lex_state = 3},
  [367] = {.lex_state = 30, .external_lex_state = 2},
  [368] = {.lex_state = 227, .external_lex_state = 3},
  [369] = {.lex_state = 30, .external_lex_state = 2},
  [370] = {.lex_state = 30, .external_lex_state = 2},
  [371] = {.lex_state = 30, .external_lex_state = 2},
  [372] = {.lex_state = 30, .external_lex_state = 2},
  [373] = {.lex_state = 30, .external_lex_state = 2},
  [374] = {.lex_state = 30, .external_lex_state = 2},
  [375] = {.lex_state = 30, .external_lex_state = 2},
  [376] = {.lex_state = 30, .external_lex_state = 2},
  [377] = {.lex_state = 30, .external_lex_state = 2},
  [378] = {.lex_state = 30, .external_lex_state = 2},
  [379] = {.lex_state = 30, .external_lex_state = 2},
  [380] = {.lex_state = 30, .external_lex_state = 2},
  [381] = {.lex_state = 30, .external_lex_state = 2},
  [382] = {.lex_state = 30, .external_lex_state = 2},
  [383] = {.lex_state = 30, .external_lex_state = 2},
  [384] = {.lex_state = 30, .external_lex_state = 2},
  [385] = {.lex_state = 30, .external_lex_state = 2},
  [386] = {.lex_state = 30, .external_lex_state = 2},
  [387] = {.lex_state = 30, .external_lex_state = 2},
  [388] = {.lex_state = 30, .external_lex_state = 2},
  [389] = {.lex_state = 30, .external_lex_state = 2},
  [390] = {.lex_state = 30, .external_lex_state = 2},
  [391] = {.lex_state = 30, .external_lex_state = 2},
  [392] = {.lex_state = 30, .external_lex_state = 2},
  [393] = {.lex_state = 30, .external_lex_state = 2},
  [394] = {.lex_state = 30, .external_lex_state = 2},
  [395] = {.lex_state = 30, .external_lex_state = 2},
  [396] = {.lex_state = 30, .external_lex_state = 2},
  [397] = {.lex_state = 30, .external_lex_state = 2},
  [398] = {.lex_state = 30, .external_lex_state = 2},
  [399] = {.lex_state = 30, .external_lex_state = 2},
  [400] = {.lex_state = 30, .external_lex_state = 2},
  [401] = {.lex_state = 30, .external_lex_state = 2},
  [402] = {.lex_state = 30, .external_lex_state = 2},
  [403] = {.lex_state = 30, .external_lex_state = 2},
  [404] = {.lex_state = 30, .external_lex_state = 2},
  [405] = {.lex_state = 30, .external_lex_state = 2},
  [406] = {.lex_state = 30, .external_lex_state = 2},
  [407] = {.lex_state = 30, .external_lex_state = 2},
  [408] = {.lex_state = 30, .external_lex_state = 2},
  [409] = {.lex_state = 30, .external_lex_state = 2},
  [410] = {.lex_state = 30, .external_lex_state = 2},
  [411] = {.lex_state = 30, .external_lex_state = 2},
  [412] = {.lex_state = 30, .external_lex_state = 2},
  [413] = {.lex_state = 30, .external_lex_state = 2},
  [414] = {.lex_state = 30, .external_lex_state = 2},
  [415] = {.lex_state = 30, .external_lex_state = 2},
  [416] = {.lex_state = 30, .external_lex_state = 2},
  [417] = {.lex_state = 30, .external_lex_state = 2},
  [418] = {.lex_state = 30, .external_lex_state = 2},
  [419] = {.lex_state = 30, .external_lex_state = 2},
  [420] = {.lex_state = 30, .external_lex_state = 2},
  [421] = {.lex_state = 30, .external_lex_state = 2},
  [422] = {.lex_state = 30, .external_lex_state = 2},
  [423] = {.lex_state = 30, .external_lex_state = 2},
  [424] = {.lex_state = 30, .external_lex_state = 2},
  [425] = {.lex_state = 30, .external_lex_state = 2},
  [426] = {.lex_state = 30, .external_lex_state = 2},
  [427] = {.lex_state = 30, .external_lex_state = 2},
  [428] = {.lex_state = 30, .external_lex_state = 2},
  [429] = {.lex_state = 30, .external_lex_state = 2},
  [430] = {.lex_state = 30, .external_lex_state = 2},
  [431] = {.lex_state = 30, .external_lex_state = 2},
  [432] = {.lex_state = 30, .external_lex_state = 2},
  [433] = {.lex_state = 30, .external_lex_state = 2},
  [434] = {.lex_state = 30, .external_lex_state = 2},
  [435] = {.lex_state = 30, .external_lex_state = 2},
  [436] = {.lex_state = 30, .external_lex_state = 2},
  [437] = {.lex_state = 30, .external_lex_state = 2},
  [438] = {.lex_state = 30, .external_lex_state = 2},
  [439] = {.lex_state = 30, .external_lex_state = 2},
  [440] = {.lex_state = 30, .external_lex_state = 2},
  [441] = {.lex_state = 30, .external_lex_state = 2},
  [442] = {.lex_state = 30, .external_lex_state = 2},
  [443] = {.lex_state = 30, .external_lex_state = 2},
  [444] = {.lex_state = 30, .external_lex_state = 2},
  [445] = {.lex_state = 30, .external_lex_state = 2},
  [446] = {.lex_state = 223, .external_lex_state = 3},
  [447] = {.lex_state = 223, .external_lex_state = 3},
  [448] = {.lex_state = 223, .external_lex_state = 3},
  [449] = {.lex_state = 224, .external_lex_state = 3},
  [450] = {.lex_state = 224, .external_lex_state = 3},
  [451] = {.lex_state = 224, .external_lex_state = 3},
  [452] = {.lex_state = 224, .external_lex_state = 3},
  [453] = {.lex_state = 32, .external_lex_state = 2},
  [454] = {.lex_state = 30, .external_lex_state = 2},
  [455] = {.lex_state = 30, .external_lex_state = 2},
  [456] = {.lex_state = 30, .external_lex_state = 2},
  [457] = {.lex_state = 32, .external_lex_state = 2},
  [458] = {.lex_state = 30, .external_lex_state = 2},
  [459] = {.lex_state = 30, .external_lex_state = 2},
  [460] = {.lex_state = 30, .external_lex_state = 2},
  [461] = {.lex_state = 30, .external_lex_state = 2},
  [462] = {.lex_state = 30, .external_lex_state = 2},
  [463] = {.lex_state = 30, .external_lex_state = 2},
  [464] = {.lex_state = 223, .external_lex_state = 3},
  [465] = {.lex_state = 32, .external_lex_state = 2},
  [466] = {.lex_state = 30, .external_lex_state = 2},
  [467] = {.lex_state = 30, .external_lex_state = 2},
  [468] = {.lex_state = 30, .external_lex_state = 2},
  [469] = {.lex_state = 30, .external_lex_state = 2},
  [470] = {.lex_state = 32, .external_lex_state = 2},
  [471] = {.lex_state = 30, .external_lex_state = 2},
  [472] = {.lex_state = 30, .external_lex_state = 2},
  [473] = {.lex_state = 30, .external_lex_state = 2},
  [474] = {.lex_state = 30, .external_lex_state = 2},
  [475] = {.lex_state = 30, .external_lex_state = 2},
  [476] = {.lex_state = 30, .external_lex_state = 2},
  [477] = {.lex_state = 224, .external_lex_state = 3},
  [478] = {.lex_state = 32, .external_lex_state = 2},
  [479] = {.lex_state = 30, .external_lex_state = 2},
  [480] = {.lex_state = 30, .external_lex_state = 2},
  [481] = {.lex_state = 32, .external_lex_state = 2},
  [482] = {.lex_state = 30, .external_lex_state = 2},
  [483] = {.lex_state = 30, .external_lex_state = 2},
  [484] = {.lex_state = 30, .external_lex_state = 2},
  [485] = {.lex_state = 30, .external_lex_state = 2},
  [486] = {.lex_state = 30, .external_lex_state = 2},
  [487] = {.lex_state = 30, .external_lex_state = 2},
  [488] = {.lex_state = 30, .external_lex_state = 2},
  [489] = {.lex_state = 30, .external_lex_state = 2},
  [490] = {.lex_state = 30, .external_lex_state = 2},
  [491] = {.lex_state = 30, .external_lex_state = 2},
  [492] = {.lex_state = 30, .external_lex_state = 2},
  [493] = {.lex_state = 30, .external_lex_state = 2},
  [494] = {.lex_state = 30, .external_lex_state = 2},
  [495] = {.lex_state = 30, .external_lex_state = 2},
  [496] = {.lex_state = 30, .external_lex_state = 2},
  [497] = {.lex_state = 32, .external_lex_state = 2},
  [498] = {.lex_state = 30, .external_lex_state = 2},
  [499] = {.lex_state = 30, .external_lex_state = 2},
  [500] = {.lex_state = 30, .external_lex_state = 2},
  [501] = {.lex_state = 30, .external_lex_state = 2},
  [502] = {.lex_state = 30, .external_lex_state = 2},
  [503] = {.lex_state = 32, .external_lex_state = 2},
  [504] = {.lex_state = 30, .external_lex_state = 2},
  [505] = {.lex_state = 30, .external_lex_state = 2},
  [506] = {.lex_state = 30, .external_lex_state = 2},
  [507] = {.lex_state = 30, .external_lex_state = 2},
  [508] = {.lex_state = 224, .external_lex_state = 3},
  [509] = {.lex_state = 32, .external_lex_state = 2},
  [510] = {.lex_state = 30, .external_lex_state = 2},
  [511] = {.lex_state = 32, .external_lex_state = 2},
  [512] = {.lex_state = 30, .external_lex_state = 2},
  [513] = {.lex_state = 30, .external_lex_state = 2},
  [514] = {.lex_state = 30, .external_lex_state = 2},
  [515] = {.lex_state = 30, .external_lex_state = 2},
  [516] = {.lex_state = 30, .external_lex_state = 2},
  [517] = {.lex_state = 30, .external_lex_state = 2},
  [518] = {.lex_state = 32, .external_lex_state = 2},
  [519] = {.lex_state = 30, .external_lex_state = 2},
  [520] = {.lex_state = 32, .external_lex_state = 2},
  [521] = {.lex_state = 30, .external_lex_state = 2},
  [522] = {.lex_state = 30, .external_lex_state = 2},
  [523] = {.lex_state = 30, .external_lex_state = 2},
  [524] = {.lex_state = 30, .external_lex_state = 2},
  [525] = {.lex_state = 32, .external_lex_state = 2},
  [526] = {.lex_state = 30, .external_lex_state = 2},
  [527] = {.lex_state = 30, .external_lex_state = 2},
  [528] = {.lex_state = 30, .external_lex_state = 2},
  [529] = {.lex_state = 30, .external_lex_state = 2},
  [530] = {.lex_state = 30, .external_lex_state = 2},
  [531] = {.lex_state = 30, .external_lex_state = 2},
  [532] = {.lex_state = 32, .external_lex_state = 2},
  [533] = {.lex_state = 30, .external_lex_state = 2},
  [534] = {.lex_state = 30, .external_lex_state = 2},
  [535] = {.lex_state = 30, .external_lex_state = 2},
  [536] = {.lex_state = 30, .external_lex_state = 2},
  [537] = {.lex_state = 30, .external_lex_state = 2},
  [538] = {.lex_state = 30, .external_lex_state = 2},
  [539] = {.lex_state = 30, .external_lex_state = 2},
  [540] = {.lex_state = 30, .external_lex_state = 2},
  [541] = {.lex_state = 30, .external_lex_state = 2},
  [542] = {.lex_state = 30, .external_lex_state = 2},
  [543] = {.lex_state = 30, .external_lex_state = 2},
  [544] = {.lex_state = 30, .external_lex_state = 2},
  [545] = {.lex_state = 30, .external_lex_state = 2},
  [546] = {.lex_state = 30, .external_lex_state = 2},
  [547] = {.lex_state = 30, .external_lex_state = 2},
  [548] = {.lex_state = 30, .external_lex_state = 2},
  [549] = {.lex_state = 30, .external_lex_state = 2},
  [550] = {.lex_state = 30, .external_lex_state = 2},
  [551] = {.lex_state = 30, .external_lex_state = 2},
  [552] = {.lex_state = 30, .external_lex_state = 2},
  [553] = {.lex_state = 30, .external_lex_state = 2},
  [554] = {.lex_state = 30, .external_lex_state = 2},
  [555] = {.lex_state = 30, .external_lex_state = 2},
  [556] = {.lex_state = 30, .external_lex_state = 2},
  [557] = {.lex_state = 30, .external_lex_state = 2},
  [558] = {.lex_state = 30, .external_lex_state = 2},
  [559] = {.lex_state = 30, .external_lex_state = 2},
  [560] = {.lex_state = 30, .external_lex_state = 2},
  [561] = {.lex_state = 223, .external_lex_state = 3},
  [562] = {.lex_state = 223, .external_lex_state = 3},
  [563] = {.lex_state = 30, .external_lex_state = 2},
  [564] = {.lex_state = 30, .external_lex_state = 2},
  [565] = {.lex_state = 30, .external_lex_state = 2},
  [566] = {.lex_state = 30, .external_lex_state = 2},
  [567] = {.lex_state = 223, .external_lex_state = 3},
  [568] = {.lex_state = 30, .external_lex_state = 2},
  [569] = {.lex_state = 223, .external_lex_state = 3},
  [570] = {.lex_state = 30, .external_lex_state = 2},
  [571] = {.lex_state = 30, .external_lex_state = 2},
  [572] = {.lex_state = 30, .external_lex_state = 2},
  [573] = {.lex_state = 30, .external_lex_state = 2},
  [574] = {.lex_state = 30, .external_lex_state = 2},
  [575] = {.lex_state = 224, .external_lex_state = 3},
  [576] = {.lex_state = 30, .external_lex_state = 2},
  [577] = {.lex_state = 30, .external_lex_state = 2},
  [578] = {.lex_state = 30, .external_lex_state = 2},
  [579] = {.lex_state = 30, .external_lex_state = 2},
  [580] = {.lex_state = 30, .external_lex_state = 2},
  [581] = {.lex_state = 30, .external_lex_state = 2},
  [582] = {.lex_state = 30, .external_lex_state = 2},
  [583] = {.lex_state = 30, .external_lex_state = 2},
  [584] = {.lex_state = 30, .external_lex_state = 2},
  [585] = {.lex_state = 30, .external_lex_state = 2},
  [586] = {.lex_state = 30, .external_lex_state = 2},
  [587] = {.lex_state = 30, .external_lex_state = 2},
  [588] = {.lex_state = 30, .external_lex_state = 2},
  [589] = {.lex_state = 30, .external_lex_state = 2},
  [590] = {.lex_state = 30, .external_lex_state = 2},
  [591] = {.lex_state = 30, .external_lex_state = 2},
  [592] = {.lex_state = 30, .external_lex_state = 2},
  [593] = {.lex_state = 30, .external_lex_state = 2},
  [594] = {.lex_state = 30, .external_lex_state = 2},
  [595] = {.lex_state = 30, .external_lex_state = 2},
  [596] = {.lex_state = 30, .external_lex_state = 2},
  [597] = {.lex_state = 30, .external_lex_state = 2},
  [598] = {.lex_state = 30, .external_lex_state = 2},
  [599] = {.lex_state = 30, .external_lex_state = 2},
  [600] = {.lex_state = 30, .external_lex_state = 2},
  [601] = {.lex_state = 30, .external_lex_state = 2},
  [602] = {.lex_state = 30, .external_lex_state = 2},
  [603] = {.lex_state = 30, .external_lex_state = 2},
  [604] = {.lex_state = 30, .external_lex_state = 2},
  [605] = {.lex_state = 30, .external_lex_state = 2},
  [606] = {.lex_state = 30, .external_lex_state = 2},
  [607] = {.lex_state = 30, .external_lex_state = 2},
  [608] = {.lex_state = 30, .external_lex_state = 2},
  [609] = {.lex_state = 30, .external_lex_state = 2},
  [610] = {.lex_state = 30, .external_lex_state = 2},
  [611] = {.lex_state = 30, .external_lex_state = 2},
  [612] = {.lex_state = 30, .external_lex_state = 2},
  [613] = {.lex_state = 30, .external_lex_state = 2},
  [614] = {.lex_state = 30, .external_lex_state = 2},
  [615] = {.lex_state = 30, .external_lex_state = 2},
  [616] = {.lex_state = 30, .external_lex_state = 2},
  [617] = {.lex_state = 30, .external_lex_state = 2},
  [618] = {.lex_state = 30, .external_lex_state = 2},
  [619] = {.lex_state = 30, .external_lex_state = 2},
  [620] = {.lex_state = 30, .external_lex_state = 2},
  [621] = {.lex_state = 30, .external_lex_state = 2},
  [622] = {.lex_state = 30, .external_lex_state = 2},
  [623] = {.lex_state = 30, .external_lex_state = 2},
  [624] = {.lex_state = 30, .external_lex_state = 2},
  [625] = {.lex_state = 30, .external_lex_state = 2},
  [626] = {.lex_state = 30, .external_lex_state = 2},
  [627] = {.lex_state = 30, .external_lex_state = 2},
  [628] = {.lex_state = 30, .external_lex_state = 2},
  [629] = {.lex_state = 30, .external_lex_state = 2},
  [630] = {.lex_state = 30, .external_lex_state = 2},
  [631] = {.lex_state = 30, .external_lex_state = 2},
  [632] = {.lex_state = 30, .external_lex_state = 2},
  [633] = {.lex_state = 30, .external_lex_state = 2},
  [634] = {.lex_state = 30, .external_lex_state = 2},
  [635] = {.lex_state = 30, .external_lex_state = 2},
  [636] = {.lex_state = 30, .external_lex_state = 2},
  [637] = {.lex_state = 30, .external_lex_state = 2},
  [638] = {.lex_state = 30, .external_lex_state = 2},
  [639] = {.lex_state = 30, .external_lex_state = 2},
  [640] = {.lex_state = 30, .external_lex_state = 2},
  [641] = {.lex_state = 30, .external_lex_state = 2},
  [642] = {.lex_state = 30, .external_lex_state = 2},
  [643] = {.lex_state = 30, .external_lex_state = 2},
  [644] = {.lex_state = 30, .external_lex_state = 2},
  [645] = {.lex_state = 30, .external_lex_state = 2},
  [646] = {.lex_state = 30, .external_lex_state = 2},
  [647] = {.lex_state = 30, .external_lex_state = 2},
  [648] = {.lex_state = 30, .external_lex_state = 2},
  [649] = {.lex_state = 30, .external_lex_state = 2},
  [650] = {.lex_state = 30, .external_lex_state = 2},
  [651] = {.lex_state = 30, .external_lex_state = 2},
  [652] = {.lex_state = 30, .external_lex_state = 2},
  [653] = {.lex_state = 30, .external_lex_state = 2},
  [654] = {.lex_state = 30, .external_lex_state = 2},
  [655] = {.lex_state = 30, .external_lex_state = 2},
  [656] = {.lex_state = 30, .external_lex_state = 2},
  [657] = {.lex_state = 30, .external_lex_state = 2},
  [658] = {.lex_state = 30, .external_lex_state = 2},
  [659] = {.lex_state = 30, .external_lex_state = 2},
  [660] = {.lex_state = 30, .external_lex_state = 2},
  [661] = {.lex_state = 30, .external_lex_state = 2},
  [662] = {.lex_state = 30, .external_lex_state = 2},
  [663] = {.lex_state = 30, .external_lex_state = 2},
  [664] = {.lex_state = 30, .external_lex_state = 2},
  [665] = {.lex_state = 30, .external_lex_state = 2},
  [666] = {.lex_state = 30, .external_lex_state = 2},
  [667] = {.lex_state = 30, .external_lex_state = 2},
  [668] = {.lex_state = 30, .external_lex_state = 2},
  [669] = {.lex_state = 30, .external_lex_state = 2},
  [670] = {.lex_state = 30, .external_lex_state = 2},
  [671] = {.lex_state = 30, .external_lex_state = 2},
  [672] = {.lex_state = 30, .external_lex_state = 2},
  [673] = {.lex_state = 30, .external_lex_state = 2},
  [674] = {.lex_state = 30, .external_lex_state = 2},
  [675] = {.lex_state = 30, .external_lex_state = 2},
  [676] = {.lex_state = 30, .external_lex_state = 2},
  [677] = {.lex_state = 30, .external_lex_state = 2},
  [678] = {.lex_state = 30, .external_lex_state = 2},
  [679] = {.lex_state = 30, .external_lex_state = 2},
  [680] = {.lex_state = 30, .external_lex_state = 2},
  [681] = {.lex_state = 30, .external_lex_state = 2},
  [682] = {.lex_state = 30, .external_lex_state = 2},
  [683] = {.lex_state = 30, .external_lex_state = 2},
  [684] = {.lex_state = 30, .external_lex_state = 2},
  [685] = {.lex_state = 30, .external_lex_state = 2},
  [686] = {.lex_state = 30, .external_lex_state = 2},
  [687] = {.lex_state = 30, .external_lex_state = 2},
  [688] = {.lex_state = 30, .external_lex_state = 2},
  [689] = {.lex_state = 30, .external_lex_state = 2},
  [690] = {.lex_state = 30, .external_lex_state = 2},
  [691] = {.lex_state = 30, .external_lex_state = 2},
  [692] = {.lex_state = 30, .external_lex_state = 2},
  [693] = {.lex_state = 30, .external_lex_state = 2},
  [694] = {.lex_state = 30, .external_lex_state = 2},
  [695] = {.lex_state = 30, .external_lex_state = 2},
  [696] = {.lex_state = 30, .external_lex_state = 2},
  [697] = {.lex_state = 30, .external_lex_state = 2},
  [698] = {.lex_state = 30, .external_lex_state = 2},
  [699] = {.lex_state = 30, .external_lex_state = 2},
  [700] = {.lex_state = 30, .external_lex_state = 2},
  [701] = {.lex_state = 30, .external_lex_state = 2},
  [702] = {.lex_state = 30, .external_lex_state = 2},
  [703] = {.lex_state = 30, .external_lex_state = 2},
  [704] = {.lex_state = 30, .external_lex_state = 2},
  [705] = {.lex_state = 30, .external_lex_state = 2},
  [706] = {.lex_state = 30, .external_lex_state = 2},
  [707] = {.lex_state = 30, .external_lex_state = 2},
  [708] = {.lex_state = 30, .external_lex_state = 2},
  [709] = {.lex_state = 30, .external_lex_state = 2},
  [710] = {.lex_state = 30, .external_lex_state = 2},
  [711] = {.lex_state = 30, .external_lex_state = 2},
  [712] = {.lex_state = 30, .external_lex_state = 2},
  [713] = {.lex_state = 30, .external_lex_state = 2},
  [714] = {.lex_state = 30, .external_lex_state = 2},
  [715] = {.lex_state = 30, .external_lex_state = 2},
  [716] = {.lex_state = 30, .external_lex_state = 2},
  [717] = {.lex_state = 30, .external_lex_state = 2},
  [718] = {.lex_state = 30, .external_lex_state = 2},
  [719] = {.lex_state = 30, .external_lex_state = 2},
  [720] = {.lex_state = 30, .external_lex_state = 2},
  [721] = {.lex_state = 30, .external_lex_state = 2},
  [722] = {.lex_state = 30, .external_lex_state = 2},
  [723] = {.lex_state = 30, .external_lex_state = 2},
  [724] = {.lex_state = 224, .external_lex_state = 3},
  [725] = {.lex_state = 30, .external_lex_state = 2},
  [726] = {.lex_state = 30, .external_lex_state = 2},
  [727] = {.lex_state = 30, .external_lex_state = 2},
  [728] = {.lex_state = 30, .external_lex_state = 2},
  [729] = {.lex_state = 30, .external_lex_state = 2},
  [730] = {.lex_state = 30, .external_lex_state = 2},
  [731] = {.lex_state = 30, .external_lex_state = 2},
  [732] = {.lex_state = 30, .external_lex_state = 2},
  [733] = {.lex_state = 30, .external_lex_state = 2},
  [734] = {.lex_state = 227, .external_lex_state = 3},
  [735] = {.lex_state = 30, .external_lex_state = 2},
  [736] = {.lex_state = 30, .external_lex_state = 2},
  [737] = {.lex_state = 30, .external_lex_state = 2},
  [738] = {.lex_state = 30, .external_lex_state = 2},
  [739] = {.lex_state = 30, .external_lex_state = 2},
  [740] = {.lex_state = 30, .external_lex_state = 2},
  [741] = {.lex_state = 30, .external_lex_state = 2},
  [742] = {.lex_state = 30, .external_lex_state = 2},
  [743] = {.lex_state = 30, .external_lex_state = 2},
  [744] = {.lex_state = 30, .external_lex_state = 2},
  [745] = {.lex_state = 30, .external_lex_state = 2},
  [746] = {.lex_state = 30, .external_lex_state = 2},
  [747] = {.lex_state = 30, .external_lex_state = 2},
  [748] = {.lex_state = 30, .external_lex_state = 2},
  [749] = {.lex_state = 30, .external_lex_state = 2},
  [750] = {.lex_state = 30, .external_lex_state = 2},
  [751] = {.lex_state = 30, .external_lex_state = 2},
  [752] = {.lex_state = 30, .external_lex_state = 2},
  [753] = {.lex_state = 30, .external_lex_state = 2},
  [754] = {.lex_state = 30, .external_lex_state = 2},
  [755] = {.lex_state = 30, .external_lex_state = 2},
  [756] = {.lex_state = 30, .external_lex_state = 2},
  [757] = {.lex_state = 30, .external_lex_state = 2},
  [758] = {.lex_state = 30, .external_lex_state = 2},
  [759] = {.lex_state = 30, .external_lex_state = 2},
  [760] = {.lex_state = 30, .external_lex_state = 2},
  [761] = {.lex_state = 30, .external_lex_state = 2},
  [762] = {.lex_state = 30, .external_lex_state = 2},
  [763] = {.lex_state = 30, .external_lex_state = 2},
  [764] = {.lex_state = 30, .external_lex_state = 2},
  [765] = {.lex_state = 30, .external_lex_state = 2},
  [766] = {.lex_state = 30, .external_lex_state = 2},
  [767] = {.lex_state = 30, .external_lex_state = 2},
  [768] = {.lex_state = 30, .external_lex_state = 2},
  [769] = {.lex_state = 30, .external_lex_state = 2},
  [770] = {.lex_state = 30, .external_lex_state = 2},
  [771] = {.lex_state = 30, .external_lex_state = 2},
  [772] = {.lex_state = 30, .external_lex_state = 2},
  [773] = {.lex_state = 30, .external_lex_state = 2},
  [774] = {.lex_state = 30, .external_lex_state = 2},
  [775] = {.lex_state = 30, .external_lex_state = 2},
  [776] = {.lex_state = 30, .external_lex_state = 2},
  [777] = {.lex_state = 30, .external_lex_state = 2},
  [778] = {.lex_state = 30, .external_lex_state = 2},
  [779] = {.lex_state = 30, .external_lex_state = 2},
  [780] = {.lex_state = 30, .external_lex_state = 2},
  [781] = {.lex_state = 30, .external_lex_state = 2},
  [782] = {.lex_state = 30, .external_lex_state = 2},
  [783] = {.lex_state = 30, .external_lex_state = 2},
  [784] = {.lex_state = 30, .external_lex_state = 2},
  [785] = {.lex_state = 223, .external_lex_state = 3},
  [786] = {.lex_state = 223, .external_lex_state = 3},
  [787] = {.lex_state = 30, .external_lex_state = 2},
  [788] = {.lex_state = 223, .external_lex_state = 3},
  [789] = {.lex_state = 30, .external_lex_state = 2},
  [790] = {.lex_state = 30, .external_lex_state = 2},
  [791] = {.lex_state = 30, .external_lex_state = 2},
  [792] = {.lex_state = 30, .external_lex_state = 2},
  [793] = {.lex_state = 30, .external_lex_state = 2},
  [794] = {.lex_state = 30, .external_lex_state = 2},
  [795] = {.lex_state = 30, .external_lex_state = 2},
  [796] = {.lex_state = 30, .external_lex_state = 2},
  [797] = {.lex_state = 30, .external_lex_state = 2},
  [798] = {.lex_state = 30, .external_lex_state = 2},
  [799] = {.lex_state = 30, .external_lex_state = 2},
  [800] = {.lex_state = 30, .external_lex_state = 2},
  [801] = {.lex_state = 30, .external_lex_state = 2},
  [802] = {.lex_state = 30, .external_lex_state = 2},
  [803] = {.lex_state = 30, .external_lex_state = 2},
  [804] = {.lex_state = 30, .external_lex_state = 2},
  [805] = {.lex_state = 30, .external_lex_state = 2},
  [806] = {.lex_state = 30, .external_lex_state = 2},
  [807] = {.lex_state = 224, .external_lex_state = 3},
  [808] = {.lex_state = 30, .external_lex_state = 2},
  [809] = {.lex_state = 223, .external_lex_state = 3},
  [810] = {.lex_state = 30, .external_lex_state = 2},
  [811] = {.lex_state = 30, .external_lex_state = 2},
  [812] = {.lex_state = 30, .external_lex_state = 2},
  [813] = {.lex_state = 30, .external_lex_state = 2},
  [814] = {.lex_state = 30, .external_lex_state = 2},
  [815] = {.lex_state = 30, .external_lex_state = 2},
  [816] = {.lex_state = 30, .external_lex_state = 2},
  [817] = {.lex_state = 223, .external_lex_state = 3},
  [818] = {.lex_state = 30, .external_lex_state = 2},
  [819] = {.lex_state = 30, .external_lex_state = 2},
  [820] = {.lex_state = 30, .external_lex_state = 2},
  [821] = {.lex_state = 224, .external_lex_state = 3},
  [822] = {.lex_state = 224, .external_lex_state = 3},
  [823] = {.lex_state = 30, .external_lex_state = 2},
  [824] = {.lex_state = 224, .external_lex_state = 3},
  [825] = {.lex_state = 30, .external_lex_state = 2},
  [826] = {.lex_state = 30, .external_lex_state = 2},
  [827] = {.lex_state = 30, .external_lex_state = 2},
  [828] = {.lex_state = 30, .external_lex_state = 2},
  [829] = {.lex_state = 30, .external_lex_state = 2},
  [830] = {.lex_state = 30, .external_lex_state = 2},
  [831] = {.lex_state = 30, .external_lex_state = 2},
  [832] = {.lex_state = 30, .external_lex_state = 2},
  [833] = {.lex_state = 30, .external_lex_state = 2},
  [834] = {.lex_state = 30, .external_lex_state = 2},
  [835] = {.lex_state = 30, .external_lex_state = 2},
  [836] = {.lex_state = 30, .external_lex_state = 2},
  [837] = {.lex_state = 30, .external_lex_state = 2},
  [838] = {.lex_state = 224, .external_lex_state = 3},
  [839] = {.lex_state = 30, .external_lex_state = 2},
  [840] = {.lex_state = 30, .external_lex_state = 2},
  [841] = {.lex_state = 30, .external_lex_state = 2},
  [842] = {.lex_state = 30, .external_lex_state = 2},
  [843] = {.lex_state = 30, .external_lex_state = 2},
  [844] = {.lex_state = 30, .external_lex_state = 2},
  [845] = {.lex_state = 30, .external_lex_state = 2},
  [846] = {.lex_state = 30, .external_lex_state = 2},
  [847] = {.lex_state = 30, .external_lex_state = 2},
  [848] = {.lex_state = 30, .external_lex_state = 2},
  [849] = {.lex_state = 30, .external_lex_state = 2},
  [850] = {.lex_state = 30, .external_lex_state = 2},
  [851] = {.lex_state = 30, .external_lex_state = 2},
  [852] = {.lex_state = 30, .external_lex_state = 2},
  [853] = {.lex_state = 30, .external_lex_state = 2},
  [854] = {.lex_state = 30, .external_lex_state = 2},
  [855] = {.lex_state = 30, .external_lex_state = 2},
  [856] = {.lex_state = 30, .external_lex_state = 2},
  [857] = {.lex_state = 30, .external_lex_state = 2},
  [858] = {.lex_state = 30, .external_lex_state = 2},
  [859] = {.lex_state = 30, .external_lex_state = 2},
  [860] = {.lex_state = 30, .external_lex_state = 2},
  [861] = {.lex_state = 30, .external_lex_state = 2},
  [862] = {.lex_state = 30, .external_lex_state = 2},
  [863] = {.lex_state = 30, .external_lex_state = 2},
  [864] = {.lex_state = 30, .external_lex_state = 2},
  [865] = {.lex_state = 30, .external_lex_state = 2},
  [866] = {.lex_state = 30, .external_lex_state = 2},
  [867] = {.lex_state = 30, .external_lex_state = 2},
  [868] = {.lex_state = 30, .external_lex_state = 2},
  [869] = {.lex_state = 30, .external_lex_state = 2},
  [870] = {.lex_state = 30, .external_lex_state = 2},
  [871] = {.lex_state = 30, .external_lex_state = 2},
  [872] = {.lex_state = 30, .external_lex_state = 2},
  [873] = {.lex_state = 30, .external_lex_state = 2},
  [874] = {.lex_state = 30, .external_lex_state = 2},
  [875] = {.lex_state = 30, .external_lex_state = 2},
  [876] = {.lex_state = 223, .external_lex_state = 3},
  [877] = {.lex_state = 224, .external_lex_state = 3},
  [878] = {.lex_state = 223, .external_lex_state = 3},
  [879] = {.lex_state = 223, .external_lex_state = 3},
  [880] = {.lex_state = 223, .external_lex_state = 3},
  [881] = {.lex_state = 221, .external_lex_state = 3},
  [882] = {.lex_state = 223, .external_lex_state = 3},
  [883] = {.lex_state = 223, .external_lex_state = 3},
  [884] = {.lex_state = 223, .external_lex_state = 3},
  [885] = {.lex_state = 223, .external_lex_state = 3},
  [886] = {.lex_state = 221, .external_lex_state = 3},
  [887] = {.lex_state = 223, .external_lex_state = 3},
  [888] = {.lex_state = 223, .external_lex_state = 3},
  [889] = {.lex_state = 223, .external_lex_state = 3},
  [890] = {.lex_state = 223, .external_lex_state = 3},
  [891] = {.lex_state = 223, .external_lex_state = 3},
  [892] = {.lex_state = 223, .external_lex_state = 3},
  [893] = {.lex_state = 223, .external_lex_state = 3},
  [894] = {.lex_state = 223, .external_lex_state = 3},
  [895] = {.lex_state = 223, .external_lex_state = 3},
  [896] = {.lex_state = 223, .external_lex_state = 3},
  [897] = {.lex_state = 224, .external_lex_state = 3},
  [898] = {.lex_state = 221, .external_lex_state = 3},
  [899] = {.lex_state = 223, .external_lex_state = 3},
  [900] = {.lex_state = 223, .external_lex_state = 3},
  [901] = {.lex_state = 223, .external_lex_state = 3},
  [902] = {.lex_state = 224, .external_lex_state = 3},
  [903] = {.lex_state = 223, .external_lex_state = 3},
  [904] = {.lex_state = 223, .external_lex_state = 3},
  [905] = {.lex_state = 221, .external_lex_state = 3},
  [906] = {.lex_state = 223, .external_lex_state = 3},
  [907] = {.lex_state = 223, .external_lex_state = 3},
  [908] = {.lex_state = 223, .external_lex_state = 3},
  [909] = {.lex_state = 223, .external_lex_state = 3},
  [910] = {.lex_state = 221, .external_lex_state = 3},
  [911] = {.lex_state = 223, .external_lex_state = 3},
  [912] = {.lex_state = 223, .external_lex_state = 3},
  [913] = {.lex_state = 223, .external_lex_state = 3},
  [914] = {.lex_state = 223, .external_lex_state = 3},
  [915] = {.lex_state = 223, .external_lex_state = 3},
  [916] = {.lex_state = 223, .external_lex_state = 3},
  [917] = {.lex_state = 223, .external_lex_state = 3},
  [918] = {.lex_state = 223, .external_lex_state = 3},
  [919] = {.lex_state = 223, .external_lex_state = 3},
  [920] = {.lex_state = 223, .external_lex_state = 3},
  [921] = {.lex_state = 223, .external_lex_state = 3},
  [922] = {.lex_state = 223, .external_lex_state = 3},
  [923] = {.lex_state = 223, .external_lex_state = 3},
  [924] = {.lex_state = 223, .external_lex_state = 3},
  [925] = {.lex_state = 223, .external_lex_state = 3},
  [926] = {.lex_state = 223, .external_lex_state = 3},
  [927] = {.lex_state = 223, .external_lex_state = 3},
  [928] = {.lex_state = 223, .external_lex_state = 3},
  [929] = {.lex_state = 223, .external_lex_state = 3},
  [930] = {.lex_state = 223, .external_lex_state = 3},
  [931] = {.lex_state = 223, .external_lex_state = 3},
  [932] = {.lex_state = 223, .external_lex_state = 3},
  [933] = {.lex_state = 223, .external_lex_state = 3},
  [934] = {.lex_state = 223, .external_lex_state = 3},
  [935] = {.lex_state = 223, .external_lex_state = 3},
  [936] = {.lex_state = 223, .external_lex_state = 3},
  [937] = {.lex_state = 223, .external_lex_state = 3},
  [938] = {.lex_state = 223, .external_lex_state = 3},
  [939] = {.lex_state = 223, .external_lex_state = 3},
  [940] = {.lex_state = 223, .external_lex_state = 3},
  [941] = {.lex_state = 223, .external_lex_state = 3},
  [942] = {.lex_state = 223, .external_lex_state = 3},
  [943] = {.lex_state = 223, .external_lex_state = 3},
  [944] = {.lex_state = 223, .external_lex_state = 3},
  [945] = {.lex_state = 223, .external_lex_state = 3},
  [946] = {.lex_state = 223, .external_lex_state = 3},
  [947] = {.lex_state = 223, .external_lex_state = 3},
  [948] = {.lex_state = 223, .external_lex_state = 3},
  [949] = {.lex_state = 223, .external_lex_state = 3},
  [950] = {.lex_state = 223, .external_lex_state = 3},
  [951] = {.lex_state = 223, .external_lex_state = 3},
  [952] = {.lex_state = 223, .external_lex_state = 3},
  [953] = {.lex_state = 223, .external_lex_state = 3},
  [954] = {.lex_state = 223, .external_lex_state = 3},
  [955] = {.lex_state = 223, .external_lex_state = 3},
  [956] = {.lex_state = 223, .external_lex_state = 3},
  [957] = {.lex_state = 223, .external_lex_state = 3},
  [958] = {.lex_state = 223, .external_lex_state = 3},
  [959] = {.lex_state = 223, .external_lex_state = 3},
  [960] = {.lex_state = 223, .external_lex_state = 3},
  [961] = {.lex_state = 223, .external_lex_state = 3},
  [962] = {.lex_state = 223, .external_lex_state = 3},
  [963] = {.lex_state = 223, .external_lex_state = 3},
  [964] = {.lex_state = 223, .external_lex_state = 3},
  [965] = {.lex_state = 223, .external_lex_state = 3},
  [966] = {.lex_state = 223, .external_lex_state = 3},
  [967] = {.lex_state = 223, .external_lex_state = 3},
  [968] = {.lex_state = 223, .external_lex_state = 3},
  [969] = {.lex_state = 223, .external_lex_state = 3},
  [970] = {.lex_state = 223, .external_lex_state = 3},
  [971] = {.lex_state = 223, .external_lex_state = 3},
  [972] = {.lex_state = 223, .external_lex_state = 3},
  [973] = {.lex_state = 223, .external_lex_state = 3},
  [974] = {.lex_state = 223, .external_lex_state = 3},
  [975] = {.lex_state = 223, .external_lex_state = 3},
  [976] = {.lex_state = 223, .external_lex_state = 3},
  [977] = {.lex_state = 223, .external_lex_state = 3},
  [978] = {.lex_state = 223, .external_lex_state = 3},
  [979] = {.lex_state = 223, .external_lex_state = 3},
  [980] = {.lex_state = 223, .external_lex_state = 3},
  [981] = {.lex_state = 223, .external_lex_state = 3},
  [982] = {.lex_state = 223, .external_lex_state = 3},
  [983] = {.lex_state = 223, .external_lex_state = 3},
  [984] = {.lex_state = 223, .external_lex_state = 3},
  [985] = {.lex_state = 227, .external_lex_state = 3},
  [986] = {.lex_state = 227, .external_lex_state = 3},
  [987] = {.lex_state = 226, .external_lex_state = 3},
  [988] = {.lex_state = 227, .external_lex_state = 3},
  [989] = {.lex_state = 227, .external_lex_state = 3},
  [990] = {.lex_state = 227, .external_lex_state = 3},
  [991] = {.lex_state = 227, .external_lex_state = 3},
  [992] = {.lex_state = 226, .external_lex_state = 3},
  [993] = {.lex_state = 227, .external_lex_state = 3},
  [994] = {.lex_state = 227, .external_lex_state = 3},
  [995] = {.lex_state = 227, .external_lex_state = 3},
  [996] = {.lex_state = 226, .external_lex_state = 3},
  [997] = {.lex_state = 226, .external_lex_state = 3},
  [998] = {.lex_state = 226, .external_lex_state = 3},
  [999] = {.lex_state = 226, .external_lex_state = 3},
  [1000] = {.lex_state = 227, .external_lex_state = 3},
  [1001] = {.lex_state = 227, .external_lex_state = 3},
  [1002] = {.lex_state = 227, .external_lex_state = 3},
  [1003] = {.lex_state = 227, .external_lex_state = 3},
  [1004] = {.lex_state = 227, .external_lex_state = 3},
  [1005] = {.lex_state = 227, .external_lex_state = 3},
  [1006] = {.lex_state = 227, .external_lex_state = 3},
  [1007] = {.lex_state = 226, .external_lex_state = 3},
  [1008] = {.lex_state = 226, .external_lex_state = 3},
  [1009] = {.lex_state = 226, .external_lex_state = 3},
  [1010] = {.lex_state = 227, .external_lex_state = 3},
  [1011] = {.lex_state = 227, .external_lex_state = 3},
  [1012] = {.lex_state = 222, .external_lex_state = 3},
  [1013] = {.lex_state = 227, .external_lex_state = 3},
  [1014] = {.lex_state = 227, .external_lex_state = 3},
  [1015] = {.lex_state = 227, .external_lex_state = 3},
  [1016] = {.lex_state = 222, .external_lex_state = 3},
  [1017] = {.lex_state = 227, .external_lex_state = 3},
  [1018] = {.lex_state = 222, .external_lex_state = 3},
  [1019] = {.lex_state = 226, .external_lex_state = 3},
  [1020] = {.lex_state = 227, .external_lex_state = 3},
  [1021] = {.lex_state = 226, .external_lex_state = 3},
  [1022] = {.lex_state = 227, .external_lex_state = 3},
  [1023] = {.lex_state = 227, .external_lex_state = 3},
  [1024] = {.lex_state = 222, .external_lex_state = 3},
  [1025] = {.lex_state = 222, .external_lex_state = 3},
  [1026] = {.lex_state = 227, .external_lex_state = 3},
  [1027] = {.lex_state = 227, .external_lex_state = 3},
  [1028] = {.lex_state = 226, .external_lex_state = 3},
  [1029] = {.lex_state = 226, .external_lex_state = 3},
  [1030] = {.lex_state = 227, .external_lex_state = 3},
  [1031] = {.lex_state = 227, .external_lex_state = 3},
  [1032] = {.lex_state = 227, .external_lex_state = 3},
  [1033] = {.lex_state = 227, .external_lex_state = 3},
  [1034] = {.lex_state = 226, .external_lex_state = 3},
  [1035] = {.lex_state = 227, .external_lex_state = 3},
  [1036] = {.lex_state = 227, .external_lex_state = 3},
  [1037] = {.lex_state = 227, .external_lex_state = 3},
  [1038] = {.lex_state = 227, .external_lex_state = 3},
  [1039] = {.lex_state = 227, .external_lex_state = 3},
  [1040] = {.lex_state = 227, .external_lex_state = 3},
  [1041] = {.lex_state = 227, .external_lex_state = 3},
  [1042] = {.lex_state = 227, .external_lex_state = 3},
  [1043] = {.lex_state = 227, .external_lex_state = 3},
  [1044] = {.lex_state = 227, .external_lex_state = 3},
  [1045] = {.lex_state = 227, .external_lex_state = 3},
  [1046] = {.lex_state = 227, .external_lex_state = 3},
  [1047] = {.lex_state = 227, .external_lex_state = 3},
  [1048] = {.lex_state = 227, .external_lex_state = 3},
  [1049] = {.lex_state = 227, .external_lex_state = 3},
  [1050] = {.lex_state = 227, .external_lex_state = 3},
  [1051] = {.lex_state = 227, .external_lex_state = 3},
  [1052] = {.lex_state = 227, .external_lex_state = 3},
  [1053] = {.lex_state = 227, .external_lex_state = 3},
  [1054] = {.lex_state = 227, .external_lex_state = 3},
  [1055] = {.lex_state = 227, .external_lex_state = 3},
  [1056] = {.lex_state = 227, .external_lex_state = 3},
  [1057] = {.lex_state = 227, .external_lex_state = 3},
  [1058] = {.lex_state = 227, .external_lex_state = 3},
  [1059] = {.lex_state = 227, .external_lex_state = 3},
  [1060] = {.lex_state = 227, .external_lex_state = 3},
  [1061] = {.lex_state = 227, .external_lex_state = 3},
  [1062] = {.lex_state = 227, .external_lex_state = 3},
  [1063] = {.lex_state = 227, .external_lex_state = 3},
  [1064] = {.lex_state = 227, .external_lex_state = 3},
  [1065] = {.lex_state = 227, .external_lex_state = 3},
  [1066] = {.lex_state = 227, .external_lex_state = 3},
  [1067] = {.lex_state = 227, .external_lex_state = 3},
  [1068] = {.lex_state = 227, .external_lex_state = 3},
  [1069] = {.lex_state = 227, .external_lex_state = 3},
  [1070] = {.lex_state = 227, .external_lex_state = 3},
  [1071] = {.lex_state = 227, .external_lex_state = 3},
  [1072] = {.lex_state = 227, .external_lex_state = 3},
  [1073] = {.lex_state = 227, .external_lex_state = 3},
  [1074] = {.lex_state = 227, .external_lex_state = 3},
  [1075] = {.lex_state = 227, .external_lex_state = 3},
  [1076] = {.lex_state = 227, .external_lex_state = 3},
  [1077] = {.lex_state = 227, .external_lex_state = 3},
  [1078] = {.lex_state = 227, .external_lex_state = 3},
  [1079] = {.lex_state = 227, .external_lex_state = 3},
  [1080] = {.lex_state = 227, .external_lex_state = 3},
  [1081] = {.lex_state = 227, .external_lex_state = 3},
  [1082] = {.lex_state = 227, .external_lex_state = 3},
  [1083] = {.lex_state = 227, .external_lex_state = 3},
  [1084] = {.lex_state = 227, .external_lex_state = 3},
  [1085] = {.lex_state = 227, .external_lex_state = 3},
  [1086] = {.lex_state = 227, .external_lex_state = 3},
  [1087] = {.lex_state = 227, .external_lex_state = 3},
  [1088] = {.lex_state = 227, .external_lex_state = 3},
  [1089] = {.lex_state = 227, .external_lex_state = 3},
  [1090] = {.lex_state = 227, .external_lex_state = 3},
  [1091] = {.lex_state = 227, .external_lex_state = 3},
  [1092] = {.lex_state = 227, .external_lex_state = 3},
  [1093] = {.lex_state = 227, .external_lex_state = 3},
  [1094] = {.lex_state = 227, .external_lex_state = 3},
  [1095] = {.lex_state = 227, .external_lex_state = 3},
  [1096] = {.lex_state = 227, .external_lex_state = 3},
  [1097] = {.lex_state = 227, .external_lex_state = 3},
  [1098] = {.lex_state = 227, .external_lex_state = 3},
  [1099] = {.lex_state = 227, .external_lex_state = 3},
  [1100] = {.lex_state = 227, .external_lex_state = 3},
  [1101] = {.lex_state = 227, .external_lex_state = 3},
  [1102] = {.lex_state = 227, .external_lex_state = 3},
  [1103] = {.lex_state = 227, .external_lex_state = 3},
  [1104] = {.lex_state = 227, .external_lex_state = 3},
  [1105] = {.lex_state = 227, .external_lex_state = 3},
  [1106] = {.lex_state = 227, .external_lex_state = 3},
  [1107] = {.lex_state = 227, .external_lex_state = 3},
  [1108] = {.lex_state = 227, .external_lex_state = 3},
  [1109] = {.lex_state = 227, .external_lex_state = 3},
  [1110] = {.lex_state = 227, .external_lex_state = 3},
  [1111] = {.lex_state = 227, .external_lex_state = 3},
  [1112] = {.lex_state = 227, .external_lex_state = 3},
  [1113] = {.lex_state = 227, .external_lex_state = 3},
  [1114] = {.lex_state = 227, .external_lex_state = 3},
  [1115] = {.lex_state = 227, .external_lex_state = 3},
  [1116] = {.lex_state = 227, .external_lex_state = 3},
  [1117] = {.lex_state = 227, .external_lex_state = 3},
  [1118] = {.lex_state = 227, .external_lex_state = 3},
  [1119] = {.lex_state = 227, .external_lex_state = 3},
  [1120] = {.lex_state = 227, .external_lex_state = 3},
  [1121] = {.lex_state = 227, .external_lex_state = 3},
  [1122] = {.lex_state = 227, .external_lex_state = 3},
  [1123] = {.lex_state = 227, .external_lex_state = 3},
  [1124] = {.lex_state = 227, .external_lex_state = 3},
  [1125] = {.lex_state = 227, .external_lex_state = 3},
  [1126] = {.lex_state = 227, .external_lex_state = 3},
  [1127] = {.lex_state = 227, .external_lex_state = 3},
  [1128] = {.lex_state = 227, .external_lex_state = 3},
  [1129] = {.lex_state = 227, .external_lex_state = 3},
  [1130] = {.lex_state = 227, .external_lex_state = 3},
  [1131] = {.lex_state = 227, .external_lex_state = 3},
  [1132] = {.lex_state = 3, .external_lex_state = 2},
  [1133] = {.lex_state = 227, .external_lex_state = 3},
  [1134] = {.lex_state = 227, .external_lex_state = 3},
  [1135] = {.lex_state = 227, .external_lex_state = 3},
  [1136] = {.lex_state = 229, .external_lex_state = 3},
  [1137] = {.lex_state = 229, .external_lex_state = 3},
  [1138] = {.lex_state = 229, .external_lex_state = 3},
  [1139] = {.lex_state = 229, .external_lex_state = 3},
  [1140] = {.lex_state = 229, .external_lex_state = 3},
  [1141] = {.lex_state = 229, .external_lex_state = 3},
  [1142] = {.lex_state = 229, .external_lex_state = 3},
  [1143] = {.lex_state = 229, .external_lex_state = 3},
  [1144] = {.lex_state = 229, .external_lex_state = 3},
  [1145] = {.lex_state = 229, .external_lex_state = 3},
  [1146] = {.lex_state = 229, .external_lex_state = 3},
  [1147] = {.lex_state = 229, .external_lex_state = 3},
  [1148] = {.lex_state = 229, .external_lex_state = 3},
  [1149] = {.lex_state = 229, .external_lex_state = 3},
  [1150] = {.lex_state = 229, .external_lex_state = 3},
  [1151] = {.lex_state = 229, .external_lex_state = 3},
  [1152] = {.lex_state = 229, .external_lex_state = 3},
  [1153] = {.lex_state = 229, .external_lex_state = 3},
  [1154] = {.lex_state = 229, .external_lex_state = 3},
  [1155] = {.lex_state = 229, .external_lex_state = 3},
  [1156] = {.lex_state = 229, .external_lex_state = 3},
  [1157] = {.lex_state = 229, .external_lex_state = 3},
  [1158] = {.lex_state = 229, .external_lex_state = 3},
  [1159] = {.lex_state = 229, .external_lex_state = 3},
  [1160] = {.lex_state = 229, .external_lex_state = 3},
  [1161] = {.lex_state = 229, .external_lex_state = 3},
  [1162] = {.lex_state = 229, .external_lex_state = 3},
  [1163] = {.lex_state = 229, .external_lex_state = 3},
  [1164] = {.lex_state = 229, .external_lex_state = 3},
  [1165] = {.lex_state = 229, .external_lex_state = 3},
  [1166] = {.lex_state = 229, .external_lex_state = 3},
  [1167] = {.lex_state = 229, .external_lex_state = 3},
  [1168] = {.lex_state = 229, .external_lex_state = 3},
  [1169] = {.lex_state = 3, .external_lex_state = 2},
  [1170] = {.lex_state = 3, .external_lex_state = 2},
  [1171] = {.lex_state = 3, .external_lex_state = 2},
  [1172] = {.lex_state = 229, .external_lex_state = 3},
  [1173] = {.lex_state = 3, .external_lex_state = 2},
  [1174] = {.lex_state = 3, .external_lex_state = 2},
  [1175] = {.lex_state = 19, .external_lex_state = 2},
  [1176] = {.lex_state = 229, .external_lex_state = 3},
  [1177] = {.lex_state = 226, .external_lex_state = 3},
  [1178] = {.lex_state = 226, .external_lex_state = 3},
  [1179] = {.lex_state = 227, .external_lex_state = 3},
  [1180] = {.lex_state = 226, .external_lex_state = 3},
  [1181] = {.lex_state = 227, .external_lex_state = 3},
  [1182] = {.lex_state = 229, .external_lex_state = 3},
  [1183] = {.lex_state = 229, .external_lex_state = 3},
  [1184] = {.lex_state = 227, .external_lex_state = 3},
  [1185] = {.lex_state = 227, .external_lex_state = 3},
  [1186] = {.lex_state = 226, .external_lex_state = 3},
  [1187] = {.lex_state = 226, .external_lex_state = 3},
  [1188] = {.lex_state = 19, .external_lex_state = 2},
  [1189] = {.lex_state = 227, .external_lex_state = 3},
  [1190] = {.lex_state = 227, .external_lex_state = 3},
  [1191] = {.lex_state = 226, .external_lex_state = 3},
  [1192] = {.lex_state = 227, .external_lex_state = 3},
  [1193] = {.lex_state = 19, .external_lex_state = 2},
  [1194] = {.lex_state = 227, .external_lex_state = 3},
  [1195] = {.lex_state = 227, .external_lex_state = 3},
  [1196] = {.lex_state = 227, .external_lex_state = 3},
  [1197] = {.lex_state = 222, .external_lex_state = 3},
  [1198] = {.lex_state = 227, .external_lex_state = 3},
  [1199] = {.lex_state = 226, .external_lex_state = 3},
  [1200] = {.lex_state = 226, .external_lex_state = 3},
  [1201] = {.lex_state = 227, .external_lex_state = 3},
  [1202] = {.lex_state = 226, .external_lex_state = 3},
  [1203] = {.lex_state = 19, .external_lex_state = 2},
  [1204] = {.lex_state = 227, .external_lex_state = 3},
  [1205] = {.lex_state = 227, .external_lex_state = 3},
  [1206] = {.lex_state = 227, .external_lex_state = 3},
  [1207] = {.lex_state = 222, .external_lex_state = 3},
  [1208] = {.lex_state = 20, .external_lex_state = 4},
  [1209] = {.lex_state = 227, .external_lex_state = 3},
  [1210] = {.lex_state = 222, .external_lex_state = 3},
  [1211] = {.lex_state = 227, .external_lex_state = 3},
  [1212] = {.lex_state = 222, .external_lex_state = 3},
  [1213] = {.lex_state = 227, .external_lex_state = 3},
  [1214] = {.lex_state = 226, .external_lex_state = 3},
  [1215] = {.lex_state = 226, .external_lex_state = 3},
  [1216] = {.lex_state = 227, .external_lex_state = 3},
  [1217] = {.lex_state = 227, .external_lex_state = 3},
  [1218] = {.lex_state = 226, .external_lex_state = 3},
  [1219] = {.lex_state = 19, .external_lex_state = 2},
  [1220] = {.lex_state = 227, .external_lex_state = 3},
  [1221] = {.lex_state = 226, .external_lex_state = 3},
  [1222] = {.lex_state = 227, .external_lex_state = 3},
  [1223] = {.lex_state = 227, .external_lex_state = 3},
  [1224] = {.lex_state = 227, .external_lex_state = 3},
  [1225] = {.lex_state = 222, .external_lex_state = 3},
  [1226] = {.lex_state = 19, .external_lex_state = 2},
  [1227] = {.lex_state = 226, .external_lex_state = 3},
  [1228] = {.lex_state = 227, .external_lex_state = 3},
  [1229] = {.lex_state = 227, .external_lex_state = 3},
  [1230] = {.lex_state = 227, .external_lex_state = 3},
  [1231] = {.lex_state = 227, .external_lex_state = 3},
  [1232] = {.lex_state = 227, .external_lex_state = 3},
  [1233] = {.lex_state = 227, .external_lex_state = 3},
  [1234] = {.lex_state = 227, .external_lex_state = 3},
  [1235] = {.lex_state = 227, .external_lex_state = 3},
  [1236] = {.lex_state = 227, .external_lex_state = 3},
  [1237] = {.lex_state = 227, .external_lex_state = 3},
  [1238] = {.lex_state = 227, .external_lex_state = 3},
  [1239] = {.lex_state = 227, .external_lex_state = 3},
  [1240] = {.lex_state = 227, .external_lex_state = 3},
  [1241] = {.lex_state = 227, .external_lex_state = 3},
  [1242] = {.lex_state = 227, .external_lex_state = 3},
  [1243] = {.lex_state = 227, .external_lex_state = 3},
  [1244] = {.lex_state = 227, .external_lex_state = 3},
  [1245] = {.lex_state = 227, .external_lex_state = 3},
  [1246] = {.lex_state = 227, .external_lex_state = 3},
  [1247] = {.lex_state = 227, .external_lex_state = 3},
  [1248] = {.lex_state = 227, .external_lex_state = 3},
  [1249] = {.lex_state = 227, .external_lex_state = 3},
  [1250] = {.lex_state = 227, .external_lex_state = 3},
  [1251] = {.lex_state = 227, .external_lex_state = 3},
  [1252] = {.lex_state = 227, .external_lex_state = 3},
  [1253] = {.lex_state = 227, .external_lex_state = 3},
  [1254] = {.lex_state = 227, .external_lex_state = 3},
  [1255] = {.lex_state = 227, .external_lex_state = 3},
  [1256] = {.lex_state = 227, .external_lex_state = 3},
  [1257] = {.lex_state = 227, .external_lex_state = 3},
  [1258] = {.lex_state = 227, .external_lex_state = 3},
  [1259] = {.lex_state = 227, .external_lex_state = 3},
  [1260] = {.lex_state = 227, .external_lex_state = 3},
  [1261] = {.lex_state = 227, .external_lex_state = 3},
  [1262] = {.lex_state = 227, .external_lex_state = 3},
  [1263] = {.lex_state = 227, .external_lex_state = 3},
  [1264] = {.lex_state = 227, .external_lex_state = 3},
  [1265] = {.lex_state = 227, .external_lex_state = 3},
  [1266] = {.lex_state = 227, .external_lex_state = 3},
  [1267] = {.lex_state = 227, .external_lex_state = 3},
  [1268] = {.lex_state = 227, .external_lex_state = 3},
  [1269] = {.lex_state = 227, .external_lex_state = 3},
  [1270] = {.lex_state = 227, .external_lex_state = 3},
  [1271] = {.lex_state = 227, .external_lex_state = 3},
  [1272] = {.lex_state = 227, .external_lex_state = 3},
  [1273] = {.lex_state = 227, .external_lex_state = 3},
  [1274] = {.lex_state = 227, .external_lex_state = 3},
  [1275] = {.lex_state = 227, .external_lex_state = 3},
  [1276] = {.lex_state = 227, .external_lex_state = 3},
  [1277] = {.lex_state = 227, .external_lex_state = 3},
  [1278] = {.lex_state = 227, .external_lex_state = 3},
  [1279] = {.lex_state = 227, .external_lex_state = 3},
  [1280] = {.lex_state = 227, .external_lex_state = 3},
  [1281] = {.lex_state = 227, .external_lex_state = 3},
  [1282] = {.lex_state = 227, .external_lex_state = 3},
  [1283] = {.lex_state = 227, .external_lex_state = 3},
  [1284] = {.lex_state = 227, .external_lex_state = 3},
  [1285] = {.lex_state = 227, .external_lex_state = 3},
  [1286] = {.lex_state = 227, .external_lex_state = 3},
  [1287] = {.lex_state = 227, .external_lex_state = 3},
  [1288] = {.lex_state = 227, .external_lex_state = 3},
  [1289] = {.lex_state = 227, .external_lex_state = 3},
  [1290] = {.lex_state = 227, .external_lex_state = 3},
  [1291] = {.lex_state = 227, .external_lex_state = 3},
  [1292] = {.lex_state = 227, .external_lex_state = 3},
  [1293] = {.lex_state = 227, .external_lex_state = 3},
  [1294] = {.lex_state = 227, .external_lex_state = 3},
  [1295] = {.lex_state = 227, .external_lex_state = 3},
  [1296] = {.lex_state = 227, .external_lex_state = 3},
  [1297] = {.lex_state = 227, .external_lex_state = 3},
  [1298] = {.lex_state = 227, .external_lex_state = 3},
  [1299] = {.lex_state = 227, .external_lex_state = 3},
  [1300] = {.lex_state = 227, .external_lex_state = 3},
  [1301] = {.lex_state = 227, .external_lex_state = 3},
  [1302] = {.lex_state = 227, .external_lex_state = 3},
  [1303] = {.lex_state = 227, .external_lex_state = 3},
  [1304] = {.lex_state = 227, .external_lex_state = 3},
  [1305] = {.lex_state = 227, .external_lex_state = 3},
  [1306] = {.lex_state = 227, .external_lex_state = 3},
  [1307] = {.lex_state = 227, .external_lex_state = 3},
  [1308] = {.lex_state = 227, .external_lex_state = 3},
  [1309] = {.lex_state = 227, .external_lex_state = 3},
  [1310] = {.lex_state = 227, .external_lex_state = 3},
  [1311] = {.lex_state = 227, .external_lex_state = 3},
  [1312] = {.lex_state = 227, .external_lex_state = 3},
  [1313] = {.lex_state = 227, .external_lex_state = 3},
  [1314] = {.lex_state = 227, .external_lex_state = 3},
  [1315] = {.lex_state = 227, .external_lex_state = 3},
  [1316] = {.lex_state = 227, .external_lex_state = 3},
  [1317] = {.lex_state = 227, .external_lex_state = 3},
  [1318] = {.lex_state = 227, .external_lex_state = 3},
  [1319] = {.lex_state = 227, .external_lex_state = 3},
  [1320] = {.lex_state = 227, .external_lex_state = 3},
  [1321] = {.lex_state = 227, .external_lex_state = 3},
  [1322] = {.lex_state = 227, .external_lex_state = 3},
  [1323] = {.lex_state = 227, .external_lex_state = 3},
  [1324] = {.lex_state = 227, .external_lex_state = 3},
  [1325] = {.lex_state = 227, .external_lex_state = 3},
  [1326] = {.lex_state = 227, .external_lex_state = 3},
  [1327] = {.lex_state = 227, .external_lex_state = 3},
  [1328] = {.lex_state = 20, .external_lex_state = 4},
  [1329] = {.lex_state = 20, .external_lex_state = 4},
  [1330] = {.lex_state = 27, .external_lex_state = 4},
  [1331] = {.lex_state = 20, .external_lex_state = 4},
  [1332] = {.lex_state = 20, .external_lex_state = 4},
  [1333] = {.lex_state = 3, .external_lex_state = 2},
  [1334] = {.lex_state = 20, .external_lex_state = 4},
  [1335] = {.lex_state = 3, .external_lex_state = 2},
  [1336] = {.lex_state = 2, .external_lex_state = 2},
  [1337] = {.lex_state = 2, .external_lex_state = 2},
  [1338] = {.lex_state = 3, .external_lex_state = 2},
  [1339] = {.lex_state = 3, .external_lex_state = 2},
  [1340] = {.lex_state = 2, .external_lex_state = 2},
  [1341] = {.lex_state = 3, .external_lex_state = 2},
  [1342] = {.lex_state = 3, .external_lex_state = 2},
  [1343] = {.lex_state = 3, .external_lex_state = 2},
  [1344] = {.lex_state = 3, .external_lex_state = 2},
  [1345] = {.lex_state = 3, .external_lex_state = 2},
  [1346] = {.lex_state = 3, .external_lex_state = 2},
  [1347] = {.lex_state = 17, .external_lex_state = 2},
  [1348] = {.lex_state = 2, .external_lex_state = 2},
  [1349] = {.lex_state = 231, .external_lex_state = 3},
  [1350] = {.lex_state = 27, .external_lex_state = 4},
  [1351] = {.lex_state = 3, .external_lex_state = 2},
  [1352] = {.lex_state = 2, .external_lex_state = 2},
  [1353] = {.lex_state = 3, .external_lex_state = 2},
  [1354] = {.lex_state = 2, .external_lex_state = 2},
  [1355] = {.lex_state = 3, .external_lex_state = 2},
  [1356] = {.lex_state = 5, .external_lex_state = 2},
  [1357] = {.lex_state = 5, .external_lex_state = 2},
  [1358] = {.lex_state = 2, .external_lex_state = 2},
  [1359] = {.lex_state = 2, .external_lex_state = 2},
  [1360] = {.lex_state = 5, .external_lex_state = 2},
  [1361] = {.lex_state = 2, .external_lex_state = 2},
  [1362] = {.lex_state = 3, .external_lex_state = 2},
  [1363] = {.lex_state = 5, .external_lex_state = 2},
  [1364] = {.lex_state = 3, .external_lex_state = 2},
  [1365] = {.lex_state = 27, .external_lex_state = 4},
  [1366] = {.lex_state = 3, .external_lex_state = 2},
  [1367] = {.lex_state = 3, .external_lex_state = 2},
  [1368] = {.lex_state = 229, .external_lex_state = 3},
  [1369] = {.lex_state = 231, .external_lex_state = 3},
  [1370] = {.lex_state = 3, .external_lex_state = 2},
  [1371] = {.lex_state = 3, .external_lex_state = 2},
  [1372] = {.lex_state = 5, .external_lex_state = 2},
  [1373] = {.lex_state = 3, .external_lex_state = 2},
  [1374] = {.lex_state = 3, .external_lex_state = 2},
  [1375] = {.lex_state = 2, .external_lex_state = 2},
  [1376] = {.lex_state = 2, .external_lex_state = 2},
  [1377] = {.lex_state = 3, .external_lex_state = 2},
  [1378] = {.lex_state = 3, .external_lex_state = 2},
  [1379] = {.lex_state = 2, .external_lex_state = 2},
  [1380] = {.lex_state = 3, .external_lex_state = 2},
  [1381] = {.lex_state = 3, .external_lex_state = 2},
  [1382] = {.lex_state = 3, .external_lex_state = 2},
  [1383] = {.lex_state = 3, .external_lex_state = 2},
  [1384] = {.lex_state = 3, .external_lex_state = 2},
  [1385] = {.lex_state = 3, .external_lex_state = 2},
  [1386] = {.lex_state = 19, .external_lex_state = 2},
  [1387] = {.lex_state = 17, .external_lex_state = 2},
  [1388] = {.lex_state = 3, .external_lex_state = 2},
  [1389] = {.lex_state = 3, .external_lex_state = 2},
  [1390] = {.lex_state = 3, .external_lex_state = 2},
  [1391] = {.lex_state = 229, .external_lex_state = 3},
  [1392] = {.lex_state = 3, .external_lex_state = 2},
  [1393] = {.lex_state = 3, .external_lex_state = 2},
  [1394] = {.lex_state = 3, .external_lex_state = 2},
  [1395] = {.lex_state = 3, .external_lex_state = 2},
  [1396] = {.lex_state = 3, .external_lex_state = 2},
  [1397] = {.lex_state = 3, .external_lex_state = 2},
  [1398] = {.lex_state = 3, .external_lex_state = 2},
  [1399] = {.lex_state = 3, .external_lex_state = 2},
  [1400] = {.lex_state = 3, .external_lex_state = 2},
  [1401] = {.lex_state = 3, .external_lex_state = 2},
  [1402] = {.lex_state = 3, .external_lex_state = 2},
  [1403] = {.lex_state = 3, .external_lex_state = 2},
  [1404] = {.lex_state = 3, .external_lex_state = 2},
  [1405] = {.lex_state = 3, .external_lex_state = 2},
  [1406] = {.lex_state = 3, .external_lex_state = 2},
  [1407] = {.lex_state = 3, .external_lex_state = 2},
  [1408] = {.lex_state = 3, .external_lex_state = 2},
  [1409] = {.lex_state = 229, .external_lex_state = 3},
  [1410] = {.lex_state = 3, .external_lex_state = 2},
  [1411] = {.lex_state = 3, .external_lex_state = 2},
  [1412] = {.lex_state = 3, .external_lex_state = 2},
  [1413] = {.lex_state = 3, .external_lex_state = 2},
  [1414] = {.lex_state = 3, .external_lex_state = 2},
  [1415] = {.lex_state = 3, .external_lex_state = 2},
  [1416] = {.lex_state = 3, .external_lex_state = 2},
  [1417] = {.lex_state = 3, .external_lex_state = 2},
  [1418] = {.lex_state = 3, .external_lex_state = 2},
  [1419] = {.lex_state = 3, .external_lex_state = 2},
  [1420] = {.lex_state = 3, .external_lex_state = 2},
  [1421] = {.lex_state = 3, .external_lex_state = 2},
  [1422] = {.lex_state = 229, .external_lex_state = 3},
  [1423] = {.lex_state = 3, .external_lex_state = 2},
  [1424] = {.lex_state = 17, .external_lex_state = 2},
  [1425] = {.lex_state = 229, .external_lex_state = 3},
  [1426] = {.lex_state = 3, .external_lex_state = 2},
  [1427] = {.lex_state = 229, .external_lex_state = 3},
  [1428] = {.lex_state = 3, .external_lex_state = 2},
  [1429] = {.lex_state = 3, .external_lex_state = 2},
  [1430] = {.lex_state = 3, .external_lex_state = 2},
  [1431] = {.lex_state = 3, .external_lex_state = 2},
  [1432] = {.lex_state = 3, .external_lex_state = 2},
  [1433] = {.lex_state = 3, .external_lex_state = 2},
  [1434] = {.lex_state = 3, .external_lex_state = 2},
  [1435] = {.lex_state = 229, .external_lex_state = 3},
  [1436] = {.lex_state = 3, .external_lex_state = 2},
  [1437] = {.lex_state = 229, .external_lex_state = 3},
  [1438] = {.lex_state = 229, .external_lex_state = 3},
  [1439] = {.lex_state = 3, .external_lex_state = 2},
  [1440] = {.lex_state = 3, .external_lex_state = 2},
  [1441] = {.lex_state = 3, .external_lex_state = 2},
  [1442] = {.lex_state = 3, .external_lex_state = 2},
  [1443] = {.lex_state = 3, .external_lex_state = 2},
  [1444] = {.lex_state = 3, .external_lex_state = 2},
  [1445] = {.lex_state = 3, .external_lex_state = 2},
  [1446] = {.lex_state = 3, .external_lex_state = 2},
  [1447] = {.lex_state = 3, .external_lex_state = 2},
  [1448] = {.lex_state = 19, .external_lex_state = 2},
  [1449] = {.lex_state = 17, .external_lex_state = 2},
  [1450] = {.lex_state = 19, .external_lex_state = 2},
  [1451] = {.lex_state = 3, .external_lex_state = 2},
  [1452] = {.lex_state = 3, .external_lex_state = 2},
  [1453] = {.lex_state = 229, .external_lex_state = 3},
  [1454] = {.lex_state = 3, .external_lex_state = 2},
  [1455] = {.lex_state = 229, .external_lex_state = 3},
  [1456] = {.lex_state = 3, .external_lex_state = 2},
  [1457] = {.lex_state = 3, .external_lex_state = 2},
  [1458] = {.lex_state = 3, .external_lex_state = 2},
  [1459] = {.lex_state = 3, .external_lex_state = 2},
  [1460] = {.lex_state = 3, .external_lex_state = 2},
  [1461] = {.lex_state = 3, .external_lex_state = 2},
  [1462] = {.lex_state = 3, .external_lex_state = 2},
  [1463] = {.lex_state = 3, .external_lex_state = 2},
  [1464] = {.lex_state = 3, .external_lex_state = 2},
  [1465] = {.lex_state = 3, .external_lex_state = 2},
  [1466] = {.lex_state = 27, .external_lex_state = 4},
  [1467] = {.lex_state = 3, .external_lex_state = 2},
  [1468] = {.lex_state = 3, .external_lex_state = 2},
  [1469] = {.lex_state = 229, .external_lex_state = 3},
  [1470] = {.lex_state = 3, .external_lex_state = 2},
  [1471] = {.lex_state = 3, .external_lex_state = 2},
  [1472] = {.lex_state = 3, .external_lex_state = 2},
  [1473] = {.lex_state = 19, .external_lex_state = 2},
  [1474] = {.lex_state = 3, .external_lex_state = 2},
  [1475] = {.lex_state = 3, .external_lex_state = 2},
  [1476] = {.lex_state = 3, .external_lex_state = 2},
  [1477] = {.lex_state = 3, .external_lex_state = 2},
  [1478] = {.lex_state = 3, .external_lex_state = 2},
  [1479] = {.lex_state = 3, .external_lex_state = 2},
  [1480] = {.lex_state = 3, .external_lex_state = 2},
  [1481] = {.lex_state = 3, .external_lex_state = 2},
  [1482] = {.lex_state = 3, .external_lex_state = 2},
  [1483] = {.lex_state = 3, .external_lex_state = 2},
  [1484] = {.lex_state = 3, .external_lex_state = 2},
  [1485] = {.lex_state = 3, .external_lex_state = 2},
  [1486] = {.lex_state = 3, .external_lex_state = 2},
  [1487] = {.lex_state = 229, .external_lex_state = 3},
  [1488] = {.lex_state = 229, .external_lex_state = 3},
  [1489] = {.lex_state = 229, .external_lex_state = 3},
  [1490] = {.lex_state = 229, .external_lex_state = 3},
  [1491] = {.lex_state = 229, .external_lex_state = 3},
  [1492] = {.lex_state = 229, .external_lex_state = 3},
  [1493] = {.lex_state = 229, .external_lex_state = 3},
  [1494] = {.lex_state = 229, .external_lex_state = 3},
  [1495] = {.lex_state = 229, .external_lex_state = 3},
  [1496] = {.lex_state = 229, .external_lex_state = 3},
  [1497] = {.lex_state = 229, .external_lex_state = 3},
  [1498] = {.lex_state = 229, .external_lex_state = 3},
  [1499] = {.lex_state = 229, .external_lex_state = 3},
  [1500] = {.lex_state = 229, .external_lex_state = 3},
  [1501] = {.lex_state = 229, .external_lex_state = 3},
  [1502] = {.lex_state = 229, .external_lex_state = 3},
  [1503] = {.lex_state = 229, .external_lex_state = 3},
  [1504] = {.lex_state = 229, .external_lex_state = 3},
  [1505] = {.lex_state = 229, .external_lex_state = 3},
  [1506] = {.lex_state = 229, .external_lex_state = 3},
  [1507] = {.lex_state = 229, .external_lex_state = 3},
  [1508] = {.lex_state = 229, .external_lex_state = 3},
  [1509] = {.lex_state = 229, .external_lex_state = 3},
  [1510] = {.lex_state = 229, .external_lex_state = 3},
  [1511] = {.lex_state = 229, .external_lex_state = 3},
  [1512] = {.lex_state = 27, .external_lex_state = 4},
  [1513] = {.lex_state = 27, .external_lex_state = 4},
  [1514] = {.lex_state = 229, .external_lex_state = 3},
  [1515] = {.lex_state = 229, .external_lex_state = 3},
  [1516] = {.lex_state = 229, .external_lex_state = 3},
  [1517] = {.lex_state = 17, .external_lex_state = 2},
  [1518] = {.lex_state = 219, .external_lex_state = 3},
  [1519] = {.lex_state = 229, .external_lex_state = 3},
  [1520] = {.lex_state = 229, .external_lex_state = 3},
  [1521] = {.lex_state = 229, .external_lex_state = 3},
  [1522] = {.lex_state = 229, .external_lex_state = 3},
  [1523] = {.lex_state = 229, .external_lex_state = 3},
  [1524] = {.lex_state = 229, .external_lex_state = 3},
  [1525] = {.lex_state = 229, .external_lex_state = 3},
  [1526] = {.lex_state = 229, .external_lex_state = 3},
  [1527] = {.lex_state = 229, .external_lex_state = 3},
  [1528] = {.lex_state = 229, .external_lex_state = 3},
  [1529] = {.lex_state = 229, .external_lex_state = 3},
  [1530] = {.lex_state = 229, .external_lex_state = 3},
  [1531] = {.lex_state = 229, .external_lex_state = 3},
  [1532] = {.lex_state = 229, .external_lex_state = 3},
  [1533] = {.lex_state = 229, .external_lex_state = 3},
  [1534] = {.lex_state = 229, .external_lex_state = 3},
  [1535] = {.lex_state = 229, .external_lex_state = 3},
  [1536] = {.lex_state = 229, .external_lex_state = 3},
  [1537] = {.lex_state = 229, .external_lex_state = 3},
  [1538] = {.lex_state = 229, .external_lex_state = 3},
  [1539] = {.lex_state = 229, .external_lex_state = 3},
  [1540] = {.lex_state = 229, .external_lex_state = 3},
  [1541] = {.lex_state = 229, .external_lex_state = 3},
  [1542] = {.lex_state = 229, .external_lex_state = 3},
  [1543] = {.lex_state = 229, .external_lex_state = 3},
  [1544] = {.lex_state = 229, .external_lex_state = 3},
  [1545] = {.lex_state = 229, .external_lex_state = 3},
  [1546] = {.lex_state = 229, .external_lex_state = 3},
  [1547] = {.lex_state = 229, .external_lex_state = 3},
  [1548] = {.lex_state = 229, .external_lex_state = 3},
  [1549] = {.lex_state = 229, .external_lex_state = 3},
  [1550] = {.lex_state = 229, .external_lex_state = 3},
  [1551] = {.lex_state = 229, .external_lex_state = 3},
  [1552] = {.lex_state = 229, .external_lex_state = 3},
  [1553] = {.lex_state = 229, .external_lex_state = 3},
  [1554] = {.lex_state = 229, .external_lex_state = 3},
  [1555] = {.lex_state = 229, .external_lex_state = 3},
  [1556] = {.lex_state = 229, .external_lex_state = 3},
  [1557] = {.lex_state = 229, .external_lex_state = 3},
  [1558] = {.lex_state = 229, .external_lex_state = 3},
  [1559] = {.lex_state = 229, .external_lex_state = 3},
  [1560] = {.lex_state = 229, .external_lex_state = 3},
  [1561] = {.lex_state = 229, .external_lex_state = 3},
  [1562] = {.lex_state = 229, .external_lex_state = 3},
  [1563] = {.lex_state = 229, .external_lex_state = 3},
  [1564] = {.lex_state = 229, .external_lex_state = 3},
  [1565] = {.lex_state = 229, .external_lex_state = 3},
  [1566] = {.lex_state = 229, .external_lex_state = 3},
  [1567] = {.lex_state = 229, .external_lex_state = 3},
  [1568] = {.lex_state = 229, .external_lex_state = 3},
  [1569] = {.lex_state = 229, .external_lex_state = 3},
  [1570] = {.lex_state = 229, .external_lex_state = 3},
  [1571] = {.lex_state = 229, .external_lex_state = 3},
  [1572] = {.lex_state = 229, .external_lex_state = 3},
  [1573] = {.lex_state = 229, .external_lex_state = 3},
  [1574] = {.lex_state = 229, .external_lex_state = 3},
  [1575] = {.lex_state = 229, .external_lex_state = 3},
  [1576] = {.lex_state = 229, .external_lex_state = 3},
  [1577] = {.lex_state = 229, .external_lex_state = 3},
  [1578] = {.lex_state = 229, .external_lex_state = 3},
  [1579] = {.lex_state = 229, .external_lex_state = 3},
  [1580] = {.lex_state = 19, .external_lex_state = 2},
  [1581] = {.lex_state = 229, .external_lex_state = 3},
  [1582] = {.lex_state = 229, .external_lex_state = 3},
  [1583] = {.lex_state = 229, .external_lex_state = 3},
  [1584] = {.lex_state = 229, .external_lex_state = 3},
  [1585] = {.lex_state = 229, .external_lex_state = 3},
  [1586] = {.lex_state = 229, .external_lex_state = 3},
  [1587] = {.lex_state = 229, .external_lex_state = 3},
  [1588] = {.lex_state = 229, .external_lex_state = 3},
  [1589] = {.lex_state = 229, .external_lex_state = 3},
  [1590] = {.lex_state = 229, .external_lex_state = 3},
  [1591] = {.lex_state = 229, .external_lex_state = 3},
  [1592] = {.lex_state = 229, .external_lex_state = 3},
  [1593] = {.lex_state = 229, .external_lex_state = 3},
  [1594] = {.lex_state = 229, .external_lex_state = 3},
  [1595] = {.lex_state = 229, .external_lex_state = 3},
  [1596] = {.lex_state = 229, .external_lex_state = 3},
  [1597] = {.lex_state = 229, .external_lex_state = 3},
  [1598] = {.lex_state = 229, .external_lex_state = 3},
  [1599] = {.lex_state = 229, .external_lex_state = 3},
  [1600] = {.lex_state = 229, .external_lex_state = 3},
  [1601] = {.lex_state = 229, .external_lex_state = 3},
  [1602] = {.lex_state = 229, .external_lex_state = 3},
  [1603] = {.lex_state = 229, .external_lex_state = 3},
  [1604] = {.lex_state = 229, .external_lex_state = 3},
  [1605] = {.lex_state = 229, .external_lex_state = 3},
  [1606] = {.lex_state = 229, .external_lex_state = 3},
  [1607] = {.lex_state = 229, .external_lex_state = 3},
  [1608] = {.lex_state = 229, .external_lex_state = 3},
  [1609] = {.lex_state = 229, .external_lex_state = 3},
  [1610] = {.lex_state = 229, .external_lex_state = 3},
  [1611] = {.lex_state = 229, .external_lex_state = 3},
  [1612] = {.lex_state = 229, .external_lex_state = 3},
  [1613] = {.lex_state = 229, .external_lex_state = 3},
  [1614] = {.lex_state = 229, .external_lex_state = 3},
  [1615] = {.lex_state = 229, .external_lex_state = 3},
  [1616] = {.lex_state = 229, .external_lex_state = 3},
  [1617] = {.lex_state = 229, .external_lex_state = 3},
  [1618] = {.lex_state = 19, .external_lex_state = 2},
  [1619] = {.lex_state = 229, .external_lex_state = 3},
  [1620] = {.lex_state = 229, .external_lex_state = 3},
  [1621] = {.lex_state = 229, .external_lex_state = 3},
  [1622] = {.lex_state = 229, .external_lex_state = 3},
  [1623] = {.lex_state = 229, .external_lex_state = 3},
  [1624] = {.lex_state = 229, .external_lex_state = 3},
  [1625] = {.lex_state = 229, .external_lex_state = 3},
  [1626] = {.lex_state = 229, .external_lex_state = 3},
  [1627] = {.lex_state = 229, .external_lex_state = 3},
  [1628] = {.lex_state = 229, .external_lex_state = 3},
  [1629] = {.lex_state = 229, .external_lex_state = 3},
  [1630] = {.lex_state = 229, .external_lex_state = 3},
  [1631] = {.lex_state = 229, .external_lex_state = 3},
  [1632] = {.lex_state = 229, .external_lex_state = 3},
  [1633] = {.lex_state = 229, .external_lex_state = 3},
  [1634] = {.lex_state = 229, .external_lex_state = 3},
  [1635] = {.lex_state = 229, .external_lex_state = 3},
  [1636] = {.lex_state = 229, .external_lex_state = 3},
  [1637] = {.lex_state = 229, .external_lex_state = 3},
  [1638] = {.lex_state = 229, .external_lex_state = 3},
  [1639] = {.lex_state = 229, .external_lex_state = 3},
  [1640] = {.lex_state = 19, .external_lex_state = 2},
  [1641] = {.lex_state = 19, .external_lex_state = 2},
  [1642] = {.lex_state = 229, .external_lex_state = 3},
  [1643] = {.lex_state = 229, .external_lex_state = 3},
  [1644] = {.lex_state = 229, .external_lex_state = 3},
  [1645] = {.lex_state = 229, .external_lex_state = 3},
  [1646] = {.lex_state = 229, .external_lex_state = 3},
  [1647] = {.lex_state = 229, .external_lex_state = 3},
  [1648] = {.lex_state = 229, .external_lex_state = 3},
  [1649] = {.lex_state = 229, .external_lex_state = 3},
  [1650] = {.lex_state = 229, .external_lex_state = 3},
  [1651] = {.lex_state = 229, .external_lex_state = 3},
  [1652] = {.lex_state = 229, .external_lex_state = 3},
  [1653] = {.lex_state = 229, .external_lex_state = 3},
  [1654] = {.lex_state = 229, .external_lex_state = 3},
  [1655] = {.lex_state = 229, .external_lex_state = 3},
  [1656] = {.lex_state = 229, .external_lex_state = 3},
  [1657] = {.lex_state = 229, .external_lex_state = 3},
  [1658] = {.lex_state = 229, .external_lex_state = 3},
  [1659] = {.lex_state = 229, .external_lex_state = 3},
  [1660] = {.lex_state = 229, .external_lex_state = 3},
  [1661] = {.lex_state = 229, .external_lex_state = 3},
  [1662] = {.lex_state = 229, .external_lex_state = 3},
  [1663] = {.lex_state = 229, .external_lex_state = 3},
  [1664] = {.lex_state = 229, .external_lex_state = 3},
  [1665] = {.lex_state = 229, .external_lex_state = 3},
  [1666] = {.lex_state = 229, .external_lex_state = 3},
  [1667] = {.lex_state = 229, .external_lex_state = 3},
  [1668] = {.lex_state = 17, .external_lex_state = 2},
  [1669] = {.lex_state = 229, .external_lex_state = 3},
  [1670] = {.lex_state = 229, .external_lex_state = 3},
  [1671] = {.lex_state = 229, .external_lex_state = 3},
  [1672] = {.lex_state = 229, .external_lex_state = 3},
  [1673] = {.lex_state = 229, .external_lex_state = 3},
  [1674] = {.lex_state = 229, .external_lex_state = 3},
  [1675] = {.lex_state = 19, .external_lex_state = 2},
  [1676] = {.lex_state = 19, .external_lex_state = 2},
  [1677] = {.lex_state = 229, .external_lex_state = 3},
  [1678] = {.lex_state = 229, .external_lex_state = 3},
  [1679] = {.lex_state = 229, .external_lex_state = 3},
  [1680] = {.lex_state = 229, .external_lex_state = 3},
  [1681] = {.lex_state = 229, .external_lex_state = 3},
  [1682] = {.lex_state = 21, .external_lex_state = 2},
  [1683] = {.lex_state = 19, .external_lex_state = 2},
  [1684] = {.lex_state = 19, .external_lex_state = 2},
  [1685] = {.lex_state = 19, .external_lex_state = 2},
  [1686] = {.lex_state = 21, .external_lex_state = 2},
  [1687] = {.lex_state = 17, .external_lex_state = 2},
  [1688] = {.lex_state = 19, .external_lex_state = 2},
  [1689] = {.lex_state = 21, .external_lex_state = 2},
  [1690] = {.lex_state = 229, .external_lex_state = 2},
  [1691] = {.lex_state = 19, .external_lex_state = 2},
  [1692] = {.lex_state = 17, .external_lex_state = 2},
  [1693] = {.lex_state = 17, .external_lex_state = 2},
  [1694] = {.lex_state = 19, .external_lex_state = 2},
  [1695] = {.lex_state = 229, .external_lex_state = 2},
  [1696] = {.lex_state = 19, .external_lex_state = 2},
  [1697] = {.lex_state = 19, .external_lex_state = 2},
  [1698] = {.lex_state = 19, .external_lex_state = 2},
  [1699] = {.lex_state = 9, .external_lex_state = 4},
  [1700] = {.lex_state = 19, .external_lex_state = 2},
  [1701] = {.lex_state = 19, .external_lex_state = 2},
  [1702] = {.lex_state = 21, .external_lex_state = 2},
  [1703] = {.lex_state = 19, .external_lex_state = 2},
  [1704] = {.lex_state = 17, .external_lex_state = 2},
  [1705] = {.lex_state = 17, .external_lex_state = 2},
  [1706] = {.lex_state = 17, .external_lex_state = 2},
  [1707] = {.lex_state = 21, .external_lex_state = 2},
  [1708] = {.lex_state = 19, .external_lex_state = 2},
  [1709] = {.lex_state = 19, .external_lex_state = 2},
  [1710] = {.lex_state = 28, .external_lex_state = 4},
  [1711] = {.lex_state = 19, .external_lex_state = 2},
  [1712] = {.lex_state = 17, .external_lex_state = 2},
  [1713] = {.lex_state = 17, .external_lex_state = 2},
  [1714] = {.lex_state = 19, .external_lex_state = 2},
  [1715] = {.lex_state = 19, .external_lex_state = 2},
  [1716] = {.lex_state = 19, .external_lex_state = 2},
  [1717] = {.lex_state = 19, .external_lex_state = 2},
  [1718] = {.lex_state = 19, .external_lex_state = 2},
  [1719] = {.lex_state = 19, .external_lex_state = 2},
  [1720] = {.lex_state = 19, .external_lex_state = 2},
  [1721] = {.lex_state = 19, .external_lex_state = 2},
  [1722] = {.lex_state = 19, .external_lex_state = 2},
  [1723] = {.lex_state = 19, .external_lex_state = 2},
  [1724] = {.lex_state = 19, .external_lex_state = 2},
  [1725] = {.lex_state = 19, .external_lex_state = 2},
  [1726] = {.lex_state = 19, .external_lex_state = 2},
  [1727] = {.lex_state = 19, .external_lex_state = 2},
  [1728] = {.lex_state = 19, .external_lex_state = 2},
  [1729] = {.lex_state = 19, .external_lex_state = 2},
  [1730] = {.lex_state = 19, .external_lex_state = 2},
  [1731] = {.lex_state = 19, .external_lex_state = 2},
  [1732] = {.lex_state = 19, .external_lex_state = 2},
  [1733] = {.lex_state = 19, .external_lex_state = 2},
  [1734] = {.lex_state = 19, .external_lex_state = 2},
  [1735] = {.lex_state = 19, .external_lex_state = 2},
  [1736] = {.lex_state = 19, .external_lex_state = 2},
  [1737] = {.lex_state = 19, .external_lex_state = 2},
  [1738] = {.lex_state = 19, .external_lex_state = 2},
  [1739] = {.lex_state = 19, .external_lex_state = 2},
  [1740] = {.lex_state = 19, .external_lex_state = 2},
  [1741] = {.lex_state = 8, .external_lex_state = 4},
  [1742] = {.lex_state = 19, .external_lex_state = 2},
  [1743] = {.lex_state = 19, .external_lex_state = 2},
  [1744] = {.lex_state = 19, .external_lex_state = 2},
  [1745] = {.lex_state = 19, .external_lex_state = 2},
  [1746] = {.lex_state = 19, .external_lex_state = 2},
  [1747] = {.lex_state = 19, .external_lex_state = 2},
  [1748] = {.lex_state = 19, .external_lex_state = 2},
  [1749] = {.lex_state = 19, .external_lex_state = 2},
  [1750] = {.lex_state = 19, .external_lex_state = 2},
  [1751] = {.lex_state = 19, .external_lex_state = 2},
  [1752] = {.lex_state = 19, .external_lex_state = 2},
  [1753] = {.lex_state = 19, .external_lex_state = 2},
  [1754] = {.lex_state = 19, .external_lex_state = 2},
  [1755] = {.lex_state = 19, .external_lex_state = 2},
  [1756] = {.lex_state = 19, .external_lex_state = 2},
  [1757] = {.lex_state = 19, .external_lex_state = 2},
  [1758] = {.lex_state = 19, .external_lex_state = 2},
  [1759] = {.lex_state = 19, .external_lex_state = 2},
  [1760] = {.lex_state = 19, .external_lex_state = 2},
  [1761] = {.lex_state = 19, .external_lex_state = 2},
  [1762] = {.lex_state = 19, .external_lex_state = 2},
  [1763] = {.lex_state = 19, .external_lex_state = 2},
  [1764] = {.lex_state = 19, .external_lex_state = 2},
  [1765] = {.lex_state = 19, .external_lex_state = 2},
  [1766] = {.lex_state = 19, .external_lex_state = 2},
  [1767] = {.lex_state = 19, .external_lex_state = 2},
  [1768] = {.lex_state = 19, .external_lex_state = 2},
  [1769] = {.lex_state = 19, .external_lex_state = 2},
  [1770] = {.lex_state = 19, .external_lex_state = 2},
  [1771] = {.lex_state = 19, .external_lex_state = 2},
  [1772] = {.lex_state = 19, .external_lex_state = 2},
  [1773] = {.lex_state = 19, .external_lex_state = 2},
  [1774] = {.lex_state = 19, .external_lex_state = 2},
  [1775] = {.lex_state = 19, .external_lex_state = 2},
  [1776] = {.lex_state = 19, .external_lex_state = 2},
  [1777] = {.lex_state = 19, .external_lex_state = 2},
  [1778] = {.lex_state = 19, .external_lex_state = 2},
  [1779] = {.lex_state = 19, .external_lex_state = 2},
  [1780] = {.lex_state = 19, .external_lex_state = 2},
  [1781] = {.lex_state = 19, .external_lex_state = 2},
  [1782] = {.lex_state = 19, .external_lex_state = 2},
  [1783] = {.lex_state = 19, .external_lex_state = 2},
  [1784] = {.lex_state = 19, .external_lex_state = 2},
  [1785] = {.lex_state = 19, .external_lex_state = 2},
  [1786] = {.lex_state = 19, .external_lex_state = 2},
  [1787] = {.lex_state = 19, .external_lex_state = 2},
  [1788] = {.lex_state = 19, .external_lex_state = 2},
  [1789] = {.lex_state = 19, .external_lex_state = 2},
  [1790] = {.lex_state = 19, .external_lex_state = 2},
  [1791] = {.lex_state = 19, .external_lex_state = 2},
  [1792] = {.lex_state = 19, .external_lex_state = 2},
  [1793] = {.lex_state = 19, .external_lex_state = 2},
  [1794] = {.lex_state = 19, .external_lex_state = 2},
  [1795] = {.lex_state = 19, .external_lex_state = 2},
  [1796] = {.lex_state = 19, .external_lex_state = 2},
  [1797] = {.lex_state = 19, .external_lex_state = 2},
  [1798] = {.lex_state = 19, .external_lex_state = 2},
  [1799] = {.lex_state = 19, .external_lex_state = 2},
  [1800] = {.lex_state = 19, .external_lex_state = 2},
  [1801] = {.lex_state = 19, .external_lex_state = 2},
  [1802] = {.lex_state = 28, .external_lex_state = 4},
  [1803] = {.lex_state = 28, .external_lex_state = 4},
  [1804] = {.lex_state = 20, .external_lex_state = 4},
  [1805] = {.lex_state = 9, .external_lex_state = 4},
  [1806] = {.lex_state = 20, .external_lex_state = 4},
  [1807] = {.lex_state = 28, .external_lex_state = 4},
  [1808] = {.lex_state = 8, .external_lex_state = 4},
  [1809] = {.lex_state = 20, .external_lex_state = 4},
  [1810] = {.lex_state = 9, .external_lex_state = 4},
  [1811] = {.lex_state = 20, .external_lex_state = 4},
  [1812] = {.lex_state = 20, .external_lex_state = 4},
  [1813] = {.lex_state = 29, .external_lex_state = 4},
  [1814] = {.lex_state = 8, .external_lex_state = 4},
  [1815] = {.lex_state = 231, .external_lex_state = 3},
  [1816] = {.lex_state = 28, .external_lex_state = 4},
  [1817] = {.lex_state = 8, .external_lex_state = 4},
  [1818] = {.lex_state = 9, .external_lex_state = 4},
  [1819] = {.lex_state = 8, .external_lex_state = 4},
  [1820] = {.lex_state = 28, .external_lex_state = 5},
  [1821] = {.lex_state = 28, .external_lex_state = 4},
  [1822] = {.lex_state = 9, .external_lex_state = 4},
  [1823] = {.lex_state = 28, .external_lex_state = 6},
  [1824] = {.lex_state = 9, .external_lex_state = 4},
  [1825] = {.lex_state = 231, .external_lex_state = 3},
  [1826] = {.lex_state = 8, .external_lex_state = 4},
  [1827] = {.lex_state = 229, .external_lex_state = 3},
  [1828] = {.lex_state = 229, .external_lex_state = 3},
  [1829] = {.lex_state = 8, .external_lex_state = 4},
  [1830] = {.lex_state = 8, .external_lex_state = 4},
  [1831] = {.lex_state = 29, .external_lex_state = 4},
  [1832] = {.lex_state = 8, .external_lex_state = 4},
  [1833] = {.lex_state = 8, .external_lex_state = 4},
  [1834] = {.lex_state = 29, .external_lex_state = 4},
  [1835] = {.lex_state = 28, .external_lex_state = 5},
  [1836] = {.lex_state = 229, .external_lex_state = 3},
  [1837] = {.lex_state = 27, .external_lex_state = 4},
  [1838] = {.lex_state = 27, .external_lex_state = 4},
  [1839] = {.lex_state = 229, .external_lex_state = 3},
  [1840] = {.lex_state = 229, .external_lex_state = 3},
  [1841] = {.lex_state = 229, .external_lex_state = 3},
  [1842] = {.lex_state = 229, .external_lex_state = 3},
  [1843] = {.lex_state = 229, .external_lex_state = 3},
  [1844] = {.lex_state = 28, .external_lex_state = 5},
  [1845] = {.lex_state = 27, .external_lex_state = 4},
  [1846] = {.lex_state = 229, .external_lex_state = 3},
  [1847] = {.lex_state = 229, .external_lex_state = 3},
  [1848] = {.lex_state = 229, .external_lex_state = 3},
  [1849] = {.lex_state = 8, .external_lex_state = 4},
  [1850] = {.lex_state = 229, .external_lex_state = 3},
  [1851] = {.lex_state = 229, .external_lex_state = 3},
  [1852] = {.lex_state = 229, .external_lex_state = 3},
  [1853] = {.lex_state = 27, .external_lex_state = 4},
  [1854] = {.lex_state = 229, .external_lex_state = 3},
  [1855] = {.lex_state = 229, .external_lex_state = 3},
  [1856] = {.lex_state = 229, .external_lex_state = 3},
  [1857] = {.lex_state = 229, .external_lex_state = 3},
  [1858] = {.lex_state = 229, .external_lex_state = 3},
  [1859] = {.lex_state = 27, .external_lex_state = 4},
  [1860] = {.lex_state = 229, .external_lex_state = 3},
  [1861] = {.lex_state = 229, .external_lex_state = 3},
  [1862] = {.lex_state = 229, .external_lex_state = 3},
  [1863] = {.lex_state = 229, .external_lex_state = 3},
  [1864] = {.lex_state = 229, .external_lex_state = 3},
  [1865] = {.lex_state = 229, .external_lex_state = 3},
  [1866] = {.lex_state = 8, .external_lex_state = 4},
  [1867] = {.lex_state = 229, .external_lex_state = 3},
  [1868] = {.lex_state = 30, .external_lex_state = 2},
  [1869] = {.lex_state = 29, .external_lex_state = 4},
  [1870] = {.lex_state = 8, .external_lex_state = 4},
  [1871] = {.lex_state = 28, .external_lex_state = 5},
  [1872] = {.lex_state = 29, .external_lex_state = 4},
  [1873] = {.lex_state = 28, .external_lex_state = 6},
  [1874] = {.lex_state = 229, .external_lex_state = 2},
  [1875] = {.lex_state = 8, .external_lex_state = 4},
  [1876] = {.lex_state = 29, .external_lex_state = 4},
  [1877] = {.lex_state = 28, .external_lex_state = 6},
  [1878] = {.lex_state = 8, .external_lex_state = 4},
  [1879] = {.lex_state = 28, .external_lex_state = 6},
  [1880] = {.lex_state = 28, .external_lex_state = 5},
  [1881] = {.lex_state = 28, .external_lex_state = 5},
  [1882] = {.lex_state = 8, .external_lex_state = 4},
  [1883] = {.lex_state = 28, .external_lex_state = 6},
  [1884] = {.lex_state = 28, .external_lex_state = 6},
  [1885] = {.lex_state = 28, .external_lex_state = 4},
  [1886] = {.lex_state = 9, .external_lex_state = 4},
  [1887] = {.lex_state = 9, .external_lex_state = 4},
  [1888] = {.lex_state = 28, .external_lex_state = 4},
  [1889] = {.lex_state = 9, .external_lex_state = 4},
  [1890] = {.lex_state = 28, .external_lex_state = 4},
  [1891] = {.lex_state = 28, .external_lex_state = 4},
  [1892] = {.lex_state = 10, .external_lex_state = 2},
  [1893] = {.lex_state = 28, .external_lex_state = 4},
  [1894] = {.lex_state = 9, .external_lex_state = 4},
  [1895] = {.lex_state = 9, .external_lex_state = 4},
  [1896] = {.lex_state = 8, .external_lex_state = 4},
  [1897] = {.lex_state = 8, .external_lex_state = 4},
  [1898] = {.lex_state = 8, .external_lex_state = 4},
  [1899] = {.lex_state = 10, .external_lex_state = 2},
  [1900] = {.lex_state = 8, .external_lex_state = 4},
  [1901] = {.lex_state = 8, .external_lex_state = 4},
  [1902] = {.lex_state = 33, .external_lex_state = 4},
  [1903] = {.lex_state = 30, .external_lex_state = 2},
  [1904] = {.lex_state = 30, .external_lex_state = 2},
  [1905] = {.lex_state = 30, .external_lex_state = 2},
  [1906] = {.lex_state = 30, .external_lex_state = 2},
  [1907] = {.lex_state = 30, .external_lex_state = 2},
  [1908] = {.lex_state = 29, .external_lex_state = 4},
  [1909] = {.lex_state = 29, .external_lex_state = 4},
  [1910] = {.lex_state = 30, .external_lex_state = 2},
  [1911] = {.lex_state = 29, .external_lex_state = 4},
  [1912] = {.lex_state = 29, .external_lex_state = 4},
  [1913] = {.lex_state = 30, .external_lex_state = 2},
  [1914] = {.lex_state = 30, .external_lex_state = 2},
  [1915] = {.lex_state = 29, .external_lex_state = 4},
  [1916] = {.lex_state = 28, .external_lex_state = 5},
  [1917] = {.lex_state = 28, .external_lex_state = 5},
  [1918] = {.lex_state = 28, .external_lex_state = 5},
  [1919] = {.lex_state = 30, .external_lex_state = 2},
  [1920] = {.lex_state = 28, .external_lex_state = 5},
  [1921] = {.lex_state = 30, .external_lex_state = 2},
  [1922] = {.lex_state = 30, .external_lex_state = 2},
  [1923] = {.lex_state = 28, .external_lex_state = 5},
  [1924] = {.lex_state = 28, .external_lex_state = 6},
  [1925] = {.lex_state = 28, .external_lex_state = 6},
  [1926] = {.lex_state = 28, .external_lex_state = 6},
  [1927] = {.lex_state = 28, .external_lex_state = 6},
  [1928] = {.lex_state = 30, .external_lex_state = 2},
  [1929] = {.lex_state = 28, .external_lex_state = 6},
  [1930] = {.lex_state = 11, .external_lex_state = 4},
  [1931] = {.lex_state = 10, .external_lex_state = 4},
  [1932] = {.lex_state = 229, .external_lex_state = 4},
  [1933] = {.lex_state = 229, .external_lex_state = 4},
  [1934] = {.lex_state = 229, .external_lex_state = 4},
  [1935] = {.lex_state = 229, .external_lex_state = 4},
  [1936] = {.lex_state = 229, .external_lex_state = 4},
  [1937] = {.lex_state = 229, .external_lex_state = 4},
  [1938] = {.lex_state = 229, .external_lex_state = 4},
  [1939] = {.lex_state = 229, .external_lex_state = 4},
  [1940] = {.lex_state = 229, .external_lex_state = 4},
  [1941] = {.lex_state = 229, .external_lex_state = 4},
  [1942] = {.lex_state = 229, .external_lex_state = 4},
  [1943] = {.lex_state = 229, .external_lex_state = 4},
  [1944] = {.lex_state = 229, .external_lex_state = 4},
  [1945] = {.lex_state = 229, .external_lex_state = 4},
  [1946] = {.lex_state = 229, .external_lex_state = 4},
  [1947] = {.lex_state = 229, .external_lex_state = 4},
  [1948] = {.lex_state = 229, .external_lex_state = 4},
  [1949] = {.lex_state = 229, .external_lex_state = 4},
  [1950] = {.lex_state = 229, .external_lex_state = 4},
  [1951] = {.lex_state = 11, .external_lex_state = 4},
  [1952] = {.lex_state = 11, .external_lex_state = 4},
  [1953] = {.lex_state = 10, .external_lex_state = 4},
  [1954] = {.lex_state = 10, .external_lex_state = 4},
  [1955] = {.lex_state = 10, .external_lex_state = 4},
  [1956] = {.lex_state = 229, .external_lex_state = 4},
  [1957] = {.lex_state = 229, .external_lex_state = 4},
  [1958] = {.lex_state = 10, .external_lex_state = 4},
  [1959] = {.lex_state = 11, .external_lex_state = 4},
  [1960] = {.lex_state = 229, .external_lex_state = 4},
  [1961] = {.lex_state = 10, .external_lex_state = 4},
  [1962] = {.lex_state = 11, .external_lex_state = 4},
  [1963] = {.lex_state = 229, .external_lex_state = 4},
  [1964] = {.lex_state = 229, .external_lex_state = 4},
  [1965] = {.lex_state = 229, .external_lex_state = 4},
  [1966] = {.lex_state = 229, .external_lex_state = 4},
  [1967] = {.lex_state = 10, .external_lex_state = 4},
  [1968] = {.lex_state = 229, .external_lex_state = 4},
  [1969] = {.lex_state = 229, .external_lex_state = 4},
  [1970] = {.lex_state = 229, .external_lex_state = 4},
  [1971] = {.lex_state = 229, .external_lex_state = 4},
  [1972] = {.lex_state = 229, .external_lex_state = 4},
  [1973] = {.lex_state = 229, .external_lex_state = 4},
  [1974] = {.lex_state = 229, .external_lex_state = 4},
  [1975] = {.lex_state = 229, .external_lex_state = 4},
  [1976] = {.lex_state = 229, .external_lex_state = 4},
  [1977] = {.lex_state = 229, .external_lex_state = 4},
  [1978] = {.lex_state = 10, .external_lex_state = 4},
  [1979] = {.lex_state = 229, .external_lex_state = 4},
  [1980] = {.lex_state = 229, .external_lex_state = 4},
  [1981] = {.lex_state = 229, .external_lex_state = 4},
  [1982] = {.lex_state = 229, .external_lex_state = 4},
  [1983] = {.lex_state = 229, .external_lex_state = 4},
  [1984] = {.lex_state = 229, .external_lex_state = 4},
  [1985] = {.lex_state = 229, .external_lex_state = 4},
  [1986] = {.lex_state = 229, .external_lex_state = 4},
  [1987] = {.lex_state = 229, .external_lex_state = 4},
  [1988] = {.lex_state = 229, .external_lex_state = 4},
  [1989] = {.lex_state = 229, .external_lex_state = 4},
  [1990] = {.lex_state = 229, .external_lex_state = 4},
  [1991] = {.lex_state = 229, .external_lex_state = 4},
  [1992] = {.lex_state = 229, .external_lex_state = 4},
  [1993] = {.lex_state = 10, .external_lex_state = 4},
  [1994] = {.lex_state = 10, .external_lex_state = 4},
  [1995] = {.lex_state = 229, .external_lex_state = 4},
  [1996] = {.lex_state = 229, .external_lex_state = 4},
  [1997] = {.lex_state = 229, .external_lex_state = 4},
  [1998] = {.lex_state = 229, .external_lex_state = 4},
  [1999] = {.lex_state = 229, .external_lex_state = 4},
  [2000] = {.lex_state = 229, .external_lex_state = 4},
  [2001] = {.lex_state = 229, .external_lex_state = 4},
  [2002] = {.lex_state = 229, .external_lex_state = 4},
  [2003] = {.lex_state = 229, .external_lex_state = 4},
  [2004] = {.lex_state = 229, .external_lex_state = 4},
  [2005] = {.lex_state = 229, .external_lex_state = 4},
  [2006] = {.lex_state = 229, .external_lex_state = 4},
  [2007] = {.lex_state = 229, .external_lex_state = 4},
  [2008] = {.lex_state = 229, .external_lex_state = 4},
  [2009] = {.lex_state = 229, .external_lex_state = 4},
  [2010] = {.lex_state = 229, .external_lex_state = 4},
  [2011] = {.lex_state = 229, .external_lex_state = 4},
  [2012] = {.lex_state = 229, .external_lex_state = 4},
  [2013] = {.lex_state = 229, .external_lex_state = 4},
  [2014] = {.lex_state = 229, .external_lex_state = 4},
  [2015] = {.lex_state = 229, .external_lex_state = 4},
  [2016] = {.lex_state = 229, .external_lex_state = 4},
  [2017] = {.lex_state = 229, .external_lex_state = 4},
  [2018] = {.lex_state = 229, .external_lex_state = 4},
  [2019] = {.lex_state = 229, .external_lex_state = 4},
  [2020] = {.lex_state = 229, .external_lex_state = 4},
  [2021] = {.lex_state = 33, .external_lex_state = 4},
  [2022] = {.lex_state = 229, .external_lex_state = 4},
  [2023] = {.lex_state = 229, .external_lex_state = 4},
  [2024] = {.lex_state = 229, .external_lex_state = 4},
  [2025] = {.lex_state = 10, .external_lex_state = 4},
  [2026] = {.lex_state = 10, .external_lex_state = 4},
  [2027] = {.lex_state = 229, .external_lex_state = 4},
  [2028] = {.lex_state = 10, .external_lex_state = 4},
  [2029] = {.lex_state = 10, .external_lex_state = 4},
  [2030] = {.lex_state = 33, .external_lex_state = 4},
  [2031] = {.lex_state = 229, .external_lex_state = 4},
  [2032] = {.lex_state = 229, .external_lex_state = 4},
  [2033] = {.lex_state = 229, .external_lex_state = 4},
  [2034] = {.lex_state = 229, .external_lex_state = 4},
  [2035] = {.lex_state = 229, .external_lex_state = 4},
  [2036] = {.lex_state = 33, .external_lex_state = 4},
  [2037] = {.lex_state = 229, .external_lex_state = 4},
  [2038] = {.lex_state = 229, .external_lex_state = 4},
  [2039] = {.lex_state = 10, .external_lex_state = 4},
  [2040] = {.lex_state = 229, .external_lex_state = 4},
  [2041] = {.lex_state = 229, .external_lex_state = 4},
  [2042] = {.lex_state = 229, .external_lex_state = 4},
  [2043] = {.lex_state = 229, .external_lex_state = 4},
  [2044] = {.lex_state = 229, .external_lex_state = 4},
  [2045] = {.lex_state = 229, .external_lex_state = 4},
  [2046] = {.lex_state = 229, .external_lex_state = 4},
  [2047] = {.lex_state = 229, .external_lex_state = 4},
  [2048] = {.lex_state = 229, .external_lex_state = 4},
  [2049] = {.lex_state = 229, .external_lex_state = 4},
  [2050] = {.lex_state = 229, .external_lex_state = 4},
  [2051] = {.lex_state = 229, .external_lex_state = 4},
  [2052] = {.lex_state = 229, .external_lex_state = 4},
  [2053] = {.lex_state = 10, .external_lex_state = 4},
  [2054] = {.lex_state = 229, .external_lex_state = 4},
  [2055] = {.lex_state = 229, .external_lex_state = 4},
  [2056] = {.lex_state = 229, .external_lex_state = 4},
  [2057] = {.lex_state = 229, .external_lex_state = 4},
  [2058] = {.lex_state = 229, .external_lex_state = 4},
  [2059] = {.lex_state = 33, .external_lex_state = 4},
  [2060] = {.lex_state = 33, .external_lex_state = 4},
  [2061] = {.lex_state = 33, .external_lex_state = 4},
  [2062] = {.lex_state = 229, .external_lex_state = 4},
  [2063] = {.lex_state = 229, .external_lex_state = 4},
  [2064] = {.lex_state = 229, .external_lex_state = 4},
  [2065] = {.lex_state = 229, .external_lex_state = 4},
  [2066] = {.lex_state = 229, .external_lex_state = 4},
  [2067] = {.lex_state = 229, .external_lex_state = 4},
  [2068] = {.lex_state = 229, .external_lex_state = 4},
  [2069] = {.lex_state = 229, .external_lex_state = 4},
  [2070] = {.lex_state = 229, .external_lex_state = 4},
  [2071] = {.lex_state = 229, .external_lex_state = 4},
  [2072] = {.lex_state = 229, .external_lex_state = 4},
  [2073] = {.lex_state = 229, .external_lex_state = 4},
  [2074] = {.lex_state = 229, .external_lex_state = 4},
  [2075] = {.lex_state = 229, .external_lex_state = 4},
  [2076] = {.lex_state = 229, .external_lex_state = 4},
  [2077] = {.lex_state = 229, .external_lex_state = 4},
  [2078] = {.lex_state = 229, .external_lex_state = 4},
  [2079] = {.lex_state = 229, .external_lex_state = 4},
  [2080] = {.lex_state = 229, .external_lex_state = 4},
  [2081] = {.lex_state = 229, .external_lex_state = 4},
  [2082] = {.lex_state = 229, .external_lex_state = 4},
  [2083] = {.lex_state = 229, .external_lex_state = 4},
  [2084] = {.lex_state = 229, .external_lex_state = 4},
  [2085] = {.lex_state = 229, .external_lex_state = 4},
  [2086] = {.lex_state = 229, .external_lex_state = 4},
  [2087] = {.lex_state = 229, .external_lex_state = 4},
  [2088] = {.lex_state = 229, .external_lex_state = 4},
  [2089] = {.lex_state = 229, .external_lex_state = 4},
  [2090] = {.lex_state = 229, .external_lex_state = 4},
  [2091] = {.lex_state = 229, .external_lex_state = 4},
  [2092] = {.lex_state = 229, .external_lex_state = 4},
  [2093] = {.lex_state = 229, .external_lex_state = 4},
  [2094] = {.lex_state = 229, .external_lex_state = 4},
  [2095] = {.lex_state = 229, .external_lex_state = 4},
  [2096] = {.lex_state = 229, .external_lex_state = 4},
  [2097] = {.lex_state = 229, .external_lex_state = 4},
  [2098] = {.lex_state = 229, .external_lex_state = 4},
  [2099] = {.lex_state = 229, .external_lex_state = 4},
  [2100] = {.lex_state = 229, .external_lex_state = 4},
  [2101] = {.lex_state = 229, .external_lex_state = 4},
  [2102] = {.lex_state = 229, .external_lex_state = 4},
  [2103] = {.lex_state = 229, .external_lex_state = 4},
  [2104] = {.lex_state = 229, .external_lex_state = 4},
  [2105] = {.lex_state = 229, .external_lex_state = 4},
  [2106] = {.lex_state = 229, .external_lex_state = 4},
  [2107] = {.lex_state = 229, .external_lex_state = 4},
  [2108] = {.lex_state = 229, .external_lex_state = 4},
  [2109] = {.lex_state = 229, .external_lex_state = 4},
  [2110] = {.lex_state = 229, .external_lex_state = 4},
  [2111] = {.lex_state = 229, .external_lex_state = 4},
  [2112] = {.lex_state = 229, .external_lex_state = 4},
  [2113] = {.lex_state = 229, .external_lex_state = 4},
  [2114] = {.lex_state = 229, .external_lex_state = 4},
  [2115] = {.lex_state = 229, .external_lex_state = 4},
  [2116] = {.lex_state = 229, .external_lex_state = 4},
  [2117] = {.lex_state = 229, .external_lex_state = 4},
  [2118] = {.lex_state = 229, .external_lex_state = 4},
  [2119] = {.lex_state = 229, .external_lex_state = 4},
  [2120] = {.lex_state = 229, .external_lex_state = 4},
  [2121] = {.lex_state = 229, .external_lex_state = 4},
  [2122] = {.lex_state = 229, .external_lex_state = 4},
  [2123] = {.lex_state = 229, .external_lex_state = 4},
  [2124] = {.lex_state = 229, .external_lex_state = 4},
  [2125] = {.lex_state = 229, .external_lex_state = 4},
  [2126] = {.lex_state = 229, .external_lex_state = 4},
  [2127] = {.lex_state = 229, .external_lex_state = 4},
  [2128] = {.lex_state = 229, .external_lex_state = 4},
  [2129] = {.lex_state = 229, .external_lex_state = 4},
  [2130] = {.lex_state = 229, .external_lex_state = 4},
  [2131] = {.lex_state = 229, .external_lex_state = 4},
  [2132] = {.lex_state = 229, .external_lex_state = 4},
  [2133] = {.lex_state = 229, .external_lex_state = 4},
  [2134] = {.lex_state = 229, .external_lex_state = 4},
  [2135] = {.lex_state = 229, .external_lex_state = 4},
  [2136] = {.lex_state = 229, .external_lex_state = 4},
  [2137] = {.lex_state = 229, .external_lex_state = 4},
  [2138] = {.lex_state = 229, .external_lex_state = 4},
  [2139] = {.lex_state = 229, .external_lex_state = 4},
  [2140] = {.lex_state = 229, .external_lex_state = 4},
  [2141] = {.lex_state = 229, .external_lex_state = 4},
  [2142] = {.lex_state = 229, .external_lex_state = 4},
  [2143] = {.lex_state = 229, .external_lex_state = 4},
  [2144] = {.lex_state = 229, .external_lex_state = 4},
  [2145] = {.lex_state = 229, .external_lex_state = 4},
  [2146] = {.lex_state = 229, .external_lex_state = 4},
  [2147] = {.lex_state = 229, .external_lex_state = 4},
  [2148] = {.lex_state = 229, .external_lex_state = 4},
  [2149] = {.lex_state = 229, .external_lex_state = 4},
  [2150] = {.lex_state = 229, .external_lex_state = 4},
  [2151] = {.lex_state = 229, .external_lex_state = 4},
  [2152] = {.lex_state = 229, .external_lex_state = 4},
  [2153] = {.lex_state = 229, .external_lex_state = 4},
  [2154] = {.lex_state = 229, .external_lex_state = 4},
  [2155] = {.lex_state = 229, .external_lex_state = 4},
  [2156] = {.lex_state = 229, .external_lex_state = 4},
  [2157] = {.lex_state = 229, .external_lex_state = 4},
  [2158] = {.lex_state = 229, .external_lex_state = 4},
  [2159] = {.lex_state = 229, .external_lex_state = 4},
  [2160] = {.lex_state = 229, .external_lex_state = 4},
  [2161] = {.lex_state = 229, .external_lex_state = 4},
  [2162] = {.lex_state = 229, .external_lex_state = 4},
  [2163] = {.lex_state = 229, .external_lex_state = 4},
  [2164] = {.lex_state = 229, .external_lex_state = 4},
  [2165] = {.lex_state = 229, .external_lex_state = 4},
  [2166] = {.lex_state = 229, .external_lex_state = 4},
  [2167] = {.lex_state = 229, .external_lex_state = 4},
  [2168] = {.lex_state = 229, .external_lex_state = 4},
  [2169] = {.lex_state = 229, .external_lex_state = 4},
  [2170] = {.lex_state = 229, .external_lex_state = 4},
  [2171] = {.lex_state = 229, .external_lex_state = 4},
  [2172] = {.lex_state = 229, .external_lex_state = 4},
  [2173] = {.lex_state = 229, .external_lex_state = 4},
  [2174] = {.lex_state = 229, .external_lex_state = 4},
  [2175] = {.lex_state = 229, .external_lex_state = 4},
  [2176] = {.lex_state = 229, .external_lex_state = 4},
  [2177] = {.lex_state = 229, .external_lex_state = 4},
  [2178] = {.lex_state = 229, .external_lex_state = 4},
  [2179] = {.lex_state = 229, .external_lex_state = 4},
  [2180] = {.lex_state = 229, .external_lex_state = 4},
  [2181] = {.lex_state = 229, .external_lex_state = 4},
  [2182] = {.lex_state = 229, .external_lex_state = 4},
  [2183] = {.lex_state = 229, .external_lex_state = 4},
  [2184] = {.lex_state = 229, .external_lex_state = 4},
  [2185] = {.lex_state = 229, .external_lex_state = 4},
  [2186] = {.lex_state = 229, .external_lex_state = 4},
  [2187] = {.lex_state = 229, .external_lex_state = 4},
  [2188] = {.lex_state = 229, .external_lex_state = 4},
  [2189] = {.lex_state = 229, .external_lex_state = 4},
  [2190] = {.lex_state = 229, .external_lex_state = 4},
  [2191] = {.lex_state = 229, .external_lex_state = 4},
  [2192] = {.lex_state = 229, .external_lex_state = 4},
  [2193] = {.lex_state = 229, .external_lex_state = 4},
  [2194] = {.lex_state = 229, .external_lex_state = 4},
  [2195] = {.lex_state = 229, .external_lex_state = 4},
  [2196] = {.lex_state = 229, .external_lex_state = 4},
  [2197] = {.lex_state = 229, .external_lex_state = 4},
  [2198] = {.lex_state = 229, .external_lex_state = 4},
  [2199] = {.lex_state = 229, .external_lex_state = 4},
  [2200] = {.lex_state = 229, .external_lex_state = 4},
  [2201] = {.lex_state = 229, .external_lex_state = 4},
  [2202] = {.lex_state = 229, .external_lex_state = 4},
  [2203] = {.lex_state = 229, .external_lex_state = 4},
  [2204] = {.lex_state = 229, .external_lex_state = 4},
  [2205] = {.lex_state = 229, .external_lex_state = 4},
  [2206] = {.lex_state = 229, .external_lex_state = 4},
  [2207] = {.lex_state = 229, .external_lex_state = 4},
  [2208] = {.lex_state = 229, .external_lex_state = 4},
  [2209] = {.lex_state = 229, .external_lex_state = 4},
  [2210] = {.lex_state = 229, .external_lex_state = 4},
  [2211] = {.lex_state = 229, .external_lex_state = 4},
  [2212] = {.lex_state = 229, .external_lex_state = 4},
  [2213] = {.lex_state = 229, .external_lex_state = 4},
  [2214] = {.lex_state = 229, .external_lex_state = 4},
  [2215] = {.lex_state = 229, .external_lex_state = 4},
  [2216] = {.lex_state = 229, .external_lex_state = 4},
  [2217] = {.lex_state = 229, .external_lex_state = 4},
  [2218] = {.lex_state = 229, .external_lex_state = 4},
  [2219] = {.lex_state = 229, .external_lex_state = 4},
  [2220] = {.lex_state = 229, .external_lex_state = 4},
  [2221] = {.lex_state = 229, .external_lex_state = 4},
  [2222] = {.lex_state = 229, .external_lex_state = 4},
  [2223] = {.lex_state = 229, .external_lex_state = 4},
  [2224] = {.lex_state = 229, .external_lex_state = 4},
  [2225] = {.lex_state = 229, .external_lex_state = 4},
  [2226] = {.lex_state = 229, .external_lex_state = 4},
  [2227] = {.lex_state = 229, .external_lex_state = 4},
  [2228] = {.lex_state = 229, .external_lex_state = 4},
  [2229] = {.lex_state = 229, .external_lex_state = 4},
  [2230] = {.lex_state = 229, .external_lex_state = 4},
  [2231] = {.lex_state = 229, .external_lex_state = 4},
  [2232] = {.lex_state = 229, .external_lex_state = 4},
  [2233] = {.lex_state = 229, .external_lex_state = 4},
  [2234] = {.lex_state = 229, .external_lex_state = 4},
  [2235] = {.lex_state = 22, .external_lex_state = 4},
  [2236] = {.lex_state = 22, .external_lex_state = 4},
  [2237] = {.lex_state = 22, .external_lex_state = 4},
  [2238] = {.lex_state = 22, .external_lex_state = 4},
  [2239] = {.lex_state = 38, .external_lex_state = 4},
  [2240] = {.lex_state = 38, .external_lex_state = 4},
  [2241] = {.lex_state = 38, .external_lex_state = 4},
  [2242] = {.lex_state = 11, .external_lex_state = 4},
  [2243] = {.lex_state = 11, .external_lex_state = 4},
  [2244] = {.lex_state = 11, .external_lex_state = 4},
  [2245] = {.lex_state = 11, .external_lex_state = 4},
  [2246] = {.lex_state = 11, .external_lex_state = 4},
  [2247] = {.lex_state = 38, .external_lex_state = 4},
  [2248] = {.lex_state = 10, .external_lex_state = 4},
  [2249] = {.lex_state = 22, .external_lex_state = 4},
  [2250] = {.lex_state = 10, .external_lex_state = 4},
  [2251] = {.lex_state = 22, .external_lex_state = 4},
  [2252] = {.lex_state = 22, .external_lex_state = 4},
  [2253] = {.lex_state = 22, .external_lex_state = 4},
  [2254] = {.lex_state = 10, .external_lex_state = 4},
  [2255] = {.lex_state = 22, .external_lex_state = 4},
  [2256] = {.lex_state = 10, .external_lex_state = 4},
  [2257] = {.lex_state = 22, .external_lex_state = 4},
  [2258] = {.lex_state = 22, .external_lex_state = 4},
  [2259] = {.lex_state = 22, .external_lex_state = 4},
  [2260] = {.lex_state = 10, .external_lex_state = 4},
  [2261] = {.lex_state = 22, .external_lex_state = 4},
  [2262] = {.lex_state = 22, .external_lex_state = 4},
  [2263] = {.lex_state = 38, .external_lex_state = 4},
  [2264] = {.lex_state = 38, .external_lex_state = 4},
  [2265] = {.lex_state = 38, .external_lex_state = 4},
  [2266] = {.lex_state = 22, .external_lex_state = 4},
  [2267] = {.lex_state = 22, .external_lex_state = 4},
  [2268] = {.lex_state = 38, .external_lex_state = 4},
  [2269] = {.lex_state = 38, .external_lex_state = 4},
  [2270] = {.lex_state = 38, .external_lex_state = 4},
  [2271] = {.lex_state = 38, .external_lex_state = 4},
  [2272] = {.lex_state = 22, .external_lex_state = 4},
  [2273] = {.lex_state = 22, .external_lex_state = 4},
  [2274] = {.lex_state = 38, .external_lex_state = 4},
  [2275] = {.lex_state = 38, .external_lex_state = 4},
  [2276] = {.lex_state = 22, .external_lex_state = 4},
  [2277] = {.lex_state = 22, .external_lex_state = 4},
  [2278] = {.lex_state = 22, .external_lex_state = 4},
  [2279] = {.lex_state = 22, .external_lex_state = 4},
  [2280] = {.lex_state = 22, .external_lex_state = 4},
  [2281] = {.lex_state = 22, .external_lex_state = 4},
  [2282] = {.lex_state = 22, .external_lex_state = 4},
  [2283] = {.lex_state = 22, .external_lex_state = 4},
  [2284] = {.lex_state = 22, .external_lex_state = 4},
  [2285] = {.lex_state = 22, .external_lex_state = 4},
  [2286] = {.lex_state = 22, .external_lex_state = 4},
  [2287] = {.lex_state = 22, .external_lex_state = 4},
  [2288] = {.lex_state = 22, .external_lex_state = 4},
  [2289] = {.lex_state = 22, .external_lex_state = 4},
  [2290] = {.lex_state = 36, .external_lex_state = 4},
  [2291] = {.lex_state = 22, .external_lex_state = 4},
  [2292] = {.lex_state = 36, .external_lex_state = 4},
  [2293] = {.lex_state = 23, .external_lex_state = 4},
  [2294] = {.lex_state = 22, .external_lex_state = 4},
  [2295] = {.lex_state = 22, .external_lex_state = 4},
  [2296] = {.lex_state = 22, .external_lex_state = 4},
  [2297] = {.lex_state = 22, .external_lex_state = 4},
  [2298] = {.lex_state = 22, .external_lex_state = 4},
  [2299] = {.lex_state = 22, .external_lex_state = 4},
  [2300] = {.lex_state = 22, .external_lex_state = 4},
  [2301] = {.lex_state = 22, .external_lex_state = 4},
  [2302] = {.lex_state = 22, .external_lex_state = 4},
  [2303] = {.lex_state = 22, .external_lex_state = 4},
  [2304] = {.lex_state = 22, .external_lex_state = 4},
  [2305] = {.lex_state = 22, .external_lex_state = 4},
  [2306] = {.lex_state = 22, .external_lex_state = 4},
  [2307] = {.lex_state = 22, .external_lex_state = 4},
  [2308] = {.lex_state = 36, .external_lex_state = 4},
  [2309] = {.lex_state = 22, .external_lex_state = 4},
  [2310] = {.lex_state = 22, .external_lex_state = 4},
  [2311] = {.lex_state = 22, .external_lex_state = 4},
  [2312] = {.lex_state = 22, .external_lex_state = 4},
  [2313] = {.lex_state = 36, .external_lex_state = 4},
  [2314] = {.lex_state = 22, .external_lex_state = 4},
  [2315] = {.lex_state = 22, .external_lex_state = 4},
  [2316] = {.lex_state = 22, .external_lex_state = 4},
  [2317] = {.lex_state = 22, .external_lex_state = 4},
  [2318] = {.lex_state = 22, .external_lex_state = 4},
  [2319] = {.lex_state = 22, .external_lex_state = 4},
  [2320] = {.lex_state = 22, .external_lex_state = 4},
  [2321] = {.lex_state = 22, .external_lex_state = 4},
  [2322] = {.lex_state = 22, .external_lex_state = 4},
  [2323] = {.lex_state = 22, .external_lex_state = 4},
  [2324] = {.lex_state = 22, .external_lex_state = 4},
  [2325] = {.lex_state = 22, .external_lex_state = 4},
  [2326] = {.lex_state = 22, .external_lex_state = 4},
  [2327] = {.lex_state = 22, .external_lex_state = 4},
  [2328] = {.lex_state = 23, .external_lex_state = 4},
  [2329] = {.lex_state = 22, .external_lex_state = 4},
  [2330] = {.lex_state = 22, .external_lex_state = 4},
  [2331] = {.lex_state = 22, .external_lex_state = 4},
  [2332] = {.lex_state = 22, .external_lex_state = 4},
  [2333] = {.lex_state = 229, .external_lex_state = 4},
  [2334] = {.lex_state = 22, .external_lex_state = 4},
  [2335] = {.lex_state = 22, .external_lex_state = 4},
  [2336] = {.lex_state = 229, .external_lex_state = 4},
  [2337] = {.lex_state = 22, .external_lex_state = 4},
  [2338] = {.lex_state = 36, .external_lex_state = 4},
  [2339] = {.lex_state = 22, .external_lex_state = 4},
  [2340] = {.lex_state = 23, .external_lex_state = 4},
  [2341] = {.lex_state = 22, .external_lex_state = 4},
  [2342] = {.lex_state = 22, .external_lex_state = 4},
  [2343] = {.lex_state = 22, .external_lex_state = 4},
  [2344] = {.lex_state = 22, .external_lex_state = 4},
  [2345] = {.lex_state = 22, .external_lex_state = 4},
  [2346] = {.lex_state = 22, .external_lex_state = 4},
  [2347] = {.lex_state = 22, .external_lex_state = 4},
  [2348] = {.lex_state = 22, .external_lex_state = 4},
  [2349] = {.lex_state = 22, .external_lex_state = 4},
  [2350] = {.lex_state = 22, .external_lex_state = 4},
  [2351] = {.lex_state = 22, .external_lex_state = 4},
  [2352] = {.lex_state = 22, .external_lex_state = 4},
  [2353] = {.lex_state = 22, .external_lex_state = 4},
  [2354] = {.lex_state = 22, .external_lex_state = 4},
  [2355] = {.lex_state = 22, .external_lex_state = 4},
  [2356] = {.lex_state = 229, .external_lex_state = 4},
  [2357] = {.lex_state = 22, .external_lex_state = 4},
  [2358] = {.lex_state = 22, .external_lex_state = 4},
  [2359] = {.lex_state = 229, .external_lex_state = 4},
  [2360] = {.lex_state = 22, .external_lex_state = 4},
  [2361] = {.lex_state = 22, .external_lex_state = 4},
  [2362] = {.lex_state = 22, .external_lex_state = 4},
  [2363] = {.lex_state = 22, .external_lex_state = 4},
  [2364] = {.lex_state = 22, .external_lex_state = 4},
  [2365] = {.lex_state = 22, .external_lex_state = 4},
  [2366] = {.lex_state = 22, .external_lex_state = 4},
  [2367] = {.lex_state = 22, .external_lex_state = 4},
  [2368] = {.lex_state = 22, .external_lex_state = 4},
  [2369] = {.lex_state = 23, .external_lex_state = 4},
  [2370] = {.lex_state = 22, .external_lex_state = 4},
  [2371] = {.lex_state = 22, .external_lex_state = 4},
  [2372] = {.lex_state = 22, .external_lex_state = 4},
  [2373] = {.lex_state = 22, .external_lex_state = 4},
  [2374] = {.lex_state = 22, .external_lex_state = 4},
  [2375] = {.lex_state = 22, .external_lex_state = 4},
  [2376] = {.lex_state = 22, .external_lex_state = 4},
  [2377] = {.lex_state = 22, .external_lex_state = 4},
  [2378] = {.lex_state = 22, .external_lex_state = 4},
  [2379] = {.lex_state = 22, .external_lex_state = 4},
  [2380] = {.lex_state = 229, .external_lex_state = 4},
  [2381] = {.lex_state = 36, .external_lex_state = 4},
  [2382] = {.lex_state = 22, .external_lex_state = 4},
  [2383] = {.lex_state = 23, .external_lex_state = 4},
  [2384] = {.lex_state = 36, .external_lex_state = 4},
  [2385] = {.lex_state = 23, .external_lex_state = 4},
  [2386] = {.lex_state = 23, .external_lex_state = 4},
  [2387] = {.lex_state = 22, .external_lex_state = 4},
  [2388] = {.lex_state = 36, .external_lex_state = 4},
  [2389] = {.lex_state = 23, .external_lex_state = 4},
  [2390] = {.lex_state = 23, .external_lex_state = 4},
  [2391] = {.lex_state = 23, .external_lex_state = 4},
  [2392] = {.lex_state = 23, .external_lex_state = 4},
  [2393] = {.lex_state = 23, .external_lex_state = 4},
  [2394] = {.lex_state = 23, .external_lex_state = 4},
  [2395] = {.lex_state = 23, .external_lex_state = 4},
  [2396] = {.lex_state = 36, .external_lex_state = 4},
  [2397] = {.lex_state = 23, .external_lex_state = 4},
  [2398] = {.lex_state = 36, .external_lex_state = 4},
  [2399] = {.lex_state = 23, .external_lex_state = 4},
  [2400] = {.lex_state = 36, .external_lex_state = 4},
  [2401] = {.lex_state = 36, .external_lex_state = 4},
  [2402] = {.lex_state = 36, .external_lex_state = 4},
  [2403] = {.lex_state = 36, .external_lex_state = 4},
  [2404] = {.lex_state = 23, .external_lex_state = 4},
  [2405] = {.lex_state = 23, .external_lex_state = 4},
  [2406] = {.lex_state = 23, .external_lex_state = 4},
  [2407] = {.lex_state = 23, .external_lex_state = 4},
  [2408] = {.lex_state = 23, .external_lex_state = 4},
  [2409] = {.lex_state = 23, .external_lex_state = 4},
  [2410] = {.lex_state = 23, .external_lex_state = 4},
  [2411] = {.lex_state = 229, .external_lex_state = 4},
  [2412] = {.lex_state = 23, .external_lex_state = 4},
  [2413] = {.lex_state = 23, .external_lex_state = 4},
  [2414] = {.lex_state = 229, .external_lex_state = 4},
  [2415] = {.lex_state = 23, .external_lex_state = 4},
  [2416] = {.lex_state = 36, .external_lex_state = 4},
  [2417] = {.lex_state = 23, .external_lex_state = 4},
  [2418] = {.lex_state = 23, .external_lex_state = 4},
  [2419] = {.lex_state = 23, .external_lex_state = 4},
  [2420] = {.lex_state = 23, .external_lex_state = 4},
  [2421] = {.lex_state = 23, .external_lex_state = 4},
  [2422] = {.lex_state = 23, .external_lex_state = 4},
  [2423] = {.lex_state = 23, .external_lex_state = 4},
  [2424] = {.lex_state = 23, .external_lex_state = 4},
  [2425] = {.lex_state = 23, .external_lex_state = 4},
  [2426] = {.lex_state = 23, .external_lex_state = 4},
  [2427] = {.lex_state = 23, .external_lex_state = 4},
  [2428] = {.lex_state = 23, .external_lex_state = 4},
  [2429] = {.lex_state = 23, .external_lex_state = 4},
  [2430] = {.lex_state = 23, .external_lex_state = 4},
  [2431] = {.lex_state = 23, .external_lex_state = 4},
  [2432] = {.lex_state = 23, .external_lex_state = 4},
  [2433] = {.lex_state = 23, .external_lex_state = 4},
  [2434] = {.lex_state = 23, .external_lex_state = 4},
  [2435] = {.lex_state = 23, .external_lex_state = 4},
  [2436] = {.lex_state = 23, .external_lex_state = 4},
  [2437] = {.lex_state = 23, .external_lex_state = 4},
  [2438] = {.lex_state = 23, .external_lex_state = 4},
  [2439] = {.lex_state = 23, .external_lex_state = 4},
  [2440] = {.lex_state = 23, .external_lex_state = 4},
  [2441] = {.lex_state = 23, .external_lex_state = 4},
  [2442] = {.lex_state = 23, .external_lex_state = 4},
  [2443] = {.lex_state = 23, .external_lex_state = 4},
  [2444] = {.lex_state = 23, .external_lex_state = 4},
  [2445] = {.lex_state = 23, .external_lex_state = 4},
  [2446] = {.lex_state = 23, .external_lex_state = 4},
  [2447] = {.lex_state = 23, .external_lex_state = 4},
  [2448] = {.lex_state = 23, .external_lex_state = 4},
  [2449] = {.lex_state = 23, .external_lex_state = 4},
  [2450] = {.lex_state = 23, .external_lex_state = 4},
  [2451] = {.lex_state = 23, .external_lex_state = 4},
  [2452] = {.lex_state = 23, .external_lex_state = 4},
  [2453] = {.lex_state = 23, .external_lex_state = 4},
  [2454] = {.lex_state = 23, .external_lex_state = 4},
  [2455] = {.lex_state = 23, .external_lex_state = 4},
  [2456] = {.lex_state = 23, .external_lex_state = 4},
  [2457] = {.lex_state = 23, .external_lex_state = 4},
  [2458] = {.lex_state = 23, .external_lex_state = 4},
  [2459] = {.lex_state = 23, .external_lex_state = 4},
  [2460] = {.lex_state = 23, .external_lex_state = 4},
  [2461] = {.lex_state = 23, .external_lex_state = 4},
  [2462] = {.lex_state = 23, .external_lex_state = 4},
  [2463] = {.lex_state = 23, .external_lex_state = 4},
  [2464] = {.lex_state = 23, .external_lex_state = 4},
  [2465] = {.lex_state = 23, .external_lex_state = 4},
  [2466] = {.lex_state = 23, .external_lex_state = 4},
  [2467] = {.lex_state = 23, .external_lex_state = 4},
  [2468] = {.lex_state = 23, .external_lex_state = 4},
  [2469] = {.lex_state = 23, .external_lex_state = 4},
  [2470] = {.lex_state = 23, .external_lex_state = 4},
  [2471] = {.lex_state = 23, .external_lex_state = 4},
  [2472] = {.lex_state = 23, .external_lex_state = 4},
  [2473] = {.lex_state = 23, .external_lex_state = 4},
  [2474] = {.lex_state = 23, .external_lex_state = 4},
  [2475] = {.lex_state = 23, .external_lex_state = 4},
  [2476] = {.lex_state = 23, .external_lex_state = 4},
  [2477] = {.lex_state = 23, .external_lex_state = 4},
  [2478] = {.lex_state = 23, .external_lex_state = 4},
  [2479] = {.lex_state = 23, .external_lex_state = 4},
  [2480] = {.lex_state = 23, .external_lex_state = 4},
  [2481] = {.lex_state = 23, .external_lex_state = 4},
  [2482] = {.lex_state = 23, .external_lex_state = 4},
  [2483] = {.lex_state = 23, .external_lex_state = 4},
  [2484] = {.lex_state = 23, .external_lex_state = 4},
  [2485] = {.lex_state = 23, .external_lex_state = 4},
  [2486] = {.lex_state = 23, .external_lex_state = 4},
  [2487] = {.lex_state = 23, .external_lex_state = 4},
  [2488] = {.lex_state = 23, .external_lex_state = 4},
  [2489] = {.lex_state = 23, .external_lex_state = 4},
  [2490] = {.lex_state = 23, .external_lex_state = 4},
  [2491] = {.lex_state = 23, .external_lex_state = 4},
  [2492] = {.lex_state = 23, .external_lex_state = 4},
  [2493] = {.lex_state = 23, .external_lex_state = 4},
  [2494] = {.lex_state = 23, .external_lex_state = 4},
  [2495] = {.lex_state = 23, .external_lex_state = 4},
  [2496] = {.lex_state = 23, .external_lex_state = 4},
  [2497] = {.lex_state = 23, .external_lex_state = 4},
  [2498] = {.lex_state = 23, .external_lex_state = 4},
  [2499] = {.lex_state = 23, .external_lex_state = 4},
  [2500] = {.lex_state = 23, .external_lex_state = 4},
  [2501] = {.lex_state = 229, .external_lex_state = 4},
  [2502] = {.lex_state = 23, .external_lex_state = 4},
  [2503] = {.lex_state = 229, .external_lex_state = 4},
  [2504] = {.lex_state = 6, .external_lex_state = 4},
  [2505] = {.lex_state = 34, .external_lex_state = 4},
  [2506] = {.lex_state = 6, .external_lex_state = 4},
  [2507] = {.lex_state = 7, .external_lex_state = 4},
  [2508] = {.lex_state = 7, .external_lex_state = 4},
  [2509] = {.lex_state = 24, .external_lex_state = 4},
  [2510] = {.lex_state = 34, .external_lex_state = 4},
  [2511] = {.lex_state = 15, .external_lex_state = 4},
  [2512] = {.lex_state = 7, .external_lex_state = 4},
  [2513] = {.lex_state = 6, .external_lex_state = 4},
  [2514] = {.lex_state = 7, .external_lex_state = 4},
  [2515] = {.lex_state = 15, .external_lex_state = 4},
  [2516] = {.lex_state = 6, .external_lex_state = 4},
  [2517] = {.lex_state = 16, .external_lex_state = 4},
  [2518] = {.lex_state = 16, .external_lex_state = 4},
  [2519] = {.lex_state = 24, .external_lex_state = 4},
  [2520] = {.lex_state = 15, .external_lex_state = 4},
  [2521] = {.lex_state = 24, .external_lex_state = 4},
  [2522] = {.lex_state = 16, .external_lex_state = 4},
  [2523] = {.lex_state = 15, .external_lex_state = 4},
  [2524] = {.lex_state = 15, .external_lex_state = 4},
  [2525] = {.lex_state = 24, .external_lex_state = 4},
  [2526] = {.lex_state = 24, .external_lex_state = 4},
  [2527] = {.lex_state = 24, .external_lex_state = 4},
  [2528] = {.lex_state = 24, .external_lex_state = 4},
  [2529] = {.lex_state = 7, .external_lex_state = 4},
  [2530] = {.lex_state = 7, .external_lex_state = 4},
  [2531] = {.lex_state = 6, .external_lex_state = 4},
  [2532] = {.lex_state = 16, .external_lex_state = 4},
  [2533] = {.lex_state = 24, .external_lex_state = 4},
  [2534] = {.lex_state = 24, .external_lex_state = 4},
  [2535] = {.lex_state = 22, .external_lex_state = 4},
  [2536] = {.lex_state = 16, .external_lex_state = 4},
  [2537] = {.lex_state = 22, .external_lex_state = 4},
  [2538] = {.lex_state = 7, .external_lex_state = 4},
  [2539] = {.lex_state = 34, .external_lex_state = 4},
  [2540] = {.lex_state = 24, .external_lex_state = 4},
  [2541] = {.lex_state = 7, .external_lex_state = 4},
  [2542] = {.lex_state = 22, .external_lex_state = 4},
  [2543] = {.lex_state = 7, .external_lex_state = 4},
  [2544] = {.lex_state = 6, .external_lex_state = 4},
  [2545] = {.lex_state = 22, .external_lex_state = 4},
  [2546] = {.lex_state = 7, .external_lex_state = 4},
  [2547] = {.lex_state = 34, .external_lex_state = 4},
  [2548] = {.lex_state = 7, .external_lex_state = 4},
  [2549] = {.lex_state = 6, .external_lex_state = 4},
  [2550] = {.lex_state = 6, .external_lex_state = 4},
  [2551] = {.lex_state = 24, .external_lex_state = 4},
  [2552] = {.lex_state = 34, .external_lex_state = 4},
  [2553] = {.lex_state = 7, .external_lex_state = 4},
  [2554] = {.lex_state = 7, .external_lex_state = 4},
  [2555] = {.lex_state = 15, .external_lex_state = 4},
  [2556] = {.lex_state = 6, .external_lex_state = 4},
  [2557] = {.lex_state = 6, .external_lex_state = 4},
  [2558] = {.lex_state = 34, .external_lex_state = 4},
  [2559] = {.lex_state = 34, .external_lex_state = 4},
  [2560] = {.lex_state = 34, .external_lex_state = 4},
  [2561] = {.lex_state = 6, .external_lex_state = 4},
  [2562] = {.lex_state = 24, .external_lex_state = 4},
  [2563] = {.lex_state = 34, .external_lex_state = 4},
  [2564] = {.lex_state = 34, .external_lex_state = 4},
  [2565] = {.lex_state = 7, .external_lex_state = 4},
  [2566] = {.lex_state = 16, .external_lex_state = 4},
  [2567] = {.lex_state = 16, .external_lex_state = 4},
  [2568] = {.lex_state = 34, .external_lex_state = 7},
  [2569] = {.lex_state = 24, .external_lex_state = 4},
  [2570] = {.lex_state = 6, .external_lex_state = 4},
  [2571] = {.lex_state = 24, .external_lex_state = 4},
  [2572] = {.lex_state = 24, .external_lex_state = 4},
  [2573] = {.lex_state = 34, .external_lex_state = 4},
  [2574] = {.lex_state = 6, .external_lex_state = 4},
  [2575] = {.lex_state = 24, .external_lex_state = 4},
  [2576] = {.lex_state = 15, .external_lex_state = 4},
  [2577] = {.lex_state = 16, .external_lex_state = 4},
  [2578] = {.lex_state = 6, .external_lex_state = 4},
  [2579] = {.lex_state = 15, .external_lex_state = 4},
  [2580] = {.lex_state = 34, .external_lex_state = 4},
  [2581] = {.lex_state = 7, .external_lex_state = 4},
  [2582] = {.lex_state = 7, .external_lex_state = 4},
  [2583] = {.lex_state = 24, .external_lex_state = 4},
  [2584] = {.lex_state = 15, .external_lex_state = 4},
  [2585] = {.lex_state = 16, .external_lex_state = 4},
  [2586] = {.lex_state = 7, .external_lex_state = 4},
  [2587] = {.lex_state = 16, .external_lex_state = 4},
  [2588] = {.lex_state = 6, .external_lex_state = 4},
  [2589] = {.lex_state = 34, .external_lex_state = 7},
  [2590] = {.lex_state = 6, .external_lex_state = 4},
  [2591] = {.lex_state = 15, .external_lex_state = 4},
  [2592] = {.lex_state = 15, .external_lex_state = 4},
  [2593] = {.lex_state = 24, .external_lex_state = 4},
  [2594] = {.lex_state = 7, .external_lex_state = 4},
  [2595] = {.lex_state = 15, .external_lex_state = 4},
  [2596] = {.lex_state = 7, .external_lex_state = 4},
  [2597] = {.lex_state = 6, .external_lex_state = 4},
  [2598] = {.lex_state = 6, .external_lex_state = 4},
  [2599] = {.lex_state = 6, .external_lex_state = 4},
  [2600] = {.lex_state = 6, .external_lex_state = 4},
  [2601] = {.lex_state = 6, .external_lex_state = 4},
  [2602] = {.lex_state = 7, .external_lex_state = 4},
  [2603] = {.lex_state = 7, .external_lex_state = 4},
  [2604] = {.lex_state = 16, .external_lex_state = 4},
  [2605] = {.lex_state = 7, .external_lex_state = 4},
  [2606] = {.lex_state = 7, .external_lex_state = 4},
  [2607] = {.lex_state = 6, .external_lex_state = 4},
  [2608] = {.lex_state = 6, .external_lex_state = 4},
  [2609] = {.lex_state = 6, .external_lex_state = 4},
  [2610] = {.lex_state = 7, .external_lex_state = 4},
  [2611] = {.lex_state = 7, .external_lex_state = 4},
  [2612] = {.lex_state = 7, .external_lex_state = 4},
  [2613] = {.lex_state = 24, .external_lex_state = 4},
  [2614] = {.lex_state = 7, .external_lex_state = 4},
  [2615] = {.lex_state = 6, .external_lex_state = 4},
  [2616] = {.lex_state = 6, .external_lex_state = 4},
  [2617] = {.lex_state = 6, .external_lex_state = 4},
  [2618] = {.lex_state = 7, .external_lex_state = 4},
  [2619] = {.lex_state = 24, .external_lex_state = 4},
  [2620] = {.lex_state = 7, .external_lex_state = 4},
  [2621] = {.lex_state = 24, .external_lex_state = 4},
  [2622] = {.lex_state = 7, .external_lex_state = 4},
  [2623] = {.lex_state = 24, .external_lex_state = 4},
  [2624] = {.lex_state = 7, .external_lex_state = 4},
  [2625] = {.lex_state = 34, .external_lex_state = 4},
  [2626] = {.lex_state = 34, .external_lex_state = 4},
  [2627] = {.lex_state = 24, .external_lex_state = 4},
  [2628] = {.lex_state = 24, .external_lex_state = 4},
  [2629] = {.lex_state = 7, .external_lex_state = 4},
  [2630] = {.lex_state = 34, .external_lex_state = 4},
  [2631] = {.lex_state = 34, .external_lex_state = 4},
  [2632] = {.lex_state = 6, .external_lex_state = 4},
  [2633] = {.lex_state = 24, .external_lex_state = 4},
  [2634] = {.lex_state = 24, .external_lex_state = 4},
  [2635] = {.lex_state = 24, .external_lex_state = 4},
  [2636] = {.lex_state = 24, .external_lex_state = 4},
  [2637] = {.lex_state = 24, .external_lex_state = 4},
  [2638] = {.lex_state = 24, .external_lex_state = 4},
  [2639] = {.lex_state = 24, .external_lex_state = 4},
  [2640] = {.lex_state = 24, .external_lex_state = 4},
  [2641] = {.lex_state = 24, .external_lex_state = 4},
  [2642] = {.lex_state = 6, .external_lex_state = 4},
  [2643] = {.lex_state = 24, .external_lex_state = 4},
  [2644] = {.lex_state = 24, .external_lex_state = 4},
  [2645] = {.lex_state = 16, .external_lex_state = 4},
  [2646] = {.lex_state = 7, .external_lex_state = 4},
  [2647] = {.lex_state = 24, .external_lex_state = 4},
  [2648] = {.lex_state = 7, .external_lex_state = 4},
  [2649] = {.lex_state = 24, .external_lex_state = 4},
  [2650] = {.lex_state = 7, .external_lex_state = 4},
  [2651] = {.lex_state = 34, .external_lex_state = 4},
  [2652] = {.lex_state = 24, .external_lex_state = 4},
  [2653] = {.lex_state = 24, .external_lex_state = 4},
  [2654] = {.lex_state = 24, .external_lex_state = 4},
  [2655] = {.lex_state = 7, .external_lex_state = 4},
  [2656] = {.lex_state = 7, .external_lex_state = 4},
  [2657] = {.lex_state = 7, .external_lex_state = 4},
  [2658] = {.lex_state = 7, .external_lex_state = 4},
  [2659] = {.lex_state = 7, .external_lex_state = 4},
  [2660] = {.lex_state = 24, .external_lex_state = 4},
  [2661] = {.lex_state = 7, .external_lex_state = 4},
  [2662] = {.lex_state = 7, .external_lex_state = 4},
  [2663] = {.lex_state = 7, .external_lex_state = 4},
  [2664] = {.lex_state = 7, .external_lex_state = 4},
  [2665] = {.lex_state = 7, .external_lex_state = 4},
  [2666] = {.lex_state = 7, .external_lex_state = 4},
  [2667] = {.lex_state = 24, .external_lex_state = 5},
  [2668] = {.lex_state = 6, .external_lex_state = 4},
  [2669] = {.lex_state = 6, .external_lex_state = 4},
  [2670] = {.lex_state = 24, .external_lex_state = 4},
  [2671] = {.lex_state = 6, .external_lex_state = 4},
  [2672] = {.lex_state = 6, .external_lex_state = 4},
  [2673] = {.lex_state = 6, .external_lex_state = 4},
  [2674] = {.lex_state = 6, .external_lex_state = 4},
  [2675] = {.lex_state = 6, .external_lex_state = 4},
  [2676] = {.lex_state = 40, .external_lex_state = 4},
  [2677] = {.lex_state = 6, .external_lex_state = 4},
  [2678] = {.lex_state = 6, .external_lex_state = 4},
  [2679] = {.lex_state = 6, .external_lex_state = 4},
  [2680] = {.lex_state = 40, .external_lex_state = 4},
  [2681] = {.lex_state = 24, .external_lex_state = 4},
  [2682] = {.lex_state = 6, .external_lex_state = 4},
  [2683] = {.lex_state = 7, .external_lex_state = 4},
  [2684] = {.lex_state = 7, .external_lex_state = 4},
  [2685] = {.lex_state = 7, .external_lex_state = 4},
  [2686] = {.lex_state = 6, .external_lex_state = 4},
  [2687] = {.lex_state = 6, .external_lex_state = 4},
  [2688] = {.lex_state = 6, .external_lex_state = 4},
  [2689] = {.lex_state = 6, .external_lex_state = 4},
  [2690] = {.lex_state = 6, .external_lex_state = 4},
  [2691] = {.lex_state = 6, .external_lex_state = 4},
  [2692] = {.lex_state = 24, .external_lex_state = 4},
  [2693] = {.lex_state = 6, .external_lex_state = 4},
  [2694] = {.lex_state = 25, .external_lex_state = 4},
  [2695] = {.lex_state = 25, .external_lex_state = 4},
  [2696] = {.lex_state = 6, .external_lex_state = 4},
  [2697] = {.lex_state = 6, .external_lex_state = 4},
  [2698] = {.lex_state = 6, .external_lex_state = 4},
  [2699] = {.lex_state = 7, .external_lex_state = 4},
  [2700] = {.lex_state = 24, .external_lex_state = 4},
  [2701] = {.lex_state = 7, .external_lex_state = 4},
  [2702] = {.lex_state = 6, .external_lex_state = 4},
  [2703] = {.lex_state = 7, .external_lex_state = 4},
  [2704] = {.lex_state = 6, .external_lex_state = 4},
  [2705] = {.lex_state = 24, .external_lex_state = 4},
  [2706] = {.lex_state = 6, .external_lex_state = 4},
  [2707] = {.lex_state = 34, .external_lex_state = 5},
  [2708] = {.lex_state = 7, .external_lex_state = 4},
  [2709] = {.lex_state = 6, .external_lex_state = 4},
  [2710] = {.lex_state = 7, .external_lex_state = 4},
  [2711] = {.lex_state = 7, .external_lex_state = 4},
  [2712] = {.lex_state = 7, .external_lex_state = 4},
  [2713] = {.lex_state = 7, .external_lex_state = 4},
  [2714] = {.lex_state = 6, .external_lex_state = 4},
  [2715] = {.lex_state = 7, .external_lex_state = 4},
  [2716] = {.lex_state = 7, .external_lex_state = 4},
  [2717] = {.lex_state = 7, .external_lex_state = 4},
  [2718] = {.lex_state = 24, .external_lex_state = 4},
  [2719] = {.lex_state = 7, .external_lex_state = 4},
  [2720] = {.lex_state = 24, .external_lex_state = 5},
  [2721] = {.lex_state = 24, .external_lex_state = 4},
  [2722] = {.lex_state = 24, .external_lex_state = 4},
  [2723] = {.lex_state = 24, .external_lex_state = 4},
  [2724] = {.lex_state = 24, .external_lex_state = 4},
  [2725] = {.lex_state = 7, .external_lex_state = 4},
  [2726] = {.lex_state = 24, .external_lex_state = 4},
  [2727] = {.lex_state = 24, .external_lex_state = 4},
  [2728] = {.lex_state = 24, .external_lex_state = 4},
  [2729] = {.lex_state = 6, .external_lex_state = 4},
  [2730] = {.lex_state = 7, .external_lex_state = 4},
  [2731] = {.lex_state = 6, .external_lex_state = 4},
  [2732] = {.lex_state = 24, .external_lex_state = 4},
  [2733] = {.lex_state = 6, .external_lex_state = 4},
  [2734] = {.lex_state = 7, .external_lex_state = 4},
  [2735] = {.lex_state = 25, .external_lex_state = 4},
  [2736] = {.lex_state = 6, .external_lex_state = 4},
  [2737] = {.lex_state = 7, .external_lex_state = 4},
  [2738] = {.lex_state = 6, .external_lex_state = 4},
  [2739] = {.lex_state = 6, .external_lex_state = 4},
  [2740] = {.lex_state = 6, .external_lex_state = 4},
  [2741] = {.lex_state = 6, .external_lex_state = 4},
  [2742] = {.lex_state = 7, .external_lex_state = 4},
  [2743] = {.lex_state = 7, .external_lex_state = 4},
  [2744] = {.lex_state = 6, .external_lex_state = 4},
  [2745] = {.lex_state = 24, .external_lex_state = 4},
  [2746] = {.lex_state = 7, .external_lex_state = 4},
  [2747] = {.lex_state = 24, .external_lex_state = 4},
  [2748] = {.lex_state = 24, .external_lex_state = 5},
  [2749] = {.lex_state = 7, .external_lex_state = 4},
  [2750] = {.lex_state = 24, .external_lex_state = 4},
  [2751] = {.lex_state = 6, .external_lex_state = 4},
  [2752] = {.lex_state = 24, .external_lex_state = 4},
  [2753] = {.lex_state = 7, .external_lex_state = 4},
  [2754] = {.lex_state = 7, .external_lex_state = 4},
  [2755] = {.lex_state = 7, .external_lex_state = 4},
  [2756] = {.lex_state = 24, .external_lex_state = 4},
  [2757] = {.lex_state = 24, .external_lex_state = 4},
  [2758] = {.lex_state = 24, .external_lex_state = 4},
  [2759] = {.lex_state = 24, .external_lex_state = 4},
  [2760] = {.lex_state = 7, .external_lex_state = 4},
  [2761] = {.lex_state = 6, .external_lex_state = 4},
  [2762] = {.lex_state = 7, .external_lex_state = 4},
  [2763] = {.lex_state = 7, .external_lex_state = 4},
  [2764] = {.lex_state = 24, .external_lex_state = 4},
  [2765] = {.lex_state = 7, .external_lex_state = 4},
  [2766] = {.lex_state = 24, .external_lex_state = 4},
  [2767] = {.lex_state = 24, .external_lex_state = 4},
  [2768] = {.lex_state = 6, .external_lex_state = 4},
  [2769] = {.lex_state = 24, .external_lex_state = 4},
  [2770] = {.lex_state = 6, .external_lex_state = 4},
  [2771] = {.lex_state = 24, .external_lex_state = 4},
  [2772] = {.lex_state = 24, .external_lex_state = 4},
  [2773] = {.lex_state = 24, .external_lex_state = 4},
  [2774] = {.lex_state = 7, .external_lex_state = 4},
  [2775] = {.lex_state = 6, .external_lex_state = 4},
  [2776] = {.lex_state = 24, .external_lex_state = 4},
  [2777] = {.lex_state = 7, .external_lex_state = 4},
  [2778] = {.lex_state = 7, .external_lex_state = 4},
  [2779] = {.lex_state = 6, .external_lex_state = 4},
  [2780] = {.lex_state = 24, .external_lex_state = 4},
  [2781] = {.lex_state = 7, .external_lex_state = 4},
  [2782] = {.lex_state = 24, .external_lex_state = 4},
  [2783] = {.lex_state = 6, .external_lex_state = 4},
  [2784] = {.lex_state = 24, .external_lex_state = 4},
  [2785] = {.lex_state = 24, .external_lex_state = 4},
  [2786] = {.lex_state = 6, .external_lex_state = 4},
  [2787] = {.lex_state = 6, .external_lex_state = 4},
  [2788] = {.lex_state = 6, .external_lex_state = 4},
  [2789] = {.lex_state = 6, .external_lex_state = 4},
  [2790] = {.lex_state = 6, .external_lex_state = 4},
  [2791] = {.lex_state = 24, .external_lex_state = 4},
  [2792] = {.lex_state = 6, .external_lex_state = 4},
  [2793] = {.lex_state = 24, .external_lex_state = 4},
  [2794] = {.lex_state = 24, .external_lex_state = 4},
  [2795] = {.lex_state = 24, .external_lex_state = 4},
  [2796] = {.lex_state = 6, .external_lex_state = 4},
  [2797] = {.lex_state = 7, .external_lex_state = 4},
  [2798] = {.lex_state = 7, .external_lex_state = 4},
  [2799] = {.lex_state = 6, .external_lex_state = 4},
  [2800] = {.lex_state = 7, .external_lex_state = 4},
  [2801] = {.lex_state = 6, .external_lex_state = 4},
  [2802] = {.lex_state = 6, .external_lex_state = 4},
  [2803] = {.lex_state = 25, .external_lex_state = 4},
  [2804] = {.lex_state = 6, .external_lex_state = 4},
  [2805] = {.lex_state = 7, .external_lex_state = 4},
  [2806] = {.lex_state = 7, .external_lex_state = 4},
  [2807] = {.lex_state = 7, .external_lex_state = 4},
  [2808] = {.lex_state = 24, .external_lex_state = 4},
  [2809] = {.lex_state = 6, .external_lex_state = 4},
  [2810] = {.lex_state = 7, .external_lex_state = 4},
  [2811] = {.lex_state = 34, .external_lex_state = 5},
  [2812] = {.lex_state = 24, .external_lex_state = 4},
  [2813] = {.lex_state = 24, .external_lex_state = 4},
  [2814] = {.lex_state = 6, .external_lex_state = 4},
  [2815] = {.lex_state = 6, .external_lex_state = 4},
  [2816] = {.lex_state = 24, .external_lex_state = 4},
  [2817] = {.lex_state = 7, .external_lex_state = 4},
  [2818] = {.lex_state = 24, .external_lex_state = 4},
  [2819] = {.lex_state = 6, .external_lex_state = 4},
  [2820] = {.lex_state = 24, .external_lex_state = 4},
  [2821] = {.lex_state = 24, .external_lex_state = 4},
  [2822] = {.lex_state = 6, .external_lex_state = 4},
  [2823] = {.lex_state = 6, .external_lex_state = 4},
  [2824] = {.lex_state = 6, .external_lex_state = 4},
  [2825] = {.lex_state = 6, .external_lex_state = 4},
  [2826] = {.lex_state = 24, .external_lex_state = 4},
  [2827] = {.lex_state = 24, .external_lex_state = 4},
  [2828] = {.lex_state = 6, .external_lex_state = 4},
  [2829] = {.lex_state = 7, .external_lex_state = 4},
  [2830] = {.lex_state = 7, .external_lex_state = 4},
  [2831] = {.lex_state = 7, .external_lex_state = 4},
  [2832] = {.lex_state = 7, .external_lex_state = 4},
  [2833] = {.lex_state = 7, .external_lex_state = 4},
  [2834] = {.lex_state = 6, .external_lex_state = 4},
  [2835] = {.lex_state = 7, .external_lex_state = 4},
  [2836] = {.lex_state = 7, .external_lex_state = 4},
  [2837] = {.lex_state = 7, .external_lex_state = 4},
  [2838] = {.lex_state = 24, .external_lex_state = 4},
  [2839] = {.lex_state = 24, .external_lex_state = 4},
  [2840] = {.lex_state = 7, .external_lex_state = 4},
  [2841] = {.lex_state = 7, .external_lex_state = 4},
  [2842] = {.lex_state = 7, .external_lex_state = 4},
  [2843] = {.lex_state = 7, .external_lex_state = 4},
  [2844] = {.lex_state = 6, .external_lex_state = 4},
  [2845] = {.lex_state = 6, .external_lex_state = 4},
  [2846] = {.lex_state = 24, .external_lex_state = 4},
  [2847] = {.lex_state = 6, .external_lex_state = 4},
  [2848] = {.lex_state = 6, .external_lex_state = 4},
  [2849] = {.lex_state = 24, .external_lex_state = 4},
  [2850] = {.lex_state = 6, .external_lex_state = 4},
  [2851] = {.lex_state = 6, .external_lex_state = 4},
  [2852] = {.lex_state = 6, .external_lex_state = 4},
  [2853] = {.lex_state = 24, .external_lex_state = 4},
  [2854] = {.lex_state = 6, .external_lex_state = 4},
  [2855] = {.lex_state = 24, .external_lex_state = 4},
  [2856] = {.lex_state = 24, .external_lex_state = 4},
  [2857] = {.lex_state = 7, .external_lex_state = 4},
  [2858] = {.lex_state = 6, .external_lex_state = 4},
  [2859] = {.lex_state = 6, .external_lex_state = 4},
  [2860] = {.lex_state = 6, .external_lex_state = 4},
  [2861] = {.lex_state = 6, .external_lex_state = 4},
  [2862] = {.lex_state = 24, .external_lex_state = 4},
  [2863] = {.lex_state = 6, .external_lex_state = 4},
  [2864] = {.lex_state = 24, .external_lex_state = 4},
  [2865] = {.lex_state = 6, .external_lex_state = 4},
  [2866] = {.lex_state = 6, .external_lex_state = 4},
  [2867] = {.lex_state = 6, .external_lex_state = 4},
  [2868] = {.lex_state = 6, .external_lex_state = 4},
  [2869] = {.lex_state = 7, .external_lex_state = 4},
  [2870] = {.lex_state = 24, .external_lex_state = 4},
  [2871] = {.lex_state = 7, .external_lex_state = 4},
  [2872] = {.lex_state = 7, .external_lex_state = 4},
  [2873] = {.lex_state = 6, .external_lex_state = 4},
  [2874] = {.lex_state = 6, .external_lex_state = 4},
  [2875] = {.lex_state = 6, .external_lex_state = 4},
  [2876] = {.lex_state = 6, .external_lex_state = 4},
  [2877] = {.lex_state = 7, .external_lex_state = 4},
  [2878] = {.lex_state = 24, .external_lex_state = 4},
  [2879] = {.lex_state = 6, .external_lex_state = 4},
  [2880] = {.lex_state = 7, .external_lex_state = 4},
  [2881] = {.lex_state = 24, .external_lex_state = 4},
  [2882] = {.lex_state = 6, .external_lex_state = 4},
  [2883] = {.lex_state = 6, .external_lex_state = 4},
  [2884] = {.lex_state = 7, .external_lex_state = 4},
  [2885] = {.lex_state = 7, .external_lex_state = 4},
  [2886] = {.lex_state = 6, .external_lex_state = 4},
  [2887] = {.lex_state = 34, .external_lex_state = 7},
  [2888] = {.lex_state = 34, .external_lex_state = 7},
  [2889] = {.lex_state = 34, .external_lex_state = 7},
  [2890] = {.lex_state = 24, .external_lex_state = 5},
  [2891] = {.lex_state = 34, .external_lex_state = 4},
  [2892] = {.lex_state = 34, .external_lex_state = 5},
  [2893] = {.lex_state = 34, .external_lex_state = 5},
  [2894] = {.lex_state = 34, .external_lex_state = 7},
  [2895] = {.lex_state = 40, .external_lex_state = 4},
  [2896] = {.lex_state = 40, .external_lex_state = 4},
  [2897] = {.lex_state = 34, .external_lex_state = 5},
  [2898] = {.lex_state = 34, .external_lex_state = 5},
  [2899] = {.lex_state = 34, .external_lex_state = 7},
  [2900] = {.lex_state = 34, .external_lex_state = 5},
  [2901] = {.lex_state = 34, .external_lex_state = 5},
  [2902] = {.lex_state = 24, .external_lex_state = 5},
  [2903] = {.lex_state = 25, .external_lex_state = 4},
  [2904] = {.lex_state = 24, .external_lex_state = 5},
  [2905] = {.lex_state = 25, .external_lex_state = 4},
  [2906] = {.lex_state = 24, .external_lex_state = 5},
  [2907] = {.lex_state = 24, .external_lex_state = 5},
  [2908] = {.lex_state = 25, .external_lex_state = 4},
  [2909] = {.lex_state = 25, .external_lex_state = 4},
  [2910] = {.lex_state = 34, .external_lex_state = 4},
  [2911] = {.lex_state = 25, .external_lex_state = 4},
  [2912] = {.lex_state = 34, .external_lex_state = 6},
  [2913] = {.lex_state = 24, .external_lex_state = 5},
  [2914] = {.lex_state = 34, .external_lex_state = 6},
  [2915] = {.lex_state = 25, .external_lex_state = 4},
  [2916] = {.lex_state = 24, .external_lex_state = 6},
  [2917] = {.lex_state = 24, .external_lex_state = 6},
  [2918] = {.lex_state = 24, .external_lex_state = 6},
  [2919] = {.lex_state = 24, .external_lex_state = 6},
  [2920] = {.lex_state = 25, .external_lex_state = 4},
  [2921] = {.lex_state = 34, .external_lex_state = 4},
  [2922] = {.lex_state = 25, .external_lex_state = 4},
  [2923] = {.lex_state = 24, .external_lex_state = 5},
  [2924] = {.lex_state = 25, .external_lex_state = 4},
  [2925] = {.lex_state = 24, .external_lex_state = 5},
  [2926] = {.lex_state = 34, .external_lex_state = 6},
  [2927] = {.lex_state = 34, .external_lex_state = 4},
  [2928] = {.lex_state = 34, .external_lex_state = 4},
  [2929] = {.lex_state = 24, .external_lex_state = 4},
  [2930] = {.lex_state = 24, .external_lex_state = 4},
  [2931] = {.lex_state = 34, .external_lex_state = 4},
  [2932] = {.lex_state = 40, .external_lex_state = 4},
  [2933] = {.lex_state = 40, .external_lex_state = 4},
  [2934] = {.lex_state = 34, .external_lex_state = 5},
  [2935] = {.lex_state = 24, .external_lex_state = 5},
  [2936] = {.lex_state = 40, .external_lex_state = 4},
  [2937] = {.lex_state = 25, .external_lex_state = 4},
  [2938] = {.lex_state = 40, .external_lex_state = 4},
  [2939] = {.lex_state = 24, .external_lex_state = 4},
  [2940] = {.lex_state = 24, .external_lex_state = 5},
  [2941] = {.lex_state = 40, .external_lex_state = 4},
  [2942] = {.lex_state = 34, .external_lex_state = 4},
  [2943] = {.lex_state = 24, .external_lex_state = 4},
  [2944] = {.lex_state = 34, .external_lex_state = 4},
  [2945] = {.lex_state = 25, .external_lex_state = 4},
  [2946] = {.lex_state = 34, .external_lex_state = 4},
  [2947] = {.lex_state = 34, .external_lex_state = 4},
  [2948] = {.lex_state = 34, .external_lex_state = 4},
  [2949] = {.lex_state = 34, .external_lex_state = 4},
  [2950] = {.lex_state = 25, .external_lex_state = 4},
  [2951] = {.lex_state = 34, .external_lex_state = 4},
  [2952] = {.lex_state = 40, .external_lex_state = 4},
  [2953] = {.lex_state = 40, .external_lex_state = 4},
  [2954] = {.lex_state = 25, .external_lex_state = 4},
  [2955] = {.lex_state = 34, .external_lex_state = 4},
  [2956] = {.lex_state = 40, .external_lex_state = 4},
  [2957] = {.lex_state = 34, .external_lex_state = 5},
  [2958] = {.lex_state = 24, .external_lex_state = 5},
  [2959] = {.lex_state = 34, .external_lex_state = 4},
  [2960] = {.lex_state = 34, .external_lex_state = 5},
  [2961] = {.lex_state = 25, .external_lex_state = 4},
  [2962] = {.lex_state = 34, .external_lex_state = 4},
  [2963] = {.lex_state = 34, .external_lex_state = 4},
  [2964] = {.lex_state = 34, .external_lex_state = 5},
  [2965] = {.lex_state = 34, .external_lex_state = 4},
  [2966] = {.lex_state = 34, .external_lex_state = 4},
  [2967] = {.lex_state = 34, .external_lex_state = 5},
  [2968] = {.lex_state = 34, .external_lex_state = 5},
  [2969] = {.lex_state = 34, .external_lex_state = 5},
  [2970] = {.lex_state = 24, .external_lex_state = 6},
  [2971] = {.lex_state = 25, .external_lex_state = 4},
  [2972] = {.lex_state = 25, .external_lex_state = 4},
  [2973] = {.lex_state = 25, .external_lex_state = 4},
  [2974] = {.lex_state = 6, .external_lex_state = 4},
  [2975] = {.lex_state = 24, .external_lex_state = 6},
  [2976] = {.lex_state = 25, .external_lex_state = 4},
  [2977] = {.lex_state = 25, .external_lex_state = 4},
  [2978] = {.lex_state = 38, .external_lex_state = 4},
  [2979] = {.lex_state = 6, .external_lex_state = 4},
  [2980] = {.lex_state = 24, .external_lex_state = 5},
  [2981] = {.lex_state = 24, .external_lex_state = 4},
  [2982] = {.lex_state = 24, .external_lex_state = 4},
  [2983] = {.lex_state = 24, .external_lex_state = 6},
  [2984] = {.lex_state = 24, .external_lex_state = 4},
  [2985] = {.lex_state = 6, .external_lex_state = 4},
  [2986] = {.lex_state = 24, .external_lex_state = 4},
  [2987] = {.lex_state = 24, .external_lex_state = 4},
  [2988] = {.lex_state = 24, .external_lex_state = 5},
  [2989] = {.lex_state = 25, .external_lex_state = 4},
  [2990] = {.lex_state = 24, .external_lex_state = 5},
  [2991] = {.lex_state = 38, .external_lex_state = 4},
  [2992] = {.lex_state = 24, .external_lex_state = 5},
  [2993] = {.lex_state = 24, .external_lex_state = 6},
  [2994] = {.lex_state = 25, .external_lex_state = 4},
  [2995] = {.lex_state = 25, .external_lex_state = 4},
  [2996] = {.lex_state = 34, .external_lex_state = 6},
  [2997] = {.lex_state = 24, .external_lex_state = 4},
  [2998] = {.lex_state = 24, .external_lex_state = 4},
  [2999] = {.lex_state = 25, .external_lex_state = 4},
  [3000] = {.lex_state = 24, .external_lex_state = 4},
  [3001] = {.lex_state = 24, .external_lex_state = 5},
  [3002] = {.lex_state = 34, .external_lex_state = 6},
  [3003] = {.lex_state = 34, .external_lex_state = 5},
  [3004] = {.lex_state = 24, .external_lex_state = 4},
  [3005] = {.lex_state = 24, .external_lex_state = 6},
  [3006] = {.lex_state = 24, .external_lex_state = 6},
  [3007] = {.lex_state = 24, .external_lex_state = 4},
  [3008] = {.lex_state = 24, .external_lex_state = 5},
  [3009] = {.lex_state = 24, .external_lex_state = 4},
  [3010] = {.lex_state = 25, .external_lex_state = 4},
  [3011] = {.lex_state = 24, .external_lex_state = 4},
  [3012] = {.lex_state = 24, .external_lex_state = 4},
  [3013] = {.lex_state = 24, .external_lex_state = 4},
  [3014] = {.lex_state = 24, .external_lex_state = 6},
  [3015] = {.lex_state = 24, .external_lex_state = 6},
  [3016] = {.lex_state = 24, .external_lex_state = 4},
  [3017] = {.lex_state = 24, .external_lex_state = 4},
  [3018] = {.lex_state = 24, .external_lex_state = 4},
  [3019] = {.lex_state = 40, .external_lex_state = 4},
  [3020] = {.lex_state = 24, .external_lex_state = 4},
  [3021] = {.lex_state = 6, .external_lex_state = 4},
  [3022] = {.lex_state = 6, .external_lex_state = 4},
  [3023] = {.lex_state = 24, .external_lex_state = 4},
  [3024] = {.lex_state = 24, .external_lex_state = 4},
  [3025] = {.lex_state = 24, .external_lex_state = 4},
  [3026] = {.lex_state = 25, .external_lex_state = 4},
  [3027] = {.lex_state = 24, .external_lex_state = 4},
  [3028] = {.lex_state = 24, .external_lex_state = 6},
  [3029] = {.lex_state = 25, .external_lex_state = 4},
  [3030] = {.lex_state = 24, .external_lex_state = 4},
  [3031] = {.lex_state = 24, .external_lex_state = 6},
  [3032] = {.lex_state = 24, .external_lex_state = 4},
  [3033] = {.lex_state = 24, .external_lex_state = 6},
  [3034] = {.lex_state = 24, .external_lex_state = 5},
  [3035] = {.lex_state = 34, .external_lex_state = 6},
  [3036] = {.lex_state = 25, .external_lex_state = 4},
  [3037] = {.lex_state = 24, .external_lex_state = 6},
  [3038] = {.lex_state = 25, .external_lex_state = 4},
  [3039] = {.lex_state = 25, .external_lex_state = 4},
  [3040] = {.lex_state = 25, .external_lex_state = 4},
  [3041] = {.lex_state = 25, .external_lex_state = 4},
  [3042] = {.lex_state = 25, .external_lex_state = 4},
  [3043] = {.lex_state = 34, .external_lex_state = 6},
  [3044] = {.lex_state = 25, .external_lex_state = 4},
  [3045] = {.lex_state = 25, .external_lex_state = 4},
  [3046] = {.lex_state = 24, .external_lex_state = 5},
  [3047] = {.lex_state = 25, .external_lex_state = 4},
  [3048] = {.lex_state = 25, .external_lex_state = 4},
  [3049] = {.lex_state = 25, .external_lex_state = 4},
  [3050] = {.lex_state = 25, .external_lex_state = 4},
  [3051] = {.lex_state = 25, .external_lex_state = 4},
  [3052] = {.lex_state = 25, .external_lex_state = 4},
  [3053] = {.lex_state = 25, .external_lex_state = 4},
  [3054] = {.lex_state = 34, .external_lex_state = 6},
  [3055] = {.lex_state = 25, .external_lex_state = 4},
  [3056] = {.lex_state = 34, .external_lex_state = 6},
  [3057] = {.lex_state = 25, .external_lex_state = 4},
  [3058] = {.lex_state = 25, .external_lex_state = 4},
  [3059] = {.lex_state = 25, .external_lex_state = 4},
  [3060] = {.lex_state = 25, .external_lex_state = 4},
  [3061] = {.lex_state = 25, .external_lex_state = 4},
  [3062] = {.lex_state = 25, .external_lex_state = 4},
  [3063] = {.lex_state = 25, .external_lex_state = 4},
  [3064] = {.lex_state = 25, .external_lex_state = 4},
  [3065] = {.lex_state = 25, .external_lex_state = 4},
  [3066] = {.lex_state = 25, .external_lex_state = 4},
  [3067] = {.lex_state = 25, .external_lex_state = 4},
  [3068] = {.lex_state = 25, .external_lex_state = 4},
  [3069] = {.lex_state = 25, .external_lex_state = 4},
  [3070] = {.lex_state = 24, .external_lex_state = 5},
  [3071] = {.lex_state = 25, .external_lex_state = 4},
  [3072] = {.lex_state = 24, .external_lex_state = 5},
  [3073] = {.lex_state = 25, .external_lex_state = 4},
  [3074] = {.lex_state = 34, .external_lex_state = 6},
  [3075] = {.lex_state = 24, .external_lex_state = 5},
  [3076] = {.lex_state = 25, .external_lex_state = 4},
  [3077] = {.lex_state = 25, .external_lex_state = 4},
  [3078] = {.lex_state = 25, .external_lex_state = 4},
  [3079] = {.lex_state = 25, .external_lex_state = 4},
  [3080] = {.lex_state = 25, .external_lex_state = 4},
  [3081] = {.lex_state = 24, .external_lex_state = 5},
  [3082] = {.lex_state = 25, .external_lex_state = 4},
  [3083] = {.lex_state = 25, .external_lex_state = 4},
  [3084] = {.lex_state = 25, .external_lex_state = 4},
  [3085] = {.lex_state = 25, .external_lex_state = 4},
  [3086] = {.lex_state = 25, .external_lex_state = 4},
  [3087] = {.lex_state = 25, .external_lex_state = 4},
  [3088] = {.lex_state = 25, .external_lex_state = 4},
  [3089] = {.lex_state = 24, .external_lex_state = 5},
  [3090] = {.lex_state = 25, .external_lex_state = 4},
  [3091] = {.lex_state = 25, .external_lex_state = 4},
  [3092] = {.lex_state = 24, .external_lex_state = 6},
  [3093] = {.lex_state = 25, .external_lex_state = 4},
  [3094] = {.lex_state = 25, .external_lex_state = 4},
  [3095] = {.lex_state = 25, .external_lex_state = 4},
  [3096] = {.lex_state = 24, .external_lex_state = 5},
  [3097] = {.lex_state = 34, .external_lex_state = 6},
  [3098] = {.lex_state = 25, .external_lex_state = 4},
  [3099] = {.lex_state = 24, .external_lex_state = 5},
  [3100] = {.lex_state = 24, .external_lex_state = 5},
  [3101] = {.lex_state = 24, .external_lex_state = 5},
  [3102] = {.lex_state = 24, .external_lex_state = 5},
  [3103] = {.lex_state = 24, .external_lex_state = 5},
  [3104] = {.lex_state = 24, .external_lex_state = 5},
  [3105] = {.lex_state = 24, .external_lex_state = 5},
  [3106] = {.lex_state = 24, .external_lex_state = 5},
  [3107] = {.lex_state = 24, .external_lex_state = 5},
  [3108] = {.lex_state = 25, .external_lex_state = 4},
  [3109] = {.lex_state = 25, .external_lex_state = 4},
  [3110] = {.lex_state = 25, .external_lex_state = 4},
  [3111] = {.lex_state = 24, .external_lex_state = 5},
  [3112] = {.lex_state = 25, .external_lex_state = 4},
  [3113] = {.lex_state = 25, .external_lex_state = 4},
  [3114] = {.lex_state = 24, .external_lex_state = 5},
  [3115] = {.lex_state = 25, .external_lex_state = 4},
  [3116] = {.lex_state = 25, .external_lex_state = 4},
  [3117] = {.lex_state = 25, .external_lex_state = 4},
  [3118] = {.lex_state = 25, .external_lex_state = 4},
  [3119] = {.lex_state = 25, .external_lex_state = 4},
  [3120] = {.lex_state = 24, .external_lex_state = 6},
  [3121] = {.lex_state = 25, .external_lex_state = 4},
  [3122] = {.lex_state = 24, .external_lex_state = 5},
  [3123] = {.lex_state = 25, .external_lex_state = 4},
  [3124] = {.lex_state = 24, .external_lex_state = 4},
  [3125] = {.lex_state = 24, .external_lex_state = 5},
  [3126] = {.lex_state = 24, .external_lex_state = 4},
  [3127] = {.lex_state = 25, .external_lex_state = 4},
  [3128] = {.lex_state = 25, .external_lex_state = 4},
  [3129] = {.lex_state = 25, .external_lex_state = 4},
  [3130] = {.lex_state = 24, .external_lex_state = 4},
  [3131] = {.lex_state = 24, .external_lex_state = 5},
  [3132] = {.lex_state = 24, .external_lex_state = 5},
  [3133] = {.lex_state = 25, .external_lex_state = 4},
  [3134] = {.lex_state = 24, .external_lex_state = 4},
  [3135] = {.lex_state = 24, .external_lex_state = 5},
  [3136] = {.lex_state = 24, .external_lex_state = 5},
  [3137] = {.lex_state = 24, .external_lex_state = 4},
  [3138] = {.lex_state = 25, .external_lex_state = 4},
  [3139] = {.lex_state = 25, .external_lex_state = 4},
  [3140] = {.lex_state = 24, .external_lex_state = 5},
  [3141] = {.lex_state = 25, .external_lex_state = 4},
  [3142] = {.lex_state = 25, .external_lex_state = 4},
  [3143] = {.lex_state = 24, .external_lex_state = 6},
  [3144] = {.lex_state = 25, .external_lex_state = 4},
  [3145] = {.lex_state = 25, .external_lex_state = 4},
  [3146] = {.lex_state = 24, .external_lex_state = 6},
  [3147] = {.lex_state = 24, .external_lex_state = 5},
  [3148] = {.lex_state = 24, .external_lex_state = 5},
  [3149] = {.lex_state = 24, .external_lex_state = 5},
  [3150] = {.lex_state = 24, .external_lex_state = 5},
  [3151] = {.lex_state = 24, .external_lex_state = 5},
  [3152] = {.lex_state = 25, .external_lex_state = 4},
  [3153] = {.lex_state = 25, .external_lex_state = 4},
  [3154] = {.lex_state = 24, .external_lex_state = 6},
  [3155] = {.lex_state = 25, .external_lex_state = 4},
  [3156] = {.lex_state = 24, .external_lex_state = 5},
  [3157] = {.lex_state = 25, .external_lex_state = 4},
  [3158] = {.lex_state = 24, .external_lex_state = 5},
  [3159] = {.lex_state = 24, .external_lex_state = 5},
  [3160] = {.lex_state = 34, .external_lex_state = 5},
  [3161] = {.lex_state = 24, .external_lex_state = 5},
  [3162] = {.lex_state = 25, .external_lex_state = 4},
  [3163] = {.lex_state = 25, .external_lex_state = 4},
  [3164] = {.lex_state = 24, .external_lex_state = 5},
  [3165] = {.lex_state = 24, .external_lex_state = 5},
  [3166] = {.lex_state = 24, .external_lex_state = 4},
  [3167] = {.lex_state = 24, .external_lex_state = 5},
  [3168] = {.lex_state = 25, .external_lex_state = 4},
  [3169] = {.lex_state = 25, .external_lex_state = 4},
  [3170] = {.lex_state = 25, .external_lex_state = 4},
  [3171] = {.lex_state = 25, .external_lex_state = 4},
  [3172] = {.lex_state = 24, .external_lex_state = 4},
  [3173] = {.lex_state = 24, .external_lex_state = 5},
  [3174] = {.lex_state = 24, .external_lex_state = 5},
  [3175] = {.lex_state = 24, .external_lex_state = 4},
  [3176] = {.lex_state = 24, .external_lex_state = 5},
  [3177] = {.lex_state = 24, .external_lex_state = 5},
  [3178] = {.lex_state = 24, .external_lex_state = 4},
  [3179] = {.lex_state = 24, .external_lex_state = 5},
  [3180] = {.lex_state = 24, .external_lex_state = 5},
  [3181] = {.lex_state = 24, .external_lex_state = 5},
  [3182] = {.lex_state = 24, .external_lex_state = 5},
  [3183] = {.lex_state = 24, .external_lex_state = 5},
  [3184] = {.lex_state = 24, .external_lex_state = 5},
  [3185] = {.lex_state = 24, .external_lex_state = 4},
  [3186] = {.lex_state = 24, .external_lex_state = 5},
  [3187] = {.lex_state = 24, .external_lex_state = 5},
  [3188] = {.lex_state = 24, .external_lex_state = 6},
  [3189] = {.lex_state = 24, .external_lex_state = 5},
  [3190] = {.lex_state = 24, .external_lex_state = 5},
  [3191] = {.lex_state = 24, .external_lex_state = 6},
  [3192] = {.lex_state = 34, .external_lex_state = 6},
  [3193] = {.lex_state = 25, .external_lex_state = 4},
  [3194] = {.lex_state = 24, .external_lex_state = 5},
  [3195] = {.lex_state = 6, .external_lex_state = 4},
  [3196] = {.lex_state = 24, .external_lex_state = 5},
  [3197] = {.lex_state = 24, .external_lex_state = 4},
  [3198] = {.lex_state = 24, .external_lex_state = 5},
  [3199] = {.lex_state = 6, .external_lex_state = 4},
  [3200] = {.lex_state = 24, .external_lex_state = 4},
  [3201] = {.lex_state = 24, .external_lex_state = 5},
  [3202] = {.lex_state = 24, .external_lex_state = 5},
  [3203] = {.lex_state = 24, .external_lex_state = 5},
  [3204] = {.lex_state = 24, .external_lex_state = 6},
  [3205] = {.lex_state = 24, .external_lex_state = 5},
  [3206] = {.lex_state = 24, .external_lex_state = 5},
  [3207] = {.lex_state = 24, .external_lex_state = 5},
  [3208] = {.lex_state = 24, .external_lex_state = 5},
  [3209] = {.lex_state = 25, .external_lex_state = 4},
  [3210] = {.lex_state = 25, .external_lex_state = 4},
  [3211] = {.lex_state = 24, .external_lex_state = 5},
  [3212] = {.lex_state = 24, .external_lex_state = 5},
  [3213] = {.lex_state = 24, .external_lex_state = 5},
  [3214] = {.lex_state = 24, .external_lex_state = 4},
  [3215] = {.lex_state = 24, .external_lex_state = 4},
  [3216] = {.lex_state = 24, .external_lex_state = 5},
  [3217] = {.lex_state = 24, .external_lex_state = 5},
  [3218] = {.lex_state = 24, .external_lex_state = 5},
  [3219] = {.lex_state = 24, .external_lex_state = 5},
  [3220] = {.lex_state = 24, .external_lex_state = 5},
  [3221] = {.lex_state = 24, .external_lex_state = 5},
  [3222] = {.lex_state = 24, .external_lex_state = 4},
  [3223] = {.lex_state = 24, .external_lex_state = 5},
  [3224] = {.lex_state = 24, .external_lex_state = 5},
  [3225] = {.lex_state = 24, .external_lex_state = 5},
  [3226] = {.lex_state = 6, .external_lex_state = 4},
  [3227] = {.lex_state = 24, .external_lex_state = 5},
  [3228] = {.lex_state = 25, .external_lex_state = 4},
  [3229] = {.lex_state = 24, .external_lex_state = 6},
  [3230] = {.lex_state = 24, .external_lex_state = 5},
  [3231] = {.lex_state = 24, .external_lex_state = 5},
  [3232] = {.lex_state = 24, .external_lex_state = 5},
  [3233] = {.lex_state = 24, .external_lex_state = 4},
  [3234] = {.lex_state = 25, .external_lex_state = 4},
  [3235] = {.lex_state = 24, .external_lex_state = 4},
  [3236] = {.lex_state = 24, .external_lex_state = 4},
  [3237] = {.lex_state = 24, .external_lex_state = 4},
  [3238] = {.lex_state = 24, .external_lex_state = 4},
  [3239] = {.lex_state = 6, .external_lex_state = 4},
  [3240] = {.lex_state = 24, .external_lex_state = 5},
  [3241] = {.lex_state = 24, .external_lex_state = 5},
  [3242] = {.lex_state = 24, .external_lex_state = 5},
  [3243] = {.lex_state = 24, .external_lex_state = 6},
  [3244] = {.lex_state = 24, .external_lex_state = 5},
  [3245] = {.lex_state = 6, .external_lex_state = 4},
  [3246] = {.lex_state = 6, .external_lex_state = 4},
  [3247] = {.lex_state = 24, .external_lex_state = 5},
  [3248] = {.lex_state = 25, .external_lex_state = 4},
  [3249] = {.lex_state = 24, .external_lex_state = 5},
  [3250] = {.lex_state = 24, .external_lex_state = 5},
  [3251] = {.lex_state = 24, .external_lex_state = 4},
  [3252] = {.lex_state = 24, .external_lex_state = 5},
  [3253] = {.lex_state = 24, .external_lex_state = 5},
  [3254] = {.lex_state = 24, .external_lex_state = 5},
  [3255] = {.lex_state = 24, .external_lex_state = 5},
  [3256] = {.lex_state = 24, .external_lex_state = 6},
  [3257] = {.lex_state = 24, .external_lex_state = 5},
  [3258] = {.lex_state = 24, .external_lex_state = 5},
  [3259] = {.lex_state = 24, .external_lex_state = 5},
  [3260] = {.lex_state = 24, .external_lex_state = 5},
  [3261] = {.lex_state = 24, .external_lex_state = 5},
  [3262] = {.lex_state = 24, .external_lex_state = 5},
  [3263] = {.lex_state = 24, .external_lex_state = 5},
  [3264] = {.lex_state = 24, .external_lex_state = 4},
  [3265] = {.lex_state = 24, .external_lex_state = 5},
  [3266] = {.lex_state = 24, .external_lex_state = 5},
  [3267] = {.lex_state = 24, .external_lex_state = 5},
  [3268] = {.lex_state = 24, .external_lex_state = 5},
  [3269] = {.lex_state = 24, .external_lex_state = 4},
  [3270] = {.lex_state = 24, .external_lex_state = 5},
  [3271] = {.lex_state = 24, .external_lex_state = 5},
  [3272] = {.lex_state = 24, .external_lex_state = 5},
  [3273] = {.lex_state = 24, .external_lex_state = 5},
  [3274] = {.lex_state = 24, .external_lex_state = 5},
  [3275] = {.lex_state = 24, .external_lex_state = 5},
  [3276] = {.lex_state = 24, .external_lex_state = 4},
  [3277] = {.lex_state = 24, .external_lex_state = 5},
  [3278] = {.lex_state = 24, .external_lex_state = 5},
  [3279] = {.lex_state = 24, .external_lex_state = 5},
  [3280] = {.lex_state = 24, .external_lex_state = 4},
  [3281] = {.lex_state = 24, .external_lex_state = 5},
  [3282] = {.lex_state = 24, .external_lex_state = 6},
  [3283] = {.lex_state = 24, .external_lex_state = 6},
  [3284] = {.lex_state = 24, .external_lex_state = 6},
  [3285] = {.lex_state = 24, .external_lex_state = 6},
  [3286] = {.lex_state = 24, .external_lex_state = 6},
  [3287] = {.lex_state = 24, .external_lex_state = 6},
  [3288] = {.lex_state = 24, .external_lex_state = 6},
  [3289] = {.lex_state = 24, .external_lex_state = 6},
  [3290] = {.lex_state = 24, .external_lex_state = 4},
  [3291] = {.lex_state = 24, .external_lex_state = 6},
  [3292] = {.lex_state = 24, .external_lex_state = 6},
  [3293] = {.lex_state = 24, .external_lex_state = 4},
  [3294] = {.lex_state = 24, .external_lex_state = 6},
  [3295] = {.lex_state = 24, .external_lex_state = 6},
  [3296] = {.lex_state = 24, .external_lex_state = 4},
  [3297] = {.lex_state = 24, .external_lex_state = 6},
  [3298] = {.lex_state = 24, .external_lex_state = 6},
  [3299] = {.lex_state = 24, .external_lex_state = 6},
  [3300] = {.lex_state = 24, .external_lex_state = 4},
  [3301] = {.lex_state = 24, .external_lex_state = 6},
  [3302] = {.lex_state = 24, .external_lex_state = 6},
  [3303] = {.lex_state = 24, .external_lex_state = 6},
  [3304] = {.lex_state = 24, .external_lex_state = 6},
  [3305] = {.lex_state = 24, .external_lex_state = 6},
  [3306] = {.lex_state = 24, .external_lex_state = 4},
  [3307] = {.lex_state = 24, .external_lex_state = 6},
  [3308] = {.lex_state = 24, .external_lex_state = 6},
  [3309] = {.lex_state = 24, .external_lex_state = 6},
  [3310] = {.lex_state = 24, .external_lex_state = 6},
  [3311] = {.lex_state = 24, .external_lex_state = 6},
  [3312] = {.lex_state = 24, .external_lex_state = 6},
  [3313] = {.lex_state = 24, .external_lex_state = 4},
  [3314] = {.lex_state = 24, .external_lex_state = 6},
  [3315] = {.lex_state = 24, .external_lex_state = 6},
  [3316] = {.lex_state = 24, .external_lex_state = 6},
  [3317] = {.lex_state = 24, .external_lex_state = 6},
  [3318] = {.lex_state = 24, .external_lex_state = 6},
  [3319] = {.lex_state = 24, .external_lex_state = 6},
  [3320] = {.lex_state = 24, .external_lex_state = 4},
  [3321] = {.lex_state = 24, .external_lex_state = 6},
  [3322] = {.lex_state = 24, .external_lex_state = 6},
  [3323] = {.lex_state = 24, .external_lex_state = 6},
  [3324] = {.lex_state = 24, .external_lex_state = 6},
  [3325] = {.lex_state = 24, .external_lex_state = 6},
  [3326] = {.lex_state = 24, .external_lex_state = 4},
  [3327] = {.lex_state = 24, .external_lex_state = 4},
  [3328] = {.lex_state = 24, .external_lex_state = 6},
  [3329] = {.lex_state = 24, .external_lex_state = 4},
  [3330] = {.lex_state = 24, .external_lex_state = 6},
  [3331] = {.lex_state = 24, .external_lex_state = 6},
  [3332] = {.lex_state = 24, .external_lex_state = 6},
  [3333] = {.lex_state = 24, .external_lex_state = 4},
  [3334] = {.lex_state = 24, .external_lex_state = 4},
  [3335] = {.lex_state = 24, .external_lex_state = 6},
  [3336] = {.lex_state = 24, .external_lex_state = 4},
  [3337] = {.lex_state = 24, .external_lex_state = 4},
  [3338] = {.lex_state = 24, .external_lex_state = 4},
  [3339] = {.lex_state = 24, .external_lex_state = 6},
  [3340] = {.lex_state = 24, .external_lex_state = 6},
  [3341] = {.lex_state = 24, .external_lex_state = 6},
  [3342] = {.lex_state = 24, .external_lex_state = 6},
  [3343] = {.lex_state = 24, .external_lex_state = 6},
  [3344] = {.lex_state = 24, .external_lex_state = 6},
  [3345] = {.lex_state = 24, .external_lex_state = 4},
  [3346] = {.lex_state = 24, .external_lex_state = 6},
  [3347] = {.lex_state = 24, .external_lex_state = 6},
  [3348] = {.lex_state = 24, .external_lex_state = 6},
  [3349] = {.lex_state = 24, .external_lex_state = 6},
  [3350] = {.lex_state = 24, .external_lex_state = 6},
  [3351] = {.lex_state = 24, .external_lex_state = 4},
  [3352] = {.lex_state = 24, .external_lex_state = 6},
  [3353] = {.lex_state = 24, .external_lex_state = 6},
  [3354] = {.lex_state = 24, .external_lex_state = 6},
  [3355] = {.lex_state = 24, .external_lex_state = 4},
  [3356] = {.lex_state = 24, .external_lex_state = 6},
  [3357] = {.lex_state = 24, .external_lex_state = 6},
  [3358] = {.lex_state = 24, .external_lex_state = 6},
  [3359] = {.lex_state = 24, .external_lex_state = 6},
  [3360] = {.lex_state = 24, .external_lex_state = 4},
  [3361] = {.lex_state = 24, .external_lex_state = 6},
  [3362] = {.lex_state = 24, .external_lex_state = 6},
  [3363] = {.lex_state = 24, .external_lex_state = 6},
  [3364] = {.lex_state = 24, .external_lex_state = 6},
  [3365] = {.lex_state = 24, .external_lex_state = 4},
  [3366] = {.lex_state = 24, .external_lex_state = 6},
  [3367] = {.lex_state = 24, .external_lex_state = 4},
  [3368] = {.lex_state = 24, .external_lex_state = 6},
  [3369] = {.lex_state = 24, .external_lex_state = 6},
  [3370] = {.lex_state = 24, .external_lex_state = 6},
  [3371] = {.lex_state = 24, .external_lex_state = 6},
  [3372] = {.lex_state = 24, .external_lex_state = 4},
  [3373] = {.lex_state = 24, .external_lex_state = 6},
  [3374] = {.lex_state = 24, .external_lex_state = 4},
  [3375] = {.lex_state = 24, .external_lex_state = 6},
  [3376] = {.lex_state = 24, .external_lex_state = 6},
  [3377] = {.lex_state = 24, .external_lex_state = 6},
  [3378] = {.lex_state = 24, .external_lex_state = 6},
  [3379] = {.lex_state = 24, .external_lex_state = 6},
  [3380] = {.lex_state = 24, .external_lex_state = 4},
  [3381] = {.lex_state = 24, .external_lex_state = 4},
  [3382] = {.lex_state = 24, .external_lex_state = 6},
  [3383] = {.lex_state = 24, .external_lex_state = 6},
  [3384] = {.lex_state = 24, .external_lex_state = 6},
  [3385] = {.lex_state = 24, .external_lex_state = 6},
  [3386] = {.lex_state = 24, .external_lex_state = 6},
  [3387] = {.lex_state = 24, .external_lex_state = 4},
  [3388] = {.lex_state = 24, .external_lex_state = 4},
  [3389] = {.lex_state = 24, .external_lex_state = 4},
  [3390] = {.lex_state = 24, .external_lex_state = 4},
  [3391] = {.lex_state = 24, .external_lex_state = 4},
  [3392] = {.lex_state = 24, .external_lex_state = 4},
  [3393] = {.lex_state = 24, .external_lex_state = 4},
  [3394] = {.lex_state = 24, .external_lex_state = 4},
  [3395] = {.lex_state = 24, .external_lex_state = 4},
  [3396] = {.lex_state = 24, .external_lex_state = 4},
  [3397] = {.lex_state = 24, .external_lex_state = 4},
  [3398] = {.lex_state = 24, .external_lex_state = 4},
  [3399] = {.lex_state = 24, .external_lex_state = 4},
  [3400] = {.lex_state = 24, .external_lex_state = 4},
  [3401] = {.lex_state = 24, .external_lex_state = 4},
  [3402] = {.lex_state = 24, .external_lex_state = 4},
  [3403] = {.lex_state = 24, .external_lex_state = 4},
  [3404] = {.lex_state = 24, .external_lex_state = 4},
  [3405] = {.lex_state = 24, .external_lex_state = 4},
  [3406] = {.lex_state = 24, .external_lex_state = 4},
  [3407] = {.lex_state = 24, .external_lex_state = 4},
  [3408] = {.lex_state = 24, .external_lex_state = 4},
  [3409] = {.lex_state = 24, .external_lex_state = 4},
  [3410] = {.lex_state = 24, .external_lex_state = 4},
  [3411] = {.lex_state = 24, .external_lex_state = 4},
  [3412] = {.lex_state = 24, .external_lex_state = 4},
  [3413] = {.lex_state = 24, .external_lex_state = 4},
  [3414] = {.lex_state = 24, .external_lex_state = 4},
  [3415] = {.lex_state = 24, .external_lex_state = 4},
  [3416] = {.lex_state = 24, .external_lex_state = 4},
  [3417] = {.lex_state = 24, .external_lex_state = 4},
  [3418] = {.lex_state = 24, .external_lex_state = 4},
  [3419] = {.lex_state = 24, .external_lex_state = 4},
  [3420] = {.lex_state = 24, .external_lex_state = 4},
  [3421] = {.lex_state = 24, .external_lex_state = 4},
  [3422] = {.lex_state = 24, .external_lex_state = 4},
  [3423] = {.lex_state = 24, .external_lex_state = 4},
  [3424] = {.lex_state = 24, .external_lex_state = 4},
  [3425] = {.lex_state = 24, .external_lex_state = 4},
  [3426] = {.lex_state = 24, .external_lex_state = 4},
  [3427] = {.lex_state = 24, .external_lex_state = 4},
  [3428] = {.lex_state = 24, .external_lex_state = 4},
  [3429] = {.lex_state = 24, .external_lex_state = 4},
  [3430] = {.lex_state = 24, .external_lex_state = 4},
  [3431] = {.lex_state = 24, .external_lex_state = 4},
  [3432] = {.lex_state = 24, .external_lex_state = 4},
  [3433] = {.lex_state = 24, .external_lex_state = 4},
  [3434] = {.lex_state = 24, .external_lex_state = 4},
  [3435] = {.lex_state = 24, .external_lex_state = 4},
  [3436] = {.lex_state = 24, .external_lex_state = 4},
  [3437] = {.lex_state = 24, .external_lex_state = 4},
  [3438] = {.lex_state = 24, .external_lex_state = 4},
  [3439] = {.lex_state = 24, .external_lex_state = 4},
  [3440] = {.lex_state = 24, .external_lex_state = 4},
  [3441] = {.lex_state = 24, .external_lex_state = 4},
  [3442] = {.lex_state = 24, .external_lex_state = 4},
  [3443] = {.lex_state = 24, .external_lex_state = 4},
  [3444] = {.lex_state = 24, .external_lex_state = 4},
  [3445] = {.lex_state = 24, .external_lex_state = 4},
  [3446] = {.lex_state = 24, .external_lex_state = 4},
  [3447] = {.lex_state = 24, .external_lex_state = 4},
  [3448] = {.lex_state = 24, .external_lex_state = 4},
  [3449] = {.lex_state = 24, .external_lex_state = 4},
  [3450] = {.lex_state = 24, .external_lex_state = 4},
  [3451] = {.lex_state = 24, .external_lex_state = 4},
  [3452] = {.lex_state = 24, .external_lex_state = 4},
  [3453] = {.lex_state = 24, .external_lex_state = 4},
  [3454] = {.lex_state = 42, .external_lex_state = 4},
  [3455] = {.lex_state = 42, .external_lex_state = 4},
  [3456] = {.lex_state = 42, .external_lex_state = 4},
  [3457] = {.lex_state = 42, .external_lex_state = 4},
  [3458] = {.lex_state = 22, .external_lex_state = 4},
  [3459] = {.lex_state = 22, .external_lex_state = 4},
  [3460] = {.lex_state = 22, .external_lex_state = 4},
  [3461] = {.lex_state = 42, .external_lex_state = 4},
  [3462] = {.lex_state = 42, .external_lex_state = 4},
  [3463] = {.lex_state = 22, .external_lex_state = 4},
  [3464] = {.lex_state = 22, .external_lex_state = 4},
  [3465] = {.lex_state = 42, .external_lex_state = 4},
  [3466] = {.lex_state = 42, .external_lex_state = 4},
  [3467] = {.lex_state = 223, .external_lex_state = 4},
  [3468] = {.lex_state = 7, .external_lex_state = 4},
  [3469] = {.lex_state = 7, .external_lex_state = 4},
  [3470] = {.lex_state = 223, .external_lex_state = 4},
  [3471] = {.lex_state = 42, .external_lex_state = 4},
  [3472] = {.lex_state = 42, .external_lex_state = 4},
  [3473] = {.lex_state = 42, .external_lex_state = 4},
  [3474] = {.lex_state = 42, .external_lex_state = 4},
  [3475] = {.lex_state = 223, .external_lex_state = 4},
  [3476] = {.lex_state = 42, .external_lex_state = 4},
  [3477] = {.lex_state = 42, .external_lex_state = 4},
  [3478] = {.lex_state = 42, .external_lex_state = 4},
  [3479] = {.lex_state = 42, .external_lex_state = 4},
  [3480] = {.lex_state = 42, .external_lex_state = 4},
  [3481] = {.lex_state = 42, .external_lex_state = 4},
  [3482] = {.lex_state = 42, .external_lex_state = 4},
  [3483] = {.lex_state = 223, .external_lex_state = 4},
  [3484] = {.lex_state = 223, .external_lex_state = 4},
  [3485] = {.lex_state = 223, .external_lex_state = 4},
  [3486] = {.lex_state = 223, .external_lex_state = 4},
  [3487] = {.lex_state = 16, .external_lex_state = 4},
  [3488] = {.lex_state = 7, .external_lex_state = 4},
  [3489] = {.lex_state = 22, .external_lex_state = 4},
  [3490] = {.lex_state = 6, .external_lex_state = 4},
  [3491] = {.lex_state = 6, .external_lex_state = 4},
  [3492] = {.lex_state = 22, .external_lex_state = 4},
  [3493] = {.lex_state = 16, .external_lex_state = 4},
  [3494] = {.lex_state = 36, .external_lex_state = 4},
  [3495] = {.lex_state = 36, .external_lex_state = 4},
  [3496] = {.lex_state = 36, .external_lex_state = 4},
  [3497] = {.lex_state = 6, .external_lex_state = 4},
  [3498] = {.lex_state = 6, .external_lex_state = 4},
  [3499] = {.lex_state = 6, .external_lex_state = 4},
  [3500] = {.lex_state = 6, .external_lex_state = 4},
  [3501] = {.lex_state = 36, .external_lex_state = 4},
  [3502] = {.lex_state = 36, .external_lex_state = 4},
  [3503] = {.lex_state = 6, .external_lex_state = 4},
  [3504] = {.lex_state = 36, .external_lex_state = 4},
  [3505] = {.lex_state = 36, .external_lex_state = 4},
  [3506] = {.lex_state = 6, .external_lex_state = 4},
  [3507] = {.lex_state = 36, .external_lex_state = 4},
  [3508] = {.lex_state = 6, .external_lex_state = 4},
  [3509] = {.lex_state = 6, .external_lex_state = 4},
  [3510] = {.lex_state = 6, .external_lex_state = 4},
  [3511] = {.lex_state = 36, .external_lex_state = 4},
  [3512] = {.lex_state = 6, .external_lex_state = 4},
  [3513] = {.lex_state = 6, .external_lex_state = 4},
  [3514] = {.lex_state = 6, .external_lex_state = 4},
  [3515] = {.lex_state = 36, .external_lex_state = 4},
  [3516] = {.lex_state = 36, .external_lex_state = 4},
  [3517] = {.lex_state = 6, .external_lex_state = 4},
  [3518] = {.lex_state = 22, .external_lex_state = 4},
  [3519] = {.lex_state = 6, .external_lex_state = 4},
  [3520] = {.lex_state = 6, .external_lex_state = 4},
  [3521] = {.lex_state = 36, .external_lex_state = 4},
  [3522] = {.lex_state = 6, .external_lex_state = 4},
  [3523] = {.lex_state = 36, .external_lex_state = 4},
  [3524] = {.lex_state = 6, .external_lex_state = 4},
  [3525] = {.lex_state = 6, .external_lex_state = 4},
  [3526] = {.lex_state = 6, .external_lex_state = 4},
  [3527] = {.lex_state = 6, .external_lex_state = 4},
  [3528] = {.lex_state = 6, .external_lex_state = 4},
  [3529] = {.lex_state = 36, .external_lex_state = 4},
  [3530] = {.lex_state = 36, .external_lex_state = 4},
  [3531] = {.lex_state = 36, .external_lex_state = 4},
  [3532] = {.lex_state = 36, .external_lex_state = 4},
  [3533] = {.lex_state = 6, .external_lex_state = 4},
  [3534] = {.lex_state = 36, .external_lex_state = 4},
  [3535] = {.lex_state = 22, .external_lex_state = 4},
  [3536] = {.lex_state = 6, .external_lex_state = 4},
  [3537] = {.lex_state = 6, .external_lex_state = 4},
  [3538] = {.lex_state = 22, .external_lex_state = 4},
  [3539] = {.lex_state = 7, .external_lex_state = 4},
  [3540] = {.lex_state = 6, .external_lex_state = 4},
  [3541] = {.lex_state = 22, .external_lex_state = 4},
  [3542] = {.lex_state = 36, .external_lex_state = 4},
  [3543] = {.lex_state = 6, .external_lex_state = 4},
  [3544] = {.lex_state = 23, .external_lex_state = 4},
  [3545] = {.lex_state = 7, .external_lex_state = 4},
  [3546] = {.lex_state = 7, .external_lex_state = 4},
  [3547] = {.lex_state = 36, .external_lex_state = 4},
  [3548] = {.lex_state = 7, .external_lex_state = 4},
  [3549] = {.lex_state = 6, .external_lex_state = 4},
  [3550] = {.lex_state = 6, .external_lex_state = 4},
  [3551] = {.lex_state = 7, .external_lex_state = 4},
  [3552] = {.lex_state = 7, .external_lex_state = 4},
  [3553] = {.lex_state = 38, .external_lex_state = 4},
  [3554] = {.lex_state = 7, .external_lex_state = 4},
  [3555] = {.lex_state = 6, .external_lex_state = 4},
  [3556] = {.lex_state = 6, .external_lex_state = 4},
  [3557] = {.lex_state = 23, .external_lex_state = 4},
  [3558] = {.lex_state = 6, .external_lex_state = 4},
  [3559] = {.lex_state = 6, .external_lex_state = 4},
  [3560] = {.lex_state = 6, .external_lex_state = 4},
  [3561] = {.lex_state = 23, .external_lex_state = 4},
  [3562] = {.lex_state = 7, .external_lex_state = 4},
  [3563] = {.lex_state = 7, .external_lex_state = 4},
  [3564] = {.lex_state = 6, .external_lex_state = 4},
  [3565] = {.lex_state = 6, .external_lex_state = 4},
  [3566] = {.lex_state = 6, .external_lex_state = 4},
  [3567] = {.lex_state = 6, .external_lex_state = 4},
  [3568] = {.lex_state = 7, .external_lex_state = 4},
  [3569] = {.lex_state = 36, .external_lex_state = 4},
  [3570] = {.lex_state = 20, .external_lex_state = 7},
  [3571] = {.lex_state = 20, .external_lex_state = 7},
  [3572] = {.lex_state = 20, .external_lex_state = 7},
  [3573] = {.lex_state = 229, .external_lex_state = 4},
  [3574] = {.lex_state = 20, .external_lex_state = 7},
  [3575] = {.lex_state = 20, .external_lex_state = 7},
  [3576] = {.lex_state = 20, .external_lex_state = 7},
  [3577] = {.lex_state = 20, .external_lex_state = 7},
  [3578] = {.lex_state = 20, .external_lex_state = 7},
  [3579] = {.lex_state = 22, .external_lex_state = 4},
  [3580] = {.lex_state = 20, .external_lex_state = 7},
  [3581] = {.lex_state = 20, .external_lex_state = 7},
  [3582] = {.lex_state = 20, .external_lex_state = 7},
  [3583] = {.lex_state = 20, .external_lex_state = 7},
  [3584] = {.lex_state = 20, .external_lex_state = 7},
  [3585] = {.lex_state = 20, .external_lex_state = 7},
  [3586] = {.lex_state = 20, .external_lex_state = 7},
  [3587] = {.lex_state = 20, .external_lex_state = 7},
  [3588] = {.lex_state = 20, .external_lex_state = 7},
  [3589] = {.lex_state = 20, .external_lex_state = 7},
  [3590] = {.lex_state = 20, .external_lex_state = 7},
  [3591] = {.lex_state = 22, .external_lex_state = 4},
  [3592] = {.lex_state = 229, .external_lex_state = 4},
  [3593] = {.lex_state = 20, .external_lex_state = 7},
  [3594] = {.lex_state = 20, .external_lex_state = 7},
  [3595] = {.lex_state = 20, .external_lex_state = 7},
  [3596] = {.lex_state = 20, .external_lex_state = 7},
  [3597] = {.lex_state = 20, .external_lex_state = 7},
  [3598] = {.lex_state = 20, .external_lex_state = 7},
  [3599] = {.lex_state = 20, .external_lex_state = 7},
  [3600] = {.lex_state = 20, .external_lex_state = 7},
  [3601] = {.lex_state = 20, .external_lex_state = 7},
  [3602] = {.lex_state = 20, .external_lex_state = 7},
  [3603] = {.lex_state = 20, .external_lex_state = 7},
  [3604] = {.lex_state = 38, .external_lex_state = 4},
  [3605] = {.lex_state = 20, .external_lex_state = 7},
  [3606] = {.lex_state = 20, .external_lex_state = 7},
  [3607] = {.lex_state = 20, .external_lex_state = 7},
  [3608] = {.lex_state = 20, .external_lex_state = 7},
  [3609] = {.lex_state = 20, .external_lex_state = 7},
  [3610] = {.lex_state = 20, .external_lex_state = 7},
  [3611] = {.lex_state = 20, .external_lex_state = 7},
  [3612] = {.lex_state = 20, .external_lex_state = 7},
  [3613] = {.lex_state = 20, .external_lex_state = 7},
  [3614] = {.lex_state = 20, .external_lex_state = 7},
  [3615] = {.lex_state = 20, .external_lex_state = 7},
  [3616] = {.lex_state = 20, .external_lex_state = 7},
  [3617] = {.lex_state = 20, .external_lex_state = 7},
  [3618] = {.lex_state = 22, .external_lex_state = 4},
  [3619] = {.lex_state = 20, .external_lex_state = 7},
  [3620] = {.lex_state = 20, .external_lex_state = 7},
  [3621] = {.lex_state = 20, .external_lex_state = 7},
  [3622] = {.lex_state = 20, .external_lex_state = 7},
  [3623] = {.lex_state = 20, .external_lex_state = 7},
  [3624] = {.lex_state = 20, .external_lex_state = 7},
  [3625] = {.lex_state = 20, .external_lex_state = 7},
  [3626] = {.lex_state = 20, .external_lex_state = 7},
  [3627] = {.lex_state = 20, .external_lex_state = 7},
  [3628] = {.lex_state = 20, .external_lex_state = 7},
  [3629] = {.lex_state = 20, .external_lex_state = 7},
  [3630] = {.lex_state = 20, .external_lex_state = 7},
  [3631] = {.lex_state = 20, .external_lex_state = 7},
  [3632] = {.lex_state = 20, .external_lex_state = 7},
  [3633] = {.lex_state = 229, .external_lex_state = 4},
  [3634] = {.lex_state = 7, .external_lex_state = 4},
  [3635] = {.lex_state = 22, .external_lex_state = 4},
  [3636] = {.lex_state = 229, .external_lex_state = 4},
  [3637] = {.lex_state = 22, .external_lex_state = 4},
  [3638] = {.lex_state = 38, .external_lex_state = 4},
  [3639] = {.lex_state = 23, .external_lex_state = 4},
  [3640] = {.lex_state = 23, .external_lex_state = 4},
  [3641] = {.lex_state = 229, .external_lex_state = 4},
  [3642] = {.lex_state = 22, .external_lex_state = 4},
  [3643] = {.lex_state = 38, .external_lex_state = 4},
  [3644] = {.lex_state = 23, .external_lex_state = 4},
  [3645] = {.lex_state = 38, .external_lex_state = 4},
  [3646] = {.lex_state = 7, .external_lex_state = 4},
  [3647] = {.lex_state = 229, .external_lex_state = 4},
  [3648] = {.lex_state = 22, .external_lex_state = 4},
  [3649] = {.lex_state = 22, .external_lex_state = 4},
  [3650] = {.lex_state = 229, .external_lex_state = 4},
  [3651] = {.lex_state = 7, .external_lex_state = 4},
  [3652] = {.lex_state = 22, .external_lex_state = 2},
  [3653] = {.lex_state = 22, .external_lex_state = 2},
  [3654] = {.lex_state = 229, .external_lex_state = 4},
  [3655] = {.lex_state = 22, .external_lex_state = 4},
  [3656] = {.lex_state = 22, .external_lex_state = 4},
  [3657] = {.lex_state = 38, .external_lex_state = 4},
  [3658] = {.lex_state = 22, .external_lex_state = 4},
  [3659] = {.lex_state = 22, .external_lex_state = 4},
  [3660] = {.lex_state = 22, .external_lex_state = 4},
  [3661] = {.lex_state = 38, .external_lex_state = 4},
  [3662] = {.lex_state = 229, .external_lex_state = 4},
  [3663] = {.lex_state = 38, .external_lex_state = 4},
  [3664] = {.lex_state = 22, .external_lex_state = 4},
  [3665] = {.lex_state = 22, .external_lex_state = 5},
  [3666] = {.lex_state = 22, .external_lex_state = 4},
  [3667] = {.lex_state = 22, .external_lex_state = 4},
  [3668] = {.lex_state = 22, .external_lex_state = 4},
  [3669] = {.lex_state = 229, .external_lex_state = 4},
  [3670] = {.lex_state = 22, .external_lex_state = 4},
  [3671] = {.lex_state = 22, .external_lex_state = 4},
  [3672] = {.lex_state = 22, .external_lex_state = 4},
  [3673] = {.lex_state = 22, .external_lex_state = 4},
  [3674] = {.lex_state = 38, .external_lex_state = 4},
  [3675] = {.lex_state = 22, .external_lex_state = 4},
  [3676] = {.lex_state = 22, .external_lex_state = 4},
  [3677] = {.lex_state = 22, .external_lex_state = 4},
  [3678] = {.lex_state = 22, .external_lex_state = 4},
  [3679] = {.lex_state = 22, .external_lex_state = 4},
  [3680] = {.lex_state = 36, .external_lex_state = 4},
  [3681] = {.lex_state = 22, .external_lex_state = 5},
  [3682] = {.lex_state = 38, .external_lex_state = 4},
  [3683] = {.lex_state = 22, .external_lex_state = 4},
  [3684] = {.lex_state = 229, .external_lex_state = 4},
  [3685] = {.lex_state = 22, .external_lex_state = 4},
  [3686] = {.lex_state = 22, .external_lex_state = 4},
  [3687] = {.lex_state = 22, .external_lex_state = 5},
  [3688] = {.lex_state = 22, .external_lex_state = 4},
  [3689] = {.lex_state = 38, .external_lex_state = 4},
  [3690] = {.lex_state = 22, .external_lex_state = 4},
  [3691] = {.lex_state = 38, .external_lex_state = 4},
  [3692] = {.lex_state = 22, .external_lex_state = 4},
  [3693] = {.lex_state = 22, .external_lex_state = 5},
  [3694] = {.lex_state = 23, .external_lex_state = 4},
  [3695] = {.lex_state = 23, .external_lex_state = 4},
  [3696] = {.lex_state = 22, .external_lex_state = 5},
  [3697] = {.lex_state = 22, .external_lex_state = 4},
  [3698] = {.lex_state = 229, .external_lex_state = 4},
  [3699] = {.lex_state = 22, .external_lex_state = 4},
  [3700] = {.lex_state = 38, .external_lex_state = 4},
  [3701] = {.lex_state = 22, .external_lex_state = 4},
  [3702] = {.lex_state = 38, .external_lex_state = 4},
  [3703] = {.lex_state = 38, .external_lex_state = 4},
  [3704] = {.lex_state = 22, .external_lex_state = 4},
  [3705] = {.lex_state = 38, .external_lex_state = 4},
  [3706] = {.lex_state = 23, .external_lex_state = 4},
  [3707] = {.lex_state = 23, .external_lex_state = 4},
  [3708] = {.lex_state = 22, .external_lex_state = 4},
  [3709] = {.lex_state = 38, .external_lex_state = 4},
  [3710] = {.lex_state = 22, .external_lex_state = 4},
  [3711] = {.lex_state = 22, .external_lex_state = 4},
  [3712] = {.lex_state = 229, .external_lex_state = 4},
  [3713] = {.lex_state = 38, .external_lex_state = 4},
  [3714] = {.lex_state = 22, .external_lex_state = 5},
  [3715] = {.lex_state = 22, .external_lex_state = 4},
  [3716] = {.lex_state = 22, .external_lex_state = 4},
  [3717] = {.lex_state = 22, .external_lex_state = 4},
  [3718] = {.lex_state = 22, .external_lex_state = 8},
  [3719] = {.lex_state = 22, .external_lex_state = 4},
  [3720] = {.lex_state = 22, .external_lex_state = 4},
  [3721] = {.lex_state = 38, .external_lex_state = 4},
  [3722] = {.lex_state = 22, .external_lex_state = 4},
  [3723] = {.lex_state = 38, .external_lex_state = 4},
  [3724] = {.lex_state = 22, .external_lex_state = 4},
  [3725] = {.lex_state = 22, .external_lex_state = 4},
  [3726] = {.lex_state = 38, .external_lex_state = 4},
  [3727] = {.lex_state = 38, .external_lex_state = 4},
  [3728] = {.lex_state = 22, .external_lex_state = 4},
  [3729] = {.lex_state = 22, .external_lex_state = 4},
  [3730] = {.lex_state = 20, .external_lex_state = 7},
  [3731] = {.lex_state = 38, .external_lex_state = 4},
  [3732] = {.lex_state = 22, .external_lex_state = 4},
  [3733] = {.lex_state = 22, .external_lex_state = 4},
  [3734] = {.lex_state = 38, .external_lex_state = 4},
  [3735] = {.lex_state = 38, .external_lex_state = 4},
  [3736] = {.lex_state = 22, .external_lex_state = 4},
  [3737] = {.lex_state = 22, .external_lex_state = 4},
  [3738] = {.lex_state = 38, .external_lex_state = 4},
  [3739] = {.lex_state = 229, .external_lex_state = 4},
  [3740] = {.lex_state = 229, .external_lex_state = 4},
  [3741] = {.lex_state = 229, .external_lex_state = 4},
  [3742] = {.lex_state = 22, .external_lex_state = 4},
  [3743] = {.lex_state = 22, .external_lex_state = 4},
  [3744] = {.lex_state = 38, .external_lex_state = 4},
  [3745] = {.lex_state = 38, .external_lex_state = 4},
  [3746] = {.lex_state = 22, .external_lex_state = 4},
  [3747] = {.lex_state = 22, .external_lex_state = 4},
  [3748] = {.lex_state = 38, .external_lex_state = 4},
  [3749] = {.lex_state = 38, .external_lex_state = 4},
  [3750] = {.lex_state = 22, .external_lex_state = 4},
  [3751] = {.lex_state = 22, .external_lex_state = 4},
  [3752] = {.lex_state = 229, .external_lex_state = 4},
  [3753] = {.lex_state = 22, .external_lex_state = 4},
  [3754] = {.lex_state = 22, .external_lex_state = 4},
  [3755] = {.lex_state = 20, .external_lex_state = 7},
  [3756] = {.lex_state = 23, .external_lex_state = 4},
  [3757] = {.lex_state = 22, .external_lex_state = 5},
  [3758] = {.lex_state = 6, .external_lex_state = 4},
  [3759] = {.lex_state = 22, .external_lex_state = 4},
  [3760] = {.lex_state = 229, .external_lex_state = 4},
  [3761] = {.lex_state = 22, .external_lex_state = 5},
  [3762] = {.lex_state = 22, .external_lex_state = 4},
  [3763] = {.lex_state = 20, .external_lex_state = 7},
  [3764] = {.lex_state = 20, .external_lex_state = 7},
  [3765] = {.lex_state = 22, .external_lex_state = 5},
  [3766] = {.lex_state = 229, .external_lex_state = 4},
  [3767] = {.lex_state = 22, .external_lex_state = 8},
  [3768] = {.lex_state = 22, .external_lex_state = 4},
  [3769] = {.lex_state = 229, .external_lex_state = 4},
  [3770] = {.lex_state = 22, .external_lex_state = 4},
  [3771] = {.lex_state = 22, .external_lex_state = 5},
  [3772] = {.lex_state = 22, .external_lex_state = 5},
  [3773] = {.lex_state = 22, .external_lex_state = 5},
  [3774] = {.lex_state = 22, .external_lex_state = 4},
  [3775] = {.lex_state = 22, .external_lex_state = 5},
  [3776] = {.lex_state = 22, .external_lex_state = 8},
  [3777] = {.lex_state = 229, .external_lex_state = 4},
  [3778] = {.lex_state = 22, .external_lex_state = 4},
  [3779] = {.lex_state = 22, .external_lex_state = 4},
  [3780] = {.lex_state = 22, .external_lex_state = 5},
  [3781] = {.lex_state = 22, .external_lex_state = 5},
  [3782] = {.lex_state = 38, .external_lex_state = 4},
  [3783] = {.lex_state = 38, .external_lex_state = 4},
  [3784] = {.lex_state = 229, .external_lex_state = 4},
  [3785] = {.lex_state = 229, .external_lex_state = 4},
  [3786] = {.lex_state = 229, .external_lex_state = 4},
  [3787] = {.lex_state = 0, .external_lex_state = 4},
  [3788] = {.lex_state = 0, .external_lex_state = 4},
  [3789] = {.lex_state = 229, .external_lex_state = 4},
  [3790] = {.lex_state = 0, .external_lex_state = 4},
  [3791] = {.lex_state = 229, .external_lex_state = 4},
  [3792] = {.lex_state = 0, .external_lex_state = 4},
  [3793] = {.lex_state = 229, .external_lex_state = 4},
  [3794] = {.lex_state = 0, .external_lex_state = 4},
  [3795] = {.lex_state = 38, .external_lex_state = 4},
  [3796] = {.lex_state = 22, .external_lex_state = 4},
  [3797] = {.lex_state = 0, .external_lex_state = 4},
  [3798] = {.lex_state = 0, .external_lex_state = 4},
  [3799] = {.lex_state = 229, .external_lex_state = 4},
  [3800] = {.lex_state = 0, .external_lex_state = 4},
  [3801] = {.lex_state = 38, .external_lex_state = 4},
  [3802] = {.lex_state = 38, .external_lex_state = 4},
  [3803] = {.lex_state = 6, .external_lex_state = 4},
  [3804] = {.lex_state = 0, .external_lex_state = 4},
  [3805] = {.lex_state = 229, .external_lex_state = 4},
  [3806] = {.lex_state = 0, .external_lex_state = 4},
  [3807] = {.lex_state = 0, .external_lex_state = 4},
  [3808] = {.lex_state = 22, .external_lex_state = 4},
  [3809] = {.lex_state = 229, .external_lex_state = 4},
  [3810] = {.lex_state = 0, .external_lex_state = 4},
  [3811] = {.lex_state = 229, .external_lex_state = 4},
  [3812] = {.lex_state = 229, .external_lex_state = 4},
  [3813] = {.lex_state = 38, .external_lex_state = 4},
  [3814] = {.lex_state = 229, .external_lex_state = 4},
  [3815] = {.lex_state = 229, .external_lex_state = 4},
  [3816] = {.lex_state = 0, .external_lex_state = 4},
  [3817] = {.lex_state = 229, .external_lex_state = 4},
  [3818] = {.lex_state = 23, .external_lex_state = 4},
  [3819] = {.lex_state = 229, .external_lex_state = 4},
  [3820] = {.lex_state = 38, .external_lex_state = 4},
  [3821] = {.lex_state = 23, .external_lex_state = 4},
  [3822] = {.lex_state = 0, .external_lex_state = 4},
  [3823] = {.lex_state = 22, .external_lex_state = 4},
  [3824] = {.lex_state = 38, .external_lex_state = 4},
  [3825] = {.lex_state = 38, .external_lex_state = 4},
  [3826] = {.lex_state = 229, .external_lex_state = 4},
  [3827] = {.lex_state = 0, .external_lex_state = 4},
  [3828] = {.lex_state = 0, .external_lex_state = 4},
  [3829] = {.lex_state = 0, .external_lex_state = 4},
  [3830] = {.lex_state = 229, .external_lex_state = 4},
  [3831] = {.lex_state = 0, .external_lex_state = 4},
  [3832] = {.lex_state = 0, .external_lex_state = 4},
  [3833] = {.lex_state = 38, .external_lex_state = 4},
  [3834] = {.lex_state = 22, .external_lex_state = 4},
  [3835] = {.lex_state = 229, .external_lex_state = 4},
  [3836] = {.lex_state = 0, .external_lex_state = 4},
  [3837] = {.lex_state = 22, .external_lex_state = 4},
  [3838] = {.lex_state = 229, .external_lex_state = 4},
  [3839] = {.lex_state = 229, .external_lex_state = 4},
  [3840] = {.lex_state = 229, .external_lex_state = 4},
  [3841] = {.lex_state = 229, .external_lex_state = 4},
  [3842] = {.lex_state = 38, .external_lex_state = 4},
  [3843] = {.lex_state = 0, .external_lex_state = 4},
  [3844] = {.lex_state = 229, .external_lex_state = 4},
  [3845] = {.lex_state = 0, .external_lex_state = 4},
  [3846] = {.lex_state = 229, .external_lex_state = 4},
  [3847] = {.lex_state = 229, .external_lex_state = 4},
  [3848] = {.lex_state = 229, .external_lex_state = 4},
  [3849] = {.lex_state = 0, .external_lex_state = 4},
  [3850] = {.lex_state = 38, .external_lex_state = 4},
  [3851] = {.lex_state = 229, .external_lex_state = 4},
  [3852] = {.lex_state = 38, .external_lex_state = 4},
  [3853] = {.lex_state = 229, .external_lex_state = 4},
  [3854] = {.lex_state = 0, .external_lex_state = 4},
  [3855] = {.lex_state = 229, .external_lex_state = 4},
  [3856] = {.lex_state = 0, .external_lex_state = 4},
  [3857] = {.lex_state = 229, .external_lex_state = 4},
  [3858] = {.lex_state = 22, .external_lex_state = 5},
  [3859] = {.lex_state = 0, .external_lex_state = 4},
  [3860] = {.lex_state = 0, .external_lex_state = 4},
  [3861] = {.lex_state = 0, .external_lex_state = 4},
  [3862] = {.lex_state = 0, .external_lex_state = 4},
  [3863] = {.lex_state = 229, .external_lex_state = 4},
  [3864] = {.lex_state = 0, .external_lex_state = 4},
  [3865] = {.lex_state = 38, .external_lex_state = 4},
  [3866] = {.lex_state = 38, .external_lex_state = 4},
  [3867] = {.lex_state = 38, .external_lex_state = 4},
  [3868] = {.lex_state = 22, .external_lex_state = 4},
  [3869] = {.lex_state = 38, .external_lex_state = 4},
  [3870] = {.lex_state = 23, .external_lex_state = 4},
  [3871] = {.lex_state = 229, .external_lex_state = 4},
  [3872] = {.lex_state = 229, .external_lex_state = 5},
  [3873] = {.lex_state = 23, .external_lex_state = 4},
  [3874] = {.lex_state = 0, .external_lex_state = 4},
  [3875] = {.lex_state = 229, .external_lex_state = 5},
  [3876] = {.lex_state = 36, .external_lex_state = 4},
  [3877] = {.lex_state = 229, .external_lex_state = 5},
  [3878] = {.lex_state = 229, .external_lex_state = 4},
  [3879] = {.lex_state = 229, .external_lex_state = 4},
  [3880] = {.lex_state = 22, .external_lex_state = 4},
  [3881] = {.lex_state = 22, .external_lex_state = 4},
  [3882] = {.lex_state = 229, .external_lex_state = 4},
  [3883] = {.lex_state = 23, .external_lex_state = 4},
  [3884] = {.lex_state = 229, .external_lex_state = 5},
  [3885] = {.lex_state = 229, .external_lex_state = 4},
  [3886] = {.lex_state = 0, .external_lex_state = 4},
  [3887] = {.lex_state = 42, .external_lex_state = 4},
  [3888] = {.lex_state = 0, .external_lex_state = 4},
  [3889] = {.lex_state = 229, .external_lex_state = 4},
  [3890] = {.lex_state = 22, .external_lex_state = 4},
  [3891] = {.lex_state = 22, .external_lex_state = 4},
  [3892] = {.lex_state = 229, .external_lex_state = 4},
  [3893] = {.lex_state = 229, .external_lex_state = 4},
  [3894] = {.lex_state = 229, .external_lex_state = 5},
  [3895] = {.lex_state = 22, .external_lex_state = 4},
  [3896] = {.lex_state = 0, .external_lex_state = 4},
  [3897] = {.lex_state = 22, .external_lex_state = 4},
  [3898] = {.lex_state = 22, .external_lex_state = 4},
  [3899] = {.lex_state = 229, .external_lex_state = 4},
  [3900] = {.lex_state = 229, .external_lex_state = 5},
  [3901] = {.lex_state = 229, .external_lex_state = 5},
  [3902] = {.lex_state = 229, .external_lex_state = 5},
  [3903] = {.lex_state = 229, .external_lex_state = 5},
  [3904] = {.lex_state = 229, .external_lex_state = 5},
  [3905] = {.lex_state = 229, .external_lex_state = 5},
  [3906] = {.lex_state = 229, .external_lex_state = 5},
  [3907] = {.lex_state = 229, .external_lex_state = 5},
  [3908] = {.lex_state = 0, .external_lex_state = 4},
  [3909] = {.lex_state = 229, .external_lex_state = 4},
  [3910] = {.lex_state = 229, .external_lex_state = 5},
  [3911] = {.lex_state = 22, .external_lex_state = 4},
  [3912] = {.lex_state = 229, .external_lex_state = 5},
  [3913] = {.lex_state = 229, .external_lex_state = 4},
  [3914] = {.lex_state = 22, .external_lex_state = 4},
  [3915] = {.lex_state = 229, .external_lex_state = 4},
  [3916] = {.lex_state = 229, .external_lex_state = 4},
  [3917] = {.lex_state = 22, .external_lex_state = 4},
  [3918] = {.lex_state = 22, .external_lex_state = 4},
  [3919] = {.lex_state = 229, .external_lex_state = 4},
  [3920] = {.lex_state = 22, .external_lex_state = 4},
  [3921] = {.lex_state = 22, .external_lex_state = 4},
  [3922] = {.lex_state = 229, .external_lex_state = 4},
  [3923] = {.lex_state = 229, .external_lex_state = 5},
  [3924] = {.lex_state = 0, .external_lex_state = 4},
  [3925] = {.lex_state = 229, .external_lex_state = 4},
  [3926] = {.lex_state = 229, .external_lex_state = 4},
  [3927] = {.lex_state = 229, .external_lex_state = 4},
  [3928] = {.lex_state = 229, .external_lex_state = 5},
  [3929] = {.lex_state = 22, .external_lex_state = 4},
  [3930] = {.lex_state = 229, .external_lex_state = 4},
  [3931] = {.lex_state = 22, .external_lex_state = 4},
  [3932] = {.lex_state = 229, .external_lex_state = 4},
  [3933] = {.lex_state = 22, .external_lex_state = 4},
  [3934] = {.lex_state = 0, .external_lex_state = 4},
  [3935] = {.lex_state = 229, .external_lex_state = 4},
  [3936] = {.lex_state = 36, .external_lex_state = 4},
  [3937] = {.lex_state = 22, .external_lex_state = 4},
  [3938] = {.lex_state = 22, .external_lex_state = 4},
  [3939] = {.lex_state = 22, .external_lex_state = 4},
  [3940] = {.lex_state = 22, .external_lex_state = 4},
  [3941] = {.lex_state = 229, .external_lex_state = 4},
  [3942] = {.lex_state = 22, .external_lex_state = 4},
  [3943] = {.lex_state = 229, .external_lex_state = 4},
  [3944] = {.lex_state = 229, .external_lex_state = 5},
  [3945] = {.lex_state = 36, .external_lex_state = 4},
  [3946] = {.lex_state = 0, .external_lex_state = 4},
  [3947] = {.lex_state = 229, .external_lex_state = 5},
  [3948] = {.lex_state = 229, .external_lex_state = 5},
  [3949] = {.lex_state = 229, .external_lex_state = 5},
  [3950] = {.lex_state = 229, .external_lex_state = 5},
  [3951] = {.lex_state = 229, .external_lex_state = 4},
  [3952] = {.lex_state = 0, .external_lex_state = 4},
  [3953] = {.lex_state = 229, .external_lex_state = 5},
  [3954] = {.lex_state = 229, .external_lex_state = 5},
  [3955] = {.lex_state = 229, .external_lex_state = 4},
  [3956] = {.lex_state = 0, .external_lex_state = 4},
  [3957] = {.lex_state = 22, .external_lex_state = 4},
  [3958] = {.lex_state = 22, .external_lex_state = 4},
  [3959] = {.lex_state = 229, .external_lex_state = 4},
  [3960] = {.lex_state = 229, .external_lex_state = 5},
  [3961] = {.lex_state = 229, .external_lex_state = 4},
  [3962] = {.lex_state = 229, .external_lex_state = 4},
  [3963] = {.lex_state = 229, .external_lex_state = 5},
  [3964] = {.lex_state = 229, .external_lex_state = 4},
  [3965] = {.lex_state = 0, .external_lex_state = 4},
  [3966] = {.lex_state = 229, .external_lex_state = 5},
  [3967] = {.lex_state = 229, .external_lex_state = 4},
  [3968] = {.lex_state = 22, .external_lex_state = 4},
  [3969] = {.lex_state = 229, .external_lex_state = 4},
  [3970] = {.lex_state = 229, .external_lex_state = 4},
  [3971] = {.lex_state = 22, .external_lex_state = 4},
  [3972] = {.lex_state = 22, .external_lex_state = 4},
  [3973] = {.lex_state = 22, .external_lex_state = 4},
  [3974] = {.lex_state = 22, .external_lex_state = 4},
  [3975] = {.lex_state = 36, .external_lex_state = 4},
  [3976] = {.lex_state = 22, .external_lex_state = 4},
  [3977] = {.lex_state = 229, .external_lex_state = 4},
  [3978] = {.lex_state = 229, .external_lex_state = 4},
  [3979] = {.lex_state = 229, .external_lex_state = 4},
  [3980] = {.lex_state = 229, .external_lex_state = 4},
  [3981] = {.lex_state = 229, .external_lex_state = 5},
  [3982] = {.lex_state = 229, .external_lex_state = 5},
  [3983] = {.lex_state = 23, .external_lex_state = 4},
  [3984] = {.lex_state = 0, .external_lex_state = 4},
  [3985] = {.lex_state = 229, .external_lex_state = 4},
  [3986] = {.lex_state = 0, .external_lex_state = 4},
  [3987] = {.lex_state = 229, .external_lex_state = 5},
  [3988] = {.lex_state = 36, .external_lex_state = 4},
  [3989] = {.lex_state = 229, .external_lex_state = 4},
  [3990] = {.lex_state = 229, .external_lex_state = 5},
  [3991] = {.lex_state = 229, .external_lex_state = 4},
  [3992] = {.lex_state = 23, .external_lex_state = 4},
  [3993] = {.lex_state = 22, .external_lex_state = 4},
  [3994] = {.lex_state = 22, .external_lex_state = 4},
  [3995] = {.lex_state = 0, .external_lex_state = 4},
  [3996] = {.lex_state = 229, .external_lex_state = 4},
  [3997] = {.lex_state = 22, .external_lex_state = 4},
  [3998] = {.lex_state = 229, .external_lex_state = 4},
  [3999] = {.lex_state = 229, .external_lex_state = 4},
  [4000] = {.lex_state = 229, .external_lex_state = 4},
  [4001] = {.lex_state = 0, .external_lex_state = 4},
  [4002] = {.lex_state = 0, .external_lex_state = 9},
  [4003] = {.lex_state = 0, .external_lex_state = 4},
  [4004] = {.lex_state = 0, .external_lex_state = 4},
  [4005] = {.lex_state = 22, .external_lex_state = 4},
  [4006] = {.lex_state = 49, .external_lex_state = 4},
  [4007] = {.lex_state = 0, .external_lex_state = 4},
  [4008] = {.lex_state = 22, .external_lex_state = 4},
  [4009] = {.lex_state = 0, .external_lex_state = 4},
  [4010] = {.lex_state = 22, .external_lex_state = 4},
  [4011] = {.lex_state = 229, .external_lex_state = 4},
  [4012] = {.lex_state = 229, .external_lex_state = 4},
  [4013] = {.lex_state = 229, .external_lex_state = 4},
  [4014] = {.lex_state = 229, .external_lex_state = 4},
  [4015] = {.lex_state = 229, .external_lex_state = 4},
  [4016] = {.lex_state = 229, .external_lex_state = 4},
  [4017] = {.lex_state = 0, .external_lex_state = 4},
  [4018] = {.lex_state = 22, .external_lex_state = 4},
  [4019] = {.lex_state = 229, .external_lex_state = 4},
  [4020] = {.lex_state = 229, .external_lex_state = 4},
  [4021] = {.lex_state = 229, .external_lex_state = 4},
  [4022] = {.lex_state = 229, .external_lex_state = 4},
  [4023] = {.lex_state = 229, .external_lex_state = 4},
  [4024] = {.lex_state = 22, .external_lex_state = 4},
  [4025] = {.lex_state = 229, .external_lex_state = 4},
  [4026] = {.lex_state = 229, .external_lex_state = 4},
  [4027] = {.lex_state = 0, .external_lex_state = 4},
  [4028] = {.lex_state = 229, .external_lex_state = 4},
  [4029] = {.lex_state = 0, .external_lex_state = 9},
  [4030] = {.lex_state = 229, .external_lex_state = 4},
  [4031] = {.lex_state = 0, .external_lex_state = 4},
  [4032] = {.lex_state = 229, .external_lex_state = 4},
  [4033] = {.lex_state = 229, .external_lex_state = 4},
  [4034] = {.lex_state = 23, .external_lex_state = 4},
  [4035] = {.lex_state = 0, .external_lex_state = 9},
  [4036] = {.lex_state = 0, .external_lex_state = 9},
  [4037] = {.lex_state = 229, .external_lex_state = 4},
  [4038] = {.lex_state = 229, .external_lex_state = 4},
  [4039] = {.lex_state = 22, .external_lex_state = 4},
  [4040] = {.lex_state = 229, .external_lex_state = 4},
  [4041] = {.lex_state = 229, .external_lex_state = 4},
  [4042] = {.lex_state = 0, .external_lex_state = 4},
  [4043] = {.lex_state = 229, .external_lex_state = 4},
  [4044] = {.lex_state = 229, .external_lex_state = 4},
  [4045] = {.lex_state = 229, .external_lex_state = 4},
  [4046] = {.lex_state = 229, .external_lex_state = 4},
  [4047] = {.lex_state = 229, .external_lex_state = 4},
  [4048] = {.lex_state = 229, .external_lex_state = 4},
  [4049] = {.lex_state = 229, .external_lex_state = 4},
  [4050] = {.lex_state = 22, .external_lex_state = 4},
  [4051] = {.lex_state = 0, .external_lex_state = 9},
  [4052] = {.lex_state = 0, .external_lex_state = 9},
  [4053] = {.lex_state = 229, .external_lex_state = 4},
  [4054] = {.lex_state = 22, .external_lex_state = 4},
  [4055] = {.lex_state = 22, .external_lex_state = 4},
  [4056] = {.lex_state = 229, .external_lex_state = 4},
  [4057] = {.lex_state = 229, .external_lex_state = 4},
  [4058] = {.lex_state = 229, .external_lex_state = 4},
  [4059] = {.lex_state = 229, .external_lex_state = 4},
  [4060] = {.lex_state = 0, .external_lex_state = 4},
  [4061] = {.lex_state = 22, .external_lex_state = 4},
  [4062] = {.lex_state = 0, .external_lex_state = 4},
  [4063] = {.lex_state = 229, .external_lex_state = 4},
  [4064] = {.lex_state = 229, .external_lex_state = 4},
  [4065] = {.lex_state = 229, .external_lex_state = 4},
  [4066] = {.lex_state = 229, .external_lex_state = 4},
  [4067] = {.lex_state = 229, .external_lex_state = 4},
  [4068] = {.lex_state = 0, .external_lex_state = 4},
  [4069] = {.lex_state = 229, .external_lex_state = 4},
  [4070] = {.lex_state = 22, .external_lex_state = 4},
  [4071] = {.lex_state = 22, .external_lex_state = 4},
  [4072] = {.lex_state = 229, .external_lex_state = 4},
  [4073] = {.lex_state = 229, .external_lex_state = 4},
  [4074] = {.lex_state = 229, .external_lex_state = 4},
  [4075] = {.lex_state = 229, .external_lex_state = 4},
  [4076] = {.lex_state = 22, .external_lex_state = 4},
  [4077] = {.lex_state = 229, .external_lex_state = 4},
  [4078] = {.lex_state = 22, .external_lex_state = 4},
  [4079] = {.lex_state = 229, .external_lex_state = 4},
  [4080] = {.lex_state = 0, .external_lex_state = 4},
  [4081] = {.lex_state = 229, .external_lex_state = 4},
  [4082] = {.lex_state = 229, .external_lex_state = 4},
  [4083] = {.lex_state = 0, .external_lex_state = 9},
  [4084] = {.lex_state = 0, .external_lex_state = 4},
  [4085] = {.lex_state = 229, .external_lex_state = 4},
  [4086] = {.lex_state = 229, .external_lex_state = 4},
  [4087] = {.lex_state = 229, .external_lex_state = 4},
  [4088] = {.lex_state = 0, .external_lex_state = 4},
  [4089] = {.lex_state = 229, .external_lex_state = 4},
  [4090] = {.lex_state = 229, .external_lex_state = 4},
  [4091] = {.lex_state = 229, .external_lex_state = 4},
  [4092] = {.lex_state = 229, .external_lex_state = 4},
  [4093] = {.lex_state = 229, .external_lex_state = 4},
  [4094] = {.lex_state = 229, .external_lex_state = 4},
  [4095] = {.lex_state = 229, .external_lex_state = 4},
  [4096] = {.lex_state = 229, .external_lex_state = 4},
  [4097] = {.lex_state = 22, .external_lex_state = 4},
  [4098] = {.lex_state = 0, .external_lex_state = 9},
  [4099] = {.lex_state = 229, .external_lex_state = 4},
  [4100] = {.lex_state = 22, .external_lex_state = 4},
  [4101] = {.lex_state = 0, .external_lex_state = 4},
  [4102] = {.lex_state = 229, .external_lex_state = 4},
  [4103] = {.lex_state = 229, .external_lex_state = 4},
  [4104] = {.lex_state = 0, .external_lex_state = 4},
  [4105] = {.lex_state = 22, .external_lex_state = 4},
  [4106] = {.lex_state = 3, .external_lex_state = 4},
  [4107] = {.lex_state = 229, .external_lex_state = 4},
  [4108] = {.lex_state = 229, .external_lex_state = 4},
  [4109] = {.lex_state = 229, .external_lex_state = 4},
  [4110] = {.lex_state = 229, .external_lex_state = 4},
  [4111] = {.lex_state = 229, .external_lex_state = 4},
  [4112] = {.lex_state = 229, .external_lex_state = 4},
  [4113] = {.lex_state = 22, .external_lex_state = 4},
  [4114] = {.lex_state = 0, .external_lex_state = 4},
  [4115] = {.lex_state = 229, .external_lex_state = 4},
  [4116] = {.lex_state = 229, .external_lex_state = 4},
  [4117] = {.lex_state = 0, .external_lex_state = 4},
  [4118] = {.lex_state = 229, .external_lex_state = 4},
  [4119] = {.lex_state = 22, .external_lex_state = 4},
  [4120] = {.lex_state = 229, .external_lex_state = 4},
  [4121] = {.lex_state = 229, .external_lex_state = 4},
  [4122] = {.lex_state = 229, .external_lex_state = 4},
  [4123] = {.lex_state = 229, .external_lex_state = 4},
  [4124] = {.lex_state = 229, .external_lex_state = 4},
  [4125] = {.lex_state = 0, .external_lex_state = 9},
  [4126] = {.lex_state = 229, .external_lex_state = 4},
  [4127] = {.lex_state = 229, .external_lex_state = 4},
  [4128] = {.lex_state = 229, .external_lex_state = 4},
  [4129] = {.lex_state = 229, .external_lex_state = 5},
  [4130] = {.lex_state = 229, .external_lex_state = 4},
  [4131] = {.lex_state = 0, .external_lex_state = 9},
  [4132] = {.lex_state = 229, .external_lex_state = 4},
  [4133] = {.lex_state = 229, .external_lex_state = 4},
  [4134] = {.lex_state = 229, .external_lex_state = 4},
  [4135] = {.lex_state = 229, .external_lex_state = 4},
  [4136] = {.lex_state = 229, .external_lex_state = 4},
  [4137] = {.lex_state = 229, .external_lex_state = 4},
  [4138] = {.lex_state = 229, .external_lex_state = 4},
  [4139] = {.lex_state = 229, .external_lex_state = 4},
  [4140] = {.lex_state = 229, .external_lex_state = 4},
  [4141] = {.lex_state = 229, .external_lex_state = 4},
  [4142] = {.lex_state = 46, .external_lex_state = 6},
  [4143] = {.lex_state = 229, .external_lex_state = 4},
  [4144] = {.lex_state = 3, .external_lex_state = 4},
  [4145] = {.lex_state = 229, .external_lex_state = 4},
  [4146] = {.lex_state = 229, .external_lex_state = 4},
  [4147] = {.lex_state = 229, .external_lex_state = 4},
  [4148] = {.lex_state = 0, .external_lex_state = 9},
  [4149] = {.lex_state = 229, .external_lex_state = 4},
  [4150] = {.lex_state = 229, .external_lex_state = 4},
  [4151] = {.lex_state = 229, .external_lex_state = 4},
  [4152] = {.lex_state = 22, .external_lex_state = 4},
  [4153] = {.lex_state = 229, .external_lex_state = 4},
  [4154] = {.lex_state = 229, .external_lex_state = 4},
  [4155] = {.lex_state = 46, .external_lex_state = 6},
  [4156] = {.lex_state = 0, .external_lex_state = 4},
  [4157] = {.lex_state = 22, .external_lex_state = 4},
  [4158] = {.lex_state = 0, .external_lex_state = 4},
  [4159] = {.lex_state = 0, .external_lex_state = 9},
  [4160] = {.lex_state = 0, .external_lex_state = 4},
  [4161] = {.lex_state = 229, .external_lex_state = 4},
  [4162] = {.lex_state = 0, .external_lex_state = 9},
  [4163] = {.lex_state = 229, .external_lex_state = 4},
  [4164] = {.lex_state = 0, .external_lex_state = 9},
  [4165] = {.lex_state = 0, .external_lex_state = 4},
  [4166] = {.lex_state = 22, .external_lex_state = 4},
  [4167] = {.lex_state = 229, .external_lex_state = 4},
  [4168] = {.lex_state = 229, .external_lex_state = 4},
  [4169] = {.lex_state = 0, .external_lex_state = 4},
  [4170] = {.lex_state = 22, .external_lex_state = 4},
  [4171] = {.lex_state = 0, .external_lex_state = 9},
  [4172] = {.lex_state = 229, .external_lex_state = 4},
  [4173] = {.lex_state = 0, .external_lex_state = 4},
  [4174] = {.lex_state = 0, .external_lex_state = 4},
  [4175] = {.lex_state = 22, .external_lex_state = 4},
  [4176] = {.lex_state = 229, .external_lex_state = 4},
  [4177] = {.lex_state = 229, .external_lex_state = 4},
  [4178] = {.lex_state = 229, .external_lex_state = 4},
  [4179] = {.lex_state = 229, .external_lex_state = 4},
  [4180] = {.lex_state = 0, .external_lex_state = 4},
  [4181] = {.lex_state = 229, .external_lex_state = 4},
  [4182] = {.lex_state = 229, .external_lex_state = 4},
  [4183] = {.lex_state = 0, .external_lex_state = 9},
  [4184] = {.lex_state = 22, .external_lex_state = 4},
  [4185] = {.lex_state = 229, .external_lex_state = 4},
  [4186] = {.lex_state = 229, .external_lex_state = 4},
  [4187] = {.lex_state = 229, .external_lex_state = 4},
  [4188] = {.lex_state = 229, .external_lex_state = 4},
  [4189] = {.lex_state = 229, .external_lex_state = 4},
  [4190] = {.lex_state = 229, .external_lex_state = 4},
  [4191] = {.lex_state = 229, .external_lex_state = 4},
  [4192] = {.lex_state = 229, .external_lex_state = 4},
  [4193] = {.lex_state = 229, .external_lex_state = 4},
  [4194] = {.lex_state = 229, .external_lex_state = 4},
  [4195] = {.lex_state = 229, .external_lex_state = 4},
  [4196] = {.lex_state = 22, .external_lex_state = 4},
  [4197] = {.lex_state = 0, .external_lex_state = 4},
  [4198] = {.lex_state = 0, .external_lex_state = 4},
  [4199] = {.lex_state = 22, .external_lex_state = 4},
  [4200] = {.lex_state = 229, .external_lex_state = 4},
  [4201] = {.lex_state = 229, .external_lex_state = 4},
  [4202] = {.lex_state = 229, .external_lex_state = 4},
  [4203] = {.lex_state = 0, .external_lex_state = 4},
  [4204] = {.lex_state = 229, .external_lex_state = 4},
  [4205] = {.lex_state = 229, .external_lex_state = 4},
  [4206] = {.lex_state = 229, .external_lex_state = 4},
  [4207] = {.lex_state = 229, .external_lex_state = 4},
  [4208] = {.lex_state = 229, .external_lex_state = 4},
  [4209] = {.lex_state = 229, .external_lex_state = 4},
  [4210] = {.lex_state = 229, .external_lex_state = 4},
  [4211] = {.lex_state = 229, .external_lex_state = 4},
  [4212] = {.lex_state = 229, .external_lex_state = 4},
  [4213] = {.lex_state = 0, .external_lex_state = 9},
  [4214] = {.lex_state = 0, .external_lex_state = 9},
  [4215] = {.lex_state = 0, .external_lex_state = 4},
  [4216] = {.lex_state = 22, .external_lex_state = 4},
  [4217] = {.lex_state = 229, .external_lex_state = 4},
  [4218] = {.lex_state = 22, .external_lex_state = 4},
  [4219] = {.lex_state = 0, .external_lex_state = 4},
  [4220] = {.lex_state = 229, .external_lex_state = 4},
  [4221] = {.lex_state = 229, .external_lex_state = 4},
  [4222] = {.lex_state = 229, .external_lex_state = 4},
  [4223] = {.lex_state = 229, .external_lex_state = 4},
  [4224] = {.lex_state = 229, .external_lex_state = 4},
  [4225] = {.lex_state = 229, .external_lex_state = 4},
  [4226] = {.lex_state = 229, .external_lex_state = 4},
  [4227] = {.lex_state = 0, .external_lex_state = 9},
  [4228] = {.lex_state = 229, .external_lex_state = 4},
  [4229] = {.lex_state = 229, .external_lex_state = 4},
  [4230] = {.lex_state = 229, .external_lex_state = 4},
  [4231] = {.lex_state = 229, .external_lex_state = 4},
  [4232] = {.lex_state = 229, .external_lex_state = 4},
  [4233] = {.lex_state = 229, .external_lex_state = 4},
  [4234] = {.lex_state = 229, .external_lex_state = 4},
  [4235] = {.lex_state = 229, .external_lex_state = 4},
  [4236] = {.lex_state = 229, .external_lex_state = 4},
  [4237] = {.lex_state = 0, .external_lex_state = 4},
  [4238] = {.lex_state = 229, .external_lex_state = 4},
  [4239] = {.lex_state = 22, .external_lex_state = 4},
  [4240] = {.lex_state = 229, .external_lex_state = 4},
  [4241] = {.lex_state = 229, .external_lex_state = 4},
  [4242] = {.lex_state = 229, .external_lex_state = 4},
  [4243] = {.lex_state = 229, .external_lex_state = 4},
  [4244] = {.lex_state = 0, .external_lex_state = 9},
  [4245] = {.lex_state = 229, .external_lex_state = 4},
  [4246] = {.lex_state = 229, .external_lex_state = 4},
  [4247] = {.lex_state = 3, .external_lex_state = 4},
  [4248] = {.lex_state = 229, .external_lex_state = 4},
  [4249] = {.lex_state = 229, .external_lex_state = 4},
  [4250] = {.lex_state = 229, .external_lex_state = 4},
  [4251] = {.lex_state = 229, .external_lex_state = 4},
  [4252] = {.lex_state = 3, .external_lex_state = 4},
  [4253] = {.lex_state = 22, .external_lex_state = 4},
  [4254] = {.lex_state = 0, .external_lex_state = 4},
  [4255] = {.lex_state = 229, .external_lex_state = 4},
  [4256] = {.lex_state = 229, .external_lex_state = 4},
  [4257] = {.lex_state = 229, .external_lex_state = 4},
  [4258] = {.lex_state = 229, .external_lex_state = 4},
  [4259] = {.lex_state = 229, .external_lex_state = 4},
  [4260] = {.lex_state = 229, .external_lex_state = 4},
  [4261] = {.lex_state = 0, .external_lex_state = 4},
  [4262] = {.lex_state = 23, .external_lex_state = 4},
  [4263] = {.lex_state = 0, .external_lex_state = 9},
  [4264] = {.lex_state = 0, .external_lex_state = 4},
  [4265] = {.lex_state = 22, .external_lex_state = 4},
  [4266] = {.lex_state = 36, .external_lex_state = 4},
  [4267] = {.lex_state = 229, .external_lex_state = 4},
  [4268] = {.lex_state = 229, .external_lex_state = 4},
  [4269] = {.lex_state = 229, .external_lex_state = 4},
  [4270] = {.lex_state = 229, .external_lex_state = 4},
  [4271] = {.lex_state = 229, .external_lex_state = 4},
  [4272] = {.lex_state = 229, .external_lex_state = 4},
  [4273] = {.lex_state = 229, .external_lex_state = 4},
  [4274] = {.lex_state = 229, .external_lex_state = 4},
  [4275] = {.lex_state = 229, .external_lex_state = 4},
  [4276] = {.lex_state = 229, .external_lex_state = 4},
  [4277] = {.lex_state = 229, .external_lex_state = 4},
  [4278] = {.lex_state = 229, .external_lex_state = 4},
  [4279] = {.lex_state = 229, .external_lex_state = 4},
  [4280] = {.lex_state = 229, .external_lex_state = 4},
  [4281] = {.lex_state = 229, .external_lex_state = 4},
  [4282] = {.lex_state = 229, .external_lex_state = 4},
  [4283] = {.lex_state = 229, .external_lex_state = 4},
  [4284] = {.lex_state = 229, .external_lex_state = 4},
  [4285] = {.lex_state = 0, .external_lex_state = 4},
  [4286] = {.lex_state = 229, .external_lex_state = 4},
  [4287] = {.lex_state = 229, .external_lex_state = 4},
  [4288] = {.lex_state = 229, .external_lex_state = 4},
  [4289] = {.lex_state = 229, .external_lex_state = 4},
  [4290] = {.lex_state = 229, .external_lex_state = 4},
  [4291] = {.lex_state = 229, .external_lex_state = 4},
  [4292] = {.lex_state = 229, .external_lex_state = 4},
  [4293] = {.lex_state = 229, .external_lex_state = 4},
  [4294] = {.lex_state = 229, .external_lex_state = 4},
  [4295] = {.lex_state = 0, .external_lex_state = 4},
  [4296] = {.lex_state = 3, .external_lex_state = 4},
  [4297] = {.lex_state = 229, .external_lex_state = 4},
  [4298] = {.lex_state = 229, .external_lex_state = 4},
  [4299] = {.lex_state = 229, .external_lex_state = 4},
  [4300] = {.lex_state = 229, .external_lex_state = 4},
  [4301] = {.lex_state = 229, .external_lex_state = 4},
  [4302] = {.lex_state = 229, .external_lex_state = 4},
  [4303] = {.lex_state = 229, .external_lex_state = 4},
  [4304] = {.lex_state = 229, .external_lex_state = 4},
  [4305] = {.lex_state = 229, .external_lex_state = 4},
  [4306] = {.lex_state = 229, .external_lex_state = 4},
  [4307] = {.lex_state = 229, .external_lex_state = 4},
  [4308] = {.lex_state = 229, .external_lex_state = 4},
  [4309] = {.lex_state = 229, .external_lex_state = 4},
  [4310] = {.lex_state = 0, .external_lex_state = 4},
  [4311] = {.lex_state = 22, .external_lex_state = 4},
  [4312] = {.lex_state = 229, .external_lex_state = 4},
  [4313] = {.lex_state = 0, .external_lex_state = 4},
  [4314] = {.lex_state = 229, .external_lex_state = 4},
  [4315] = {.lex_state = 229, .external_lex_state = 4},
  [4316] = {.lex_state = 229, .external_lex_state = 4},
  [4317] = {.lex_state = 229, .external_lex_state = 4},
  [4318] = {.lex_state = 229, .external_lex_state = 4},
  [4319] = {.lex_state = 229, .external_lex_state = 4},
  [4320] = {.lex_state = 229, .external_lex_state = 4},
  [4321] = {.lex_state = 229, .external_lex_state = 4},
  [4322] = {.lex_state = 3, .external_lex_state = 4},
  [4323] = {.lex_state = 0, .external_lex_state = 9},
  [4324] = {.lex_state = 229, .external_lex_state = 4},
  [4325] = {.lex_state = 229, .external_lex_state = 4},
  [4326] = {.lex_state = 229, .external_lex_state = 4},
  [4327] = {.lex_state = 229, .external_lex_state = 4},
  [4328] = {.lex_state = 229, .external_lex_state = 4},
  [4329] = {.lex_state = 229, .external_lex_state = 4},
  [4330] = {.lex_state = 0, .external_lex_state = 4},
  [4331] = {.lex_state = 229, .external_lex_state = 4},
  [4332] = {.lex_state = 22, .external_lex_state = 4},
  [4333] = {.lex_state = 0, .external_lex_state = 4},
  [4334] = {.lex_state = 22, .external_lex_state = 4},
  [4335] = {.lex_state = 229, .external_lex_state = 4},
  [4336] = {.lex_state = 229, .external_lex_state = 4},
  [4337] = {.lex_state = 229, .external_lex_state = 4},
  [4338] = {.lex_state = 0, .external_lex_state = 9},
  [4339] = {.lex_state = 229, .external_lex_state = 4},
  [4340] = {.lex_state = 0, .external_lex_state = 9},
  [4341] = {.lex_state = 0, .external_lex_state = 9},
  [4342] = {.lex_state = 229, .external_lex_state = 4},
  [4343] = {.lex_state = 229, .external_lex_state = 4},
  [4344] = {.lex_state = 0, .external_lex_state = 4},
  [4345] = {.lex_state = 229, .external_lex_state = 4},
  [4346] = {.lex_state = 0, .external_lex_state = 4},
  [4347] = {.lex_state = 229, .external_lex_state = 4},
  [4348] = {.lex_state = 22, .external_lex_state = 4},
  [4349] = {.lex_state = 22, .external_lex_state = 4},
  [4350] = {.lex_state = 0, .external_lex_state = 4},
  [4351] = {.lex_state = 0, .external_lex_state = 9},
  [4352] = {.lex_state = 0, .external_lex_state = 4},
  [4353] = {.lex_state = 229, .external_lex_state = 4},
  [4354] = {.lex_state = 229, .external_lex_state = 4},
  [4355] = {.lex_state = 229, .external_lex_state = 4},
  [4356] = {.lex_state = 0, .external_lex_state = 4},
  [4357] = {.lex_state = 0, .external_lex_state = 9},
  [4358] = {.lex_state = 229, .external_lex_state = 4},
  [4359] = {.lex_state = 0, .external_lex_state = 9},
  [4360] = {.lex_state = 229, .external_lex_state = 4},
  [4361] = {.lex_state = 0, .external_lex_state = 9},
  [4362] = {.lex_state = 229, .external_lex_state = 4},
  [4363] = {.lex_state = 229, .external_lex_state = 4},
  [4364] = {.lex_state = 229, .external_lex_state = 4},
  [4365] = {.lex_state = 229, .external_lex_state = 4},
  [4366] = {.lex_state = 229, .external_lex_state = 4},
  [4367] = {.lex_state = 22, .external_lex_state = 4},
  [4368] = {.lex_state = 229, .external_lex_state = 4},
  [4369] = {.lex_state = 0, .external_lex_state = 4},
  [4370] = {.lex_state = 229, .external_lex_state = 4},
  [4371] = {.lex_state = 22, .external_lex_state = 4},
  [4372] = {.lex_state = 229, .external_lex_state = 4},
  [4373] = {.lex_state = 22, .external_lex_state = 4},
  [4374] = {.lex_state = 229, .external_lex_state = 4},
  [4375] = {.lex_state = 229, .external_lex_state = 4},
  [4376] = {.lex_state = 229, .external_lex_state = 4},
  [4377] = {.lex_state = 229, .external_lex_state = 4},
  [4378] = {.lex_state = 229, .external_lex_state = 4},
  [4379] = {.lex_state = 229, .external_lex_state = 4},
  [4380] = {.lex_state = 229, .external_lex_state = 4},
  [4381] = {.lex_state = 229, .external_lex_state = 4},
  [4382] = {.lex_state = 229, .external_lex_state = 4},
  [4383] = {.lex_state = 229, .external_lex_state = 4},
  [4384] = {.lex_state = 229, .external_lex_state = 4},
  [4385] = {.lex_state = 229, .external_lex_state = 4},
  [4386] = {.lex_state = 229, .external_lex_state = 4},
  [4387] = {.lex_state = 22, .external_lex_state = 4},
  [4388] = {.lex_state = 229, .external_lex_state = 4},
  [4389] = {.lex_state = 229, .external_lex_state = 4},
  [4390] = {.lex_state = 23, .external_lex_state = 4},
  [4391] = {.lex_state = 0, .external_lex_state = 4},
  [4392] = {.lex_state = 229, .external_lex_state = 4},
  [4393] = {.lex_state = 229, .external_lex_state = 4},
  [4394] = {.lex_state = 229, .external_lex_state = 4},
  [4395] = {.lex_state = 229, .external_lex_state = 4},
  [4396] = {.lex_state = 229, .external_lex_state = 4},
  [4397] = {.lex_state = 229, .external_lex_state = 4},
  [4398] = {.lex_state = 229, .external_lex_state = 4},
  [4399] = {.lex_state = 229, .external_lex_state = 4},
  [4400] = {.lex_state = 229, .external_lex_state = 4},
  [4401] = {.lex_state = 229, .external_lex_state = 4},
  [4402] = {.lex_state = 229, .external_lex_state = 4},
  [4403] = {.lex_state = 0, .external_lex_state = 4},
  [4404] = {.lex_state = 229, .external_lex_state = 4},
  [4405] = {.lex_state = 23, .external_lex_state = 4},
  [4406] = {.lex_state = 229, .external_lex_state = 4},
  [4407] = {.lex_state = 229, .external_lex_state = 4},
  [4408] = {.lex_state = 229, .external_lex_state = 4},
  [4409] = {.lex_state = 229, .external_lex_state = 4},
  [4410] = {.lex_state = 22, .external_lex_state = 4},
  [4411] = {.lex_state = 22, .external_lex_state = 4},
  [4412] = {.lex_state = 229, .external_lex_state = 4},
  [4413] = {.lex_state = 229, .external_lex_state = 4},
  [4414] = {.lex_state = 229, .external_lex_state = 4},
  [4415] = {.lex_state = 229, .external_lex_state = 4},
  [4416] = {.lex_state = 229, .external_lex_state = 4},
  [4417] = {.lex_state = 0, .external_lex_state = 4},
  [4418] = {.lex_state = 49, .external_lex_state = 6},
  [4419] = {.lex_state = 229, .external_lex_state = 4},
  [4420] = {.lex_state = 22, .external_lex_state = 4},
  [4421] = {.lex_state = 23, .external_lex_state = 4},
  [4422] = {.lex_state = 22, .external_lex_state = 4},
  [4423] = {.lex_state = 229, .external_lex_state = 4},
  [4424] = {.lex_state = 229, .external_lex_state = 4},
  [4425] = {.lex_state = 36, .external_lex_state = 4},
  [4426] = {.lex_state = 229, .external_lex_state = 4},
  [4427] = {.lex_state = 22, .external_lex_state = 4},
  [4428] = {.lex_state = 23, .external_lex_state = 4},
  [4429] = {.lex_state = 229, .external_lex_state = 4},
  [4430] = {.lex_state = 229, .external_lex_state = 4},
  [4431] = {.lex_state = 0, .external_lex_state = 9},
  [4432] = {.lex_state = 229, .external_lex_state = 4},
  [4433] = {.lex_state = 229, .external_lex_state = 4},
  [4434] = {.lex_state = 22, .external_lex_state = 4},
  [4435] = {.lex_state = 229, .external_lex_state = 4},
  [4436] = {.lex_state = 229, .external_lex_state = 4},
  [4437] = {.lex_state = 22, .external_lex_state = 4},
  [4438] = {.lex_state = 23, .external_lex_state = 4},
  [4439] = {.lex_state = 229, .external_lex_state = 4},
  [4440] = {.lex_state = 229, .external_lex_state = 4},
  [4441] = {.lex_state = 22, .external_lex_state = 4},
  [4442] = {.lex_state = 229, .external_lex_state = 4},
  [4443] = {.lex_state = 229, .external_lex_state = 4},
  [4444] = {.lex_state = 229, .external_lex_state = 4},
  [4445] = {.lex_state = 229, .external_lex_state = 4},
  [4446] = {.lex_state = 229, .external_lex_state = 4},
  [4447] = {.lex_state = 0, .external_lex_state = 4},
  [4448] = {.lex_state = 229, .external_lex_state = 4},
  [4449] = {.lex_state = 229, .external_lex_state = 4},
  [4450] = {.lex_state = 229, .external_lex_state = 4},
  [4451] = {.lex_state = 22, .external_lex_state = 4},
  [4452] = {.lex_state = 0, .external_lex_state = 4},
  [4453] = {.lex_state = 229, .external_lex_state = 4},
  [4454] = {.lex_state = 229, .external_lex_state = 4},
  [4455] = {.lex_state = 229, .external_lex_state = 4},
  [4456] = {.lex_state = 229, .external_lex_state = 4},
  [4457] = {.lex_state = 229, .external_lex_state = 4},
  [4458] = {.lex_state = 229, .external_lex_state = 4},
  [4459] = {.lex_state = 229, .external_lex_state = 4},
  [4460] = {.lex_state = 0, .external_lex_state = 4},
  [4461] = {.lex_state = 0, .external_lex_state = 4},
  [4462] = {.lex_state = 23, .external_lex_state = 4},
  [4463] = {.lex_state = 229, .external_lex_state = 4},
  [4464] = {.lex_state = 229, .external_lex_state = 4},
  [4465] = {.lex_state = 0, .external_lex_state = 4},
  [4466] = {.lex_state = 229, .external_lex_state = 4},
  [4467] = {.lex_state = 23, .external_lex_state = 4},
  [4468] = {.lex_state = 0, .external_lex_state = 4},
  [4469] = {.lex_state = 22, .external_lex_state = 4},
  [4470] = {.lex_state = 229, .external_lex_state = 4},
  [4471] = {.lex_state = 23, .external_lex_state = 4},
  [4472] = {.lex_state = 0, .external_lex_state = 4},
  [4473] = {.lex_state = 40, .external_lex_state = 4},
  [4474] = {.lex_state = 0, .external_lex_state = 4},
  [4475] = {.lex_state = 229, .external_lex_state = 4},
  [4476] = {.lex_state = 0, .external_lex_state = 4},
  [4477] = {.lex_state = 229, .external_lex_state = 4},
  [4478] = {.lex_state = 229, .external_lex_state = 4},
  [4479] = {.lex_state = 229, .external_lex_state = 4},
  [4480] = {.lex_state = 229, .external_lex_state = 4},
  [4481] = {.lex_state = 229, .external_lex_state = 4},
  [4482] = {.lex_state = 22, .external_lex_state = 4},
  [4483] = {.lex_state = 229, .external_lex_state = 4},
  [4484] = {.lex_state = 49, .external_lex_state = 6},
  [4485] = {.lex_state = 229, .external_lex_state = 4},
  [4486] = {.lex_state = 23, .external_lex_state = 4},
  [4487] = {.lex_state = 229, .external_lex_state = 4},
  [4488] = {.lex_state = 229, .external_lex_state = 4},
  [4489] = {.lex_state = 229, .external_lex_state = 4},
  [4490] = {.lex_state = 0, .external_lex_state = 4},
  [4491] = {.lex_state = 229, .external_lex_state = 4},
  [4492] = {.lex_state = 229, .external_lex_state = 4},
  [4493] = {.lex_state = 23, .external_lex_state = 4},
  [4494] = {.lex_state = 22, .external_lex_state = 4},
  [4495] = {.lex_state = 22, .external_lex_state = 4},
  [4496] = {.lex_state = 229, .external_lex_state = 4},
  [4497] = {.lex_state = 229, .external_lex_state = 4},
  [4498] = {.lex_state = 22, .external_lex_state = 4},
  [4499] = {.lex_state = 0, .external_lex_state = 4},
  [4500] = {.lex_state = 23, .external_lex_state = 4},
  [4501] = {.lex_state = 229, .external_lex_state = 4},
  [4502] = {.lex_state = 0, .external_lex_state = 4},
  [4503] = {.lex_state = 229, .external_lex_state = 4},
  [4504] = {.lex_state = 229, .external_lex_state = 4},
  [4505] = {.lex_state = 229, .external_lex_state = 4},
  [4506] = {.lex_state = 23, .external_lex_state = 4},
  [4507] = {.lex_state = 22, .external_lex_state = 4},
  [4508] = {.lex_state = 229, .external_lex_state = 4},
  [4509] = {.lex_state = 229, .external_lex_state = 4},
  [4510] = {.lex_state = 229, .external_lex_state = 4},
  [4511] = {.lex_state = 0, .external_lex_state = 4},
  [4512] = {.lex_state = 229, .external_lex_state = 4},
  [4513] = {.lex_state = 40, .external_lex_state = 4},
  [4514] = {.lex_state = 22, .external_lex_state = 4},
  [4515] = {.lex_state = 229, .external_lex_state = 4},
  [4516] = {.lex_state = 0, .external_lex_state = 4},
  [4517] = {.lex_state = 23, .external_lex_state = 4},
  [4518] = {.lex_state = 229, .external_lex_state = 4},
  [4519] = {.lex_state = 229, .external_lex_state = 4},
  [4520] = {.lex_state = 22, .external_lex_state = 4},
  [4521] = {.lex_state = 23, .external_lex_state = 4},
  [4522] = {.lex_state = 229, .external_lex_state = 4},
  [4523] = {.lex_state = 229, .external_lex_state = 4},
  [4524] = {.lex_state = 229, .external_lex_state = 4},
  [4525] = {.lex_state = 0, .external_lex_state = 4},
  [4526] = {.lex_state = 23, .external_lex_state = 4},
  [4527] = {.lex_state = 0, .external_lex_state = 4},
  [4528] = {.lex_state = 229, .external_lex_state = 4},
  [4529] = {.lex_state = 229, .external_lex_state = 4},
  [4530] = {.lex_state = 229, .external_lex_state = 4},
  [4531] = {.lex_state = 229, .external_lex_state = 4},
  [4532] = {.lex_state = 229, .external_lex_state = 4},
  [4533] = {.lex_state = 0, .external_lex_state = 4},
  [4534] = {.lex_state = 23, .external_lex_state = 4},
  [4535] = {.lex_state = 229, .external_lex_state = 4},
  [4536] = {.lex_state = 229, .external_lex_state = 4},
  [4537] = {.lex_state = 229, .external_lex_state = 4},
  [4538] = {.lex_state = 229, .external_lex_state = 4},
  [4539] = {.lex_state = 22, .external_lex_state = 4},
  [4540] = {.lex_state = 229, .external_lex_state = 4},
  [4541] = {.lex_state = 229, .external_lex_state = 4},
  [4542] = {.lex_state = 229, .external_lex_state = 4},
  [4543] = {.lex_state = 229, .external_lex_state = 4},
  [4544] = {.lex_state = 0, .external_lex_state = 4},
  [4545] = {.lex_state = 0, .external_lex_state = 4},
  [4546] = {.lex_state = 23, .external_lex_state = 4},
  [4547] = {.lex_state = 0, .external_lex_state = 4},
  [4548] = {.lex_state = 22, .external_lex_state = 4},
  [4549] = {.lex_state = 229, .external_lex_state = 4},
  [4550] = {.lex_state = 229, .external_lex_state = 4},
  [4551] = {.lex_state = 229, .external_lex_state = 4},
  [4552] = {.lex_state = 229, .external_lex_state = 4},
  [4553] = {.lex_state = 0, .external_lex_state = 4},
  [4554] = {.lex_state = 229, .external_lex_state = 4},
  [4555] = {.lex_state = 23, .external_lex_state = 4},
  [4556] = {.lex_state = 229, .external_lex_state = 4},
  [4557] = {.lex_state = 22, .external_lex_state = 4},
  [4558] = {.lex_state = 22, .external_lex_state = 4},
  [4559] = {.lex_state = 229, .external_lex_state = 4},
  [4560] = {.lex_state = 23, .external_lex_state = 4},
  [4561] = {.lex_state = 0, .external_lex_state = 4},
  [4562] = {.lex_state = 229, .external_lex_state = 4},
  [4563] = {.lex_state = 229, .external_lex_state = 4},
  [4564] = {.lex_state = 22, .external_lex_state = 4},
  [4565] = {.lex_state = 23, .external_lex_state = 4},
  [4566] = {.lex_state = 23, .external_lex_state = 4},
  [4567] = {.lex_state = 22, .external_lex_state = 4},
  [4568] = {.lex_state = 23, .external_lex_state = 4},
  [4569] = {.lex_state = 23, .external_lex_state = 4},
  [4570] = {.lex_state = 23, .external_lex_state = 4},
  [4571] = {.lex_state = 23, .external_lex_state = 4},
  [4572] = {.lex_state = 23, .external_lex_state = 4},
  [4573] = {.lex_state = 23, .external_lex_state = 4},
  [4574] = {.lex_state = 23, .external_lex_state = 4},
  [4575] = {.lex_state = 23, .external_lex_state = 4},
  [4576] = {.lex_state = 229, .external_lex_state = 4},
  [4577] = {.lex_state = 229, .external_lex_state = 4},
  [4578] = {.lex_state = 229, .external_lex_state = 4},
  [4579] = {.lex_state = 0, .external_lex_state = 4},
  [4580] = {.lex_state = 0, .external_lex_state = 4},
  [4581] = {.lex_state = 23, .external_lex_state = 4},
  [4582] = {.lex_state = 0, .external_lex_state = 4},
  [4583] = {.lex_state = 22, .external_lex_state = 4},
  [4584] = {.lex_state = 229, .external_lex_state = 4},
  [4585] = {.lex_state = 22, .external_lex_state = 4},
  [4586] = {.lex_state = 229, .external_lex_state = 4},
  [4587] = {.lex_state = 229, .external_lex_state = 4},
  [4588] = {.lex_state = 0, .external_lex_state = 4},
  [4589] = {.lex_state = 229, .external_lex_state = 4},
  [4590] = {.lex_state = 229, .external_lex_state = 4},
  [4591] = {.lex_state = 0, .external_lex_state = 4},
  [4592] = {.lex_state = 229, .external_lex_state = 4},
  [4593] = {.lex_state = 229, .external_lex_state = 4},
  [4594] = {.lex_state = 22, .external_lex_state = 4},
  [4595] = {.lex_state = 22, .external_lex_state = 4},
  [4596] = {.lex_state = 229, .external_lex_state = 4},
  [4597] = {.lex_state = 23, .external_lex_state = 4},
  [4598] = {.lex_state = 229, .external_lex_state = 4},
  [4599] = {.lex_state = 229, .external_lex_state = 4},
  [4600] = {.lex_state = 229, .external_lex_state = 4},
  [4601] = {.lex_state = 229, .external_lex_state = 4},
  [4602] = {.lex_state = 229, .external_lex_state = 4},
  [4603] = {.lex_state = 229, .external_lex_state = 4},
  [4604] = {.lex_state = 0, .external_lex_state = 4},
  [4605] = {.lex_state = 229, .external_lex_state = 4},
  [4606] = {.lex_state = 0, .external_lex_state = 4},
  [4607] = {.lex_state = 229, .external_lex_state = 4},
  [4608] = {.lex_state = 229, .external_lex_state = 4},
  [4609] = {.lex_state = 22, .external_lex_state = 4},
  [4610] = {.lex_state = 229, .external_lex_state = 4},
  [4611] = {.lex_state = 229, .external_lex_state = 4},
  [4612] = {.lex_state = 22, .external_lex_state = 4},
  [4613] = {.lex_state = 229, .external_lex_state = 4},
  [4614] = {.lex_state = 229, .external_lex_state = 4},
  [4615] = {.lex_state = 229, .external_lex_state = 4},
  [4616] = {.lex_state = 229, .external_lex_state = 4},
  [4617] = {.lex_state = 0, .external_lex_state = 4},
  [4618] = {.lex_state = 229, .external_lex_state = 4},
  [4619] = {.lex_state = 229, .external_lex_state = 4},
  [4620] = {.lex_state = 229, .external_lex_state = 4},
  [4621] = {.lex_state = 22, .external_lex_state = 4},
  [4622] = {.lex_state = 229, .external_lex_state = 4},
  [4623] = {.lex_state = 229, .external_lex_state = 4},
  [4624] = {.lex_state = 229, .external_lex_state = 4},
  [4625] = {.lex_state = 229, .external_lex_state = 4},
  [4626] = {.lex_state = 229, .external_lex_state = 4},
  [4627] = {.lex_state = 229, .external_lex_state = 4},
  [4628] = {.lex_state = 0, .external_lex_state = 4},
  [4629] = {.lex_state = 229, .external_lex_state = 4},
  [4630] = {.lex_state = 229, .external_lex_state = 4},
  [4631] = {.lex_state = 229, .external_lex_state = 4},
  [4632] = {.lex_state = 22, .external_lex_state = 4},
  [4633] = {.lex_state = 0, .external_lex_state = 4},
  [4634] = {.lex_state = 0, .external_lex_state = 4},
  [4635] = {.lex_state = 36, .external_lex_state = 4},
  [4636] = {.lex_state = 20, .external_lex_state = 4},
  [4637] = {.lex_state = 217, .external_lex_state = 4},
  [4638] = {.lex_state = 22, .external_lex_state = 4},
  [4639] = {.lex_state = 0, .external_lex_state = 4},
  [4640] = {.lex_state = 0, .external_lex_state = 4},
  [4641] = {.lex_state = 229, .external_lex_state = 4},
  [4642] = {.lex_state = 0, .external_lex_state = 4},
  [4643] = {.lex_state = 36, .external_lex_state = 4},
  [4644] = {.lex_state = 229, .external_lex_state = 4},
  [4645] = {.lex_state = 0, .external_lex_state = 4},
  [4646] = {.lex_state = 214, .external_lex_state = 4},
  [4647] = {.lex_state = 11, .external_lex_state = 4},
  [4648] = {.lex_state = 0, .external_lex_state = 4},
  [4649] = {.lex_state = 213, .external_lex_state = 4},
  [4650] = {.lex_state = 0, .external_lex_state = 4},
  [4651] = {.lex_state = 0, .external_lex_state = 4},
  [4652] = {.lex_state = 0, .external_lex_state = 4},
  [4653] = {.lex_state = 0, .external_lex_state = 4},
  [4654] = {.lex_state = 0, .external_lex_state = 4},
  [4655] = {.lex_state = 0, .external_lex_state = 4},
  [4656] = {.lex_state = 11, .external_lex_state = 4},
  [4657] = {.lex_state = 0, .external_lex_state = 4},
  [4658] = {.lex_state = 34, .external_lex_state = 4},
  [4659] = {.lex_state = 0, .external_lex_state = 4},
  [4660] = {.lex_state = 0, .external_lex_state = 4},
  [4661] = {.lex_state = 0, .external_lex_state = 4},
  [4662] = {.lex_state = 0, .external_lex_state = 6},
  [4663] = {.lex_state = 20, .external_lex_state = 4},
  [4664] = {.lex_state = 217, .external_lex_state = 4},
  [4665] = {.lex_state = 0, .external_lex_state = 4},
  [4666] = {.lex_state = 0, .external_lex_state = 4},
  [4667] = {.lex_state = 0, .external_lex_state = 4},
  [4668] = {.lex_state = 229, .external_lex_state = 4},
  [4669] = {.lex_state = 0, .external_lex_state = 4},
  [4670] = {.lex_state = 0, .external_lex_state = 4},
  [4671] = {.lex_state = 0, .external_lex_state = 4},
  [4672] = {.lex_state = 0, .external_lex_state = 4},
  [4673] = {.lex_state = 229, .external_lex_state = 4},
  [4674] = {.lex_state = 229, .external_lex_state = 4},
  [4675] = {.lex_state = 0, .external_lex_state = 4},
  [4676] = {.lex_state = 0, .external_lex_state = 4},
  [4677] = {.lex_state = 11, .external_lex_state = 4},
  [4678] = {.lex_state = 229, .external_lex_state = 4},
  [4679] = {.lex_state = 34, .external_lex_state = 4},
  [4680] = {.lex_state = 0, .external_lex_state = 4},
  [4681] = {.lex_state = 0, .external_lex_state = 4},
  [4682] = {.lex_state = 0, .external_lex_state = 4},
  [4683] = {.lex_state = 0, .external_lex_state = 4},
  [4684] = {.lex_state = 20, .external_lex_state = 4},
  [4685] = {.lex_state = 217, .external_lex_state = 4},
  [4686] = {.lex_state = 0, .external_lex_state = 4},
  [4687] = {.lex_state = 0, .external_lex_state = 4},
  [4688] = {.lex_state = 0, .external_lex_state = 4},
  [4689] = {.lex_state = 229, .external_lex_state = 4},
  [4690] = {.lex_state = 0, .external_lex_state = 4},
  [4691] = {.lex_state = 22, .external_lex_state = 4},
  [4692] = {.lex_state = 217, .external_lex_state = 4},
  [4693] = {.lex_state = 20, .external_lex_state = 4},
  [4694] = {.lex_state = 0, .external_lex_state = 4},
  [4695] = {.lex_state = 0, .external_lex_state = 4},
  [4696] = {.lex_state = 229, .external_lex_state = 4},
  [4697] = {.lex_state = 11, .external_lex_state = 4},
  [4698] = {.lex_state = 219, .external_lex_state = 4},
  [4699] = {.lex_state = 0, .external_lex_state = 4},
  [4700] = {.lex_state = 0, .external_lex_state = 6},
  [4701] = {.lex_state = 0, .external_lex_state = 4},
  [4702] = {.lex_state = 0, .external_lex_state = 4},
  [4703] = {.lex_state = 0, .external_lex_state = 4},
  [4704] = {.lex_state = 20, .external_lex_state = 4},
  [4705] = {.lex_state = 217, .external_lex_state = 4},
  [4706] = {.lex_state = 0, .external_lex_state = 4},
  [4707] = {.lex_state = 0, .external_lex_state = 4},
  [4708] = {.lex_state = 0, .external_lex_state = 4},
  [4709] = {.lex_state = 229, .external_lex_state = 4},
  [4710] = {.lex_state = 36, .external_lex_state = 4},
  [4711] = {.lex_state = 0, .external_lex_state = 4},
  [4712] = {.lex_state = 65, .external_lex_state = 4},
  [4713] = {.lex_state = 0, .external_lex_state = 4},
  [4714] = {.lex_state = 36, .external_lex_state = 4},
  [4715] = {.lex_state = 22, .external_lex_state = 4},
  [4716] = {.lex_state = 36, .external_lex_state = 4},
  [4717] = {.lex_state = 11, .external_lex_state = 4},
  [4718] = {.lex_state = 11, .external_lex_state = 4},
  [4719] = {.lex_state = 0, .external_lex_state = 4},
  [4720] = {.lex_state = 0, .external_lex_state = 4},
  [4721] = {.lex_state = 0, .external_lex_state = 4},
  [4722] = {.lex_state = 0, .external_lex_state = 4},
  [4723] = {.lex_state = 0, .external_lex_state = 4},
  [4724] = {.lex_state = 20, .external_lex_state = 4},
  [4725] = {.lex_state = 217, .external_lex_state = 4},
  [4726] = {.lex_state = 0, .external_lex_state = 4},
  [4727] = {.lex_state = 0, .external_lex_state = 4},
  [4728] = {.lex_state = 0, .external_lex_state = 4},
  [4729] = {.lex_state = 229, .external_lex_state = 4},
  [4730] = {.lex_state = 0, .external_lex_state = 4},
  [4731] = {.lex_state = 0, .external_lex_state = 4},
  [4732] = {.lex_state = 0, .external_lex_state = 4},
  [4733] = {.lex_state = 0, .external_lex_state = 4},
  [4734] = {.lex_state = 229, .external_lex_state = 4},
  [4735] = {.lex_state = 213, .external_lex_state = 4},
  [4736] = {.lex_state = 34, .external_lex_state = 4},
  [4737] = {.lex_state = 11, .external_lex_state = 4},
  [4738] = {.lex_state = 0, .external_lex_state = 4},
  [4739] = {.lex_state = 34, .external_lex_state = 4},
  [4740] = {.lex_state = 0, .external_lex_state = 4},
  [4741] = {.lex_state = 0, .external_lex_state = 4},
  [4742] = {.lex_state = 0, .external_lex_state = 4},
  [4743] = {.lex_state = 0, .external_lex_state = 4},
  [4744] = {.lex_state = 20, .external_lex_state = 4},
  [4745] = {.lex_state = 217, .external_lex_state = 4},
  [4746] = {.lex_state = 36, .external_lex_state = 4},
  [4747] = {.lex_state = 34, .external_lex_state = 4},
  [4748] = {.lex_state = 229, .external_lex_state = 4},
  [4749] = {.lex_state = 229, .external_lex_state = 4},
  [4750] = {.lex_state = 0, .external_lex_state = 4},
  [4751] = {.lex_state = 0, .external_lex_state = 4},
  [4752] = {.lex_state = 0, .external_lex_state = 4},
  [4753] = {.lex_state = 0, .external_lex_state = 4},
  [4754] = {.lex_state = 213, .external_lex_state = 4},
  [4755] = {.lex_state = 0, .external_lex_state = 4},
  [4756] = {.lex_state = 0, .external_lex_state = 4},
  [4757] = {.lex_state = 11, .external_lex_state = 4},
  [4758] = {.lex_state = 0, .external_lex_state = 4},
  [4759] = {.lex_state = 0, .external_lex_state = 4},
  [4760] = {.lex_state = 0, .external_lex_state = 4},
  [4761] = {.lex_state = 0, .external_lex_state = 4},
  [4762] = {.lex_state = 0, .external_lex_state = 4},
  [4763] = {.lex_state = 0, .external_lex_state = 4},
  [4764] = {.lex_state = 20, .external_lex_state = 4},
  [4765] = {.lex_state = 217, .external_lex_state = 4},
  [4766] = {.lex_state = 0, .external_lex_state = 4},
  [4767] = {.lex_state = 0, .external_lex_state = 4},
  [4768] = {.lex_state = 0, .external_lex_state = 4},
  [4769] = {.lex_state = 229, .external_lex_state = 4},
  [4770] = {.lex_state = 0, .external_lex_state = 4},
  [4771] = {.lex_state = 0, .external_lex_state = 4},
  [4772] = {.lex_state = 0, .external_lex_state = 4},
  [4773] = {.lex_state = 0, .external_lex_state = 4},
  [4774] = {.lex_state = 0, .external_lex_state = 4},
  [4775] = {.lex_state = 0, .external_lex_state = 4},
  [4776] = {.lex_state = 0, .external_lex_state = 4},
  [4777] = {.lex_state = 11, .external_lex_state = 4},
  [4778] = {.lex_state = 0, .external_lex_state = 4},
  [4779] = {.lex_state = 30, .external_lex_state = 4},
  [4780] = {.lex_state = 0, .external_lex_state = 4},
  [4781] = {.lex_state = 0, .external_lex_state = 4},
  [4782] = {.lex_state = 36, .external_lex_state = 4},
  [4783] = {.lex_state = 0, .external_lex_state = 4},
  [4784] = {.lex_state = 20, .external_lex_state = 4},
  [4785] = {.lex_state = 217, .external_lex_state = 4},
  [4786] = {.lex_state = 0, .external_lex_state = 4},
  [4787] = {.lex_state = 0, .external_lex_state = 4},
  [4788] = {.lex_state = 34, .external_lex_state = 4},
  [4789] = {.lex_state = 229, .external_lex_state = 4},
  [4790] = {.lex_state = 0, .external_lex_state = 4},
  [4791] = {.lex_state = 0, .external_lex_state = 4},
  [4792] = {.lex_state = 0, .external_lex_state = 4},
  [4793] = {.lex_state = 0, .external_lex_state = 4},
  [4794] = {.lex_state = 0, .external_lex_state = 4},
  [4795] = {.lex_state = 0, .external_lex_state = 6},
  [4796] = {.lex_state = 0, .external_lex_state = 4},
  [4797] = {.lex_state = 11, .external_lex_state = 4},
  [4798] = {.lex_state = 36, .external_lex_state = 4},
  [4799] = {.lex_state = 0, .external_lex_state = 4},
  [4800] = {.lex_state = 217, .external_lex_state = 4},
  [4801] = {.lex_state = 0, .external_lex_state = 4},
  [4802] = {.lex_state = 0, .external_lex_state = 4},
  [4803] = {.lex_state = 0, .external_lex_state = 4},
  [4804] = {.lex_state = 20, .external_lex_state = 4},
  [4805] = {.lex_state = 217, .external_lex_state = 4},
  [4806] = {.lex_state = 229, .external_lex_state = 4},
  [4807] = {.lex_state = 0, .external_lex_state = 4},
  [4808] = {.lex_state = 36, .external_lex_state = 4},
  [4809] = {.lex_state = 229, .external_lex_state = 4},
  [4810] = {.lex_state = 0, .external_lex_state = 4},
  [4811] = {.lex_state = 0, .external_lex_state = 4},
  [4812] = {.lex_state = 0, .external_lex_state = 4},
  [4813] = {.lex_state = 34, .external_lex_state = 4},
  [4814] = {.lex_state = 0, .external_lex_state = 4},
  [4815] = {.lex_state = 0, .external_lex_state = 4},
  [4816] = {.lex_state = 0, .external_lex_state = 4},
  [4817] = {.lex_state = 11, .external_lex_state = 4},
  [4818] = {.lex_state = 0, .external_lex_state = 4},
  [4819] = {.lex_state = 229, .external_lex_state = 4},
  [4820] = {.lex_state = 20, .external_lex_state = 4},
  [4821] = {.lex_state = 0, .external_lex_state = 4},
  [4822] = {.lex_state = 0, .external_lex_state = 4},
  [4823] = {.lex_state = 0, .external_lex_state = 4},
  [4824] = {.lex_state = 20, .external_lex_state = 4},
  [4825] = {.lex_state = 217, .external_lex_state = 4},
  [4826] = {.lex_state = 0, .external_lex_state = 4},
  [4827] = {.lex_state = 0, .external_lex_state = 4},
  [4828] = {.lex_state = 0, .external_lex_state = 4},
  [4829] = {.lex_state = 229, .external_lex_state = 4},
  [4830] = {.lex_state = 0, .external_lex_state = 4},
  [4831] = {.lex_state = 30, .external_lex_state = 4},
  [4832] = {.lex_state = 34, .external_lex_state = 4},
  [4833] = {.lex_state = 0, .external_lex_state = 4},
  [4834] = {.lex_state = 0, .external_lex_state = 4},
  [4835] = {.lex_state = 36, .external_lex_state = 4},
  [4836] = {.lex_state = 0, .external_lex_state = 6},
  [4837] = {.lex_state = 11, .external_lex_state = 4},
  [4838] = {.lex_state = 0, .external_lex_state = 4},
  [4839] = {.lex_state = 0, .external_lex_state = 4},
  [4840] = {.lex_state = 0, .external_lex_state = 4},
  [4841] = {.lex_state = 0, .external_lex_state = 4},
  [4842] = {.lex_state = 0, .external_lex_state = 4},
  [4843] = {.lex_state = 30, .external_lex_state = 4},
  [4844] = {.lex_state = 20, .external_lex_state = 4},
  [4845] = {.lex_state = 217, .external_lex_state = 4},
  [4846] = {.lex_state = 0, .external_lex_state = 4},
  [4847] = {.lex_state = 0, .external_lex_state = 4},
  [4848] = {.lex_state = 0, .external_lex_state = 4},
  [4849] = {.lex_state = 229, .external_lex_state = 4},
  [4850] = {.lex_state = 0, .external_lex_state = 4},
  [4851] = {.lex_state = 0, .external_lex_state = 4},
  [4852] = {.lex_state = 0, .external_lex_state = 4},
  [4853] = {.lex_state = 0, .external_lex_state = 4},
  [4854] = {.lex_state = 0, .external_lex_state = 4},
  [4855] = {.lex_state = 0, .external_lex_state = 4},
  [4856] = {.lex_state = 0, .external_lex_state = 4},
  [4857] = {.lex_state = 11, .external_lex_state = 4},
  [4858] = {.lex_state = 229, .external_lex_state = 4},
  [4859] = {.lex_state = 30, .external_lex_state = 4},
  [4860] = {.lex_state = 36, .external_lex_state = 4},
  [4861] = {.lex_state = 0, .external_lex_state = 4},
  [4862] = {.lex_state = 0, .external_lex_state = 4},
  [4863] = {.lex_state = 0, .external_lex_state = 4},
  [4864] = {.lex_state = 20, .external_lex_state = 4},
  [4865] = {.lex_state = 217, .external_lex_state = 4},
  [4866] = {.lex_state = 0, .external_lex_state = 4},
  [4867] = {.lex_state = 0, .external_lex_state = 4},
  [4868] = {.lex_state = 36, .external_lex_state = 4},
  [4869] = {.lex_state = 229, .external_lex_state = 4},
  [4870] = {.lex_state = 0, .external_lex_state = 4},
  [4871] = {.lex_state = 0, .external_lex_state = 4},
  [4872] = {.lex_state = 36, .external_lex_state = 4},
  [4873] = {.lex_state = 0, .external_lex_state = 4},
  [4874] = {.lex_state = 0, .external_lex_state = 4},
  [4875] = {.lex_state = 0, .external_lex_state = 4},
  [4876] = {.lex_state = 11, .external_lex_state = 4},
  [4877] = {.lex_state = 0, .external_lex_state = 4},
  [4878] = {.lex_state = 0, .external_lex_state = 4},
  [4879] = {.lex_state = 0, .external_lex_state = 4},
  [4880] = {.lex_state = 20, .external_lex_state = 4},
  [4881] = {.lex_state = 217, .external_lex_state = 4},
  [4882] = {.lex_state = 0, .external_lex_state = 4},
  [4883] = {.lex_state = 0, .external_lex_state = 4},
  [4884] = {.lex_state = 0, .external_lex_state = 4},
  [4885] = {.lex_state = 11, .external_lex_state = 4},
  [4886] = {.lex_state = 0, .external_lex_state = 4},
  [4887] = {.lex_state = 0, .external_lex_state = 4},
  [4888] = {.lex_state = 20, .external_lex_state = 4},
  [4889] = {.lex_state = 217, .external_lex_state = 4},
  [4890] = {.lex_state = 0, .external_lex_state = 4},
  [4891] = {.lex_state = 0, .external_lex_state = 4},
  [4892] = {.lex_state = 0, .external_lex_state = 4},
  [4893] = {.lex_state = 11, .external_lex_state = 4},
  [4894] = {.lex_state = 0, .external_lex_state = 4},
  [4895] = {.lex_state = 20, .external_lex_state = 4},
  [4896] = {.lex_state = 0, .external_lex_state = 4},
  [4897] = {.lex_state = 34, .external_lex_state = 4},
  [4898] = {.lex_state = 0, .external_lex_state = 4},
  [4899] = {.lex_state = 11, .external_lex_state = 4},
  [4900] = {.lex_state = 0, .external_lex_state = 4},
  [4901] = {.lex_state = 0, .external_lex_state = 4},
  [4902] = {.lex_state = 11, .external_lex_state = 4},
  [4903] = {.lex_state = 0, .external_lex_state = 4},
  [4904] = {.lex_state = 0, .external_lex_state = 4},
  [4905] = {.lex_state = 11, .external_lex_state = 4},
  [4906] = {.lex_state = 0, .external_lex_state = 4},
  [4907] = {.lex_state = 0, .external_lex_state = 4},
  [4908] = {.lex_state = 11, .external_lex_state = 4},
  [4909] = {.lex_state = 0, .external_lex_state = 4},
  [4910] = {.lex_state = 11, .external_lex_state = 4},
  [4911] = {.lex_state = 11, .external_lex_state = 4},
  [4912] = {.lex_state = 11, .external_lex_state = 4},
  [4913] = {.lex_state = 11, .external_lex_state = 4},
  [4914] = {.lex_state = 11, .external_lex_state = 4},
  [4915] = {.lex_state = 11, .external_lex_state = 4},
  [4916] = {.lex_state = 11, .external_lex_state = 4},
  [4917] = {.lex_state = 11, .external_lex_state = 4},
  [4918] = {.lex_state = 11, .external_lex_state = 4},
  [4919] = {.lex_state = 11, .external_lex_state = 4},
  [4920] = {.lex_state = 0, .external_lex_state = 4},
  [4921] = {.lex_state = 0, .external_lex_state = 4},
  [4922] = {.lex_state = 0, .external_lex_state = 4},
  [4923] = {.lex_state = 0, .external_lex_state = 4},
  [4924] = {.lex_state = 0, .external_lex_state = 4},
  [4925] = {.lex_state = 0, .external_lex_state = 4},
  [4926] = {.lex_state = 0, .external_lex_state = 4},
  [4927] = {.lex_state = 0, .external_lex_state = 4},
  [4928] = {.lex_state = 36, .external_lex_state = 4},
  [4929] = {.lex_state = 0, .external_lex_state = 4},
  [4930] = {.lex_state = 0, .external_lex_state = 4},
  [4931] = {.lex_state = 0, .external_lex_state = 4},
  [4932] = {.lex_state = 0, .external_lex_state = 4},
  [4933] = {.lex_state = 0, .external_lex_state = 4},
  [4934] = {.lex_state = 0, .external_lex_state = 4},
  [4935] = {.lex_state = 0, .external_lex_state = 4},
  [4936] = {.lex_state = 0, .external_lex_state = 4},
  [4937] = {.lex_state = 0, .external_lex_state = 4},
  [4938] = {.lex_state = 0, .external_lex_state = 4},
  [4939] = {.lex_state = 219, .external_lex_state = 4},
  [4940] = {.lex_state = 0, .external_lex_state = 4},
  [4941] = {.lex_state = 0, .external_lex_state = 4},
  [4942] = {.lex_state = 0, .external_lex_state = 6},
  [4943] = {.lex_state = 0, .external_lex_state = 4},
  [4944] = {.lex_state = 0, .external_lex_state = 4},
  [4945] = {.lex_state = 0, .external_lex_state = 6},
  [4946] = {.lex_state = 0, .external_lex_state = 4},
  [4947] = {.lex_state = 0, .external_lex_state = 4},
  [4948] = {.lex_state = 0, .external_lex_state = 4},
  [4949] = {.lex_state = 0, .external_lex_state = 4},
  [4950] = {.lex_state = 0, .external_lex_state = 4},
  [4951] = {.lex_state = 36, .external_lex_state = 4},
  [4952] = {.lex_state = 0, .external_lex_state = 4},
  [4953] = {.lex_state = 0, .external_lex_state = 4},
  [4954] = {.lex_state = 0, .external_lex_state = 4},
  [4955] = {.lex_state = 0, .external_lex_state = 4},
  [4956] = {.lex_state = 34, .external_lex_state = 4},
  [4957] = {.lex_state = 34, .external_lex_state = 4},
  [4958] = {.lex_state = 0, .external_lex_state = 4},
  [4959] = {.lex_state = 0, .external_lex_state = 4},
  [4960] = {.lex_state = 0, .external_lex_state = 4},
  [4961] = {.lex_state = 0, .external_lex_state = 4},
  [4962] = {.lex_state = 36, .external_lex_state = 4},
  [4963] = {.lex_state = 0, .external_lex_state = 4},
  [4964] = {.lex_state = 219, .external_lex_state = 4},
  [4965] = {.lex_state = 219, .external_lex_state = 4},
  [4966] = {.lex_state = 65, .external_lex_state = 4},
  [4967] = {.lex_state = 0, .external_lex_state = 4},
  [4968] = {.lex_state = 30, .external_lex_state = 4},
  [4969] = {.lex_state = 0, .external_lex_state = 4},
  [4970] = {.lex_state = 36, .external_lex_state = 4},
  [4971] = {.lex_state = 0, .external_lex_state = 4},
  [4972] = {.lex_state = 22, .external_lex_state = 4},
  [4973] = {.lex_state = 0, .external_lex_state = 4},
  [4974] = {.lex_state = 0, .external_lex_state = 4},
  [4975] = {.lex_state = 0, .external_lex_state = 4},
  [4976] = {.lex_state = 36, .external_lex_state = 4},
  [4977] = {.lex_state = 0, .external_lex_state = 4},
  [4978] = {.lex_state = 0, .external_lex_state = 4},
  [4979] = {.lex_state = 0, .external_lex_state = 4},
  [4980] = {.lex_state = 229, .external_lex_state = 4},
  [4981] = {.lex_state = 22, .external_lex_state = 4},
  [4982] = {.lex_state = 0, .external_lex_state = 4},
  [4983] = {.lex_state = 0, .external_lex_state = 4},
  [4984] = {.lex_state = 0, .external_lex_state = 4},
  [4985] = {.lex_state = 0, .external_lex_state = 4},
  [4986] = {.lex_state = 0, .external_lex_state = 4},
  [4987] = {.lex_state = 0, .external_lex_state = 4},
  [4988] = {.lex_state = 36, .external_lex_state = 4},
  [4989] = {.lex_state = 34, .external_lex_state = 4},
  [4990] = {.lex_state = 34, .external_lex_state = 4},
  [4991] = {.lex_state = 0, .external_lex_state = 4},
  [4992] = {.lex_state = 22, .external_lex_state = 4},
  [4993] = {.lex_state = 0, .external_lex_state = 4},
  [4994] = {.lex_state = 36, .external_lex_state = 4},
  [4995] = {.lex_state = 11, .external_lex_state = 4},
  [4996] = {.lex_state = 0, .external_lex_state = 4},
  [4997] = {.lex_state = 0, .external_lex_state = 4},
  [4998] = {.lex_state = 0, .external_lex_state = 4},
  [4999] = {.lex_state = 34, .external_lex_state = 4},
  [5000] = {.lex_state = 0, .external_lex_state = 4},
  [5001] = {.lex_state = 0, .external_lex_state = 4},
  [5002] = {.lex_state = 0, .external_lex_state = 4},
  [5003] = {.lex_state = 0, .external_lex_state = 4},
  [5004] = {.lex_state = 0, .external_lex_state = 4},
  [5005] = {.lex_state = 0, .external_lex_state = 4},
  [5006] = {.lex_state = 0, .external_lex_state = 4},
  [5007] = {.lex_state = 0, .external_lex_state = 4},
  [5008] = {.lex_state = 0, .external_lex_state = 4},
  [5009] = {.lex_state = 0, .external_lex_state = 4},
  [5010] = {.lex_state = 0, .external_lex_state = 4},
  [5011] = {.lex_state = 0, .external_lex_state = 4},
  [5012] = {.lex_state = 0, .external_lex_state = 4},
  [5013] = {.lex_state = 0, .external_lex_state = 4},
  [5014] = {.lex_state = 0, .external_lex_state = 4},
  [5015] = {.lex_state = 0, .external_lex_state = 4},
  [5016] = {.lex_state = 0, .external_lex_state = 4},
  [5017] = {.lex_state = 0, .external_lex_state = 4},
  [5018] = {.lex_state = 0, .external_lex_state = 4},
  [5019] = {(TSStateId)(-1)},
};

enum {
  ts_external_token__automatic_separator = 0,
  ts_external_token__braced_interpolation_opening = 1,
  ts_external_token__unbraced_interpolation_opening = 2,
  ts_external_token__interpolation_closing = 3,
  ts_external_token__c_string_opening = 4,
  ts_external_token__raw_string_opening = 5,
  ts_external_token__string_opening = 6,
  ts_external_token__string_content = 7,
  ts_external_token__string_closing = 8,
  ts_external_token__comment = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_separator] = sym__automatic_separator,
  [ts_external_token__braced_interpolation_opening] = sym__braced_interpolation_opening,
  [ts_external_token__unbraced_interpolation_opening] = sym__unbraced_interpolation_opening,
  [ts_external_token__interpolation_closing] = sym__interpolation_closing,
  [ts_external_token__c_string_opening] = sym__c_string_opening,
  [ts_external_token__raw_string_opening] = sym__raw_string_opening,
  [ts_external_token__string_opening] = sym__string_opening,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_closing] = sym__string_closing,
  [ts_external_token__comment] = sym__comment,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_separator] = true,
    [ts_external_token__braced_interpolation_opening] = true,
    [ts_external_token__unbraced_interpolation_opening] = true,
    [ts_external_token__interpolation_closing] = true,
    [ts_external_token__c_string_opening] = true,
    [ts_external_token__raw_string_opening] = true,
    [ts_external_token__string_opening] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_closing] = true,
    [ts_external_token__comment] = true,
  },
  [2] = {
    [ts_external_token__c_string_opening] = true,
    [ts_external_token__raw_string_opening] = true,
    [ts_external_token__string_opening] = true,
    [ts_external_token__comment] = true,
  },
  [3] = {
    [ts_external_token__automatic_separator] = true,
    [ts_external_token__c_string_opening] = true,
    [ts_external_token__raw_string_opening] = true,
    [ts_external_token__string_opening] = true,
    [ts_external_token__comment] = true,
  },
  [4] = {
    [ts_external_token__comment] = true,
  },
  [5] = {
    [ts_external_token__automatic_separator] = true,
    [ts_external_token__comment] = true,
  },
  [6] = {
    [ts_external_token__interpolation_closing] = true,
    [ts_external_token__comment] = true,
  },
  [7] = {
    [ts_external_token__braced_interpolation_opening] = true,
    [ts_external_token__unbraced_interpolation_opening] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_closing] = true,
    [ts_external_token__comment] = true,
  },
  [8] = {
    [ts_external_token__string_opening] = true,
    [ts_external_token__comment] = true,
  },
  [9] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_closing] = true,
    [ts_external_token__comment] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_BANGin] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_map_LBRACK] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_shared] = ACTIONS(1),
    [anon_sym_thread] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [anon_sym_DOLLAR2] = ACTIONS(1),
    [aux_sym_format_specifier_token1] = ACTIONS(1),
    [aux_sym_format_specifier_token2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_sql] = ACTIONS(1),
    [anon_sym_mut] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_C] = ACTIONS(1),
    [anon_sym_JS] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_LT2] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_voidptr] = ACTIONS(1),
    [anon_sym_byteptr] = ACTIONS(1),
    [anon_sym_charptr] = ACTIONS(1),
    [anon_sym_i8] = ACTIONS(1),
    [anon_sym_i16] = ACTIONS(1),
    [anon_sym_i32] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_i64] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_u8] = ACTIONS(1),
    [anon_sym_u16] = ACTIONS(1),
    [anon_sym_u32] = ACTIONS(1),
    [anon_sym_u64] = ACTIONS(1),
    [anon_sym_f32] = ACTIONS(1),
    [anon_sym_f64] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_rune] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_mapnode] = ACTIONS(1),
    [anon_sym_size_t] = ACTIONS(1),
    [anon_sym_usize] = ACTIONS(1),
    [anon_sym_isize] = ACTIONS(1),
    [anon_sym_float_literal] = ACTIONS(1),
    [anon_sym_int_literal] = ACTIONS(1),
    [anon_sym_IError] = ACTIONS(1),
    [sym_type_placeholder] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [sym_type_identifier] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_unsafe] = ACTIONS(1),
    [anon_sym_pub] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym___global] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_spawn] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_DOLLARfor] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_DOLLARif] = ACTIONS(1),
    [anon_sym_DOLLARelse] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_BANGis] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_lock] = ACTIONS(1),
    [anon_sym_rlock] = ACTIONS(1),
    [sym__automatic_separator] = ACTIONS(1),
    [sym__braced_interpolation_opening] = ACTIONS(1),
    [sym__unbraced_interpolation_opening] = ACTIONS(1),
    [sym__interpolation_closing] = ACTIONS(1),
    [sym__c_string_opening] = ACTIONS(1),
    [sym__raw_string_opening] = ACTIONS(1),
    [sym__string_opening] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_closing] = ACTIONS(1),
    [sym__comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(4963),
    [sym__expression] = STATE(142),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(1),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(3458),
    [sym_binded_identifier] = STATE(111),
    [sym_expression_list] = STATE(3485),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym__statement] = STATE(1624),
    [sym__simple_statement] = STATE(1617),
    [sym_inc_statement] = STATE(1595),
    [sym_dec_statement] = STATE(1595),
    [sym_send_statement] = STATE(1617),
    [sym_short_var_declaration] = STATE(1595),
    [sym_assignment_statement] = STATE(1595),
    [sym_assert_statement] = STATE(1617),
    [sym_block] = STATE(1617),
    [sym_defer_statement] = STATE(1617),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_declaration] = STATE(1624),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_global_var_declaration] = STATE(1624),
    [sym_const_declaration] = STATE(1624),
    [sym_asm_statement] = STATE(1617),
    [sym_sql_expression] = STATE(283),
    [sym_break_statement] = STATE(1617),
    [sym_continue_statement] = STATE(1617),
    [sym_return_statement] = STATE(1617),
    [sym_type_declaration] = STATE(1624),
    [sym_go_statement] = STATE(1617),
    [sym_spawn_statement] = STATE(1617),
    [sym_goto_statement] = STATE(1617),
    [sym_labeled_statement] = STATE(1617),
    [sym_for_statement] = STATE(1617),
    [sym_comptime_for_statement] = STATE(1617),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_attribute_declaration] = STATE(3500),
    [sym_attribute_list] = STATE(3642),
    [sym_struct_declaration] = STATE(1624),
    [sym__binded_struct_declaration] = STATE(1593),
    [sym_enum_declaration] = STATE(1624),
    [sym_type_selector_expression] = STATE(172),
    [sym_interface_declaration] = STATE(1624),
    [sym_hash_statement] = STATE(1617),
    [sym_module_clause] = STATE(1624),
    [sym_import_declaration] = STATE(1624),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [aux_sym_source_file_repeat1] = STATE(3),
    [aux_sym_attribute_list_repeat1] = STATE(3541),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_assert] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_fn] = ACTIONS(61),
    [anon_sym___global] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_asm] = ACTIONS(67),
    [anon_sym_break] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_type] = ACTIONS(75),
    [anon_sym_go] = ACTIONS(77),
    [anon_sym_spawn] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_DOLLARfor] = ACTIONS(85),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(91),
    [anon_sym_enum] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_POUND] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(99),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [2] = {
    [sym__expression] = STATE(142),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(2),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(3458),
    [sym_binded_identifier] = STATE(111),
    [sym_expression_list] = STATE(3485),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym__statement] = STATE(1624),
    [sym__simple_statement] = STATE(1617),
    [sym_inc_statement] = STATE(1595),
    [sym_dec_statement] = STATE(1595),
    [sym_send_statement] = STATE(1617),
    [sym_short_var_declaration] = STATE(1595),
    [sym_assignment_statement] = STATE(1595),
    [sym_assert_statement] = STATE(1617),
    [sym_block] = STATE(1617),
    [sym_defer_statement] = STATE(1617),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_declaration] = STATE(1624),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_global_var_declaration] = STATE(1624),
    [sym_const_declaration] = STATE(1624),
    [sym_asm_statement] = STATE(1617),
    [sym_sql_expression] = STATE(283),
    [sym_break_statement] = STATE(1617),
    [sym_continue_statement] = STATE(1617),
    [sym_return_statement] = STATE(1617),
    [sym_type_declaration] = STATE(1624),
    [sym_go_statement] = STATE(1617),
    [sym_spawn_statement] = STATE(1617),
    [sym_goto_statement] = STATE(1617),
    [sym_labeled_statement] = STATE(1617),
    [sym_for_statement] = STATE(1617),
    [sym_comptime_for_statement] = STATE(1617),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_attribute_declaration] = STATE(3500),
    [sym_attribute_list] = STATE(3642),
    [sym_struct_declaration] = STATE(1624),
    [sym__binded_struct_declaration] = STATE(1593),
    [sym_enum_declaration] = STATE(1624),
    [sym_type_selector_expression] = STATE(172),
    [sym_interface_declaration] = STATE(1624),
    [sym_hash_statement] = STATE(1617),
    [sym_module_clause] = STATE(1624),
    [sym_import_declaration] = STATE(1624),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [aux_sym_source_file_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(3541),
    [ts_builtin_sym_end] = ACTIONS(115),
    [sym_identifier] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(120),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_CARET] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(126),
    [anon_sym_LT_DASH] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [sym_none] = ACTIONS(132),
    [sym_true] = ACTIONS(132),
    [sym_false] = ACTIONS(132),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(138),
    [anon_sym_map_LBRACK] = ACTIONS(141),
    [anon_sym_chan] = ACTIONS(144),
    [anon_sym_shared] = ACTIONS(147),
    [anon_sym_thread] = ACTIONS(150),
    [sym_int_literal] = ACTIONS(153),
    [sym_float_literal] = ACTIONS(156),
    [sym_rune_literal] = ACTIONS(156),
    [anon_sym_DOT] = ACTIONS(159),
    [anon_sym_array] = ACTIONS(162),
    [anon_sym_string] = ACTIONS(162),
    [anon_sym_char] = ACTIONS(162),
    [anon_sym_sql] = ACTIONS(165),
    [anon_sym_mut] = ACTIONS(168),
    [anon_sym_C] = ACTIONS(171),
    [anon_sym_JS] = ACTIONS(171),
    [anon_sym_voidptr] = ACTIONS(174),
    [anon_sym_byteptr] = ACTIONS(174),
    [anon_sym_charptr] = ACTIONS(174),
    [anon_sym_i8] = ACTIONS(174),
    [anon_sym_i16] = ACTIONS(174),
    [anon_sym_i32] = ACTIONS(174),
    [anon_sym_int] = ACTIONS(174),
    [anon_sym_i64] = ACTIONS(174),
    [anon_sym_byte] = ACTIONS(174),
    [anon_sym_u8] = ACTIONS(174),
    [anon_sym_u16] = ACTIONS(174),
    [anon_sym_u32] = ACTIONS(174),
    [anon_sym_u64] = ACTIONS(174),
    [anon_sym_f32] = ACTIONS(174),
    [anon_sym_f64] = ACTIONS(174),
    [anon_sym_bool] = ACTIONS(174),
    [anon_sym_rune] = ACTIONS(174),
    [anon_sym_map] = ACTIONS(174),
    [anon_sym_mapnode] = ACTIONS(174),
    [anon_sym_size_t] = ACTIONS(174),
    [anon_sym_usize] = ACTIONS(174),
    [anon_sym_isize] = ACTIONS(174),
    [anon_sym_float_literal] = ACTIONS(174),
    [anon_sym_int_literal] = ACTIONS(174),
    [anon_sym_IError] = ACTIONS(174),
    [sym_type_placeholder] = ACTIONS(177),
    [anon_sym_AT] = ACTIONS(180),
    [sym_type_identifier] = ACTIONS(183),
    [anon_sym_assert] = ACTIONS(186),
    [anon_sym_defer] = ACTIONS(189),
    [anon_sym_unsafe] = ACTIONS(192),
    [anon_sym_pub] = ACTIONS(195),
    [anon_sym_fn] = ACTIONS(198),
    [anon_sym___global] = ACTIONS(201),
    [anon_sym_const] = ACTIONS(204),
    [anon_sym_asm] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(210),
    [anon_sym_continue] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(216),
    [anon_sym_type] = ACTIONS(219),
    [anon_sym_go] = ACTIONS(222),
    [anon_sym_spawn] = ACTIONS(225),
    [anon_sym_goto] = ACTIONS(228),
    [anon_sym_for] = ACTIONS(231),
    [anon_sym_DOLLARfor] = ACTIONS(234),
    [anon_sym_DOLLARif] = ACTIONS(237),
    [anon_sym_if] = ACTIONS(240),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_union] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(246),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_POUND] = ACTIONS(252),
    [anon_sym_module] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(258),
    [anon_sym_match] = ACTIONS(261),
    [anon_sym_select] = ACTIONS(264),
    [anon_sym_lock] = ACTIONS(267),
    [anon_sym_rlock] = ACTIONS(267),
    [sym__c_string_opening] = ACTIONS(270),
    [sym__raw_string_opening] = ACTIONS(273),
    [sym__string_opening] = ACTIONS(276),
    [sym__comment] = ACTIONS(3),
  },
  [3] = {
    [sym__expression] = STATE(142),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(3),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(3458),
    [sym_binded_identifier] = STATE(111),
    [sym_expression_list] = STATE(3485),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym__statement] = STATE(1624),
    [sym__simple_statement] = STATE(1617),
    [sym_inc_statement] = STATE(1595),
    [sym_dec_statement] = STATE(1595),
    [sym_send_statement] = STATE(1617),
    [sym_short_var_declaration] = STATE(1595),
    [sym_assignment_statement] = STATE(1595),
    [sym_assert_statement] = STATE(1617),
    [sym_block] = STATE(1617),
    [sym_defer_statement] = STATE(1617),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_declaration] = STATE(1624),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_global_var_declaration] = STATE(1624),
    [sym_const_declaration] = STATE(1624),
    [sym_asm_statement] = STATE(1617),
    [sym_sql_expression] = STATE(283),
    [sym_break_statement] = STATE(1617),
    [sym_continue_statement] = STATE(1617),
    [sym_return_statement] = STATE(1617),
    [sym_type_declaration] = STATE(1624),
    [sym_go_statement] = STATE(1617),
    [sym_spawn_statement] = STATE(1617),
    [sym_goto_statement] = STATE(1617),
    [sym_labeled_statement] = STATE(1617),
    [sym_for_statement] = STATE(1617),
    [sym_comptime_for_statement] = STATE(1617),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_attribute_declaration] = STATE(3500),
    [sym_attribute_list] = STATE(3642),
    [sym_struct_declaration] = STATE(1624),
    [sym__binded_struct_declaration] = STATE(1593),
    [sym_enum_declaration] = STATE(1624),
    [sym_type_selector_expression] = STATE(172),
    [sym_interface_declaration] = STATE(1624),
    [sym_hash_statement] = STATE(1617),
    [sym_module_clause] = STATE(1624),
    [sym_import_declaration] = STATE(1624),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [aux_sym_source_file_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(3541),
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_assert] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_fn] = ACTIONS(61),
    [anon_sym___global] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_asm] = ACTIONS(67),
    [anon_sym_break] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_type] = ACTIONS(75),
    [anon_sym_go] = ACTIONS(77),
    [anon_sym_spawn] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_DOLLARfor] = ACTIONS(85),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_union] = ACTIONS(91),
    [anon_sym_enum] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_POUND] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(99),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [4] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(4),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4794),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(73),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4794),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [5] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(5),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4680),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(42),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4680),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [6] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(6),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4761),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(43),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4761),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [7] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(7),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4665),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(46),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4665),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [8] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(8),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4983),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(30),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4983),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [9] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(9),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4665),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(46),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4665),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [10] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(10),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4983),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(30),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4983),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(438),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [11] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(11),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4854),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(45),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4854),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(418),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [12] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(12),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4854),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(45),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4854),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(438),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [13] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(13),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4761),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(43),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4761),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(371),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [14] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(14),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4741),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(55),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4741),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [15] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(15),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4726),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(32),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4726),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [16] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(16),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4750),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(58),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4750),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [17] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(17),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4778),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(69),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4778),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [18] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(18),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4778),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(69),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4778),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [19] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(19),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4969),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(70),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4969),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [20] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(20),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4946),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(41),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4946),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [21] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(21),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4665),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(46),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4665),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [22] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(22),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4803),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(31),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4803),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [23] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(23),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4772),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(39),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4772),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [24] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(24),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4759),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(75),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4759),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [25] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(25),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4879),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(34),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4879),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [26] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(26),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4680),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(42),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4680),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [27] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(907),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(27),
    [sym_type_initializer] = STATE(977),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(907),
    [sym_raw_string_literal] = STATE(907),
    [sym_interpreted_string_literal] = STATE(907),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4665),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(46),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4665),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(451),
    [sym_index_expression] = STATE(907),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(885),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(395),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [28] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(28),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4801),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4801),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(399),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [29] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(29),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4750),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(58),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4750),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [30] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(30),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4938),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4938),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [31] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(31),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4774),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4774),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [32] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(32),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4687),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4687),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [33] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(33),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4665),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(46),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4665),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [34] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(34),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4827),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4827),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [35] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(35),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(5001),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(5001),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [36] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(36),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4971),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(35),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4971),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [37] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(37),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4726),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(32),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4726),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [38] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(38),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4772),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(39),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4772),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [39] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(39),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4867),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4867),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [40] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(40),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4761),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(43),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4761),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [41] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(41),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4898),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4898),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [42] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(42),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4763),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4763),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(431),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [43] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(43),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4671),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4671),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [44] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(44),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4984),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(52),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4984),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(435),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [45] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(45),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4776),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4776),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [46] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(46),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4652),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4652),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [47] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(47),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4731),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(48),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4731),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(441),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [48] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(48),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4728),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4728),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [49] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(49),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4946),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(41),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4946),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [50] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(50),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4741),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(55),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4741),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [51] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(51),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4983),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(30),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4983),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(449),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [52] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(52),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4979),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4979),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(451),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [53] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(53),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4863),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4863),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [54] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(54),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4877),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(53),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4877),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [55] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(55),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4732),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4732),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [56] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(56),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4803),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(31),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4803),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [57] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(57),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4879),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(34),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4879),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [58] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(58),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4742),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4742),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [59] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(59),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4834),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4834),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [60] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(60),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4759),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(75),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4759),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [61] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(61),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4848),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(59),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4848),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [62] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(62),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4878),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4878),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [63] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(63),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4650),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(65),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4650),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [64] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(64),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4794),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(73),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4794),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [65] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(65),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4752),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4752),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [66] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(66),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4846),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(62),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4846),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [67] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(67),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4969),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(70),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4969),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [68] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(68),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4778),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(69),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4778),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [69] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(69),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4770),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4770),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(485),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [70] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(70),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4887),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4887),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [71] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(71),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4812),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(28),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4812),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [72] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(72),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4854),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(45),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4854),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [73] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(73),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4781),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4781),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [74] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(74),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4680),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(42),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4680),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(495),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [75] = {
    [sym__expression] = STATE(906),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(75),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3464),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym__expression_list_repeat1] = STATE(4830),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_empty_labeled_statement] = STATE(4830),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [76] = {
    [sym__expression] = STATE(912),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(76),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3463),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [aux_sym__statement_list] = STATE(76),
    [sym__statement] = STATE(1842),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(499),
    [anon_sym_LPAREN] = ACTIONS(502),
    [anon_sym_PLUS] = ACTIONS(505),
    [anon_sym_DASH] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_CARET] = ACTIONS(505),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_AMP] = ACTIONS(508),
    [anon_sym_LT_DASH] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(511),
    [sym_none] = ACTIONS(514),
    [sym_true] = ACTIONS(514),
    [sym_false] = ACTIONS(514),
    [anon_sym_LBRACE] = ACTIONS(517),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_map_LBRACK] = ACTIONS(525),
    [anon_sym_chan] = ACTIONS(528),
    [anon_sym_shared] = ACTIONS(531),
    [anon_sym_thread] = ACTIONS(534),
    [sym_int_literal] = ACTIONS(537),
    [sym_float_literal] = ACTIONS(540),
    [sym_rune_literal] = ACTIONS(540),
    [anon_sym_DOT] = ACTIONS(543),
    [anon_sym_array] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_char] = ACTIONS(546),
    [anon_sym_sql] = ACTIONS(549),
    [anon_sym_mut] = ACTIONS(552),
    [anon_sym_C] = ACTIONS(555),
    [anon_sym_JS] = ACTIONS(555),
    [anon_sym_voidptr] = ACTIONS(558),
    [anon_sym_byteptr] = ACTIONS(558),
    [anon_sym_charptr] = ACTIONS(558),
    [anon_sym_i8] = ACTIONS(558),
    [anon_sym_i16] = ACTIONS(558),
    [anon_sym_i32] = ACTIONS(558),
    [anon_sym_int] = ACTIONS(558),
    [anon_sym_i64] = ACTIONS(558),
    [anon_sym_byte] = ACTIONS(558),
    [anon_sym_u8] = ACTIONS(558),
    [anon_sym_u16] = ACTIONS(558),
    [anon_sym_u32] = ACTIONS(558),
    [anon_sym_u64] = ACTIONS(558),
    [anon_sym_f32] = ACTIONS(558),
    [anon_sym_f64] = ACTIONS(558),
    [anon_sym_bool] = ACTIONS(558),
    [anon_sym_rune] = ACTIONS(558),
    [anon_sym_map] = ACTIONS(558),
    [anon_sym_mapnode] = ACTIONS(558),
    [anon_sym_size_t] = ACTIONS(558),
    [anon_sym_usize] = ACTIONS(558),
    [anon_sym_isize] = ACTIONS(558),
    [anon_sym_float_literal] = ACTIONS(558),
    [anon_sym_int_literal] = ACTIONS(558),
    [anon_sym_IError] = ACTIONS(558),
    [sym_type_placeholder] = ACTIONS(561),
    [anon_sym_AT] = ACTIONS(564),
    [sym_type_identifier] = ACTIONS(567),
    [anon_sym_assert] = ACTIONS(570),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_unsafe] = ACTIONS(576),
    [anon_sym_fn] = ACTIONS(579),
    [anon_sym_asm] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(585),
    [anon_sym_continue] = ACTIONS(588),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_go] = ACTIONS(594),
    [anon_sym_spawn] = ACTIONS(597),
    [anon_sym_goto] = ACTIONS(600),
    [anon_sym_for] = ACTIONS(603),
    [anon_sym_DOLLARfor] = ACTIONS(606),
    [anon_sym_DOLLARif] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_POUND] = ACTIONS(615),
    [anon_sym_match] = ACTIONS(618),
    [anon_sym_select] = ACTIONS(621),
    [anon_sym_lock] = ACTIONS(624),
    [anon_sym_rlock] = ACTIONS(624),
    [sym__c_string_opening] = ACTIONS(627),
    [sym__raw_string_opening] = ACTIONS(630),
    [sym__string_opening] = ACTIONS(633),
    [sym__comment] = ACTIONS(3),
  },
  [77] = {
    [sym__expression] = STATE(912),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(77),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3463),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym__statement] = STATE(1840),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(638),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [78] = {
    [sym__expression] = STATE(912),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(78),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(3463),
    [sym_binded_identifier] = STATE(575),
    [sym_expression_list] = STATE(3484),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym__statement] = STATE(1840),
    [sym__simple_statement] = STATE(1861),
    [sym_inc_statement] = STATE(1865),
    [sym_dec_statement] = STATE(1865),
    [sym_send_statement] = STATE(1861),
    [sym_short_var_declaration] = STATE(1865),
    [sym_assignment_statement] = STATE(1865),
    [sym_assert_statement] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_defer_statement] = STATE(1861),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_asm_statement] = STATE(1861),
    [sym_sql_expression] = STATE(971),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_return_statement] = STATE(1861),
    [sym_go_statement] = STATE(1861),
    [sym_spawn_statement] = STATE(1861),
    [sym_goto_statement] = STATE(1861),
    [sym_labeled_statement] = STATE(1861),
    [sym_for_statement] = STATE(1861),
    [sym_comptime_for_statement] = STATE(1861),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_hash_statement] = STATE(1861),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_assert] = ACTIONS(315),
    [anon_sym_defer] = ACTIONS(317),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_asm] = ACTIONS(323),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_go] = ACTIONS(331),
    [anon_sym_spawn] = ACTIONS(333),
    [anon_sym_goto] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_DOLLARfor] = ACTIONS(339),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [79] = {
    [sym__expression] = STATE(142),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(79),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(3458),
    [sym_binded_identifier] = STATE(111),
    [sym_expression_list] = STATE(3485),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym__statement] = STATE(1660),
    [sym__simple_statement] = STATE(1617),
    [sym_inc_statement] = STATE(1595),
    [sym_dec_statement] = STATE(1595),
    [sym_send_statement] = STATE(1617),
    [sym_short_var_declaration] = STATE(1595),
    [sym_assignment_statement] = STATE(1595),
    [sym_assert_statement] = STATE(1617),
    [sym_block] = STATE(1617),
    [sym_defer_statement] = STATE(1617),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_asm_statement] = STATE(1617),
    [sym_sql_expression] = STATE(283),
    [sym_break_statement] = STATE(1617),
    [sym_continue_statement] = STATE(1617),
    [sym_return_statement] = STATE(1617),
    [sym_go_statement] = STATE(1617),
    [sym_spawn_statement] = STATE(1617),
    [sym_goto_statement] = STATE(1617),
    [sym_labeled_statement] = STATE(1617),
    [sym_for_statement] = STATE(1617),
    [sym_comptime_for_statement] = STATE(1617),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_type_selector_expression] = STATE(172),
    [sym_hash_statement] = STATE(1617),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_assert] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_fn] = ACTIONS(642),
    [anon_sym_asm] = ACTIONS(67),
    [anon_sym_break] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_go] = ACTIONS(77),
    [anon_sym_spawn] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(83),
    [anon_sym_DOLLARfor] = ACTIONS(85),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_POUND] = ACTIONS(97),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [80] = {
    [sym_comment] = STATE(80),
    [sym_fixed_array_type] = STATE(168),
    [sym_array_type] = STATE(168),
    [sym_pointer_type] = STATE(168),
    [sym_map_type] = STATE(168),
    [sym_channel_type] = STATE(168),
    [sym_shared_type] = STATE(168),
    [sym_thread_type] = STATE(168),
    [sym_binded_identifier] = STATE(173),
    [sym_option_type] = STATE(218),
    [sym_result_type] = STATE(218),
    [sym_multi_return_type] = STATE(218),
    [sym__simple_type] = STATE(218),
    [sym_builtin_type] = STATE(168),
    [sym__binded_type] = STATE(168),
    [sym_generic_type] = STATE(168),
    [sym_qualified_type] = STATE(126),
    [sym_function_type] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(644),
    [sym_identifier] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_TILDE] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_LT_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(656),
    [sym_none] = ACTIONS(650),
    [sym_true] = ACTIONS(650),
    [sym_false] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_map_LBRACK] = ACTIONS(660),
    [anon_sym_chan] = ACTIONS(662),
    [anon_sym_shared] = ACTIONS(664),
    [anon_sym_thread] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(650),
    [sym_float_literal] = ACTIONS(644),
    [sym_rune_literal] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(668),
    [anon_sym_string] = ACTIONS(668),
    [anon_sym_char] = ACTIONS(668),
    [anon_sym_sql] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(670),
    [anon_sym_JS] = ACTIONS(670),
    [anon_sym_voidptr] = ACTIONS(668),
    [anon_sym_byteptr] = ACTIONS(668),
    [anon_sym_charptr] = ACTIONS(668),
    [anon_sym_i8] = ACTIONS(668),
    [anon_sym_i16] = ACTIONS(668),
    [anon_sym_i32] = ACTIONS(668),
    [anon_sym_int] = ACTIONS(668),
    [anon_sym_i64] = ACTIONS(668),
    [anon_sym_byte] = ACTIONS(668),
    [anon_sym_u8] = ACTIONS(668),
    [anon_sym_u16] = ACTIONS(668),
    [anon_sym_u32] = ACTIONS(668),
    [anon_sym_u64] = ACTIONS(668),
    [anon_sym_f32] = ACTIONS(668),
    [anon_sym_f64] = ACTIONS(668),
    [anon_sym_bool] = ACTIONS(668),
    [anon_sym_rune] = ACTIONS(668),
    [anon_sym_map] = ACTIONS(668),
    [anon_sym_mapnode] = ACTIONS(668),
    [anon_sym_size_t] = ACTIONS(668),
    [anon_sym_usize] = ACTIONS(668),
    [anon_sym_isize] = ACTIONS(668),
    [anon_sym_float_literal] = ACTIONS(668),
    [anon_sym_int_literal] = ACTIONS(668),
    [anon_sym_IError] = ACTIONS(668),
    [sym_type_placeholder] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(650),
    [sym_type_identifier] = ACTIONS(674),
    [anon_sym_PLUS_PLUS] = ACTIONS(644),
    [anon_sym_DASH_DASH] = ACTIONS(644),
    [anon_sym_COLON_EQ] = ACTIONS(644),
    [anon_sym_STAR_EQ] = ACTIONS(644),
    [anon_sym_SLASH_EQ] = ACTIONS(644),
    [anon_sym_PERCENT_EQ] = ACTIONS(644),
    [anon_sym_LT_LT_EQ] = ACTIONS(644),
    [anon_sym_GT_GT_EQ] = ACTIONS(644),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(644),
    [anon_sym_AMP_EQ] = ACTIONS(644),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(644),
    [anon_sym_PLUS_EQ] = ACTIONS(644),
    [anon_sym_DASH_EQ] = ACTIONS(644),
    [anon_sym_PIPE_EQ] = ACTIONS(644),
    [anon_sym_CARET_EQ] = ACTIONS(644),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_assert] = ACTIONS(650),
    [anon_sym_defer] = ACTIONS(650),
    [anon_sym_unsafe] = ACTIONS(650),
    [anon_sym_pub] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(676),
    [anon_sym___global] = ACTIONS(650),
    [anon_sym_const] = ACTIONS(650),
    [anon_sym_asm] = ACTIONS(650),
    [anon_sym_break] = ACTIONS(650),
    [anon_sym_continue] = ACTIONS(650),
    [anon_sym_return] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(650),
    [anon_sym_go] = ACTIONS(650),
    [anon_sym_spawn] = ACTIONS(650),
    [anon_sym_goto] = ACTIONS(650),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_DOLLARfor] = ACTIONS(644),
    [anon_sym_DOLLARif] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [anon_sym_struct] = ACTIONS(650),
    [anon_sym_union] = ACTIONS(650),
    [anon_sym_enum] = ACTIONS(650),
    [anon_sym_interface] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(650),
    [anon_sym_match] = ACTIONS(650),
    [anon_sym_select] = ACTIONS(650),
    [anon_sym_lock] = ACTIONS(650),
    [anon_sym_rlock] = ACTIONS(650),
    [sym__automatic_separator] = ACTIONS(644),
    [sym__c_string_opening] = ACTIONS(644),
    [sym__raw_string_opening] = ACTIONS(644),
    [sym__string_opening] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [81] = {
    [sym__expression] = STATE(1006),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(81),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(651),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(1349),
    [sym_binded_identifier] = STATE(998),
    [sym_expression_list] = STATE(1613),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [ts_builtin_sym_end] = ACTIONS(678),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_assert] = ACTIONS(712),
    [anon_sym_defer] = ACTIONS(712),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_pub] = ACTIONS(712),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym___global] = ACTIONS(712),
    [anon_sym_const] = ACTIONS(712),
    [anon_sym_asm] = ACTIONS(712),
    [anon_sym_break] = ACTIONS(712),
    [anon_sym_continue] = ACTIONS(712),
    [anon_sym_return] = ACTIONS(712),
    [anon_sym_type] = ACTIONS(712),
    [anon_sym_go] = ACTIONS(712),
    [anon_sym_spawn] = ACTIONS(712),
    [anon_sym_goto] = ACTIONS(712),
    [anon_sym_for] = ACTIONS(712),
    [anon_sym_DOLLARfor] = ACTIONS(678),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_struct] = ACTIONS(712),
    [anon_sym_union] = ACTIONS(712),
    [anon_sym_enum] = ACTIONS(712),
    [anon_sym_interface] = ACTIONS(712),
    [anon_sym_POUND] = ACTIONS(678),
    [anon_sym_module] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(712),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__automatic_separator] = ACTIONS(678),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [82] = {
    [sym_comment] = STATE(82),
    [sym_fixed_array_type] = STATE(168),
    [sym_array_type] = STATE(168),
    [sym_pointer_type] = STATE(168),
    [sym_map_type] = STATE(168),
    [sym_channel_type] = STATE(168),
    [sym_shared_type] = STATE(168),
    [sym_thread_type] = STATE(168),
    [sym_binded_identifier] = STATE(173),
    [sym_multi_return_type] = STATE(232),
    [sym__simple_type] = STATE(232),
    [sym_builtin_type] = STATE(168),
    [sym__binded_type] = STATE(168),
    [sym_generic_type] = STATE(168),
    [sym_qualified_type] = STATE(126),
    [sym_function_type] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(734),
    [sym_identifier] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_BANG] = ACTIONS(736),
    [anon_sym_TILDE] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_LT_DASH] = ACTIONS(734),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_DOLLAR] = ACTIONS(736),
    [sym_none] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_map_LBRACK] = ACTIONS(660),
    [anon_sym_chan] = ACTIONS(662),
    [anon_sym_shared] = ACTIONS(664),
    [anon_sym_thread] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(734),
    [sym_rune_literal] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(668),
    [anon_sym_string] = ACTIONS(668),
    [anon_sym_char] = ACTIONS(668),
    [anon_sym_sql] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(670),
    [anon_sym_JS] = ACTIONS(670),
    [anon_sym_voidptr] = ACTIONS(668),
    [anon_sym_byteptr] = ACTIONS(668),
    [anon_sym_charptr] = ACTIONS(668),
    [anon_sym_i8] = ACTIONS(668),
    [anon_sym_i16] = ACTIONS(668),
    [anon_sym_i32] = ACTIONS(668),
    [anon_sym_int] = ACTIONS(668),
    [anon_sym_i64] = ACTIONS(668),
    [anon_sym_byte] = ACTIONS(668),
    [anon_sym_u8] = ACTIONS(668),
    [anon_sym_u16] = ACTIONS(668),
    [anon_sym_u32] = ACTIONS(668),
    [anon_sym_u64] = ACTIONS(668),
    [anon_sym_f32] = ACTIONS(668),
    [anon_sym_f64] = ACTIONS(668),
    [anon_sym_bool] = ACTIONS(668),
    [anon_sym_rune] = ACTIONS(668),
    [anon_sym_map] = ACTIONS(668),
    [anon_sym_mapnode] = ACTIONS(668),
    [anon_sym_size_t] = ACTIONS(668),
    [anon_sym_usize] = ACTIONS(668),
    [anon_sym_isize] = ACTIONS(668),
    [anon_sym_float_literal] = ACTIONS(668),
    [anon_sym_int_literal] = ACTIONS(668),
    [anon_sym_IError] = ACTIONS(668),
    [sym_type_placeholder] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(736),
    [sym_type_identifier] = ACTIONS(674),
    [anon_sym_PLUS_PLUS] = ACTIONS(734),
    [anon_sym_DASH_DASH] = ACTIONS(734),
    [anon_sym_COLON_EQ] = ACTIONS(734),
    [anon_sym_STAR_EQ] = ACTIONS(734),
    [anon_sym_SLASH_EQ] = ACTIONS(734),
    [anon_sym_PERCENT_EQ] = ACTIONS(734),
    [anon_sym_LT_LT_EQ] = ACTIONS(734),
    [anon_sym_GT_GT_EQ] = ACTIONS(734),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(734),
    [anon_sym_AMP_EQ] = ACTIONS(734),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(734),
    [anon_sym_PLUS_EQ] = ACTIONS(734),
    [anon_sym_DASH_EQ] = ACTIONS(734),
    [anon_sym_PIPE_EQ] = ACTIONS(734),
    [anon_sym_CARET_EQ] = ACTIONS(734),
    [anon_sym_EQ] = ACTIONS(736),
    [anon_sym_assert] = ACTIONS(736),
    [anon_sym_defer] = ACTIONS(736),
    [anon_sym_unsafe] = ACTIONS(736),
    [anon_sym_pub] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(676),
    [anon_sym___global] = ACTIONS(736),
    [anon_sym_const] = ACTIONS(736),
    [anon_sym_asm] = ACTIONS(736),
    [anon_sym_break] = ACTIONS(736),
    [anon_sym_continue] = ACTIONS(736),
    [anon_sym_return] = ACTIONS(736),
    [anon_sym_type] = ACTIONS(736),
    [anon_sym_go] = ACTIONS(736),
    [anon_sym_spawn] = ACTIONS(736),
    [anon_sym_goto] = ACTIONS(736),
    [anon_sym_for] = ACTIONS(736),
    [anon_sym_DOLLARfor] = ACTIONS(734),
    [anon_sym_DOLLARif] = ACTIONS(734),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [anon_sym_struct] = ACTIONS(736),
    [anon_sym_union] = ACTIONS(736),
    [anon_sym_enum] = ACTIONS(736),
    [anon_sym_interface] = ACTIONS(736),
    [anon_sym_POUND] = ACTIONS(734),
    [anon_sym_module] = ACTIONS(736),
    [anon_sym_import] = ACTIONS(736),
    [anon_sym_match] = ACTIONS(736),
    [anon_sym_select] = ACTIONS(736),
    [anon_sym_lock] = ACTIONS(736),
    [anon_sym_rlock] = ACTIONS(736),
    [sym__automatic_separator] = ACTIONS(734),
    [sym__c_string_opening] = ACTIONS(734),
    [sym__raw_string_opening] = ACTIONS(734),
    [sym__string_opening] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [83] = {
    [sym_comment] = STATE(83),
    [sym_fixed_array_type] = STATE(168),
    [sym_array_type] = STATE(168),
    [sym_pointer_type] = STATE(168),
    [sym_map_type] = STATE(168),
    [sym_channel_type] = STATE(168),
    [sym_shared_type] = STATE(168),
    [sym_thread_type] = STATE(168),
    [sym_binded_identifier] = STATE(173),
    [sym_multi_return_type] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_builtin_type] = STATE(168),
    [sym__binded_type] = STATE(168),
    [sym_generic_type] = STATE(168),
    [sym_qualified_type] = STATE(126),
    [sym_function_type] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(738),
    [sym_identifier] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_LT_DASH] = ACTIONS(738),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_DOLLAR] = ACTIONS(740),
    [sym_none] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_map_LBRACK] = ACTIONS(660),
    [anon_sym_chan] = ACTIONS(662),
    [anon_sym_shared] = ACTIONS(664),
    [anon_sym_thread] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(740),
    [sym_float_literal] = ACTIONS(738),
    [sym_rune_literal] = ACTIONS(738),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(668),
    [anon_sym_string] = ACTIONS(668),
    [anon_sym_char] = ACTIONS(668),
    [anon_sym_sql] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(670),
    [anon_sym_JS] = ACTIONS(670),
    [anon_sym_voidptr] = ACTIONS(668),
    [anon_sym_byteptr] = ACTIONS(668),
    [anon_sym_charptr] = ACTIONS(668),
    [anon_sym_i8] = ACTIONS(668),
    [anon_sym_i16] = ACTIONS(668),
    [anon_sym_i32] = ACTIONS(668),
    [anon_sym_int] = ACTIONS(668),
    [anon_sym_i64] = ACTIONS(668),
    [anon_sym_byte] = ACTIONS(668),
    [anon_sym_u8] = ACTIONS(668),
    [anon_sym_u16] = ACTIONS(668),
    [anon_sym_u32] = ACTIONS(668),
    [anon_sym_u64] = ACTIONS(668),
    [anon_sym_f32] = ACTIONS(668),
    [anon_sym_f64] = ACTIONS(668),
    [anon_sym_bool] = ACTIONS(668),
    [anon_sym_rune] = ACTIONS(668),
    [anon_sym_map] = ACTIONS(668),
    [anon_sym_mapnode] = ACTIONS(668),
    [anon_sym_size_t] = ACTIONS(668),
    [anon_sym_usize] = ACTIONS(668),
    [anon_sym_isize] = ACTIONS(668),
    [anon_sym_float_literal] = ACTIONS(668),
    [anon_sym_int_literal] = ACTIONS(668),
    [anon_sym_IError] = ACTIONS(668),
    [sym_type_placeholder] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(740),
    [sym_type_identifier] = ACTIONS(674),
    [anon_sym_PLUS_PLUS] = ACTIONS(738),
    [anon_sym_DASH_DASH] = ACTIONS(738),
    [anon_sym_COLON_EQ] = ACTIONS(738),
    [anon_sym_STAR_EQ] = ACTIONS(738),
    [anon_sym_SLASH_EQ] = ACTIONS(738),
    [anon_sym_PERCENT_EQ] = ACTIONS(738),
    [anon_sym_LT_LT_EQ] = ACTIONS(738),
    [anon_sym_GT_GT_EQ] = ACTIONS(738),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(738),
    [anon_sym_AMP_EQ] = ACTIONS(738),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(738),
    [anon_sym_PLUS_EQ] = ACTIONS(738),
    [anon_sym_DASH_EQ] = ACTIONS(738),
    [anon_sym_PIPE_EQ] = ACTIONS(738),
    [anon_sym_CARET_EQ] = ACTIONS(738),
    [anon_sym_EQ] = ACTIONS(740),
    [anon_sym_assert] = ACTIONS(740),
    [anon_sym_defer] = ACTIONS(740),
    [anon_sym_unsafe] = ACTIONS(740),
    [anon_sym_pub] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(676),
    [anon_sym___global] = ACTIONS(740),
    [anon_sym_const] = ACTIONS(740),
    [anon_sym_asm] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_type] = ACTIONS(740),
    [anon_sym_go] = ACTIONS(740),
    [anon_sym_spawn] = ACTIONS(740),
    [anon_sym_goto] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_DOLLARfor] = ACTIONS(738),
    [anon_sym_DOLLARif] = ACTIONS(738),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [anon_sym_struct] = ACTIONS(740),
    [anon_sym_union] = ACTIONS(740),
    [anon_sym_enum] = ACTIONS(740),
    [anon_sym_interface] = ACTIONS(740),
    [anon_sym_POUND] = ACTIONS(738),
    [anon_sym_module] = ACTIONS(740),
    [anon_sym_import] = ACTIONS(740),
    [anon_sym_match] = ACTIONS(740),
    [anon_sym_select] = ACTIONS(740),
    [anon_sym_lock] = ACTIONS(740),
    [anon_sym_rlock] = ACTIONS(740),
    [sym__automatic_separator] = ACTIONS(738),
    [sym__c_string_opening] = ACTIONS(738),
    [sym__raw_string_opening] = ACTIONS(738),
    [sym__string_opening] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [84] = {
    [sym_comment] = STATE(84),
    [sym_fixed_array_type] = STATE(168),
    [sym_array_type] = STATE(168),
    [sym_pointer_type] = STATE(168),
    [sym_map_type] = STATE(168),
    [sym_channel_type] = STATE(168),
    [sym_shared_type] = STATE(168),
    [sym_thread_type] = STATE(168),
    [sym_binded_identifier] = STATE(173),
    [sym__simple_type] = STATE(174),
    [sym_builtin_type] = STATE(168),
    [sym__binded_type] = STATE(168),
    [sym_generic_type] = STATE(168),
    [sym_qualified_type] = STATE(126),
    [sym_function_type] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(658),
    [anon_sym_map_LBRACK] = ACTIONS(660),
    [anon_sym_chan] = ACTIONS(662),
    [anon_sym_shared] = ACTIONS(664),
    [anon_sym_thread] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(668),
    [anon_sym_string] = ACTIONS(668),
    [anon_sym_char] = ACTIONS(668),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(670),
    [anon_sym_JS] = ACTIONS(670),
    [anon_sym_voidptr] = ACTIONS(668),
    [anon_sym_byteptr] = ACTIONS(668),
    [anon_sym_charptr] = ACTIONS(668),
    [anon_sym_i8] = ACTIONS(668),
    [anon_sym_i16] = ACTIONS(668),
    [anon_sym_i32] = ACTIONS(668),
    [anon_sym_int] = ACTIONS(668),
    [anon_sym_i64] = ACTIONS(668),
    [anon_sym_byte] = ACTIONS(668),
    [anon_sym_u8] = ACTIONS(668),
    [anon_sym_u16] = ACTIONS(668),
    [anon_sym_u32] = ACTIONS(668),
    [anon_sym_u64] = ACTIONS(668),
    [anon_sym_f32] = ACTIONS(668),
    [anon_sym_f64] = ACTIONS(668),
    [anon_sym_bool] = ACTIONS(668),
    [anon_sym_rune] = ACTIONS(668),
    [anon_sym_map] = ACTIONS(668),
    [anon_sym_mapnode] = ACTIONS(668),
    [anon_sym_size_t] = ACTIONS(668),
    [anon_sym_usize] = ACTIONS(668),
    [anon_sym_isize] = ACTIONS(668),
    [anon_sym_float_literal] = ACTIONS(668),
    [anon_sym_int_literal] = ACTIONS(668),
    [anon_sym_IError] = ACTIONS(668),
    [sym_type_placeholder] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(674),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(676),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [85] = {
    [sym_comment] = STATE(85),
    [sym_fixed_array_type] = STATE(168),
    [sym_array_type] = STATE(168),
    [sym_pointer_type] = STATE(168),
    [sym_map_type] = STATE(168),
    [sym_channel_type] = STATE(168),
    [sym_shared_type] = STATE(168),
    [sym_thread_type] = STATE(168),
    [sym_binded_identifier] = STATE(173),
    [sym__simple_type] = STATE(186),
    [sym_builtin_type] = STATE(168),
    [sym__binded_type] = STATE(168),
    [sym_generic_type] = STATE(168),
    [sym_qualified_type] = STATE(126),
    [sym_function_type] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [86] = {
    [sym_comment] = STATE(86),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [ts_builtin_sym_end] = ACTIONS(746),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(752),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_LT_DASH] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(750),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(750),
    [anon_sym_AMP_CARET] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_DOLLAR] = ACTIONS(750),
    [sym_none] = ACTIONS(750),
    [sym_true] = ACTIONS(750),
    [sym_false] = ACTIONS(750),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(750),
    [sym_float_literal] = ACTIONS(746),
    [sym_rune_literal] = ACTIONS(746),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_sql] = ACTIONS(750),
    [anon_sym_mut] = ACTIONS(750),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [anon_sym_AT] = ACTIONS(750),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(746),
    [anon_sym_DASH_DASH] = ACTIONS(746),
    [anon_sym_COLON_EQ] = ACTIONS(746),
    [anon_sym_STAR_EQ] = ACTIONS(746),
    [anon_sym_SLASH_EQ] = ACTIONS(746),
    [anon_sym_PERCENT_EQ] = ACTIONS(746),
    [anon_sym_LT_LT_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_AMP_EQ] = ACTIONS(746),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(746),
    [anon_sym_PLUS_EQ] = ACTIONS(746),
    [anon_sym_DASH_EQ] = ACTIONS(746),
    [anon_sym_PIPE_EQ] = ACTIONS(746),
    [anon_sym_CARET_EQ] = ACTIONS(746),
    [anon_sym_EQ] = ACTIONS(750),
    [anon_sym_assert] = ACTIONS(750),
    [anon_sym_defer] = ACTIONS(750),
    [anon_sym_unsafe] = ACTIONS(750),
    [anon_sym_pub] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym___global] = ACTIONS(750),
    [anon_sym_const] = ACTIONS(750),
    [anon_sym_asm] = ACTIONS(750),
    [anon_sym_break] = ACTIONS(750),
    [anon_sym_continue] = ACTIONS(750),
    [anon_sym_return] = ACTIONS(750),
    [anon_sym_type] = ACTIONS(750),
    [anon_sym_go] = ACTIONS(750),
    [anon_sym_spawn] = ACTIONS(750),
    [anon_sym_goto] = ACTIONS(750),
    [anon_sym_for] = ACTIONS(750),
    [anon_sym_DOLLARfor] = ACTIONS(746),
    [anon_sym_DOLLARif] = ACTIONS(746),
    [anon_sym_if] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [anon_sym_struct] = ACTIONS(750),
    [anon_sym_union] = ACTIONS(750),
    [anon_sym_enum] = ACTIONS(750),
    [anon_sym_interface] = ACTIONS(750),
    [anon_sym_POUND] = ACTIONS(746),
    [anon_sym_module] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(750),
    [anon_sym_match] = ACTIONS(750),
    [anon_sym_select] = ACTIONS(750),
    [anon_sym_lock] = ACTIONS(750),
    [anon_sym_rlock] = ACTIONS(750),
    [sym__automatic_separator] = ACTIONS(746),
    [sym__c_string_opening] = ACTIONS(746),
    [sym__raw_string_opening] = ACTIONS(746),
    [sym__string_opening] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [87] = {
    [sym_comment] = STATE(87),
    [sym_fixed_array_type] = STATE(937),
    [sym_array_type] = STATE(937),
    [sym_pointer_type] = STATE(937),
    [sym_map_type] = STATE(937),
    [sym_channel_type] = STATE(937),
    [sym_shared_type] = STATE(937),
    [sym_thread_type] = STATE(937),
    [sym_binded_identifier] = STATE(949),
    [sym_option_type] = STATE(922),
    [sym_result_type] = STATE(922),
    [sym_multi_return_type] = STATE(922),
    [sym__simple_type] = STATE(922),
    [sym_builtin_type] = STATE(937),
    [sym__binded_type] = STATE(937),
    [sym_generic_type] = STATE(937),
    [sym_qualified_type] = STATE(807),
    [sym_function_type] = STATE(937),
    [sym_identifier] = ACTIONS(768),
    [anon_sym_LPAREN] = ACTIONS(770),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_LT_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(776),
    [sym_none] = ACTIONS(650),
    [sym_true] = ACTIONS(650),
    [sym_false] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_RBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(778),
    [anon_sym_map_LBRACK] = ACTIONS(780),
    [anon_sym_chan] = ACTIONS(782),
    [anon_sym_shared] = ACTIONS(784),
    [anon_sym_thread] = ACTIONS(786),
    [sym_int_literal] = ACTIONS(650),
    [sym_float_literal] = ACTIONS(644),
    [sym_rune_literal] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(788),
    [anon_sym_string] = ACTIONS(788),
    [anon_sym_char] = ACTIONS(788),
    [anon_sym_sql] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(790),
    [anon_sym_JS] = ACTIONS(790),
    [anon_sym_voidptr] = ACTIONS(788),
    [anon_sym_byteptr] = ACTIONS(788),
    [anon_sym_charptr] = ACTIONS(788),
    [anon_sym_i8] = ACTIONS(788),
    [anon_sym_i16] = ACTIONS(788),
    [anon_sym_i32] = ACTIONS(788),
    [anon_sym_int] = ACTIONS(788),
    [anon_sym_i64] = ACTIONS(788),
    [anon_sym_byte] = ACTIONS(788),
    [anon_sym_u8] = ACTIONS(788),
    [anon_sym_u16] = ACTIONS(788),
    [anon_sym_u32] = ACTIONS(788),
    [anon_sym_u64] = ACTIONS(788),
    [anon_sym_f32] = ACTIONS(788),
    [anon_sym_f64] = ACTIONS(788),
    [anon_sym_bool] = ACTIONS(788),
    [anon_sym_rune] = ACTIONS(788),
    [anon_sym_map] = ACTIONS(788),
    [anon_sym_mapnode] = ACTIONS(788),
    [anon_sym_size_t] = ACTIONS(788),
    [anon_sym_usize] = ACTIONS(788),
    [anon_sym_isize] = ACTIONS(788),
    [anon_sym_float_literal] = ACTIONS(788),
    [anon_sym_int_literal] = ACTIONS(788),
    [anon_sym_IError] = ACTIONS(788),
    [sym_type_placeholder] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(650),
    [sym_type_identifier] = ACTIONS(794),
    [anon_sym_PLUS_PLUS] = ACTIONS(644),
    [anon_sym_DASH_DASH] = ACTIONS(644),
    [anon_sym_COLON_EQ] = ACTIONS(644),
    [anon_sym_STAR_EQ] = ACTIONS(644),
    [anon_sym_SLASH_EQ] = ACTIONS(644),
    [anon_sym_PERCENT_EQ] = ACTIONS(644),
    [anon_sym_LT_LT_EQ] = ACTIONS(644),
    [anon_sym_GT_GT_EQ] = ACTIONS(644),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(644),
    [anon_sym_AMP_EQ] = ACTIONS(644),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(644),
    [anon_sym_PLUS_EQ] = ACTIONS(644),
    [anon_sym_DASH_EQ] = ACTIONS(644),
    [anon_sym_PIPE_EQ] = ACTIONS(644),
    [anon_sym_CARET_EQ] = ACTIONS(644),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_assert] = ACTIONS(650),
    [anon_sym_defer] = ACTIONS(650),
    [anon_sym_unsafe] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(796),
    [anon_sym_asm] = ACTIONS(650),
    [anon_sym_break] = ACTIONS(650),
    [anon_sym_continue] = ACTIONS(650),
    [anon_sym_return] = ACTIONS(650),
    [anon_sym_go] = ACTIONS(650),
    [anon_sym_spawn] = ACTIONS(650),
    [anon_sym_goto] = ACTIONS(650),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_DOLLARfor] = ACTIONS(644),
    [anon_sym_DOLLARif] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [anon_sym_POUND] = ACTIONS(644),
    [anon_sym_match] = ACTIONS(650),
    [anon_sym_select] = ACTIONS(650),
    [anon_sym_lock] = ACTIONS(650),
    [anon_sym_rlock] = ACTIONS(650),
    [sym__automatic_separator] = ACTIONS(644),
    [sym__c_string_opening] = ACTIONS(644),
    [sym__raw_string_opening] = ACTIONS(644),
    [sym__string_opening] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [88] = {
    [sym__expression] = STATE(1206),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(88),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(582),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(1815),
    [sym_binded_identifier] = STATE(1187),
    [sym_expression_list] = STATE(1857),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_assert] = ACTIONS(712),
    [anon_sym_defer] = ACTIONS(712),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_asm] = ACTIONS(712),
    [anon_sym_break] = ACTIONS(712),
    [anon_sym_continue] = ACTIONS(712),
    [anon_sym_return] = ACTIONS(712),
    [anon_sym_go] = ACTIONS(712),
    [anon_sym_spawn] = ACTIONS(712),
    [anon_sym_goto] = ACTIONS(712),
    [anon_sym_for] = ACTIONS(712),
    [anon_sym_DOLLARfor] = ACTIONS(678),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_POUND] = ACTIONS(678),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__automatic_separator] = ACTIONS(678),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [89] = {
    [sym_comment] = STATE(89),
    [sym_fixed_array_type] = STATE(937),
    [sym_array_type] = STATE(937),
    [sym_pointer_type] = STATE(937),
    [sym_map_type] = STATE(937),
    [sym_channel_type] = STATE(937),
    [sym_shared_type] = STATE(937),
    [sym_thread_type] = STATE(937),
    [sym_binded_identifier] = STATE(949),
    [sym_multi_return_type] = STATE(924),
    [sym__simple_type] = STATE(924),
    [sym_builtin_type] = STATE(937),
    [sym__binded_type] = STATE(937),
    [sym_generic_type] = STATE(937),
    [sym_qualified_type] = STATE(807),
    [sym_function_type] = STATE(937),
    [sym_identifier] = ACTIONS(768),
    [anon_sym_LPAREN] = ACTIONS(770),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_LT_DASH] = ACTIONS(738),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_DOLLAR] = ACTIONS(740),
    [sym_none] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(778),
    [anon_sym_map_LBRACK] = ACTIONS(780),
    [anon_sym_chan] = ACTIONS(782),
    [anon_sym_shared] = ACTIONS(784),
    [anon_sym_thread] = ACTIONS(786),
    [sym_int_literal] = ACTIONS(740),
    [sym_float_literal] = ACTIONS(738),
    [sym_rune_literal] = ACTIONS(738),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(788),
    [anon_sym_string] = ACTIONS(788),
    [anon_sym_char] = ACTIONS(788),
    [anon_sym_sql] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(790),
    [anon_sym_JS] = ACTIONS(790),
    [anon_sym_voidptr] = ACTIONS(788),
    [anon_sym_byteptr] = ACTIONS(788),
    [anon_sym_charptr] = ACTIONS(788),
    [anon_sym_i8] = ACTIONS(788),
    [anon_sym_i16] = ACTIONS(788),
    [anon_sym_i32] = ACTIONS(788),
    [anon_sym_int] = ACTIONS(788),
    [anon_sym_i64] = ACTIONS(788),
    [anon_sym_byte] = ACTIONS(788),
    [anon_sym_u8] = ACTIONS(788),
    [anon_sym_u16] = ACTIONS(788),
    [anon_sym_u32] = ACTIONS(788),
    [anon_sym_u64] = ACTIONS(788),
    [anon_sym_f32] = ACTIONS(788),
    [anon_sym_f64] = ACTIONS(788),
    [anon_sym_bool] = ACTIONS(788),
    [anon_sym_rune] = ACTIONS(788),
    [anon_sym_map] = ACTIONS(788),
    [anon_sym_mapnode] = ACTIONS(788),
    [anon_sym_size_t] = ACTIONS(788),
    [anon_sym_usize] = ACTIONS(788),
    [anon_sym_isize] = ACTIONS(788),
    [anon_sym_float_literal] = ACTIONS(788),
    [anon_sym_int_literal] = ACTIONS(788),
    [anon_sym_IError] = ACTIONS(788),
    [sym_type_placeholder] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(740),
    [sym_type_identifier] = ACTIONS(794),
    [anon_sym_PLUS_PLUS] = ACTIONS(738),
    [anon_sym_DASH_DASH] = ACTIONS(738),
    [anon_sym_COLON_EQ] = ACTIONS(738),
    [anon_sym_STAR_EQ] = ACTIONS(738),
    [anon_sym_SLASH_EQ] = ACTIONS(738),
    [anon_sym_PERCENT_EQ] = ACTIONS(738),
    [anon_sym_LT_LT_EQ] = ACTIONS(738),
    [anon_sym_GT_GT_EQ] = ACTIONS(738),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(738),
    [anon_sym_AMP_EQ] = ACTIONS(738),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(738),
    [anon_sym_PLUS_EQ] = ACTIONS(738),
    [anon_sym_DASH_EQ] = ACTIONS(738),
    [anon_sym_PIPE_EQ] = ACTIONS(738),
    [anon_sym_CARET_EQ] = ACTIONS(738),
    [anon_sym_EQ] = ACTIONS(740),
    [anon_sym_assert] = ACTIONS(740),
    [anon_sym_defer] = ACTIONS(740),
    [anon_sym_unsafe] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(796),
    [anon_sym_asm] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_go] = ACTIONS(740),
    [anon_sym_spawn] = ACTIONS(740),
    [anon_sym_goto] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_DOLLARfor] = ACTIONS(738),
    [anon_sym_DOLLARif] = ACTIONS(738),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [anon_sym_POUND] = ACTIONS(738),
    [anon_sym_match] = ACTIONS(740),
    [anon_sym_select] = ACTIONS(740),
    [anon_sym_lock] = ACTIONS(740),
    [anon_sym_rlock] = ACTIONS(740),
    [sym__automatic_separator] = ACTIONS(738),
    [sym__c_string_opening] = ACTIONS(738),
    [sym__raw_string_opening] = ACTIONS(738),
    [sym__string_opening] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [90] = {
    [sym_special_argument_list] = STATE(96),
    [sym_comment] = STATE(90),
    [sym_argument_list] = STATE(97),
    [sym_type_parameters] = STATE(4511),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [91] = {
    [sym_comment] = STATE(91),
    [sym_fixed_array_type] = STATE(937),
    [sym_array_type] = STATE(937),
    [sym_pointer_type] = STATE(937),
    [sym_map_type] = STATE(937),
    [sym_channel_type] = STATE(937),
    [sym_shared_type] = STATE(937),
    [sym_thread_type] = STATE(937),
    [sym_binded_identifier] = STATE(949),
    [sym_multi_return_type] = STATE(928),
    [sym__simple_type] = STATE(928),
    [sym_builtin_type] = STATE(937),
    [sym__binded_type] = STATE(937),
    [sym_generic_type] = STATE(937),
    [sym_qualified_type] = STATE(807),
    [sym_function_type] = STATE(937),
    [sym_identifier] = ACTIONS(768),
    [anon_sym_LPAREN] = ACTIONS(770),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_BANG] = ACTIONS(736),
    [anon_sym_TILDE] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_LT_DASH] = ACTIONS(734),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_DOLLAR] = ACTIONS(736),
    [sym_none] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(778),
    [anon_sym_map_LBRACK] = ACTIONS(780),
    [anon_sym_chan] = ACTIONS(782),
    [anon_sym_shared] = ACTIONS(784),
    [anon_sym_thread] = ACTIONS(786),
    [sym_int_literal] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(734),
    [sym_rune_literal] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(788),
    [anon_sym_string] = ACTIONS(788),
    [anon_sym_char] = ACTIONS(788),
    [anon_sym_sql] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(790),
    [anon_sym_JS] = ACTIONS(790),
    [anon_sym_voidptr] = ACTIONS(788),
    [anon_sym_byteptr] = ACTIONS(788),
    [anon_sym_charptr] = ACTIONS(788),
    [anon_sym_i8] = ACTIONS(788),
    [anon_sym_i16] = ACTIONS(788),
    [anon_sym_i32] = ACTIONS(788),
    [anon_sym_int] = ACTIONS(788),
    [anon_sym_i64] = ACTIONS(788),
    [anon_sym_byte] = ACTIONS(788),
    [anon_sym_u8] = ACTIONS(788),
    [anon_sym_u16] = ACTIONS(788),
    [anon_sym_u32] = ACTIONS(788),
    [anon_sym_u64] = ACTIONS(788),
    [anon_sym_f32] = ACTIONS(788),
    [anon_sym_f64] = ACTIONS(788),
    [anon_sym_bool] = ACTIONS(788),
    [anon_sym_rune] = ACTIONS(788),
    [anon_sym_map] = ACTIONS(788),
    [anon_sym_mapnode] = ACTIONS(788),
    [anon_sym_size_t] = ACTIONS(788),
    [anon_sym_usize] = ACTIONS(788),
    [anon_sym_isize] = ACTIONS(788),
    [anon_sym_float_literal] = ACTIONS(788),
    [anon_sym_int_literal] = ACTIONS(788),
    [anon_sym_IError] = ACTIONS(788),
    [sym_type_placeholder] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(736),
    [sym_type_identifier] = ACTIONS(794),
    [anon_sym_PLUS_PLUS] = ACTIONS(734),
    [anon_sym_DASH_DASH] = ACTIONS(734),
    [anon_sym_COLON_EQ] = ACTIONS(734),
    [anon_sym_STAR_EQ] = ACTIONS(734),
    [anon_sym_SLASH_EQ] = ACTIONS(734),
    [anon_sym_PERCENT_EQ] = ACTIONS(734),
    [anon_sym_LT_LT_EQ] = ACTIONS(734),
    [anon_sym_GT_GT_EQ] = ACTIONS(734),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(734),
    [anon_sym_AMP_EQ] = ACTIONS(734),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(734),
    [anon_sym_PLUS_EQ] = ACTIONS(734),
    [anon_sym_DASH_EQ] = ACTIONS(734),
    [anon_sym_PIPE_EQ] = ACTIONS(734),
    [anon_sym_CARET_EQ] = ACTIONS(734),
    [anon_sym_EQ] = ACTIONS(736),
    [anon_sym_assert] = ACTIONS(736),
    [anon_sym_defer] = ACTIONS(736),
    [anon_sym_unsafe] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(796),
    [anon_sym_asm] = ACTIONS(736),
    [anon_sym_break] = ACTIONS(736),
    [anon_sym_continue] = ACTIONS(736),
    [anon_sym_return] = ACTIONS(736),
    [anon_sym_go] = ACTIONS(736),
    [anon_sym_spawn] = ACTIONS(736),
    [anon_sym_goto] = ACTIONS(736),
    [anon_sym_for] = ACTIONS(736),
    [anon_sym_DOLLARfor] = ACTIONS(734),
    [anon_sym_DOLLARif] = ACTIONS(734),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [anon_sym_POUND] = ACTIONS(734),
    [anon_sym_match] = ACTIONS(736),
    [anon_sym_select] = ACTIONS(736),
    [anon_sym_lock] = ACTIONS(736),
    [anon_sym_rlock] = ACTIONS(736),
    [sym__automatic_separator] = ACTIONS(734),
    [sym__c_string_opening] = ACTIONS(734),
    [sym__raw_string_opening] = ACTIONS(734),
    [sym__string_opening] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [92] = {
    [sym_special_argument_list] = STATE(96),
    [sym_comment] = STATE(92),
    [sym_argument_list] = STATE(97),
    [sym_type_parameters] = STATE(4511),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [93] = {
    [sym_special_argument_list] = STATE(96),
    [sym_comment] = STATE(93),
    [sym_argument_list] = STATE(97),
    [sym_type_parameters] = STATE(4511),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [94] = {
    [sym_comment] = STATE(94),
    [sym_fixed_array_type] = STATE(937),
    [sym_array_type] = STATE(937),
    [sym_pointer_type] = STATE(937),
    [sym_map_type] = STATE(937),
    [sym_channel_type] = STATE(937),
    [sym_shared_type] = STATE(937),
    [sym_thread_type] = STATE(937),
    [sym_binded_identifier] = STATE(949),
    [sym__simple_type] = STATE(942),
    [sym_builtin_type] = STATE(937),
    [sym__binded_type] = STATE(937),
    [sym_generic_type] = STATE(937),
    [sym_qualified_type] = STATE(807),
    [sym_function_type] = STATE(937),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [95] = {
    [sym_comment] = STATE(95),
    [sym_fixed_array_type] = STATE(937),
    [sym_array_type] = STATE(937),
    [sym_pointer_type] = STATE(937),
    [sym_map_type] = STATE(937),
    [sym_channel_type] = STATE(937),
    [sym_shared_type] = STATE(937),
    [sym_thread_type] = STATE(937),
    [sym_binded_identifier] = STATE(949),
    [sym__simple_type] = STATE(926),
    [sym_builtin_type] = STATE(937),
    [sym__binded_type] = STATE(937),
    [sym_generic_type] = STATE(937),
    [sym_qualified_type] = STATE(807),
    [sym_function_type] = STATE(937),
    [sym_identifier] = ACTIONS(768),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(778),
    [anon_sym_map_LBRACK] = ACTIONS(780),
    [anon_sym_chan] = ACTIONS(782),
    [anon_sym_shared] = ACTIONS(784),
    [anon_sym_thread] = ACTIONS(786),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(788),
    [anon_sym_string] = ACTIONS(788),
    [anon_sym_char] = ACTIONS(788),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(790),
    [anon_sym_JS] = ACTIONS(790),
    [anon_sym_voidptr] = ACTIONS(788),
    [anon_sym_byteptr] = ACTIONS(788),
    [anon_sym_charptr] = ACTIONS(788),
    [anon_sym_i8] = ACTIONS(788),
    [anon_sym_i16] = ACTIONS(788),
    [anon_sym_i32] = ACTIONS(788),
    [anon_sym_int] = ACTIONS(788),
    [anon_sym_i64] = ACTIONS(788),
    [anon_sym_byte] = ACTIONS(788),
    [anon_sym_u8] = ACTIONS(788),
    [anon_sym_u16] = ACTIONS(788),
    [anon_sym_u32] = ACTIONS(788),
    [anon_sym_u64] = ACTIONS(788),
    [anon_sym_f32] = ACTIONS(788),
    [anon_sym_f64] = ACTIONS(788),
    [anon_sym_bool] = ACTIONS(788),
    [anon_sym_rune] = ACTIONS(788),
    [anon_sym_map] = ACTIONS(788),
    [anon_sym_mapnode] = ACTIONS(788),
    [anon_sym_size_t] = ACTIONS(788),
    [anon_sym_usize] = ACTIONS(788),
    [anon_sym_isize] = ACTIONS(788),
    [anon_sym_float_literal] = ACTIONS(788),
    [anon_sym_int_literal] = ACTIONS(788),
    [anon_sym_IError] = ACTIONS(788),
    [sym_type_placeholder] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(794),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(796),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [96] = {
    [sym_option_propagator] = STATE(246),
    [sym_or_block] = STATE(249),
    [sym_comment] = STATE(96),
    [ts_builtin_sym_end] = ACTIONS(863),
    [sym_identifier] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_LT_DASH] = ACTIONS(863),
    [anon_sym_SLASH] = ACTIONS(865),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_LT_LT] = ACTIONS(865),
    [anon_sym_GT_GT] = ACTIONS(865),
    [anon_sym_GT_GT_GT] = ACTIONS(865),
    [anon_sym_AMP_CARET] = ACTIONS(865),
    [anon_sym_PIPE] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(863),
    [anon_sym_BANG_EQ] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(863),
    [anon_sym_in] = ACTIONS(865),
    [anon_sym_BANGin] = ACTIONS(863),
    [anon_sym_AMP_AMP] = ACTIONS(863),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_as] = ACTIONS(865),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOLLAR] = ACTIONS(865),
    [anon_sym_QMARK] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(871),
    [sym_none] = ACTIONS(865),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_map_LBRACK] = ACTIONS(863),
    [anon_sym_chan] = ACTIONS(865),
    [anon_sym_shared] = ACTIONS(865),
    [anon_sym_thread] = ACTIONS(865),
    [sym_int_literal] = ACTIONS(865),
    [sym_float_literal] = ACTIONS(863),
    [sym_rune_literal] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_array] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_char] = ACTIONS(865),
    [anon_sym_sql] = ACTIONS(865),
    [anon_sym_mut] = ACTIONS(865),
    [anon_sym_C] = ACTIONS(865),
    [anon_sym_JS] = ACTIONS(865),
    [anon_sym_voidptr] = ACTIONS(865),
    [anon_sym_byteptr] = ACTIONS(865),
    [anon_sym_charptr] = ACTIONS(865),
    [anon_sym_i8] = ACTIONS(865),
    [anon_sym_i16] = ACTIONS(865),
    [anon_sym_i32] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_i64] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_u8] = ACTIONS(865),
    [anon_sym_u16] = ACTIONS(865),
    [anon_sym_u32] = ACTIONS(865),
    [anon_sym_u64] = ACTIONS(865),
    [anon_sym_f32] = ACTIONS(865),
    [anon_sym_f64] = ACTIONS(865),
    [anon_sym_bool] = ACTIONS(865),
    [anon_sym_rune] = ACTIONS(865),
    [anon_sym_map] = ACTIONS(865),
    [anon_sym_mapnode] = ACTIONS(865),
    [anon_sym_size_t] = ACTIONS(865),
    [anon_sym_usize] = ACTIONS(865),
    [anon_sym_isize] = ACTIONS(865),
    [anon_sym_float_literal] = ACTIONS(865),
    [anon_sym_int_literal] = ACTIONS(865),
    [anon_sym_IError] = ACTIONS(865),
    [sym_type_placeholder] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(865),
    [sym_type_identifier] = ACTIONS(865),
    [anon_sym_PLUS_PLUS] = ACTIONS(863),
    [anon_sym_DASH_DASH] = ACTIONS(863),
    [anon_sym_COLON_EQ] = ACTIONS(863),
    [anon_sym_STAR_EQ] = ACTIONS(863),
    [anon_sym_SLASH_EQ] = ACTIONS(863),
    [anon_sym_PERCENT_EQ] = ACTIONS(863),
    [anon_sym_LT_LT_EQ] = ACTIONS(863),
    [anon_sym_GT_GT_EQ] = ACTIONS(863),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(863),
    [anon_sym_AMP_EQ] = ACTIONS(863),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(863),
    [anon_sym_PLUS_EQ] = ACTIONS(863),
    [anon_sym_DASH_EQ] = ACTIONS(863),
    [anon_sym_PIPE_EQ] = ACTIONS(863),
    [anon_sym_CARET_EQ] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_defer] = ACTIONS(865),
    [anon_sym_unsafe] = ACTIONS(865),
    [anon_sym_pub] = ACTIONS(865),
    [anon_sym_fn] = ACTIONS(865),
    [anon_sym___global] = ACTIONS(865),
    [anon_sym_const] = ACTIONS(865),
    [anon_sym_asm] = ACTIONS(865),
    [anon_sym_break] = ACTIONS(865),
    [anon_sym_continue] = ACTIONS(865),
    [anon_sym_return] = ACTIONS(865),
    [anon_sym_type] = ACTIONS(865),
    [anon_sym_go] = ACTIONS(865),
    [anon_sym_spawn] = ACTIONS(865),
    [anon_sym_goto] = ACTIONS(865),
    [anon_sym_for] = ACTIONS(865),
    [anon_sym_DOLLARfor] = ACTIONS(863),
    [anon_sym_DOLLARif] = ACTIONS(863),
    [anon_sym_if] = ACTIONS(865),
    [anon_sym_is] = ACTIONS(865),
    [anon_sym_BANGis] = ACTIONS(863),
    [anon_sym_struct] = ACTIONS(865),
    [anon_sym_union] = ACTIONS(865),
    [anon_sym_enum] = ACTIONS(865),
    [anon_sym_interface] = ACTIONS(865),
    [anon_sym_POUND] = ACTIONS(863),
    [anon_sym_module] = ACTIONS(865),
    [anon_sym_import] = ACTIONS(865),
    [anon_sym_match] = ACTIONS(865),
    [anon_sym_select] = ACTIONS(865),
    [anon_sym_lock] = ACTIONS(865),
    [anon_sym_rlock] = ACTIONS(865),
    [sym__automatic_separator] = ACTIONS(863),
    [sym__c_string_opening] = ACTIONS(863),
    [sym__raw_string_opening] = ACTIONS(863),
    [sym__string_opening] = ACTIONS(863),
    [sym__comment] = ACTIONS(3),
  },
  [97] = {
    [sym_option_propagator] = STATE(242),
    [sym_or_block] = STATE(249),
    [sym_comment] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(873),
    [sym_identifier] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(873),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(875),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_TILDE] = ACTIONS(873),
    [anon_sym_CARET] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_PERCENT] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_GT_GT_GT] = ACTIONS(875),
    [anon_sym_AMP_CARET] = ACTIONS(875),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(873),
    [anon_sym_BANG_EQ] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(873),
    [anon_sym_GT] = ACTIONS(875),
    [anon_sym_GT_EQ] = ACTIONS(873),
    [anon_sym_in] = ACTIONS(875),
    [anon_sym_BANGin] = ACTIONS(873),
    [anon_sym_AMP_AMP] = ACTIONS(873),
    [anon_sym_PIPE_PIPE] = ACTIONS(873),
    [anon_sym_as] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(873),
    [anon_sym_DOLLAR] = ACTIONS(875),
    [anon_sym_QMARK] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(871),
    [sym_none] = ACTIONS(875),
    [sym_true] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_map_LBRACK] = ACTIONS(873),
    [anon_sym_chan] = ACTIONS(875),
    [anon_sym_shared] = ACTIONS(875),
    [anon_sym_thread] = ACTIONS(875),
    [sym_int_literal] = ACTIONS(875),
    [sym_float_literal] = ACTIONS(873),
    [sym_rune_literal] = ACTIONS(873),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_array] = ACTIONS(875),
    [anon_sym_string] = ACTIONS(875),
    [anon_sym_char] = ACTIONS(875),
    [anon_sym_sql] = ACTIONS(875),
    [anon_sym_mut] = ACTIONS(875),
    [anon_sym_C] = ACTIONS(875),
    [anon_sym_JS] = ACTIONS(875),
    [anon_sym_voidptr] = ACTIONS(875),
    [anon_sym_byteptr] = ACTIONS(875),
    [anon_sym_charptr] = ACTIONS(875),
    [anon_sym_i8] = ACTIONS(875),
    [anon_sym_i16] = ACTIONS(875),
    [anon_sym_i32] = ACTIONS(875),
    [anon_sym_int] = ACTIONS(875),
    [anon_sym_i64] = ACTIONS(875),
    [anon_sym_byte] = ACTIONS(875),
    [anon_sym_u8] = ACTIONS(875),
    [anon_sym_u16] = ACTIONS(875),
    [anon_sym_u32] = ACTIONS(875),
    [anon_sym_u64] = ACTIONS(875),
    [anon_sym_f32] = ACTIONS(875),
    [anon_sym_f64] = ACTIONS(875),
    [anon_sym_bool] = ACTIONS(875),
    [anon_sym_rune] = ACTIONS(875),
    [anon_sym_map] = ACTIONS(875),
    [anon_sym_mapnode] = ACTIONS(875),
    [anon_sym_size_t] = ACTIONS(875),
    [anon_sym_usize] = ACTIONS(875),
    [anon_sym_isize] = ACTIONS(875),
    [anon_sym_float_literal] = ACTIONS(875),
    [anon_sym_int_literal] = ACTIONS(875),
    [anon_sym_IError] = ACTIONS(875),
    [sym_type_placeholder] = ACTIONS(875),
    [anon_sym_AT] = ACTIONS(875),
    [sym_type_identifier] = ACTIONS(875),
    [anon_sym_PLUS_PLUS] = ACTIONS(873),
    [anon_sym_DASH_DASH] = ACTIONS(873),
    [anon_sym_COLON_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_LT_LT_EQ] = ACTIONS(873),
    [anon_sym_GT_GT_EQ] = ACTIONS(873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(873),
    [anon_sym_AMP_EQ] = ACTIONS(873),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(873),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_PIPE_EQ] = ACTIONS(873),
    [anon_sym_CARET_EQ] = ACTIONS(873),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_assert] = ACTIONS(875),
    [anon_sym_defer] = ACTIONS(875),
    [anon_sym_unsafe] = ACTIONS(875),
    [anon_sym_pub] = ACTIONS(875),
    [anon_sym_fn] = ACTIONS(875),
    [anon_sym___global] = ACTIONS(875),
    [anon_sym_const] = ACTIONS(875),
    [anon_sym_asm] = ACTIONS(875),
    [anon_sym_break] = ACTIONS(875),
    [anon_sym_continue] = ACTIONS(875),
    [anon_sym_return] = ACTIONS(875),
    [anon_sym_type] = ACTIONS(875),
    [anon_sym_go] = ACTIONS(875),
    [anon_sym_spawn] = ACTIONS(875),
    [anon_sym_goto] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(875),
    [anon_sym_DOLLARfor] = ACTIONS(873),
    [anon_sym_DOLLARif] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_is] = ACTIONS(875),
    [anon_sym_BANGis] = ACTIONS(873),
    [anon_sym_struct] = ACTIONS(875),
    [anon_sym_union] = ACTIONS(875),
    [anon_sym_enum] = ACTIONS(875),
    [anon_sym_interface] = ACTIONS(875),
    [anon_sym_POUND] = ACTIONS(873),
    [anon_sym_module] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(875),
    [anon_sym_match] = ACTIONS(875),
    [anon_sym_select] = ACTIONS(875),
    [anon_sym_lock] = ACTIONS(875),
    [anon_sym_rlock] = ACTIONS(875),
    [sym__automatic_separator] = ACTIONS(873),
    [sym__c_string_opening] = ACTIONS(873),
    [sym__raw_string_opening] = ACTIONS(873),
    [sym__string_opening] = ACTIONS(873),
    [sym__comment] = ACTIONS(3),
  },
  [98] = {
    [sym_option_propagator] = STATE(221),
    [sym_or_block] = STATE(249),
    [sym_comment] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(877),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(879),
    [anon_sym_AMP] = ACTIONS(879),
    [anon_sym_LT_DASH] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(879),
    [anon_sym_PERCENT] = ACTIONS(879),
    [anon_sym_LT_LT] = ACTIONS(879),
    [anon_sym_GT_GT] = ACTIONS(879),
    [anon_sym_GT_GT_GT] = ACTIONS(879),
    [anon_sym_AMP_CARET] = ACTIONS(879),
    [anon_sym_PIPE] = ACTIONS(879),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(879),
    [anon_sym_BANGin] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(879),
    [anon_sym_COMMA] = ACTIONS(877),
    [anon_sym_DOLLAR] = ACTIONS(879),
    [anon_sym_QMARK] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(871),
    [sym_none] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_map_LBRACK] = ACTIONS(877),
    [anon_sym_chan] = ACTIONS(879),
    [anon_sym_shared] = ACTIONS(879),
    [anon_sym_thread] = ACTIONS(879),
    [sym_int_literal] = ACTIONS(879),
    [sym_float_literal] = ACTIONS(877),
    [sym_rune_literal] = ACTIONS(877),
    [anon_sym_DOT] = ACTIONS(879),
    [anon_sym_array] = ACTIONS(879),
    [anon_sym_string] = ACTIONS(879),
    [anon_sym_char] = ACTIONS(879),
    [anon_sym_sql] = ACTIONS(879),
    [anon_sym_mut] = ACTIONS(879),
    [anon_sym_C] = ACTIONS(879),
    [anon_sym_JS] = ACTIONS(879),
    [anon_sym_voidptr] = ACTIONS(879),
    [anon_sym_byteptr] = ACTIONS(879),
    [anon_sym_charptr] = ACTIONS(879),
    [anon_sym_i8] = ACTIONS(879),
    [anon_sym_i16] = ACTIONS(879),
    [anon_sym_i32] = ACTIONS(879),
    [anon_sym_int] = ACTIONS(879),
    [anon_sym_i64] = ACTIONS(879),
    [anon_sym_byte] = ACTIONS(879),
    [anon_sym_u8] = ACTIONS(879),
    [anon_sym_u16] = ACTIONS(879),
    [anon_sym_u32] = ACTIONS(879),
    [anon_sym_u64] = ACTIONS(879),
    [anon_sym_f32] = ACTIONS(879),
    [anon_sym_f64] = ACTIONS(879),
    [anon_sym_bool] = ACTIONS(879),
    [anon_sym_rune] = ACTIONS(879),
    [anon_sym_map] = ACTIONS(879),
    [anon_sym_mapnode] = ACTIONS(879),
    [anon_sym_size_t] = ACTIONS(879),
    [anon_sym_usize] = ACTIONS(879),
    [anon_sym_isize] = ACTIONS(879),
    [anon_sym_float_literal] = ACTIONS(879),
    [anon_sym_int_literal] = ACTIONS(879),
    [anon_sym_IError] = ACTIONS(879),
    [sym_type_placeholder] = ACTIONS(879),
    [anon_sym_AT] = ACTIONS(879),
    [sym_type_identifier] = ACTIONS(879),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(877),
    [anon_sym_STAR_EQ] = ACTIONS(877),
    [anon_sym_SLASH_EQ] = ACTIONS(877),
    [anon_sym_PERCENT_EQ] = ACTIONS(877),
    [anon_sym_LT_LT_EQ] = ACTIONS(877),
    [anon_sym_GT_GT_EQ] = ACTIONS(877),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(877),
    [anon_sym_AMP_EQ] = ACTIONS(877),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(877),
    [anon_sym_PLUS_EQ] = ACTIONS(877),
    [anon_sym_DASH_EQ] = ACTIONS(877),
    [anon_sym_PIPE_EQ] = ACTIONS(877),
    [anon_sym_CARET_EQ] = ACTIONS(877),
    [anon_sym_EQ] = ACTIONS(879),
    [anon_sym_assert] = ACTIONS(879),
    [anon_sym_defer] = ACTIONS(879),
    [anon_sym_unsafe] = ACTIONS(879),
    [anon_sym_pub] = ACTIONS(879),
    [anon_sym_fn] = ACTIONS(879),
    [anon_sym___global] = ACTIONS(879),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_asm] = ACTIONS(879),
    [anon_sym_break] = ACTIONS(879),
    [anon_sym_continue] = ACTIONS(879),
    [anon_sym_return] = ACTIONS(879),
    [anon_sym_type] = ACTIONS(879),
    [anon_sym_go] = ACTIONS(879),
    [anon_sym_spawn] = ACTIONS(879),
    [anon_sym_goto] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_DOLLARfor] = ACTIONS(877),
    [anon_sym_DOLLARif] = ACTIONS(877),
    [anon_sym_if] = ACTIONS(879),
    [anon_sym_is] = ACTIONS(879),
    [anon_sym_BANGis] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(879),
    [anon_sym_union] = ACTIONS(879),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_interface] = ACTIONS(879),
    [anon_sym_POUND] = ACTIONS(877),
    [anon_sym_module] = ACTIONS(879),
    [anon_sym_import] = ACTIONS(879),
    [anon_sym_match] = ACTIONS(879),
    [anon_sym_select] = ACTIONS(879),
    [anon_sym_lock] = ACTIONS(879),
    [anon_sym_rlock] = ACTIONS(879),
    [sym__automatic_separator] = ACTIONS(877),
    [sym__c_string_opening] = ACTIONS(877),
    [sym__raw_string_opening] = ACTIONS(877),
    [sym__string_opening] = ACTIONS(877),
    [sym__comment] = ACTIONS(3),
  },
  [99] = {
    [sym_option_propagator] = STATE(189),
    [sym_or_block] = STATE(249),
    [sym_comment] = STATE(99),
    [ts_builtin_sym_end] = ACTIONS(881),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_LT_DASH] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_GT_GT_GT] = ACTIONS(883),
    [anon_sym_AMP_CARET] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_BANGin] = ACTIONS(881),
    [anon_sym_AMP_AMP] = ACTIONS(881),
    [anon_sym_PIPE_PIPE] = ACTIONS(881),
    [anon_sym_as] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(871),
    [sym_none] = ACTIONS(883),
    [sym_true] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_map_LBRACK] = ACTIONS(881),
    [anon_sym_chan] = ACTIONS(883),
    [anon_sym_shared] = ACTIONS(883),
    [anon_sym_thread] = ACTIONS(883),
    [sym_int_literal] = ACTIONS(883),
    [sym_float_literal] = ACTIONS(881),
    [sym_rune_literal] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_array] = ACTIONS(883),
    [anon_sym_string] = ACTIONS(883),
    [anon_sym_char] = ACTIONS(883),
    [anon_sym_sql] = ACTIONS(883),
    [anon_sym_mut] = ACTIONS(883),
    [anon_sym_C] = ACTIONS(883),
    [anon_sym_JS] = ACTIONS(883),
    [anon_sym_voidptr] = ACTIONS(883),
    [anon_sym_byteptr] = ACTIONS(883),
    [anon_sym_charptr] = ACTIONS(883),
    [anon_sym_i8] = ACTIONS(883),
    [anon_sym_i16] = ACTIONS(883),
    [anon_sym_i32] = ACTIONS(883),
    [anon_sym_int] = ACTIONS(883),
    [anon_sym_i64] = ACTIONS(883),
    [anon_sym_byte] = ACTIONS(883),
    [anon_sym_u8] = ACTIONS(883),
    [anon_sym_u16] = ACTIONS(883),
    [anon_sym_u32] = ACTIONS(883),
    [anon_sym_u64] = ACTIONS(883),
    [anon_sym_f32] = ACTIONS(883),
    [anon_sym_f64] = ACTIONS(883),
    [anon_sym_bool] = ACTIONS(883),
    [anon_sym_rune] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(883),
    [anon_sym_mapnode] = ACTIONS(883),
    [anon_sym_size_t] = ACTIONS(883),
    [anon_sym_usize] = ACTIONS(883),
    [anon_sym_isize] = ACTIONS(883),
    [anon_sym_float_literal] = ACTIONS(883),
    [anon_sym_int_literal] = ACTIONS(883),
    [anon_sym_IError] = ACTIONS(883),
    [sym_type_placeholder] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [sym_type_identifier] = ACTIONS(883),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_COLON_EQ] = ACTIONS(881),
    [anon_sym_STAR_EQ] = ACTIONS(881),
    [anon_sym_SLASH_EQ] = ACTIONS(881),
    [anon_sym_PERCENT_EQ] = ACTIONS(881),
    [anon_sym_LT_LT_EQ] = ACTIONS(881),
    [anon_sym_GT_GT_EQ] = ACTIONS(881),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(881),
    [anon_sym_AMP_EQ] = ACTIONS(881),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(881),
    [anon_sym_PLUS_EQ] = ACTIONS(881),
    [anon_sym_DASH_EQ] = ACTIONS(881),
    [anon_sym_PIPE_EQ] = ACTIONS(881),
    [anon_sym_CARET_EQ] = ACTIONS(881),
    [anon_sym_EQ] = ACTIONS(883),
    [anon_sym_assert] = ACTIONS(883),
    [anon_sym_defer] = ACTIONS(883),
    [anon_sym_unsafe] = ACTIONS(883),
    [anon_sym_pub] = ACTIONS(883),
    [anon_sym_fn] = ACTIONS(883),
    [anon_sym___global] = ACTIONS(883),
    [anon_sym_const] = ACTIONS(883),
    [anon_sym_asm] = ACTIONS(883),
    [anon_sym_break] = ACTIONS(883),
    [anon_sym_continue] = ACTIONS(883),
    [anon_sym_return] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(883),
    [anon_sym_go] = ACTIONS(883),
    [anon_sym_spawn] = ACTIONS(883),
    [anon_sym_goto] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_DOLLARfor] = ACTIONS(881),
    [anon_sym_DOLLARif] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_BANGis] = ACTIONS(881),
    [anon_sym_struct] = ACTIONS(883),
    [anon_sym_union] = ACTIONS(883),
    [anon_sym_enum] = ACTIONS(883),
    [anon_sym_interface] = ACTIONS(883),
    [anon_sym_POUND] = ACTIONS(881),
    [anon_sym_module] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(883),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_select] = ACTIONS(883),
    [anon_sym_lock] = ACTIONS(883),
    [anon_sym_rlock] = ACTIONS(883),
    [sym__automatic_separator] = ACTIONS(881),
    [sym__c_string_opening] = ACTIONS(881),
    [sym__raw_string_opening] = ACTIONS(881),
    [sym__string_opening] = ACTIONS(881),
    [sym__comment] = ACTIONS(3),
  },
  [100] = {
    [sym_comment] = STATE(100),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_LT_DASH] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(750),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(750),
    [anon_sym_AMP_CARET] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_DOLLAR] = ACTIONS(750),
    [sym_none] = ACTIONS(750),
    [sym_true] = ACTIONS(750),
    [sym_false] = ACTIONS(750),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(750),
    [sym_float_literal] = ACTIONS(746),
    [sym_rune_literal] = ACTIONS(746),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_sql] = ACTIONS(750),
    [anon_sym_mut] = ACTIONS(750),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [anon_sym_AT] = ACTIONS(750),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(746),
    [anon_sym_DASH_DASH] = ACTIONS(746),
    [anon_sym_COLON_EQ] = ACTIONS(746),
    [anon_sym_STAR_EQ] = ACTIONS(746),
    [anon_sym_SLASH_EQ] = ACTIONS(746),
    [anon_sym_PERCENT_EQ] = ACTIONS(746),
    [anon_sym_LT_LT_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_AMP_EQ] = ACTIONS(746),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(746),
    [anon_sym_PLUS_EQ] = ACTIONS(746),
    [anon_sym_DASH_EQ] = ACTIONS(746),
    [anon_sym_PIPE_EQ] = ACTIONS(746),
    [anon_sym_CARET_EQ] = ACTIONS(746),
    [anon_sym_EQ] = ACTIONS(750),
    [anon_sym_assert] = ACTIONS(750),
    [anon_sym_defer] = ACTIONS(750),
    [anon_sym_unsafe] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_asm] = ACTIONS(750),
    [anon_sym_break] = ACTIONS(750),
    [anon_sym_continue] = ACTIONS(750),
    [anon_sym_return] = ACTIONS(750),
    [anon_sym_go] = ACTIONS(750),
    [anon_sym_spawn] = ACTIONS(750),
    [anon_sym_goto] = ACTIONS(750),
    [anon_sym_for] = ACTIONS(750),
    [anon_sym_DOLLARfor] = ACTIONS(746),
    [anon_sym_DOLLARif] = ACTIONS(746),
    [anon_sym_if] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [anon_sym_POUND] = ACTIONS(746),
    [anon_sym_match] = ACTIONS(750),
    [anon_sym_select] = ACTIONS(750),
    [anon_sym_lock] = ACTIONS(750),
    [anon_sym_rlock] = ACTIONS(750),
    [sym__automatic_separator] = ACTIONS(746),
    [sym__c_string_opening] = ACTIONS(746),
    [sym__raw_string_opening] = ACTIONS(746),
    [sym__string_opening] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [101] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(101),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4901),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [102] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(102),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4666),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(237),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [103] = {
    [sym__expression] = STATE(2343),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(103),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2382),
    [sym__mutable_prefix] = STATE(621),
    [sym_mutable_identifier] = STATE(3808),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(3460),
    [sym_binded_identifier] = STATE(2241),
    [sym_identifier_list] = STATE(4691),
    [sym_expression_list] = STATE(3486),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym__simple_statement] = STATE(4690),
    [sym_inc_statement] = STATE(4435),
    [sym_dec_statement] = STATE(4435),
    [sym_short_var_declaration] = STATE(4435),
    [sym_assignment_statement] = STATE(4435),
    [sym_block] = STATE(1634),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_for_in_operator] = STATE(4596),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_cstyle_for_clause] = STATE(4596),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [104] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(104),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4948),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(183),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [105] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(105),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4901),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [106] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(106),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4901),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [107] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(107),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4657),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(251),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [108] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(108),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4669),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(243),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [109] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(109),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4901),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [110] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(110),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4660),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [111] = {
    [sym_comment] = STATE(111),
    [sym_argument_list] = STATE(97),
    [sym_type_parameters] = STATE(4511),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [112] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(112),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4866),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(263),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [113] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(113),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4802),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(215),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [114] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(114),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4985),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(222),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [115] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(115),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4883),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [116] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(116),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4904),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [117] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(117),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4904),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [118] = {
    [sym__expression] = STATE(2301),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(118),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2382),
    [sym__mutable_prefix] = STATE(621),
    [sym_mutable_identifier] = STATE(3808),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(3460),
    [sym_binded_identifier] = STATE(2241),
    [sym_identifier_list] = STATE(4691),
    [sym_expression_list] = STATE(3486),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym__simple_statement] = STATE(4690),
    [sym_inc_statement] = STATE(4435),
    [sym_dec_statement] = STATE(4435),
    [sym_short_var_declaration] = STATE(4435),
    [sym_assignment_statement] = STATE(4435),
    [sym_block] = STATE(1836),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_for_in_operator] = STATE(4412),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_cstyle_for_clause] = STATE(4412),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [119] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(119),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4780),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [120] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(120),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4740),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(227),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [121] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(121),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4948),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(183),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [122] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(122),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4816),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [123] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(123),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4780),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [aux_sym_select_expression_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [124] = {
    [sym_comment] = STATE(124),
    [ts_builtin_sym_end] = ACTIONS(1038),
    [sym_identifier] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_CARET] = ACTIONS(1040),
    [anon_sym_STAR] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_LT_DASH] = ACTIONS(1038),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1040),
    [anon_sym_LT_LT] = ACTIONS(1040),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1040),
    [anon_sym_AMP_CARET] = ACTIONS(1040),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_BANGin] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_or] = ACTIONS(1040),
    [sym_none] = ACTIONS(1040),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_map_LBRACK] = ACTIONS(1038),
    [anon_sym_chan] = ACTIONS(1040),
    [anon_sym_shared] = ACTIONS(1040),
    [anon_sym_thread] = ACTIONS(1040),
    [sym_int_literal] = ACTIONS(1040),
    [sym_float_literal] = ACTIONS(1038),
    [sym_rune_literal] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_array] = ACTIONS(1040),
    [anon_sym_string] = ACTIONS(1040),
    [anon_sym_char] = ACTIONS(1040),
    [anon_sym_sql] = ACTIONS(1040),
    [anon_sym_mut] = ACTIONS(1040),
    [anon_sym_C] = ACTIONS(1040),
    [anon_sym_JS] = ACTIONS(1040),
    [anon_sym_voidptr] = ACTIONS(1040),
    [anon_sym_byteptr] = ACTIONS(1040),
    [anon_sym_charptr] = ACTIONS(1040),
    [anon_sym_i8] = ACTIONS(1040),
    [anon_sym_i16] = ACTIONS(1040),
    [anon_sym_i32] = ACTIONS(1040),
    [anon_sym_int] = ACTIONS(1040),
    [anon_sym_i64] = ACTIONS(1040),
    [anon_sym_byte] = ACTIONS(1040),
    [anon_sym_u8] = ACTIONS(1040),
    [anon_sym_u16] = ACTIONS(1040),
    [anon_sym_u32] = ACTIONS(1040),
    [anon_sym_u64] = ACTIONS(1040),
    [anon_sym_f32] = ACTIONS(1040),
    [anon_sym_f64] = ACTIONS(1040),
    [anon_sym_bool] = ACTIONS(1040),
    [anon_sym_rune] = ACTIONS(1040),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_mapnode] = ACTIONS(1040),
    [anon_sym_size_t] = ACTIONS(1040),
    [anon_sym_usize] = ACTIONS(1040),
    [anon_sym_isize] = ACTIONS(1040),
    [anon_sym_float_literal] = ACTIONS(1040),
    [anon_sym_int_literal] = ACTIONS(1040),
    [anon_sym_IError] = ACTIONS(1040),
    [sym_type_placeholder] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [sym_type_identifier] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [anon_sym_COLON_EQ] = ACTIONS(1038),
    [anon_sym_STAR_EQ] = ACTIONS(1038),
    [anon_sym_SLASH_EQ] = ACTIONS(1038),
    [anon_sym_PERCENT_EQ] = ACTIONS(1038),
    [anon_sym_LT_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT_GT_EQ] = ACTIONS(1038),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1038),
    [anon_sym_AMP_EQ] = ACTIONS(1038),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1038),
    [anon_sym_PLUS_EQ] = ACTIONS(1038),
    [anon_sym_DASH_EQ] = ACTIONS(1038),
    [anon_sym_PIPE_EQ] = ACTIONS(1038),
    [anon_sym_CARET_EQ] = ACTIONS(1038),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_assert] = ACTIONS(1040),
    [anon_sym_defer] = ACTIONS(1040),
    [anon_sym_unsafe] = ACTIONS(1040),
    [anon_sym_pub] = ACTIONS(1040),
    [anon_sym_fn] = ACTIONS(1040),
    [anon_sym___global] = ACTIONS(1040),
    [anon_sym_const] = ACTIONS(1040),
    [anon_sym_asm] = ACTIONS(1040),
    [anon_sym_break] = ACTIONS(1040),
    [anon_sym_continue] = ACTIONS(1040),
    [anon_sym_return] = ACTIONS(1040),
    [anon_sym_type] = ACTIONS(1040),
    [anon_sym_go] = ACTIONS(1040),
    [anon_sym_spawn] = ACTIONS(1040),
    [anon_sym_goto] = ACTIONS(1040),
    [anon_sym_for] = ACTIONS(1040),
    [anon_sym_DOLLARfor] = ACTIONS(1038),
    [anon_sym_DOLLARif] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_is] = ACTIONS(1040),
    [anon_sym_BANGis] = ACTIONS(1038),
    [anon_sym_struct] = ACTIONS(1040),
    [anon_sym_union] = ACTIONS(1040),
    [anon_sym_enum] = ACTIONS(1040),
    [anon_sym_interface] = ACTIONS(1040),
    [anon_sym_POUND] = ACTIONS(1038),
    [anon_sym_module] = ACTIONS(1040),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_match] = ACTIONS(1040),
    [anon_sym_select] = ACTIONS(1040),
    [anon_sym_lock] = ACTIONS(1040),
    [anon_sym_rlock] = ACTIONS(1040),
    [sym__automatic_separator] = ACTIONS(1038),
    [sym__c_string_opening] = ACTIONS(1038),
    [sym__raw_string_opening] = ACTIONS(1038),
    [sym__string_opening] = ACTIONS(1038),
    [sym__comment] = ACTIONS(3),
  },
  [125] = {
    [sym_comment] = STATE(125),
    [ts_builtin_sym_end] = ACTIONS(1042),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_CARET] = ACTIONS(1044),
    [anon_sym_STAR] = ACTIONS(1044),
    [anon_sym_AMP] = ACTIONS(1044),
    [anon_sym_LT_DASH] = ACTIONS(1042),
    [anon_sym_SLASH] = ACTIONS(1044),
    [anon_sym_PERCENT] = ACTIONS(1044),
    [anon_sym_LT_LT] = ACTIONS(1044),
    [anon_sym_GT_GT] = ACTIONS(1044),
    [anon_sym_GT_GT_GT] = ACTIONS(1044),
    [anon_sym_AMP_CARET] = ACTIONS(1044),
    [anon_sym_PIPE] = ACTIONS(1044),
    [anon_sym_EQ_EQ] = ACTIONS(1042),
    [anon_sym_BANG_EQ] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1044),
    [anon_sym_LT_EQ] = ACTIONS(1042),
    [anon_sym_GT] = ACTIONS(1044),
    [anon_sym_GT_EQ] = ACTIONS(1042),
    [anon_sym_in] = ACTIONS(1044),
    [anon_sym_BANGin] = ACTIONS(1042),
    [anon_sym_AMP_AMP] = ACTIONS(1042),
    [anon_sym_PIPE_PIPE] = ACTIONS(1042),
    [anon_sym_as] = ACTIONS(1044),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(1042),
    [anon_sym_or] = ACTIONS(1044),
    [sym_none] = ACTIONS(1044),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_map_LBRACK] = ACTIONS(1042),
    [anon_sym_chan] = ACTIONS(1044),
    [anon_sym_shared] = ACTIONS(1044),
    [anon_sym_thread] = ACTIONS(1044),
    [sym_int_literal] = ACTIONS(1044),
    [sym_float_literal] = ACTIONS(1042),
    [sym_rune_literal] = ACTIONS(1042),
    [anon_sym_DOT] = ACTIONS(1044),
    [anon_sym_array] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_char] = ACTIONS(1044),
    [anon_sym_sql] = ACTIONS(1044),
    [anon_sym_mut] = ACTIONS(1044),
    [anon_sym_C] = ACTIONS(1044),
    [anon_sym_JS] = ACTIONS(1044),
    [anon_sym_voidptr] = ACTIONS(1044),
    [anon_sym_byteptr] = ACTIONS(1044),
    [anon_sym_charptr] = ACTIONS(1044),
    [anon_sym_i8] = ACTIONS(1044),
    [anon_sym_i16] = ACTIONS(1044),
    [anon_sym_i32] = ACTIONS(1044),
    [anon_sym_int] = ACTIONS(1044),
    [anon_sym_i64] = ACTIONS(1044),
    [anon_sym_byte] = ACTIONS(1044),
    [anon_sym_u8] = ACTIONS(1044),
    [anon_sym_u16] = ACTIONS(1044),
    [anon_sym_u32] = ACTIONS(1044),
    [anon_sym_u64] = ACTIONS(1044),
    [anon_sym_f32] = ACTIONS(1044),
    [anon_sym_f64] = ACTIONS(1044),
    [anon_sym_bool] = ACTIONS(1044),
    [anon_sym_rune] = ACTIONS(1044),
    [anon_sym_map] = ACTIONS(1044),
    [anon_sym_mapnode] = ACTIONS(1044),
    [anon_sym_size_t] = ACTIONS(1044),
    [anon_sym_usize] = ACTIONS(1044),
    [anon_sym_isize] = ACTIONS(1044),
    [anon_sym_float_literal] = ACTIONS(1044),
    [anon_sym_int_literal] = ACTIONS(1044),
    [anon_sym_IError] = ACTIONS(1044),
    [sym_type_placeholder] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [sym_type_identifier] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1042),
    [anon_sym_COLON_EQ] = ACTIONS(1042),
    [anon_sym_STAR_EQ] = ACTIONS(1042),
    [anon_sym_SLASH_EQ] = ACTIONS(1042),
    [anon_sym_PERCENT_EQ] = ACTIONS(1042),
    [anon_sym_LT_LT_EQ] = ACTIONS(1042),
    [anon_sym_GT_GT_EQ] = ACTIONS(1042),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1042),
    [anon_sym_AMP_EQ] = ACTIONS(1042),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1042),
    [anon_sym_PLUS_EQ] = ACTIONS(1042),
    [anon_sym_DASH_EQ] = ACTIONS(1042),
    [anon_sym_PIPE_EQ] = ACTIONS(1042),
    [anon_sym_CARET_EQ] = ACTIONS(1042),
    [anon_sym_EQ] = ACTIONS(1044),
    [anon_sym_assert] = ACTIONS(1044),
    [anon_sym_defer] = ACTIONS(1044),
    [anon_sym_unsafe] = ACTIONS(1044),
    [anon_sym_pub] = ACTIONS(1044),
    [anon_sym_fn] = ACTIONS(1044),
    [anon_sym___global] = ACTIONS(1044),
    [anon_sym_const] = ACTIONS(1044),
    [anon_sym_asm] = ACTIONS(1044),
    [anon_sym_break] = ACTIONS(1044),
    [anon_sym_continue] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_go] = ACTIONS(1044),
    [anon_sym_spawn] = ACTIONS(1044),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_for] = ACTIONS(1044),
    [anon_sym_DOLLARfor] = ACTIONS(1042),
    [anon_sym_DOLLARif] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1044),
    [anon_sym_is] = ACTIONS(1044),
    [anon_sym_BANGis] = ACTIONS(1042),
    [anon_sym_struct] = ACTIONS(1044),
    [anon_sym_union] = ACTIONS(1044),
    [anon_sym_enum] = ACTIONS(1044),
    [anon_sym_interface] = ACTIONS(1044),
    [anon_sym_POUND] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_import] = ACTIONS(1044),
    [anon_sym_match] = ACTIONS(1044),
    [anon_sym_select] = ACTIONS(1044),
    [anon_sym_lock] = ACTIONS(1044),
    [anon_sym_rlock] = ACTIONS(1044),
    [sym__automatic_separator] = ACTIONS(1042),
    [sym__c_string_opening] = ACTIONS(1042),
    [sym__raw_string_opening] = ACTIONS(1042),
    [sym__string_opening] = ACTIONS(1042),
    [sym__comment] = ACTIONS(3),
  },
  [126] = {
    [sym_comment] = STATE(126),
    [sym_type_parameters] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1048),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1048),
    [anon_sym_LT_LT] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1048),
    [anon_sym_AMP_CARET] = ACTIONS(1048),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_LT2] = ACTIONS(1050),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_COLON_EQ] = ACTIONS(1046),
    [anon_sym_STAR_EQ] = ACTIONS(1046),
    [anon_sym_SLASH_EQ] = ACTIONS(1046),
    [anon_sym_PERCENT_EQ] = ACTIONS(1046),
    [anon_sym_LT_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT_GT_EQ] = ACTIONS(1046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1046),
    [anon_sym_AMP_EQ] = ACTIONS(1046),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1046),
    [anon_sym_PLUS_EQ] = ACTIONS(1046),
    [anon_sym_DASH_EQ] = ACTIONS(1046),
    [anon_sym_PIPE_EQ] = ACTIONS(1046),
    [anon_sym_CARET_EQ] = ACTIONS(1046),
    [anon_sym_EQ] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_pub] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym___global] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_type] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_struct] = ACTIONS(1048),
    [anon_sym_union] = ACTIONS(1048),
    [anon_sym_enum] = ACTIONS(1048),
    [anon_sym_interface] = ACTIONS(1048),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1048),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [127] = {
    [sym_comment] = STATE(127),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_CARET] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1054),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1052),
    [anon_sym_SLASH] = ACTIONS(1054),
    [anon_sym_PERCENT] = ACTIONS(1054),
    [anon_sym_LT_LT] = ACTIONS(1054),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_GT_GT_GT] = ACTIONS(1054),
    [anon_sym_AMP_CARET] = ACTIONS(1054),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1052),
    [anon_sym_BANG_EQ] = ACTIONS(1052),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1052),
    [anon_sym_in] = ACTIONS(1054),
    [anon_sym_BANGin] = ACTIONS(1052),
    [anon_sym_AMP_AMP] = ACTIONS(1052),
    [anon_sym_PIPE_PIPE] = ACTIONS(1052),
    [anon_sym_as] = ACTIONS(1054),
    [anon_sym_COMMA] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1054),
    [anon_sym_QMARK] = ACTIONS(1052),
    [anon_sym_or] = ACTIONS(1054),
    [sym_none] = ACTIONS(1054),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_map_LBRACK] = ACTIONS(1052),
    [anon_sym_chan] = ACTIONS(1054),
    [anon_sym_shared] = ACTIONS(1054),
    [anon_sym_thread] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(1054),
    [sym_float_literal] = ACTIONS(1052),
    [sym_rune_literal] = ACTIONS(1052),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_array] = ACTIONS(1054),
    [anon_sym_string] = ACTIONS(1054),
    [anon_sym_char] = ACTIONS(1054),
    [anon_sym_sql] = ACTIONS(1054),
    [anon_sym_mut] = ACTIONS(1054),
    [anon_sym_C] = ACTIONS(1054),
    [anon_sym_JS] = ACTIONS(1054),
    [anon_sym_voidptr] = ACTIONS(1054),
    [anon_sym_byteptr] = ACTIONS(1054),
    [anon_sym_charptr] = ACTIONS(1054),
    [anon_sym_i8] = ACTIONS(1054),
    [anon_sym_i16] = ACTIONS(1054),
    [anon_sym_i32] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_i64] = ACTIONS(1054),
    [anon_sym_byte] = ACTIONS(1054),
    [anon_sym_u8] = ACTIONS(1054),
    [anon_sym_u16] = ACTIONS(1054),
    [anon_sym_u32] = ACTIONS(1054),
    [anon_sym_u64] = ACTIONS(1054),
    [anon_sym_f32] = ACTIONS(1054),
    [anon_sym_f64] = ACTIONS(1054),
    [anon_sym_bool] = ACTIONS(1054),
    [anon_sym_rune] = ACTIONS(1054),
    [anon_sym_map] = ACTIONS(1054),
    [anon_sym_mapnode] = ACTIONS(1054),
    [anon_sym_size_t] = ACTIONS(1054),
    [anon_sym_usize] = ACTIONS(1054),
    [anon_sym_isize] = ACTIONS(1054),
    [anon_sym_float_literal] = ACTIONS(1054),
    [anon_sym_int_literal] = ACTIONS(1054),
    [anon_sym_IError] = ACTIONS(1054),
    [sym_type_placeholder] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1054),
    [sym_type_identifier] = ACTIONS(1054),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_COLON_EQ] = ACTIONS(1052),
    [anon_sym_STAR_EQ] = ACTIONS(1052),
    [anon_sym_SLASH_EQ] = ACTIONS(1052),
    [anon_sym_PERCENT_EQ] = ACTIONS(1052),
    [anon_sym_LT_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT_GT_EQ] = ACTIONS(1052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1052),
    [anon_sym_AMP_EQ] = ACTIONS(1052),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1052),
    [anon_sym_PLUS_EQ] = ACTIONS(1052),
    [anon_sym_DASH_EQ] = ACTIONS(1052),
    [anon_sym_PIPE_EQ] = ACTIONS(1052),
    [anon_sym_CARET_EQ] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(1054),
    [anon_sym_assert] = ACTIONS(1054),
    [anon_sym_defer] = ACTIONS(1054),
    [anon_sym_unsafe] = ACTIONS(1054),
    [anon_sym_pub] = ACTIONS(1054),
    [anon_sym_fn] = ACTIONS(1054),
    [anon_sym___global] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1054),
    [anon_sym_asm] = ACTIONS(1054),
    [anon_sym_break] = ACTIONS(1054),
    [anon_sym_continue] = ACTIONS(1054),
    [anon_sym_return] = ACTIONS(1054),
    [anon_sym_type] = ACTIONS(1054),
    [anon_sym_go] = ACTIONS(1054),
    [anon_sym_spawn] = ACTIONS(1054),
    [anon_sym_goto] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1054),
    [anon_sym_DOLLARfor] = ACTIONS(1052),
    [anon_sym_DOLLARif] = ACTIONS(1052),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_is] = ACTIONS(1054),
    [anon_sym_BANGis] = ACTIONS(1052),
    [anon_sym_struct] = ACTIONS(1054),
    [anon_sym_union] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1054),
    [anon_sym_interface] = ACTIONS(1054),
    [anon_sym_POUND] = ACTIONS(1052),
    [anon_sym_module] = ACTIONS(1054),
    [anon_sym_import] = ACTIONS(1054),
    [anon_sym_match] = ACTIONS(1054),
    [anon_sym_select] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_rlock] = ACTIONS(1054),
    [sym__automatic_separator] = ACTIONS(1052),
    [sym__c_string_opening] = ACTIONS(1052),
    [sym__raw_string_opening] = ACTIONS(1052),
    [sym__string_opening] = ACTIONS(1052),
    [sym__comment] = ACTIONS(3),
  },
  [128] = {
    [sym_comment] = STATE(128),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_LT_DASH] = ACTIONS(1056),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_GT_GT_GT] = ACTIONS(1058),
    [anon_sym_AMP_CARET] = ACTIONS(1058),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_in] = ACTIONS(1058),
    [anon_sym_BANGin] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_as] = ACTIONS(1058),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_or] = ACTIONS(1058),
    [sym_none] = ACTIONS(1058),
    [sym_true] = ACTIONS(1058),
    [sym_false] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_map_LBRACK] = ACTIONS(1056),
    [anon_sym_chan] = ACTIONS(1058),
    [anon_sym_shared] = ACTIONS(1058),
    [anon_sym_thread] = ACTIONS(1058),
    [sym_int_literal] = ACTIONS(1058),
    [sym_float_literal] = ACTIONS(1056),
    [sym_rune_literal] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1058),
    [anon_sym_array] = ACTIONS(1058),
    [anon_sym_string] = ACTIONS(1058),
    [anon_sym_char] = ACTIONS(1058),
    [anon_sym_sql] = ACTIONS(1058),
    [anon_sym_mut] = ACTIONS(1058),
    [anon_sym_C] = ACTIONS(1058),
    [anon_sym_JS] = ACTIONS(1058),
    [anon_sym_voidptr] = ACTIONS(1058),
    [anon_sym_byteptr] = ACTIONS(1058),
    [anon_sym_charptr] = ACTIONS(1058),
    [anon_sym_i8] = ACTIONS(1058),
    [anon_sym_i16] = ACTIONS(1058),
    [anon_sym_i32] = ACTIONS(1058),
    [anon_sym_int] = ACTIONS(1058),
    [anon_sym_i64] = ACTIONS(1058),
    [anon_sym_byte] = ACTIONS(1058),
    [anon_sym_u8] = ACTIONS(1058),
    [anon_sym_u16] = ACTIONS(1058),
    [anon_sym_u32] = ACTIONS(1058),
    [anon_sym_u64] = ACTIONS(1058),
    [anon_sym_f32] = ACTIONS(1058),
    [anon_sym_f64] = ACTIONS(1058),
    [anon_sym_bool] = ACTIONS(1058),
    [anon_sym_rune] = ACTIONS(1058),
    [anon_sym_map] = ACTIONS(1058),
    [anon_sym_mapnode] = ACTIONS(1058),
    [anon_sym_size_t] = ACTIONS(1058),
    [anon_sym_usize] = ACTIONS(1058),
    [anon_sym_isize] = ACTIONS(1058),
    [anon_sym_float_literal] = ACTIONS(1058),
    [anon_sym_int_literal] = ACTIONS(1058),
    [anon_sym_IError] = ACTIONS(1058),
    [sym_type_placeholder] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1058),
    [sym_type_identifier] = ACTIONS(1058),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_COLON_EQ] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_assert] = ACTIONS(1058),
    [anon_sym_defer] = ACTIONS(1058),
    [anon_sym_unsafe] = ACTIONS(1058),
    [anon_sym_pub] = ACTIONS(1058),
    [anon_sym_fn] = ACTIONS(1058),
    [anon_sym___global] = ACTIONS(1058),
    [anon_sym_const] = ACTIONS(1058),
    [anon_sym_asm] = ACTIONS(1058),
    [anon_sym_break] = ACTIONS(1058),
    [anon_sym_continue] = ACTIONS(1058),
    [anon_sym_return] = ACTIONS(1058),
    [anon_sym_type] = ACTIONS(1058),
    [anon_sym_go] = ACTIONS(1058),
    [anon_sym_spawn] = ACTIONS(1058),
    [anon_sym_goto] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1058),
    [anon_sym_DOLLARfor] = ACTIONS(1056),
    [anon_sym_DOLLARif] = ACTIONS(1056),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_is] = ACTIONS(1058),
    [anon_sym_BANGis] = ACTIONS(1056),
    [anon_sym_struct] = ACTIONS(1058),
    [anon_sym_union] = ACTIONS(1058),
    [anon_sym_enum] = ACTIONS(1058),
    [anon_sym_interface] = ACTIONS(1058),
    [anon_sym_POUND] = ACTIONS(1056),
    [anon_sym_module] = ACTIONS(1058),
    [anon_sym_import] = ACTIONS(1058),
    [anon_sym_match] = ACTIONS(1058),
    [anon_sym_select] = ACTIONS(1058),
    [anon_sym_lock] = ACTIONS(1058),
    [anon_sym_rlock] = ACTIONS(1058),
    [sym__automatic_separator] = ACTIONS(1056),
    [sym__c_string_opening] = ACTIONS(1056),
    [sym__raw_string_opening] = ACTIONS(1056),
    [sym__string_opening] = ACTIONS(1056),
    [sym__comment] = ACTIONS(3),
  },
  [129] = {
    [sym_comment] = STATE(129),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_identifier] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_CARET] = ACTIONS(1062),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_AMP] = ACTIONS(1062),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_SLASH] = ACTIONS(1062),
    [anon_sym_PERCENT] = ACTIONS(1062),
    [anon_sym_LT_LT] = ACTIONS(1062),
    [anon_sym_GT_GT] = ACTIONS(1062),
    [anon_sym_GT_GT_GT] = ACTIONS(1062),
    [anon_sym_AMP_CARET] = ACTIONS(1062),
    [anon_sym_PIPE] = ACTIONS(1062),
    [anon_sym_EQ_EQ] = ACTIONS(1060),
    [anon_sym_BANG_EQ] = ACTIONS(1060),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_LT_EQ] = ACTIONS(1060),
    [anon_sym_GT] = ACTIONS(1062),
    [anon_sym_GT_EQ] = ACTIONS(1060),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_BANGin] = ACTIONS(1060),
    [anon_sym_AMP_AMP] = ACTIONS(1060),
    [anon_sym_PIPE_PIPE] = ACTIONS(1060),
    [anon_sym_as] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_or] = ACTIONS(1062),
    [sym_none] = ACTIONS(1062),
    [sym_true] = ACTIONS(1062),
    [sym_false] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_map_LBRACK] = ACTIONS(1060),
    [anon_sym_chan] = ACTIONS(1062),
    [anon_sym_shared] = ACTIONS(1062),
    [anon_sym_thread] = ACTIONS(1062),
    [sym_int_literal] = ACTIONS(1062),
    [sym_float_literal] = ACTIONS(1060),
    [sym_rune_literal] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1062),
    [anon_sym_array] = ACTIONS(1062),
    [anon_sym_string] = ACTIONS(1062),
    [anon_sym_char] = ACTIONS(1062),
    [anon_sym_sql] = ACTIONS(1062),
    [anon_sym_mut] = ACTIONS(1062),
    [anon_sym_C] = ACTIONS(1062),
    [anon_sym_JS] = ACTIONS(1062),
    [anon_sym_voidptr] = ACTIONS(1062),
    [anon_sym_byteptr] = ACTIONS(1062),
    [anon_sym_charptr] = ACTIONS(1062),
    [anon_sym_i8] = ACTIONS(1062),
    [anon_sym_i16] = ACTIONS(1062),
    [anon_sym_i32] = ACTIONS(1062),
    [anon_sym_int] = ACTIONS(1062),
    [anon_sym_i64] = ACTIONS(1062),
    [anon_sym_byte] = ACTIONS(1062),
    [anon_sym_u8] = ACTIONS(1062),
    [anon_sym_u16] = ACTIONS(1062),
    [anon_sym_u32] = ACTIONS(1062),
    [anon_sym_u64] = ACTIONS(1062),
    [anon_sym_f32] = ACTIONS(1062),
    [anon_sym_f64] = ACTIONS(1062),
    [anon_sym_bool] = ACTIONS(1062),
    [anon_sym_rune] = ACTIONS(1062),
    [anon_sym_map] = ACTIONS(1062),
    [anon_sym_mapnode] = ACTIONS(1062),
    [anon_sym_size_t] = ACTIONS(1062),
    [anon_sym_usize] = ACTIONS(1062),
    [anon_sym_isize] = ACTIONS(1062),
    [anon_sym_float_literal] = ACTIONS(1062),
    [anon_sym_int_literal] = ACTIONS(1062),
    [anon_sym_IError] = ACTIONS(1062),
    [sym_type_placeholder] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [sym_type_identifier] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [anon_sym_COLON_EQ] = ACTIONS(1060),
    [anon_sym_STAR_EQ] = ACTIONS(1060),
    [anon_sym_SLASH_EQ] = ACTIONS(1060),
    [anon_sym_PERCENT_EQ] = ACTIONS(1060),
    [anon_sym_LT_LT_EQ] = ACTIONS(1060),
    [anon_sym_GT_GT_EQ] = ACTIONS(1060),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1060),
    [anon_sym_AMP_EQ] = ACTIONS(1060),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1060),
    [anon_sym_PLUS_EQ] = ACTIONS(1060),
    [anon_sym_DASH_EQ] = ACTIONS(1060),
    [anon_sym_PIPE_EQ] = ACTIONS(1060),
    [anon_sym_CARET_EQ] = ACTIONS(1060),
    [anon_sym_EQ] = ACTIONS(1062),
    [anon_sym_assert] = ACTIONS(1062),
    [anon_sym_defer] = ACTIONS(1062),
    [anon_sym_unsafe] = ACTIONS(1062),
    [anon_sym_pub] = ACTIONS(1062),
    [anon_sym_fn] = ACTIONS(1062),
    [anon_sym___global] = ACTIONS(1062),
    [anon_sym_const] = ACTIONS(1062),
    [anon_sym_asm] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1062),
    [anon_sym_continue] = ACTIONS(1062),
    [anon_sym_return] = ACTIONS(1062),
    [anon_sym_type] = ACTIONS(1062),
    [anon_sym_go] = ACTIONS(1062),
    [anon_sym_spawn] = ACTIONS(1062),
    [anon_sym_goto] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1062),
    [anon_sym_DOLLARfor] = ACTIONS(1060),
    [anon_sym_DOLLARif] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_is] = ACTIONS(1062),
    [anon_sym_BANGis] = ACTIONS(1060),
    [anon_sym_struct] = ACTIONS(1062),
    [anon_sym_union] = ACTIONS(1062),
    [anon_sym_enum] = ACTIONS(1062),
    [anon_sym_interface] = ACTIONS(1062),
    [anon_sym_POUND] = ACTIONS(1060),
    [anon_sym_module] = ACTIONS(1062),
    [anon_sym_import] = ACTIONS(1062),
    [anon_sym_match] = ACTIONS(1062),
    [anon_sym_select] = ACTIONS(1062),
    [anon_sym_lock] = ACTIONS(1062),
    [anon_sym_rlock] = ACTIONS(1062),
    [sym__automatic_separator] = ACTIONS(1060),
    [sym__c_string_opening] = ACTIONS(1060),
    [sym__raw_string_opening] = ACTIONS(1060),
    [sym__string_opening] = ACTIONS(1060),
    [sym__comment] = ACTIONS(3),
  },
  [130] = {
    [sym_comment] = STATE(130),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_identifier] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_SLASH] = ACTIONS(1066),
    [anon_sym_PERCENT] = ACTIONS(1066),
    [anon_sym_LT_LT] = ACTIONS(1066),
    [anon_sym_GT_GT] = ACTIONS(1066),
    [anon_sym_GT_GT_GT] = ACTIONS(1066),
    [anon_sym_AMP_CARET] = ACTIONS(1066),
    [anon_sym_PIPE] = ACTIONS(1066),
    [anon_sym_EQ_EQ] = ACTIONS(1064),
    [anon_sym_BANG_EQ] = ACTIONS(1064),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_LT_EQ] = ACTIONS(1064),
    [anon_sym_GT] = ACTIONS(1066),
    [anon_sym_GT_EQ] = ACTIONS(1064),
    [anon_sym_in] = ACTIONS(1066),
    [anon_sym_BANGin] = ACTIONS(1064),
    [anon_sym_AMP_AMP] = ACTIONS(1064),
    [anon_sym_PIPE_PIPE] = ACTIONS(1064),
    [anon_sym_as] = ACTIONS(1066),
    [anon_sym_COMMA] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(1064),
    [anon_sym_or] = ACTIONS(1066),
    [sym_none] = ACTIONS(1066),
    [sym_true] = ACTIONS(1066),
    [sym_false] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_map_LBRACK] = ACTIONS(1064),
    [anon_sym_chan] = ACTIONS(1066),
    [anon_sym_shared] = ACTIONS(1066),
    [anon_sym_thread] = ACTIONS(1066),
    [sym_int_literal] = ACTIONS(1066),
    [sym_float_literal] = ACTIONS(1064),
    [sym_rune_literal] = ACTIONS(1064),
    [anon_sym_DOT] = ACTIONS(1066),
    [anon_sym_array] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_char] = ACTIONS(1066),
    [anon_sym_sql] = ACTIONS(1066),
    [anon_sym_mut] = ACTIONS(1066),
    [anon_sym_C] = ACTIONS(1066),
    [anon_sym_JS] = ACTIONS(1066),
    [anon_sym_voidptr] = ACTIONS(1066),
    [anon_sym_byteptr] = ACTIONS(1066),
    [anon_sym_charptr] = ACTIONS(1066),
    [anon_sym_i8] = ACTIONS(1066),
    [anon_sym_i16] = ACTIONS(1066),
    [anon_sym_i32] = ACTIONS(1066),
    [anon_sym_int] = ACTIONS(1066),
    [anon_sym_i64] = ACTIONS(1066),
    [anon_sym_byte] = ACTIONS(1066),
    [anon_sym_u8] = ACTIONS(1066),
    [anon_sym_u16] = ACTIONS(1066),
    [anon_sym_u32] = ACTIONS(1066),
    [anon_sym_u64] = ACTIONS(1066),
    [anon_sym_f32] = ACTIONS(1066),
    [anon_sym_f64] = ACTIONS(1066),
    [anon_sym_bool] = ACTIONS(1066),
    [anon_sym_rune] = ACTIONS(1066),
    [anon_sym_map] = ACTIONS(1066),
    [anon_sym_mapnode] = ACTIONS(1066),
    [anon_sym_size_t] = ACTIONS(1066),
    [anon_sym_usize] = ACTIONS(1066),
    [anon_sym_isize] = ACTIONS(1066),
    [anon_sym_float_literal] = ACTIONS(1066),
    [anon_sym_int_literal] = ACTIONS(1066),
    [anon_sym_IError] = ACTIONS(1066),
    [sym_type_placeholder] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [sym_type_identifier] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_COLON_EQ] = ACTIONS(1064),
    [anon_sym_STAR_EQ] = ACTIONS(1064),
    [anon_sym_SLASH_EQ] = ACTIONS(1064),
    [anon_sym_PERCENT_EQ] = ACTIONS(1064),
    [anon_sym_LT_LT_EQ] = ACTIONS(1064),
    [anon_sym_GT_GT_EQ] = ACTIONS(1064),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1064),
    [anon_sym_AMP_EQ] = ACTIONS(1064),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1064),
    [anon_sym_PLUS_EQ] = ACTIONS(1064),
    [anon_sym_DASH_EQ] = ACTIONS(1064),
    [anon_sym_PIPE_EQ] = ACTIONS(1064),
    [anon_sym_CARET_EQ] = ACTIONS(1064),
    [anon_sym_EQ] = ACTIONS(1066),
    [anon_sym_assert] = ACTIONS(1066),
    [anon_sym_defer] = ACTIONS(1066),
    [anon_sym_unsafe] = ACTIONS(1066),
    [anon_sym_pub] = ACTIONS(1066),
    [anon_sym_fn] = ACTIONS(1066),
    [anon_sym___global] = ACTIONS(1066),
    [anon_sym_const] = ACTIONS(1066),
    [anon_sym_asm] = ACTIONS(1066),
    [anon_sym_break] = ACTIONS(1066),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_go] = ACTIONS(1066),
    [anon_sym_spawn] = ACTIONS(1066),
    [anon_sym_goto] = ACTIONS(1066),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_DOLLARfor] = ACTIONS(1064),
    [anon_sym_DOLLARif] = ACTIONS(1064),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_is] = ACTIONS(1066),
    [anon_sym_BANGis] = ACTIONS(1064),
    [anon_sym_struct] = ACTIONS(1066),
    [anon_sym_union] = ACTIONS(1066),
    [anon_sym_enum] = ACTIONS(1066),
    [anon_sym_interface] = ACTIONS(1066),
    [anon_sym_POUND] = ACTIONS(1064),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_import] = ACTIONS(1066),
    [anon_sym_match] = ACTIONS(1066),
    [anon_sym_select] = ACTIONS(1066),
    [anon_sym_lock] = ACTIONS(1066),
    [anon_sym_rlock] = ACTIONS(1066),
    [sym__automatic_separator] = ACTIONS(1064),
    [sym__c_string_opening] = ACTIONS(1064),
    [sym__raw_string_opening] = ACTIONS(1064),
    [sym__string_opening] = ACTIONS(1064),
    [sym__comment] = ACTIONS(3),
  },
  [131] = {
    [sym_comment] = STATE(131),
    [sym_fixed_array_type] = STATE(1089),
    [sym_array_type] = STATE(1089),
    [sym_pointer_type] = STATE(1089),
    [sym_map_type] = STATE(1089),
    [sym_channel_type] = STATE(1089),
    [sym_shared_type] = STATE(1089),
    [sym_thread_type] = STATE(1089),
    [sym_binded_identifier] = STATE(1092),
    [sym_option_type] = STATE(1120),
    [sym_result_type] = STATE(1120),
    [sym_multi_return_type] = STATE(1120),
    [sym__simple_type] = STATE(1120),
    [sym_builtin_type] = STATE(1089),
    [sym__binded_type] = STATE(1089),
    [sym_generic_type] = STATE(1089),
    [sym_qualified_type] = STATE(999),
    [sym_function_type] = STATE(1089),
    [ts_builtin_sym_end] = ACTIONS(644),
    [sym_identifier] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_LT_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(644),
    [anon_sym_AMP_CARET] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(1076),
    [sym_none] = ACTIONS(650),
    [sym_true] = ACTIONS(650),
    [sym_false] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_map_LBRACK] = ACTIONS(1080),
    [anon_sym_chan] = ACTIONS(1082),
    [anon_sym_shared] = ACTIONS(1084),
    [anon_sym_thread] = ACTIONS(1086),
    [sym_int_literal] = ACTIONS(650),
    [sym_float_literal] = ACTIONS(644),
    [sym_rune_literal] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(1088),
    [anon_sym_string] = ACTIONS(1088),
    [anon_sym_char] = ACTIONS(1088),
    [anon_sym_sql] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(1090),
    [anon_sym_JS] = ACTIONS(1090),
    [anon_sym_voidptr] = ACTIONS(1088),
    [anon_sym_byteptr] = ACTIONS(1088),
    [anon_sym_charptr] = ACTIONS(1088),
    [anon_sym_i8] = ACTIONS(1088),
    [anon_sym_i16] = ACTIONS(1088),
    [anon_sym_i32] = ACTIONS(1088),
    [anon_sym_int] = ACTIONS(1088),
    [anon_sym_i64] = ACTIONS(1088),
    [anon_sym_byte] = ACTIONS(1088),
    [anon_sym_u8] = ACTIONS(1088),
    [anon_sym_u16] = ACTIONS(1088),
    [anon_sym_u32] = ACTIONS(1088),
    [anon_sym_u64] = ACTIONS(1088),
    [anon_sym_f32] = ACTIONS(1088),
    [anon_sym_f64] = ACTIONS(1088),
    [anon_sym_bool] = ACTIONS(1088),
    [anon_sym_rune] = ACTIONS(1088),
    [anon_sym_map] = ACTIONS(1088),
    [anon_sym_mapnode] = ACTIONS(1088),
    [anon_sym_size_t] = ACTIONS(1088),
    [anon_sym_usize] = ACTIONS(1088),
    [anon_sym_isize] = ACTIONS(1088),
    [anon_sym_float_literal] = ACTIONS(1088),
    [anon_sym_int_literal] = ACTIONS(1088),
    [anon_sym_IError] = ACTIONS(1088),
    [sym_type_placeholder] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(650),
    [sym_type_identifier] = ACTIONS(1094),
    [anon_sym_assert] = ACTIONS(650),
    [anon_sym_defer] = ACTIONS(650),
    [anon_sym_unsafe] = ACTIONS(650),
    [anon_sym_pub] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(1096),
    [anon_sym___global] = ACTIONS(650),
    [anon_sym_const] = ACTIONS(650),
    [anon_sym_asm] = ACTIONS(650),
    [anon_sym_break] = ACTIONS(650),
    [anon_sym_continue] = ACTIONS(650),
    [anon_sym_return] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(650),
    [anon_sym_go] = ACTIONS(650),
    [anon_sym_spawn] = ACTIONS(650),
    [anon_sym_goto] = ACTIONS(650),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_DOLLARfor] = ACTIONS(644),
    [anon_sym_DOLLARif] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [anon_sym_struct] = ACTIONS(650),
    [anon_sym_union] = ACTIONS(650),
    [anon_sym_enum] = ACTIONS(650),
    [anon_sym_interface] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(650),
    [anon_sym_match] = ACTIONS(650),
    [anon_sym_select] = ACTIONS(650),
    [anon_sym_lock] = ACTIONS(650),
    [anon_sym_rlock] = ACTIONS(650),
    [sym__automatic_separator] = ACTIONS(644),
    [sym__c_string_opening] = ACTIONS(644),
    [sym__raw_string_opening] = ACTIONS(644),
    [sym__string_opening] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [132] = {
    [sym_comment] = STATE(132),
    [sym_argument_list] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1100),
    [anon_sym_STAR] = ACTIONS(1100),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_LT_DASH] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1100),
    [anon_sym_PERCENT] = ACTIONS(1100),
    [anon_sym_LT_LT] = ACTIONS(1100),
    [anon_sym_GT_GT] = ACTIONS(1100),
    [anon_sym_GT_GT_GT] = ACTIONS(1100),
    [anon_sym_AMP_CARET] = ACTIONS(1100),
    [anon_sym_PIPE] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1098),
    [anon_sym_BANG_EQ] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1100),
    [anon_sym_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1100),
    [anon_sym_GT_EQ] = ACTIONS(1098),
    [anon_sym_in] = ACTIONS(1100),
    [anon_sym_BANGin] = ACTIONS(1098),
    [anon_sym_AMP_AMP] = ACTIONS(1098),
    [anon_sym_PIPE_PIPE] = ACTIONS(1098),
    [anon_sym_as] = ACTIONS(1100),
    [anon_sym_COMMA] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [sym_none] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [sym_false] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_map_LBRACK] = ACTIONS(1098),
    [anon_sym_chan] = ACTIONS(1100),
    [anon_sym_shared] = ACTIONS(1100),
    [anon_sym_thread] = ACTIONS(1100),
    [sym_int_literal] = ACTIONS(1100),
    [sym_float_literal] = ACTIONS(1098),
    [sym_rune_literal] = ACTIONS(1098),
    [anon_sym_DOT] = ACTIONS(1100),
    [anon_sym_array] = ACTIONS(1100),
    [anon_sym_string] = ACTIONS(1100),
    [anon_sym_char] = ACTIONS(1100),
    [anon_sym_sql] = ACTIONS(1100),
    [anon_sym_mut] = ACTIONS(1100),
    [anon_sym_C] = ACTIONS(1100),
    [anon_sym_JS] = ACTIONS(1100),
    [anon_sym_voidptr] = ACTIONS(1100),
    [anon_sym_byteptr] = ACTIONS(1100),
    [anon_sym_charptr] = ACTIONS(1100),
    [anon_sym_i8] = ACTIONS(1100),
    [anon_sym_i16] = ACTIONS(1100),
    [anon_sym_i32] = ACTIONS(1100),
    [anon_sym_int] = ACTIONS(1100),
    [anon_sym_i64] = ACTIONS(1100),
    [anon_sym_byte] = ACTIONS(1100),
    [anon_sym_u8] = ACTIONS(1100),
    [anon_sym_u16] = ACTIONS(1100),
    [anon_sym_u32] = ACTIONS(1100),
    [anon_sym_u64] = ACTIONS(1100),
    [anon_sym_f32] = ACTIONS(1100),
    [anon_sym_f64] = ACTIONS(1100),
    [anon_sym_bool] = ACTIONS(1100),
    [anon_sym_rune] = ACTIONS(1100),
    [anon_sym_map] = ACTIONS(1100),
    [anon_sym_mapnode] = ACTIONS(1100),
    [anon_sym_size_t] = ACTIONS(1100),
    [anon_sym_usize] = ACTIONS(1100),
    [anon_sym_isize] = ACTIONS(1100),
    [anon_sym_float_literal] = ACTIONS(1100),
    [anon_sym_int_literal] = ACTIONS(1100),
    [anon_sym_IError] = ACTIONS(1100),
    [sym_type_placeholder] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [sym_type_identifier] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_COLON_EQ] = ACTIONS(1098),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_EQ] = ACTIONS(1100),
    [anon_sym_assert] = ACTIONS(1100),
    [anon_sym_defer] = ACTIONS(1100),
    [anon_sym_unsafe] = ACTIONS(1100),
    [anon_sym_pub] = ACTIONS(1100),
    [anon_sym_fn] = ACTIONS(1100),
    [anon_sym___global] = ACTIONS(1100),
    [anon_sym_const] = ACTIONS(1100),
    [anon_sym_asm] = ACTIONS(1100),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_return] = ACTIONS(1100),
    [anon_sym_type] = ACTIONS(1100),
    [anon_sym_go] = ACTIONS(1100),
    [anon_sym_spawn] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1100),
    [anon_sym_for] = ACTIONS(1100),
    [anon_sym_DOLLARfor] = ACTIONS(1098),
    [anon_sym_DOLLARif] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1100),
    [anon_sym_is] = ACTIONS(1100),
    [anon_sym_BANGis] = ACTIONS(1098),
    [anon_sym_struct] = ACTIONS(1100),
    [anon_sym_union] = ACTIONS(1100),
    [anon_sym_enum] = ACTIONS(1100),
    [anon_sym_interface] = ACTIONS(1100),
    [anon_sym_POUND] = ACTIONS(1098),
    [anon_sym_module] = ACTIONS(1100),
    [anon_sym_import] = ACTIONS(1100),
    [anon_sym_match] = ACTIONS(1100),
    [anon_sym_select] = ACTIONS(1100),
    [anon_sym_lock] = ACTIONS(1100),
    [anon_sym_rlock] = ACTIONS(1100),
    [sym__automatic_separator] = ACTIONS(1098),
    [sym__c_string_opening] = ACTIONS(1098),
    [sym__raw_string_opening] = ACTIONS(1098),
    [sym__string_opening] = ACTIONS(1098),
    [sym__comment] = ACTIONS(3),
  },
  [133] = {
    [sym_comment] = STATE(133),
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_LT2] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_COLON_EQ] = ACTIONS(1102),
    [anon_sym_STAR_EQ] = ACTIONS(1102),
    [anon_sym_SLASH_EQ] = ACTIONS(1102),
    [anon_sym_PERCENT_EQ] = ACTIONS(1102),
    [anon_sym_LT_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_AMP_EQ] = ACTIONS(1102),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1102),
    [anon_sym_PLUS_EQ] = ACTIONS(1102),
    [anon_sym_DASH_EQ] = ACTIONS(1102),
    [anon_sym_PIPE_EQ] = ACTIONS(1102),
    [anon_sym_CARET_EQ] = ACTIONS(1102),
    [anon_sym_EQ] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_pub] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym___global] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_type] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_struct] = ACTIONS(1104),
    [anon_sym_union] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [134] = {
    [sym_comment] = STATE(134),
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_STAR] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_LT_DASH] = ACTIONS(1106),
    [anon_sym_SLASH] = ACTIONS(1108),
    [anon_sym_PERCENT] = ACTIONS(1108),
    [anon_sym_LT_LT] = ACTIONS(1108),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1108),
    [anon_sym_AMP_CARET] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1106),
    [anon_sym_BANG_EQ] = ACTIONS(1106),
    [anon_sym_LT] = ACTIONS(1108),
    [anon_sym_LT_EQ] = ACTIONS(1106),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_GT_EQ] = ACTIONS(1106),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_BANGin] = ACTIONS(1106),
    [anon_sym_AMP_AMP] = ACTIONS(1106),
    [anon_sym_PIPE_PIPE] = ACTIONS(1106),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [sym_none] = ACTIONS(1108),
    [sym_true] = ACTIONS(1108),
    [sym_false] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_map_LBRACK] = ACTIONS(1106),
    [anon_sym_chan] = ACTIONS(1108),
    [anon_sym_shared] = ACTIONS(1108),
    [anon_sym_thread] = ACTIONS(1108),
    [sym_int_literal] = ACTIONS(1108),
    [sym_float_literal] = ACTIONS(1106),
    [sym_rune_literal] = ACTIONS(1106),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_array] = ACTIONS(1108),
    [anon_sym_string] = ACTIONS(1108),
    [anon_sym_char] = ACTIONS(1108),
    [anon_sym_sql] = ACTIONS(1108),
    [anon_sym_mut] = ACTIONS(1108),
    [anon_sym_C] = ACTIONS(1108),
    [anon_sym_JS] = ACTIONS(1108),
    [anon_sym_LT2] = ACTIONS(1108),
    [anon_sym_voidptr] = ACTIONS(1108),
    [anon_sym_byteptr] = ACTIONS(1108),
    [anon_sym_charptr] = ACTIONS(1108),
    [anon_sym_i8] = ACTIONS(1108),
    [anon_sym_i16] = ACTIONS(1108),
    [anon_sym_i32] = ACTIONS(1108),
    [anon_sym_int] = ACTIONS(1108),
    [anon_sym_i64] = ACTIONS(1108),
    [anon_sym_byte] = ACTIONS(1108),
    [anon_sym_u8] = ACTIONS(1108),
    [anon_sym_u16] = ACTIONS(1108),
    [anon_sym_u32] = ACTIONS(1108),
    [anon_sym_u64] = ACTIONS(1108),
    [anon_sym_f32] = ACTIONS(1108),
    [anon_sym_f64] = ACTIONS(1108),
    [anon_sym_bool] = ACTIONS(1108),
    [anon_sym_rune] = ACTIONS(1108),
    [anon_sym_map] = ACTIONS(1108),
    [anon_sym_mapnode] = ACTIONS(1108),
    [anon_sym_size_t] = ACTIONS(1108),
    [anon_sym_usize] = ACTIONS(1108),
    [anon_sym_isize] = ACTIONS(1108),
    [anon_sym_float_literal] = ACTIONS(1108),
    [anon_sym_int_literal] = ACTIONS(1108),
    [anon_sym_IError] = ACTIONS(1108),
    [sym_type_placeholder] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [sym_type_identifier] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_COLON_EQ] = ACTIONS(1106),
    [anon_sym_STAR_EQ] = ACTIONS(1106),
    [anon_sym_SLASH_EQ] = ACTIONS(1106),
    [anon_sym_PERCENT_EQ] = ACTIONS(1106),
    [anon_sym_LT_LT_EQ] = ACTIONS(1106),
    [anon_sym_GT_GT_EQ] = ACTIONS(1106),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1106),
    [anon_sym_AMP_EQ] = ACTIONS(1106),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1106),
    [anon_sym_PLUS_EQ] = ACTIONS(1106),
    [anon_sym_DASH_EQ] = ACTIONS(1106),
    [anon_sym_PIPE_EQ] = ACTIONS(1106),
    [anon_sym_CARET_EQ] = ACTIONS(1106),
    [anon_sym_EQ] = ACTIONS(1108),
    [anon_sym_assert] = ACTIONS(1108),
    [anon_sym_defer] = ACTIONS(1108),
    [anon_sym_unsafe] = ACTIONS(1108),
    [anon_sym_pub] = ACTIONS(1108),
    [anon_sym_fn] = ACTIONS(1108),
    [anon_sym___global] = ACTIONS(1108),
    [anon_sym_const] = ACTIONS(1108),
    [anon_sym_asm] = ACTIONS(1108),
    [anon_sym_break] = ACTIONS(1108),
    [anon_sym_continue] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1108),
    [anon_sym_type] = ACTIONS(1108),
    [anon_sym_go] = ACTIONS(1108),
    [anon_sym_spawn] = ACTIONS(1108),
    [anon_sym_goto] = ACTIONS(1108),
    [anon_sym_for] = ACTIONS(1108),
    [anon_sym_DOLLARfor] = ACTIONS(1106),
    [anon_sym_DOLLARif] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_is] = ACTIONS(1108),
    [anon_sym_BANGis] = ACTIONS(1106),
    [anon_sym_struct] = ACTIONS(1108),
    [anon_sym_union] = ACTIONS(1108),
    [anon_sym_enum] = ACTIONS(1108),
    [anon_sym_interface] = ACTIONS(1108),
    [anon_sym_POUND] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1108),
    [anon_sym_import] = ACTIONS(1108),
    [anon_sym_match] = ACTIONS(1108),
    [anon_sym_select] = ACTIONS(1108),
    [anon_sym_lock] = ACTIONS(1108),
    [anon_sym_rlock] = ACTIONS(1108),
    [sym__automatic_separator] = ACTIONS(1106),
    [sym__c_string_opening] = ACTIONS(1106),
    [sym__raw_string_opening] = ACTIONS(1106),
    [sym__string_opening] = ACTIONS(1106),
    [sym__comment] = ACTIONS(3),
  },
  [135] = {
    [sym_comment] = STATE(135),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1114),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1114),
    [anon_sym_AMP_CARET] = ACTIONS(1114),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1116),
    [anon_sym_BANG_EQ] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_BANGin] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_COLON_EQ] = ACTIONS(1116),
    [anon_sym_STAR_EQ] = ACTIONS(1116),
    [anon_sym_SLASH_EQ] = ACTIONS(1116),
    [anon_sym_PERCENT_EQ] = ACTIONS(1116),
    [anon_sym_LT_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT_GT_EQ] = ACTIONS(1116),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1116),
    [anon_sym_AMP_EQ] = ACTIONS(1116),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1116),
    [anon_sym_PLUS_EQ] = ACTIONS(1116),
    [anon_sym_DASH_EQ] = ACTIONS(1116),
    [anon_sym_PIPE_EQ] = ACTIONS(1116),
    [anon_sym_CARET_EQ] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1114),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_BANGis] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [136] = {
    [sym_comment] = STATE(136),
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_identifier] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1120),
    [anon_sym_STAR] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(1120),
    [anon_sym_LT_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1120),
    [anon_sym_PERCENT] = ACTIONS(1120),
    [anon_sym_LT_LT] = ACTIONS(1120),
    [anon_sym_GT_GT] = ACTIONS(1120),
    [anon_sym_GT_GT_GT] = ACTIONS(1120),
    [anon_sym_AMP_CARET] = ACTIONS(1120),
    [anon_sym_PIPE] = ACTIONS(1120),
    [anon_sym_EQ_EQ] = ACTIONS(1118),
    [anon_sym_BANG_EQ] = ACTIONS(1118),
    [anon_sym_LT] = ACTIONS(1120),
    [anon_sym_LT_EQ] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1120),
    [anon_sym_GT_EQ] = ACTIONS(1118),
    [anon_sym_in] = ACTIONS(1120),
    [anon_sym_BANGin] = ACTIONS(1118),
    [anon_sym_AMP_AMP] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1118),
    [anon_sym_as] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [sym_none] = ACTIONS(1120),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_map_LBRACK] = ACTIONS(1118),
    [anon_sym_chan] = ACTIONS(1120),
    [anon_sym_shared] = ACTIONS(1120),
    [anon_sym_thread] = ACTIONS(1120),
    [sym_int_literal] = ACTIONS(1120),
    [sym_float_literal] = ACTIONS(1118),
    [sym_rune_literal] = ACTIONS(1118),
    [anon_sym_DOT] = ACTIONS(1120),
    [anon_sym_array] = ACTIONS(1120),
    [anon_sym_string] = ACTIONS(1120),
    [anon_sym_char] = ACTIONS(1120),
    [anon_sym_sql] = ACTIONS(1120),
    [anon_sym_mut] = ACTIONS(1120),
    [anon_sym_C] = ACTIONS(1120),
    [anon_sym_JS] = ACTIONS(1120),
    [anon_sym_LT2] = ACTIONS(1120),
    [anon_sym_voidptr] = ACTIONS(1120),
    [anon_sym_byteptr] = ACTIONS(1120),
    [anon_sym_charptr] = ACTIONS(1120),
    [anon_sym_i8] = ACTIONS(1120),
    [anon_sym_i16] = ACTIONS(1120),
    [anon_sym_i32] = ACTIONS(1120),
    [anon_sym_int] = ACTIONS(1120),
    [anon_sym_i64] = ACTIONS(1120),
    [anon_sym_byte] = ACTIONS(1120),
    [anon_sym_u8] = ACTIONS(1120),
    [anon_sym_u16] = ACTIONS(1120),
    [anon_sym_u32] = ACTIONS(1120),
    [anon_sym_u64] = ACTIONS(1120),
    [anon_sym_f32] = ACTIONS(1120),
    [anon_sym_f64] = ACTIONS(1120),
    [anon_sym_bool] = ACTIONS(1120),
    [anon_sym_rune] = ACTIONS(1120),
    [anon_sym_map] = ACTIONS(1120),
    [anon_sym_mapnode] = ACTIONS(1120),
    [anon_sym_size_t] = ACTIONS(1120),
    [anon_sym_usize] = ACTIONS(1120),
    [anon_sym_isize] = ACTIONS(1120),
    [anon_sym_float_literal] = ACTIONS(1120),
    [anon_sym_int_literal] = ACTIONS(1120),
    [anon_sym_IError] = ACTIONS(1120),
    [sym_type_placeholder] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [sym_type_identifier] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_COLON_EQ] = ACTIONS(1118),
    [anon_sym_STAR_EQ] = ACTIONS(1118),
    [anon_sym_SLASH_EQ] = ACTIONS(1118),
    [anon_sym_PERCENT_EQ] = ACTIONS(1118),
    [anon_sym_LT_LT_EQ] = ACTIONS(1118),
    [anon_sym_GT_GT_EQ] = ACTIONS(1118),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1118),
    [anon_sym_AMP_EQ] = ACTIONS(1118),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(1118),
    [anon_sym_DASH_EQ] = ACTIONS(1118),
    [anon_sym_PIPE_EQ] = ACTIONS(1118),
    [anon_sym_CARET_EQ] = ACTIONS(1118),
    [anon_sym_EQ] = ACTIONS(1120),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_defer] = ACTIONS(1120),
    [anon_sym_unsafe] = ACTIONS(1120),
    [anon_sym_pub] = ACTIONS(1120),
    [anon_sym_fn] = ACTIONS(1120),
    [anon_sym___global] = ACTIONS(1120),
    [anon_sym_const] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_type] = ACTIONS(1120),
    [anon_sym_go] = ACTIONS(1120),
    [anon_sym_spawn] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_DOLLARfor] = ACTIONS(1118),
    [anon_sym_DOLLARif] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_is] = ACTIONS(1120),
    [anon_sym_BANGis] = ACTIONS(1118),
    [anon_sym_struct] = ACTIONS(1120),
    [anon_sym_union] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1120),
    [anon_sym_interface] = ACTIONS(1120),
    [anon_sym_POUND] = ACTIONS(1118),
    [anon_sym_module] = ACTIONS(1120),
    [anon_sym_import] = ACTIONS(1120),
    [anon_sym_match] = ACTIONS(1120),
    [anon_sym_select] = ACTIONS(1120),
    [anon_sym_lock] = ACTIONS(1120),
    [anon_sym_rlock] = ACTIONS(1120),
    [sym__automatic_separator] = ACTIONS(1118),
    [sym__c_string_opening] = ACTIONS(1118),
    [sym__raw_string_opening] = ACTIONS(1118),
    [sym__string_opening] = ACTIONS(1118),
    [sym__comment] = ACTIONS(3),
  },
  [137] = {
    [sym_comment] = STATE(137),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_CARET] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_LT_DASH] = ACTIONS(1122),
    [anon_sym_SLASH] = ACTIONS(1124),
    [anon_sym_PERCENT] = ACTIONS(1124),
    [anon_sym_LT_LT] = ACTIONS(1124),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1124),
    [anon_sym_AMP_CARET] = ACTIONS(1124),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1122),
    [sym_none] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [sym_int_literal] = ACTIONS(1124),
    [sym_float_literal] = ACTIONS(1122),
    [sym_rune_literal] = ACTIONS(1122),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_sql] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_COLON_EQ] = ACTIONS(1122),
    [anon_sym_STAR_EQ] = ACTIONS(1122),
    [anon_sym_SLASH_EQ] = ACTIONS(1122),
    [anon_sym_PERCENT_EQ] = ACTIONS(1122),
    [anon_sym_LT_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT_GT_EQ] = ACTIONS(1122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1122),
    [anon_sym_AMP_EQ] = ACTIONS(1122),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1122),
    [anon_sym_PLUS_EQ] = ACTIONS(1122),
    [anon_sym_DASH_EQ] = ACTIONS(1122),
    [anon_sym_PIPE_EQ] = ACTIONS(1122),
    [anon_sym_CARET_EQ] = ACTIONS(1122),
    [anon_sym_EQ] = ACTIONS(1124),
    [anon_sym_assert] = ACTIONS(1124),
    [anon_sym_defer] = ACTIONS(1124),
    [anon_sym_unsafe] = ACTIONS(1124),
    [anon_sym_pub] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym___global] = ACTIONS(1124),
    [anon_sym_const] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_type] = ACTIONS(1124),
    [anon_sym_go] = ACTIONS(1124),
    [anon_sym_spawn] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_DOLLARfor] = ACTIONS(1122),
    [anon_sym_DOLLARif] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [anon_sym_struct] = ACTIONS(1124),
    [anon_sym_union] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1124),
    [anon_sym_interface] = ACTIONS(1124),
    [anon_sym_POUND] = ACTIONS(1122),
    [anon_sym_module] = ACTIONS(1124),
    [anon_sym_import] = ACTIONS(1124),
    [anon_sym_match] = ACTIONS(1124),
    [anon_sym_select] = ACTIONS(1124),
    [anon_sym_lock] = ACTIONS(1124),
    [anon_sym_rlock] = ACTIONS(1124),
    [sym__automatic_separator] = ACTIONS(1122),
    [sym__c_string_opening] = ACTIONS(1122),
    [sym__raw_string_opening] = ACTIONS(1122),
    [sym__string_opening] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [138] = {
    [sym_comment] = STATE(138),
    [sym_argument_list] = STATE(210),
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_CARET] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_LT_DASH] = ACTIONS(1126),
    [anon_sym_SLASH] = ACTIONS(1128),
    [anon_sym_PERCENT] = ACTIONS(1128),
    [anon_sym_LT_LT] = ACTIONS(1128),
    [anon_sym_GT_GT] = ACTIONS(1128),
    [anon_sym_GT_GT_GT] = ACTIONS(1128),
    [anon_sym_AMP_CARET] = ACTIONS(1128),
    [anon_sym_PIPE] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1126),
    [anon_sym_BANG_EQ] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1126),
    [anon_sym_GT] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1126),
    [anon_sym_in] = ACTIONS(1128),
    [anon_sym_BANGin] = ACTIONS(1126),
    [anon_sym_AMP_AMP] = ACTIONS(1126),
    [anon_sym_PIPE_PIPE] = ACTIONS(1126),
    [anon_sym_as] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [sym_none] = ACTIONS(1128),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_map_LBRACK] = ACTIONS(1126),
    [anon_sym_chan] = ACTIONS(1128),
    [anon_sym_shared] = ACTIONS(1128),
    [anon_sym_thread] = ACTIONS(1128),
    [sym_int_literal] = ACTIONS(1128),
    [sym_float_literal] = ACTIONS(1126),
    [sym_rune_literal] = ACTIONS(1126),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_array] = ACTIONS(1128),
    [anon_sym_string] = ACTIONS(1128),
    [anon_sym_char] = ACTIONS(1128),
    [anon_sym_sql] = ACTIONS(1128),
    [anon_sym_mut] = ACTIONS(1128),
    [anon_sym_C] = ACTIONS(1128),
    [anon_sym_JS] = ACTIONS(1128),
    [anon_sym_voidptr] = ACTIONS(1128),
    [anon_sym_byteptr] = ACTIONS(1128),
    [anon_sym_charptr] = ACTIONS(1128),
    [anon_sym_i8] = ACTIONS(1128),
    [anon_sym_i16] = ACTIONS(1128),
    [anon_sym_i32] = ACTIONS(1128),
    [anon_sym_int] = ACTIONS(1128),
    [anon_sym_i64] = ACTIONS(1128),
    [anon_sym_byte] = ACTIONS(1128),
    [anon_sym_u8] = ACTIONS(1128),
    [anon_sym_u16] = ACTIONS(1128),
    [anon_sym_u32] = ACTIONS(1128),
    [anon_sym_u64] = ACTIONS(1128),
    [anon_sym_f32] = ACTIONS(1128),
    [anon_sym_f64] = ACTIONS(1128),
    [anon_sym_bool] = ACTIONS(1128),
    [anon_sym_rune] = ACTIONS(1128),
    [anon_sym_map] = ACTIONS(1128),
    [anon_sym_mapnode] = ACTIONS(1128),
    [anon_sym_size_t] = ACTIONS(1128),
    [anon_sym_usize] = ACTIONS(1128),
    [anon_sym_isize] = ACTIONS(1128),
    [anon_sym_float_literal] = ACTIONS(1128),
    [anon_sym_int_literal] = ACTIONS(1128),
    [anon_sym_IError] = ACTIONS(1128),
    [sym_type_placeholder] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [sym_type_identifier] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_COLON_EQ] = ACTIONS(1126),
    [anon_sym_STAR_EQ] = ACTIONS(1126),
    [anon_sym_SLASH_EQ] = ACTIONS(1126),
    [anon_sym_PERCENT_EQ] = ACTIONS(1126),
    [anon_sym_LT_LT_EQ] = ACTIONS(1126),
    [anon_sym_GT_GT_EQ] = ACTIONS(1126),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1126),
    [anon_sym_AMP_EQ] = ACTIONS(1126),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1126),
    [anon_sym_PLUS_EQ] = ACTIONS(1126),
    [anon_sym_DASH_EQ] = ACTIONS(1126),
    [anon_sym_PIPE_EQ] = ACTIONS(1126),
    [anon_sym_CARET_EQ] = ACTIONS(1126),
    [anon_sym_EQ] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1128),
    [anon_sym_defer] = ACTIONS(1128),
    [anon_sym_unsafe] = ACTIONS(1128),
    [anon_sym_pub] = ACTIONS(1128),
    [anon_sym_fn] = ACTIONS(1128),
    [anon_sym___global] = ACTIONS(1128),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_type] = ACTIONS(1128),
    [anon_sym_go] = ACTIONS(1128),
    [anon_sym_spawn] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_DOLLARfor] = ACTIONS(1126),
    [anon_sym_DOLLARif] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_is] = ACTIONS(1128),
    [anon_sym_BANGis] = ACTIONS(1126),
    [anon_sym_struct] = ACTIONS(1128),
    [anon_sym_union] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1128),
    [anon_sym_interface] = ACTIONS(1128),
    [anon_sym_POUND] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1128),
    [anon_sym_import] = ACTIONS(1128),
    [anon_sym_match] = ACTIONS(1128),
    [anon_sym_select] = ACTIONS(1128),
    [anon_sym_lock] = ACTIONS(1128),
    [anon_sym_rlock] = ACTIONS(1128),
    [sym__automatic_separator] = ACTIONS(1126),
    [sym__c_string_opening] = ACTIONS(1126),
    [sym__raw_string_opening] = ACTIONS(1126),
    [sym__string_opening] = ACTIONS(1126),
    [sym__comment] = ACTIONS(3),
  },
  [139] = {
    [sym_comment] = STATE(139),
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_LT_DASH] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1132),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_AMP_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1130),
    [sym_none] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [sym_int_literal] = ACTIONS(1132),
    [sym_float_literal] = ACTIONS(1130),
    [sym_rune_literal] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_sql] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_COLON_EQ] = ACTIONS(1130),
    [anon_sym_STAR_EQ] = ACTIONS(1130),
    [anon_sym_SLASH_EQ] = ACTIONS(1130),
    [anon_sym_PERCENT_EQ] = ACTIONS(1130),
    [anon_sym_LT_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT_GT_EQ] = ACTIONS(1130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1130),
    [anon_sym_AMP_EQ] = ACTIONS(1130),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1130),
    [anon_sym_PLUS_EQ] = ACTIONS(1130),
    [anon_sym_DASH_EQ] = ACTIONS(1130),
    [anon_sym_PIPE_EQ] = ACTIONS(1130),
    [anon_sym_CARET_EQ] = ACTIONS(1130),
    [anon_sym_EQ] = ACTIONS(1132),
    [anon_sym_assert] = ACTIONS(1132),
    [anon_sym_defer] = ACTIONS(1132),
    [anon_sym_unsafe] = ACTIONS(1132),
    [anon_sym_pub] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym___global] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_type] = ACTIONS(1132),
    [anon_sym_go] = ACTIONS(1132),
    [anon_sym_spawn] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_DOLLARfor] = ACTIONS(1130),
    [anon_sym_DOLLARif] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_interface] = ACTIONS(1132),
    [anon_sym_POUND] = ACTIONS(1130),
    [anon_sym_module] = ACTIONS(1132),
    [anon_sym_import] = ACTIONS(1132),
    [anon_sym_match] = ACTIONS(1132),
    [anon_sym_select] = ACTIONS(1132),
    [anon_sym_lock] = ACTIONS(1132),
    [anon_sym_rlock] = ACTIONS(1132),
    [sym__automatic_separator] = ACTIONS(1130),
    [sym__c_string_opening] = ACTIONS(1130),
    [sym__raw_string_opening] = ACTIONS(1130),
    [sym__string_opening] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [140] = {
    [sym_comment] = STATE(140),
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_LT_DASH] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_AMP_CARET] = ACTIONS(1136),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1134),
    [sym_none] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [sym_int_literal] = ACTIONS(1136),
    [sym_float_literal] = ACTIONS(1134),
    [sym_rune_literal] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_sql] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_COLON_EQ] = ACTIONS(1134),
    [anon_sym_STAR_EQ] = ACTIONS(1134),
    [anon_sym_SLASH_EQ] = ACTIONS(1134),
    [anon_sym_PERCENT_EQ] = ACTIONS(1134),
    [anon_sym_LT_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT_GT_EQ] = ACTIONS(1134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1134),
    [anon_sym_AMP_EQ] = ACTIONS(1134),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1134),
    [anon_sym_PLUS_EQ] = ACTIONS(1134),
    [anon_sym_DASH_EQ] = ACTIONS(1134),
    [anon_sym_PIPE_EQ] = ACTIONS(1134),
    [anon_sym_CARET_EQ] = ACTIONS(1134),
    [anon_sym_EQ] = ACTIONS(1136),
    [anon_sym_assert] = ACTIONS(1136),
    [anon_sym_defer] = ACTIONS(1136),
    [anon_sym_unsafe] = ACTIONS(1136),
    [anon_sym_pub] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym___global] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_type] = ACTIONS(1136),
    [anon_sym_go] = ACTIONS(1136),
    [anon_sym_spawn] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_DOLLARfor] = ACTIONS(1134),
    [anon_sym_DOLLARif] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_interface] = ACTIONS(1136),
    [anon_sym_POUND] = ACTIONS(1134),
    [anon_sym_module] = ACTIONS(1136),
    [anon_sym_import] = ACTIONS(1136),
    [anon_sym_match] = ACTIONS(1136),
    [anon_sym_select] = ACTIONS(1136),
    [anon_sym_lock] = ACTIONS(1136),
    [anon_sym_rlock] = ACTIONS(1136),
    [sym__automatic_separator] = ACTIONS(1134),
    [sym__c_string_opening] = ACTIONS(1134),
    [sym__raw_string_opening] = ACTIONS(1134),
    [sym__string_opening] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [141] = {
    [sym_comment] = STATE(141),
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_LT_DASH] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1140),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1140),
    [anon_sym_AMP_CARET] = ACTIONS(1140),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1138),
    [sym_none] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [sym_int_literal] = ACTIONS(1140),
    [sym_float_literal] = ACTIONS(1138),
    [sym_rune_literal] = ACTIONS(1138),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_sql] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_COLON_EQ] = ACTIONS(1138),
    [anon_sym_STAR_EQ] = ACTIONS(1138),
    [anon_sym_SLASH_EQ] = ACTIONS(1138),
    [anon_sym_PERCENT_EQ] = ACTIONS(1138),
    [anon_sym_LT_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT_GT_EQ] = ACTIONS(1138),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1138),
    [anon_sym_AMP_EQ] = ACTIONS(1138),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1138),
    [anon_sym_PLUS_EQ] = ACTIONS(1138),
    [anon_sym_DASH_EQ] = ACTIONS(1138),
    [anon_sym_PIPE_EQ] = ACTIONS(1138),
    [anon_sym_CARET_EQ] = ACTIONS(1138),
    [anon_sym_EQ] = ACTIONS(1140),
    [anon_sym_assert] = ACTIONS(1140),
    [anon_sym_defer] = ACTIONS(1140),
    [anon_sym_unsafe] = ACTIONS(1140),
    [anon_sym_pub] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym___global] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_type] = ACTIONS(1140),
    [anon_sym_go] = ACTIONS(1140),
    [anon_sym_spawn] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_DOLLARfor] = ACTIONS(1138),
    [anon_sym_DOLLARif] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [anon_sym_struct] = ACTIONS(1140),
    [anon_sym_union] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1140),
    [anon_sym_interface] = ACTIONS(1140),
    [anon_sym_POUND] = ACTIONS(1138),
    [anon_sym_module] = ACTIONS(1140),
    [anon_sym_import] = ACTIONS(1140),
    [anon_sym_match] = ACTIONS(1140),
    [anon_sym_select] = ACTIONS(1140),
    [anon_sym_lock] = ACTIONS(1140),
    [anon_sym_rlock] = ACTIONS(1140),
    [sym__automatic_separator] = ACTIONS(1138),
    [sym__c_string_opening] = ACTIONS(1138),
    [sym__raw_string_opening] = ACTIONS(1138),
    [sym__string_opening] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [142] = {
    [sym_comment] = STATE(142),
    [aux_sym_expression_list_repeat1] = STATE(3475),
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_identifier] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_CARET] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_LT_DASH] = ACTIONS(1150),
    [anon_sym_SLASH] = ACTIONS(1148),
    [anon_sym_PERCENT] = ACTIONS(1148),
    [anon_sym_LT_LT] = ACTIONS(1148),
    [anon_sym_GT_GT] = ACTIONS(1148),
    [anon_sym_GT_GT_GT] = ACTIONS(1148),
    [anon_sym_AMP_CARET] = ACTIONS(1148),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_EQ_EQ] = ACTIONS(1152),
    [anon_sym_BANG_EQ] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_LT_EQ] = ACTIONS(1152),
    [anon_sym_GT] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1152),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_BANGin] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1156),
    [anon_sym_PIPE_PIPE] = ACTIONS(1158),
    [anon_sym_as] = ACTIONS(1160),
    [anon_sym_COMMA] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [sym_none] = ACTIONS(1144),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_map_LBRACK] = ACTIONS(1142),
    [anon_sym_chan] = ACTIONS(1144),
    [anon_sym_shared] = ACTIONS(1144),
    [anon_sym_thread] = ACTIONS(1144),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_array] = ACTIONS(1144),
    [anon_sym_string] = ACTIONS(1144),
    [anon_sym_char] = ACTIONS(1144),
    [anon_sym_sql] = ACTIONS(1144),
    [anon_sym_mut] = ACTIONS(1144),
    [anon_sym_C] = ACTIONS(1144),
    [anon_sym_JS] = ACTIONS(1144),
    [anon_sym_voidptr] = ACTIONS(1144),
    [anon_sym_byteptr] = ACTIONS(1144),
    [anon_sym_charptr] = ACTIONS(1144),
    [anon_sym_i8] = ACTIONS(1144),
    [anon_sym_i16] = ACTIONS(1144),
    [anon_sym_i32] = ACTIONS(1144),
    [anon_sym_int] = ACTIONS(1144),
    [anon_sym_i64] = ACTIONS(1144),
    [anon_sym_byte] = ACTIONS(1144),
    [anon_sym_u8] = ACTIONS(1144),
    [anon_sym_u16] = ACTIONS(1144),
    [anon_sym_u32] = ACTIONS(1144),
    [anon_sym_u64] = ACTIONS(1144),
    [anon_sym_f32] = ACTIONS(1144),
    [anon_sym_f64] = ACTIONS(1144),
    [anon_sym_bool] = ACTIONS(1144),
    [anon_sym_rune] = ACTIONS(1144),
    [anon_sym_map] = ACTIONS(1144),
    [anon_sym_mapnode] = ACTIONS(1144),
    [anon_sym_size_t] = ACTIONS(1144),
    [anon_sym_usize] = ACTIONS(1144),
    [anon_sym_isize] = ACTIONS(1144),
    [anon_sym_float_literal] = ACTIONS(1144),
    [anon_sym_int_literal] = ACTIONS(1144),
    [anon_sym_IError] = ACTIONS(1144),
    [sym_type_placeholder] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [sym_type_identifier] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_COLON_EQ] = ACTIONS(1172),
    [anon_sym_STAR_EQ] = ACTIONS(1172),
    [anon_sym_SLASH_EQ] = ACTIONS(1172),
    [anon_sym_PERCENT_EQ] = ACTIONS(1172),
    [anon_sym_LT_LT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_AMP_EQ] = ACTIONS(1172),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1172),
    [anon_sym_PLUS_EQ] = ACTIONS(1172),
    [anon_sym_DASH_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_EQ] = ACTIONS(1172),
    [anon_sym_CARET_EQ] = ACTIONS(1172),
    [anon_sym_EQ] = ACTIONS(1174),
    [anon_sym_assert] = ACTIONS(1144),
    [anon_sym_defer] = ACTIONS(1144),
    [anon_sym_unsafe] = ACTIONS(1144),
    [anon_sym_pub] = ACTIONS(1144),
    [anon_sym_fn] = ACTIONS(1144),
    [anon_sym___global] = ACTIONS(1144),
    [anon_sym_const] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_type] = ACTIONS(1144),
    [anon_sym_go] = ACTIONS(1144),
    [anon_sym_spawn] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_DOLLARfor] = ACTIONS(1142),
    [anon_sym_DOLLARif] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_is] = ACTIONS(1176),
    [anon_sym_BANGis] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1144),
    [anon_sym_union] = ACTIONS(1144),
    [anon_sym_enum] = ACTIONS(1144),
    [anon_sym_interface] = ACTIONS(1144),
    [anon_sym_POUND] = ACTIONS(1142),
    [anon_sym_module] = ACTIONS(1144),
    [anon_sym_import] = ACTIONS(1144),
    [anon_sym_match] = ACTIONS(1144),
    [anon_sym_select] = ACTIONS(1144),
    [anon_sym_lock] = ACTIONS(1144),
    [anon_sym_rlock] = ACTIONS(1144),
    [sym__automatic_separator] = ACTIONS(1142),
    [sym__c_string_opening] = ACTIONS(1142),
    [sym__raw_string_opening] = ACTIONS(1142),
    [sym__string_opening] = ACTIONS(1142),
    [sym__comment] = ACTIONS(3),
  },
  [143] = {
    [sym_comment] = STATE(143),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_identifier] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_LT_DASH] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_GT_GT_GT] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1182),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_in] = ACTIONS(1182),
    [anon_sym_BANGin] = ACTIONS(1180),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_as] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [sym_none] = ACTIONS(1182),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_map_LBRACK] = ACTIONS(1180),
    [anon_sym_chan] = ACTIONS(1182),
    [anon_sym_shared] = ACTIONS(1182),
    [anon_sym_thread] = ACTIONS(1182),
    [sym_int_literal] = ACTIONS(1182),
    [sym_float_literal] = ACTIONS(1180),
    [sym_rune_literal] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_array] = ACTIONS(1182),
    [anon_sym_string] = ACTIONS(1182),
    [anon_sym_char] = ACTIONS(1182),
    [anon_sym_sql] = ACTIONS(1182),
    [anon_sym_mut] = ACTIONS(1182),
    [anon_sym_C] = ACTIONS(1182),
    [anon_sym_JS] = ACTIONS(1182),
    [anon_sym_LT2] = ACTIONS(1182),
    [anon_sym_voidptr] = ACTIONS(1182),
    [anon_sym_byteptr] = ACTIONS(1182),
    [anon_sym_charptr] = ACTIONS(1182),
    [anon_sym_i8] = ACTIONS(1182),
    [anon_sym_i16] = ACTIONS(1182),
    [anon_sym_i32] = ACTIONS(1182),
    [anon_sym_int] = ACTIONS(1182),
    [anon_sym_i64] = ACTIONS(1182),
    [anon_sym_byte] = ACTIONS(1182),
    [anon_sym_u8] = ACTIONS(1182),
    [anon_sym_u16] = ACTIONS(1182),
    [anon_sym_u32] = ACTIONS(1182),
    [anon_sym_u64] = ACTIONS(1182),
    [anon_sym_f32] = ACTIONS(1182),
    [anon_sym_f64] = ACTIONS(1182),
    [anon_sym_bool] = ACTIONS(1182),
    [anon_sym_rune] = ACTIONS(1182),
    [anon_sym_map] = ACTIONS(1182),
    [anon_sym_mapnode] = ACTIONS(1182),
    [anon_sym_size_t] = ACTIONS(1182),
    [anon_sym_usize] = ACTIONS(1182),
    [anon_sym_isize] = ACTIONS(1182),
    [anon_sym_float_literal] = ACTIONS(1182),
    [anon_sym_int_literal] = ACTIONS(1182),
    [anon_sym_IError] = ACTIONS(1182),
    [sym_type_placeholder] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [sym_type_identifier] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_COLON_EQ] = ACTIONS(1180),
    [anon_sym_STAR_EQ] = ACTIONS(1180),
    [anon_sym_SLASH_EQ] = ACTIONS(1180),
    [anon_sym_PERCENT_EQ] = ACTIONS(1180),
    [anon_sym_LT_LT_EQ] = ACTIONS(1180),
    [anon_sym_GT_GT_EQ] = ACTIONS(1180),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1180),
    [anon_sym_AMP_EQ] = ACTIONS(1180),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1180),
    [anon_sym_PLUS_EQ] = ACTIONS(1180),
    [anon_sym_DASH_EQ] = ACTIONS(1180),
    [anon_sym_PIPE_EQ] = ACTIONS(1180),
    [anon_sym_CARET_EQ] = ACTIONS(1180),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_assert] = ACTIONS(1182),
    [anon_sym_defer] = ACTIONS(1182),
    [anon_sym_unsafe] = ACTIONS(1182),
    [anon_sym_pub] = ACTIONS(1182),
    [anon_sym_fn] = ACTIONS(1182),
    [anon_sym___global] = ACTIONS(1182),
    [anon_sym_const] = ACTIONS(1182),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_type] = ACTIONS(1182),
    [anon_sym_go] = ACTIONS(1182),
    [anon_sym_spawn] = ACTIONS(1182),
    [anon_sym_goto] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_DOLLARfor] = ACTIONS(1180),
    [anon_sym_DOLLARif] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_is] = ACTIONS(1182),
    [anon_sym_BANGis] = ACTIONS(1180),
    [anon_sym_struct] = ACTIONS(1182),
    [anon_sym_union] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1182),
    [anon_sym_interface] = ACTIONS(1182),
    [anon_sym_POUND] = ACTIONS(1180),
    [anon_sym_module] = ACTIONS(1182),
    [anon_sym_import] = ACTIONS(1182),
    [anon_sym_match] = ACTIONS(1182),
    [anon_sym_select] = ACTIONS(1182),
    [anon_sym_lock] = ACTIONS(1182),
    [anon_sym_rlock] = ACTIONS(1182),
    [sym__automatic_separator] = ACTIONS(1180),
    [sym__c_string_opening] = ACTIONS(1180),
    [sym__raw_string_opening] = ACTIONS(1180),
    [sym__string_opening] = ACTIONS(1180),
    [sym__comment] = ACTIONS(3),
  },
  [144] = {
    [sym_comment] = STATE(144),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_LT_DASH] = ACTIONS(1184),
    [anon_sym_SLASH] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1186),
    [anon_sym_AMP_CARET] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1184),
    [sym_none] = ACTIONS(1186),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [sym_int_literal] = ACTIONS(1186),
    [sym_float_literal] = ACTIONS(1184),
    [sym_rune_literal] = ACTIONS(1184),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_sql] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_COLON_EQ] = ACTIONS(1184),
    [anon_sym_STAR_EQ] = ACTIONS(1184),
    [anon_sym_SLASH_EQ] = ACTIONS(1184),
    [anon_sym_PERCENT_EQ] = ACTIONS(1184),
    [anon_sym_LT_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT_GT_EQ] = ACTIONS(1184),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1184),
    [anon_sym_AMP_EQ] = ACTIONS(1184),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1184),
    [anon_sym_PLUS_EQ] = ACTIONS(1184),
    [anon_sym_DASH_EQ] = ACTIONS(1184),
    [anon_sym_PIPE_EQ] = ACTIONS(1184),
    [anon_sym_CARET_EQ] = ACTIONS(1184),
    [anon_sym_EQ] = ACTIONS(1186),
    [anon_sym_assert] = ACTIONS(1186),
    [anon_sym_defer] = ACTIONS(1186),
    [anon_sym_unsafe] = ACTIONS(1186),
    [anon_sym_pub] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym___global] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_go] = ACTIONS(1186),
    [anon_sym_spawn] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_DOLLARfor] = ACTIONS(1184),
    [anon_sym_DOLLARif] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [anon_sym_struct] = ACTIONS(1186),
    [anon_sym_union] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1186),
    [anon_sym_interface] = ACTIONS(1186),
    [anon_sym_POUND] = ACTIONS(1184),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1186),
    [anon_sym_match] = ACTIONS(1186),
    [anon_sym_select] = ACTIONS(1186),
    [anon_sym_lock] = ACTIONS(1186),
    [anon_sym_rlock] = ACTIONS(1186),
    [sym__automatic_separator] = ACTIONS(1184),
    [sym__c_string_opening] = ACTIONS(1184),
    [sym__raw_string_opening] = ACTIONS(1184),
    [sym__string_opening] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [145] = {
    [sym_comment] = STATE(145),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1190),
    [anon_sym_AMP_CARET] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_COLON_EQ] = ACTIONS(1188),
    [anon_sym_STAR_EQ] = ACTIONS(1188),
    [anon_sym_SLASH_EQ] = ACTIONS(1188),
    [anon_sym_PERCENT_EQ] = ACTIONS(1188),
    [anon_sym_LT_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT_GT_EQ] = ACTIONS(1188),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1188),
    [anon_sym_AMP_EQ] = ACTIONS(1188),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1188),
    [anon_sym_PLUS_EQ] = ACTIONS(1188),
    [anon_sym_DASH_EQ] = ACTIONS(1188),
    [anon_sym_PIPE_EQ] = ACTIONS(1188),
    [anon_sym_CARET_EQ] = ACTIONS(1188),
    [anon_sym_EQ] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_pub] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym___global] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_type] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_interface] = ACTIONS(1190),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_module] = ACTIONS(1190),
    [anon_sym_import] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [146] = {
    [sym_comment] = STATE(146),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1194),
    [anon_sym_AMP_CARET] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_COLON_EQ] = ACTIONS(1192),
    [anon_sym_STAR_EQ] = ACTIONS(1192),
    [anon_sym_SLASH_EQ] = ACTIONS(1192),
    [anon_sym_PERCENT_EQ] = ACTIONS(1192),
    [anon_sym_LT_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT_GT_EQ] = ACTIONS(1192),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1192),
    [anon_sym_AMP_EQ] = ACTIONS(1192),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1192),
    [anon_sym_PLUS_EQ] = ACTIONS(1192),
    [anon_sym_DASH_EQ] = ACTIONS(1192),
    [anon_sym_PIPE_EQ] = ACTIONS(1192),
    [anon_sym_CARET_EQ] = ACTIONS(1192),
    [anon_sym_EQ] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_pub] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym___global] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_type] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [147] = {
    [sym_comment] = STATE(147),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1198),
    [anon_sym_AMP_CARET] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_LT2] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_COLON_EQ] = ACTIONS(1196),
    [anon_sym_STAR_EQ] = ACTIONS(1196),
    [anon_sym_SLASH_EQ] = ACTIONS(1196),
    [anon_sym_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_LT_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_AMP_EQ] = ACTIONS(1196),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1196),
    [anon_sym_DASH_EQ] = ACTIONS(1196),
    [anon_sym_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_CARET_EQ] = ACTIONS(1196),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_pub] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym___global] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_type] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_interface] = ACTIONS(1198),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_module] = ACTIONS(1198),
    [anon_sym_import] = ACTIONS(1198),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [148] = {
    [sym_comment] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_AMP_CARET] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_LT2] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_COLON_EQ] = ACTIONS(1200),
    [anon_sym_STAR_EQ] = ACTIONS(1200),
    [anon_sym_SLASH_EQ] = ACTIONS(1200),
    [anon_sym_PERCENT_EQ] = ACTIONS(1200),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1200),
    [anon_sym_PLUS_EQ] = ACTIONS(1200),
    [anon_sym_DASH_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_pub] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym___global] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_type] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [149] = {
    [sym_comment] = STATE(149),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1194),
    [anon_sym_AMP_CARET] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_COLON_EQ] = ACTIONS(1192),
    [anon_sym_STAR_EQ] = ACTIONS(1192),
    [anon_sym_SLASH_EQ] = ACTIONS(1192),
    [anon_sym_PERCENT_EQ] = ACTIONS(1192),
    [anon_sym_LT_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT_GT_EQ] = ACTIONS(1192),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1192),
    [anon_sym_AMP_EQ] = ACTIONS(1192),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1192),
    [anon_sym_PLUS_EQ] = ACTIONS(1192),
    [anon_sym_DASH_EQ] = ACTIONS(1192),
    [anon_sym_PIPE_EQ] = ACTIONS(1192),
    [anon_sym_CARET_EQ] = ACTIONS(1192),
    [anon_sym_EQ] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_pub] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym___global] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_type] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_DOLLARelse] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [150] = {
    [sym_comment] = STATE(150),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1190),
    [anon_sym_AMP_CARET] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_COLON_EQ] = ACTIONS(1188),
    [anon_sym_STAR_EQ] = ACTIONS(1188),
    [anon_sym_SLASH_EQ] = ACTIONS(1188),
    [anon_sym_PERCENT_EQ] = ACTIONS(1188),
    [anon_sym_LT_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT_GT_EQ] = ACTIONS(1188),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1188),
    [anon_sym_AMP_EQ] = ACTIONS(1188),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1188),
    [anon_sym_PLUS_EQ] = ACTIONS(1188),
    [anon_sym_DASH_EQ] = ACTIONS(1188),
    [anon_sym_PIPE_EQ] = ACTIONS(1188),
    [anon_sym_CARET_EQ] = ACTIONS(1188),
    [anon_sym_EQ] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_pub] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym___global] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_type] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_DOLLARelse] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_interface] = ACTIONS(1190),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_module] = ACTIONS(1190),
    [anon_sym_import] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [151] = {
    [sym_comment] = STATE(151),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_identifier] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_LT_DASH] = ACTIONS(1204),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1206),
    [anon_sym_GT_GT_GT] = ACTIONS(1206),
    [anon_sym_AMP_CARET] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1204),
    [anon_sym_BANG_EQ] = ACTIONS(1204),
    [anon_sym_LT] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1204),
    [anon_sym_in] = ACTIONS(1206),
    [anon_sym_BANGin] = ACTIONS(1204),
    [anon_sym_AMP_AMP] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1204),
    [anon_sym_as] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [sym_none] = ACTIONS(1206),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_map_LBRACK] = ACTIONS(1204),
    [anon_sym_chan] = ACTIONS(1206),
    [anon_sym_shared] = ACTIONS(1206),
    [anon_sym_thread] = ACTIONS(1206),
    [sym_int_literal] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1204),
    [sym_rune_literal] = ACTIONS(1204),
    [anon_sym_DOT] = ACTIONS(1206),
    [anon_sym_array] = ACTIONS(1206),
    [anon_sym_string] = ACTIONS(1206),
    [anon_sym_char] = ACTIONS(1206),
    [anon_sym_sql] = ACTIONS(1206),
    [anon_sym_mut] = ACTIONS(1206),
    [anon_sym_C] = ACTIONS(1206),
    [anon_sym_JS] = ACTIONS(1206),
    [anon_sym_LT2] = ACTIONS(1206),
    [anon_sym_voidptr] = ACTIONS(1206),
    [anon_sym_byteptr] = ACTIONS(1206),
    [anon_sym_charptr] = ACTIONS(1206),
    [anon_sym_i8] = ACTIONS(1206),
    [anon_sym_i16] = ACTIONS(1206),
    [anon_sym_i32] = ACTIONS(1206),
    [anon_sym_int] = ACTIONS(1206),
    [anon_sym_i64] = ACTIONS(1206),
    [anon_sym_byte] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1206),
    [anon_sym_u16] = ACTIONS(1206),
    [anon_sym_u32] = ACTIONS(1206),
    [anon_sym_u64] = ACTIONS(1206),
    [anon_sym_f32] = ACTIONS(1206),
    [anon_sym_f64] = ACTIONS(1206),
    [anon_sym_bool] = ACTIONS(1206),
    [anon_sym_rune] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1206),
    [anon_sym_mapnode] = ACTIONS(1206),
    [anon_sym_size_t] = ACTIONS(1206),
    [anon_sym_usize] = ACTIONS(1206),
    [anon_sym_isize] = ACTIONS(1206),
    [anon_sym_float_literal] = ACTIONS(1206),
    [anon_sym_int_literal] = ACTIONS(1206),
    [anon_sym_IError] = ACTIONS(1206),
    [sym_type_placeholder] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [sym_type_identifier] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_COLON_EQ] = ACTIONS(1204),
    [anon_sym_STAR_EQ] = ACTIONS(1204),
    [anon_sym_SLASH_EQ] = ACTIONS(1204),
    [anon_sym_PERCENT_EQ] = ACTIONS(1204),
    [anon_sym_LT_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT_GT_EQ] = ACTIONS(1204),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1204),
    [anon_sym_AMP_EQ] = ACTIONS(1204),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1204),
    [anon_sym_PLUS_EQ] = ACTIONS(1204),
    [anon_sym_DASH_EQ] = ACTIONS(1204),
    [anon_sym_PIPE_EQ] = ACTIONS(1204),
    [anon_sym_CARET_EQ] = ACTIONS(1204),
    [anon_sym_EQ] = ACTIONS(1206),
    [anon_sym_assert] = ACTIONS(1206),
    [anon_sym_defer] = ACTIONS(1206),
    [anon_sym_unsafe] = ACTIONS(1206),
    [anon_sym_pub] = ACTIONS(1206),
    [anon_sym_fn] = ACTIONS(1206),
    [anon_sym___global] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_type] = ACTIONS(1206),
    [anon_sym_go] = ACTIONS(1206),
    [anon_sym_spawn] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_DOLLARfor] = ACTIONS(1204),
    [anon_sym_DOLLARif] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_is] = ACTIONS(1206),
    [anon_sym_BANGis] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_interface] = ACTIONS(1206),
    [anon_sym_POUND] = ACTIONS(1204),
    [anon_sym_module] = ACTIONS(1206),
    [anon_sym_import] = ACTIONS(1206),
    [anon_sym_match] = ACTIONS(1206),
    [anon_sym_select] = ACTIONS(1206),
    [anon_sym_lock] = ACTIONS(1206),
    [anon_sym_rlock] = ACTIONS(1206),
    [sym__automatic_separator] = ACTIONS(1204),
    [sym__c_string_opening] = ACTIONS(1204),
    [sym__raw_string_opening] = ACTIONS(1204),
    [sym__string_opening] = ACTIONS(1204),
    [sym__comment] = ACTIONS(3),
  },
  [152] = {
    [sym_comment] = STATE(152),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_COLON_EQ] = ACTIONS(1110),
    [anon_sym_STAR_EQ] = ACTIONS(1110),
    [anon_sym_SLASH_EQ] = ACTIONS(1110),
    [anon_sym_PERCENT_EQ] = ACTIONS(1110),
    [anon_sym_LT_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_EQ] = ACTIONS(1110),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1110),
    [anon_sym_DASH_EQ] = ACTIONS(1110),
    [anon_sym_PIPE_EQ] = ACTIONS(1110),
    [anon_sym_CARET_EQ] = ACTIONS(1110),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [153] = {
    [sym_comment] = STATE(153),
    [sym_argument_list] = STATE(253),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1210),
    [anon_sym_PERCENT] = ACTIONS(1210),
    [anon_sym_LT_LT] = ACTIONS(1210),
    [anon_sym_GT_GT] = ACTIONS(1210),
    [anon_sym_GT_GT_GT] = ACTIONS(1210),
    [anon_sym_AMP_CARET] = ACTIONS(1210),
    [anon_sym_PIPE] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1210),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_in] = ACTIONS(1210),
    [anon_sym_BANGin] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_as] = ACTIONS(1210),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [sym_none] = ACTIONS(1210),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_map_LBRACK] = ACTIONS(1208),
    [anon_sym_chan] = ACTIONS(1210),
    [anon_sym_shared] = ACTIONS(1210),
    [anon_sym_thread] = ACTIONS(1210),
    [sym_int_literal] = ACTIONS(1210),
    [sym_float_literal] = ACTIONS(1208),
    [sym_rune_literal] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1210),
    [anon_sym_array] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_char] = ACTIONS(1210),
    [anon_sym_sql] = ACTIONS(1210),
    [anon_sym_mut] = ACTIONS(1210),
    [anon_sym_C] = ACTIONS(1210),
    [anon_sym_JS] = ACTIONS(1210),
    [anon_sym_voidptr] = ACTIONS(1210),
    [anon_sym_byteptr] = ACTIONS(1210),
    [anon_sym_charptr] = ACTIONS(1210),
    [anon_sym_i8] = ACTIONS(1210),
    [anon_sym_i16] = ACTIONS(1210),
    [anon_sym_i32] = ACTIONS(1210),
    [anon_sym_int] = ACTIONS(1210),
    [anon_sym_i64] = ACTIONS(1210),
    [anon_sym_byte] = ACTIONS(1210),
    [anon_sym_u8] = ACTIONS(1210),
    [anon_sym_u16] = ACTIONS(1210),
    [anon_sym_u32] = ACTIONS(1210),
    [anon_sym_u64] = ACTIONS(1210),
    [anon_sym_f32] = ACTIONS(1210),
    [anon_sym_f64] = ACTIONS(1210),
    [anon_sym_bool] = ACTIONS(1210),
    [anon_sym_rune] = ACTIONS(1210),
    [anon_sym_map] = ACTIONS(1210),
    [anon_sym_mapnode] = ACTIONS(1210),
    [anon_sym_size_t] = ACTIONS(1210),
    [anon_sym_usize] = ACTIONS(1210),
    [anon_sym_isize] = ACTIONS(1210),
    [anon_sym_float_literal] = ACTIONS(1210),
    [anon_sym_int_literal] = ACTIONS(1210),
    [anon_sym_IError] = ACTIONS(1210),
    [sym_type_placeholder] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [sym_type_identifier] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_COLON_EQ] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_EQ] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1210),
    [anon_sym_defer] = ACTIONS(1210),
    [anon_sym_unsafe] = ACTIONS(1210),
    [anon_sym_pub] = ACTIONS(1210),
    [anon_sym_fn] = ACTIONS(1210),
    [anon_sym___global] = ACTIONS(1210),
    [anon_sym_const] = ACTIONS(1210),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_go] = ACTIONS(1210),
    [anon_sym_spawn] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_DOLLARfor] = ACTIONS(1208),
    [anon_sym_DOLLARif] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_is] = ACTIONS(1210),
    [anon_sym_BANGis] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1210),
    [anon_sym_union] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_interface] = ACTIONS(1210),
    [anon_sym_POUND] = ACTIONS(1208),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_import] = ACTIONS(1210),
    [anon_sym_match] = ACTIONS(1210),
    [anon_sym_select] = ACTIONS(1210),
    [anon_sym_lock] = ACTIONS(1210),
    [anon_sym_rlock] = ACTIONS(1210),
    [sym__automatic_separator] = ACTIONS(1208),
    [sym__c_string_opening] = ACTIONS(1208),
    [sym__raw_string_opening] = ACTIONS(1208),
    [sym__string_opening] = ACTIONS(1208),
    [sym__comment] = ACTIONS(3),
  },
  [154] = {
    [sym_comment] = STATE(154),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_identifier] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_LT_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_GT_GT_GT] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_in] = ACTIONS(1214),
    [anon_sym_BANGin] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_map_LBRACK] = ACTIONS(1212),
    [anon_sym_chan] = ACTIONS(1214),
    [anon_sym_shared] = ACTIONS(1214),
    [anon_sym_thread] = ACTIONS(1214),
    [sym_int_literal] = ACTIONS(1214),
    [sym_float_literal] = ACTIONS(1212),
    [sym_rune_literal] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_array] = ACTIONS(1214),
    [anon_sym_string] = ACTIONS(1214),
    [anon_sym_char] = ACTIONS(1214),
    [anon_sym_sql] = ACTIONS(1214),
    [anon_sym_mut] = ACTIONS(1214),
    [anon_sym_C] = ACTIONS(1214),
    [anon_sym_JS] = ACTIONS(1214),
    [anon_sym_LT2] = ACTIONS(1214),
    [anon_sym_voidptr] = ACTIONS(1214),
    [anon_sym_byteptr] = ACTIONS(1214),
    [anon_sym_charptr] = ACTIONS(1214),
    [anon_sym_i8] = ACTIONS(1214),
    [anon_sym_i16] = ACTIONS(1214),
    [anon_sym_i32] = ACTIONS(1214),
    [anon_sym_int] = ACTIONS(1214),
    [anon_sym_i64] = ACTIONS(1214),
    [anon_sym_byte] = ACTIONS(1214),
    [anon_sym_u8] = ACTIONS(1214),
    [anon_sym_u16] = ACTIONS(1214),
    [anon_sym_u32] = ACTIONS(1214),
    [anon_sym_u64] = ACTIONS(1214),
    [anon_sym_f32] = ACTIONS(1214),
    [anon_sym_f64] = ACTIONS(1214),
    [anon_sym_bool] = ACTIONS(1214),
    [anon_sym_rune] = ACTIONS(1214),
    [anon_sym_map] = ACTIONS(1214),
    [anon_sym_mapnode] = ACTIONS(1214),
    [anon_sym_size_t] = ACTIONS(1214),
    [anon_sym_usize] = ACTIONS(1214),
    [anon_sym_isize] = ACTIONS(1214),
    [anon_sym_float_literal] = ACTIONS(1214),
    [anon_sym_int_literal] = ACTIONS(1214),
    [anon_sym_IError] = ACTIONS(1214),
    [sym_type_placeholder] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [sym_type_identifier] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_COLON_EQ] = ACTIONS(1212),
    [anon_sym_STAR_EQ] = ACTIONS(1212),
    [anon_sym_SLASH_EQ] = ACTIONS(1212),
    [anon_sym_PERCENT_EQ] = ACTIONS(1212),
    [anon_sym_LT_LT_EQ] = ACTIONS(1212),
    [anon_sym_GT_GT_EQ] = ACTIONS(1212),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1212),
    [anon_sym_AMP_EQ] = ACTIONS(1212),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1212),
    [anon_sym_PLUS_EQ] = ACTIONS(1212),
    [anon_sym_DASH_EQ] = ACTIONS(1212),
    [anon_sym_PIPE_EQ] = ACTIONS(1212),
    [anon_sym_CARET_EQ] = ACTIONS(1212),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_assert] = ACTIONS(1214),
    [anon_sym_defer] = ACTIONS(1214),
    [anon_sym_unsafe] = ACTIONS(1214),
    [anon_sym_pub] = ACTIONS(1214),
    [anon_sym_fn] = ACTIONS(1214),
    [anon_sym___global] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_type] = ACTIONS(1214),
    [anon_sym_go] = ACTIONS(1214),
    [anon_sym_spawn] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_DOLLARfor] = ACTIONS(1212),
    [anon_sym_DOLLARif] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_is] = ACTIONS(1214),
    [anon_sym_BANGis] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1214),
    [anon_sym_union] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1214),
    [anon_sym_interface] = ACTIONS(1214),
    [anon_sym_POUND] = ACTIONS(1212),
    [anon_sym_module] = ACTIONS(1214),
    [anon_sym_import] = ACTIONS(1214),
    [anon_sym_match] = ACTIONS(1214),
    [anon_sym_select] = ACTIONS(1214),
    [anon_sym_lock] = ACTIONS(1214),
    [anon_sym_rlock] = ACTIONS(1214),
    [sym__automatic_separator] = ACTIONS(1212),
    [sym__c_string_opening] = ACTIONS(1212),
    [sym__raw_string_opening] = ACTIONS(1212),
    [sym__string_opening] = ACTIONS(1212),
    [sym__comment] = ACTIONS(3),
  },
  [155] = {
    [sym_comment] = STATE(155),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_identifier] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_CARET] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_LT_DASH] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(1218),
    [anon_sym_PERCENT] = ACTIONS(1218),
    [anon_sym_LT_LT] = ACTIONS(1218),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_GT_GT_GT] = ACTIONS(1218),
    [anon_sym_AMP_CARET] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1216),
    [anon_sym_BANG_EQ] = ACTIONS(1216),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1216),
    [anon_sym_in] = ACTIONS(1218),
    [anon_sym_BANGin] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1216),
    [anon_sym_as] = ACTIONS(1218),
    [anon_sym_COMMA] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [sym_none] = ACTIONS(1218),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_map_LBRACK] = ACTIONS(1216),
    [anon_sym_chan] = ACTIONS(1218),
    [anon_sym_shared] = ACTIONS(1218),
    [anon_sym_thread] = ACTIONS(1218),
    [sym_int_literal] = ACTIONS(1218),
    [sym_float_literal] = ACTIONS(1216),
    [sym_rune_literal] = ACTIONS(1216),
    [anon_sym_DOT] = ACTIONS(1218),
    [anon_sym_array] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_char] = ACTIONS(1218),
    [anon_sym_sql] = ACTIONS(1218),
    [anon_sym_mut] = ACTIONS(1218),
    [anon_sym_C] = ACTIONS(1218),
    [anon_sym_JS] = ACTIONS(1218),
    [anon_sym_voidptr] = ACTIONS(1218),
    [anon_sym_byteptr] = ACTIONS(1218),
    [anon_sym_charptr] = ACTIONS(1218),
    [anon_sym_i8] = ACTIONS(1218),
    [anon_sym_i16] = ACTIONS(1218),
    [anon_sym_i32] = ACTIONS(1218),
    [anon_sym_int] = ACTIONS(1218),
    [anon_sym_i64] = ACTIONS(1218),
    [anon_sym_byte] = ACTIONS(1218),
    [anon_sym_u8] = ACTIONS(1218),
    [anon_sym_u16] = ACTIONS(1218),
    [anon_sym_u32] = ACTIONS(1218),
    [anon_sym_u64] = ACTIONS(1218),
    [anon_sym_f32] = ACTIONS(1218),
    [anon_sym_f64] = ACTIONS(1218),
    [anon_sym_bool] = ACTIONS(1218),
    [anon_sym_rune] = ACTIONS(1218),
    [anon_sym_map] = ACTIONS(1218),
    [anon_sym_mapnode] = ACTIONS(1218),
    [anon_sym_size_t] = ACTIONS(1218),
    [anon_sym_usize] = ACTIONS(1218),
    [anon_sym_isize] = ACTIONS(1218),
    [anon_sym_float_literal] = ACTIONS(1218),
    [anon_sym_int_literal] = ACTIONS(1218),
    [anon_sym_IError] = ACTIONS(1218),
    [sym_type_placeholder] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [sym_type_identifier] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_COLON_EQ] = ACTIONS(1216),
    [anon_sym_STAR_EQ] = ACTIONS(1216),
    [anon_sym_SLASH_EQ] = ACTIONS(1216),
    [anon_sym_PERCENT_EQ] = ACTIONS(1216),
    [anon_sym_LT_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT_GT_EQ] = ACTIONS(1216),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1216),
    [anon_sym_AMP_EQ] = ACTIONS(1216),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1216),
    [anon_sym_PLUS_EQ] = ACTIONS(1216),
    [anon_sym_DASH_EQ] = ACTIONS(1216),
    [anon_sym_PIPE_EQ] = ACTIONS(1216),
    [anon_sym_CARET_EQ] = ACTIONS(1216),
    [anon_sym_EQ] = ACTIONS(1218),
    [anon_sym_assert] = ACTIONS(1218),
    [anon_sym_defer] = ACTIONS(1218),
    [anon_sym_unsafe] = ACTIONS(1218),
    [anon_sym_pub] = ACTIONS(1218),
    [anon_sym_fn] = ACTIONS(1218),
    [anon_sym___global] = ACTIONS(1218),
    [anon_sym_const] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_go] = ACTIONS(1218),
    [anon_sym_spawn] = ACTIONS(1218),
    [anon_sym_goto] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_DOLLARfor] = ACTIONS(1216),
    [anon_sym_DOLLARif] = ACTIONS(1216),
    [anon_sym_DOLLARelse] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_is] = ACTIONS(1218),
    [anon_sym_BANGis] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1218),
    [anon_sym_union] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1218),
    [anon_sym_interface] = ACTIONS(1218),
    [anon_sym_POUND] = ACTIONS(1216),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_import] = ACTIONS(1218),
    [anon_sym_match] = ACTIONS(1218),
    [anon_sym_select] = ACTIONS(1218),
    [anon_sym_lock] = ACTIONS(1218),
    [anon_sym_rlock] = ACTIONS(1218),
    [sym__automatic_separator] = ACTIONS(1216),
    [sym__c_string_opening] = ACTIONS(1216),
    [sym__raw_string_opening] = ACTIONS(1216),
    [sym__string_opening] = ACTIONS(1216),
    [sym__comment] = ACTIONS(3),
  },
  [156] = {
    [sym_comment] = STATE(156),
    [sym_argument_list] = STATE(171),
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_LT_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1224),
    [anon_sym_PERCENT] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1224),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_GT_GT_GT] = ACTIONS(1224),
    [anon_sym_AMP_CARET] = ACTIONS(1224),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1224),
    [anon_sym_BANGin] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym_none] = ACTIONS(1224),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_map_LBRACK] = ACTIONS(1222),
    [anon_sym_chan] = ACTIONS(1224),
    [anon_sym_shared] = ACTIONS(1224),
    [anon_sym_thread] = ACTIONS(1224),
    [sym_int_literal] = ACTIONS(1224),
    [sym_float_literal] = ACTIONS(1222),
    [sym_rune_literal] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1224),
    [anon_sym_array] = ACTIONS(1224),
    [anon_sym_string] = ACTIONS(1224),
    [anon_sym_char] = ACTIONS(1224),
    [anon_sym_sql] = ACTIONS(1224),
    [anon_sym_mut] = ACTIONS(1224),
    [anon_sym_C] = ACTIONS(1224),
    [anon_sym_JS] = ACTIONS(1224),
    [anon_sym_voidptr] = ACTIONS(1224),
    [anon_sym_byteptr] = ACTIONS(1224),
    [anon_sym_charptr] = ACTIONS(1224),
    [anon_sym_i8] = ACTIONS(1224),
    [anon_sym_i16] = ACTIONS(1224),
    [anon_sym_i32] = ACTIONS(1224),
    [anon_sym_int] = ACTIONS(1224),
    [anon_sym_i64] = ACTIONS(1224),
    [anon_sym_byte] = ACTIONS(1224),
    [anon_sym_u8] = ACTIONS(1224),
    [anon_sym_u16] = ACTIONS(1224),
    [anon_sym_u32] = ACTIONS(1224),
    [anon_sym_u64] = ACTIONS(1224),
    [anon_sym_f32] = ACTIONS(1224),
    [anon_sym_f64] = ACTIONS(1224),
    [anon_sym_bool] = ACTIONS(1224),
    [anon_sym_rune] = ACTIONS(1224),
    [anon_sym_map] = ACTIONS(1224),
    [anon_sym_mapnode] = ACTIONS(1224),
    [anon_sym_size_t] = ACTIONS(1224),
    [anon_sym_usize] = ACTIONS(1224),
    [anon_sym_isize] = ACTIONS(1224),
    [anon_sym_float_literal] = ACTIONS(1224),
    [anon_sym_int_literal] = ACTIONS(1224),
    [anon_sym_IError] = ACTIONS(1224),
    [sym_type_placeholder] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [sym_type_identifier] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_COLON_EQ] = ACTIONS(1222),
    [anon_sym_STAR_EQ] = ACTIONS(1222),
    [anon_sym_SLASH_EQ] = ACTIONS(1222),
    [anon_sym_PERCENT_EQ] = ACTIONS(1222),
    [anon_sym_LT_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT_GT_EQ] = ACTIONS(1222),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1222),
    [anon_sym_AMP_EQ] = ACTIONS(1222),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1222),
    [anon_sym_DASH_EQ] = ACTIONS(1222),
    [anon_sym_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_CARET_EQ] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1224),
    [anon_sym_defer] = ACTIONS(1224),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_pub] = ACTIONS(1224),
    [anon_sym_fn] = ACTIONS(1224),
    [anon_sym___global] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_type] = ACTIONS(1224),
    [anon_sym_go] = ACTIONS(1224),
    [anon_sym_spawn] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_DOLLARfor] = ACTIONS(1222),
    [anon_sym_DOLLARif] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_is] = ACTIONS(1224),
    [anon_sym_BANGis] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_interface] = ACTIONS(1224),
    [anon_sym_POUND] = ACTIONS(1222),
    [anon_sym_module] = ACTIONS(1224),
    [anon_sym_import] = ACTIONS(1224),
    [anon_sym_match] = ACTIONS(1224),
    [anon_sym_select] = ACTIONS(1224),
    [anon_sym_lock] = ACTIONS(1224),
    [anon_sym_rlock] = ACTIONS(1224),
    [sym__automatic_separator] = ACTIONS(1222),
    [sym__c_string_opening] = ACTIONS(1222),
    [sym__raw_string_opening] = ACTIONS(1222),
    [sym__string_opening] = ACTIONS(1222),
    [sym__comment] = ACTIONS(3),
  },
  [157] = {
    [sym_comment] = STATE(157),
    [sym__content_block] = STATE(170),
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_COLON_EQ] = ACTIONS(1102),
    [anon_sym_STAR_EQ] = ACTIONS(1102),
    [anon_sym_SLASH_EQ] = ACTIONS(1102),
    [anon_sym_PERCENT_EQ] = ACTIONS(1102),
    [anon_sym_LT_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_AMP_EQ] = ACTIONS(1102),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1102),
    [anon_sym_PLUS_EQ] = ACTIONS(1102),
    [anon_sym_DASH_EQ] = ACTIONS(1102),
    [anon_sym_PIPE_EQ] = ACTIONS(1102),
    [anon_sym_CARET_EQ] = ACTIONS(1102),
    [anon_sym_EQ] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_pub] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym___global] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_type] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_struct] = ACTIONS(1104),
    [anon_sym_union] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [158] = {
    [sym_comment] = STATE(158),
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_identifier] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_CARET] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_LT_DASH] = ACTIONS(1230),
    [anon_sym_SLASH] = ACTIONS(1232),
    [anon_sym_PERCENT] = ACTIONS(1232),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_GT_GT_GT] = ACTIONS(1232),
    [anon_sym_AMP_CARET] = ACTIONS(1232),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1230),
    [anon_sym_BANG_EQ] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_GT_EQ] = ACTIONS(1230),
    [anon_sym_in] = ACTIONS(1232),
    [anon_sym_BANGin] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1230),
    [anon_sym_PIPE_PIPE] = ACTIONS(1230),
    [anon_sym_as] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_map_LBRACK] = ACTIONS(1230),
    [anon_sym_chan] = ACTIONS(1232),
    [anon_sym_shared] = ACTIONS(1232),
    [anon_sym_thread] = ACTIONS(1232),
    [sym_int_literal] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1230),
    [sym_rune_literal] = ACTIONS(1230),
    [anon_sym_DOT] = ACTIONS(1232),
    [anon_sym_array] = ACTIONS(1232),
    [anon_sym_string] = ACTIONS(1232),
    [anon_sym_char] = ACTIONS(1232),
    [anon_sym_sql] = ACTIONS(1232),
    [anon_sym_mut] = ACTIONS(1232),
    [anon_sym_C] = ACTIONS(1232),
    [anon_sym_JS] = ACTIONS(1232),
    [anon_sym_voidptr] = ACTIONS(1232),
    [anon_sym_byteptr] = ACTIONS(1232),
    [anon_sym_charptr] = ACTIONS(1232),
    [anon_sym_i8] = ACTIONS(1232),
    [anon_sym_i16] = ACTIONS(1232),
    [anon_sym_i32] = ACTIONS(1232),
    [anon_sym_int] = ACTIONS(1232),
    [anon_sym_i64] = ACTIONS(1232),
    [anon_sym_byte] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1232),
    [anon_sym_u16] = ACTIONS(1232),
    [anon_sym_u32] = ACTIONS(1232),
    [anon_sym_u64] = ACTIONS(1232),
    [anon_sym_f32] = ACTIONS(1232),
    [anon_sym_f64] = ACTIONS(1232),
    [anon_sym_bool] = ACTIONS(1232),
    [anon_sym_rune] = ACTIONS(1232),
    [anon_sym_map] = ACTIONS(1232),
    [anon_sym_mapnode] = ACTIONS(1232),
    [anon_sym_size_t] = ACTIONS(1232),
    [anon_sym_usize] = ACTIONS(1232),
    [anon_sym_isize] = ACTIONS(1232),
    [anon_sym_float_literal] = ACTIONS(1232),
    [anon_sym_int_literal] = ACTIONS(1232),
    [anon_sym_IError] = ACTIONS(1232),
    [sym_type_placeholder] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [sym_type_identifier] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_COLON_EQ] = ACTIONS(1230),
    [anon_sym_STAR_EQ] = ACTIONS(1230),
    [anon_sym_SLASH_EQ] = ACTIONS(1230),
    [anon_sym_PERCENT_EQ] = ACTIONS(1230),
    [anon_sym_LT_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT_GT_EQ] = ACTIONS(1230),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1230),
    [anon_sym_AMP_EQ] = ACTIONS(1230),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1230),
    [anon_sym_PLUS_EQ] = ACTIONS(1230),
    [anon_sym_DASH_EQ] = ACTIONS(1230),
    [anon_sym_PIPE_EQ] = ACTIONS(1230),
    [anon_sym_CARET_EQ] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_assert] = ACTIONS(1232),
    [anon_sym_defer] = ACTIONS(1232),
    [anon_sym_unsafe] = ACTIONS(1232),
    [anon_sym_pub] = ACTIONS(1232),
    [anon_sym_fn] = ACTIONS(1232),
    [anon_sym___global] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_type] = ACTIONS(1232),
    [anon_sym_go] = ACTIONS(1232),
    [anon_sym_spawn] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_DOLLARfor] = ACTIONS(1230),
    [anon_sym_DOLLARif] = ACTIONS(1230),
    [anon_sym_DOLLARelse] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_is] = ACTIONS(1232),
    [anon_sym_BANGis] = ACTIONS(1230),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_interface] = ACTIONS(1232),
    [anon_sym_POUND] = ACTIONS(1230),
    [anon_sym_module] = ACTIONS(1232),
    [anon_sym_import] = ACTIONS(1232),
    [anon_sym_match] = ACTIONS(1232),
    [anon_sym_select] = ACTIONS(1232),
    [anon_sym_lock] = ACTIONS(1232),
    [anon_sym_rlock] = ACTIONS(1232),
    [sym__automatic_separator] = ACTIONS(1230),
    [sym__c_string_opening] = ACTIONS(1230),
    [sym__raw_string_opening] = ACTIONS(1230),
    [sym__string_opening] = ACTIONS(1230),
    [sym__comment] = ACTIONS(3),
  },
  [159] = {
    [sym_comment] = STATE(159),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_LT_DASH] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1238),
    [anon_sym_PERCENT] = ACTIONS(1238),
    [anon_sym_LT_LT] = ACTIONS(1238),
    [anon_sym_GT_GT] = ACTIONS(1238),
    [anon_sym_GT_GT_GT] = ACTIONS(1238),
    [anon_sym_AMP_CARET] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1238),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_BANGin] = ACTIONS(1236),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_as] = ACTIONS(1238),
    [anon_sym_COMMA] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [sym_none] = ACTIONS(1238),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_map_LBRACK] = ACTIONS(1236),
    [anon_sym_chan] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_thread] = ACTIONS(1238),
    [sym_int_literal] = ACTIONS(1238),
    [sym_float_literal] = ACTIONS(1236),
    [sym_rune_literal] = ACTIONS(1236),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_array] = ACTIONS(1238),
    [anon_sym_string] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_sql] = ACTIONS(1238),
    [anon_sym_mut] = ACTIONS(1238),
    [anon_sym_C] = ACTIONS(1238),
    [anon_sym_JS] = ACTIONS(1238),
    [anon_sym_voidptr] = ACTIONS(1238),
    [anon_sym_byteptr] = ACTIONS(1238),
    [anon_sym_charptr] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_int] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_byte] = ACTIONS(1238),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_rune] = ACTIONS(1238),
    [anon_sym_map] = ACTIONS(1238),
    [anon_sym_mapnode] = ACTIONS(1238),
    [anon_sym_size_t] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_float_literal] = ACTIONS(1238),
    [anon_sym_int_literal] = ACTIONS(1238),
    [anon_sym_IError] = ACTIONS(1238),
    [sym_type_placeholder] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [sym_type_identifier] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_COLON_EQ] = ACTIONS(1236),
    [anon_sym_STAR_EQ] = ACTIONS(1236),
    [anon_sym_SLASH_EQ] = ACTIONS(1236),
    [anon_sym_PERCENT_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT_GT_EQ] = ACTIONS(1236),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1236),
    [anon_sym_AMP_EQ] = ACTIONS(1236),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1236),
    [anon_sym_PLUS_EQ] = ACTIONS(1236),
    [anon_sym_DASH_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_EQ] = ACTIONS(1236),
    [anon_sym_CARET_EQ] = ACTIONS(1236),
    [anon_sym_EQ] = ACTIONS(1238),
    [anon_sym_assert] = ACTIONS(1238),
    [anon_sym_defer] = ACTIONS(1238),
    [anon_sym_unsafe] = ACTIONS(1238),
    [anon_sym_pub] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym___global] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_type] = ACTIONS(1238),
    [anon_sym_go] = ACTIONS(1238),
    [anon_sym_spawn] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_DOLLARfor] = ACTIONS(1236),
    [anon_sym_DOLLARif] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_is] = ACTIONS(1238),
    [anon_sym_BANGis] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_interface] = ACTIONS(1238),
    [anon_sym_POUND] = ACTIONS(1236),
    [anon_sym_module] = ACTIONS(1238),
    [anon_sym_import] = ACTIONS(1238),
    [anon_sym_match] = ACTIONS(1238),
    [anon_sym_select] = ACTIONS(1238),
    [anon_sym_lock] = ACTIONS(1238),
    [anon_sym_rlock] = ACTIONS(1238),
    [sym__automatic_separator] = ACTIONS(1236),
    [sym__c_string_opening] = ACTIONS(1236),
    [sym__raw_string_opening] = ACTIONS(1236),
    [sym__string_opening] = ACTIONS(1236),
    [sym__comment] = ACTIONS(3),
  },
  [160] = {
    [sym_comment] = STATE(160),
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_CARET] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_LT_DASH] = ACTIONS(1242),
    [anon_sym_SLASH] = ACTIONS(1244),
    [anon_sym_PERCENT] = ACTIONS(1244),
    [anon_sym_LT_LT] = ACTIONS(1244),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_GT_GT_GT] = ACTIONS(1244),
    [anon_sym_AMP_CARET] = ACTIONS(1244),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1242),
    [anon_sym_BANG_EQ] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(1242),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_BANGin] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1242),
    [anon_sym_as] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym_none] = ACTIONS(1244),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_map_LBRACK] = ACTIONS(1242),
    [anon_sym_chan] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_thread] = ACTIONS(1244),
    [sym_int_literal] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1242),
    [sym_rune_literal] = ACTIONS(1242),
    [anon_sym_DOT] = ACTIONS(1244),
    [anon_sym_array] = ACTIONS(1244),
    [anon_sym_string] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_sql] = ACTIONS(1244),
    [anon_sym_mut] = ACTIONS(1244),
    [anon_sym_C] = ACTIONS(1244),
    [anon_sym_JS] = ACTIONS(1244),
    [anon_sym_voidptr] = ACTIONS(1244),
    [anon_sym_byteptr] = ACTIONS(1244),
    [anon_sym_charptr] = ACTIONS(1244),
    [anon_sym_i8] = ACTIONS(1244),
    [anon_sym_i16] = ACTIONS(1244),
    [anon_sym_i32] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_i64] = ACTIONS(1244),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1244),
    [anon_sym_u16] = ACTIONS(1244),
    [anon_sym_u32] = ACTIONS(1244),
    [anon_sym_u64] = ACTIONS(1244),
    [anon_sym_f32] = ACTIONS(1244),
    [anon_sym_f64] = ACTIONS(1244),
    [anon_sym_bool] = ACTIONS(1244),
    [anon_sym_rune] = ACTIONS(1244),
    [anon_sym_map] = ACTIONS(1244),
    [anon_sym_mapnode] = ACTIONS(1244),
    [anon_sym_size_t] = ACTIONS(1244),
    [anon_sym_usize] = ACTIONS(1244),
    [anon_sym_isize] = ACTIONS(1244),
    [anon_sym_float_literal] = ACTIONS(1244),
    [anon_sym_int_literal] = ACTIONS(1244),
    [anon_sym_IError] = ACTIONS(1244),
    [sym_type_placeholder] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [sym_type_identifier] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_COLON_EQ] = ACTIONS(1242),
    [anon_sym_STAR_EQ] = ACTIONS(1242),
    [anon_sym_SLASH_EQ] = ACTIONS(1242),
    [anon_sym_PERCENT_EQ] = ACTIONS(1242),
    [anon_sym_LT_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT_GT_EQ] = ACTIONS(1242),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1242),
    [anon_sym_AMP_EQ] = ACTIONS(1242),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1242),
    [anon_sym_PLUS_EQ] = ACTIONS(1242),
    [anon_sym_DASH_EQ] = ACTIONS(1242),
    [anon_sym_PIPE_EQ] = ACTIONS(1242),
    [anon_sym_CARET_EQ] = ACTIONS(1242),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_assert] = ACTIONS(1244),
    [anon_sym_defer] = ACTIONS(1244),
    [anon_sym_unsafe] = ACTIONS(1244),
    [anon_sym_pub] = ACTIONS(1244),
    [anon_sym_fn] = ACTIONS(1244),
    [anon_sym___global] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_type] = ACTIONS(1244),
    [anon_sym_go] = ACTIONS(1244),
    [anon_sym_spawn] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_DOLLARfor] = ACTIONS(1242),
    [anon_sym_DOLLARif] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_is] = ACTIONS(1244),
    [anon_sym_BANGis] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_interface] = ACTIONS(1244),
    [anon_sym_POUND] = ACTIONS(1242),
    [anon_sym_module] = ACTIONS(1244),
    [anon_sym_import] = ACTIONS(1244),
    [anon_sym_match] = ACTIONS(1244),
    [anon_sym_select] = ACTIONS(1244),
    [anon_sym_lock] = ACTIONS(1244),
    [anon_sym_rlock] = ACTIONS(1244),
    [sym__automatic_separator] = ACTIONS(1242),
    [sym__c_string_opening] = ACTIONS(1242),
    [sym__raw_string_opening] = ACTIONS(1242),
    [sym__string_opening] = ACTIONS(1242),
    [sym__comment] = ACTIONS(3),
  },
  [161] = {
    [sym_comment] = STATE(161),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_COLON_EQ] = ACTIONS(1110),
    [anon_sym_STAR_EQ] = ACTIONS(1110),
    [anon_sym_SLASH_EQ] = ACTIONS(1110),
    [anon_sym_PERCENT_EQ] = ACTIONS(1110),
    [anon_sym_LT_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_EQ] = ACTIONS(1110),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1110),
    [anon_sym_DASH_EQ] = ACTIONS(1110),
    [anon_sym_PIPE_EQ] = ACTIONS(1110),
    [anon_sym_CARET_EQ] = ACTIONS(1110),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_DOLLARelse] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [162] = {
    [sym_comment] = STATE(162),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_identifier] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_LT_DASH] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1250),
    [anon_sym_PERCENT] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1250),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_GT_GT_GT] = ACTIONS(1250),
    [anon_sym_AMP_CARET] = ACTIONS(1250),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_BANGin] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [sym_none] = ACTIONS(1250),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_map_LBRACK] = ACTIONS(1248),
    [anon_sym_chan] = ACTIONS(1250),
    [anon_sym_shared] = ACTIONS(1250),
    [anon_sym_thread] = ACTIONS(1250),
    [sym_int_literal] = ACTIONS(1250),
    [sym_float_literal] = ACTIONS(1248),
    [sym_rune_literal] = ACTIONS(1248),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_array] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_char] = ACTIONS(1250),
    [anon_sym_sql] = ACTIONS(1250),
    [anon_sym_mut] = ACTIONS(1250),
    [anon_sym_C] = ACTIONS(1250),
    [anon_sym_JS] = ACTIONS(1250),
    [anon_sym_voidptr] = ACTIONS(1250),
    [anon_sym_byteptr] = ACTIONS(1250),
    [anon_sym_charptr] = ACTIONS(1250),
    [anon_sym_i8] = ACTIONS(1250),
    [anon_sym_i16] = ACTIONS(1250),
    [anon_sym_i32] = ACTIONS(1250),
    [anon_sym_int] = ACTIONS(1250),
    [anon_sym_i64] = ACTIONS(1250),
    [anon_sym_byte] = ACTIONS(1250),
    [anon_sym_u8] = ACTIONS(1250),
    [anon_sym_u16] = ACTIONS(1250),
    [anon_sym_u32] = ACTIONS(1250),
    [anon_sym_u64] = ACTIONS(1250),
    [anon_sym_f32] = ACTIONS(1250),
    [anon_sym_f64] = ACTIONS(1250),
    [anon_sym_bool] = ACTIONS(1250),
    [anon_sym_rune] = ACTIONS(1250),
    [anon_sym_map] = ACTIONS(1250),
    [anon_sym_mapnode] = ACTIONS(1250),
    [anon_sym_size_t] = ACTIONS(1250),
    [anon_sym_usize] = ACTIONS(1250),
    [anon_sym_isize] = ACTIONS(1250),
    [anon_sym_float_literal] = ACTIONS(1250),
    [anon_sym_int_literal] = ACTIONS(1250),
    [anon_sym_IError] = ACTIONS(1250),
    [sym_type_placeholder] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [sym_type_identifier] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_COLON_EQ] = ACTIONS(1248),
    [anon_sym_STAR_EQ] = ACTIONS(1248),
    [anon_sym_SLASH_EQ] = ACTIONS(1248),
    [anon_sym_PERCENT_EQ] = ACTIONS(1248),
    [anon_sym_LT_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT_GT_EQ] = ACTIONS(1248),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1248),
    [anon_sym_AMP_EQ] = ACTIONS(1248),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1248),
    [anon_sym_PLUS_EQ] = ACTIONS(1248),
    [anon_sym_DASH_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_EQ] = ACTIONS(1248),
    [anon_sym_CARET_EQ] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_assert] = ACTIONS(1250),
    [anon_sym_defer] = ACTIONS(1250),
    [anon_sym_unsafe] = ACTIONS(1250),
    [anon_sym_pub] = ACTIONS(1250),
    [anon_sym_fn] = ACTIONS(1250),
    [anon_sym___global] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_go] = ACTIONS(1250),
    [anon_sym_spawn] = ACTIONS(1250),
    [anon_sym_goto] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_DOLLARfor] = ACTIONS(1248),
    [anon_sym_DOLLARif] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_BANGis] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1250),
    [anon_sym_union] = ACTIONS(1250),
    [anon_sym_enum] = ACTIONS(1250),
    [anon_sym_interface] = ACTIONS(1250),
    [anon_sym_POUND] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_import] = ACTIONS(1250),
    [anon_sym_match] = ACTIONS(1250),
    [anon_sym_select] = ACTIONS(1250),
    [anon_sym_lock] = ACTIONS(1250),
    [anon_sym_rlock] = ACTIONS(1250),
    [sym__automatic_separator] = ACTIONS(1248),
    [sym__c_string_opening] = ACTIONS(1248),
    [sym__raw_string_opening] = ACTIONS(1248),
    [sym__string_opening] = ACTIONS(1248),
    [sym__comment] = ACTIONS(3),
  },
  [163] = {
    [sym_comment] = STATE(163),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_identifier] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_LT_DASH] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1254),
    [anon_sym_PERCENT] = ACTIONS(1254),
    [anon_sym_LT_LT] = ACTIONS(1254),
    [anon_sym_GT_GT] = ACTIONS(1254),
    [anon_sym_GT_GT_GT] = ACTIONS(1254),
    [anon_sym_AMP_CARET] = ACTIONS(1254),
    [anon_sym_PIPE] = ACTIONS(1254),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1254),
    [anon_sym_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1254),
    [anon_sym_GT_EQ] = ACTIONS(1252),
    [anon_sym_in] = ACTIONS(1254),
    [anon_sym_BANGin] = ACTIONS(1252),
    [anon_sym_AMP_AMP] = ACTIONS(1252),
    [anon_sym_PIPE_PIPE] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [sym_none] = ACTIONS(1254),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_map_LBRACK] = ACTIONS(1252),
    [anon_sym_chan] = ACTIONS(1254),
    [anon_sym_shared] = ACTIONS(1254),
    [anon_sym_thread] = ACTIONS(1254),
    [sym_int_literal] = ACTIONS(1254),
    [sym_float_literal] = ACTIONS(1252),
    [sym_rune_literal] = ACTIONS(1252),
    [anon_sym_DOT] = ACTIONS(1254),
    [anon_sym_array] = ACTIONS(1254),
    [anon_sym_string] = ACTIONS(1254),
    [anon_sym_char] = ACTIONS(1254),
    [anon_sym_sql] = ACTIONS(1254),
    [anon_sym_mut] = ACTIONS(1254),
    [anon_sym_C] = ACTIONS(1254),
    [anon_sym_JS] = ACTIONS(1254),
    [anon_sym_voidptr] = ACTIONS(1254),
    [anon_sym_byteptr] = ACTIONS(1254),
    [anon_sym_charptr] = ACTIONS(1254),
    [anon_sym_i8] = ACTIONS(1254),
    [anon_sym_i16] = ACTIONS(1254),
    [anon_sym_i32] = ACTIONS(1254),
    [anon_sym_int] = ACTIONS(1254),
    [anon_sym_i64] = ACTIONS(1254),
    [anon_sym_byte] = ACTIONS(1254),
    [anon_sym_u8] = ACTIONS(1254),
    [anon_sym_u16] = ACTIONS(1254),
    [anon_sym_u32] = ACTIONS(1254),
    [anon_sym_u64] = ACTIONS(1254),
    [anon_sym_f32] = ACTIONS(1254),
    [anon_sym_f64] = ACTIONS(1254),
    [anon_sym_bool] = ACTIONS(1254),
    [anon_sym_rune] = ACTIONS(1254),
    [anon_sym_map] = ACTIONS(1254),
    [anon_sym_mapnode] = ACTIONS(1254),
    [anon_sym_size_t] = ACTIONS(1254),
    [anon_sym_usize] = ACTIONS(1254),
    [anon_sym_isize] = ACTIONS(1254),
    [anon_sym_float_literal] = ACTIONS(1254),
    [anon_sym_int_literal] = ACTIONS(1254),
    [anon_sym_IError] = ACTIONS(1254),
    [sym_type_placeholder] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [sym_type_identifier] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_COLON_EQ] = ACTIONS(1252),
    [anon_sym_STAR_EQ] = ACTIONS(1252),
    [anon_sym_SLASH_EQ] = ACTIONS(1252),
    [anon_sym_PERCENT_EQ] = ACTIONS(1252),
    [anon_sym_LT_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT_GT_EQ] = ACTIONS(1252),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1252),
    [anon_sym_AMP_EQ] = ACTIONS(1252),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1252),
    [anon_sym_PLUS_EQ] = ACTIONS(1252),
    [anon_sym_DASH_EQ] = ACTIONS(1252),
    [anon_sym_PIPE_EQ] = ACTIONS(1252),
    [anon_sym_CARET_EQ] = ACTIONS(1252),
    [anon_sym_EQ] = ACTIONS(1254),
    [anon_sym_assert] = ACTIONS(1254),
    [anon_sym_defer] = ACTIONS(1254),
    [anon_sym_unsafe] = ACTIONS(1254),
    [anon_sym_pub] = ACTIONS(1254),
    [anon_sym_fn] = ACTIONS(1254),
    [anon_sym___global] = ACTIONS(1254),
    [anon_sym_const] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1254),
    [anon_sym_break] = ACTIONS(1254),
    [anon_sym_continue] = ACTIONS(1254),
    [anon_sym_return] = ACTIONS(1254),
    [anon_sym_type] = ACTIONS(1254),
    [anon_sym_go] = ACTIONS(1254),
    [anon_sym_spawn] = ACTIONS(1254),
    [anon_sym_goto] = ACTIONS(1254),
    [anon_sym_for] = ACTIONS(1254),
    [anon_sym_DOLLARfor] = ACTIONS(1252),
    [anon_sym_DOLLARif] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_is] = ACTIONS(1254),
    [anon_sym_BANGis] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1254),
    [anon_sym_union] = ACTIONS(1254),
    [anon_sym_enum] = ACTIONS(1254),
    [anon_sym_interface] = ACTIONS(1254),
    [anon_sym_POUND] = ACTIONS(1252),
    [anon_sym_module] = ACTIONS(1254),
    [anon_sym_import] = ACTIONS(1254),
    [anon_sym_match] = ACTIONS(1254),
    [anon_sym_select] = ACTIONS(1254),
    [anon_sym_lock] = ACTIONS(1254),
    [anon_sym_rlock] = ACTIONS(1254),
    [sym__automatic_separator] = ACTIONS(1252),
    [sym__c_string_opening] = ACTIONS(1252),
    [sym__raw_string_opening] = ACTIONS(1252),
    [sym__string_opening] = ACTIONS(1252),
    [sym__comment] = ACTIONS(3),
  },
  [164] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(164),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4727),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [165] = {
    [sym_comment] = STATE(165),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [166] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(166),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4909),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [167] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(167),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4920),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(169),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [168] = {
    [sym_comment] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1048),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1048),
    [anon_sym_LT_LT] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1048),
    [anon_sym_AMP_CARET] = ACTIONS(1048),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_COLON_EQ] = ACTIONS(1046),
    [anon_sym_STAR_EQ] = ACTIONS(1046),
    [anon_sym_SLASH_EQ] = ACTIONS(1046),
    [anon_sym_PERCENT_EQ] = ACTIONS(1046),
    [anon_sym_LT_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT_GT_EQ] = ACTIONS(1046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1046),
    [anon_sym_AMP_EQ] = ACTIONS(1046),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1046),
    [anon_sym_PLUS_EQ] = ACTIONS(1046),
    [anon_sym_DASH_EQ] = ACTIONS(1046),
    [anon_sym_PIPE_EQ] = ACTIONS(1046),
    [anon_sym_CARET_EQ] = ACTIONS(1046),
    [anon_sym_EQ] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_pub] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym___global] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_type] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_struct] = ACTIONS(1048),
    [anon_sym_union] = ACTIONS(1048),
    [anon_sym_enum] = ACTIONS(1048),
    [anon_sym_interface] = ACTIONS(1048),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1048),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [169] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(169),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4937),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [170] = {
    [sym_comment] = STATE(170),
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_CARET] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_LT_DASH] = ACTIONS(1270),
    [anon_sym_SLASH] = ACTIONS(1272),
    [anon_sym_PERCENT] = ACTIONS(1272),
    [anon_sym_LT_LT] = ACTIONS(1272),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_GT_GT_GT] = ACTIONS(1272),
    [anon_sym_AMP_CARET] = ACTIONS(1272),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1270),
    [anon_sym_BANG_EQ] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_GT_EQ] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_BANGin] = ACTIONS(1270),
    [anon_sym_AMP_AMP] = ACTIONS(1270),
    [anon_sym_PIPE_PIPE] = ACTIONS(1270),
    [anon_sym_as] = ACTIONS(1272),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym_none] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_map_LBRACK] = ACTIONS(1270),
    [anon_sym_chan] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_thread] = ACTIONS(1272),
    [sym_int_literal] = ACTIONS(1272),
    [sym_float_literal] = ACTIONS(1270),
    [sym_rune_literal] = ACTIONS(1270),
    [anon_sym_DOT] = ACTIONS(1272),
    [anon_sym_array] = ACTIONS(1272),
    [anon_sym_string] = ACTIONS(1272),
    [anon_sym_char] = ACTIONS(1272),
    [anon_sym_sql] = ACTIONS(1272),
    [anon_sym_mut] = ACTIONS(1272),
    [anon_sym_C] = ACTIONS(1272),
    [anon_sym_JS] = ACTIONS(1272),
    [anon_sym_voidptr] = ACTIONS(1272),
    [anon_sym_byteptr] = ACTIONS(1272),
    [anon_sym_charptr] = ACTIONS(1272),
    [anon_sym_i8] = ACTIONS(1272),
    [anon_sym_i16] = ACTIONS(1272),
    [anon_sym_i32] = ACTIONS(1272),
    [anon_sym_int] = ACTIONS(1272),
    [anon_sym_i64] = ACTIONS(1272),
    [anon_sym_byte] = ACTIONS(1272),
    [anon_sym_u8] = ACTIONS(1272),
    [anon_sym_u16] = ACTIONS(1272),
    [anon_sym_u32] = ACTIONS(1272),
    [anon_sym_u64] = ACTIONS(1272),
    [anon_sym_f32] = ACTIONS(1272),
    [anon_sym_f64] = ACTIONS(1272),
    [anon_sym_bool] = ACTIONS(1272),
    [anon_sym_rune] = ACTIONS(1272),
    [anon_sym_map] = ACTIONS(1272),
    [anon_sym_mapnode] = ACTIONS(1272),
    [anon_sym_size_t] = ACTIONS(1272),
    [anon_sym_usize] = ACTIONS(1272),
    [anon_sym_isize] = ACTIONS(1272),
    [anon_sym_float_literal] = ACTIONS(1272),
    [anon_sym_int_literal] = ACTIONS(1272),
    [anon_sym_IError] = ACTIONS(1272),
    [sym_type_placeholder] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [sym_type_identifier] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_COLON_EQ] = ACTIONS(1270),
    [anon_sym_STAR_EQ] = ACTIONS(1270),
    [anon_sym_SLASH_EQ] = ACTIONS(1270),
    [anon_sym_PERCENT_EQ] = ACTIONS(1270),
    [anon_sym_LT_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT_GT_EQ] = ACTIONS(1270),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1270),
    [anon_sym_AMP_EQ] = ACTIONS(1270),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1270),
    [anon_sym_PLUS_EQ] = ACTIONS(1270),
    [anon_sym_DASH_EQ] = ACTIONS(1270),
    [anon_sym_PIPE_EQ] = ACTIONS(1270),
    [anon_sym_CARET_EQ] = ACTIONS(1270),
    [anon_sym_EQ] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1272),
    [anon_sym_defer] = ACTIONS(1272),
    [anon_sym_unsafe] = ACTIONS(1272),
    [anon_sym_pub] = ACTIONS(1272),
    [anon_sym_fn] = ACTIONS(1272),
    [anon_sym___global] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_type] = ACTIONS(1272),
    [anon_sym_go] = ACTIONS(1272),
    [anon_sym_spawn] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_DOLLARfor] = ACTIONS(1270),
    [anon_sym_DOLLARif] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_is] = ACTIONS(1272),
    [anon_sym_BANGis] = ACTIONS(1270),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_interface] = ACTIONS(1272),
    [anon_sym_POUND] = ACTIONS(1270),
    [anon_sym_module] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(1272),
    [anon_sym_match] = ACTIONS(1272),
    [anon_sym_select] = ACTIONS(1272),
    [anon_sym_lock] = ACTIONS(1272),
    [anon_sym_rlock] = ACTIONS(1272),
    [sym__automatic_separator] = ACTIONS(1270),
    [sym__c_string_opening] = ACTIONS(1270),
    [sym__raw_string_opening] = ACTIONS(1270),
    [sym__string_opening] = ACTIONS(1270),
    [sym__comment] = ACTIONS(3),
  },
  [171] = {
    [sym_comment] = STATE(171),
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_CARET] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_LT_DASH] = ACTIONS(1274),
    [anon_sym_SLASH] = ACTIONS(1276),
    [anon_sym_PERCENT] = ACTIONS(1276),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_GT_GT_GT] = ACTIONS(1276),
    [anon_sym_AMP_CARET] = ACTIONS(1276),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1274),
    [anon_sym_BANG_EQ] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_GT_EQ] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_BANGin] = ACTIONS(1274),
    [anon_sym_AMP_AMP] = ACTIONS(1274),
    [anon_sym_PIPE_PIPE] = ACTIONS(1274),
    [anon_sym_as] = ACTIONS(1276),
    [anon_sym_COMMA] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym_none] = ACTIONS(1276),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_map_LBRACK] = ACTIONS(1274),
    [anon_sym_chan] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_thread] = ACTIONS(1276),
    [sym_int_literal] = ACTIONS(1276),
    [sym_float_literal] = ACTIONS(1274),
    [sym_rune_literal] = ACTIONS(1274),
    [anon_sym_DOT] = ACTIONS(1276),
    [anon_sym_array] = ACTIONS(1276),
    [anon_sym_string] = ACTIONS(1276),
    [anon_sym_char] = ACTIONS(1276),
    [anon_sym_sql] = ACTIONS(1276),
    [anon_sym_mut] = ACTIONS(1276),
    [anon_sym_C] = ACTIONS(1276),
    [anon_sym_JS] = ACTIONS(1276),
    [anon_sym_voidptr] = ACTIONS(1276),
    [anon_sym_byteptr] = ACTIONS(1276),
    [anon_sym_charptr] = ACTIONS(1276),
    [anon_sym_i8] = ACTIONS(1276),
    [anon_sym_i16] = ACTIONS(1276),
    [anon_sym_i32] = ACTIONS(1276),
    [anon_sym_int] = ACTIONS(1276),
    [anon_sym_i64] = ACTIONS(1276),
    [anon_sym_byte] = ACTIONS(1276),
    [anon_sym_u8] = ACTIONS(1276),
    [anon_sym_u16] = ACTIONS(1276),
    [anon_sym_u32] = ACTIONS(1276),
    [anon_sym_u64] = ACTIONS(1276),
    [anon_sym_f32] = ACTIONS(1276),
    [anon_sym_f64] = ACTIONS(1276),
    [anon_sym_bool] = ACTIONS(1276),
    [anon_sym_rune] = ACTIONS(1276),
    [anon_sym_map] = ACTIONS(1276),
    [anon_sym_mapnode] = ACTIONS(1276),
    [anon_sym_size_t] = ACTIONS(1276),
    [anon_sym_usize] = ACTIONS(1276),
    [anon_sym_isize] = ACTIONS(1276),
    [anon_sym_float_literal] = ACTIONS(1276),
    [anon_sym_int_literal] = ACTIONS(1276),
    [anon_sym_IError] = ACTIONS(1276),
    [sym_type_placeholder] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [sym_type_identifier] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_COLON_EQ] = ACTIONS(1274),
    [anon_sym_STAR_EQ] = ACTIONS(1274),
    [anon_sym_SLASH_EQ] = ACTIONS(1274),
    [anon_sym_PERCENT_EQ] = ACTIONS(1274),
    [anon_sym_LT_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT_GT_EQ] = ACTIONS(1274),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1274),
    [anon_sym_AMP_EQ] = ACTIONS(1274),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1274),
    [anon_sym_PLUS_EQ] = ACTIONS(1274),
    [anon_sym_DASH_EQ] = ACTIONS(1274),
    [anon_sym_PIPE_EQ] = ACTIONS(1274),
    [anon_sym_CARET_EQ] = ACTIONS(1274),
    [anon_sym_EQ] = ACTIONS(1276),
    [anon_sym_assert] = ACTIONS(1276),
    [anon_sym_defer] = ACTIONS(1276),
    [anon_sym_unsafe] = ACTIONS(1276),
    [anon_sym_pub] = ACTIONS(1276),
    [anon_sym_fn] = ACTIONS(1276),
    [anon_sym___global] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_type] = ACTIONS(1276),
    [anon_sym_go] = ACTIONS(1276),
    [anon_sym_spawn] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_DOLLARfor] = ACTIONS(1274),
    [anon_sym_DOLLARif] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_is] = ACTIONS(1276),
    [anon_sym_BANGis] = ACTIONS(1274),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_interface] = ACTIONS(1276),
    [anon_sym_POUND] = ACTIONS(1274),
    [anon_sym_module] = ACTIONS(1276),
    [anon_sym_import] = ACTIONS(1276),
    [anon_sym_match] = ACTIONS(1276),
    [anon_sym_select] = ACTIONS(1276),
    [anon_sym_lock] = ACTIONS(1276),
    [anon_sym_rlock] = ACTIONS(1276),
    [sym__automatic_separator] = ACTIONS(1274),
    [sym__c_string_opening] = ACTIONS(1274),
    [sym__raw_string_opening] = ACTIONS(1274),
    [sym__string_opening] = ACTIONS(1274),
    [sym__comment] = ACTIONS(3),
  },
  [172] = {
    [sym_comment] = STATE(172),
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_CARET] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_LT_DASH] = ACTIONS(1278),
    [anon_sym_SLASH] = ACTIONS(1280),
    [anon_sym_PERCENT] = ACTIONS(1280),
    [anon_sym_LT_LT] = ACTIONS(1280),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_GT_GT_GT] = ACTIONS(1280),
    [anon_sym_AMP_CARET] = ACTIONS(1280),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1278),
    [anon_sym_BANG_EQ] = ACTIONS(1278),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_BANGin] = ACTIONS(1278),
    [anon_sym_AMP_AMP] = ACTIONS(1278),
    [anon_sym_PIPE_PIPE] = ACTIONS(1278),
    [anon_sym_as] = ACTIONS(1280),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym_none] = ACTIONS(1280),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_map_LBRACK] = ACTIONS(1278),
    [anon_sym_chan] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_thread] = ACTIONS(1280),
    [sym_int_literal] = ACTIONS(1280),
    [sym_float_literal] = ACTIONS(1278),
    [sym_rune_literal] = ACTIONS(1278),
    [anon_sym_DOT] = ACTIONS(1280),
    [anon_sym_array] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_char] = ACTIONS(1280),
    [anon_sym_sql] = ACTIONS(1280),
    [anon_sym_mut] = ACTIONS(1280),
    [anon_sym_C] = ACTIONS(1280),
    [anon_sym_JS] = ACTIONS(1280),
    [anon_sym_voidptr] = ACTIONS(1280),
    [anon_sym_byteptr] = ACTIONS(1280),
    [anon_sym_charptr] = ACTIONS(1280),
    [anon_sym_i8] = ACTIONS(1280),
    [anon_sym_i16] = ACTIONS(1280),
    [anon_sym_i32] = ACTIONS(1280),
    [anon_sym_int] = ACTIONS(1280),
    [anon_sym_i64] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_u8] = ACTIONS(1280),
    [anon_sym_u16] = ACTIONS(1280),
    [anon_sym_u32] = ACTIONS(1280),
    [anon_sym_u64] = ACTIONS(1280),
    [anon_sym_f32] = ACTIONS(1280),
    [anon_sym_f64] = ACTIONS(1280),
    [anon_sym_bool] = ACTIONS(1280),
    [anon_sym_rune] = ACTIONS(1280),
    [anon_sym_map] = ACTIONS(1280),
    [anon_sym_mapnode] = ACTIONS(1280),
    [anon_sym_size_t] = ACTIONS(1280),
    [anon_sym_usize] = ACTIONS(1280),
    [anon_sym_isize] = ACTIONS(1280),
    [anon_sym_float_literal] = ACTIONS(1280),
    [anon_sym_int_literal] = ACTIONS(1280),
    [anon_sym_IError] = ACTIONS(1280),
    [sym_type_placeholder] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [sym_type_identifier] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_COLON_EQ] = ACTIONS(1278),
    [anon_sym_STAR_EQ] = ACTIONS(1278),
    [anon_sym_SLASH_EQ] = ACTIONS(1278),
    [anon_sym_PERCENT_EQ] = ACTIONS(1278),
    [anon_sym_LT_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT_GT_EQ] = ACTIONS(1278),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1278),
    [anon_sym_AMP_EQ] = ACTIONS(1278),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1278),
    [anon_sym_PLUS_EQ] = ACTIONS(1278),
    [anon_sym_DASH_EQ] = ACTIONS(1278),
    [anon_sym_PIPE_EQ] = ACTIONS(1278),
    [anon_sym_CARET_EQ] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_assert] = ACTIONS(1280),
    [anon_sym_defer] = ACTIONS(1280),
    [anon_sym_unsafe] = ACTIONS(1280),
    [anon_sym_pub] = ACTIONS(1280),
    [anon_sym_fn] = ACTIONS(1280),
    [anon_sym___global] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_go] = ACTIONS(1280),
    [anon_sym_spawn] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_DOLLARfor] = ACTIONS(1278),
    [anon_sym_DOLLARif] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_is] = ACTIONS(1280),
    [anon_sym_BANGis] = ACTIONS(1278),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_interface] = ACTIONS(1280),
    [anon_sym_POUND] = ACTIONS(1278),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_import] = ACTIONS(1280),
    [anon_sym_match] = ACTIONS(1280),
    [anon_sym_select] = ACTIONS(1280),
    [anon_sym_lock] = ACTIONS(1280),
    [anon_sym_rlock] = ACTIONS(1280),
    [sym__automatic_separator] = ACTIONS(1278),
    [sym__c_string_opening] = ACTIONS(1278),
    [sym__raw_string_opening] = ACTIONS(1278),
    [sym__string_opening] = ACTIONS(1278),
    [sym__comment] = ACTIONS(3),
  },
  [173] = {
    [sym_comment] = STATE(173),
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_LT_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_GT_GT_GT] = ACTIONS(1284),
    [anon_sym_AMP_CARET] = ACTIONS(1284),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1282),
    [anon_sym_BANG_EQ] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_BANGin] = ACTIONS(1282),
    [anon_sym_AMP_AMP] = ACTIONS(1282),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_as] = ACTIONS(1284),
    [anon_sym_COMMA] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym_none] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_map_LBRACK] = ACTIONS(1282),
    [anon_sym_chan] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_thread] = ACTIONS(1284),
    [sym_int_literal] = ACTIONS(1284),
    [sym_float_literal] = ACTIONS(1282),
    [sym_rune_literal] = ACTIONS(1282),
    [anon_sym_DOT] = ACTIONS(1284),
    [anon_sym_array] = ACTIONS(1284),
    [anon_sym_string] = ACTIONS(1284),
    [anon_sym_char] = ACTIONS(1284),
    [anon_sym_sql] = ACTIONS(1284),
    [anon_sym_mut] = ACTIONS(1284),
    [anon_sym_C] = ACTIONS(1284),
    [anon_sym_JS] = ACTIONS(1284),
    [anon_sym_voidptr] = ACTIONS(1284),
    [anon_sym_byteptr] = ACTIONS(1284),
    [anon_sym_charptr] = ACTIONS(1284),
    [anon_sym_i8] = ACTIONS(1284),
    [anon_sym_i16] = ACTIONS(1284),
    [anon_sym_i32] = ACTIONS(1284),
    [anon_sym_int] = ACTIONS(1284),
    [anon_sym_i64] = ACTIONS(1284),
    [anon_sym_byte] = ACTIONS(1284),
    [anon_sym_u8] = ACTIONS(1284),
    [anon_sym_u16] = ACTIONS(1284),
    [anon_sym_u32] = ACTIONS(1284),
    [anon_sym_u64] = ACTIONS(1284),
    [anon_sym_f32] = ACTIONS(1284),
    [anon_sym_f64] = ACTIONS(1284),
    [anon_sym_bool] = ACTIONS(1284),
    [anon_sym_rune] = ACTIONS(1284),
    [anon_sym_map] = ACTIONS(1284),
    [anon_sym_mapnode] = ACTIONS(1284),
    [anon_sym_size_t] = ACTIONS(1284),
    [anon_sym_usize] = ACTIONS(1284),
    [anon_sym_isize] = ACTIONS(1284),
    [anon_sym_float_literal] = ACTIONS(1284),
    [anon_sym_int_literal] = ACTIONS(1284),
    [anon_sym_IError] = ACTIONS(1284),
    [sym_type_placeholder] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [sym_type_identifier] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_COLON_EQ] = ACTIONS(1282),
    [anon_sym_STAR_EQ] = ACTIONS(1282),
    [anon_sym_SLASH_EQ] = ACTIONS(1282),
    [anon_sym_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_LT_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT_GT_EQ] = ACTIONS(1282),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1282),
    [anon_sym_AMP_EQ] = ACTIONS(1282),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1282),
    [anon_sym_PLUS_EQ] = ACTIONS(1282),
    [anon_sym_DASH_EQ] = ACTIONS(1282),
    [anon_sym_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_CARET_EQ] = ACTIONS(1282),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_assert] = ACTIONS(1284),
    [anon_sym_defer] = ACTIONS(1284),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_pub] = ACTIONS(1284),
    [anon_sym_fn] = ACTIONS(1284),
    [anon_sym___global] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_type] = ACTIONS(1284),
    [anon_sym_go] = ACTIONS(1284),
    [anon_sym_spawn] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_DOLLARfor] = ACTIONS(1282),
    [anon_sym_DOLLARif] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_is] = ACTIONS(1284),
    [anon_sym_BANGis] = ACTIONS(1282),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_interface] = ACTIONS(1284),
    [anon_sym_POUND] = ACTIONS(1282),
    [anon_sym_module] = ACTIONS(1284),
    [anon_sym_import] = ACTIONS(1284),
    [anon_sym_match] = ACTIONS(1284),
    [anon_sym_select] = ACTIONS(1284),
    [anon_sym_lock] = ACTIONS(1284),
    [anon_sym_rlock] = ACTIONS(1284),
    [sym__automatic_separator] = ACTIONS(1282),
    [sym__c_string_opening] = ACTIONS(1282),
    [sym__raw_string_opening] = ACTIONS(1282),
    [sym__string_opening] = ACTIONS(1282),
    [sym__comment] = ACTIONS(3),
  },
  [174] = {
    [sym_comment] = STATE(174),
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_LT_DASH] = ACTIONS(1286),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_GT_GT_GT] = ACTIONS(1288),
    [anon_sym_AMP_CARET] = ACTIONS(1288),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1286),
    [anon_sym_BANG_EQ] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_BANGin] = ACTIONS(1286),
    [anon_sym_AMP_AMP] = ACTIONS(1286),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_as] = ACTIONS(1288),
    [anon_sym_COMMA] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym_none] = ACTIONS(1288),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_map_LBRACK] = ACTIONS(1286),
    [anon_sym_chan] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_thread] = ACTIONS(1288),
    [sym_int_literal] = ACTIONS(1288),
    [sym_float_literal] = ACTIONS(1286),
    [sym_rune_literal] = ACTIONS(1286),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_array] = ACTIONS(1288),
    [anon_sym_string] = ACTIONS(1288),
    [anon_sym_char] = ACTIONS(1288),
    [anon_sym_sql] = ACTIONS(1288),
    [anon_sym_mut] = ACTIONS(1288),
    [anon_sym_C] = ACTIONS(1288),
    [anon_sym_JS] = ACTIONS(1288),
    [anon_sym_voidptr] = ACTIONS(1288),
    [anon_sym_byteptr] = ACTIONS(1288),
    [anon_sym_charptr] = ACTIONS(1288),
    [anon_sym_i8] = ACTIONS(1288),
    [anon_sym_i16] = ACTIONS(1288),
    [anon_sym_i32] = ACTIONS(1288),
    [anon_sym_int] = ACTIONS(1288),
    [anon_sym_i64] = ACTIONS(1288),
    [anon_sym_byte] = ACTIONS(1288),
    [anon_sym_u8] = ACTIONS(1288),
    [anon_sym_u16] = ACTIONS(1288),
    [anon_sym_u32] = ACTIONS(1288),
    [anon_sym_u64] = ACTIONS(1288),
    [anon_sym_f32] = ACTIONS(1288),
    [anon_sym_f64] = ACTIONS(1288),
    [anon_sym_bool] = ACTIONS(1288),
    [anon_sym_rune] = ACTIONS(1288),
    [anon_sym_map] = ACTIONS(1288),
    [anon_sym_mapnode] = ACTIONS(1288),
    [anon_sym_size_t] = ACTIONS(1288),
    [anon_sym_usize] = ACTIONS(1288),
    [anon_sym_isize] = ACTIONS(1288),
    [anon_sym_float_literal] = ACTIONS(1288),
    [anon_sym_int_literal] = ACTIONS(1288),
    [anon_sym_IError] = ACTIONS(1288),
    [sym_type_placeholder] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [sym_type_identifier] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_COLON_EQ] = ACTIONS(1286),
    [anon_sym_STAR_EQ] = ACTIONS(1286),
    [anon_sym_SLASH_EQ] = ACTIONS(1286),
    [anon_sym_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_LT_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT_GT_EQ] = ACTIONS(1286),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1286),
    [anon_sym_AMP_EQ] = ACTIONS(1286),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1286),
    [anon_sym_PLUS_EQ] = ACTIONS(1286),
    [anon_sym_DASH_EQ] = ACTIONS(1286),
    [anon_sym_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_CARET_EQ] = ACTIONS(1286),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_assert] = ACTIONS(1288),
    [anon_sym_defer] = ACTIONS(1288),
    [anon_sym_unsafe] = ACTIONS(1288),
    [anon_sym_pub] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1288),
    [anon_sym___global] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_type] = ACTIONS(1288),
    [anon_sym_go] = ACTIONS(1288),
    [anon_sym_spawn] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_DOLLARfor] = ACTIONS(1286),
    [anon_sym_DOLLARif] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_is] = ACTIONS(1288),
    [anon_sym_BANGis] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_interface] = ACTIONS(1288),
    [anon_sym_POUND] = ACTIONS(1286),
    [anon_sym_module] = ACTIONS(1288),
    [anon_sym_import] = ACTIONS(1288),
    [anon_sym_match] = ACTIONS(1288),
    [anon_sym_select] = ACTIONS(1288),
    [anon_sym_lock] = ACTIONS(1288),
    [anon_sym_rlock] = ACTIONS(1288),
    [sym__automatic_separator] = ACTIONS(1286),
    [sym__c_string_opening] = ACTIONS(1286),
    [sym__raw_string_opening] = ACTIONS(1286),
    [sym__string_opening] = ACTIONS(1286),
    [sym__comment] = ACTIONS(3),
  },
  [175] = {
    [sym_comment] = STATE(175),
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_CARET] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_LT_DASH] = ACTIONS(1290),
    [anon_sym_SLASH] = ACTIONS(1292),
    [anon_sym_PERCENT] = ACTIONS(1292),
    [anon_sym_LT_LT] = ACTIONS(1292),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_GT_GT_GT] = ACTIONS(1292),
    [anon_sym_AMP_CARET] = ACTIONS(1292),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_EQ_EQ] = ACTIONS(1290),
    [anon_sym_BANG_EQ] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_BANGin] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_as] = ACTIONS(1292),
    [anon_sym_COMMA] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [sym_none] = ACTIONS(1292),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_map_LBRACK] = ACTIONS(1290),
    [anon_sym_chan] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_thread] = ACTIONS(1292),
    [sym_int_literal] = ACTIONS(1292),
    [sym_float_literal] = ACTIONS(1290),
    [sym_rune_literal] = ACTIONS(1290),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_array] = ACTIONS(1292),
    [anon_sym_string] = ACTIONS(1292),
    [anon_sym_char] = ACTIONS(1292),
    [anon_sym_sql] = ACTIONS(1292),
    [anon_sym_mut] = ACTIONS(1292),
    [anon_sym_C] = ACTIONS(1292),
    [anon_sym_JS] = ACTIONS(1292),
    [anon_sym_voidptr] = ACTIONS(1292),
    [anon_sym_byteptr] = ACTIONS(1292),
    [anon_sym_charptr] = ACTIONS(1292),
    [anon_sym_i8] = ACTIONS(1292),
    [anon_sym_i16] = ACTIONS(1292),
    [anon_sym_i32] = ACTIONS(1292),
    [anon_sym_int] = ACTIONS(1292),
    [anon_sym_i64] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(1292),
    [anon_sym_u8] = ACTIONS(1292),
    [anon_sym_u16] = ACTIONS(1292),
    [anon_sym_u32] = ACTIONS(1292),
    [anon_sym_u64] = ACTIONS(1292),
    [anon_sym_f32] = ACTIONS(1292),
    [anon_sym_f64] = ACTIONS(1292),
    [anon_sym_bool] = ACTIONS(1292),
    [anon_sym_rune] = ACTIONS(1292),
    [anon_sym_map] = ACTIONS(1292),
    [anon_sym_mapnode] = ACTIONS(1292),
    [anon_sym_size_t] = ACTIONS(1292),
    [anon_sym_usize] = ACTIONS(1292),
    [anon_sym_isize] = ACTIONS(1292),
    [anon_sym_float_literal] = ACTIONS(1292),
    [anon_sym_int_literal] = ACTIONS(1292),
    [anon_sym_IError] = ACTIONS(1292),
    [sym_type_placeholder] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [sym_type_identifier] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_COLON_EQ] = ACTIONS(1290),
    [anon_sym_STAR_EQ] = ACTIONS(1290),
    [anon_sym_SLASH_EQ] = ACTIONS(1290),
    [anon_sym_PERCENT_EQ] = ACTIONS(1290),
    [anon_sym_LT_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT_GT_EQ] = ACTIONS(1290),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1290),
    [anon_sym_AMP_EQ] = ACTIONS(1290),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1290),
    [anon_sym_PLUS_EQ] = ACTIONS(1290),
    [anon_sym_DASH_EQ] = ACTIONS(1290),
    [anon_sym_PIPE_EQ] = ACTIONS(1290),
    [anon_sym_CARET_EQ] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_assert] = ACTIONS(1292),
    [anon_sym_defer] = ACTIONS(1292),
    [anon_sym_unsafe] = ACTIONS(1292),
    [anon_sym_pub] = ACTIONS(1292),
    [anon_sym_fn] = ACTIONS(1292),
    [anon_sym___global] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_type] = ACTIONS(1292),
    [anon_sym_go] = ACTIONS(1292),
    [anon_sym_spawn] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_DOLLARfor] = ACTIONS(1290),
    [anon_sym_DOLLARif] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_is] = ACTIONS(1292),
    [anon_sym_BANGis] = ACTIONS(1290),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_interface] = ACTIONS(1292),
    [anon_sym_POUND] = ACTIONS(1290),
    [anon_sym_module] = ACTIONS(1292),
    [anon_sym_import] = ACTIONS(1292),
    [anon_sym_match] = ACTIONS(1292),
    [anon_sym_select] = ACTIONS(1292),
    [anon_sym_lock] = ACTIONS(1292),
    [anon_sym_rlock] = ACTIONS(1292),
    [sym__automatic_separator] = ACTIONS(1290),
    [sym__c_string_opening] = ACTIONS(1290),
    [sym__raw_string_opening] = ACTIONS(1290),
    [sym__string_opening] = ACTIONS(1290),
    [sym__comment] = ACTIONS(3),
  },
  [176] = {
    [sym_comment] = STATE(176),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_CARET] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_LT_DASH] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PERCENT] = ACTIONS(1296),
    [anon_sym_LT_LT] = ACTIONS(1296),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1296),
    [anon_sym_AMP_CARET] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_BANGin] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [sym_none] = ACTIONS(1296),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_map_LBRACK] = ACTIONS(1294),
    [anon_sym_chan] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_thread] = ACTIONS(1296),
    [sym_int_literal] = ACTIONS(1296),
    [sym_float_literal] = ACTIONS(1294),
    [sym_rune_literal] = ACTIONS(1294),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_array] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_char] = ACTIONS(1296),
    [anon_sym_sql] = ACTIONS(1296),
    [anon_sym_mut] = ACTIONS(1296),
    [anon_sym_C] = ACTIONS(1296),
    [anon_sym_JS] = ACTIONS(1296),
    [anon_sym_voidptr] = ACTIONS(1296),
    [anon_sym_byteptr] = ACTIONS(1296),
    [anon_sym_charptr] = ACTIONS(1296),
    [anon_sym_i8] = ACTIONS(1296),
    [anon_sym_i16] = ACTIONS(1296),
    [anon_sym_i32] = ACTIONS(1296),
    [anon_sym_int] = ACTIONS(1296),
    [anon_sym_i64] = ACTIONS(1296),
    [anon_sym_byte] = ACTIONS(1296),
    [anon_sym_u8] = ACTIONS(1296),
    [anon_sym_u16] = ACTIONS(1296),
    [anon_sym_u32] = ACTIONS(1296),
    [anon_sym_u64] = ACTIONS(1296),
    [anon_sym_f32] = ACTIONS(1296),
    [anon_sym_f64] = ACTIONS(1296),
    [anon_sym_bool] = ACTIONS(1296),
    [anon_sym_rune] = ACTIONS(1296),
    [anon_sym_map] = ACTIONS(1296),
    [anon_sym_mapnode] = ACTIONS(1296),
    [anon_sym_size_t] = ACTIONS(1296),
    [anon_sym_usize] = ACTIONS(1296),
    [anon_sym_isize] = ACTIONS(1296),
    [anon_sym_float_literal] = ACTIONS(1296),
    [anon_sym_int_literal] = ACTIONS(1296),
    [anon_sym_IError] = ACTIONS(1296),
    [sym_type_placeholder] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [sym_type_identifier] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_COLON_EQ] = ACTIONS(1294),
    [anon_sym_STAR_EQ] = ACTIONS(1294),
    [anon_sym_SLASH_EQ] = ACTIONS(1294),
    [anon_sym_PERCENT_EQ] = ACTIONS(1294),
    [anon_sym_LT_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT_GT_EQ] = ACTIONS(1294),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1294),
    [anon_sym_AMP_EQ] = ACTIONS(1294),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1294),
    [anon_sym_PLUS_EQ] = ACTIONS(1294),
    [anon_sym_DASH_EQ] = ACTIONS(1294),
    [anon_sym_PIPE_EQ] = ACTIONS(1294),
    [anon_sym_CARET_EQ] = ACTIONS(1294),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_assert] = ACTIONS(1296),
    [anon_sym_defer] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1296),
    [anon_sym_pub] = ACTIONS(1296),
    [anon_sym_fn] = ACTIONS(1296),
    [anon_sym___global] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_go] = ACTIONS(1296),
    [anon_sym_spawn] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_DOLLARfor] = ACTIONS(1294),
    [anon_sym_DOLLARif] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_is] = ACTIONS(1296),
    [anon_sym_BANGis] = ACTIONS(1294),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_interface] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1294),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_import] = ACTIONS(1296),
    [anon_sym_match] = ACTIONS(1296),
    [anon_sym_select] = ACTIONS(1296),
    [anon_sym_lock] = ACTIONS(1296),
    [anon_sym_rlock] = ACTIONS(1296),
    [sym__automatic_separator] = ACTIONS(1294),
    [sym__c_string_opening] = ACTIONS(1294),
    [sym__raw_string_opening] = ACTIONS(1294),
    [sym__string_opening] = ACTIONS(1294),
    [sym__comment] = ACTIONS(3),
  },
  [177] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(177),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4856),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [178] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(178),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4810),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [179] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(179),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4853),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [180] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(180),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4851),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [181] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(181),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4758),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [182] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(182),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4713),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(229),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [183] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(183),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4931),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [184] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(184),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4839),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [185] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(185),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4926),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(192),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [186] = {
    [sym_comment] = STATE(186),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_identifier] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_CARET] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_LT_DASH] = ACTIONS(1316),
    [anon_sym_SLASH] = ACTIONS(1318),
    [anon_sym_PERCENT] = ACTIONS(1318),
    [anon_sym_LT_LT] = ACTIONS(1318),
    [anon_sym_GT_GT] = ACTIONS(1318),
    [anon_sym_GT_GT_GT] = ACTIONS(1318),
    [anon_sym_AMP_CARET] = ACTIONS(1318),
    [anon_sym_PIPE] = ACTIONS(1318),
    [anon_sym_EQ_EQ] = ACTIONS(1316),
    [anon_sym_BANG_EQ] = ACTIONS(1316),
    [anon_sym_LT] = ACTIONS(1318),
    [anon_sym_LT_EQ] = ACTIONS(1316),
    [anon_sym_GT] = ACTIONS(1318),
    [anon_sym_GT_EQ] = ACTIONS(1316),
    [anon_sym_in] = ACTIONS(1318),
    [anon_sym_BANGin] = ACTIONS(1316),
    [anon_sym_AMP_AMP] = ACTIONS(1316),
    [anon_sym_PIPE_PIPE] = ACTIONS(1316),
    [anon_sym_as] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [sym_none] = ACTIONS(1318),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_map_LBRACK] = ACTIONS(1316),
    [anon_sym_chan] = ACTIONS(1318),
    [anon_sym_shared] = ACTIONS(1318),
    [anon_sym_thread] = ACTIONS(1318),
    [sym_int_literal] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1316),
    [sym_rune_literal] = ACTIONS(1316),
    [anon_sym_DOT] = ACTIONS(1318),
    [anon_sym_array] = ACTIONS(1318),
    [anon_sym_string] = ACTIONS(1318),
    [anon_sym_char] = ACTIONS(1318),
    [anon_sym_sql] = ACTIONS(1318),
    [anon_sym_mut] = ACTIONS(1318),
    [anon_sym_C] = ACTIONS(1318),
    [anon_sym_JS] = ACTIONS(1318),
    [anon_sym_voidptr] = ACTIONS(1318),
    [anon_sym_byteptr] = ACTIONS(1318),
    [anon_sym_charptr] = ACTIONS(1318),
    [anon_sym_i8] = ACTIONS(1318),
    [anon_sym_i16] = ACTIONS(1318),
    [anon_sym_i32] = ACTIONS(1318),
    [anon_sym_int] = ACTIONS(1318),
    [anon_sym_i64] = ACTIONS(1318),
    [anon_sym_byte] = ACTIONS(1318),
    [anon_sym_u8] = ACTIONS(1318),
    [anon_sym_u16] = ACTIONS(1318),
    [anon_sym_u32] = ACTIONS(1318),
    [anon_sym_u64] = ACTIONS(1318),
    [anon_sym_f32] = ACTIONS(1318),
    [anon_sym_f64] = ACTIONS(1318),
    [anon_sym_bool] = ACTIONS(1318),
    [anon_sym_rune] = ACTIONS(1318),
    [anon_sym_map] = ACTIONS(1318),
    [anon_sym_mapnode] = ACTIONS(1318),
    [anon_sym_size_t] = ACTIONS(1318),
    [anon_sym_usize] = ACTIONS(1318),
    [anon_sym_isize] = ACTIONS(1318),
    [anon_sym_float_literal] = ACTIONS(1318),
    [anon_sym_int_literal] = ACTIONS(1318),
    [anon_sym_IError] = ACTIONS(1318),
    [sym_type_placeholder] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [sym_type_identifier] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_COLON_EQ] = ACTIONS(1316),
    [anon_sym_STAR_EQ] = ACTIONS(1316),
    [anon_sym_SLASH_EQ] = ACTIONS(1316),
    [anon_sym_PERCENT_EQ] = ACTIONS(1316),
    [anon_sym_LT_LT_EQ] = ACTIONS(1316),
    [anon_sym_GT_GT_EQ] = ACTIONS(1316),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1316),
    [anon_sym_AMP_EQ] = ACTIONS(1316),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1316),
    [anon_sym_PLUS_EQ] = ACTIONS(1316),
    [anon_sym_DASH_EQ] = ACTIONS(1316),
    [anon_sym_PIPE_EQ] = ACTIONS(1316),
    [anon_sym_CARET_EQ] = ACTIONS(1316),
    [anon_sym_EQ] = ACTIONS(1318),
    [anon_sym_assert] = ACTIONS(1318),
    [anon_sym_defer] = ACTIONS(1318),
    [anon_sym_unsafe] = ACTIONS(1318),
    [anon_sym_pub] = ACTIONS(1318),
    [anon_sym_fn] = ACTIONS(1318),
    [anon_sym___global] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_type] = ACTIONS(1318),
    [anon_sym_go] = ACTIONS(1318),
    [anon_sym_spawn] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_DOLLARfor] = ACTIONS(1316),
    [anon_sym_DOLLARif] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_is] = ACTIONS(1318),
    [anon_sym_BANGis] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_interface] = ACTIONS(1318),
    [anon_sym_POUND] = ACTIONS(1316),
    [anon_sym_module] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(1318),
    [anon_sym_match] = ACTIONS(1318),
    [anon_sym_select] = ACTIONS(1318),
    [anon_sym_lock] = ACTIONS(1318),
    [anon_sym_rlock] = ACTIONS(1318),
    [sym__automatic_separator] = ACTIONS(1316),
    [sym__c_string_opening] = ACTIONS(1316),
    [sym__raw_string_opening] = ACTIONS(1316),
    [sym__string_opening] = ACTIONS(1316),
    [sym__comment] = ACTIONS(3),
  },
  [187] = {
    [sym_comment] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_LT_DASH] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1322),
    [anon_sym_PERCENT] = ACTIONS(1322),
    [anon_sym_LT_LT] = ACTIONS(1322),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_GT_GT_GT] = ACTIONS(1322),
    [anon_sym_AMP_CARET] = ACTIONS(1322),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1320),
    [anon_sym_BANG_EQ] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1320),
    [anon_sym_in] = ACTIONS(1322),
    [anon_sym_BANGin] = ACTIONS(1320),
    [anon_sym_AMP_AMP] = ACTIONS(1320),
    [anon_sym_PIPE_PIPE] = ACTIONS(1320),
    [anon_sym_as] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [sym_none] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_map_LBRACK] = ACTIONS(1320),
    [anon_sym_chan] = ACTIONS(1322),
    [anon_sym_shared] = ACTIONS(1322),
    [anon_sym_thread] = ACTIONS(1322),
    [sym_int_literal] = ACTIONS(1322),
    [sym_float_literal] = ACTIONS(1320),
    [sym_rune_literal] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1322),
    [anon_sym_array] = ACTIONS(1322),
    [anon_sym_string] = ACTIONS(1322),
    [anon_sym_char] = ACTIONS(1322),
    [anon_sym_sql] = ACTIONS(1322),
    [anon_sym_mut] = ACTIONS(1322),
    [anon_sym_C] = ACTIONS(1322),
    [anon_sym_JS] = ACTIONS(1322),
    [anon_sym_voidptr] = ACTIONS(1322),
    [anon_sym_byteptr] = ACTIONS(1322),
    [anon_sym_charptr] = ACTIONS(1322),
    [anon_sym_i8] = ACTIONS(1322),
    [anon_sym_i16] = ACTIONS(1322),
    [anon_sym_i32] = ACTIONS(1322),
    [anon_sym_int] = ACTIONS(1322),
    [anon_sym_i64] = ACTIONS(1322),
    [anon_sym_byte] = ACTIONS(1322),
    [anon_sym_u8] = ACTIONS(1322),
    [anon_sym_u16] = ACTIONS(1322),
    [anon_sym_u32] = ACTIONS(1322),
    [anon_sym_u64] = ACTIONS(1322),
    [anon_sym_f32] = ACTIONS(1322),
    [anon_sym_f64] = ACTIONS(1322),
    [anon_sym_bool] = ACTIONS(1322),
    [anon_sym_rune] = ACTIONS(1322),
    [anon_sym_map] = ACTIONS(1322),
    [anon_sym_mapnode] = ACTIONS(1322),
    [anon_sym_size_t] = ACTIONS(1322),
    [anon_sym_usize] = ACTIONS(1322),
    [anon_sym_isize] = ACTIONS(1322),
    [anon_sym_float_literal] = ACTIONS(1322),
    [anon_sym_int_literal] = ACTIONS(1322),
    [anon_sym_IError] = ACTIONS(1322),
    [sym_type_placeholder] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [sym_type_identifier] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_COLON_EQ] = ACTIONS(1320),
    [anon_sym_STAR_EQ] = ACTIONS(1320),
    [anon_sym_SLASH_EQ] = ACTIONS(1320),
    [anon_sym_PERCENT_EQ] = ACTIONS(1320),
    [anon_sym_LT_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_AMP_EQ] = ACTIONS(1320),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1320),
    [anon_sym_DASH_EQ] = ACTIONS(1320),
    [anon_sym_PIPE_EQ] = ACTIONS(1320),
    [anon_sym_CARET_EQ] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1322),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_defer] = ACTIONS(1322),
    [anon_sym_unsafe] = ACTIONS(1322),
    [anon_sym_pub] = ACTIONS(1322),
    [anon_sym_fn] = ACTIONS(1322),
    [anon_sym___global] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_type] = ACTIONS(1322),
    [anon_sym_go] = ACTIONS(1322),
    [anon_sym_spawn] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_DOLLARfor] = ACTIONS(1320),
    [anon_sym_DOLLARif] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_is] = ACTIONS(1322),
    [anon_sym_BANGis] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_interface] = ACTIONS(1322),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_module] = ACTIONS(1322),
    [anon_sym_import] = ACTIONS(1322),
    [anon_sym_match] = ACTIONS(1322),
    [anon_sym_select] = ACTIONS(1322),
    [anon_sym_lock] = ACTIONS(1322),
    [anon_sym_rlock] = ACTIONS(1322),
    [sym__automatic_separator] = ACTIONS(1320),
    [sym__c_string_opening] = ACTIONS(1320),
    [sym__raw_string_opening] = ACTIONS(1320),
    [sym__string_opening] = ACTIONS(1320),
    [sym__comment] = ACTIONS(3),
  },
  [188] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(188),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4701),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [189] = {
    [sym_comment] = STATE(189),
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_LT_DASH] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1328),
    [anon_sym_PERCENT] = ACTIONS(1328),
    [anon_sym_LT_LT] = ACTIONS(1328),
    [anon_sym_GT_GT] = ACTIONS(1328),
    [anon_sym_GT_GT_GT] = ACTIONS(1328),
    [anon_sym_AMP_CARET] = ACTIONS(1328),
    [anon_sym_PIPE] = ACTIONS(1328),
    [anon_sym_EQ_EQ] = ACTIONS(1326),
    [anon_sym_BANG_EQ] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1328),
    [anon_sym_LT_EQ] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1328),
    [anon_sym_GT_EQ] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_BANGin] = ACTIONS(1326),
    [anon_sym_AMP_AMP] = ACTIONS(1326),
    [anon_sym_PIPE_PIPE] = ACTIONS(1326),
    [anon_sym_as] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [sym_none] = ACTIONS(1328),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_map_LBRACK] = ACTIONS(1326),
    [anon_sym_chan] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_thread] = ACTIONS(1328),
    [sym_int_literal] = ACTIONS(1328),
    [sym_float_literal] = ACTIONS(1326),
    [sym_rune_literal] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1328),
    [anon_sym_array] = ACTIONS(1328),
    [anon_sym_string] = ACTIONS(1328),
    [anon_sym_char] = ACTIONS(1328),
    [anon_sym_sql] = ACTIONS(1328),
    [anon_sym_mut] = ACTIONS(1328),
    [anon_sym_C] = ACTIONS(1328),
    [anon_sym_JS] = ACTIONS(1328),
    [anon_sym_voidptr] = ACTIONS(1328),
    [anon_sym_byteptr] = ACTIONS(1328),
    [anon_sym_charptr] = ACTIONS(1328),
    [anon_sym_i8] = ACTIONS(1328),
    [anon_sym_i16] = ACTIONS(1328),
    [anon_sym_i32] = ACTIONS(1328),
    [anon_sym_int] = ACTIONS(1328),
    [anon_sym_i64] = ACTIONS(1328),
    [anon_sym_byte] = ACTIONS(1328),
    [anon_sym_u8] = ACTIONS(1328),
    [anon_sym_u16] = ACTIONS(1328),
    [anon_sym_u32] = ACTIONS(1328),
    [anon_sym_u64] = ACTIONS(1328),
    [anon_sym_f32] = ACTIONS(1328),
    [anon_sym_f64] = ACTIONS(1328),
    [anon_sym_bool] = ACTIONS(1328),
    [anon_sym_rune] = ACTIONS(1328),
    [anon_sym_map] = ACTIONS(1328),
    [anon_sym_mapnode] = ACTIONS(1328),
    [anon_sym_size_t] = ACTIONS(1328),
    [anon_sym_usize] = ACTIONS(1328),
    [anon_sym_isize] = ACTIONS(1328),
    [anon_sym_float_literal] = ACTIONS(1328),
    [anon_sym_int_literal] = ACTIONS(1328),
    [anon_sym_IError] = ACTIONS(1328),
    [sym_type_placeholder] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [sym_type_identifier] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_COLON_EQ] = ACTIONS(1326),
    [anon_sym_STAR_EQ] = ACTIONS(1326),
    [anon_sym_SLASH_EQ] = ACTIONS(1326),
    [anon_sym_PERCENT_EQ] = ACTIONS(1326),
    [anon_sym_LT_LT_EQ] = ACTIONS(1326),
    [anon_sym_GT_GT_EQ] = ACTIONS(1326),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1326),
    [anon_sym_AMP_EQ] = ACTIONS(1326),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1326),
    [anon_sym_PLUS_EQ] = ACTIONS(1326),
    [anon_sym_DASH_EQ] = ACTIONS(1326),
    [anon_sym_PIPE_EQ] = ACTIONS(1326),
    [anon_sym_CARET_EQ] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(1328),
    [anon_sym_assert] = ACTIONS(1328),
    [anon_sym_defer] = ACTIONS(1328),
    [anon_sym_unsafe] = ACTIONS(1328),
    [anon_sym_pub] = ACTIONS(1328),
    [anon_sym_fn] = ACTIONS(1328),
    [anon_sym___global] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_type] = ACTIONS(1328),
    [anon_sym_go] = ACTIONS(1328),
    [anon_sym_spawn] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_DOLLARfor] = ACTIONS(1326),
    [anon_sym_DOLLARif] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_is] = ACTIONS(1328),
    [anon_sym_BANGis] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_interface] = ACTIONS(1328),
    [anon_sym_POUND] = ACTIONS(1326),
    [anon_sym_module] = ACTIONS(1328),
    [anon_sym_import] = ACTIONS(1328),
    [anon_sym_match] = ACTIONS(1328),
    [anon_sym_select] = ACTIONS(1328),
    [anon_sym_lock] = ACTIONS(1328),
    [anon_sym_rlock] = ACTIONS(1328),
    [sym__automatic_separator] = ACTIONS(1326),
    [sym__c_string_opening] = ACTIONS(1326),
    [sym__raw_string_opening] = ACTIONS(1326),
    [sym__string_opening] = ACTIONS(1326),
    [sym__comment] = ACTIONS(3),
  },
  [190] = {
    [sym_comment] = STATE(190),
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_CARET] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_LT_DASH] = ACTIONS(1330),
    [anon_sym_SLASH] = ACTIONS(1332),
    [anon_sym_PERCENT] = ACTIONS(1332),
    [anon_sym_LT_LT] = ACTIONS(1332),
    [anon_sym_GT_GT] = ACTIONS(1332),
    [anon_sym_GT_GT_GT] = ACTIONS(1332),
    [anon_sym_AMP_CARET] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1332),
    [anon_sym_EQ_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT] = ACTIONS(1332),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_GT] = ACTIONS(1332),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_BANGin] = ACTIONS(1330),
    [anon_sym_AMP_AMP] = ACTIONS(1330),
    [anon_sym_PIPE_PIPE] = ACTIONS(1330),
    [anon_sym_as] = ACTIONS(1332),
    [anon_sym_COMMA] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [sym_none] = ACTIONS(1332),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_map_LBRACK] = ACTIONS(1330),
    [anon_sym_chan] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_thread] = ACTIONS(1332),
    [sym_int_literal] = ACTIONS(1332),
    [sym_float_literal] = ACTIONS(1330),
    [sym_rune_literal] = ACTIONS(1330),
    [anon_sym_DOT] = ACTIONS(1332),
    [anon_sym_array] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_char] = ACTIONS(1332),
    [anon_sym_sql] = ACTIONS(1332),
    [anon_sym_mut] = ACTIONS(1332),
    [anon_sym_C] = ACTIONS(1332),
    [anon_sym_JS] = ACTIONS(1332),
    [anon_sym_voidptr] = ACTIONS(1332),
    [anon_sym_byteptr] = ACTIONS(1332),
    [anon_sym_charptr] = ACTIONS(1332),
    [anon_sym_i8] = ACTIONS(1332),
    [anon_sym_i16] = ACTIONS(1332),
    [anon_sym_i32] = ACTIONS(1332),
    [anon_sym_int] = ACTIONS(1332),
    [anon_sym_i64] = ACTIONS(1332),
    [anon_sym_byte] = ACTIONS(1332),
    [anon_sym_u8] = ACTIONS(1332),
    [anon_sym_u16] = ACTIONS(1332),
    [anon_sym_u32] = ACTIONS(1332),
    [anon_sym_u64] = ACTIONS(1332),
    [anon_sym_f32] = ACTIONS(1332),
    [anon_sym_f64] = ACTIONS(1332),
    [anon_sym_bool] = ACTIONS(1332),
    [anon_sym_rune] = ACTIONS(1332),
    [anon_sym_map] = ACTIONS(1332),
    [anon_sym_mapnode] = ACTIONS(1332),
    [anon_sym_size_t] = ACTIONS(1332),
    [anon_sym_usize] = ACTIONS(1332),
    [anon_sym_isize] = ACTIONS(1332),
    [anon_sym_float_literal] = ACTIONS(1332),
    [anon_sym_int_literal] = ACTIONS(1332),
    [anon_sym_IError] = ACTIONS(1332),
    [sym_type_placeholder] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [sym_type_identifier] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_COLON_EQ] = ACTIONS(1330),
    [anon_sym_STAR_EQ] = ACTIONS(1330),
    [anon_sym_SLASH_EQ] = ACTIONS(1330),
    [anon_sym_PERCENT_EQ] = ACTIONS(1330),
    [anon_sym_LT_LT_EQ] = ACTIONS(1330),
    [anon_sym_GT_GT_EQ] = ACTIONS(1330),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1330),
    [anon_sym_AMP_EQ] = ACTIONS(1330),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1330),
    [anon_sym_PLUS_EQ] = ACTIONS(1330),
    [anon_sym_DASH_EQ] = ACTIONS(1330),
    [anon_sym_PIPE_EQ] = ACTIONS(1330),
    [anon_sym_CARET_EQ] = ACTIONS(1330),
    [anon_sym_EQ] = ACTIONS(1332),
    [anon_sym_assert] = ACTIONS(1332),
    [anon_sym_defer] = ACTIONS(1332),
    [anon_sym_unsafe] = ACTIONS(1332),
    [anon_sym_pub] = ACTIONS(1332),
    [anon_sym_fn] = ACTIONS(1332),
    [anon_sym___global] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_go] = ACTIONS(1332),
    [anon_sym_spawn] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_DOLLARfor] = ACTIONS(1330),
    [anon_sym_DOLLARif] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_is] = ACTIONS(1332),
    [anon_sym_BANGis] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_interface] = ACTIONS(1332),
    [anon_sym_POUND] = ACTIONS(1330),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_import] = ACTIONS(1332),
    [anon_sym_match] = ACTIONS(1332),
    [anon_sym_select] = ACTIONS(1332),
    [anon_sym_lock] = ACTIONS(1332),
    [anon_sym_rlock] = ACTIONS(1332),
    [sym__automatic_separator] = ACTIONS(1330),
    [sym__c_string_opening] = ACTIONS(1330),
    [sym__raw_string_opening] = ACTIONS(1330),
    [sym__string_opening] = ACTIONS(1330),
    [sym__comment] = ACTIONS(3),
  },
  [191] = {
    [sym_comment] = STATE(191),
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_identifier] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_LT_DASH] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1336),
    [anon_sym_PERCENT] = ACTIONS(1336),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_GT_GT_GT] = ACTIONS(1336),
    [anon_sym_AMP_CARET] = ACTIONS(1336),
    [anon_sym_PIPE] = ACTIONS(1336),
    [anon_sym_EQ_EQ] = ACTIONS(1334),
    [anon_sym_BANG_EQ] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1336),
    [anon_sym_LT_EQ] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1336),
    [anon_sym_GT_EQ] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_BANGin] = ACTIONS(1334),
    [anon_sym_AMP_AMP] = ACTIONS(1334),
    [anon_sym_PIPE_PIPE] = ACTIONS(1334),
    [anon_sym_as] = ACTIONS(1336),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [sym_none] = ACTIONS(1336),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_map_LBRACK] = ACTIONS(1334),
    [anon_sym_chan] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_thread] = ACTIONS(1336),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1336),
    [anon_sym_array] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_char] = ACTIONS(1336),
    [anon_sym_sql] = ACTIONS(1336),
    [anon_sym_mut] = ACTIONS(1336),
    [anon_sym_C] = ACTIONS(1336),
    [anon_sym_JS] = ACTIONS(1336),
    [anon_sym_voidptr] = ACTIONS(1336),
    [anon_sym_byteptr] = ACTIONS(1336),
    [anon_sym_charptr] = ACTIONS(1336),
    [anon_sym_i8] = ACTIONS(1336),
    [anon_sym_i16] = ACTIONS(1336),
    [anon_sym_i32] = ACTIONS(1336),
    [anon_sym_int] = ACTIONS(1336),
    [anon_sym_i64] = ACTIONS(1336),
    [anon_sym_byte] = ACTIONS(1336),
    [anon_sym_u8] = ACTIONS(1336),
    [anon_sym_u16] = ACTIONS(1336),
    [anon_sym_u32] = ACTIONS(1336),
    [anon_sym_u64] = ACTIONS(1336),
    [anon_sym_f32] = ACTIONS(1336),
    [anon_sym_f64] = ACTIONS(1336),
    [anon_sym_bool] = ACTIONS(1336),
    [anon_sym_rune] = ACTIONS(1336),
    [anon_sym_map] = ACTIONS(1336),
    [anon_sym_mapnode] = ACTIONS(1336),
    [anon_sym_size_t] = ACTIONS(1336),
    [anon_sym_usize] = ACTIONS(1336),
    [anon_sym_isize] = ACTIONS(1336),
    [anon_sym_float_literal] = ACTIONS(1336),
    [anon_sym_int_literal] = ACTIONS(1336),
    [anon_sym_IError] = ACTIONS(1336),
    [sym_type_placeholder] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [sym_type_identifier] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_COLON_EQ] = ACTIONS(1334),
    [anon_sym_STAR_EQ] = ACTIONS(1334),
    [anon_sym_SLASH_EQ] = ACTIONS(1334),
    [anon_sym_PERCENT_EQ] = ACTIONS(1334),
    [anon_sym_LT_LT_EQ] = ACTIONS(1334),
    [anon_sym_GT_GT_EQ] = ACTIONS(1334),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1334),
    [anon_sym_AMP_EQ] = ACTIONS(1334),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1334),
    [anon_sym_PLUS_EQ] = ACTIONS(1334),
    [anon_sym_DASH_EQ] = ACTIONS(1334),
    [anon_sym_PIPE_EQ] = ACTIONS(1334),
    [anon_sym_CARET_EQ] = ACTIONS(1334),
    [anon_sym_EQ] = ACTIONS(1336),
    [anon_sym_assert] = ACTIONS(1336),
    [anon_sym_defer] = ACTIONS(1336),
    [anon_sym_unsafe] = ACTIONS(1336),
    [anon_sym_pub] = ACTIONS(1336),
    [anon_sym_fn] = ACTIONS(1336),
    [anon_sym___global] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_go] = ACTIONS(1336),
    [anon_sym_spawn] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_DOLLARfor] = ACTIONS(1334),
    [anon_sym_DOLLARif] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_is] = ACTIONS(1336),
    [anon_sym_BANGis] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_interface] = ACTIONS(1336),
    [anon_sym_POUND] = ACTIONS(1334),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(1336),
    [anon_sym_match] = ACTIONS(1336),
    [anon_sym_select] = ACTIONS(1336),
    [anon_sym_lock] = ACTIONS(1336),
    [anon_sym_rlock] = ACTIONS(1336),
    [sym__automatic_separator] = ACTIONS(1334),
    [sym__c_string_opening] = ACTIONS(1334),
    [sym__raw_string_opening] = ACTIONS(1334),
    [sym__string_opening] = ACTIONS(1334),
    [sym__comment] = ACTIONS(3),
  },
  [192] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(192),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4921),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [193] = {
    [sym_comment] = STATE(193),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_identifier] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_LT_DASH] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PERCENT] = ACTIONS(1342),
    [anon_sym_LT_LT] = ACTIONS(1342),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_GT_GT_GT] = ACTIONS(1342),
    [anon_sym_AMP_CARET] = ACTIONS(1342),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_in] = ACTIONS(1342),
    [anon_sym_BANGin] = ACTIONS(1340),
    [anon_sym_AMP_AMP] = ACTIONS(1340),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_as] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [sym_none] = ACTIONS(1342),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_map_LBRACK] = ACTIONS(1340),
    [anon_sym_chan] = ACTIONS(1342),
    [anon_sym_shared] = ACTIONS(1342),
    [anon_sym_thread] = ACTIONS(1342),
    [sym_int_literal] = ACTIONS(1342),
    [sym_float_literal] = ACTIONS(1340),
    [sym_rune_literal] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_array] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_char] = ACTIONS(1342),
    [anon_sym_sql] = ACTIONS(1342),
    [anon_sym_mut] = ACTIONS(1342),
    [anon_sym_C] = ACTIONS(1342),
    [anon_sym_JS] = ACTIONS(1342),
    [anon_sym_voidptr] = ACTIONS(1342),
    [anon_sym_byteptr] = ACTIONS(1342),
    [anon_sym_charptr] = ACTIONS(1342),
    [anon_sym_i8] = ACTIONS(1342),
    [anon_sym_i16] = ACTIONS(1342),
    [anon_sym_i32] = ACTIONS(1342),
    [anon_sym_int] = ACTIONS(1342),
    [anon_sym_i64] = ACTIONS(1342),
    [anon_sym_byte] = ACTIONS(1342),
    [anon_sym_u8] = ACTIONS(1342),
    [anon_sym_u16] = ACTIONS(1342),
    [anon_sym_u32] = ACTIONS(1342),
    [anon_sym_u64] = ACTIONS(1342),
    [anon_sym_f32] = ACTIONS(1342),
    [anon_sym_f64] = ACTIONS(1342),
    [anon_sym_bool] = ACTIONS(1342),
    [anon_sym_rune] = ACTIONS(1342),
    [anon_sym_map] = ACTIONS(1342),
    [anon_sym_mapnode] = ACTIONS(1342),
    [anon_sym_size_t] = ACTIONS(1342),
    [anon_sym_usize] = ACTIONS(1342),
    [anon_sym_isize] = ACTIONS(1342),
    [anon_sym_float_literal] = ACTIONS(1342),
    [anon_sym_int_literal] = ACTIONS(1342),
    [anon_sym_IError] = ACTIONS(1342),
    [sym_type_placeholder] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [sym_type_identifier] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_COLON_EQ] = ACTIONS(1340),
    [anon_sym_STAR_EQ] = ACTIONS(1340),
    [anon_sym_SLASH_EQ] = ACTIONS(1340),
    [anon_sym_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_EQ] = ACTIONS(1340),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_EQ] = ACTIONS(1340),
    [anon_sym_DASH_EQ] = ACTIONS(1340),
    [anon_sym_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_CARET_EQ] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1342),
    [anon_sym_assert] = ACTIONS(1342),
    [anon_sym_defer] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1342),
    [anon_sym_pub] = ACTIONS(1342),
    [anon_sym_fn] = ACTIONS(1342),
    [anon_sym___global] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_type] = ACTIONS(1342),
    [anon_sym_go] = ACTIONS(1342),
    [anon_sym_spawn] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_DOLLARfor] = ACTIONS(1340),
    [anon_sym_DOLLARif] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_is] = ACTIONS(1342),
    [anon_sym_BANGis] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_interface] = ACTIONS(1342),
    [anon_sym_POUND] = ACTIONS(1340),
    [anon_sym_module] = ACTIONS(1342),
    [anon_sym_import] = ACTIONS(1342),
    [anon_sym_match] = ACTIONS(1342),
    [anon_sym_select] = ACTIONS(1342),
    [anon_sym_lock] = ACTIONS(1342),
    [anon_sym_rlock] = ACTIONS(1342),
    [sym__automatic_separator] = ACTIONS(1340),
    [sym__c_string_opening] = ACTIONS(1340),
    [sym__raw_string_opening] = ACTIONS(1340),
    [sym__string_opening] = ACTIONS(1340),
    [sym__comment] = ACTIONS(3),
  },
  [194] = {
    [sym_comment] = STATE(194),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [195] = {
    [sym_comment] = STATE(195),
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_COLON_EQ] = ACTIONS(1102),
    [anon_sym_STAR_EQ] = ACTIONS(1102),
    [anon_sym_SLASH_EQ] = ACTIONS(1102),
    [anon_sym_PERCENT_EQ] = ACTIONS(1102),
    [anon_sym_LT_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_AMP_EQ] = ACTIONS(1102),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1102),
    [anon_sym_PLUS_EQ] = ACTIONS(1102),
    [anon_sym_DASH_EQ] = ACTIONS(1102),
    [anon_sym_PIPE_EQ] = ACTIONS(1102),
    [anon_sym_CARET_EQ] = ACTIONS(1102),
    [anon_sym_EQ] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_pub] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym___global] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_type] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_struct] = ACTIONS(1104),
    [anon_sym_union] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [196] = {
    [sym_comment] = STATE(196),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_identifier] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_LT_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1346),
    [anon_sym_PERCENT] = ACTIONS(1346),
    [anon_sym_LT_LT] = ACTIONS(1346),
    [anon_sym_GT_GT] = ACTIONS(1346),
    [anon_sym_GT_GT_GT] = ACTIONS(1346),
    [anon_sym_AMP_CARET] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_EQ_EQ] = ACTIONS(1344),
    [anon_sym_BANG_EQ] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1346),
    [anon_sym_LT_EQ] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1346),
    [anon_sym_GT_EQ] = ACTIONS(1344),
    [anon_sym_in] = ACTIONS(1346),
    [anon_sym_BANGin] = ACTIONS(1344),
    [anon_sym_AMP_AMP] = ACTIONS(1344),
    [anon_sym_PIPE_PIPE] = ACTIONS(1344),
    [anon_sym_as] = ACTIONS(1346),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [sym_none] = ACTIONS(1346),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_map_LBRACK] = ACTIONS(1344),
    [anon_sym_chan] = ACTIONS(1346),
    [anon_sym_shared] = ACTIONS(1346),
    [anon_sym_thread] = ACTIONS(1346),
    [sym_int_literal] = ACTIONS(1346),
    [sym_float_literal] = ACTIONS(1344),
    [sym_rune_literal] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1346),
    [anon_sym_array] = ACTIONS(1346),
    [anon_sym_string] = ACTIONS(1346),
    [anon_sym_char] = ACTIONS(1346),
    [anon_sym_sql] = ACTIONS(1346),
    [anon_sym_mut] = ACTIONS(1346),
    [anon_sym_C] = ACTIONS(1346),
    [anon_sym_JS] = ACTIONS(1346),
    [anon_sym_voidptr] = ACTIONS(1346),
    [anon_sym_byteptr] = ACTIONS(1346),
    [anon_sym_charptr] = ACTIONS(1346),
    [anon_sym_i8] = ACTIONS(1346),
    [anon_sym_i16] = ACTIONS(1346),
    [anon_sym_i32] = ACTIONS(1346),
    [anon_sym_int] = ACTIONS(1346),
    [anon_sym_i64] = ACTIONS(1346),
    [anon_sym_byte] = ACTIONS(1346),
    [anon_sym_u8] = ACTIONS(1346),
    [anon_sym_u16] = ACTIONS(1346),
    [anon_sym_u32] = ACTIONS(1346),
    [anon_sym_u64] = ACTIONS(1346),
    [anon_sym_f32] = ACTIONS(1346),
    [anon_sym_f64] = ACTIONS(1346),
    [anon_sym_bool] = ACTIONS(1346),
    [anon_sym_rune] = ACTIONS(1346),
    [anon_sym_map] = ACTIONS(1346),
    [anon_sym_mapnode] = ACTIONS(1346),
    [anon_sym_size_t] = ACTIONS(1346),
    [anon_sym_usize] = ACTIONS(1346),
    [anon_sym_isize] = ACTIONS(1346),
    [anon_sym_float_literal] = ACTIONS(1346),
    [anon_sym_int_literal] = ACTIONS(1346),
    [anon_sym_IError] = ACTIONS(1346),
    [sym_type_placeholder] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [sym_type_identifier] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_COLON_EQ] = ACTIONS(1344),
    [anon_sym_STAR_EQ] = ACTIONS(1344),
    [anon_sym_SLASH_EQ] = ACTIONS(1344),
    [anon_sym_PERCENT_EQ] = ACTIONS(1344),
    [anon_sym_LT_LT_EQ] = ACTIONS(1344),
    [anon_sym_GT_GT_EQ] = ACTIONS(1344),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1344),
    [anon_sym_AMP_EQ] = ACTIONS(1344),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(1344),
    [anon_sym_DASH_EQ] = ACTIONS(1344),
    [anon_sym_PIPE_EQ] = ACTIONS(1344),
    [anon_sym_CARET_EQ] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1346),
    [anon_sym_assert] = ACTIONS(1346),
    [anon_sym_defer] = ACTIONS(1346),
    [anon_sym_unsafe] = ACTIONS(1346),
    [anon_sym_pub] = ACTIONS(1346),
    [anon_sym_fn] = ACTIONS(1346),
    [anon_sym___global] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_type] = ACTIONS(1346),
    [anon_sym_go] = ACTIONS(1346),
    [anon_sym_spawn] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_DOLLARfor] = ACTIONS(1344),
    [anon_sym_DOLLARif] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_is] = ACTIONS(1346),
    [anon_sym_BANGis] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_interface] = ACTIONS(1346),
    [anon_sym_POUND] = ACTIONS(1344),
    [anon_sym_module] = ACTIONS(1346),
    [anon_sym_import] = ACTIONS(1346),
    [anon_sym_match] = ACTIONS(1346),
    [anon_sym_select] = ACTIONS(1346),
    [anon_sym_lock] = ACTIONS(1346),
    [anon_sym_rlock] = ACTIONS(1346),
    [sym__automatic_separator] = ACTIONS(1344),
    [sym__c_string_opening] = ACTIONS(1344),
    [sym__raw_string_opening] = ACTIONS(1344),
    [sym__string_opening] = ACTIONS(1344),
    [sym__comment] = ACTIONS(3),
  },
  [197] = {
    [sym_comment] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_LT_DASH] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1350),
    [anon_sym_PERCENT] = ACTIONS(1350),
    [anon_sym_LT_LT] = ACTIONS(1350),
    [anon_sym_GT_GT] = ACTIONS(1350),
    [anon_sym_GT_GT_GT] = ACTIONS(1350),
    [anon_sym_AMP_CARET] = ACTIONS(1350),
    [anon_sym_PIPE] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1348),
    [anon_sym_BANG_EQ] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1348),
    [anon_sym_in] = ACTIONS(1350),
    [anon_sym_BANGin] = ACTIONS(1348),
    [anon_sym_AMP_AMP] = ACTIONS(1348),
    [anon_sym_PIPE_PIPE] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [sym_none] = ACTIONS(1350),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_map_LBRACK] = ACTIONS(1348),
    [anon_sym_chan] = ACTIONS(1350),
    [anon_sym_shared] = ACTIONS(1350),
    [anon_sym_thread] = ACTIONS(1350),
    [sym_int_literal] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1348),
    [sym_rune_literal] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_array] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_char] = ACTIONS(1350),
    [anon_sym_sql] = ACTIONS(1350),
    [anon_sym_mut] = ACTIONS(1350),
    [anon_sym_C] = ACTIONS(1350),
    [anon_sym_JS] = ACTIONS(1350),
    [anon_sym_voidptr] = ACTIONS(1350),
    [anon_sym_byteptr] = ACTIONS(1350),
    [anon_sym_charptr] = ACTIONS(1350),
    [anon_sym_i8] = ACTIONS(1350),
    [anon_sym_i16] = ACTIONS(1350),
    [anon_sym_i32] = ACTIONS(1350),
    [anon_sym_int] = ACTIONS(1350),
    [anon_sym_i64] = ACTIONS(1350),
    [anon_sym_byte] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1350),
    [anon_sym_u16] = ACTIONS(1350),
    [anon_sym_u32] = ACTIONS(1350),
    [anon_sym_u64] = ACTIONS(1350),
    [anon_sym_f32] = ACTIONS(1350),
    [anon_sym_f64] = ACTIONS(1350),
    [anon_sym_bool] = ACTIONS(1350),
    [anon_sym_rune] = ACTIONS(1350),
    [anon_sym_map] = ACTIONS(1350),
    [anon_sym_mapnode] = ACTIONS(1350),
    [anon_sym_size_t] = ACTIONS(1350),
    [anon_sym_usize] = ACTIONS(1350),
    [anon_sym_isize] = ACTIONS(1350),
    [anon_sym_float_literal] = ACTIONS(1350),
    [anon_sym_int_literal] = ACTIONS(1350),
    [anon_sym_IError] = ACTIONS(1350),
    [sym_type_placeholder] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [sym_type_identifier] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_COLON_EQ] = ACTIONS(1348),
    [anon_sym_STAR_EQ] = ACTIONS(1348),
    [anon_sym_SLASH_EQ] = ACTIONS(1348),
    [anon_sym_PERCENT_EQ] = ACTIONS(1348),
    [anon_sym_LT_LT_EQ] = ACTIONS(1348),
    [anon_sym_GT_GT_EQ] = ACTIONS(1348),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1348),
    [anon_sym_AMP_EQ] = ACTIONS(1348),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1348),
    [anon_sym_PLUS_EQ] = ACTIONS(1348),
    [anon_sym_DASH_EQ] = ACTIONS(1348),
    [anon_sym_PIPE_EQ] = ACTIONS(1348),
    [anon_sym_CARET_EQ] = ACTIONS(1348),
    [anon_sym_EQ] = ACTIONS(1350),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_defer] = ACTIONS(1350),
    [anon_sym_unsafe] = ACTIONS(1350),
    [anon_sym_pub] = ACTIONS(1350),
    [anon_sym_fn] = ACTIONS(1350),
    [anon_sym___global] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_go] = ACTIONS(1350),
    [anon_sym_spawn] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_DOLLARfor] = ACTIONS(1348),
    [anon_sym_DOLLARif] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_is] = ACTIONS(1350),
    [anon_sym_BANGis] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_interface] = ACTIONS(1350),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_import] = ACTIONS(1350),
    [anon_sym_match] = ACTIONS(1350),
    [anon_sym_select] = ACTIONS(1350),
    [anon_sym_lock] = ACTIONS(1350),
    [anon_sym_rlock] = ACTIONS(1350),
    [sym__automatic_separator] = ACTIONS(1348),
    [sym__c_string_opening] = ACTIONS(1348),
    [sym__raw_string_opening] = ACTIONS(1348),
    [sym__string_opening] = ACTIONS(1348),
    [sym__comment] = ACTIONS(3),
  },
  [198] = {
    [sym_comment] = STATE(198),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_identifier] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_LT_DASH] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_GT_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_BANGin] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_none] = ACTIONS(1354),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_map_LBRACK] = ACTIONS(1352),
    [anon_sym_chan] = ACTIONS(1354),
    [anon_sym_shared] = ACTIONS(1354),
    [anon_sym_thread] = ACTIONS(1354),
    [sym_int_literal] = ACTIONS(1354),
    [sym_float_literal] = ACTIONS(1352),
    [sym_rune_literal] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1354),
    [anon_sym_array] = ACTIONS(1354),
    [anon_sym_string] = ACTIONS(1354),
    [anon_sym_char] = ACTIONS(1354),
    [anon_sym_sql] = ACTIONS(1354),
    [anon_sym_mut] = ACTIONS(1354),
    [anon_sym_C] = ACTIONS(1354),
    [anon_sym_JS] = ACTIONS(1354),
    [anon_sym_voidptr] = ACTIONS(1354),
    [anon_sym_byteptr] = ACTIONS(1354),
    [anon_sym_charptr] = ACTIONS(1354),
    [anon_sym_i8] = ACTIONS(1354),
    [anon_sym_i16] = ACTIONS(1354),
    [anon_sym_i32] = ACTIONS(1354),
    [anon_sym_int] = ACTIONS(1354),
    [anon_sym_i64] = ACTIONS(1354),
    [anon_sym_byte] = ACTIONS(1354),
    [anon_sym_u8] = ACTIONS(1354),
    [anon_sym_u16] = ACTIONS(1354),
    [anon_sym_u32] = ACTIONS(1354),
    [anon_sym_u64] = ACTIONS(1354),
    [anon_sym_f32] = ACTIONS(1354),
    [anon_sym_f64] = ACTIONS(1354),
    [anon_sym_bool] = ACTIONS(1354),
    [anon_sym_rune] = ACTIONS(1354),
    [anon_sym_map] = ACTIONS(1354),
    [anon_sym_mapnode] = ACTIONS(1354),
    [anon_sym_size_t] = ACTIONS(1354),
    [anon_sym_usize] = ACTIONS(1354),
    [anon_sym_isize] = ACTIONS(1354),
    [anon_sym_float_literal] = ACTIONS(1354),
    [anon_sym_int_literal] = ACTIONS(1354),
    [anon_sym_IError] = ACTIONS(1354),
    [sym_type_placeholder] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [sym_type_identifier] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_COLON_EQ] = ACTIONS(1352),
    [anon_sym_STAR_EQ] = ACTIONS(1352),
    [anon_sym_SLASH_EQ] = ACTIONS(1352),
    [anon_sym_PERCENT_EQ] = ACTIONS(1352),
    [anon_sym_LT_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT_GT_EQ] = ACTIONS(1352),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1352),
    [anon_sym_AMP_EQ] = ACTIONS(1352),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(1352),
    [anon_sym_DASH_EQ] = ACTIONS(1352),
    [anon_sym_PIPE_EQ] = ACTIONS(1352),
    [anon_sym_CARET_EQ] = ACTIONS(1352),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_assert] = ACTIONS(1354),
    [anon_sym_defer] = ACTIONS(1354),
    [anon_sym_unsafe] = ACTIONS(1354),
    [anon_sym_pub] = ACTIONS(1354),
    [anon_sym_fn] = ACTIONS(1354),
    [anon_sym___global] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_type] = ACTIONS(1354),
    [anon_sym_go] = ACTIONS(1354),
    [anon_sym_spawn] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_DOLLARfor] = ACTIONS(1352),
    [anon_sym_DOLLARif] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_is] = ACTIONS(1354),
    [anon_sym_BANGis] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_interface] = ACTIONS(1354),
    [anon_sym_POUND] = ACTIONS(1352),
    [anon_sym_module] = ACTIONS(1354),
    [anon_sym_import] = ACTIONS(1354),
    [anon_sym_match] = ACTIONS(1354),
    [anon_sym_select] = ACTIONS(1354),
    [anon_sym_lock] = ACTIONS(1354),
    [anon_sym_rlock] = ACTIONS(1354),
    [sym__automatic_separator] = ACTIONS(1352),
    [sym__c_string_opening] = ACTIONS(1352),
    [sym__raw_string_opening] = ACTIONS(1352),
    [sym__string_opening] = ACTIONS(1352),
    [sym__comment] = ACTIONS(3),
  },
  [199] = {
    [sym_comment] = STATE(199),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_CARET] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_LT_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1358),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_GT_GT_GT] = ACTIONS(1358),
    [anon_sym_AMP_CARET] = ACTIONS(1358),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_in] = ACTIONS(1358),
    [anon_sym_BANGin] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [sym_none] = ACTIONS(1358),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_map_LBRACK] = ACTIONS(1356),
    [anon_sym_chan] = ACTIONS(1358),
    [anon_sym_shared] = ACTIONS(1358),
    [anon_sym_thread] = ACTIONS(1358),
    [sym_int_literal] = ACTIONS(1358),
    [sym_float_literal] = ACTIONS(1356),
    [sym_rune_literal] = ACTIONS(1356),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_array] = ACTIONS(1358),
    [anon_sym_string] = ACTIONS(1358),
    [anon_sym_char] = ACTIONS(1358),
    [anon_sym_sql] = ACTIONS(1358),
    [anon_sym_mut] = ACTIONS(1358),
    [anon_sym_C] = ACTIONS(1358),
    [anon_sym_JS] = ACTIONS(1358),
    [anon_sym_voidptr] = ACTIONS(1358),
    [anon_sym_byteptr] = ACTIONS(1358),
    [anon_sym_charptr] = ACTIONS(1358),
    [anon_sym_i8] = ACTIONS(1358),
    [anon_sym_i16] = ACTIONS(1358),
    [anon_sym_i32] = ACTIONS(1358),
    [anon_sym_int] = ACTIONS(1358),
    [anon_sym_i64] = ACTIONS(1358),
    [anon_sym_byte] = ACTIONS(1358),
    [anon_sym_u8] = ACTIONS(1358),
    [anon_sym_u16] = ACTIONS(1358),
    [anon_sym_u32] = ACTIONS(1358),
    [anon_sym_u64] = ACTIONS(1358),
    [anon_sym_f32] = ACTIONS(1358),
    [anon_sym_f64] = ACTIONS(1358),
    [anon_sym_bool] = ACTIONS(1358),
    [anon_sym_rune] = ACTIONS(1358),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_mapnode] = ACTIONS(1358),
    [anon_sym_size_t] = ACTIONS(1358),
    [anon_sym_usize] = ACTIONS(1358),
    [anon_sym_isize] = ACTIONS(1358),
    [anon_sym_float_literal] = ACTIONS(1358),
    [anon_sym_int_literal] = ACTIONS(1358),
    [anon_sym_IError] = ACTIONS(1358),
    [sym_type_placeholder] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [sym_type_identifier] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_COLON_EQ] = ACTIONS(1356),
    [anon_sym_STAR_EQ] = ACTIONS(1356),
    [anon_sym_SLASH_EQ] = ACTIONS(1356),
    [anon_sym_PERCENT_EQ] = ACTIONS(1356),
    [anon_sym_LT_LT_EQ] = ACTIONS(1356),
    [anon_sym_GT_GT_EQ] = ACTIONS(1356),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1356),
    [anon_sym_AMP_EQ] = ACTIONS(1356),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1356),
    [anon_sym_PLUS_EQ] = ACTIONS(1356),
    [anon_sym_DASH_EQ] = ACTIONS(1356),
    [anon_sym_PIPE_EQ] = ACTIONS(1356),
    [anon_sym_CARET_EQ] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_assert] = ACTIONS(1358),
    [anon_sym_defer] = ACTIONS(1358),
    [anon_sym_unsafe] = ACTIONS(1358),
    [anon_sym_pub] = ACTIONS(1358),
    [anon_sym_fn] = ACTIONS(1358),
    [anon_sym___global] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_type] = ACTIONS(1358),
    [anon_sym_go] = ACTIONS(1358),
    [anon_sym_spawn] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_DOLLARfor] = ACTIONS(1356),
    [anon_sym_DOLLARif] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_is] = ACTIONS(1358),
    [anon_sym_BANGis] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_interface] = ACTIONS(1358),
    [anon_sym_POUND] = ACTIONS(1356),
    [anon_sym_module] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(1358),
    [anon_sym_match] = ACTIONS(1358),
    [anon_sym_select] = ACTIONS(1358),
    [anon_sym_lock] = ACTIONS(1358),
    [anon_sym_rlock] = ACTIONS(1358),
    [sym__automatic_separator] = ACTIONS(1356),
    [sym__c_string_opening] = ACTIONS(1356),
    [sym__raw_string_opening] = ACTIONS(1356),
    [sym__string_opening] = ACTIONS(1356),
    [sym__comment] = ACTIONS(3),
  },
  [200] = {
    [sym_comment] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_identifier] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_LT_DASH] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_LT_LT] = ACTIONS(1362),
    [anon_sym_GT_GT] = ACTIONS(1362),
    [anon_sym_GT_GT_GT] = ACTIONS(1362),
    [anon_sym_AMP_CARET] = ACTIONS(1362),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_EQ_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_in] = ACTIONS(1362),
    [anon_sym_BANGin] = ACTIONS(1360),
    [anon_sym_AMP_AMP] = ACTIONS(1360),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_as] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [sym_none] = ACTIONS(1362),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_map_LBRACK] = ACTIONS(1360),
    [anon_sym_chan] = ACTIONS(1362),
    [anon_sym_shared] = ACTIONS(1362),
    [anon_sym_thread] = ACTIONS(1362),
    [sym_int_literal] = ACTIONS(1362),
    [sym_float_literal] = ACTIONS(1360),
    [sym_rune_literal] = ACTIONS(1360),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_array] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_char] = ACTIONS(1362),
    [anon_sym_sql] = ACTIONS(1362),
    [anon_sym_mut] = ACTIONS(1362),
    [anon_sym_C] = ACTIONS(1362),
    [anon_sym_JS] = ACTIONS(1362),
    [anon_sym_voidptr] = ACTIONS(1362),
    [anon_sym_byteptr] = ACTIONS(1362),
    [anon_sym_charptr] = ACTIONS(1362),
    [anon_sym_i8] = ACTIONS(1362),
    [anon_sym_i16] = ACTIONS(1362),
    [anon_sym_i32] = ACTIONS(1362),
    [anon_sym_int] = ACTIONS(1362),
    [anon_sym_i64] = ACTIONS(1362),
    [anon_sym_byte] = ACTIONS(1362),
    [anon_sym_u8] = ACTIONS(1362),
    [anon_sym_u16] = ACTIONS(1362),
    [anon_sym_u32] = ACTIONS(1362),
    [anon_sym_u64] = ACTIONS(1362),
    [anon_sym_f32] = ACTIONS(1362),
    [anon_sym_f64] = ACTIONS(1362),
    [anon_sym_bool] = ACTIONS(1362),
    [anon_sym_rune] = ACTIONS(1362),
    [anon_sym_map] = ACTIONS(1362),
    [anon_sym_mapnode] = ACTIONS(1362),
    [anon_sym_size_t] = ACTIONS(1362),
    [anon_sym_usize] = ACTIONS(1362),
    [anon_sym_isize] = ACTIONS(1362),
    [anon_sym_float_literal] = ACTIONS(1362),
    [anon_sym_int_literal] = ACTIONS(1362),
    [anon_sym_IError] = ACTIONS(1362),
    [sym_type_placeholder] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [sym_type_identifier] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_COLON_EQ] = ACTIONS(1360),
    [anon_sym_STAR_EQ] = ACTIONS(1360),
    [anon_sym_SLASH_EQ] = ACTIONS(1360),
    [anon_sym_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT_EQ] = ACTIONS(1360),
    [anon_sym_GT_GT_EQ] = ACTIONS(1360),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1360),
    [anon_sym_AMP_EQ] = ACTIONS(1360),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1360),
    [anon_sym_PLUS_EQ] = ACTIONS(1360),
    [anon_sym_DASH_EQ] = ACTIONS(1360),
    [anon_sym_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_CARET_EQ] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1362),
    [anon_sym_assert] = ACTIONS(1362),
    [anon_sym_defer] = ACTIONS(1362),
    [anon_sym_unsafe] = ACTIONS(1362),
    [anon_sym_pub] = ACTIONS(1362),
    [anon_sym_fn] = ACTIONS(1362),
    [anon_sym___global] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_go] = ACTIONS(1362),
    [anon_sym_spawn] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_DOLLARfor] = ACTIONS(1360),
    [anon_sym_DOLLARif] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_is] = ACTIONS(1362),
    [anon_sym_BANGis] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_interface] = ACTIONS(1362),
    [anon_sym_POUND] = ACTIONS(1360),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_import] = ACTIONS(1362),
    [anon_sym_match] = ACTIONS(1362),
    [anon_sym_select] = ACTIONS(1362),
    [anon_sym_lock] = ACTIONS(1362),
    [anon_sym_rlock] = ACTIONS(1362),
    [sym__automatic_separator] = ACTIONS(1360),
    [sym__c_string_opening] = ACTIONS(1360),
    [sym__raw_string_opening] = ACTIONS(1360),
    [sym__string_opening] = ACTIONS(1360),
    [sym__comment] = ACTIONS(3),
  },
  [201] = {
    [sym_comment] = STATE(201),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_identifier] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_LT_DASH] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1366),
    [anon_sym_AMP_CARET] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_EQ_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_in] = ACTIONS(1366),
    [anon_sym_BANGin] = ACTIONS(1364),
    [anon_sym_AMP_AMP] = ACTIONS(1364),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_as] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [sym_none] = ACTIONS(1366),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_map_LBRACK] = ACTIONS(1364),
    [anon_sym_chan] = ACTIONS(1366),
    [anon_sym_shared] = ACTIONS(1366),
    [anon_sym_thread] = ACTIONS(1366),
    [sym_int_literal] = ACTIONS(1366),
    [sym_float_literal] = ACTIONS(1364),
    [sym_rune_literal] = ACTIONS(1364),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_array] = ACTIONS(1366),
    [anon_sym_string] = ACTIONS(1366),
    [anon_sym_char] = ACTIONS(1366),
    [anon_sym_sql] = ACTIONS(1366),
    [anon_sym_mut] = ACTIONS(1366),
    [anon_sym_C] = ACTIONS(1366),
    [anon_sym_JS] = ACTIONS(1366),
    [anon_sym_voidptr] = ACTIONS(1366),
    [anon_sym_byteptr] = ACTIONS(1366),
    [anon_sym_charptr] = ACTIONS(1366),
    [anon_sym_i8] = ACTIONS(1366),
    [anon_sym_i16] = ACTIONS(1366),
    [anon_sym_i32] = ACTIONS(1366),
    [anon_sym_int] = ACTIONS(1366),
    [anon_sym_i64] = ACTIONS(1366),
    [anon_sym_byte] = ACTIONS(1366),
    [anon_sym_u8] = ACTIONS(1366),
    [anon_sym_u16] = ACTIONS(1366),
    [anon_sym_u32] = ACTIONS(1366),
    [anon_sym_u64] = ACTIONS(1366),
    [anon_sym_f32] = ACTIONS(1366),
    [anon_sym_f64] = ACTIONS(1366),
    [anon_sym_bool] = ACTIONS(1366),
    [anon_sym_rune] = ACTIONS(1366),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_mapnode] = ACTIONS(1366),
    [anon_sym_size_t] = ACTIONS(1366),
    [anon_sym_usize] = ACTIONS(1366),
    [anon_sym_isize] = ACTIONS(1366),
    [anon_sym_float_literal] = ACTIONS(1366),
    [anon_sym_int_literal] = ACTIONS(1366),
    [anon_sym_IError] = ACTIONS(1366),
    [sym_type_placeholder] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [sym_type_identifier] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_COLON_EQ] = ACTIONS(1364),
    [anon_sym_STAR_EQ] = ACTIONS(1364),
    [anon_sym_SLASH_EQ] = ACTIONS(1364),
    [anon_sym_PERCENT_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT_GT_EQ] = ACTIONS(1364),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1364),
    [anon_sym_AMP_EQ] = ACTIONS(1364),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1364),
    [anon_sym_PLUS_EQ] = ACTIONS(1364),
    [anon_sym_DASH_EQ] = ACTIONS(1364),
    [anon_sym_PIPE_EQ] = ACTIONS(1364),
    [anon_sym_CARET_EQ] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1366),
    [anon_sym_assert] = ACTIONS(1366),
    [anon_sym_defer] = ACTIONS(1366),
    [anon_sym_unsafe] = ACTIONS(1366),
    [anon_sym_pub] = ACTIONS(1366),
    [anon_sym_fn] = ACTIONS(1366),
    [anon_sym___global] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_type] = ACTIONS(1366),
    [anon_sym_go] = ACTIONS(1366),
    [anon_sym_spawn] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_DOLLARfor] = ACTIONS(1364),
    [anon_sym_DOLLARif] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_is] = ACTIONS(1366),
    [anon_sym_BANGis] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_interface] = ACTIONS(1366),
    [anon_sym_POUND] = ACTIONS(1364),
    [anon_sym_module] = ACTIONS(1366),
    [anon_sym_import] = ACTIONS(1366),
    [anon_sym_match] = ACTIONS(1366),
    [anon_sym_select] = ACTIONS(1366),
    [anon_sym_lock] = ACTIONS(1366),
    [anon_sym_rlock] = ACTIONS(1366),
    [sym__automatic_separator] = ACTIONS(1364),
    [sym__c_string_opening] = ACTIONS(1364),
    [sym__raw_string_opening] = ACTIONS(1364),
    [sym__string_opening] = ACTIONS(1364),
    [sym__comment] = ACTIONS(3),
  },
  [202] = {
    [sym_comment] = STATE(202),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_identifier] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_LT_DASH] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1370),
    [anon_sym_PERCENT] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1370),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_LT] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1370),
    [anon_sym_BANGin] = ACTIONS(1368),
    [anon_sym_AMP_AMP] = ACTIONS(1368),
    [anon_sym_PIPE_PIPE] = ACTIONS(1368),
    [anon_sym_as] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [sym_none] = ACTIONS(1370),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_map_LBRACK] = ACTIONS(1368),
    [anon_sym_chan] = ACTIONS(1370),
    [anon_sym_shared] = ACTIONS(1370),
    [anon_sym_thread] = ACTIONS(1370),
    [sym_int_literal] = ACTIONS(1370),
    [sym_float_literal] = ACTIONS(1368),
    [sym_rune_literal] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1370),
    [anon_sym_array] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_char] = ACTIONS(1370),
    [anon_sym_sql] = ACTIONS(1370),
    [anon_sym_mut] = ACTIONS(1370),
    [anon_sym_C] = ACTIONS(1370),
    [anon_sym_JS] = ACTIONS(1370),
    [anon_sym_voidptr] = ACTIONS(1370),
    [anon_sym_byteptr] = ACTIONS(1370),
    [anon_sym_charptr] = ACTIONS(1370),
    [anon_sym_i8] = ACTIONS(1370),
    [anon_sym_i16] = ACTIONS(1370),
    [anon_sym_i32] = ACTIONS(1370),
    [anon_sym_int] = ACTIONS(1370),
    [anon_sym_i64] = ACTIONS(1370),
    [anon_sym_byte] = ACTIONS(1370),
    [anon_sym_u8] = ACTIONS(1370),
    [anon_sym_u16] = ACTIONS(1370),
    [anon_sym_u32] = ACTIONS(1370),
    [anon_sym_u64] = ACTIONS(1370),
    [anon_sym_f32] = ACTIONS(1370),
    [anon_sym_f64] = ACTIONS(1370),
    [anon_sym_bool] = ACTIONS(1370),
    [anon_sym_rune] = ACTIONS(1370),
    [anon_sym_map] = ACTIONS(1370),
    [anon_sym_mapnode] = ACTIONS(1370),
    [anon_sym_size_t] = ACTIONS(1370),
    [anon_sym_usize] = ACTIONS(1370),
    [anon_sym_isize] = ACTIONS(1370),
    [anon_sym_float_literal] = ACTIONS(1370),
    [anon_sym_int_literal] = ACTIONS(1370),
    [anon_sym_IError] = ACTIONS(1370),
    [sym_type_placeholder] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [sym_type_identifier] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_COLON_EQ] = ACTIONS(1368),
    [anon_sym_STAR_EQ] = ACTIONS(1368),
    [anon_sym_SLASH_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT_EQ] = ACTIONS(1368),
    [anon_sym_LT_LT_EQ] = ACTIONS(1368),
    [anon_sym_GT_GT_EQ] = ACTIONS(1368),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1368),
    [anon_sym_AMP_EQ] = ACTIONS(1368),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1368),
    [anon_sym_PLUS_EQ] = ACTIONS(1368),
    [anon_sym_DASH_EQ] = ACTIONS(1368),
    [anon_sym_PIPE_EQ] = ACTIONS(1368),
    [anon_sym_CARET_EQ] = ACTIONS(1368),
    [anon_sym_EQ] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1370),
    [anon_sym_defer] = ACTIONS(1370),
    [anon_sym_unsafe] = ACTIONS(1370),
    [anon_sym_pub] = ACTIONS(1370),
    [anon_sym_fn] = ACTIONS(1370),
    [anon_sym___global] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_go] = ACTIONS(1370),
    [anon_sym_spawn] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_DOLLARfor] = ACTIONS(1368),
    [anon_sym_DOLLARif] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_is] = ACTIONS(1370),
    [anon_sym_BANGis] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_interface] = ACTIONS(1370),
    [anon_sym_POUND] = ACTIONS(1368),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1370),
    [anon_sym_match] = ACTIONS(1370),
    [anon_sym_select] = ACTIONS(1370),
    [anon_sym_lock] = ACTIONS(1370),
    [anon_sym_rlock] = ACTIONS(1370),
    [sym__automatic_separator] = ACTIONS(1368),
    [sym__c_string_opening] = ACTIONS(1368),
    [sym__raw_string_opening] = ACTIONS(1368),
    [sym__string_opening] = ACTIONS(1368),
    [sym__comment] = ACTIONS(3),
  },
  [203] = {
    [sym_comment] = STATE(203),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_LT_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_EQ_EQ] = ACTIONS(1372),
    [anon_sym_BANG_EQ] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1372),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_BANGin] = ACTIONS(1372),
    [anon_sym_AMP_AMP] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1372),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [sym_none] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_map_LBRACK] = ACTIONS(1372),
    [anon_sym_chan] = ACTIONS(1374),
    [anon_sym_shared] = ACTIONS(1374),
    [anon_sym_thread] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1372),
    [sym_rune_literal] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_array] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_char] = ACTIONS(1374),
    [anon_sym_sql] = ACTIONS(1374),
    [anon_sym_mut] = ACTIONS(1374),
    [anon_sym_C] = ACTIONS(1374),
    [anon_sym_JS] = ACTIONS(1374),
    [anon_sym_voidptr] = ACTIONS(1374),
    [anon_sym_byteptr] = ACTIONS(1374),
    [anon_sym_charptr] = ACTIONS(1374),
    [anon_sym_i8] = ACTIONS(1374),
    [anon_sym_i16] = ACTIONS(1374),
    [anon_sym_i32] = ACTIONS(1374),
    [anon_sym_int] = ACTIONS(1374),
    [anon_sym_i64] = ACTIONS(1374),
    [anon_sym_byte] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1374),
    [anon_sym_u16] = ACTIONS(1374),
    [anon_sym_u32] = ACTIONS(1374),
    [anon_sym_u64] = ACTIONS(1374),
    [anon_sym_f32] = ACTIONS(1374),
    [anon_sym_f64] = ACTIONS(1374),
    [anon_sym_bool] = ACTIONS(1374),
    [anon_sym_rune] = ACTIONS(1374),
    [anon_sym_map] = ACTIONS(1374),
    [anon_sym_mapnode] = ACTIONS(1374),
    [anon_sym_size_t] = ACTIONS(1374),
    [anon_sym_usize] = ACTIONS(1374),
    [anon_sym_isize] = ACTIONS(1374),
    [anon_sym_float_literal] = ACTIONS(1374),
    [anon_sym_int_literal] = ACTIONS(1374),
    [anon_sym_IError] = ACTIONS(1374),
    [sym_type_placeholder] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [sym_type_identifier] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_COLON_EQ] = ACTIONS(1372),
    [anon_sym_STAR_EQ] = ACTIONS(1372),
    [anon_sym_SLASH_EQ] = ACTIONS(1372),
    [anon_sym_PERCENT_EQ] = ACTIONS(1372),
    [anon_sym_LT_LT_EQ] = ACTIONS(1372),
    [anon_sym_GT_GT_EQ] = ACTIONS(1372),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1372),
    [anon_sym_AMP_EQ] = ACTIONS(1372),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1372),
    [anon_sym_PLUS_EQ] = ACTIONS(1372),
    [anon_sym_DASH_EQ] = ACTIONS(1372),
    [anon_sym_PIPE_EQ] = ACTIONS(1372),
    [anon_sym_CARET_EQ] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_assert] = ACTIONS(1374),
    [anon_sym_defer] = ACTIONS(1374),
    [anon_sym_unsafe] = ACTIONS(1374),
    [anon_sym_pub] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym___global] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_type] = ACTIONS(1374),
    [anon_sym_go] = ACTIONS(1374),
    [anon_sym_spawn] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_DOLLARfor] = ACTIONS(1372),
    [anon_sym_DOLLARif] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_is] = ACTIONS(1374),
    [anon_sym_BANGis] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_interface] = ACTIONS(1374),
    [anon_sym_POUND] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1374),
    [anon_sym_import] = ACTIONS(1374),
    [anon_sym_match] = ACTIONS(1374),
    [anon_sym_select] = ACTIONS(1374),
    [anon_sym_lock] = ACTIONS(1374),
    [anon_sym_rlock] = ACTIONS(1374),
    [sym__automatic_separator] = ACTIONS(1372),
    [sym__c_string_opening] = ACTIONS(1372),
    [sym__raw_string_opening] = ACTIONS(1372),
    [sym__string_opening] = ACTIONS(1372),
    [sym__comment] = ACTIONS(3),
  },
  [204] = {
    [sym_comment] = STATE(204),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_LT_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1378),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_GT_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1376),
    [anon_sym_in] = ACTIONS(1378),
    [anon_sym_BANGin] = ACTIONS(1376),
    [anon_sym_AMP_AMP] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1376),
    [anon_sym_as] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [sym_none] = ACTIONS(1378),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_map_LBRACK] = ACTIONS(1376),
    [anon_sym_chan] = ACTIONS(1378),
    [anon_sym_shared] = ACTIONS(1378),
    [anon_sym_thread] = ACTIONS(1378),
    [sym_int_literal] = ACTIONS(1378),
    [sym_float_literal] = ACTIONS(1376),
    [sym_rune_literal] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_array] = ACTIONS(1378),
    [anon_sym_string] = ACTIONS(1378),
    [anon_sym_char] = ACTIONS(1378),
    [anon_sym_sql] = ACTIONS(1378),
    [anon_sym_mut] = ACTIONS(1378),
    [anon_sym_C] = ACTIONS(1378),
    [anon_sym_JS] = ACTIONS(1378),
    [anon_sym_voidptr] = ACTIONS(1378),
    [anon_sym_byteptr] = ACTIONS(1378),
    [anon_sym_charptr] = ACTIONS(1378),
    [anon_sym_i8] = ACTIONS(1378),
    [anon_sym_i16] = ACTIONS(1378),
    [anon_sym_i32] = ACTIONS(1378),
    [anon_sym_int] = ACTIONS(1378),
    [anon_sym_i64] = ACTIONS(1378),
    [anon_sym_byte] = ACTIONS(1378),
    [anon_sym_u8] = ACTIONS(1378),
    [anon_sym_u16] = ACTIONS(1378),
    [anon_sym_u32] = ACTIONS(1378),
    [anon_sym_u64] = ACTIONS(1378),
    [anon_sym_f32] = ACTIONS(1378),
    [anon_sym_f64] = ACTIONS(1378),
    [anon_sym_bool] = ACTIONS(1378),
    [anon_sym_rune] = ACTIONS(1378),
    [anon_sym_map] = ACTIONS(1378),
    [anon_sym_mapnode] = ACTIONS(1378),
    [anon_sym_size_t] = ACTIONS(1378),
    [anon_sym_usize] = ACTIONS(1378),
    [anon_sym_isize] = ACTIONS(1378),
    [anon_sym_float_literal] = ACTIONS(1378),
    [anon_sym_int_literal] = ACTIONS(1378),
    [anon_sym_IError] = ACTIONS(1378),
    [sym_type_placeholder] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [sym_type_identifier] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_COLON_EQ] = ACTIONS(1376),
    [anon_sym_STAR_EQ] = ACTIONS(1376),
    [anon_sym_SLASH_EQ] = ACTIONS(1376),
    [anon_sym_PERCENT_EQ] = ACTIONS(1376),
    [anon_sym_LT_LT_EQ] = ACTIONS(1376),
    [anon_sym_GT_GT_EQ] = ACTIONS(1376),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1376),
    [anon_sym_AMP_EQ] = ACTIONS(1376),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1376),
    [anon_sym_PLUS_EQ] = ACTIONS(1376),
    [anon_sym_DASH_EQ] = ACTIONS(1376),
    [anon_sym_PIPE_EQ] = ACTIONS(1376),
    [anon_sym_CARET_EQ] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1378),
    [anon_sym_assert] = ACTIONS(1378),
    [anon_sym_defer] = ACTIONS(1378),
    [anon_sym_unsafe] = ACTIONS(1378),
    [anon_sym_pub] = ACTIONS(1378),
    [anon_sym_fn] = ACTIONS(1378),
    [anon_sym___global] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_type] = ACTIONS(1378),
    [anon_sym_go] = ACTIONS(1378),
    [anon_sym_spawn] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_DOLLARfor] = ACTIONS(1376),
    [anon_sym_DOLLARif] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_is] = ACTIONS(1378),
    [anon_sym_BANGis] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_interface] = ACTIONS(1378),
    [anon_sym_POUND] = ACTIONS(1376),
    [anon_sym_module] = ACTIONS(1378),
    [anon_sym_import] = ACTIONS(1378),
    [anon_sym_match] = ACTIONS(1378),
    [anon_sym_select] = ACTIONS(1378),
    [anon_sym_lock] = ACTIONS(1378),
    [anon_sym_rlock] = ACTIONS(1378),
    [sym__automatic_separator] = ACTIONS(1376),
    [sym__c_string_opening] = ACTIONS(1376),
    [sym__raw_string_opening] = ACTIONS(1376),
    [sym__string_opening] = ACTIONS(1376),
    [sym__comment] = ACTIONS(3),
  },
  [205] = {
    [sym_comment] = STATE(205),
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_COLON_EQ] = ACTIONS(1102),
    [anon_sym_STAR_EQ] = ACTIONS(1102),
    [anon_sym_SLASH_EQ] = ACTIONS(1102),
    [anon_sym_PERCENT_EQ] = ACTIONS(1102),
    [anon_sym_LT_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_AMP_EQ] = ACTIONS(1102),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1102),
    [anon_sym_PLUS_EQ] = ACTIONS(1102),
    [anon_sym_DASH_EQ] = ACTIONS(1102),
    [anon_sym_PIPE_EQ] = ACTIONS(1102),
    [anon_sym_CARET_EQ] = ACTIONS(1102),
    [anon_sym_EQ] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_pub] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym___global] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_type] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_struct] = ACTIONS(1104),
    [anon_sym_union] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [206] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(206),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4933),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [207] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(207),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4934),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [208] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(208),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4950),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [209] = {
    [sym_comment] = STATE(209),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_LT_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1388),
    [anon_sym_LT_LT] = ACTIONS(1388),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_GT_GT_GT] = ACTIONS(1388),
    [anon_sym_AMP_CARET] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_BANGin] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_as] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [sym_none] = ACTIONS(1388),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_map_LBRACK] = ACTIONS(1386),
    [anon_sym_chan] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_thread] = ACTIONS(1388),
    [sym_int_literal] = ACTIONS(1388),
    [sym_float_literal] = ACTIONS(1386),
    [sym_rune_literal] = ACTIONS(1386),
    [anon_sym_DOT] = ACTIONS(1388),
    [anon_sym_array] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_char] = ACTIONS(1388),
    [anon_sym_sql] = ACTIONS(1388),
    [anon_sym_mut] = ACTIONS(1388),
    [anon_sym_C] = ACTIONS(1388),
    [anon_sym_JS] = ACTIONS(1388),
    [anon_sym_voidptr] = ACTIONS(1388),
    [anon_sym_byteptr] = ACTIONS(1388),
    [anon_sym_charptr] = ACTIONS(1388),
    [anon_sym_i8] = ACTIONS(1388),
    [anon_sym_i16] = ACTIONS(1388),
    [anon_sym_i32] = ACTIONS(1388),
    [anon_sym_int] = ACTIONS(1388),
    [anon_sym_i64] = ACTIONS(1388),
    [anon_sym_byte] = ACTIONS(1388),
    [anon_sym_u8] = ACTIONS(1388),
    [anon_sym_u16] = ACTIONS(1388),
    [anon_sym_u32] = ACTIONS(1388),
    [anon_sym_u64] = ACTIONS(1388),
    [anon_sym_f32] = ACTIONS(1388),
    [anon_sym_f64] = ACTIONS(1388),
    [anon_sym_bool] = ACTIONS(1388),
    [anon_sym_rune] = ACTIONS(1388),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_mapnode] = ACTIONS(1388),
    [anon_sym_size_t] = ACTIONS(1388),
    [anon_sym_usize] = ACTIONS(1388),
    [anon_sym_isize] = ACTIONS(1388),
    [anon_sym_float_literal] = ACTIONS(1388),
    [anon_sym_int_literal] = ACTIONS(1388),
    [anon_sym_IError] = ACTIONS(1388),
    [sym_type_placeholder] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [sym_type_identifier] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_COLON_EQ] = ACTIONS(1386),
    [anon_sym_STAR_EQ] = ACTIONS(1386),
    [anon_sym_SLASH_EQ] = ACTIONS(1386),
    [anon_sym_PERCENT_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT_GT_EQ] = ACTIONS(1386),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_EQ] = ACTIONS(1386),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1386),
    [anon_sym_PLUS_EQ] = ACTIONS(1386),
    [anon_sym_DASH_EQ] = ACTIONS(1386),
    [anon_sym_PIPE_EQ] = ACTIONS(1386),
    [anon_sym_CARET_EQ] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1388),
    [anon_sym_assert] = ACTIONS(1388),
    [anon_sym_defer] = ACTIONS(1388),
    [anon_sym_unsafe] = ACTIONS(1388),
    [anon_sym_pub] = ACTIONS(1388),
    [anon_sym_fn] = ACTIONS(1388),
    [anon_sym___global] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_type] = ACTIONS(1388),
    [anon_sym_go] = ACTIONS(1388),
    [anon_sym_spawn] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_DOLLARfor] = ACTIONS(1386),
    [anon_sym_DOLLARif] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_is] = ACTIONS(1388),
    [anon_sym_BANGis] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_interface] = ACTIONS(1388),
    [anon_sym_POUND] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1388),
    [anon_sym_import] = ACTIONS(1388),
    [anon_sym_match] = ACTIONS(1388),
    [anon_sym_select] = ACTIONS(1388),
    [anon_sym_lock] = ACTIONS(1388),
    [anon_sym_rlock] = ACTIONS(1388),
    [sym__automatic_separator] = ACTIONS(1386),
    [sym__c_string_opening] = ACTIONS(1386),
    [sym__raw_string_opening] = ACTIONS(1386),
    [sym__string_opening] = ACTIONS(1386),
    [sym__comment] = ACTIONS(3),
  },
  [210] = {
    [sym_comment] = STATE(210),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_LT_DASH] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PERCENT] = ACTIONS(1392),
    [anon_sym_LT_LT] = ACTIONS(1392),
    [anon_sym_GT_GT] = ACTIONS(1392),
    [anon_sym_GT_GT_GT] = ACTIONS(1392),
    [anon_sym_AMP_CARET] = ACTIONS(1392),
    [anon_sym_PIPE] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_BANGin] = ACTIONS(1390),
    [anon_sym_AMP_AMP] = ACTIONS(1390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_as] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [sym_none] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_map_LBRACK] = ACTIONS(1390),
    [anon_sym_chan] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_thread] = ACTIONS(1392),
    [sym_int_literal] = ACTIONS(1392),
    [sym_float_literal] = ACTIONS(1390),
    [sym_rune_literal] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1392),
    [anon_sym_array] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_char] = ACTIONS(1392),
    [anon_sym_sql] = ACTIONS(1392),
    [anon_sym_mut] = ACTIONS(1392),
    [anon_sym_C] = ACTIONS(1392),
    [anon_sym_JS] = ACTIONS(1392),
    [anon_sym_voidptr] = ACTIONS(1392),
    [anon_sym_byteptr] = ACTIONS(1392),
    [anon_sym_charptr] = ACTIONS(1392),
    [anon_sym_i8] = ACTIONS(1392),
    [anon_sym_i16] = ACTIONS(1392),
    [anon_sym_i32] = ACTIONS(1392),
    [anon_sym_int] = ACTIONS(1392),
    [anon_sym_i64] = ACTIONS(1392),
    [anon_sym_byte] = ACTIONS(1392),
    [anon_sym_u8] = ACTIONS(1392),
    [anon_sym_u16] = ACTIONS(1392),
    [anon_sym_u32] = ACTIONS(1392),
    [anon_sym_u64] = ACTIONS(1392),
    [anon_sym_f32] = ACTIONS(1392),
    [anon_sym_f64] = ACTIONS(1392),
    [anon_sym_bool] = ACTIONS(1392),
    [anon_sym_rune] = ACTIONS(1392),
    [anon_sym_map] = ACTIONS(1392),
    [anon_sym_mapnode] = ACTIONS(1392),
    [anon_sym_size_t] = ACTIONS(1392),
    [anon_sym_usize] = ACTIONS(1392),
    [anon_sym_isize] = ACTIONS(1392),
    [anon_sym_float_literal] = ACTIONS(1392),
    [anon_sym_int_literal] = ACTIONS(1392),
    [anon_sym_IError] = ACTIONS(1392),
    [sym_type_placeholder] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [sym_type_identifier] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_COLON_EQ] = ACTIONS(1390),
    [anon_sym_STAR_EQ] = ACTIONS(1390),
    [anon_sym_SLASH_EQ] = ACTIONS(1390),
    [anon_sym_PERCENT_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT_GT_EQ] = ACTIONS(1390),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1390),
    [anon_sym_AMP_EQ] = ACTIONS(1390),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1390),
    [anon_sym_PLUS_EQ] = ACTIONS(1390),
    [anon_sym_DASH_EQ] = ACTIONS(1390),
    [anon_sym_PIPE_EQ] = ACTIONS(1390),
    [anon_sym_CARET_EQ] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1392),
    [anon_sym_assert] = ACTIONS(1392),
    [anon_sym_defer] = ACTIONS(1392),
    [anon_sym_unsafe] = ACTIONS(1392),
    [anon_sym_pub] = ACTIONS(1392),
    [anon_sym_fn] = ACTIONS(1392),
    [anon_sym___global] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_asm] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_go] = ACTIONS(1392),
    [anon_sym_spawn] = ACTIONS(1392),
    [anon_sym_goto] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_DOLLARfor] = ACTIONS(1390),
    [anon_sym_DOLLARif] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_is] = ACTIONS(1392),
    [anon_sym_BANGis] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1392),
    [anon_sym_union] = ACTIONS(1392),
    [anon_sym_enum] = ACTIONS(1392),
    [anon_sym_interface] = ACTIONS(1392),
    [anon_sym_POUND] = ACTIONS(1390),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_import] = ACTIONS(1392),
    [anon_sym_match] = ACTIONS(1392),
    [anon_sym_select] = ACTIONS(1392),
    [anon_sym_lock] = ACTIONS(1392),
    [anon_sym_rlock] = ACTIONS(1392),
    [sym__automatic_separator] = ACTIONS(1390),
    [sym__c_string_opening] = ACTIONS(1390),
    [sym__raw_string_opening] = ACTIONS(1390),
    [sym__string_opening] = ACTIONS(1390),
    [sym__comment] = ACTIONS(3),
  },
  [211] = {
    [sym_comment] = STATE(211),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_DASH] = ACTIONS(1116),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1114),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1114),
    [anon_sym_AMP_CARET] = ACTIONS(1114),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1116),
    [anon_sym_BANG_EQ] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_BANGin] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [sym_none] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_map_LBRACK] = ACTIONS(1116),
    [anon_sym_chan] = ACTIONS(1114),
    [anon_sym_shared] = ACTIONS(1114),
    [anon_sym_thread] = ACTIONS(1114),
    [sym_int_literal] = ACTIONS(1114),
    [sym_float_literal] = ACTIONS(1116),
    [sym_rune_literal] = ACTIONS(1116),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_array] = ACTIONS(1114),
    [anon_sym_string] = ACTIONS(1114),
    [anon_sym_char] = ACTIONS(1114),
    [anon_sym_sql] = ACTIONS(1114),
    [anon_sym_mut] = ACTIONS(1114),
    [anon_sym_C] = ACTIONS(1114),
    [anon_sym_JS] = ACTIONS(1114),
    [anon_sym_voidptr] = ACTIONS(1114),
    [anon_sym_byteptr] = ACTIONS(1114),
    [anon_sym_charptr] = ACTIONS(1114),
    [anon_sym_i8] = ACTIONS(1114),
    [anon_sym_i16] = ACTIONS(1114),
    [anon_sym_i32] = ACTIONS(1114),
    [anon_sym_int] = ACTIONS(1114),
    [anon_sym_i64] = ACTIONS(1114),
    [anon_sym_byte] = ACTIONS(1114),
    [anon_sym_u8] = ACTIONS(1114),
    [anon_sym_u16] = ACTIONS(1114),
    [anon_sym_u32] = ACTIONS(1114),
    [anon_sym_u64] = ACTIONS(1114),
    [anon_sym_f32] = ACTIONS(1114),
    [anon_sym_f64] = ACTIONS(1114),
    [anon_sym_bool] = ACTIONS(1114),
    [anon_sym_rune] = ACTIONS(1114),
    [anon_sym_map] = ACTIONS(1114),
    [anon_sym_mapnode] = ACTIONS(1114),
    [anon_sym_size_t] = ACTIONS(1114),
    [anon_sym_usize] = ACTIONS(1114),
    [anon_sym_isize] = ACTIONS(1114),
    [anon_sym_float_literal] = ACTIONS(1114),
    [anon_sym_int_literal] = ACTIONS(1114),
    [anon_sym_IError] = ACTIONS(1114),
    [sym_type_placeholder] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [sym_type_identifier] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_COLON_EQ] = ACTIONS(1116),
    [anon_sym_STAR_EQ] = ACTIONS(1116),
    [anon_sym_SLASH_EQ] = ACTIONS(1116),
    [anon_sym_PERCENT_EQ] = ACTIONS(1116),
    [anon_sym_LT_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT_GT_EQ] = ACTIONS(1116),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1116),
    [anon_sym_AMP_EQ] = ACTIONS(1116),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1116),
    [anon_sym_PLUS_EQ] = ACTIONS(1116),
    [anon_sym_DASH_EQ] = ACTIONS(1116),
    [anon_sym_PIPE_EQ] = ACTIONS(1116),
    [anon_sym_CARET_EQ] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1114),
    [anon_sym_assert] = ACTIONS(1114),
    [anon_sym_defer] = ACTIONS(1114),
    [anon_sym_unsafe] = ACTIONS(1114),
    [anon_sym_pub] = ACTIONS(1114),
    [anon_sym_fn] = ACTIONS(1114),
    [anon_sym___global] = ACTIONS(1114),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym_break] = ACTIONS(1114),
    [anon_sym_continue] = ACTIONS(1114),
    [anon_sym_return] = ACTIONS(1114),
    [anon_sym_type] = ACTIONS(1114),
    [anon_sym_go] = ACTIONS(1114),
    [anon_sym_spawn] = ACTIONS(1114),
    [anon_sym_goto] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1114),
    [anon_sym_DOLLARfor] = ACTIONS(1116),
    [anon_sym_DOLLARif] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_BANGis] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1114),
    [anon_sym_union] = ACTIONS(1114),
    [anon_sym_enum] = ACTIONS(1114),
    [anon_sym_interface] = ACTIONS(1114),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1114),
    [anon_sym_import] = ACTIONS(1114),
    [anon_sym_match] = ACTIONS(1114),
    [anon_sym_select] = ACTIONS(1114),
    [anon_sym_lock] = ACTIONS(1114),
    [anon_sym_rlock] = ACTIONS(1114),
    [sym__automatic_separator] = ACTIONS(1116),
    [sym__c_string_opening] = ACTIONS(1116),
    [sym__raw_string_opening] = ACTIONS(1116),
    [sym__string_opening] = ACTIONS(1116),
    [sym__comment] = ACTIONS(3),
  },
  [212] = {
    [sym_comment] = STATE(212),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_LT_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1396),
    [anon_sym_LT_LT] = ACTIONS(1396),
    [anon_sym_GT_GT] = ACTIONS(1396),
    [anon_sym_GT_GT_GT] = ACTIONS(1396),
    [anon_sym_AMP_CARET] = ACTIONS(1396),
    [anon_sym_PIPE] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT] = ACTIONS(1396),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_BANGin] = ACTIONS(1394),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_as] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [sym_none] = ACTIONS(1396),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_map_LBRACK] = ACTIONS(1394),
    [anon_sym_chan] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_thread] = ACTIONS(1396),
    [sym_int_literal] = ACTIONS(1396),
    [sym_float_literal] = ACTIONS(1394),
    [sym_rune_literal] = ACTIONS(1394),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_array] = ACTIONS(1396),
    [anon_sym_string] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_sql] = ACTIONS(1396),
    [anon_sym_mut] = ACTIONS(1396),
    [anon_sym_C] = ACTIONS(1396),
    [anon_sym_JS] = ACTIONS(1396),
    [anon_sym_voidptr] = ACTIONS(1396),
    [anon_sym_byteptr] = ACTIONS(1396),
    [anon_sym_charptr] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_int] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_byte] = ACTIONS(1396),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_rune] = ACTIONS(1396),
    [anon_sym_map] = ACTIONS(1396),
    [anon_sym_mapnode] = ACTIONS(1396),
    [anon_sym_size_t] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_float_literal] = ACTIONS(1396),
    [anon_sym_int_literal] = ACTIONS(1396),
    [anon_sym_IError] = ACTIONS(1396),
    [sym_type_placeholder] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [sym_type_identifier] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_COLON_EQ] = ACTIONS(1394),
    [anon_sym_STAR_EQ] = ACTIONS(1394),
    [anon_sym_SLASH_EQ] = ACTIONS(1394),
    [anon_sym_PERCENT_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT_GT_EQ] = ACTIONS(1394),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1394),
    [anon_sym_AMP_EQ] = ACTIONS(1394),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1394),
    [anon_sym_PLUS_EQ] = ACTIONS(1394),
    [anon_sym_DASH_EQ] = ACTIONS(1394),
    [anon_sym_PIPE_EQ] = ACTIONS(1394),
    [anon_sym_CARET_EQ] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1396),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_defer] = ACTIONS(1396),
    [anon_sym_unsafe] = ACTIONS(1396),
    [anon_sym_pub] = ACTIONS(1396),
    [anon_sym_fn] = ACTIONS(1396),
    [anon_sym___global] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_go] = ACTIONS(1396),
    [anon_sym_spawn] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_DOLLARfor] = ACTIONS(1394),
    [anon_sym_DOLLARif] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_is] = ACTIONS(1396),
    [anon_sym_BANGis] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_interface] = ACTIONS(1396),
    [anon_sym_POUND] = ACTIONS(1394),
    [anon_sym_module] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1396),
    [anon_sym_match] = ACTIONS(1396),
    [anon_sym_select] = ACTIONS(1396),
    [anon_sym_lock] = ACTIONS(1396),
    [anon_sym_rlock] = ACTIONS(1396),
    [sym__automatic_separator] = ACTIONS(1394),
    [sym__c_string_opening] = ACTIONS(1394),
    [sym__raw_string_opening] = ACTIONS(1394),
    [sym__string_opening] = ACTIONS(1394),
    [sym__comment] = ACTIONS(3),
  },
  [213] = {
    [sym_comment] = STATE(213),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_LT_DASH] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_AMP_CARET] = ACTIONS(1400),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_BANGin] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1398),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_map_LBRACK] = ACTIONS(1398),
    [anon_sym_chan] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_thread] = ACTIONS(1400),
    [sym_int_literal] = ACTIONS(1400),
    [sym_float_literal] = ACTIONS(1398),
    [sym_rune_literal] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_array] = ACTIONS(1400),
    [anon_sym_string] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_sql] = ACTIONS(1400),
    [anon_sym_mut] = ACTIONS(1400),
    [anon_sym_C] = ACTIONS(1400),
    [anon_sym_JS] = ACTIONS(1400),
    [anon_sym_voidptr] = ACTIONS(1400),
    [anon_sym_byteptr] = ACTIONS(1400),
    [anon_sym_charptr] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_int] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_byte] = ACTIONS(1400),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_rune] = ACTIONS(1400),
    [anon_sym_map] = ACTIONS(1400),
    [anon_sym_mapnode] = ACTIONS(1400),
    [anon_sym_size_t] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_float_literal] = ACTIONS(1400),
    [anon_sym_int_literal] = ACTIONS(1400),
    [anon_sym_IError] = ACTIONS(1400),
    [sym_type_placeholder] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [sym_type_identifier] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_COLON_EQ] = ACTIONS(1398),
    [anon_sym_STAR_EQ] = ACTIONS(1398),
    [anon_sym_SLASH_EQ] = ACTIONS(1398),
    [anon_sym_PERCENT_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT_GT_EQ] = ACTIONS(1398),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1398),
    [anon_sym_AMP_EQ] = ACTIONS(1398),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1398),
    [anon_sym_PLUS_EQ] = ACTIONS(1398),
    [anon_sym_DASH_EQ] = ACTIONS(1398),
    [anon_sym_PIPE_EQ] = ACTIONS(1398),
    [anon_sym_CARET_EQ] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_defer] = ACTIONS(1400),
    [anon_sym_unsafe] = ACTIONS(1400),
    [anon_sym_pub] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym___global] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_type] = ACTIONS(1400),
    [anon_sym_go] = ACTIONS(1400),
    [anon_sym_spawn] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_DOLLARfor] = ACTIONS(1398),
    [anon_sym_DOLLARif] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_is] = ACTIONS(1400),
    [anon_sym_BANGis] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_interface] = ACTIONS(1400),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_module] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_match] = ACTIONS(1400),
    [anon_sym_select] = ACTIONS(1400),
    [anon_sym_lock] = ACTIONS(1400),
    [anon_sym_rlock] = ACTIONS(1400),
    [sym__automatic_separator] = ACTIONS(1398),
    [sym__c_string_opening] = ACTIONS(1398),
    [sym__raw_string_opening] = ACTIONS(1398),
    [sym__string_opening] = ACTIONS(1398),
    [sym__comment] = ACTIONS(3),
  },
  [214] = {
    [sym_comment] = STATE(214),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_LT_DASH] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_GT_GT_GT] = ACTIONS(1404),
    [anon_sym_AMP_CARET] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_BANGin] = ACTIONS(1402),
    [anon_sym_AMP_AMP] = ACTIONS(1402),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [sym_none] = ACTIONS(1404),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_map_LBRACK] = ACTIONS(1402),
    [anon_sym_chan] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_thread] = ACTIONS(1404),
    [sym_int_literal] = ACTIONS(1404),
    [sym_float_literal] = ACTIONS(1402),
    [sym_rune_literal] = ACTIONS(1402),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_array] = ACTIONS(1404),
    [anon_sym_string] = ACTIONS(1404),
    [anon_sym_char] = ACTIONS(1404),
    [anon_sym_sql] = ACTIONS(1404),
    [anon_sym_mut] = ACTIONS(1404),
    [anon_sym_C] = ACTIONS(1404),
    [anon_sym_JS] = ACTIONS(1404),
    [anon_sym_voidptr] = ACTIONS(1404),
    [anon_sym_byteptr] = ACTIONS(1404),
    [anon_sym_charptr] = ACTIONS(1404),
    [anon_sym_i8] = ACTIONS(1404),
    [anon_sym_i16] = ACTIONS(1404),
    [anon_sym_i32] = ACTIONS(1404),
    [anon_sym_int] = ACTIONS(1404),
    [anon_sym_i64] = ACTIONS(1404),
    [anon_sym_byte] = ACTIONS(1404),
    [anon_sym_u8] = ACTIONS(1404),
    [anon_sym_u16] = ACTIONS(1404),
    [anon_sym_u32] = ACTIONS(1404),
    [anon_sym_u64] = ACTIONS(1404),
    [anon_sym_f32] = ACTIONS(1404),
    [anon_sym_f64] = ACTIONS(1404),
    [anon_sym_bool] = ACTIONS(1404),
    [anon_sym_rune] = ACTIONS(1404),
    [anon_sym_map] = ACTIONS(1404),
    [anon_sym_mapnode] = ACTIONS(1404),
    [anon_sym_size_t] = ACTIONS(1404),
    [anon_sym_usize] = ACTIONS(1404),
    [anon_sym_isize] = ACTIONS(1404),
    [anon_sym_float_literal] = ACTIONS(1404),
    [anon_sym_int_literal] = ACTIONS(1404),
    [anon_sym_IError] = ACTIONS(1404),
    [sym_type_placeholder] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [sym_type_identifier] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_COLON_EQ] = ACTIONS(1402),
    [anon_sym_STAR_EQ] = ACTIONS(1402),
    [anon_sym_SLASH_EQ] = ACTIONS(1402),
    [anon_sym_PERCENT_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT_GT_EQ] = ACTIONS(1402),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1402),
    [anon_sym_AMP_EQ] = ACTIONS(1402),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1402),
    [anon_sym_PLUS_EQ] = ACTIONS(1402),
    [anon_sym_DASH_EQ] = ACTIONS(1402),
    [anon_sym_PIPE_EQ] = ACTIONS(1402),
    [anon_sym_CARET_EQ] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1404),
    [anon_sym_assert] = ACTIONS(1404),
    [anon_sym_defer] = ACTIONS(1404),
    [anon_sym_unsafe] = ACTIONS(1404),
    [anon_sym_pub] = ACTIONS(1404),
    [anon_sym_fn] = ACTIONS(1404),
    [anon_sym___global] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_asm] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_type] = ACTIONS(1404),
    [anon_sym_go] = ACTIONS(1404),
    [anon_sym_spawn] = ACTIONS(1404),
    [anon_sym_goto] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_DOLLARfor] = ACTIONS(1402),
    [anon_sym_DOLLARif] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_BANGis] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1404),
    [anon_sym_union] = ACTIONS(1404),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_interface] = ACTIONS(1404),
    [anon_sym_POUND] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(1404),
    [anon_sym_import] = ACTIONS(1404),
    [anon_sym_match] = ACTIONS(1404),
    [anon_sym_select] = ACTIONS(1404),
    [anon_sym_lock] = ACTIONS(1404),
    [anon_sym_rlock] = ACTIONS(1404),
    [sym__automatic_separator] = ACTIONS(1402),
    [sym__c_string_opening] = ACTIONS(1402),
    [sym__raw_string_opening] = ACTIONS(1402),
    [sym__string_opening] = ACTIONS(1402),
    [sym__comment] = ACTIONS(3),
  },
  [215] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(215),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4773),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [216] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(216),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4771),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [217] = {
    [sym_comment] = STATE(217),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_LT_DASH] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PERCENT] = ACTIONS(1412),
    [anon_sym_LT_LT] = ACTIONS(1412),
    [anon_sym_GT_GT] = ACTIONS(1412),
    [anon_sym_GT_GT_GT] = ACTIONS(1412),
    [anon_sym_AMP_CARET] = ACTIONS(1412),
    [anon_sym_PIPE] = ACTIONS(1412),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1412),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_BANGin] = ACTIONS(1410),
    [anon_sym_AMP_AMP] = ACTIONS(1410),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_as] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [sym_none] = ACTIONS(1412),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_map_LBRACK] = ACTIONS(1410),
    [anon_sym_chan] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_thread] = ACTIONS(1412),
    [sym_int_literal] = ACTIONS(1412),
    [sym_float_literal] = ACTIONS(1410),
    [sym_rune_literal] = ACTIONS(1410),
    [anon_sym_DOT] = ACTIONS(1412),
    [anon_sym_array] = ACTIONS(1412),
    [anon_sym_string] = ACTIONS(1412),
    [anon_sym_char] = ACTIONS(1412),
    [anon_sym_sql] = ACTIONS(1412),
    [anon_sym_mut] = ACTIONS(1412),
    [anon_sym_C] = ACTIONS(1412),
    [anon_sym_JS] = ACTIONS(1412),
    [anon_sym_voidptr] = ACTIONS(1412),
    [anon_sym_byteptr] = ACTIONS(1412),
    [anon_sym_charptr] = ACTIONS(1412),
    [anon_sym_i8] = ACTIONS(1412),
    [anon_sym_i16] = ACTIONS(1412),
    [anon_sym_i32] = ACTIONS(1412),
    [anon_sym_int] = ACTIONS(1412),
    [anon_sym_i64] = ACTIONS(1412),
    [anon_sym_byte] = ACTIONS(1412),
    [anon_sym_u8] = ACTIONS(1412),
    [anon_sym_u16] = ACTIONS(1412),
    [anon_sym_u32] = ACTIONS(1412),
    [anon_sym_u64] = ACTIONS(1412),
    [anon_sym_f32] = ACTIONS(1412),
    [anon_sym_f64] = ACTIONS(1412),
    [anon_sym_bool] = ACTIONS(1412),
    [anon_sym_rune] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1412),
    [anon_sym_mapnode] = ACTIONS(1412),
    [anon_sym_size_t] = ACTIONS(1412),
    [anon_sym_usize] = ACTIONS(1412),
    [anon_sym_isize] = ACTIONS(1412),
    [anon_sym_float_literal] = ACTIONS(1412),
    [anon_sym_int_literal] = ACTIONS(1412),
    [anon_sym_IError] = ACTIONS(1412),
    [sym_type_placeholder] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [sym_type_identifier] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_COLON_EQ] = ACTIONS(1410),
    [anon_sym_STAR_EQ] = ACTIONS(1410),
    [anon_sym_SLASH_EQ] = ACTIONS(1410),
    [anon_sym_PERCENT_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT_EQ] = ACTIONS(1410),
    [anon_sym_GT_GT_EQ] = ACTIONS(1410),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1410),
    [anon_sym_AMP_EQ] = ACTIONS(1410),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1410),
    [anon_sym_DASH_EQ] = ACTIONS(1410),
    [anon_sym_PIPE_EQ] = ACTIONS(1410),
    [anon_sym_CARET_EQ] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1412),
    [anon_sym_assert] = ACTIONS(1412),
    [anon_sym_defer] = ACTIONS(1412),
    [anon_sym_unsafe] = ACTIONS(1412),
    [anon_sym_pub] = ACTIONS(1412),
    [anon_sym_fn] = ACTIONS(1412),
    [anon_sym___global] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_type] = ACTIONS(1412),
    [anon_sym_go] = ACTIONS(1412),
    [anon_sym_spawn] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_DOLLARfor] = ACTIONS(1410),
    [anon_sym_DOLLARif] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_is] = ACTIONS(1412),
    [anon_sym_BANGis] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_POUND] = ACTIONS(1410),
    [anon_sym_module] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(1412),
    [anon_sym_match] = ACTIONS(1412),
    [anon_sym_select] = ACTIONS(1412),
    [anon_sym_lock] = ACTIONS(1412),
    [anon_sym_rlock] = ACTIONS(1412),
    [sym__automatic_separator] = ACTIONS(1410),
    [sym__c_string_opening] = ACTIONS(1410),
    [sym__raw_string_opening] = ACTIONS(1410),
    [sym__string_opening] = ACTIONS(1410),
    [sym__comment] = ACTIONS(3),
  },
  [218] = {
    [sym_comment] = STATE(218),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_GT_GT_GT] = ACTIONS(1416),
    [anon_sym_AMP_CARET] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_BANGin] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [sym_none] = ACTIONS(1416),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_map_LBRACK] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_thread] = ACTIONS(1416),
    [sym_int_literal] = ACTIONS(1416),
    [sym_float_literal] = ACTIONS(1414),
    [sym_rune_literal] = ACTIONS(1414),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_array] = ACTIONS(1416),
    [anon_sym_string] = ACTIONS(1416),
    [anon_sym_char] = ACTIONS(1416),
    [anon_sym_sql] = ACTIONS(1416),
    [anon_sym_mut] = ACTIONS(1416),
    [anon_sym_C] = ACTIONS(1416),
    [anon_sym_JS] = ACTIONS(1416),
    [anon_sym_voidptr] = ACTIONS(1416),
    [anon_sym_byteptr] = ACTIONS(1416),
    [anon_sym_charptr] = ACTIONS(1416),
    [anon_sym_i8] = ACTIONS(1416),
    [anon_sym_i16] = ACTIONS(1416),
    [anon_sym_i32] = ACTIONS(1416),
    [anon_sym_int] = ACTIONS(1416),
    [anon_sym_i64] = ACTIONS(1416),
    [anon_sym_byte] = ACTIONS(1416),
    [anon_sym_u8] = ACTIONS(1416),
    [anon_sym_u16] = ACTIONS(1416),
    [anon_sym_u32] = ACTIONS(1416),
    [anon_sym_u64] = ACTIONS(1416),
    [anon_sym_f32] = ACTIONS(1416),
    [anon_sym_f64] = ACTIONS(1416),
    [anon_sym_bool] = ACTIONS(1416),
    [anon_sym_rune] = ACTIONS(1416),
    [anon_sym_map] = ACTIONS(1416),
    [anon_sym_mapnode] = ACTIONS(1416),
    [anon_sym_size_t] = ACTIONS(1416),
    [anon_sym_usize] = ACTIONS(1416),
    [anon_sym_isize] = ACTIONS(1416),
    [anon_sym_float_literal] = ACTIONS(1416),
    [anon_sym_int_literal] = ACTIONS(1416),
    [anon_sym_IError] = ACTIONS(1416),
    [sym_type_placeholder] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym_type_identifier] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_COLON_EQ] = ACTIONS(1414),
    [anon_sym_STAR_EQ] = ACTIONS(1414),
    [anon_sym_SLASH_EQ] = ACTIONS(1414),
    [anon_sym_PERCENT_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT_GT_EQ] = ACTIONS(1414),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1414),
    [anon_sym_AMP_EQ] = ACTIONS(1414),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1414),
    [anon_sym_PLUS_EQ] = ACTIONS(1414),
    [anon_sym_DASH_EQ] = ACTIONS(1414),
    [anon_sym_PIPE_EQ] = ACTIONS(1414),
    [anon_sym_CARET_EQ] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_assert] = ACTIONS(1416),
    [anon_sym_defer] = ACTIONS(1416),
    [anon_sym_unsafe] = ACTIONS(1416),
    [anon_sym_pub] = ACTIONS(1416),
    [anon_sym_fn] = ACTIONS(1416),
    [anon_sym___global] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_type] = ACTIONS(1416),
    [anon_sym_go] = ACTIONS(1416),
    [anon_sym_spawn] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_DOLLARfor] = ACTIONS(1414),
    [anon_sym_DOLLARif] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1416),
    [anon_sym_BANGis] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_interface] = ACTIONS(1416),
    [anon_sym_POUND] = ACTIONS(1414),
    [anon_sym_module] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(1416),
    [anon_sym_match] = ACTIONS(1416),
    [anon_sym_select] = ACTIONS(1416),
    [anon_sym_lock] = ACTIONS(1416),
    [anon_sym_rlock] = ACTIONS(1416),
    [sym__automatic_separator] = ACTIONS(1414),
    [sym__c_string_opening] = ACTIONS(1414),
    [sym__raw_string_opening] = ACTIONS(1414),
    [sym__string_opening] = ACTIONS(1414),
    [sym__comment] = ACTIONS(3),
  },
  [219] = {
    [sym_comment] = STATE(219),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_LT_DASH] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PERCENT] = ACTIONS(1420),
    [anon_sym_LT_LT] = ACTIONS(1420),
    [anon_sym_GT_GT] = ACTIONS(1420),
    [anon_sym_GT_GT_GT] = ACTIONS(1420),
    [anon_sym_AMP_CARET] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_BANGin] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_as] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [sym_none] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_map_LBRACK] = ACTIONS(1418),
    [anon_sym_chan] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_thread] = ACTIONS(1420),
    [sym_int_literal] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1418),
    [sym_rune_literal] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_array] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_char] = ACTIONS(1420),
    [anon_sym_sql] = ACTIONS(1420),
    [anon_sym_mut] = ACTIONS(1420),
    [anon_sym_C] = ACTIONS(1420),
    [anon_sym_JS] = ACTIONS(1420),
    [anon_sym_voidptr] = ACTIONS(1420),
    [anon_sym_byteptr] = ACTIONS(1420),
    [anon_sym_charptr] = ACTIONS(1420),
    [anon_sym_i8] = ACTIONS(1420),
    [anon_sym_i16] = ACTIONS(1420),
    [anon_sym_i32] = ACTIONS(1420),
    [anon_sym_int] = ACTIONS(1420),
    [anon_sym_i64] = ACTIONS(1420),
    [anon_sym_byte] = ACTIONS(1420),
    [anon_sym_u8] = ACTIONS(1420),
    [anon_sym_u16] = ACTIONS(1420),
    [anon_sym_u32] = ACTIONS(1420),
    [anon_sym_u64] = ACTIONS(1420),
    [anon_sym_f32] = ACTIONS(1420),
    [anon_sym_f64] = ACTIONS(1420),
    [anon_sym_bool] = ACTIONS(1420),
    [anon_sym_rune] = ACTIONS(1420),
    [anon_sym_map] = ACTIONS(1420),
    [anon_sym_mapnode] = ACTIONS(1420),
    [anon_sym_size_t] = ACTIONS(1420),
    [anon_sym_usize] = ACTIONS(1420),
    [anon_sym_isize] = ACTIONS(1420),
    [anon_sym_float_literal] = ACTIONS(1420),
    [anon_sym_int_literal] = ACTIONS(1420),
    [anon_sym_IError] = ACTIONS(1420),
    [sym_type_placeholder] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [sym_type_identifier] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_COLON_EQ] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1418),
    [anon_sym_SLASH_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_AMP_EQ] = ACTIONS(1418),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1418),
    [anon_sym_PLUS_EQ] = ACTIONS(1418),
    [anon_sym_DASH_EQ] = ACTIONS(1418),
    [anon_sym_PIPE_EQ] = ACTIONS(1418),
    [anon_sym_CARET_EQ] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1420),
    [anon_sym_assert] = ACTIONS(1420),
    [anon_sym_defer] = ACTIONS(1420),
    [anon_sym_unsafe] = ACTIONS(1420),
    [anon_sym_pub] = ACTIONS(1420),
    [anon_sym_fn] = ACTIONS(1420),
    [anon_sym___global] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_go] = ACTIONS(1420),
    [anon_sym_spawn] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_DOLLARfor] = ACTIONS(1418),
    [anon_sym_DOLLARif] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_is] = ACTIONS(1420),
    [anon_sym_BANGis] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_interface] = ACTIONS(1420),
    [anon_sym_POUND] = ACTIONS(1418),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_import] = ACTIONS(1420),
    [anon_sym_match] = ACTIONS(1420),
    [anon_sym_select] = ACTIONS(1420),
    [anon_sym_lock] = ACTIONS(1420),
    [anon_sym_rlock] = ACTIONS(1420),
    [sym__automatic_separator] = ACTIONS(1418),
    [sym__c_string_opening] = ACTIONS(1418),
    [sym__raw_string_opening] = ACTIONS(1418),
    [sym__string_opening] = ACTIONS(1418),
    [sym__comment] = ACTIONS(3),
  },
  [220] = {
    [sym_comment] = STATE(220),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_LT_DASH] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_GT_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(1424),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_BANGin] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [sym_none] = ACTIONS(1424),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_map_LBRACK] = ACTIONS(1422),
    [anon_sym_chan] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_thread] = ACTIONS(1424),
    [sym_int_literal] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1422),
    [sym_rune_literal] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_array] = ACTIONS(1424),
    [anon_sym_string] = ACTIONS(1424),
    [anon_sym_char] = ACTIONS(1424),
    [anon_sym_sql] = ACTIONS(1424),
    [anon_sym_mut] = ACTIONS(1424),
    [anon_sym_C] = ACTIONS(1424),
    [anon_sym_JS] = ACTIONS(1424),
    [anon_sym_voidptr] = ACTIONS(1424),
    [anon_sym_byteptr] = ACTIONS(1424),
    [anon_sym_charptr] = ACTIONS(1424),
    [anon_sym_i8] = ACTIONS(1424),
    [anon_sym_i16] = ACTIONS(1424),
    [anon_sym_i32] = ACTIONS(1424),
    [anon_sym_int] = ACTIONS(1424),
    [anon_sym_i64] = ACTIONS(1424),
    [anon_sym_byte] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1424),
    [anon_sym_u16] = ACTIONS(1424),
    [anon_sym_u32] = ACTIONS(1424),
    [anon_sym_u64] = ACTIONS(1424),
    [anon_sym_f32] = ACTIONS(1424),
    [anon_sym_f64] = ACTIONS(1424),
    [anon_sym_bool] = ACTIONS(1424),
    [anon_sym_rune] = ACTIONS(1424),
    [anon_sym_map] = ACTIONS(1424),
    [anon_sym_mapnode] = ACTIONS(1424),
    [anon_sym_size_t] = ACTIONS(1424),
    [anon_sym_usize] = ACTIONS(1424),
    [anon_sym_isize] = ACTIONS(1424),
    [anon_sym_float_literal] = ACTIONS(1424),
    [anon_sym_int_literal] = ACTIONS(1424),
    [anon_sym_IError] = ACTIONS(1424),
    [sym_type_placeholder] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [sym_type_identifier] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_COLON_EQ] = ACTIONS(1422),
    [anon_sym_STAR_EQ] = ACTIONS(1422),
    [anon_sym_SLASH_EQ] = ACTIONS(1422),
    [anon_sym_PERCENT_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT_EQ] = ACTIONS(1422),
    [anon_sym_GT_GT_EQ] = ACTIONS(1422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1422),
    [anon_sym_AMP_EQ] = ACTIONS(1422),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1422),
    [anon_sym_PLUS_EQ] = ACTIONS(1422),
    [anon_sym_DASH_EQ] = ACTIONS(1422),
    [anon_sym_PIPE_EQ] = ACTIONS(1422),
    [anon_sym_CARET_EQ] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1424),
    [anon_sym_assert] = ACTIONS(1424),
    [anon_sym_defer] = ACTIONS(1424),
    [anon_sym_unsafe] = ACTIONS(1424),
    [anon_sym_pub] = ACTIONS(1424),
    [anon_sym_fn] = ACTIONS(1424),
    [anon_sym___global] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_type] = ACTIONS(1424),
    [anon_sym_go] = ACTIONS(1424),
    [anon_sym_spawn] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_DOLLARfor] = ACTIONS(1422),
    [anon_sym_DOLLARif] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_is] = ACTIONS(1424),
    [anon_sym_BANGis] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_interface] = ACTIONS(1424),
    [anon_sym_POUND] = ACTIONS(1422),
    [anon_sym_module] = ACTIONS(1424),
    [anon_sym_import] = ACTIONS(1424),
    [anon_sym_match] = ACTIONS(1424),
    [anon_sym_select] = ACTIONS(1424),
    [anon_sym_lock] = ACTIONS(1424),
    [anon_sym_rlock] = ACTIONS(1424),
    [sym__automatic_separator] = ACTIONS(1422),
    [sym__c_string_opening] = ACTIONS(1422),
    [sym__raw_string_opening] = ACTIONS(1422),
    [sym__string_opening] = ACTIONS(1422),
    [sym__comment] = ACTIONS(3),
  },
  [221] = {
    [sym_comment] = STATE(221),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_LT_DASH] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1428),
    [anon_sym_LT_LT] = ACTIONS(1428),
    [anon_sym_GT_GT] = ACTIONS(1428),
    [anon_sym_GT_GT_GT] = ACTIONS(1428),
    [anon_sym_AMP_CARET] = ACTIONS(1428),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_BANGin] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_as] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [sym_none] = ACTIONS(1428),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_map_LBRACK] = ACTIONS(1426),
    [anon_sym_chan] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_thread] = ACTIONS(1428),
    [sym_int_literal] = ACTIONS(1428),
    [sym_float_literal] = ACTIONS(1426),
    [sym_rune_literal] = ACTIONS(1426),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_array] = ACTIONS(1428),
    [anon_sym_string] = ACTIONS(1428),
    [anon_sym_char] = ACTIONS(1428),
    [anon_sym_sql] = ACTIONS(1428),
    [anon_sym_mut] = ACTIONS(1428),
    [anon_sym_C] = ACTIONS(1428),
    [anon_sym_JS] = ACTIONS(1428),
    [anon_sym_voidptr] = ACTIONS(1428),
    [anon_sym_byteptr] = ACTIONS(1428),
    [anon_sym_charptr] = ACTIONS(1428),
    [anon_sym_i8] = ACTIONS(1428),
    [anon_sym_i16] = ACTIONS(1428),
    [anon_sym_i32] = ACTIONS(1428),
    [anon_sym_int] = ACTIONS(1428),
    [anon_sym_i64] = ACTIONS(1428),
    [anon_sym_byte] = ACTIONS(1428),
    [anon_sym_u8] = ACTIONS(1428),
    [anon_sym_u16] = ACTIONS(1428),
    [anon_sym_u32] = ACTIONS(1428),
    [anon_sym_u64] = ACTIONS(1428),
    [anon_sym_f32] = ACTIONS(1428),
    [anon_sym_f64] = ACTIONS(1428),
    [anon_sym_bool] = ACTIONS(1428),
    [anon_sym_rune] = ACTIONS(1428),
    [anon_sym_map] = ACTIONS(1428),
    [anon_sym_mapnode] = ACTIONS(1428),
    [anon_sym_size_t] = ACTIONS(1428),
    [anon_sym_usize] = ACTIONS(1428),
    [anon_sym_isize] = ACTIONS(1428),
    [anon_sym_float_literal] = ACTIONS(1428),
    [anon_sym_int_literal] = ACTIONS(1428),
    [anon_sym_IError] = ACTIONS(1428),
    [sym_type_placeholder] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [sym_type_identifier] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_COLON_EQ] = ACTIONS(1426),
    [anon_sym_STAR_EQ] = ACTIONS(1426),
    [anon_sym_SLASH_EQ] = ACTIONS(1426),
    [anon_sym_PERCENT_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT_EQ] = ACTIONS(1426),
    [anon_sym_GT_GT_EQ] = ACTIONS(1426),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1426),
    [anon_sym_AMP_EQ] = ACTIONS(1426),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1426),
    [anon_sym_PLUS_EQ] = ACTIONS(1426),
    [anon_sym_DASH_EQ] = ACTIONS(1426),
    [anon_sym_PIPE_EQ] = ACTIONS(1426),
    [anon_sym_CARET_EQ] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_assert] = ACTIONS(1428),
    [anon_sym_defer] = ACTIONS(1428),
    [anon_sym_unsafe] = ACTIONS(1428),
    [anon_sym_pub] = ACTIONS(1428),
    [anon_sym_fn] = ACTIONS(1428),
    [anon_sym___global] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_type] = ACTIONS(1428),
    [anon_sym_go] = ACTIONS(1428),
    [anon_sym_spawn] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_DOLLARfor] = ACTIONS(1426),
    [anon_sym_DOLLARif] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_is] = ACTIONS(1428),
    [anon_sym_BANGis] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_interface] = ACTIONS(1428),
    [anon_sym_POUND] = ACTIONS(1426),
    [anon_sym_module] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1428),
    [anon_sym_match] = ACTIONS(1428),
    [anon_sym_select] = ACTIONS(1428),
    [anon_sym_lock] = ACTIONS(1428),
    [anon_sym_rlock] = ACTIONS(1428),
    [sym__automatic_separator] = ACTIONS(1426),
    [sym__c_string_opening] = ACTIONS(1426),
    [sym__raw_string_opening] = ACTIONS(1426),
    [sym__string_opening] = ACTIONS(1426),
    [sym__comment] = ACTIONS(3),
  },
  [222] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(222),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4960),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [223] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(223),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4959),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [224] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(224),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4952),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [225] = {
    [sym_comment] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_LT_DASH] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_PERCENT] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_GT_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1438),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_in] = ACTIONS(1438),
    [anon_sym_BANGin] = ACTIONS(1436),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_as] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [sym_none] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_map_LBRACK] = ACTIONS(1436),
    [anon_sym_chan] = ACTIONS(1438),
    [anon_sym_shared] = ACTIONS(1438),
    [anon_sym_thread] = ACTIONS(1438),
    [sym_int_literal] = ACTIONS(1438),
    [sym_float_literal] = ACTIONS(1436),
    [sym_rune_literal] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1438),
    [anon_sym_array] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_char] = ACTIONS(1438),
    [anon_sym_sql] = ACTIONS(1438),
    [anon_sym_mut] = ACTIONS(1438),
    [anon_sym_C] = ACTIONS(1438),
    [anon_sym_JS] = ACTIONS(1438),
    [anon_sym_voidptr] = ACTIONS(1438),
    [anon_sym_byteptr] = ACTIONS(1438),
    [anon_sym_charptr] = ACTIONS(1438),
    [anon_sym_i8] = ACTIONS(1438),
    [anon_sym_i16] = ACTIONS(1438),
    [anon_sym_i32] = ACTIONS(1438),
    [anon_sym_int] = ACTIONS(1438),
    [anon_sym_i64] = ACTIONS(1438),
    [anon_sym_byte] = ACTIONS(1438),
    [anon_sym_u8] = ACTIONS(1438),
    [anon_sym_u16] = ACTIONS(1438),
    [anon_sym_u32] = ACTIONS(1438),
    [anon_sym_u64] = ACTIONS(1438),
    [anon_sym_f32] = ACTIONS(1438),
    [anon_sym_f64] = ACTIONS(1438),
    [anon_sym_bool] = ACTIONS(1438),
    [anon_sym_rune] = ACTIONS(1438),
    [anon_sym_map] = ACTIONS(1438),
    [anon_sym_mapnode] = ACTIONS(1438),
    [anon_sym_size_t] = ACTIONS(1438),
    [anon_sym_usize] = ACTIONS(1438),
    [anon_sym_isize] = ACTIONS(1438),
    [anon_sym_float_literal] = ACTIONS(1438),
    [anon_sym_int_literal] = ACTIONS(1438),
    [anon_sym_IError] = ACTIONS(1438),
    [sym_type_placeholder] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [sym_type_identifier] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_COLON_EQ] = ACTIONS(1436),
    [anon_sym_STAR_EQ] = ACTIONS(1436),
    [anon_sym_SLASH_EQ] = ACTIONS(1436),
    [anon_sym_PERCENT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_GT_EQ] = ACTIONS(1436),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1436),
    [anon_sym_AMP_EQ] = ACTIONS(1436),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1436),
    [anon_sym_PLUS_EQ] = ACTIONS(1436),
    [anon_sym_DASH_EQ] = ACTIONS(1436),
    [anon_sym_PIPE_EQ] = ACTIONS(1436),
    [anon_sym_CARET_EQ] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1438),
    [anon_sym_assert] = ACTIONS(1438),
    [anon_sym_defer] = ACTIONS(1438),
    [anon_sym_unsafe] = ACTIONS(1438),
    [anon_sym_pub] = ACTIONS(1438),
    [anon_sym_fn] = ACTIONS(1438),
    [anon_sym___global] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_go] = ACTIONS(1438),
    [anon_sym_spawn] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_DOLLARfor] = ACTIONS(1436),
    [anon_sym_DOLLARif] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_is] = ACTIONS(1438),
    [anon_sym_BANGis] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1438),
    [anon_sym_union] = ACTIONS(1438),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_interface] = ACTIONS(1438),
    [anon_sym_POUND] = ACTIONS(1436),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_match] = ACTIONS(1438),
    [anon_sym_select] = ACTIONS(1438),
    [anon_sym_lock] = ACTIONS(1438),
    [anon_sym_rlock] = ACTIONS(1438),
    [sym__automatic_separator] = ACTIONS(1436),
    [sym__c_string_opening] = ACTIONS(1436),
    [sym__raw_string_opening] = ACTIONS(1436),
    [sym__string_opening] = ACTIONS(1436),
    [sym__comment] = ACTIONS(3),
  },
  [226] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(226),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4760),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [227] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(227),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4703),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [228] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(228),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4702),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(233),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [229] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(229),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4721),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [230] = {
    [sym_comment] = STATE(230),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_LT_DASH] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_BANGin] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_as] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [sym_none] = ACTIONS(1450),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_map_LBRACK] = ACTIONS(1448),
    [anon_sym_chan] = ACTIONS(1450),
    [anon_sym_shared] = ACTIONS(1450),
    [anon_sym_thread] = ACTIONS(1450),
    [sym_int_literal] = ACTIONS(1450),
    [sym_float_literal] = ACTIONS(1448),
    [sym_rune_literal] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1450),
    [anon_sym_array] = ACTIONS(1450),
    [anon_sym_string] = ACTIONS(1450),
    [anon_sym_char] = ACTIONS(1450),
    [anon_sym_sql] = ACTIONS(1450),
    [anon_sym_mut] = ACTIONS(1450),
    [anon_sym_C] = ACTIONS(1450),
    [anon_sym_JS] = ACTIONS(1450),
    [anon_sym_voidptr] = ACTIONS(1450),
    [anon_sym_byteptr] = ACTIONS(1450),
    [anon_sym_charptr] = ACTIONS(1450),
    [anon_sym_i8] = ACTIONS(1450),
    [anon_sym_i16] = ACTIONS(1450),
    [anon_sym_i32] = ACTIONS(1450),
    [anon_sym_int] = ACTIONS(1450),
    [anon_sym_i64] = ACTIONS(1450),
    [anon_sym_byte] = ACTIONS(1450),
    [anon_sym_u8] = ACTIONS(1450),
    [anon_sym_u16] = ACTIONS(1450),
    [anon_sym_u32] = ACTIONS(1450),
    [anon_sym_u64] = ACTIONS(1450),
    [anon_sym_f32] = ACTIONS(1450),
    [anon_sym_f64] = ACTIONS(1450),
    [anon_sym_bool] = ACTIONS(1450),
    [anon_sym_rune] = ACTIONS(1450),
    [anon_sym_map] = ACTIONS(1450),
    [anon_sym_mapnode] = ACTIONS(1450),
    [anon_sym_size_t] = ACTIONS(1450),
    [anon_sym_usize] = ACTIONS(1450),
    [anon_sym_isize] = ACTIONS(1450),
    [anon_sym_float_literal] = ACTIONS(1450),
    [anon_sym_int_literal] = ACTIONS(1450),
    [anon_sym_IError] = ACTIONS(1450),
    [sym_type_placeholder] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [sym_type_identifier] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_COLON_EQ] = ACTIONS(1448),
    [anon_sym_STAR_EQ] = ACTIONS(1448),
    [anon_sym_SLASH_EQ] = ACTIONS(1448),
    [anon_sym_PERCENT_EQ] = ACTIONS(1448),
    [anon_sym_LT_LT_EQ] = ACTIONS(1448),
    [anon_sym_GT_GT_EQ] = ACTIONS(1448),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1448),
    [anon_sym_AMP_EQ] = ACTIONS(1448),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1448),
    [anon_sym_PLUS_EQ] = ACTIONS(1448),
    [anon_sym_DASH_EQ] = ACTIONS(1448),
    [anon_sym_PIPE_EQ] = ACTIONS(1448),
    [anon_sym_CARET_EQ] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1450),
    [anon_sym_assert] = ACTIONS(1450),
    [anon_sym_defer] = ACTIONS(1450),
    [anon_sym_unsafe] = ACTIONS(1450),
    [anon_sym_pub] = ACTIONS(1450),
    [anon_sym_fn] = ACTIONS(1450),
    [anon_sym___global] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_type] = ACTIONS(1450),
    [anon_sym_go] = ACTIONS(1450),
    [anon_sym_spawn] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_DOLLARfor] = ACTIONS(1448),
    [anon_sym_DOLLARif] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_is] = ACTIONS(1450),
    [anon_sym_BANGis] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1450),
    [anon_sym_union] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_interface] = ACTIONS(1450),
    [anon_sym_POUND] = ACTIONS(1448),
    [anon_sym_module] = ACTIONS(1450),
    [anon_sym_import] = ACTIONS(1450),
    [anon_sym_match] = ACTIONS(1450),
    [anon_sym_select] = ACTIONS(1450),
    [anon_sym_lock] = ACTIONS(1450),
    [anon_sym_rlock] = ACTIONS(1450),
    [sym__automatic_separator] = ACTIONS(1448),
    [sym__c_string_opening] = ACTIONS(1448),
    [sym__raw_string_opening] = ACTIONS(1448),
    [sym__string_opening] = ACTIONS(1448),
    [sym__comment] = ACTIONS(3),
  },
  [231] = {
    [sym_comment] = STATE(231),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_LT_DASH] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_GT_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1454),
    [anon_sym_BANGin] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [sym_none] = ACTIONS(1454),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_map_LBRACK] = ACTIONS(1452),
    [anon_sym_chan] = ACTIONS(1454),
    [anon_sym_shared] = ACTIONS(1454),
    [anon_sym_thread] = ACTIONS(1454),
    [sym_int_literal] = ACTIONS(1454),
    [sym_float_literal] = ACTIONS(1452),
    [sym_rune_literal] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_array] = ACTIONS(1454),
    [anon_sym_string] = ACTIONS(1454),
    [anon_sym_char] = ACTIONS(1454),
    [anon_sym_sql] = ACTIONS(1454),
    [anon_sym_mut] = ACTIONS(1454),
    [anon_sym_C] = ACTIONS(1454),
    [anon_sym_JS] = ACTIONS(1454),
    [anon_sym_voidptr] = ACTIONS(1454),
    [anon_sym_byteptr] = ACTIONS(1454),
    [anon_sym_charptr] = ACTIONS(1454),
    [anon_sym_i8] = ACTIONS(1454),
    [anon_sym_i16] = ACTIONS(1454),
    [anon_sym_i32] = ACTIONS(1454),
    [anon_sym_int] = ACTIONS(1454),
    [anon_sym_i64] = ACTIONS(1454),
    [anon_sym_byte] = ACTIONS(1454),
    [anon_sym_u8] = ACTIONS(1454),
    [anon_sym_u16] = ACTIONS(1454),
    [anon_sym_u32] = ACTIONS(1454),
    [anon_sym_u64] = ACTIONS(1454),
    [anon_sym_f32] = ACTIONS(1454),
    [anon_sym_f64] = ACTIONS(1454),
    [anon_sym_bool] = ACTIONS(1454),
    [anon_sym_rune] = ACTIONS(1454),
    [anon_sym_map] = ACTIONS(1454),
    [anon_sym_mapnode] = ACTIONS(1454),
    [anon_sym_size_t] = ACTIONS(1454),
    [anon_sym_usize] = ACTIONS(1454),
    [anon_sym_isize] = ACTIONS(1454),
    [anon_sym_float_literal] = ACTIONS(1454),
    [anon_sym_int_literal] = ACTIONS(1454),
    [anon_sym_IError] = ACTIONS(1454),
    [sym_type_placeholder] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym_type_identifier] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_COLON_EQ] = ACTIONS(1452),
    [anon_sym_STAR_EQ] = ACTIONS(1452),
    [anon_sym_SLASH_EQ] = ACTIONS(1452),
    [anon_sym_PERCENT_EQ] = ACTIONS(1452),
    [anon_sym_LT_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT_GT_EQ] = ACTIONS(1452),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1452),
    [anon_sym_AMP_EQ] = ACTIONS(1452),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1452),
    [anon_sym_PLUS_EQ] = ACTIONS(1452),
    [anon_sym_DASH_EQ] = ACTIONS(1452),
    [anon_sym_PIPE_EQ] = ACTIONS(1452),
    [anon_sym_CARET_EQ] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_assert] = ACTIONS(1454),
    [anon_sym_defer] = ACTIONS(1454),
    [anon_sym_unsafe] = ACTIONS(1454),
    [anon_sym_pub] = ACTIONS(1454),
    [anon_sym_fn] = ACTIONS(1454),
    [anon_sym___global] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_type] = ACTIONS(1454),
    [anon_sym_go] = ACTIONS(1454),
    [anon_sym_spawn] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_DOLLARfor] = ACTIONS(1452),
    [anon_sym_DOLLARif] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_is] = ACTIONS(1454),
    [anon_sym_BANGis] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1454),
    [anon_sym_union] = ACTIONS(1454),
    [anon_sym_enum] = ACTIONS(1454),
    [anon_sym_interface] = ACTIONS(1454),
    [anon_sym_POUND] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1454),
    [anon_sym_import] = ACTIONS(1454),
    [anon_sym_match] = ACTIONS(1454),
    [anon_sym_select] = ACTIONS(1454),
    [anon_sym_lock] = ACTIONS(1454),
    [anon_sym_rlock] = ACTIONS(1454),
    [sym__automatic_separator] = ACTIONS(1452),
    [sym__c_string_opening] = ACTIONS(1452),
    [sym__raw_string_opening] = ACTIONS(1452),
    [sym__string_opening] = ACTIONS(1452),
    [sym__comment] = ACTIONS(3),
  },
  [232] = {
    [sym_comment] = STATE(232),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_GT_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1458),
    [anon_sym_BANGin] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_as] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [sym_none] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_map_LBRACK] = ACTIONS(1456),
    [anon_sym_chan] = ACTIONS(1458),
    [anon_sym_shared] = ACTIONS(1458),
    [anon_sym_thread] = ACTIONS(1458),
    [sym_int_literal] = ACTIONS(1458),
    [sym_float_literal] = ACTIONS(1456),
    [sym_rune_literal] = ACTIONS(1456),
    [anon_sym_DOT] = ACTIONS(1458),
    [anon_sym_array] = ACTIONS(1458),
    [anon_sym_string] = ACTIONS(1458),
    [anon_sym_char] = ACTIONS(1458),
    [anon_sym_sql] = ACTIONS(1458),
    [anon_sym_mut] = ACTIONS(1458),
    [anon_sym_C] = ACTIONS(1458),
    [anon_sym_JS] = ACTIONS(1458),
    [anon_sym_voidptr] = ACTIONS(1458),
    [anon_sym_byteptr] = ACTIONS(1458),
    [anon_sym_charptr] = ACTIONS(1458),
    [anon_sym_i8] = ACTIONS(1458),
    [anon_sym_i16] = ACTIONS(1458),
    [anon_sym_i32] = ACTIONS(1458),
    [anon_sym_int] = ACTIONS(1458),
    [anon_sym_i64] = ACTIONS(1458),
    [anon_sym_byte] = ACTIONS(1458),
    [anon_sym_u8] = ACTIONS(1458),
    [anon_sym_u16] = ACTIONS(1458),
    [anon_sym_u32] = ACTIONS(1458),
    [anon_sym_u64] = ACTIONS(1458),
    [anon_sym_f32] = ACTIONS(1458),
    [anon_sym_f64] = ACTIONS(1458),
    [anon_sym_bool] = ACTIONS(1458),
    [anon_sym_rune] = ACTIONS(1458),
    [anon_sym_map] = ACTIONS(1458),
    [anon_sym_mapnode] = ACTIONS(1458),
    [anon_sym_size_t] = ACTIONS(1458),
    [anon_sym_usize] = ACTIONS(1458),
    [anon_sym_isize] = ACTIONS(1458),
    [anon_sym_float_literal] = ACTIONS(1458),
    [anon_sym_int_literal] = ACTIONS(1458),
    [anon_sym_IError] = ACTIONS(1458),
    [sym_type_placeholder] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [sym_type_identifier] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_STAR_EQ] = ACTIONS(1456),
    [anon_sym_SLASH_EQ] = ACTIONS(1456),
    [anon_sym_PERCENT_EQ] = ACTIONS(1456),
    [anon_sym_LT_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT_GT_EQ] = ACTIONS(1456),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1456),
    [anon_sym_AMP_EQ] = ACTIONS(1456),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1456),
    [anon_sym_PLUS_EQ] = ACTIONS(1456),
    [anon_sym_DASH_EQ] = ACTIONS(1456),
    [anon_sym_PIPE_EQ] = ACTIONS(1456),
    [anon_sym_CARET_EQ] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_assert] = ACTIONS(1458),
    [anon_sym_defer] = ACTIONS(1458),
    [anon_sym_unsafe] = ACTIONS(1458),
    [anon_sym_pub] = ACTIONS(1458),
    [anon_sym_fn] = ACTIONS(1458),
    [anon_sym___global] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_type] = ACTIONS(1458),
    [anon_sym_go] = ACTIONS(1458),
    [anon_sym_spawn] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_DOLLARfor] = ACTIONS(1456),
    [anon_sym_DOLLARif] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1458),
    [anon_sym_BANGis] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1458),
    [anon_sym_union] = ACTIONS(1458),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_interface] = ACTIONS(1458),
    [anon_sym_POUND] = ACTIONS(1456),
    [anon_sym_module] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(1458),
    [anon_sym_match] = ACTIONS(1458),
    [anon_sym_select] = ACTIONS(1458),
    [anon_sym_lock] = ACTIONS(1458),
    [anon_sym_rlock] = ACTIONS(1458),
    [sym__automatic_separator] = ACTIONS(1456),
    [sym__c_string_opening] = ACTIONS(1456),
    [sym__raw_string_opening] = ACTIONS(1456),
    [sym__string_opening] = ACTIONS(1456),
    [sym__comment] = ACTIONS(3),
  },
  [233] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(233),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4694),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [234] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(234),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4711),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [235] = {
    [sym_comment] = STATE(235),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_BANGin] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [sym_none] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_map_LBRACK] = ACTIONS(1464),
    [anon_sym_chan] = ACTIONS(1466),
    [anon_sym_shared] = ACTIONS(1466),
    [anon_sym_thread] = ACTIONS(1466),
    [sym_int_literal] = ACTIONS(1466),
    [sym_float_literal] = ACTIONS(1464),
    [sym_rune_literal] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_array] = ACTIONS(1466),
    [anon_sym_string] = ACTIONS(1466),
    [anon_sym_char] = ACTIONS(1466),
    [anon_sym_sql] = ACTIONS(1466),
    [anon_sym_mut] = ACTIONS(1466),
    [anon_sym_C] = ACTIONS(1466),
    [anon_sym_JS] = ACTIONS(1466),
    [anon_sym_voidptr] = ACTIONS(1466),
    [anon_sym_byteptr] = ACTIONS(1466),
    [anon_sym_charptr] = ACTIONS(1466),
    [anon_sym_i8] = ACTIONS(1466),
    [anon_sym_i16] = ACTIONS(1466),
    [anon_sym_i32] = ACTIONS(1466),
    [anon_sym_int] = ACTIONS(1466),
    [anon_sym_i64] = ACTIONS(1466),
    [anon_sym_byte] = ACTIONS(1466),
    [anon_sym_u8] = ACTIONS(1466),
    [anon_sym_u16] = ACTIONS(1466),
    [anon_sym_u32] = ACTIONS(1466),
    [anon_sym_u64] = ACTIONS(1466),
    [anon_sym_f32] = ACTIONS(1466),
    [anon_sym_f64] = ACTIONS(1466),
    [anon_sym_bool] = ACTIONS(1466),
    [anon_sym_rune] = ACTIONS(1466),
    [anon_sym_map] = ACTIONS(1466),
    [anon_sym_mapnode] = ACTIONS(1466),
    [anon_sym_size_t] = ACTIONS(1466),
    [anon_sym_usize] = ACTIONS(1466),
    [anon_sym_isize] = ACTIONS(1466),
    [anon_sym_float_literal] = ACTIONS(1466),
    [anon_sym_int_literal] = ACTIONS(1466),
    [anon_sym_IError] = ACTIONS(1466),
    [sym_type_placeholder] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym_type_identifier] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_STAR_EQ] = ACTIONS(1464),
    [anon_sym_SLASH_EQ] = ACTIONS(1464),
    [anon_sym_PERCENT_EQ] = ACTIONS(1464),
    [anon_sym_LT_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT_GT_EQ] = ACTIONS(1464),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1464),
    [anon_sym_AMP_EQ] = ACTIONS(1464),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1464),
    [anon_sym_PLUS_EQ] = ACTIONS(1464),
    [anon_sym_DASH_EQ] = ACTIONS(1464),
    [anon_sym_PIPE_EQ] = ACTIONS(1464),
    [anon_sym_CARET_EQ] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_assert] = ACTIONS(1466),
    [anon_sym_defer] = ACTIONS(1466),
    [anon_sym_unsafe] = ACTIONS(1466),
    [anon_sym_pub] = ACTIONS(1466),
    [anon_sym_fn] = ACTIONS(1466),
    [anon_sym___global] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_type] = ACTIONS(1466),
    [anon_sym_go] = ACTIONS(1466),
    [anon_sym_spawn] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_DOLLARfor] = ACTIONS(1464),
    [anon_sym_DOLLARif] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_is] = ACTIONS(1466),
    [anon_sym_BANGis] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1466),
    [anon_sym_union] = ACTIONS(1466),
    [anon_sym_enum] = ACTIONS(1466),
    [anon_sym_interface] = ACTIONS(1466),
    [anon_sym_POUND] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1466),
    [anon_sym_import] = ACTIONS(1466),
    [anon_sym_match] = ACTIONS(1466),
    [anon_sym_select] = ACTIONS(1466),
    [anon_sym_lock] = ACTIONS(1466),
    [anon_sym_rlock] = ACTIONS(1466),
    [sym__automatic_separator] = ACTIONS(1464),
    [sym__c_string_opening] = ACTIONS(1464),
    [sym__raw_string_opening] = ACTIONS(1464),
    [sym__string_opening] = ACTIONS(1464),
    [sym__comment] = ACTIONS(3),
  },
  [236] = {
    [sym_comment] = STATE(236),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_PERCENT] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_GT_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_in] = ACTIONS(1470),
    [anon_sym_BANGin] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_as] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [sym_none] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_map_LBRACK] = ACTIONS(1468),
    [anon_sym_chan] = ACTIONS(1470),
    [anon_sym_shared] = ACTIONS(1470),
    [anon_sym_thread] = ACTIONS(1470),
    [sym_int_literal] = ACTIONS(1470),
    [sym_float_literal] = ACTIONS(1468),
    [sym_rune_literal] = ACTIONS(1468),
    [anon_sym_DOT] = ACTIONS(1470),
    [anon_sym_array] = ACTIONS(1470),
    [anon_sym_string] = ACTIONS(1470),
    [anon_sym_char] = ACTIONS(1470),
    [anon_sym_sql] = ACTIONS(1470),
    [anon_sym_mut] = ACTIONS(1470),
    [anon_sym_C] = ACTIONS(1470),
    [anon_sym_JS] = ACTIONS(1470),
    [anon_sym_voidptr] = ACTIONS(1470),
    [anon_sym_byteptr] = ACTIONS(1470),
    [anon_sym_charptr] = ACTIONS(1470),
    [anon_sym_i8] = ACTIONS(1470),
    [anon_sym_i16] = ACTIONS(1470),
    [anon_sym_i32] = ACTIONS(1470),
    [anon_sym_int] = ACTIONS(1470),
    [anon_sym_i64] = ACTIONS(1470),
    [anon_sym_byte] = ACTIONS(1470),
    [anon_sym_u8] = ACTIONS(1470),
    [anon_sym_u16] = ACTIONS(1470),
    [anon_sym_u32] = ACTIONS(1470),
    [anon_sym_u64] = ACTIONS(1470),
    [anon_sym_f32] = ACTIONS(1470),
    [anon_sym_f64] = ACTIONS(1470),
    [anon_sym_bool] = ACTIONS(1470),
    [anon_sym_rune] = ACTIONS(1470),
    [anon_sym_map] = ACTIONS(1470),
    [anon_sym_mapnode] = ACTIONS(1470),
    [anon_sym_size_t] = ACTIONS(1470),
    [anon_sym_usize] = ACTIONS(1470),
    [anon_sym_isize] = ACTIONS(1470),
    [anon_sym_float_literal] = ACTIONS(1470),
    [anon_sym_int_literal] = ACTIONS(1470),
    [anon_sym_IError] = ACTIONS(1470),
    [sym_type_placeholder] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym_type_identifier] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_STAR_EQ] = ACTIONS(1468),
    [anon_sym_SLASH_EQ] = ACTIONS(1468),
    [anon_sym_PERCENT_EQ] = ACTIONS(1468),
    [anon_sym_LT_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT_GT_EQ] = ACTIONS(1468),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1468),
    [anon_sym_AMP_EQ] = ACTIONS(1468),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1468),
    [anon_sym_PLUS_EQ] = ACTIONS(1468),
    [anon_sym_DASH_EQ] = ACTIONS(1468),
    [anon_sym_PIPE_EQ] = ACTIONS(1468),
    [anon_sym_CARET_EQ] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_assert] = ACTIONS(1470),
    [anon_sym_defer] = ACTIONS(1470),
    [anon_sym_unsafe] = ACTIONS(1470),
    [anon_sym_pub] = ACTIONS(1470),
    [anon_sym_fn] = ACTIONS(1470),
    [anon_sym___global] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_type] = ACTIONS(1470),
    [anon_sym_go] = ACTIONS(1470),
    [anon_sym_spawn] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_DOLLARfor] = ACTIONS(1468),
    [anon_sym_DOLLARif] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_is] = ACTIONS(1470),
    [anon_sym_BANGis] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1470),
    [anon_sym_union] = ACTIONS(1470),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_interface] = ACTIONS(1470),
    [anon_sym_POUND] = ACTIONS(1468),
    [anon_sym_module] = ACTIONS(1470),
    [anon_sym_import] = ACTIONS(1470),
    [anon_sym_match] = ACTIONS(1470),
    [anon_sym_select] = ACTIONS(1470),
    [anon_sym_lock] = ACTIONS(1470),
    [anon_sym_rlock] = ACTIONS(1470),
    [sym__automatic_separator] = ACTIONS(1468),
    [sym__c_string_opening] = ACTIONS(1468),
    [sym__raw_string_opening] = ACTIONS(1468),
    [sym__string_opening] = ACTIONS(1468),
    [sym__comment] = ACTIONS(3),
  },
  [237] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(237),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4708),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [238] = {
    [sym_comment] = STATE(238),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_AMP_CARET] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_COLON_EQ] = ACTIONS(1200),
    [anon_sym_STAR_EQ] = ACTIONS(1200),
    [anon_sym_SLASH_EQ] = ACTIONS(1200),
    [anon_sym_PERCENT_EQ] = ACTIONS(1200),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1200),
    [anon_sym_PLUS_EQ] = ACTIONS(1200),
    [anon_sym_DASH_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_pub] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym___global] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_type] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [239] = {
    [sym_comment] = STATE(239),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PERCENT] = ACTIONS(1476),
    [anon_sym_LT_LT] = ACTIONS(1476),
    [anon_sym_GT_GT] = ACTIONS(1476),
    [anon_sym_GT_GT_GT] = ACTIONS(1476),
    [anon_sym_AMP_CARET] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_BANGin] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_as] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [sym_none] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_map_LBRACK] = ACTIONS(1474),
    [anon_sym_chan] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_thread] = ACTIONS(1476),
    [sym_int_literal] = ACTIONS(1476),
    [sym_float_literal] = ACTIONS(1474),
    [sym_rune_literal] = ACTIONS(1474),
    [anon_sym_DOT] = ACTIONS(1476),
    [anon_sym_array] = ACTIONS(1476),
    [anon_sym_string] = ACTIONS(1476),
    [anon_sym_char] = ACTIONS(1476),
    [anon_sym_sql] = ACTIONS(1476),
    [anon_sym_mut] = ACTIONS(1476),
    [anon_sym_C] = ACTIONS(1476),
    [anon_sym_JS] = ACTIONS(1476),
    [anon_sym_voidptr] = ACTIONS(1476),
    [anon_sym_byteptr] = ACTIONS(1476),
    [anon_sym_charptr] = ACTIONS(1476),
    [anon_sym_i8] = ACTIONS(1476),
    [anon_sym_i16] = ACTIONS(1476),
    [anon_sym_i32] = ACTIONS(1476),
    [anon_sym_int] = ACTIONS(1476),
    [anon_sym_i64] = ACTIONS(1476),
    [anon_sym_byte] = ACTIONS(1476),
    [anon_sym_u8] = ACTIONS(1476),
    [anon_sym_u16] = ACTIONS(1476),
    [anon_sym_u32] = ACTIONS(1476),
    [anon_sym_u64] = ACTIONS(1476),
    [anon_sym_f32] = ACTIONS(1476),
    [anon_sym_f64] = ACTIONS(1476),
    [anon_sym_bool] = ACTIONS(1476),
    [anon_sym_rune] = ACTIONS(1476),
    [anon_sym_map] = ACTIONS(1476),
    [anon_sym_mapnode] = ACTIONS(1476),
    [anon_sym_size_t] = ACTIONS(1476),
    [anon_sym_usize] = ACTIONS(1476),
    [anon_sym_isize] = ACTIONS(1476),
    [anon_sym_float_literal] = ACTIONS(1476),
    [anon_sym_int_literal] = ACTIONS(1476),
    [anon_sym_IError] = ACTIONS(1476),
    [sym_type_placeholder] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym_type_identifier] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_STAR_EQ] = ACTIONS(1474),
    [anon_sym_SLASH_EQ] = ACTIONS(1474),
    [anon_sym_PERCENT_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT_GT_EQ] = ACTIONS(1474),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1474),
    [anon_sym_AMP_EQ] = ACTIONS(1474),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1474),
    [anon_sym_PLUS_EQ] = ACTIONS(1474),
    [anon_sym_DASH_EQ] = ACTIONS(1474),
    [anon_sym_PIPE_EQ] = ACTIONS(1474),
    [anon_sym_CARET_EQ] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_assert] = ACTIONS(1476),
    [anon_sym_defer] = ACTIONS(1476),
    [anon_sym_unsafe] = ACTIONS(1476),
    [anon_sym_pub] = ACTIONS(1476),
    [anon_sym_fn] = ACTIONS(1476),
    [anon_sym___global] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_type] = ACTIONS(1476),
    [anon_sym_go] = ACTIONS(1476),
    [anon_sym_spawn] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_DOLLARfor] = ACTIONS(1474),
    [anon_sym_DOLLARif] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_is] = ACTIONS(1476),
    [anon_sym_BANGis] = ACTIONS(1474),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_interface] = ACTIONS(1476),
    [anon_sym_POUND] = ACTIONS(1474),
    [anon_sym_module] = ACTIONS(1476),
    [anon_sym_import] = ACTIONS(1476),
    [anon_sym_match] = ACTIONS(1476),
    [anon_sym_select] = ACTIONS(1476),
    [anon_sym_lock] = ACTIONS(1476),
    [anon_sym_rlock] = ACTIONS(1476),
    [sym__automatic_separator] = ACTIONS(1474),
    [sym__c_string_opening] = ACTIONS(1474),
    [sym__raw_string_opening] = ACTIONS(1474),
    [sym__string_opening] = ACTIONS(1474),
    [sym__comment] = ACTIONS(3),
  },
  [240] = {
    [sym_comment] = STATE(240),
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_PERCENT] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_BANGin] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_as] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [sym_none] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_map_LBRACK] = ACTIONS(1478),
    [anon_sym_chan] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_thread] = ACTIONS(1480),
    [sym_int_literal] = ACTIONS(1480),
    [sym_float_literal] = ACTIONS(1478),
    [sym_rune_literal] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_array] = ACTIONS(1480),
    [anon_sym_string] = ACTIONS(1480),
    [anon_sym_char] = ACTIONS(1480),
    [anon_sym_sql] = ACTIONS(1480),
    [anon_sym_mut] = ACTIONS(1480),
    [anon_sym_C] = ACTIONS(1480),
    [anon_sym_JS] = ACTIONS(1480),
    [anon_sym_voidptr] = ACTIONS(1480),
    [anon_sym_byteptr] = ACTIONS(1480),
    [anon_sym_charptr] = ACTIONS(1480),
    [anon_sym_i8] = ACTIONS(1480),
    [anon_sym_i16] = ACTIONS(1480),
    [anon_sym_i32] = ACTIONS(1480),
    [anon_sym_int] = ACTIONS(1480),
    [anon_sym_i64] = ACTIONS(1480),
    [anon_sym_byte] = ACTIONS(1480),
    [anon_sym_u8] = ACTIONS(1480),
    [anon_sym_u16] = ACTIONS(1480),
    [anon_sym_u32] = ACTIONS(1480),
    [anon_sym_u64] = ACTIONS(1480),
    [anon_sym_f32] = ACTIONS(1480),
    [anon_sym_f64] = ACTIONS(1480),
    [anon_sym_bool] = ACTIONS(1480),
    [anon_sym_rune] = ACTIONS(1480),
    [anon_sym_map] = ACTIONS(1480),
    [anon_sym_mapnode] = ACTIONS(1480),
    [anon_sym_size_t] = ACTIONS(1480),
    [anon_sym_usize] = ACTIONS(1480),
    [anon_sym_isize] = ACTIONS(1480),
    [anon_sym_float_literal] = ACTIONS(1480),
    [anon_sym_int_literal] = ACTIONS(1480),
    [anon_sym_IError] = ACTIONS(1480),
    [sym_type_placeholder] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym_type_identifier] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_STAR_EQ] = ACTIONS(1478),
    [anon_sym_SLASH_EQ] = ACTIONS(1478),
    [anon_sym_PERCENT_EQ] = ACTIONS(1478),
    [anon_sym_LT_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT_GT_EQ] = ACTIONS(1478),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1478),
    [anon_sym_AMP_EQ] = ACTIONS(1478),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1478),
    [anon_sym_PLUS_EQ] = ACTIONS(1478),
    [anon_sym_DASH_EQ] = ACTIONS(1478),
    [anon_sym_PIPE_EQ] = ACTIONS(1478),
    [anon_sym_CARET_EQ] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_assert] = ACTIONS(1480),
    [anon_sym_defer] = ACTIONS(1480),
    [anon_sym_unsafe] = ACTIONS(1480),
    [anon_sym_pub] = ACTIONS(1480),
    [anon_sym_fn] = ACTIONS(1480),
    [anon_sym___global] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1480),
    [anon_sym_go] = ACTIONS(1480),
    [anon_sym_spawn] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_DOLLARfor] = ACTIONS(1478),
    [anon_sym_DOLLARif] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1480),
    [anon_sym_BANGis] = ACTIONS(1478),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_interface] = ACTIONS(1480),
    [anon_sym_POUND] = ACTIONS(1478),
    [anon_sym_module] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1480),
    [anon_sym_match] = ACTIONS(1480),
    [anon_sym_select] = ACTIONS(1480),
    [anon_sym_lock] = ACTIONS(1480),
    [anon_sym_rlock] = ACTIONS(1480),
    [sym__automatic_separator] = ACTIONS(1478),
    [sym__c_string_opening] = ACTIONS(1478),
    [sym__raw_string_opening] = ACTIONS(1478),
    [sym__string_opening] = ACTIONS(1478),
    [sym__comment] = ACTIONS(3),
  },
  [241] = {
    [sym_comment] = STATE(241),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_COLON_EQ] = ACTIONS(1110),
    [anon_sym_STAR_EQ] = ACTIONS(1110),
    [anon_sym_SLASH_EQ] = ACTIONS(1110),
    [anon_sym_PERCENT_EQ] = ACTIONS(1110),
    [anon_sym_LT_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_EQ] = ACTIONS(1110),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1110),
    [anon_sym_DASH_EQ] = ACTIONS(1110),
    [anon_sym_PIPE_EQ] = ACTIONS(1110),
    [anon_sym_CARET_EQ] = ACTIONS(1110),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [242] = {
    [sym_comment] = STATE(242),
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_BANGin] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_as] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [sym_none] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_map_LBRACK] = ACTIONS(1482),
    [anon_sym_chan] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_thread] = ACTIONS(1484),
    [sym_int_literal] = ACTIONS(1484),
    [sym_float_literal] = ACTIONS(1482),
    [sym_rune_literal] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_array] = ACTIONS(1484),
    [anon_sym_string] = ACTIONS(1484),
    [anon_sym_char] = ACTIONS(1484),
    [anon_sym_sql] = ACTIONS(1484),
    [anon_sym_mut] = ACTIONS(1484),
    [anon_sym_C] = ACTIONS(1484),
    [anon_sym_JS] = ACTIONS(1484),
    [anon_sym_voidptr] = ACTIONS(1484),
    [anon_sym_byteptr] = ACTIONS(1484),
    [anon_sym_charptr] = ACTIONS(1484),
    [anon_sym_i8] = ACTIONS(1484),
    [anon_sym_i16] = ACTIONS(1484),
    [anon_sym_i32] = ACTIONS(1484),
    [anon_sym_int] = ACTIONS(1484),
    [anon_sym_i64] = ACTIONS(1484),
    [anon_sym_byte] = ACTIONS(1484),
    [anon_sym_u8] = ACTIONS(1484),
    [anon_sym_u16] = ACTIONS(1484),
    [anon_sym_u32] = ACTIONS(1484),
    [anon_sym_u64] = ACTIONS(1484),
    [anon_sym_f32] = ACTIONS(1484),
    [anon_sym_f64] = ACTIONS(1484),
    [anon_sym_bool] = ACTIONS(1484),
    [anon_sym_rune] = ACTIONS(1484),
    [anon_sym_map] = ACTIONS(1484),
    [anon_sym_mapnode] = ACTIONS(1484),
    [anon_sym_size_t] = ACTIONS(1484),
    [anon_sym_usize] = ACTIONS(1484),
    [anon_sym_isize] = ACTIONS(1484),
    [anon_sym_float_literal] = ACTIONS(1484),
    [anon_sym_int_literal] = ACTIONS(1484),
    [anon_sym_IError] = ACTIONS(1484),
    [sym_type_placeholder] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym_type_identifier] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_STAR_EQ] = ACTIONS(1482),
    [anon_sym_SLASH_EQ] = ACTIONS(1482),
    [anon_sym_PERCENT_EQ] = ACTIONS(1482),
    [anon_sym_LT_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT_GT_EQ] = ACTIONS(1482),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP_EQ] = ACTIONS(1482),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_PIPE_EQ] = ACTIONS(1482),
    [anon_sym_CARET_EQ] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_assert] = ACTIONS(1484),
    [anon_sym_defer] = ACTIONS(1484),
    [anon_sym_unsafe] = ACTIONS(1484),
    [anon_sym_pub] = ACTIONS(1484),
    [anon_sym_fn] = ACTIONS(1484),
    [anon_sym___global] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_type] = ACTIONS(1484),
    [anon_sym_go] = ACTIONS(1484),
    [anon_sym_spawn] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_DOLLARfor] = ACTIONS(1482),
    [anon_sym_DOLLARif] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1484),
    [anon_sym_BANGis] = ACTIONS(1482),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_interface] = ACTIONS(1484),
    [anon_sym_POUND] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1484),
    [anon_sym_import] = ACTIONS(1484),
    [anon_sym_match] = ACTIONS(1484),
    [anon_sym_select] = ACTIONS(1484),
    [anon_sym_lock] = ACTIONS(1484),
    [anon_sym_rlock] = ACTIONS(1484),
    [sym__automatic_separator] = ACTIONS(1482),
    [sym__c_string_opening] = ACTIONS(1482),
    [sym__raw_string_opening] = ACTIONS(1482),
    [sym__string_opening] = ACTIONS(1482),
    [sym__comment] = ACTIONS(3),
  },
  [243] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(243),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4645),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [244] = {
    [sym_comment] = STATE(244),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1198),
    [anon_sym_AMP_CARET] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_COLON_EQ] = ACTIONS(1196),
    [anon_sym_STAR_EQ] = ACTIONS(1196),
    [anon_sym_SLASH_EQ] = ACTIONS(1196),
    [anon_sym_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_LT_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_AMP_EQ] = ACTIONS(1196),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1196),
    [anon_sym_DASH_EQ] = ACTIONS(1196),
    [anon_sym_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_CARET_EQ] = ACTIONS(1196),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_pub] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym___global] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_type] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_interface] = ACTIONS(1198),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_module] = ACTIONS(1198),
    [anon_sym_import] = ACTIONS(1198),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [245] = {
    [sym_comment] = STATE(245),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LT_DASH] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1490),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_AMP_CARET] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_in] = ACTIONS(1490),
    [anon_sym_BANGin] = ACTIONS(1488),
    [anon_sym_AMP_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_as] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [sym_none] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_map_LBRACK] = ACTIONS(1488),
    [anon_sym_chan] = ACTIONS(1490),
    [anon_sym_shared] = ACTIONS(1490),
    [anon_sym_thread] = ACTIONS(1490),
    [sym_int_literal] = ACTIONS(1490),
    [sym_float_literal] = ACTIONS(1488),
    [sym_rune_literal] = ACTIONS(1488),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_array] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_char] = ACTIONS(1490),
    [anon_sym_sql] = ACTIONS(1490),
    [anon_sym_mut] = ACTIONS(1490),
    [anon_sym_C] = ACTIONS(1490),
    [anon_sym_JS] = ACTIONS(1490),
    [anon_sym_voidptr] = ACTIONS(1490),
    [anon_sym_byteptr] = ACTIONS(1490),
    [anon_sym_charptr] = ACTIONS(1490),
    [anon_sym_i8] = ACTIONS(1490),
    [anon_sym_i16] = ACTIONS(1490),
    [anon_sym_i32] = ACTIONS(1490),
    [anon_sym_int] = ACTIONS(1490),
    [anon_sym_i64] = ACTIONS(1490),
    [anon_sym_byte] = ACTIONS(1490),
    [anon_sym_u8] = ACTIONS(1490),
    [anon_sym_u16] = ACTIONS(1490),
    [anon_sym_u32] = ACTIONS(1490),
    [anon_sym_u64] = ACTIONS(1490),
    [anon_sym_f32] = ACTIONS(1490),
    [anon_sym_f64] = ACTIONS(1490),
    [anon_sym_bool] = ACTIONS(1490),
    [anon_sym_rune] = ACTIONS(1490),
    [anon_sym_map] = ACTIONS(1490),
    [anon_sym_mapnode] = ACTIONS(1490),
    [anon_sym_size_t] = ACTIONS(1490),
    [anon_sym_usize] = ACTIONS(1490),
    [anon_sym_isize] = ACTIONS(1490),
    [anon_sym_float_literal] = ACTIONS(1490),
    [anon_sym_int_literal] = ACTIONS(1490),
    [anon_sym_IError] = ACTIONS(1490),
    [sym_type_placeholder] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym_type_identifier] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_COLON_EQ] = ACTIONS(1488),
    [anon_sym_STAR_EQ] = ACTIONS(1488),
    [anon_sym_SLASH_EQ] = ACTIONS(1488),
    [anon_sym_PERCENT_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT_EQ] = ACTIONS(1488),
    [anon_sym_GT_GT_EQ] = ACTIONS(1488),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1488),
    [anon_sym_AMP_EQ] = ACTIONS(1488),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1488),
    [anon_sym_PLUS_EQ] = ACTIONS(1488),
    [anon_sym_DASH_EQ] = ACTIONS(1488),
    [anon_sym_PIPE_EQ] = ACTIONS(1488),
    [anon_sym_CARET_EQ] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1490),
    [anon_sym_assert] = ACTIONS(1490),
    [anon_sym_defer] = ACTIONS(1490),
    [anon_sym_unsafe] = ACTIONS(1490),
    [anon_sym_pub] = ACTIONS(1490),
    [anon_sym_fn] = ACTIONS(1490),
    [anon_sym___global] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1490),
    [anon_sym_asm] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_continue] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_type] = ACTIONS(1490),
    [anon_sym_go] = ACTIONS(1490),
    [anon_sym_spawn] = ACTIONS(1490),
    [anon_sym_goto] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [anon_sym_DOLLARfor] = ACTIONS(1488),
    [anon_sym_DOLLARif] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_is] = ACTIONS(1490),
    [anon_sym_BANGis] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1490),
    [anon_sym_union] = ACTIONS(1490),
    [anon_sym_enum] = ACTIONS(1490),
    [anon_sym_interface] = ACTIONS(1490),
    [anon_sym_POUND] = ACTIONS(1488),
    [anon_sym_module] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1490),
    [anon_sym_match] = ACTIONS(1490),
    [anon_sym_select] = ACTIONS(1490),
    [anon_sym_lock] = ACTIONS(1490),
    [anon_sym_rlock] = ACTIONS(1490),
    [sym__automatic_separator] = ACTIONS(1488),
    [sym__c_string_opening] = ACTIONS(1488),
    [sym__raw_string_opening] = ACTIONS(1488),
    [sym__string_opening] = ACTIONS(1488),
    [sym__comment] = ACTIONS(3),
  },
  [246] = {
    [sym_comment] = STATE(246),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_LT_DASH] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PERCENT] = ACTIONS(1494),
    [anon_sym_LT_LT] = ACTIONS(1494),
    [anon_sym_GT_GT] = ACTIONS(1494),
    [anon_sym_GT_GT_GT] = ACTIONS(1494),
    [anon_sym_AMP_CARET] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1494),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1494),
    [anon_sym_BANGin] = ACTIONS(1492),
    [anon_sym_AMP_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_as] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [sym_none] = ACTIONS(1494),
    [sym_true] = ACTIONS(1494),
    [sym_false] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_map_LBRACK] = ACTIONS(1492),
    [anon_sym_chan] = ACTIONS(1494),
    [anon_sym_shared] = ACTIONS(1494),
    [anon_sym_thread] = ACTIONS(1494),
    [sym_int_literal] = ACTIONS(1494),
    [sym_float_literal] = ACTIONS(1492),
    [sym_rune_literal] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1494),
    [anon_sym_array] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_char] = ACTIONS(1494),
    [anon_sym_sql] = ACTIONS(1494),
    [anon_sym_mut] = ACTIONS(1494),
    [anon_sym_C] = ACTIONS(1494),
    [anon_sym_JS] = ACTIONS(1494),
    [anon_sym_voidptr] = ACTIONS(1494),
    [anon_sym_byteptr] = ACTIONS(1494),
    [anon_sym_charptr] = ACTIONS(1494),
    [anon_sym_i8] = ACTIONS(1494),
    [anon_sym_i16] = ACTIONS(1494),
    [anon_sym_i32] = ACTIONS(1494),
    [anon_sym_int] = ACTIONS(1494),
    [anon_sym_i64] = ACTIONS(1494),
    [anon_sym_byte] = ACTIONS(1494),
    [anon_sym_u8] = ACTIONS(1494),
    [anon_sym_u16] = ACTIONS(1494),
    [anon_sym_u32] = ACTIONS(1494),
    [anon_sym_u64] = ACTIONS(1494),
    [anon_sym_f32] = ACTIONS(1494),
    [anon_sym_f64] = ACTIONS(1494),
    [anon_sym_bool] = ACTIONS(1494),
    [anon_sym_rune] = ACTIONS(1494),
    [anon_sym_map] = ACTIONS(1494),
    [anon_sym_mapnode] = ACTIONS(1494),
    [anon_sym_size_t] = ACTIONS(1494),
    [anon_sym_usize] = ACTIONS(1494),
    [anon_sym_isize] = ACTIONS(1494),
    [anon_sym_float_literal] = ACTIONS(1494),
    [anon_sym_int_literal] = ACTIONS(1494),
    [anon_sym_IError] = ACTIONS(1494),
    [sym_type_placeholder] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym_type_identifier] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_COLON_EQ] = ACTIONS(1492),
    [anon_sym_STAR_EQ] = ACTIONS(1492),
    [anon_sym_SLASH_EQ] = ACTIONS(1492),
    [anon_sym_PERCENT_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT_EQ] = ACTIONS(1492),
    [anon_sym_GT_GT_EQ] = ACTIONS(1492),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1492),
    [anon_sym_AMP_EQ] = ACTIONS(1492),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1492),
    [anon_sym_PLUS_EQ] = ACTIONS(1492),
    [anon_sym_DASH_EQ] = ACTIONS(1492),
    [anon_sym_PIPE_EQ] = ACTIONS(1492),
    [anon_sym_CARET_EQ] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_defer] = ACTIONS(1494),
    [anon_sym_unsafe] = ACTIONS(1494),
    [anon_sym_pub] = ACTIONS(1494),
    [anon_sym_fn] = ACTIONS(1494),
    [anon_sym___global] = ACTIONS(1494),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_asm] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_continue] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_go] = ACTIONS(1494),
    [anon_sym_spawn] = ACTIONS(1494),
    [anon_sym_goto] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_DOLLARfor] = ACTIONS(1492),
    [anon_sym_DOLLARif] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_is] = ACTIONS(1494),
    [anon_sym_BANGis] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1494),
    [anon_sym_union] = ACTIONS(1494),
    [anon_sym_enum] = ACTIONS(1494),
    [anon_sym_interface] = ACTIONS(1494),
    [anon_sym_POUND] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_import] = ACTIONS(1494),
    [anon_sym_match] = ACTIONS(1494),
    [anon_sym_select] = ACTIONS(1494),
    [anon_sym_lock] = ACTIONS(1494),
    [anon_sym_rlock] = ACTIONS(1494),
    [sym__automatic_separator] = ACTIONS(1492),
    [sym__c_string_opening] = ACTIONS(1492),
    [sym__raw_string_opening] = ACTIONS(1492),
    [sym__string_opening] = ACTIONS(1492),
    [sym__comment] = ACTIONS(3),
  },
  [247] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(247),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4642),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(250),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [248] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(248),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4978),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [249] = {
    [sym_comment] = STATE(249),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_LT_DASH] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_GT_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_BANGin] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [sym_none] = ACTIONS(1502),
    [sym_true] = ACTIONS(1502),
    [sym_false] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_map_LBRACK] = ACTIONS(1500),
    [anon_sym_chan] = ACTIONS(1502),
    [anon_sym_shared] = ACTIONS(1502),
    [anon_sym_thread] = ACTIONS(1502),
    [sym_int_literal] = ACTIONS(1502),
    [sym_float_literal] = ACTIONS(1500),
    [sym_rune_literal] = ACTIONS(1500),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_array] = ACTIONS(1502),
    [anon_sym_string] = ACTIONS(1502),
    [anon_sym_char] = ACTIONS(1502),
    [anon_sym_sql] = ACTIONS(1502),
    [anon_sym_mut] = ACTIONS(1502),
    [anon_sym_C] = ACTIONS(1502),
    [anon_sym_JS] = ACTIONS(1502),
    [anon_sym_voidptr] = ACTIONS(1502),
    [anon_sym_byteptr] = ACTIONS(1502),
    [anon_sym_charptr] = ACTIONS(1502),
    [anon_sym_i8] = ACTIONS(1502),
    [anon_sym_i16] = ACTIONS(1502),
    [anon_sym_i32] = ACTIONS(1502),
    [anon_sym_int] = ACTIONS(1502),
    [anon_sym_i64] = ACTIONS(1502),
    [anon_sym_byte] = ACTIONS(1502),
    [anon_sym_u8] = ACTIONS(1502),
    [anon_sym_u16] = ACTIONS(1502),
    [anon_sym_u32] = ACTIONS(1502),
    [anon_sym_u64] = ACTIONS(1502),
    [anon_sym_f32] = ACTIONS(1502),
    [anon_sym_f64] = ACTIONS(1502),
    [anon_sym_bool] = ACTIONS(1502),
    [anon_sym_rune] = ACTIONS(1502),
    [anon_sym_map] = ACTIONS(1502),
    [anon_sym_mapnode] = ACTIONS(1502),
    [anon_sym_size_t] = ACTIONS(1502),
    [anon_sym_usize] = ACTIONS(1502),
    [anon_sym_isize] = ACTIONS(1502),
    [anon_sym_float_literal] = ACTIONS(1502),
    [anon_sym_int_literal] = ACTIONS(1502),
    [anon_sym_IError] = ACTIONS(1502),
    [sym_type_placeholder] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [sym_type_identifier] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_COLON_EQ] = ACTIONS(1500),
    [anon_sym_STAR_EQ] = ACTIONS(1500),
    [anon_sym_SLASH_EQ] = ACTIONS(1500),
    [anon_sym_PERCENT_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT_EQ] = ACTIONS(1500),
    [anon_sym_GT_GT_EQ] = ACTIONS(1500),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1500),
    [anon_sym_AMP_EQ] = ACTIONS(1500),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1500),
    [anon_sym_PLUS_EQ] = ACTIONS(1500),
    [anon_sym_DASH_EQ] = ACTIONS(1500),
    [anon_sym_PIPE_EQ] = ACTIONS(1500),
    [anon_sym_CARET_EQ] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1502),
    [anon_sym_assert] = ACTIONS(1502),
    [anon_sym_defer] = ACTIONS(1502),
    [anon_sym_unsafe] = ACTIONS(1502),
    [anon_sym_pub] = ACTIONS(1502),
    [anon_sym_fn] = ACTIONS(1502),
    [anon_sym___global] = ACTIONS(1502),
    [anon_sym_const] = ACTIONS(1502),
    [anon_sym_asm] = ACTIONS(1502),
    [anon_sym_break] = ACTIONS(1502),
    [anon_sym_continue] = ACTIONS(1502),
    [anon_sym_return] = ACTIONS(1502),
    [anon_sym_type] = ACTIONS(1502),
    [anon_sym_go] = ACTIONS(1502),
    [anon_sym_spawn] = ACTIONS(1502),
    [anon_sym_goto] = ACTIONS(1502),
    [anon_sym_for] = ACTIONS(1502),
    [anon_sym_DOLLARfor] = ACTIONS(1500),
    [anon_sym_DOLLARif] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1502),
    [anon_sym_is] = ACTIONS(1502),
    [anon_sym_BANGis] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1502),
    [anon_sym_union] = ACTIONS(1502),
    [anon_sym_enum] = ACTIONS(1502),
    [anon_sym_interface] = ACTIONS(1502),
    [anon_sym_POUND] = ACTIONS(1500),
    [anon_sym_module] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1502),
    [anon_sym_match] = ACTIONS(1502),
    [anon_sym_select] = ACTIONS(1502),
    [anon_sym_lock] = ACTIONS(1502),
    [anon_sym_rlock] = ACTIONS(1502),
    [sym__automatic_separator] = ACTIONS(1500),
    [sym__c_string_opening] = ACTIONS(1500),
    [sym__raw_string_opening] = ACTIONS(1500),
    [sym__string_opening] = ACTIONS(1500),
    [sym__comment] = ACTIONS(3),
  },
  [250] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(250),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4826),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [251] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(251),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4925),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [252] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(252),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4906),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(248),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [253] = {
    [sym_comment] = STATE(253),
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_identifier] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_LT_DASH] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1512),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_GT_GT_GT] = ACTIONS(1512),
    [anon_sym_AMP_CARET] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_BANGin] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_as] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [sym_none] = ACTIONS(1512),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_map_LBRACK] = ACTIONS(1510),
    [anon_sym_chan] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_thread] = ACTIONS(1512),
    [sym_int_literal] = ACTIONS(1512),
    [sym_float_literal] = ACTIONS(1510),
    [sym_rune_literal] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_array] = ACTIONS(1512),
    [anon_sym_string] = ACTIONS(1512),
    [anon_sym_char] = ACTIONS(1512),
    [anon_sym_sql] = ACTIONS(1512),
    [anon_sym_mut] = ACTIONS(1512),
    [anon_sym_C] = ACTIONS(1512),
    [anon_sym_JS] = ACTIONS(1512),
    [anon_sym_voidptr] = ACTIONS(1512),
    [anon_sym_byteptr] = ACTIONS(1512),
    [anon_sym_charptr] = ACTIONS(1512),
    [anon_sym_i8] = ACTIONS(1512),
    [anon_sym_i16] = ACTIONS(1512),
    [anon_sym_i32] = ACTIONS(1512),
    [anon_sym_int] = ACTIONS(1512),
    [anon_sym_i64] = ACTIONS(1512),
    [anon_sym_byte] = ACTIONS(1512),
    [anon_sym_u8] = ACTIONS(1512),
    [anon_sym_u16] = ACTIONS(1512),
    [anon_sym_u32] = ACTIONS(1512),
    [anon_sym_u64] = ACTIONS(1512),
    [anon_sym_f32] = ACTIONS(1512),
    [anon_sym_f64] = ACTIONS(1512),
    [anon_sym_bool] = ACTIONS(1512),
    [anon_sym_rune] = ACTIONS(1512),
    [anon_sym_map] = ACTIONS(1512),
    [anon_sym_mapnode] = ACTIONS(1512),
    [anon_sym_size_t] = ACTIONS(1512),
    [anon_sym_usize] = ACTIONS(1512),
    [anon_sym_isize] = ACTIONS(1512),
    [anon_sym_float_literal] = ACTIONS(1512),
    [anon_sym_int_literal] = ACTIONS(1512),
    [anon_sym_IError] = ACTIONS(1512),
    [sym_type_placeholder] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [sym_type_identifier] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_COLON_EQ] = ACTIONS(1510),
    [anon_sym_STAR_EQ] = ACTIONS(1510),
    [anon_sym_SLASH_EQ] = ACTIONS(1510),
    [anon_sym_PERCENT_EQ] = ACTIONS(1510),
    [anon_sym_LT_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT_GT_EQ] = ACTIONS(1510),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_EQ] = ACTIONS(1510),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1510),
    [anon_sym_PLUS_EQ] = ACTIONS(1510),
    [anon_sym_DASH_EQ] = ACTIONS(1510),
    [anon_sym_PIPE_EQ] = ACTIONS(1510),
    [anon_sym_CARET_EQ] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_defer] = ACTIONS(1512),
    [anon_sym_unsafe] = ACTIONS(1512),
    [anon_sym_pub] = ACTIONS(1512),
    [anon_sym_fn] = ACTIONS(1512),
    [anon_sym___global] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_type] = ACTIONS(1512),
    [anon_sym_go] = ACTIONS(1512),
    [anon_sym_spawn] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_DOLLARfor] = ACTIONS(1510),
    [anon_sym_DOLLARif] = ACTIONS(1510),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1512),
    [anon_sym_BANGis] = ACTIONS(1510),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_interface] = ACTIONS(1512),
    [anon_sym_POUND] = ACTIONS(1510),
    [anon_sym_module] = ACTIONS(1512),
    [anon_sym_import] = ACTIONS(1512),
    [anon_sym_match] = ACTIONS(1512),
    [anon_sym_select] = ACTIONS(1512),
    [anon_sym_lock] = ACTIONS(1512),
    [anon_sym_rlock] = ACTIONS(1512),
    [sym__automatic_separator] = ACTIONS(1510),
    [sym__c_string_opening] = ACTIONS(1510),
    [sym__raw_string_opening] = ACTIONS(1510),
    [sym__string_opening] = ACTIONS(1510),
    [sym__comment] = ACTIONS(3),
  },
  [254] = {
    [sym_comment] = STATE(254),
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_LT_DASH] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_GT_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_BANGin] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1514),
    [anon_sym_as] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [sym_none] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_map_LBRACK] = ACTIONS(1514),
    [anon_sym_chan] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_thread] = ACTIONS(1516),
    [sym_int_literal] = ACTIONS(1516),
    [sym_float_literal] = ACTIONS(1514),
    [sym_rune_literal] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_array] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_char] = ACTIONS(1516),
    [anon_sym_sql] = ACTIONS(1516),
    [anon_sym_mut] = ACTIONS(1516),
    [anon_sym_C] = ACTIONS(1516),
    [anon_sym_JS] = ACTIONS(1516),
    [anon_sym_voidptr] = ACTIONS(1516),
    [anon_sym_byteptr] = ACTIONS(1516),
    [anon_sym_charptr] = ACTIONS(1516),
    [anon_sym_i8] = ACTIONS(1516),
    [anon_sym_i16] = ACTIONS(1516),
    [anon_sym_i32] = ACTIONS(1516),
    [anon_sym_int] = ACTIONS(1516),
    [anon_sym_i64] = ACTIONS(1516),
    [anon_sym_byte] = ACTIONS(1516),
    [anon_sym_u8] = ACTIONS(1516),
    [anon_sym_u16] = ACTIONS(1516),
    [anon_sym_u32] = ACTIONS(1516),
    [anon_sym_u64] = ACTIONS(1516),
    [anon_sym_f32] = ACTIONS(1516),
    [anon_sym_f64] = ACTIONS(1516),
    [anon_sym_bool] = ACTIONS(1516),
    [anon_sym_rune] = ACTIONS(1516),
    [anon_sym_map] = ACTIONS(1516),
    [anon_sym_mapnode] = ACTIONS(1516),
    [anon_sym_size_t] = ACTIONS(1516),
    [anon_sym_usize] = ACTIONS(1516),
    [anon_sym_isize] = ACTIONS(1516),
    [anon_sym_float_literal] = ACTIONS(1516),
    [anon_sym_int_literal] = ACTIONS(1516),
    [anon_sym_IError] = ACTIONS(1516),
    [sym_type_placeholder] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [sym_type_identifier] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_COLON_EQ] = ACTIONS(1514),
    [anon_sym_STAR_EQ] = ACTIONS(1514),
    [anon_sym_SLASH_EQ] = ACTIONS(1514),
    [anon_sym_PERCENT_EQ] = ACTIONS(1514),
    [anon_sym_LT_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT_GT_EQ] = ACTIONS(1514),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1514),
    [anon_sym_AMP_EQ] = ACTIONS(1514),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(1514),
    [anon_sym_DASH_EQ] = ACTIONS(1514),
    [anon_sym_PIPE_EQ] = ACTIONS(1514),
    [anon_sym_CARET_EQ] = ACTIONS(1514),
    [anon_sym_EQ] = ACTIONS(1516),
    [anon_sym_assert] = ACTIONS(1516),
    [anon_sym_defer] = ACTIONS(1516),
    [anon_sym_unsafe] = ACTIONS(1516),
    [anon_sym_pub] = ACTIONS(1516),
    [anon_sym_fn] = ACTIONS(1516),
    [anon_sym___global] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_go] = ACTIONS(1516),
    [anon_sym_spawn] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_DOLLARfor] = ACTIONS(1514),
    [anon_sym_DOLLARif] = ACTIONS(1514),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_is] = ACTIONS(1516),
    [anon_sym_BANGis] = ACTIONS(1514),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_interface] = ACTIONS(1516),
    [anon_sym_POUND] = ACTIONS(1514),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_import] = ACTIONS(1516),
    [anon_sym_match] = ACTIONS(1516),
    [anon_sym_select] = ACTIONS(1516),
    [anon_sym_lock] = ACTIONS(1516),
    [anon_sym_rlock] = ACTIONS(1516),
    [sym__automatic_separator] = ACTIONS(1514),
    [sym__c_string_opening] = ACTIONS(1514),
    [sym__raw_string_opening] = ACTIONS(1514),
    [sym__string_opening] = ACTIONS(1514),
    [sym__comment] = ACTIONS(3),
  },
  [255] = {
    [sym_comment] = STATE(255),
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_LT_DASH] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1520),
    [anon_sym_AMP_CARET] = ACTIONS(1520),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_BANGin] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_as] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [sym_none] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_map_LBRACK] = ACTIONS(1518),
    [anon_sym_chan] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_thread] = ACTIONS(1520),
    [sym_int_literal] = ACTIONS(1520),
    [sym_float_literal] = ACTIONS(1518),
    [sym_rune_literal] = ACTIONS(1518),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_array] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_char] = ACTIONS(1520),
    [anon_sym_sql] = ACTIONS(1520),
    [anon_sym_mut] = ACTIONS(1520),
    [anon_sym_C] = ACTIONS(1520),
    [anon_sym_JS] = ACTIONS(1520),
    [anon_sym_voidptr] = ACTIONS(1520),
    [anon_sym_byteptr] = ACTIONS(1520),
    [anon_sym_charptr] = ACTIONS(1520),
    [anon_sym_i8] = ACTIONS(1520),
    [anon_sym_i16] = ACTIONS(1520),
    [anon_sym_i32] = ACTIONS(1520),
    [anon_sym_int] = ACTIONS(1520),
    [anon_sym_i64] = ACTIONS(1520),
    [anon_sym_byte] = ACTIONS(1520),
    [anon_sym_u8] = ACTIONS(1520),
    [anon_sym_u16] = ACTIONS(1520),
    [anon_sym_u32] = ACTIONS(1520),
    [anon_sym_u64] = ACTIONS(1520),
    [anon_sym_f32] = ACTIONS(1520),
    [anon_sym_f64] = ACTIONS(1520),
    [anon_sym_bool] = ACTIONS(1520),
    [anon_sym_rune] = ACTIONS(1520),
    [anon_sym_map] = ACTIONS(1520),
    [anon_sym_mapnode] = ACTIONS(1520),
    [anon_sym_size_t] = ACTIONS(1520),
    [anon_sym_usize] = ACTIONS(1520),
    [anon_sym_isize] = ACTIONS(1520),
    [anon_sym_float_literal] = ACTIONS(1520),
    [anon_sym_int_literal] = ACTIONS(1520),
    [anon_sym_IError] = ACTIONS(1520),
    [sym_type_placeholder] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [sym_type_identifier] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_COLON_EQ] = ACTIONS(1518),
    [anon_sym_STAR_EQ] = ACTIONS(1518),
    [anon_sym_SLASH_EQ] = ACTIONS(1518),
    [anon_sym_PERCENT_EQ] = ACTIONS(1518),
    [anon_sym_LT_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT_GT_EQ] = ACTIONS(1518),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1518),
    [anon_sym_AMP_EQ] = ACTIONS(1518),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1518),
    [anon_sym_PLUS_EQ] = ACTIONS(1518),
    [anon_sym_DASH_EQ] = ACTIONS(1518),
    [anon_sym_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_CARET_EQ] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_assert] = ACTIONS(1520),
    [anon_sym_defer] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1520),
    [anon_sym_pub] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym___global] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_asm] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_type] = ACTIONS(1520),
    [anon_sym_go] = ACTIONS(1520),
    [anon_sym_spawn] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_DOLLARfor] = ACTIONS(1518),
    [anon_sym_DOLLARif] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_is] = ACTIONS(1520),
    [anon_sym_BANGis] = ACTIONS(1518),
    [anon_sym_struct] = ACTIONS(1520),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [anon_sym_interface] = ACTIONS(1520),
    [anon_sym_POUND] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1520),
    [anon_sym_import] = ACTIONS(1520),
    [anon_sym_match] = ACTIONS(1520),
    [anon_sym_select] = ACTIONS(1520),
    [anon_sym_lock] = ACTIONS(1520),
    [anon_sym_rlock] = ACTIONS(1520),
    [sym__automatic_separator] = ACTIONS(1518),
    [sym__c_string_opening] = ACTIONS(1518),
    [sym__raw_string_opening] = ACTIONS(1518),
    [sym__string_opening] = ACTIONS(1518),
    [sym__comment] = ACTIONS(3),
  },
  [256] = {
    [sym_comment] = STATE(256),
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_LT_DASH] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_BANGin] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_none] = ACTIONS(1524),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_map_LBRACK] = ACTIONS(1522),
    [anon_sym_chan] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_thread] = ACTIONS(1524),
    [sym_int_literal] = ACTIONS(1524),
    [sym_float_literal] = ACTIONS(1522),
    [sym_rune_literal] = ACTIONS(1522),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_array] = ACTIONS(1524),
    [anon_sym_string] = ACTIONS(1524),
    [anon_sym_char] = ACTIONS(1524),
    [anon_sym_sql] = ACTIONS(1524),
    [anon_sym_mut] = ACTIONS(1524),
    [anon_sym_C] = ACTIONS(1524),
    [anon_sym_JS] = ACTIONS(1524),
    [anon_sym_voidptr] = ACTIONS(1524),
    [anon_sym_byteptr] = ACTIONS(1524),
    [anon_sym_charptr] = ACTIONS(1524),
    [anon_sym_i8] = ACTIONS(1524),
    [anon_sym_i16] = ACTIONS(1524),
    [anon_sym_i32] = ACTIONS(1524),
    [anon_sym_int] = ACTIONS(1524),
    [anon_sym_i64] = ACTIONS(1524),
    [anon_sym_byte] = ACTIONS(1524),
    [anon_sym_u8] = ACTIONS(1524),
    [anon_sym_u16] = ACTIONS(1524),
    [anon_sym_u32] = ACTIONS(1524),
    [anon_sym_u64] = ACTIONS(1524),
    [anon_sym_f32] = ACTIONS(1524),
    [anon_sym_f64] = ACTIONS(1524),
    [anon_sym_bool] = ACTIONS(1524),
    [anon_sym_rune] = ACTIONS(1524),
    [anon_sym_map] = ACTIONS(1524),
    [anon_sym_mapnode] = ACTIONS(1524),
    [anon_sym_size_t] = ACTIONS(1524),
    [anon_sym_usize] = ACTIONS(1524),
    [anon_sym_isize] = ACTIONS(1524),
    [anon_sym_float_literal] = ACTIONS(1524),
    [anon_sym_int_literal] = ACTIONS(1524),
    [anon_sym_IError] = ACTIONS(1524),
    [sym_type_placeholder] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [sym_type_identifier] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_COLON_EQ] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_EQ] = ACTIONS(1524),
    [anon_sym_assert] = ACTIONS(1524),
    [anon_sym_defer] = ACTIONS(1524),
    [anon_sym_unsafe] = ACTIONS(1524),
    [anon_sym_pub] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym___global] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_asm] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_type] = ACTIONS(1524),
    [anon_sym_go] = ACTIONS(1524),
    [anon_sym_spawn] = ACTIONS(1524),
    [anon_sym_goto] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_DOLLARfor] = ACTIONS(1522),
    [anon_sym_DOLLARif] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_is] = ACTIONS(1524),
    [anon_sym_BANGis] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(1524),
    [anon_sym_union] = ACTIONS(1524),
    [anon_sym_enum] = ACTIONS(1524),
    [anon_sym_interface] = ACTIONS(1524),
    [anon_sym_POUND] = ACTIONS(1522),
    [anon_sym_module] = ACTIONS(1524),
    [anon_sym_import] = ACTIONS(1524),
    [anon_sym_match] = ACTIONS(1524),
    [anon_sym_select] = ACTIONS(1524),
    [anon_sym_lock] = ACTIONS(1524),
    [anon_sym_rlock] = ACTIONS(1524),
    [sym__automatic_separator] = ACTIONS(1522),
    [sym__c_string_opening] = ACTIONS(1522),
    [sym__raw_string_opening] = ACTIONS(1522),
    [sym__string_opening] = ACTIONS(1522),
    [sym__comment] = ACTIONS(3),
  },
  [257] = {
    [sym_comment] = STATE(257),
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_LT_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1528),
    [anon_sym_LT_LT] = ACTIONS(1528),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1528),
    [anon_sym_AMP_CARET] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_BANGin] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_none] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_map_LBRACK] = ACTIONS(1526),
    [anon_sym_chan] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_thread] = ACTIONS(1528),
    [sym_int_literal] = ACTIONS(1528),
    [sym_float_literal] = ACTIONS(1526),
    [sym_rune_literal] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_array] = ACTIONS(1528),
    [anon_sym_string] = ACTIONS(1528),
    [anon_sym_char] = ACTIONS(1528),
    [anon_sym_sql] = ACTIONS(1528),
    [anon_sym_mut] = ACTIONS(1528),
    [anon_sym_C] = ACTIONS(1528),
    [anon_sym_JS] = ACTIONS(1528),
    [anon_sym_voidptr] = ACTIONS(1528),
    [anon_sym_byteptr] = ACTIONS(1528),
    [anon_sym_charptr] = ACTIONS(1528),
    [anon_sym_i8] = ACTIONS(1528),
    [anon_sym_i16] = ACTIONS(1528),
    [anon_sym_i32] = ACTIONS(1528),
    [anon_sym_int] = ACTIONS(1528),
    [anon_sym_i64] = ACTIONS(1528),
    [anon_sym_byte] = ACTIONS(1528),
    [anon_sym_u8] = ACTIONS(1528),
    [anon_sym_u16] = ACTIONS(1528),
    [anon_sym_u32] = ACTIONS(1528),
    [anon_sym_u64] = ACTIONS(1528),
    [anon_sym_f32] = ACTIONS(1528),
    [anon_sym_f64] = ACTIONS(1528),
    [anon_sym_bool] = ACTIONS(1528),
    [anon_sym_rune] = ACTIONS(1528),
    [anon_sym_map] = ACTIONS(1528),
    [anon_sym_mapnode] = ACTIONS(1528),
    [anon_sym_size_t] = ACTIONS(1528),
    [anon_sym_usize] = ACTIONS(1528),
    [anon_sym_isize] = ACTIONS(1528),
    [anon_sym_float_literal] = ACTIONS(1528),
    [anon_sym_int_literal] = ACTIONS(1528),
    [anon_sym_IError] = ACTIONS(1528),
    [sym_type_placeholder] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [sym_type_identifier] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_COLON_EQ] = ACTIONS(1526),
    [anon_sym_STAR_EQ] = ACTIONS(1526),
    [anon_sym_SLASH_EQ] = ACTIONS(1526),
    [anon_sym_PERCENT_EQ] = ACTIONS(1526),
    [anon_sym_LT_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1526),
    [anon_sym_AMP_EQ] = ACTIONS(1526),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1526),
    [anon_sym_PLUS_EQ] = ACTIONS(1526),
    [anon_sym_DASH_EQ] = ACTIONS(1526),
    [anon_sym_PIPE_EQ] = ACTIONS(1526),
    [anon_sym_CARET_EQ] = ACTIONS(1526),
    [anon_sym_EQ] = ACTIONS(1528),
    [anon_sym_assert] = ACTIONS(1528),
    [anon_sym_defer] = ACTIONS(1528),
    [anon_sym_unsafe] = ACTIONS(1528),
    [anon_sym_pub] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym___global] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_asm] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_type] = ACTIONS(1528),
    [anon_sym_go] = ACTIONS(1528),
    [anon_sym_spawn] = ACTIONS(1528),
    [anon_sym_goto] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_DOLLARfor] = ACTIONS(1526),
    [anon_sym_DOLLARif] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_is] = ACTIONS(1528),
    [anon_sym_BANGis] = ACTIONS(1526),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_interface] = ACTIONS(1528),
    [anon_sym_POUND] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1528),
    [anon_sym_import] = ACTIONS(1528),
    [anon_sym_match] = ACTIONS(1528),
    [anon_sym_select] = ACTIONS(1528),
    [anon_sym_lock] = ACTIONS(1528),
    [anon_sym_rlock] = ACTIONS(1528),
    [sym__automatic_separator] = ACTIONS(1526),
    [sym__c_string_opening] = ACTIONS(1526),
    [sym__raw_string_opening] = ACTIONS(1526),
    [sym__string_opening] = ACTIONS(1526),
    [sym__comment] = ACTIONS(3),
  },
  [258] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(258),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4811),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [259] = {
    [sym_comment] = STATE(259),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1534),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1534),
    [anon_sym_GT_GT_GT] = ACTIONS(1534),
    [anon_sym_AMP_CARET] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1534),
    [anon_sym_BANGin] = ACTIONS(1532),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_as] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [sym_none] = ACTIONS(1534),
    [sym_true] = ACTIONS(1534),
    [sym_false] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_map_LBRACK] = ACTIONS(1532),
    [anon_sym_chan] = ACTIONS(1534),
    [anon_sym_shared] = ACTIONS(1534),
    [anon_sym_thread] = ACTIONS(1534),
    [sym_int_literal] = ACTIONS(1534),
    [sym_float_literal] = ACTIONS(1532),
    [sym_rune_literal] = ACTIONS(1532),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_array] = ACTIONS(1534),
    [anon_sym_string] = ACTIONS(1534),
    [anon_sym_char] = ACTIONS(1534),
    [anon_sym_sql] = ACTIONS(1534),
    [anon_sym_mut] = ACTIONS(1534),
    [anon_sym_C] = ACTIONS(1534),
    [anon_sym_JS] = ACTIONS(1534),
    [anon_sym_voidptr] = ACTIONS(1534),
    [anon_sym_byteptr] = ACTIONS(1534),
    [anon_sym_charptr] = ACTIONS(1534),
    [anon_sym_i8] = ACTIONS(1534),
    [anon_sym_i16] = ACTIONS(1534),
    [anon_sym_i32] = ACTIONS(1534),
    [anon_sym_int] = ACTIONS(1534),
    [anon_sym_i64] = ACTIONS(1534),
    [anon_sym_byte] = ACTIONS(1534),
    [anon_sym_u8] = ACTIONS(1534),
    [anon_sym_u16] = ACTIONS(1534),
    [anon_sym_u32] = ACTIONS(1534),
    [anon_sym_u64] = ACTIONS(1534),
    [anon_sym_f32] = ACTIONS(1534),
    [anon_sym_f64] = ACTIONS(1534),
    [anon_sym_bool] = ACTIONS(1534),
    [anon_sym_rune] = ACTIONS(1534),
    [anon_sym_map] = ACTIONS(1534),
    [anon_sym_mapnode] = ACTIONS(1534),
    [anon_sym_size_t] = ACTIONS(1534),
    [anon_sym_usize] = ACTIONS(1534),
    [anon_sym_isize] = ACTIONS(1534),
    [anon_sym_float_literal] = ACTIONS(1534),
    [anon_sym_int_literal] = ACTIONS(1534),
    [anon_sym_IError] = ACTIONS(1534),
    [sym_type_placeholder] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [sym_type_identifier] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_COLON_EQ] = ACTIONS(1532),
    [anon_sym_STAR_EQ] = ACTIONS(1532),
    [anon_sym_SLASH_EQ] = ACTIONS(1532),
    [anon_sym_PERCENT_EQ] = ACTIONS(1532),
    [anon_sym_LT_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT_GT_EQ] = ACTIONS(1532),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1532),
    [anon_sym_AMP_EQ] = ACTIONS(1532),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1532),
    [anon_sym_PLUS_EQ] = ACTIONS(1532),
    [anon_sym_DASH_EQ] = ACTIONS(1532),
    [anon_sym_PIPE_EQ] = ACTIONS(1532),
    [anon_sym_CARET_EQ] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1534),
    [anon_sym_assert] = ACTIONS(1534),
    [anon_sym_defer] = ACTIONS(1534),
    [anon_sym_unsafe] = ACTIONS(1534),
    [anon_sym_pub] = ACTIONS(1534),
    [anon_sym_fn] = ACTIONS(1534),
    [anon_sym___global] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1534),
    [anon_sym_break] = ACTIONS(1534),
    [anon_sym_continue] = ACTIONS(1534),
    [anon_sym_return] = ACTIONS(1534),
    [anon_sym_type] = ACTIONS(1534),
    [anon_sym_go] = ACTIONS(1534),
    [anon_sym_spawn] = ACTIONS(1534),
    [anon_sym_goto] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_DOLLARfor] = ACTIONS(1532),
    [anon_sym_DOLLARif] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1534),
    [anon_sym_is] = ACTIONS(1534),
    [anon_sym_BANGis] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1534),
    [anon_sym_union] = ACTIONS(1534),
    [anon_sym_enum] = ACTIONS(1534),
    [anon_sym_interface] = ACTIONS(1534),
    [anon_sym_POUND] = ACTIONS(1532),
    [anon_sym_module] = ACTIONS(1534),
    [anon_sym_import] = ACTIONS(1534),
    [anon_sym_match] = ACTIONS(1534),
    [anon_sym_select] = ACTIONS(1534),
    [anon_sym_lock] = ACTIONS(1534),
    [anon_sym_rlock] = ACTIONS(1534),
    [sym__automatic_separator] = ACTIONS(1532),
    [sym__c_string_opening] = ACTIONS(1532),
    [sym__raw_string_opening] = ACTIONS(1532),
    [sym__string_opening] = ACTIONS(1532),
    [sym__comment] = ACTIONS(3),
  },
  [260] = {
    [sym_comment] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_LT_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_GT_GT_GT] = ACTIONS(1538),
    [anon_sym_AMP_CARET] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_in] = ACTIONS(1538),
    [anon_sym_BANGin] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_as] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [sym_none] = ACTIONS(1538),
    [sym_true] = ACTIONS(1538),
    [sym_false] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_map_LBRACK] = ACTIONS(1536),
    [anon_sym_chan] = ACTIONS(1538),
    [anon_sym_shared] = ACTIONS(1538),
    [anon_sym_thread] = ACTIONS(1538),
    [sym_int_literal] = ACTIONS(1538),
    [sym_float_literal] = ACTIONS(1536),
    [sym_rune_literal] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_array] = ACTIONS(1538),
    [anon_sym_string] = ACTIONS(1538),
    [anon_sym_char] = ACTIONS(1538),
    [anon_sym_sql] = ACTIONS(1538),
    [anon_sym_mut] = ACTIONS(1538),
    [anon_sym_C] = ACTIONS(1538),
    [anon_sym_JS] = ACTIONS(1538),
    [anon_sym_voidptr] = ACTIONS(1538),
    [anon_sym_byteptr] = ACTIONS(1538),
    [anon_sym_charptr] = ACTIONS(1538),
    [anon_sym_i8] = ACTIONS(1538),
    [anon_sym_i16] = ACTIONS(1538),
    [anon_sym_i32] = ACTIONS(1538),
    [anon_sym_int] = ACTIONS(1538),
    [anon_sym_i64] = ACTIONS(1538),
    [anon_sym_byte] = ACTIONS(1538),
    [anon_sym_u8] = ACTIONS(1538),
    [anon_sym_u16] = ACTIONS(1538),
    [anon_sym_u32] = ACTIONS(1538),
    [anon_sym_u64] = ACTIONS(1538),
    [anon_sym_f32] = ACTIONS(1538),
    [anon_sym_f64] = ACTIONS(1538),
    [anon_sym_bool] = ACTIONS(1538),
    [anon_sym_rune] = ACTIONS(1538),
    [anon_sym_map] = ACTIONS(1538),
    [anon_sym_mapnode] = ACTIONS(1538),
    [anon_sym_size_t] = ACTIONS(1538),
    [anon_sym_usize] = ACTIONS(1538),
    [anon_sym_isize] = ACTIONS(1538),
    [anon_sym_float_literal] = ACTIONS(1538),
    [anon_sym_int_literal] = ACTIONS(1538),
    [anon_sym_IError] = ACTIONS(1538),
    [sym_type_placeholder] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [sym_type_identifier] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_COLON_EQ] = ACTIONS(1536),
    [anon_sym_STAR_EQ] = ACTIONS(1536),
    [anon_sym_SLASH_EQ] = ACTIONS(1536),
    [anon_sym_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_LT_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT_GT_EQ] = ACTIONS(1536),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1536),
    [anon_sym_AMP_EQ] = ACTIONS(1536),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1536),
    [anon_sym_PLUS_EQ] = ACTIONS(1536),
    [anon_sym_DASH_EQ] = ACTIONS(1536),
    [anon_sym_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_CARET_EQ] = ACTIONS(1536),
    [anon_sym_EQ] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_defer] = ACTIONS(1538),
    [anon_sym_unsafe] = ACTIONS(1538),
    [anon_sym_pub] = ACTIONS(1538),
    [anon_sym_fn] = ACTIONS(1538),
    [anon_sym___global] = ACTIONS(1538),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_asm] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_continue] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_type] = ACTIONS(1538),
    [anon_sym_go] = ACTIONS(1538),
    [anon_sym_spawn] = ACTIONS(1538),
    [anon_sym_goto] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_DOLLARfor] = ACTIONS(1536),
    [anon_sym_DOLLARif] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_is] = ACTIONS(1538),
    [anon_sym_BANGis] = ACTIONS(1536),
    [anon_sym_struct] = ACTIONS(1538),
    [anon_sym_union] = ACTIONS(1538),
    [anon_sym_enum] = ACTIONS(1538),
    [anon_sym_interface] = ACTIONS(1538),
    [anon_sym_POUND] = ACTIONS(1536),
    [anon_sym_module] = ACTIONS(1538),
    [anon_sym_import] = ACTIONS(1538),
    [anon_sym_match] = ACTIONS(1538),
    [anon_sym_select] = ACTIONS(1538),
    [anon_sym_lock] = ACTIONS(1538),
    [anon_sym_rlock] = ACTIONS(1538),
    [sym__automatic_separator] = ACTIONS(1536),
    [sym__c_string_opening] = ACTIONS(1536),
    [sym__raw_string_opening] = ACTIONS(1536),
    [sym__string_opening] = ACTIONS(1536),
    [sym__comment] = ACTIONS(3),
  },
  [261] = {
    [sym_comment] = STATE(261),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1148),
    [anon_sym_PERCENT] = ACTIONS(1148),
    [anon_sym_LT_LT] = ACTIONS(1148),
    [anon_sym_GT_GT] = ACTIONS(1148),
    [anon_sym_GT_GT_GT] = ACTIONS(1148),
    [anon_sym_AMP_CARET] = ACTIONS(1148),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [262] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(262),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4821),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(258),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [263] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(263),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4823),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [264] = {
    [sym_comment] = STATE(264),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(1550),
    [anon_sym_AMP] = ACTIONS(1550),
    [anon_sym_LT_DASH] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1550),
    [anon_sym_PERCENT] = ACTIONS(1550),
    [anon_sym_LT_LT] = ACTIONS(1550),
    [anon_sym_GT_GT] = ACTIONS(1550),
    [anon_sym_GT_GT_GT] = ACTIONS(1550),
    [anon_sym_AMP_CARET] = ACTIONS(1550),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1550),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1550),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1550),
    [anon_sym_BANGin] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_as] = ACTIONS(1550),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [sym_none] = ACTIONS(1550),
    [sym_true] = ACTIONS(1550),
    [sym_false] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_map_LBRACK] = ACTIONS(1548),
    [anon_sym_chan] = ACTIONS(1550),
    [anon_sym_shared] = ACTIONS(1550),
    [anon_sym_thread] = ACTIONS(1550),
    [sym_int_literal] = ACTIONS(1550),
    [sym_float_literal] = ACTIONS(1548),
    [sym_rune_literal] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_array] = ACTIONS(1550),
    [anon_sym_string] = ACTIONS(1550),
    [anon_sym_char] = ACTIONS(1550),
    [anon_sym_sql] = ACTIONS(1550),
    [anon_sym_mut] = ACTIONS(1550),
    [anon_sym_C] = ACTIONS(1550),
    [anon_sym_JS] = ACTIONS(1550),
    [anon_sym_voidptr] = ACTIONS(1550),
    [anon_sym_byteptr] = ACTIONS(1550),
    [anon_sym_charptr] = ACTIONS(1550),
    [anon_sym_i8] = ACTIONS(1550),
    [anon_sym_i16] = ACTIONS(1550),
    [anon_sym_i32] = ACTIONS(1550),
    [anon_sym_int] = ACTIONS(1550),
    [anon_sym_i64] = ACTIONS(1550),
    [anon_sym_byte] = ACTIONS(1550),
    [anon_sym_u8] = ACTIONS(1550),
    [anon_sym_u16] = ACTIONS(1550),
    [anon_sym_u32] = ACTIONS(1550),
    [anon_sym_u64] = ACTIONS(1550),
    [anon_sym_f32] = ACTIONS(1550),
    [anon_sym_f64] = ACTIONS(1550),
    [anon_sym_bool] = ACTIONS(1550),
    [anon_sym_rune] = ACTIONS(1550),
    [anon_sym_map] = ACTIONS(1550),
    [anon_sym_mapnode] = ACTIONS(1550),
    [anon_sym_size_t] = ACTIONS(1550),
    [anon_sym_usize] = ACTIONS(1550),
    [anon_sym_isize] = ACTIONS(1550),
    [anon_sym_float_literal] = ACTIONS(1550),
    [anon_sym_int_literal] = ACTIONS(1550),
    [anon_sym_IError] = ACTIONS(1550),
    [sym_type_placeholder] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [sym_type_identifier] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_COLON_EQ] = ACTIONS(1548),
    [anon_sym_STAR_EQ] = ACTIONS(1548),
    [anon_sym_SLASH_EQ] = ACTIONS(1548),
    [anon_sym_PERCENT_EQ] = ACTIONS(1548),
    [anon_sym_LT_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT_GT_EQ] = ACTIONS(1548),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1548),
    [anon_sym_AMP_EQ] = ACTIONS(1548),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1548),
    [anon_sym_PLUS_EQ] = ACTIONS(1548),
    [anon_sym_DASH_EQ] = ACTIONS(1548),
    [anon_sym_PIPE_EQ] = ACTIONS(1548),
    [anon_sym_CARET_EQ] = ACTIONS(1548),
    [anon_sym_EQ] = ACTIONS(1550),
    [anon_sym_assert] = ACTIONS(1550),
    [anon_sym_defer] = ACTIONS(1550),
    [anon_sym_unsafe] = ACTIONS(1550),
    [anon_sym_pub] = ACTIONS(1550),
    [anon_sym_fn] = ACTIONS(1550),
    [anon_sym___global] = ACTIONS(1550),
    [anon_sym_const] = ACTIONS(1550),
    [anon_sym_asm] = ACTIONS(1550),
    [anon_sym_break] = ACTIONS(1550),
    [anon_sym_continue] = ACTIONS(1550),
    [anon_sym_return] = ACTIONS(1550),
    [anon_sym_type] = ACTIONS(1550),
    [anon_sym_go] = ACTIONS(1550),
    [anon_sym_spawn] = ACTIONS(1550),
    [anon_sym_goto] = ACTIONS(1550),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_DOLLARfor] = ACTIONS(1548),
    [anon_sym_DOLLARif] = ACTIONS(1548),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_is] = ACTIONS(1550),
    [anon_sym_BANGis] = ACTIONS(1548),
    [anon_sym_struct] = ACTIONS(1550),
    [anon_sym_union] = ACTIONS(1550),
    [anon_sym_enum] = ACTIONS(1550),
    [anon_sym_interface] = ACTIONS(1550),
    [anon_sym_POUND] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1550),
    [anon_sym_import] = ACTIONS(1550),
    [anon_sym_match] = ACTIONS(1550),
    [anon_sym_select] = ACTIONS(1550),
    [anon_sym_lock] = ACTIONS(1550),
    [anon_sym_rlock] = ACTIONS(1550),
    [sym__automatic_separator] = ACTIONS(1548),
    [sym__c_string_opening] = ACTIONS(1548),
    [sym__raw_string_opening] = ACTIONS(1548),
    [sym__string_opening] = ACTIONS(1548),
    [sym__comment] = ACTIONS(3),
  },
  [265] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(265),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4991),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [266] = {
    [sym_comment] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1556),
    [anon_sym_STAR] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_LT_DASH] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(1556),
    [anon_sym_PERCENT] = ACTIONS(1556),
    [anon_sym_LT_LT] = ACTIONS(1556),
    [anon_sym_GT_GT] = ACTIONS(1556),
    [anon_sym_GT_GT_GT] = ACTIONS(1556),
    [anon_sym_AMP_CARET] = ACTIONS(1556),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_EQ_EQ] = ACTIONS(1554),
    [anon_sym_BANG_EQ] = ACTIONS(1554),
    [anon_sym_LT] = ACTIONS(1556),
    [anon_sym_LT_EQ] = ACTIONS(1554),
    [anon_sym_GT] = ACTIONS(1556),
    [anon_sym_GT_EQ] = ACTIONS(1554),
    [anon_sym_in] = ACTIONS(1556),
    [anon_sym_BANGin] = ACTIONS(1554),
    [anon_sym_AMP_AMP] = ACTIONS(1554),
    [anon_sym_PIPE_PIPE] = ACTIONS(1554),
    [anon_sym_as] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_none] = ACTIONS(1556),
    [sym_true] = ACTIONS(1556),
    [sym_false] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_map_LBRACK] = ACTIONS(1554),
    [anon_sym_chan] = ACTIONS(1556),
    [anon_sym_shared] = ACTIONS(1556),
    [anon_sym_thread] = ACTIONS(1556),
    [sym_int_literal] = ACTIONS(1556),
    [sym_float_literal] = ACTIONS(1554),
    [sym_rune_literal] = ACTIONS(1554),
    [anon_sym_DOT] = ACTIONS(1556),
    [anon_sym_array] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_char] = ACTIONS(1556),
    [anon_sym_sql] = ACTIONS(1556),
    [anon_sym_mut] = ACTIONS(1556),
    [anon_sym_C] = ACTIONS(1556),
    [anon_sym_JS] = ACTIONS(1556),
    [anon_sym_voidptr] = ACTIONS(1556),
    [anon_sym_byteptr] = ACTIONS(1556),
    [anon_sym_charptr] = ACTIONS(1556),
    [anon_sym_i8] = ACTIONS(1556),
    [anon_sym_i16] = ACTIONS(1556),
    [anon_sym_i32] = ACTIONS(1556),
    [anon_sym_int] = ACTIONS(1556),
    [anon_sym_i64] = ACTIONS(1556),
    [anon_sym_byte] = ACTIONS(1556),
    [anon_sym_u8] = ACTIONS(1556),
    [anon_sym_u16] = ACTIONS(1556),
    [anon_sym_u32] = ACTIONS(1556),
    [anon_sym_u64] = ACTIONS(1556),
    [anon_sym_f32] = ACTIONS(1556),
    [anon_sym_f64] = ACTIONS(1556),
    [anon_sym_bool] = ACTIONS(1556),
    [anon_sym_rune] = ACTIONS(1556),
    [anon_sym_map] = ACTIONS(1556),
    [anon_sym_mapnode] = ACTIONS(1556),
    [anon_sym_size_t] = ACTIONS(1556),
    [anon_sym_usize] = ACTIONS(1556),
    [anon_sym_isize] = ACTIONS(1556),
    [anon_sym_float_literal] = ACTIONS(1556),
    [anon_sym_int_literal] = ACTIONS(1556),
    [anon_sym_IError] = ACTIONS(1556),
    [sym_type_placeholder] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [sym_type_identifier] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_COLON_EQ] = ACTIONS(1554),
    [anon_sym_STAR_EQ] = ACTIONS(1554),
    [anon_sym_SLASH_EQ] = ACTIONS(1554),
    [anon_sym_PERCENT_EQ] = ACTIONS(1554),
    [anon_sym_LT_LT_EQ] = ACTIONS(1554),
    [anon_sym_GT_GT_EQ] = ACTIONS(1554),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1554),
    [anon_sym_AMP_EQ] = ACTIONS(1554),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1554),
    [anon_sym_PLUS_EQ] = ACTIONS(1554),
    [anon_sym_DASH_EQ] = ACTIONS(1554),
    [anon_sym_PIPE_EQ] = ACTIONS(1554),
    [anon_sym_CARET_EQ] = ACTIONS(1554),
    [anon_sym_EQ] = ACTIONS(1556),
    [anon_sym_assert] = ACTIONS(1556),
    [anon_sym_defer] = ACTIONS(1556),
    [anon_sym_unsafe] = ACTIONS(1556),
    [anon_sym_pub] = ACTIONS(1556),
    [anon_sym_fn] = ACTIONS(1556),
    [anon_sym___global] = ACTIONS(1556),
    [anon_sym_const] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1556),
    [anon_sym_break] = ACTIONS(1556),
    [anon_sym_continue] = ACTIONS(1556),
    [anon_sym_return] = ACTIONS(1556),
    [anon_sym_type] = ACTIONS(1556),
    [anon_sym_go] = ACTIONS(1556),
    [anon_sym_spawn] = ACTIONS(1556),
    [anon_sym_goto] = ACTIONS(1556),
    [anon_sym_for] = ACTIONS(1556),
    [anon_sym_DOLLARfor] = ACTIONS(1554),
    [anon_sym_DOLLARif] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_is] = ACTIONS(1556),
    [anon_sym_BANGis] = ACTIONS(1554),
    [anon_sym_struct] = ACTIONS(1556),
    [anon_sym_union] = ACTIONS(1556),
    [anon_sym_enum] = ACTIONS(1556),
    [anon_sym_interface] = ACTIONS(1556),
    [anon_sym_POUND] = ACTIONS(1554),
    [anon_sym_module] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(1556),
    [anon_sym_match] = ACTIONS(1556),
    [anon_sym_select] = ACTIONS(1556),
    [anon_sym_lock] = ACTIONS(1556),
    [anon_sym_rlock] = ACTIONS(1556),
    [sym__automatic_separator] = ACTIONS(1554),
    [sym__c_string_opening] = ACTIONS(1554),
    [sym__raw_string_opening] = ACTIONS(1554),
    [sym__string_opening] = ACTIONS(1554),
    [sym__comment] = ACTIONS(3),
  },
  [267] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(267),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4993),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(273),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [268] = {
    [sym_comment] = STATE(268),
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1562),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_LT_DASH] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_PERCENT] = ACTIONS(1562),
    [anon_sym_LT_LT] = ACTIONS(1562),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1562),
    [anon_sym_AMP_CARET] = ACTIONS(1562),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_BANGin] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1560),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1562),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_none] = ACTIONS(1562),
    [sym_true] = ACTIONS(1562),
    [sym_false] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_map_LBRACK] = ACTIONS(1560),
    [anon_sym_chan] = ACTIONS(1562),
    [anon_sym_shared] = ACTIONS(1562),
    [anon_sym_thread] = ACTIONS(1562),
    [sym_int_literal] = ACTIONS(1562),
    [sym_float_literal] = ACTIONS(1560),
    [sym_rune_literal] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_array] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_char] = ACTIONS(1562),
    [anon_sym_sql] = ACTIONS(1562),
    [anon_sym_mut] = ACTIONS(1562),
    [anon_sym_C] = ACTIONS(1562),
    [anon_sym_JS] = ACTIONS(1562),
    [anon_sym_voidptr] = ACTIONS(1562),
    [anon_sym_byteptr] = ACTIONS(1562),
    [anon_sym_charptr] = ACTIONS(1562),
    [anon_sym_i8] = ACTIONS(1562),
    [anon_sym_i16] = ACTIONS(1562),
    [anon_sym_i32] = ACTIONS(1562),
    [anon_sym_int] = ACTIONS(1562),
    [anon_sym_i64] = ACTIONS(1562),
    [anon_sym_byte] = ACTIONS(1562),
    [anon_sym_u8] = ACTIONS(1562),
    [anon_sym_u16] = ACTIONS(1562),
    [anon_sym_u32] = ACTIONS(1562),
    [anon_sym_u64] = ACTIONS(1562),
    [anon_sym_f32] = ACTIONS(1562),
    [anon_sym_f64] = ACTIONS(1562),
    [anon_sym_bool] = ACTIONS(1562),
    [anon_sym_rune] = ACTIONS(1562),
    [anon_sym_map] = ACTIONS(1562),
    [anon_sym_mapnode] = ACTIONS(1562),
    [anon_sym_size_t] = ACTIONS(1562),
    [anon_sym_usize] = ACTIONS(1562),
    [anon_sym_isize] = ACTIONS(1562),
    [anon_sym_float_literal] = ACTIONS(1562),
    [anon_sym_int_literal] = ACTIONS(1562),
    [anon_sym_IError] = ACTIONS(1562),
    [sym_type_placeholder] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [sym_type_identifier] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_COLON_EQ] = ACTIONS(1560),
    [anon_sym_STAR_EQ] = ACTIONS(1560),
    [anon_sym_SLASH_EQ] = ACTIONS(1560),
    [anon_sym_PERCENT_EQ] = ACTIONS(1560),
    [anon_sym_LT_LT_EQ] = ACTIONS(1560),
    [anon_sym_GT_GT_EQ] = ACTIONS(1560),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1560),
    [anon_sym_AMP_EQ] = ACTIONS(1560),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1560),
    [anon_sym_PLUS_EQ] = ACTIONS(1560),
    [anon_sym_DASH_EQ] = ACTIONS(1560),
    [anon_sym_PIPE_EQ] = ACTIONS(1560),
    [anon_sym_CARET_EQ] = ACTIONS(1560),
    [anon_sym_EQ] = ACTIONS(1562),
    [anon_sym_assert] = ACTIONS(1562),
    [anon_sym_defer] = ACTIONS(1562),
    [anon_sym_unsafe] = ACTIONS(1562),
    [anon_sym_pub] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym___global] = ACTIONS(1562),
    [anon_sym_const] = ACTIONS(1562),
    [anon_sym_asm] = ACTIONS(1562),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_continue] = ACTIONS(1562),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_go] = ACTIONS(1562),
    [anon_sym_spawn] = ACTIONS(1562),
    [anon_sym_goto] = ACTIONS(1562),
    [anon_sym_for] = ACTIONS(1562),
    [anon_sym_DOLLARfor] = ACTIONS(1560),
    [anon_sym_DOLLARif] = ACTIONS(1560),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_is] = ACTIONS(1562),
    [anon_sym_BANGis] = ACTIONS(1560),
    [anon_sym_struct] = ACTIONS(1562),
    [anon_sym_union] = ACTIONS(1562),
    [anon_sym_enum] = ACTIONS(1562),
    [anon_sym_interface] = ACTIONS(1562),
    [anon_sym_POUND] = ACTIONS(1560),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_import] = ACTIONS(1562),
    [anon_sym_match] = ACTIONS(1562),
    [anon_sym_select] = ACTIONS(1562),
    [anon_sym_lock] = ACTIONS(1562),
    [anon_sym_rlock] = ACTIONS(1562),
    [sym__automatic_separator] = ACTIONS(1560),
    [sym__c_string_opening] = ACTIONS(1560),
    [sym__raw_string_opening] = ACTIONS(1560),
    [sym__string_opening] = ACTIONS(1560),
    [sym__comment] = ACTIONS(3),
  },
  [269] = {
    [sym_comment] = STATE(269),
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1566),
    [anon_sym_STAR] = ACTIONS(1566),
    [anon_sym_AMP] = ACTIONS(1566),
    [anon_sym_LT_DASH] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1566),
    [anon_sym_PERCENT] = ACTIONS(1566),
    [anon_sym_LT_LT] = ACTIONS(1566),
    [anon_sym_GT_GT] = ACTIONS(1566),
    [anon_sym_GT_GT_GT] = ACTIONS(1566),
    [anon_sym_AMP_CARET] = ACTIONS(1566),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_LT_EQ] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1566),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_in] = ACTIONS(1566),
    [anon_sym_BANGin] = ACTIONS(1564),
    [anon_sym_AMP_AMP] = ACTIONS(1564),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_as] = ACTIONS(1566),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [sym_none] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_map_LBRACK] = ACTIONS(1564),
    [anon_sym_chan] = ACTIONS(1566),
    [anon_sym_shared] = ACTIONS(1566),
    [anon_sym_thread] = ACTIONS(1566),
    [sym_int_literal] = ACTIONS(1566),
    [sym_float_literal] = ACTIONS(1564),
    [sym_rune_literal] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_array] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_sql] = ACTIONS(1566),
    [anon_sym_mut] = ACTIONS(1566),
    [anon_sym_C] = ACTIONS(1566),
    [anon_sym_JS] = ACTIONS(1566),
    [anon_sym_voidptr] = ACTIONS(1566),
    [anon_sym_byteptr] = ACTIONS(1566),
    [anon_sym_charptr] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_int] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_byte] = ACTIONS(1566),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_rune] = ACTIONS(1566),
    [anon_sym_map] = ACTIONS(1566),
    [anon_sym_mapnode] = ACTIONS(1566),
    [anon_sym_size_t] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_float_literal] = ACTIONS(1566),
    [anon_sym_int_literal] = ACTIONS(1566),
    [anon_sym_IError] = ACTIONS(1566),
    [sym_type_placeholder] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [sym_type_identifier] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_COLON_EQ] = ACTIONS(1564),
    [anon_sym_STAR_EQ] = ACTIONS(1564),
    [anon_sym_SLASH_EQ] = ACTIONS(1564),
    [anon_sym_PERCENT_EQ] = ACTIONS(1564),
    [anon_sym_LT_LT_EQ] = ACTIONS(1564),
    [anon_sym_GT_GT_EQ] = ACTIONS(1564),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1564),
    [anon_sym_AMP_EQ] = ACTIONS(1564),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1564),
    [anon_sym_PLUS_EQ] = ACTIONS(1564),
    [anon_sym_DASH_EQ] = ACTIONS(1564),
    [anon_sym_PIPE_EQ] = ACTIONS(1564),
    [anon_sym_CARET_EQ] = ACTIONS(1564),
    [anon_sym_EQ] = ACTIONS(1566),
    [anon_sym_assert] = ACTIONS(1566),
    [anon_sym_defer] = ACTIONS(1566),
    [anon_sym_unsafe] = ACTIONS(1566),
    [anon_sym_pub] = ACTIONS(1566),
    [anon_sym_fn] = ACTIONS(1566),
    [anon_sym___global] = ACTIONS(1566),
    [anon_sym_const] = ACTIONS(1566),
    [anon_sym_asm] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_continue] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_type] = ACTIONS(1566),
    [anon_sym_go] = ACTIONS(1566),
    [anon_sym_spawn] = ACTIONS(1566),
    [anon_sym_goto] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_DOLLARfor] = ACTIONS(1564),
    [anon_sym_DOLLARif] = ACTIONS(1564),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_is] = ACTIONS(1566),
    [anon_sym_BANGis] = ACTIONS(1564),
    [anon_sym_struct] = ACTIONS(1566),
    [anon_sym_union] = ACTIONS(1566),
    [anon_sym_enum] = ACTIONS(1566),
    [anon_sym_interface] = ACTIONS(1566),
    [anon_sym_POUND] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1566),
    [anon_sym_import] = ACTIONS(1566),
    [anon_sym_match] = ACTIONS(1566),
    [anon_sym_select] = ACTIONS(1566),
    [anon_sym_lock] = ACTIONS(1566),
    [anon_sym_rlock] = ACTIONS(1566),
    [sym__automatic_separator] = ACTIONS(1564),
    [sym__c_string_opening] = ACTIONS(1564),
    [sym__raw_string_opening] = ACTIONS(1564),
    [sym__string_opening] = ACTIONS(1564),
    [sym__comment] = ACTIONS(3),
  },
  [270] = {
    [sym_comment] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(1568),
    [sym_identifier] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_LT_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1570),
    [anon_sym_AMP_CARET] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_BANGin] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [sym_none] = ACTIONS(1570),
    [sym_true] = ACTIONS(1570),
    [sym_false] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_map_LBRACK] = ACTIONS(1568),
    [anon_sym_chan] = ACTIONS(1570),
    [anon_sym_shared] = ACTIONS(1570),
    [anon_sym_thread] = ACTIONS(1570),
    [sym_int_literal] = ACTIONS(1570),
    [sym_float_literal] = ACTIONS(1568),
    [sym_rune_literal] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_array] = ACTIONS(1570),
    [anon_sym_string] = ACTIONS(1570),
    [anon_sym_char] = ACTIONS(1570),
    [anon_sym_sql] = ACTIONS(1570),
    [anon_sym_mut] = ACTIONS(1570),
    [anon_sym_C] = ACTIONS(1570),
    [anon_sym_JS] = ACTIONS(1570),
    [anon_sym_voidptr] = ACTIONS(1570),
    [anon_sym_byteptr] = ACTIONS(1570),
    [anon_sym_charptr] = ACTIONS(1570),
    [anon_sym_i8] = ACTIONS(1570),
    [anon_sym_i16] = ACTIONS(1570),
    [anon_sym_i32] = ACTIONS(1570),
    [anon_sym_int] = ACTIONS(1570),
    [anon_sym_i64] = ACTIONS(1570),
    [anon_sym_byte] = ACTIONS(1570),
    [anon_sym_u8] = ACTIONS(1570),
    [anon_sym_u16] = ACTIONS(1570),
    [anon_sym_u32] = ACTIONS(1570),
    [anon_sym_u64] = ACTIONS(1570),
    [anon_sym_f32] = ACTIONS(1570),
    [anon_sym_f64] = ACTIONS(1570),
    [anon_sym_bool] = ACTIONS(1570),
    [anon_sym_rune] = ACTIONS(1570),
    [anon_sym_map] = ACTIONS(1570),
    [anon_sym_mapnode] = ACTIONS(1570),
    [anon_sym_size_t] = ACTIONS(1570),
    [anon_sym_usize] = ACTIONS(1570),
    [anon_sym_isize] = ACTIONS(1570),
    [anon_sym_float_literal] = ACTIONS(1570),
    [anon_sym_int_literal] = ACTIONS(1570),
    [anon_sym_IError] = ACTIONS(1570),
    [sym_type_placeholder] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [sym_type_identifier] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_COLON_EQ] = ACTIONS(1568),
    [anon_sym_STAR_EQ] = ACTIONS(1568),
    [anon_sym_SLASH_EQ] = ACTIONS(1568),
    [anon_sym_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_AMP_EQ] = ACTIONS(1568),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_EQ] = ACTIONS(1568),
    [anon_sym_DASH_EQ] = ACTIONS(1568),
    [anon_sym_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_CARET_EQ] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_defer] = ACTIONS(1570),
    [anon_sym_unsafe] = ACTIONS(1570),
    [anon_sym_pub] = ACTIONS(1570),
    [anon_sym_fn] = ACTIONS(1570),
    [anon_sym___global] = ACTIONS(1570),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_asm] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_continue] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_type] = ACTIONS(1570),
    [anon_sym_go] = ACTIONS(1570),
    [anon_sym_spawn] = ACTIONS(1570),
    [anon_sym_goto] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_DOLLARfor] = ACTIONS(1568),
    [anon_sym_DOLLARif] = ACTIONS(1568),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_is] = ACTIONS(1570),
    [anon_sym_BANGis] = ACTIONS(1568),
    [anon_sym_struct] = ACTIONS(1570),
    [anon_sym_union] = ACTIONS(1570),
    [anon_sym_enum] = ACTIONS(1570),
    [anon_sym_interface] = ACTIONS(1570),
    [anon_sym_POUND] = ACTIONS(1568),
    [anon_sym_module] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(1570),
    [anon_sym_match] = ACTIONS(1570),
    [anon_sym_select] = ACTIONS(1570),
    [anon_sym_lock] = ACTIONS(1570),
    [anon_sym_rlock] = ACTIONS(1570),
    [sym__automatic_separator] = ACTIONS(1568),
    [sym__c_string_opening] = ACTIONS(1568),
    [sym__raw_string_opening] = ACTIONS(1568),
    [sym__string_opening] = ACTIONS(1568),
    [sym__comment] = ACTIONS(3),
  },
  [271] = {
    [sym_comment] = STATE(271),
    [ts_builtin_sym_end] = ACTIONS(1572),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_LT_DASH] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_PERCENT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1574),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1574),
    [anon_sym_AMP_CARET] = ACTIONS(1574),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_BANGin] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_as] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [sym_none] = ACTIONS(1574),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_map_LBRACK] = ACTIONS(1572),
    [anon_sym_chan] = ACTIONS(1574),
    [anon_sym_shared] = ACTIONS(1574),
    [anon_sym_thread] = ACTIONS(1574),
    [sym_int_literal] = ACTIONS(1574),
    [sym_float_literal] = ACTIONS(1572),
    [sym_rune_literal] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1574),
    [anon_sym_array] = ACTIONS(1574),
    [anon_sym_string] = ACTIONS(1574),
    [anon_sym_char] = ACTIONS(1574),
    [anon_sym_sql] = ACTIONS(1574),
    [anon_sym_mut] = ACTIONS(1574),
    [anon_sym_C] = ACTIONS(1574),
    [anon_sym_JS] = ACTIONS(1574),
    [anon_sym_voidptr] = ACTIONS(1574),
    [anon_sym_byteptr] = ACTIONS(1574),
    [anon_sym_charptr] = ACTIONS(1574),
    [anon_sym_i8] = ACTIONS(1574),
    [anon_sym_i16] = ACTIONS(1574),
    [anon_sym_i32] = ACTIONS(1574),
    [anon_sym_int] = ACTIONS(1574),
    [anon_sym_i64] = ACTIONS(1574),
    [anon_sym_byte] = ACTIONS(1574),
    [anon_sym_u8] = ACTIONS(1574),
    [anon_sym_u16] = ACTIONS(1574),
    [anon_sym_u32] = ACTIONS(1574),
    [anon_sym_u64] = ACTIONS(1574),
    [anon_sym_f32] = ACTIONS(1574),
    [anon_sym_f64] = ACTIONS(1574),
    [anon_sym_bool] = ACTIONS(1574),
    [anon_sym_rune] = ACTIONS(1574),
    [anon_sym_map] = ACTIONS(1574),
    [anon_sym_mapnode] = ACTIONS(1574),
    [anon_sym_size_t] = ACTIONS(1574),
    [anon_sym_usize] = ACTIONS(1574),
    [anon_sym_isize] = ACTIONS(1574),
    [anon_sym_float_literal] = ACTIONS(1574),
    [anon_sym_int_literal] = ACTIONS(1574),
    [anon_sym_IError] = ACTIONS(1574),
    [sym_type_placeholder] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [sym_type_identifier] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_COLON_EQ] = ACTIONS(1572),
    [anon_sym_STAR_EQ] = ACTIONS(1572),
    [anon_sym_SLASH_EQ] = ACTIONS(1572),
    [anon_sym_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_LT_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT_GT_EQ] = ACTIONS(1572),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1572),
    [anon_sym_AMP_EQ] = ACTIONS(1572),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_EQ] = ACTIONS(1572),
    [anon_sym_DASH_EQ] = ACTIONS(1572),
    [anon_sym_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_CARET_EQ] = ACTIONS(1572),
    [anon_sym_EQ] = ACTIONS(1574),
    [anon_sym_assert] = ACTIONS(1574),
    [anon_sym_defer] = ACTIONS(1574),
    [anon_sym_unsafe] = ACTIONS(1574),
    [anon_sym_pub] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym___global] = ACTIONS(1574),
    [anon_sym_const] = ACTIONS(1574),
    [anon_sym_asm] = ACTIONS(1574),
    [anon_sym_break] = ACTIONS(1574),
    [anon_sym_continue] = ACTIONS(1574),
    [anon_sym_return] = ACTIONS(1574),
    [anon_sym_type] = ACTIONS(1574),
    [anon_sym_go] = ACTIONS(1574),
    [anon_sym_spawn] = ACTIONS(1574),
    [anon_sym_goto] = ACTIONS(1574),
    [anon_sym_for] = ACTIONS(1574),
    [anon_sym_DOLLARfor] = ACTIONS(1572),
    [anon_sym_DOLLARif] = ACTIONS(1572),
    [anon_sym_if] = ACTIONS(1574),
    [anon_sym_is] = ACTIONS(1574),
    [anon_sym_BANGis] = ACTIONS(1572),
    [anon_sym_struct] = ACTIONS(1574),
    [anon_sym_union] = ACTIONS(1574),
    [anon_sym_enum] = ACTIONS(1574),
    [anon_sym_interface] = ACTIONS(1574),
    [anon_sym_POUND] = ACTIONS(1572),
    [anon_sym_module] = ACTIONS(1574),
    [anon_sym_import] = ACTIONS(1574),
    [anon_sym_match] = ACTIONS(1574),
    [anon_sym_select] = ACTIONS(1574),
    [anon_sym_lock] = ACTIONS(1574),
    [anon_sym_rlock] = ACTIONS(1574),
    [sym__automatic_separator] = ACTIONS(1572),
    [sym__c_string_opening] = ACTIONS(1572),
    [sym__raw_string_opening] = ACTIONS(1572),
    [sym__string_opening] = ACTIONS(1572),
    [sym__comment] = ACTIONS(3),
  },
  [272] = {
    [sym_comment] = STATE(272),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1148),
    [anon_sym_PERCENT] = ACTIONS(1148),
    [anon_sym_LT_LT] = ACTIONS(1148),
    [anon_sym_GT_GT] = ACTIONS(1148),
    [anon_sym_GT_GT_GT] = ACTIONS(1148),
    [anon_sym_AMP_CARET] = ACTIONS(1148),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_EQ_EQ] = ACTIONS(1152),
    [anon_sym_BANG_EQ] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_LT_EQ] = ACTIONS(1152),
    [anon_sym_GT] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1152),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_BANGin] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1156),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1176),
    [anon_sym_BANGis] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [273] = {
    [sym__expression] = STATE(2982),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(273),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_select_default_branch] = STATE(4886),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [274] = {
    [sym_comment] = STATE(274),
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_LT_DASH] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1580),
    [anon_sym_AMP_CARET] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_BANGin] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [sym_none] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_map_LBRACK] = ACTIONS(1578),
    [anon_sym_chan] = ACTIONS(1580),
    [anon_sym_shared] = ACTIONS(1580),
    [anon_sym_thread] = ACTIONS(1580),
    [sym_int_literal] = ACTIONS(1580),
    [sym_float_literal] = ACTIONS(1578),
    [sym_rune_literal] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_array] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_char] = ACTIONS(1580),
    [anon_sym_sql] = ACTIONS(1580),
    [anon_sym_mut] = ACTIONS(1580),
    [anon_sym_C] = ACTIONS(1580),
    [anon_sym_JS] = ACTIONS(1580),
    [anon_sym_voidptr] = ACTIONS(1580),
    [anon_sym_byteptr] = ACTIONS(1580),
    [anon_sym_charptr] = ACTIONS(1580),
    [anon_sym_i8] = ACTIONS(1580),
    [anon_sym_i16] = ACTIONS(1580),
    [anon_sym_i32] = ACTIONS(1580),
    [anon_sym_int] = ACTIONS(1580),
    [anon_sym_i64] = ACTIONS(1580),
    [anon_sym_byte] = ACTIONS(1580),
    [anon_sym_u8] = ACTIONS(1580),
    [anon_sym_u16] = ACTIONS(1580),
    [anon_sym_u32] = ACTIONS(1580),
    [anon_sym_u64] = ACTIONS(1580),
    [anon_sym_f32] = ACTIONS(1580),
    [anon_sym_f64] = ACTIONS(1580),
    [anon_sym_bool] = ACTIONS(1580),
    [anon_sym_rune] = ACTIONS(1580),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_mapnode] = ACTIONS(1580),
    [anon_sym_size_t] = ACTIONS(1580),
    [anon_sym_usize] = ACTIONS(1580),
    [anon_sym_isize] = ACTIONS(1580),
    [anon_sym_float_literal] = ACTIONS(1580),
    [anon_sym_int_literal] = ACTIONS(1580),
    [anon_sym_IError] = ACTIONS(1580),
    [sym_type_placeholder] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [sym_type_identifier] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_COLON_EQ] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1578),
    [anon_sym_SLASH_EQ] = ACTIONS(1578),
    [anon_sym_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_AMP_EQ] = ACTIONS(1578),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_EQ] = ACTIONS(1578),
    [anon_sym_DASH_EQ] = ACTIONS(1578),
    [anon_sym_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_CARET_EQ] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1580),
    [anon_sym_assert] = ACTIONS(1580),
    [anon_sym_defer] = ACTIONS(1580),
    [anon_sym_unsafe] = ACTIONS(1580),
    [anon_sym_pub] = ACTIONS(1580),
    [anon_sym_fn] = ACTIONS(1580),
    [anon_sym___global] = ACTIONS(1580),
    [anon_sym_const] = ACTIONS(1580),
    [anon_sym_asm] = ACTIONS(1580),
    [anon_sym_break] = ACTIONS(1580),
    [anon_sym_continue] = ACTIONS(1580),
    [anon_sym_return] = ACTIONS(1580),
    [anon_sym_type] = ACTIONS(1580),
    [anon_sym_go] = ACTIONS(1580),
    [anon_sym_spawn] = ACTIONS(1580),
    [anon_sym_goto] = ACTIONS(1580),
    [anon_sym_for] = ACTIONS(1580),
    [anon_sym_DOLLARfor] = ACTIONS(1578),
    [anon_sym_DOLLARif] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_is] = ACTIONS(1580),
    [anon_sym_BANGis] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(1580),
    [anon_sym_union] = ACTIONS(1580),
    [anon_sym_enum] = ACTIONS(1580),
    [anon_sym_interface] = ACTIONS(1580),
    [anon_sym_POUND] = ACTIONS(1578),
    [anon_sym_module] = ACTIONS(1580),
    [anon_sym_import] = ACTIONS(1580),
    [anon_sym_match] = ACTIONS(1580),
    [anon_sym_select] = ACTIONS(1580),
    [anon_sym_lock] = ACTIONS(1580),
    [anon_sym_rlock] = ACTIONS(1580),
    [sym__automatic_separator] = ACTIONS(1578),
    [sym__c_string_opening] = ACTIONS(1578),
    [sym__raw_string_opening] = ACTIONS(1578),
    [sym__string_opening] = ACTIONS(1578),
    [sym__comment] = ACTIONS(3),
  },
  [275] = {
    [sym_comment] = STATE(275),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [276] = {
    [sym_comment] = STATE(276),
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1584),
    [anon_sym_AMP_CARET] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_BANGin] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [sym_none] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_map_LBRACK] = ACTIONS(1582),
    [anon_sym_chan] = ACTIONS(1584),
    [anon_sym_shared] = ACTIONS(1584),
    [anon_sym_thread] = ACTIONS(1584),
    [sym_int_literal] = ACTIONS(1584),
    [sym_float_literal] = ACTIONS(1582),
    [sym_rune_literal] = ACTIONS(1582),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_array] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_char] = ACTIONS(1584),
    [anon_sym_sql] = ACTIONS(1584),
    [anon_sym_mut] = ACTIONS(1584),
    [anon_sym_C] = ACTIONS(1584),
    [anon_sym_JS] = ACTIONS(1584),
    [anon_sym_voidptr] = ACTIONS(1584),
    [anon_sym_byteptr] = ACTIONS(1584),
    [anon_sym_charptr] = ACTIONS(1584),
    [anon_sym_i8] = ACTIONS(1584),
    [anon_sym_i16] = ACTIONS(1584),
    [anon_sym_i32] = ACTIONS(1584),
    [anon_sym_int] = ACTIONS(1584),
    [anon_sym_i64] = ACTIONS(1584),
    [anon_sym_byte] = ACTIONS(1584),
    [anon_sym_u8] = ACTIONS(1584),
    [anon_sym_u16] = ACTIONS(1584),
    [anon_sym_u32] = ACTIONS(1584),
    [anon_sym_u64] = ACTIONS(1584),
    [anon_sym_f32] = ACTIONS(1584),
    [anon_sym_f64] = ACTIONS(1584),
    [anon_sym_bool] = ACTIONS(1584),
    [anon_sym_rune] = ACTIONS(1584),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_mapnode] = ACTIONS(1584),
    [anon_sym_size_t] = ACTIONS(1584),
    [anon_sym_usize] = ACTIONS(1584),
    [anon_sym_isize] = ACTIONS(1584),
    [anon_sym_float_literal] = ACTIONS(1584),
    [anon_sym_int_literal] = ACTIONS(1584),
    [anon_sym_IError] = ACTIONS(1584),
    [sym_type_placeholder] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [sym_type_identifier] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_COLON_EQ] = ACTIONS(1582),
    [anon_sym_STAR_EQ] = ACTIONS(1582),
    [anon_sym_SLASH_EQ] = ACTIONS(1582),
    [anon_sym_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_AMP_EQ] = ACTIONS(1582),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_EQ] = ACTIONS(1582),
    [anon_sym_DASH_EQ] = ACTIONS(1582),
    [anon_sym_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_CARET_EQ] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1584),
    [anon_sym_assert] = ACTIONS(1584),
    [anon_sym_defer] = ACTIONS(1584),
    [anon_sym_unsafe] = ACTIONS(1584),
    [anon_sym_pub] = ACTIONS(1584),
    [anon_sym_fn] = ACTIONS(1584),
    [anon_sym___global] = ACTIONS(1584),
    [anon_sym_const] = ACTIONS(1584),
    [anon_sym_asm] = ACTIONS(1584),
    [anon_sym_break] = ACTIONS(1584),
    [anon_sym_continue] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_go] = ACTIONS(1584),
    [anon_sym_spawn] = ACTIONS(1584),
    [anon_sym_goto] = ACTIONS(1584),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_DOLLARfor] = ACTIONS(1582),
    [anon_sym_DOLLARif] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_is] = ACTIONS(1584),
    [anon_sym_BANGis] = ACTIONS(1582),
    [anon_sym_struct] = ACTIONS(1584),
    [anon_sym_union] = ACTIONS(1584),
    [anon_sym_enum] = ACTIONS(1584),
    [anon_sym_interface] = ACTIONS(1584),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_import] = ACTIONS(1584),
    [anon_sym_match] = ACTIONS(1584),
    [anon_sym_select] = ACTIONS(1584),
    [anon_sym_lock] = ACTIONS(1584),
    [anon_sym_rlock] = ACTIONS(1584),
    [sym__automatic_separator] = ACTIONS(1582),
    [sym__c_string_opening] = ACTIONS(1582),
    [sym__raw_string_opening] = ACTIONS(1582),
    [sym__string_opening] = ACTIONS(1582),
    [sym__comment] = ACTIONS(3),
  },
  [277] = {
    [sym_comment] = STATE(277),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1148),
    [anon_sym_PERCENT] = ACTIONS(1148),
    [anon_sym_LT_LT] = ACTIONS(1148),
    [anon_sym_GT_GT] = ACTIONS(1148),
    [anon_sym_GT_GT_GT] = ACTIONS(1148),
    [anon_sym_AMP_CARET] = ACTIONS(1148),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_EQ_EQ] = ACTIONS(1152),
    [anon_sym_BANG_EQ] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_LT_EQ] = ACTIONS(1152),
    [anon_sym_GT] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1152),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_BANGin] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1176),
    [anon_sym_BANGis] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [278] = {
    [sym_comment] = STATE(278),
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_LT_DASH] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PERCENT] = ACTIONS(1588),
    [anon_sym_LT_LT] = ACTIONS(1588),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(1588),
    [anon_sym_AMP_CARET] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_in] = ACTIONS(1588),
    [anon_sym_BANGin] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1586),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_as] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_none] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_map_LBRACK] = ACTIONS(1586),
    [anon_sym_chan] = ACTIONS(1588),
    [anon_sym_shared] = ACTIONS(1588),
    [anon_sym_thread] = ACTIONS(1588),
    [sym_int_literal] = ACTIONS(1588),
    [sym_float_literal] = ACTIONS(1586),
    [sym_rune_literal] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_array] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_char] = ACTIONS(1588),
    [anon_sym_sql] = ACTIONS(1588),
    [anon_sym_mut] = ACTIONS(1588),
    [anon_sym_C] = ACTIONS(1588),
    [anon_sym_JS] = ACTIONS(1588),
    [anon_sym_voidptr] = ACTIONS(1588),
    [anon_sym_byteptr] = ACTIONS(1588),
    [anon_sym_charptr] = ACTIONS(1588),
    [anon_sym_i8] = ACTIONS(1588),
    [anon_sym_i16] = ACTIONS(1588),
    [anon_sym_i32] = ACTIONS(1588),
    [anon_sym_int] = ACTIONS(1588),
    [anon_sym_i64] = ACTIONS(1588),
    [anon_sym_byte] = ACTIONS(1588),
    [anon_sym_u8] = ACTIONS(1588),
    [anon_sym_u16] = ACTIONS(1588),
    [anon_sym_u32] = ACTIONS(1588),
    [anon_sym_u64] = ACTIONS(1588),
    [anon_sym_f32] = ACTIONS(1588),
    [anon_sym_f64] = ACTIONS(1588),
    [anon_sym_bool] = ACTIONS(1588),
    [anon_sym_rune] = ACTIONS(1588),
    [anon_sym_map] = ACTIONS(1588),
    [anon_sym_mapnode] = ACTIONS(1588),
    [anon_sym_size_t] = ACTIONS(1588),
    [anon_sym_usize] = ACTIONS(1588),
    [anon_sym_isize] = ACTIONS(1588),
    [anon_sym_float_literal] = ACTIONS(1588),
    [anon_sym_int_literal] = ACTIONS(1588),
    [anon_sym_IError] = ACTIONS(1588),
    [sym_type_placeholder] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [sym_type_identifier] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_COLON_EQ] = ACTIONS(1586),
    [anon_sym_STAR_EQ] = ACTIONS(1586),
    [anon_sym_SLASH_EQ] = ACTIONS(1586),
    [anon_sym_PERCENT_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT_EQ] = ACTIONS(1586),
    [anon_sym_GT_GT_EQ] = ACTIONS(1586),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1586),
    [anon_sym_AMP_EQ] = ACTIONS(1586),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1586),
    [anon_sym_PLUS_EQ] = ACTIONS(1586),
    [anon_sym_DASH_EQ] = ACTIONS(1586),
    [anon_sym_PIPE_EQ] = ACTIONS(1586),
    [anon_sym_CARET_EQ] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1588),
    [anon_sym_assert] = ACTIONS(1588),
    [anon_sym_defer] = ACTIONS(1588),
    [anon_sym_unsafe] = ACTIONS(1588),
    [anon_sym_pub] = ACTIONS(1588),
    [anon_sym_fn] = ACTIONS(1588),
    [anon_sym___global] = ACTIONS(1588),
    [anon_sym_const] = ACTIONS(1588),
    [anon_sym_asm] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_type] = ACTIONS(1588),
    [anon_sym_go] = ACTIONS(1588),
    [anon_sym_spawn] = ACTIONS(1588),
    [anon_sym_goto] = ACTIONS(1588),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_DOLLARfor] = ACTIONS(1586),
    [anon_sym_DOLLARif] = ACTIONS(1586),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_is] = ACTIONS(1588),
    [anon_sym_BANGis] = ACTIONS(1586),
    [anon_sym_struct] = ACTIONS(1588),
    [anon_sym_union] = ACTIONS(1588),
    [anon_sym_enum] = ACTIONS(1588),
    [anon_sym_interface] = ACTIONS(1588),
    [anon_sym_POUND] = ACTIONS(1586),
    [anon_sym_module] = ACTIONS(1588),
    [anon_sym_import] = ACTIONS(1588),
    [anon_sym_match] = ACTIONS(1588),
    [anon_sym_select] = ACTIONS(1588),
    [anon_sym_lock] = ACTIONS(1588),
    [anon_sym_rlock] = ACTIONS(1588),
    [sym__automatic_separator] = ACTIONS(1586),
    [sym__c_string_opening] = ACTIONS(1586),
    [sym__raw_string_opening] = ACTIONS(1586),
    [sym__string_opening] = ACTIONS(1586),
    [sym__comment] = ACTIONS(3),
  },
  [279] = {
    [sym_comment] = STATE(279),
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_LT_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1592),
    [anon_sym_LT_LT] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1592),
    [anon_sym_AMP_CARET] = ACTIONS(1592),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_EQ_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_BANGin] = ACTIONS(1590),
    [anon_sym_AMP_AMP] = ACTIONS(1590),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_none] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_map_LBRACK] = ACTIONS(1590),
    [anon_sym_chan] = ACTIONS(1592),
    [anon_sym_shared] = ACTIONS(1592),
    [anon_sym_thread] = ACTIONS(1592),
    [sym_int_literal] = ACTIONS(1592),
    [sym_float_literal] = ACTIONS(1590),
    [sym_rune_literal] = ACTIONS(1590),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_array] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_char] = ACTIONS(1592),
    [anon_sym_sql] = ACTIONS(1592),
    [anon_sym_mut] = ACTIONS(1592),
    [anon_sym_C] = ACTIONS(1592),
    [anon_sym_JS] = ACTIONS(1592),
    [anon_sym_voidptr] = ACTIONS(1592),
    [anon_sym_byteptr] = ACTIONS(1592),
    [anon_sym_charptr] = ACTIONS(1592),
    [anon_sym_i8] = ACTIONS(1592),
    [anon_sym_i16] = ACTIONS(1592),
    [anon_sym_i32] = ACTIONS(1592),
    [anon_sym_int] = ACTIONS(1592),
    [anon_sym_i64] = ACTIONS(1592),
    [anon_sym_byte] = ACTIONS(1592),
    [anon_sym_u8] = ACTIONS(1592),
    [anon_sym_u16] = ACTIONS(1592),
    [anon_sym_u32] = ACTIONS(1592),
    [anon_sym_u64] = ACTIONS(1592),
    [anon_sym_f32] = ACTIONS(1592),
    [anon_sym_f64] = ACTIONS(1592),
    [anon_sym_bool] = ACTIONS(1592),
    [anon_sym_rune] = ACTIONS(1592),
    [anon_sym_map] = ACTIONS(1592),
    [anon_sym_mapnode] = ACTIONS(1592),
    [anon_sym_size_t] = ACTIONS(1592),
    [anon_sym_usize] = ACTIONS(1592),
    [anon_sym_isize] = ACTIONS(1592),
    [anon_sym_float_literal] = ACTIONS(1592),
    [anon_sym_int_literal] = ACTIONS(1592),
    [anon_sym_IError] = ACTIONS(1592),
    [sym_type_placeholder] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [sym_type_identifier] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1590),
    [anon_sym_DASH_DASH] = ACTIONS(1590),
    [anon_sym_COLON_EQ] = ACTIONS(1590),
    [anon_sym_STAR_EQ] = ACTIONS(1590),
    [anon_sym_SLASH_EQ] = ACTIONS(1590),
    [anon_sym_PERCENT_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT_EQ] = ACTIONS(1590),
    [anon_sym_GT_GT_EQ] = ACTIONS(1590),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1590),
    [anon_sym_AMP_EQ] = ACTIONS(1590),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1590),
    [anon_sym_PLUS_EQ] = ACTIONS(1590),
    [anon_sym_DASH_EQ] = ACTIONS(1590),
    [anon_sym_PIPE_EQ] = ACTIONS(1590),
    [anon_sym_CARET_EQ] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1592),
    [anon_sym_assert] = ACTIONS(1592),
    [anon_sym_defer] = ACTIONS(1592),
    [anon_sym_unsafe] = ACTIONS(1592),
    [anon_sym_pub] = ACTIONS(1592),
    [anon_sym_fn] = ACTIONS(1592),
    [anon_sym___global] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_asm] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_go] = ACTIONS(1592),
    [anon_sym_spawn] = ACTIONS(1592),
    [anon_sym_goto] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_DOLLARfor] = ACTIONS(1590),
    [anon_sym_DOLLARif] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_is] = ACTIONS(1592),
    [anon_sym_BANGis] = ACTIONS(1590),
    [anon_sym_struct] = ACTIONS(1592),
    [anon_sym_union] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_POUND] = ACTIONS(1590),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_match] = ACTIONS(1592),
    [anon_sym_select] = ACTIONS(1592),
    [anon_sym_lock] = ACTIONS(1592),
    [anon_sym_rlock] = ACTIONS(1592),
    [sym__automatic_separator] = ACTIONS(1590),
    [sym__c_string_opening] = ACTIONS(1590),
    [sym__raw_string_opening] = ACTIONS(1590),
    [sym__string_opening] = ACTIONS(1590),
    [sym__comment] = ACTIONS(3),
  },
  [280] = {
    [sym_comment] = STATE(280),
    [ts_builtin_sym_end] = ACTIONS(1594),
    [sym_identifier] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_LT_DASH] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1596),
    [anon_sym_GT_GT_GT] = ACTIONS(1596),
    [anon_sym_AMP_CARET] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_BANGin] = ACTIONS(1594),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_as] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [sym_none] = ACTIONS(1596),
    [sym_true] = ACTIONS(1596),
    [sym_false] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_map_LBRACK] = ACTIONS(1594),
    [anon_sym_chan] = ACTIONS(1596),
    [anon_sym_shared] = ACTIONS(1596),
    [anon_sym_thread] = ACTIONS(1596),
    [sym_int_literal] = ACTIONS(1596),
    [sym_float_literal] = ACTIONS(1594),
    [sym_rune_literal] = ACTIONS(1594),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_array] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_char] = ACTIONS(1596),
    [anon_sym_sql] = ACTIONS(1596),
    [anon_sym_mut] = ACTIONS(1596),
    [anon_sym_C] = ACTIONS(1596),
    [anon_sym_JS] = ACTIONS(1596),
    [anon_sym_voidptr] = ACTIONS(1596),
    [anon_sym_byteptr] = ACTIONS(1596),
    [anon_sym_charptr] = ACTIONS(1596),
    [anon_sym_i8] = ACTIONS(1596),
    [anon_sym_i16] = ACTIONS(1596),
    [anon_sym_i32] = ACTIONS(1596),
    [anon_sym_int] = ACTIONS(1596),
    [anon_sym_i64] = ACTIONS(1596),
    [anon_sym_byte] = ACTIONS(1596),
    [anon_sym_u8] = ACTIONS(1596),
    [anon_sym_u16] = ACTIONS(1596),
    [anon_sym_u32] = ACTIONS(1596),
    [anon_sym_u64] = ACTIONS(1596),
    [anon_sym_f32] = ACTIONS(1596),
    [anon_sym_f64] = ACTIONS(1596),
    [anon_sym_bool] = ACTIONS(1596),
    [anon_sym_rune] = ACTIONS(1596),
    [anon_sym_map] = ACTIONS(1596),
    [anon_sym_mapnode] = ACTIONS(1596),
    [anon_sym_size_t] = ACTIONS(1596),
    [anon_sym_usize] = ACTIONS(1596),
    [anon_sym_isize] = ACTIONS(1596),
    [anon_sym_float_literal] = ACTIONS(1596),
    [anon_sym_int_literal] = ACTIONS(1596),
    [anon_sym_IError] = ACTIONS(1596),
    [sym_type_placeholder] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [sym_type_identifier] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_COLON_EQ] = ACTIONS(1594),
    [anon_sym_STAR_EQ] = ACTIONS(1594),
    [anon_sym_SLASH_EQ] = ACTIONS(1594),
    [anon_sym_PERCENT_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT_EQ] = ACTIONS(1594),
    [anon_sym_GT_GT_EQ] = ACTIONS(1594),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1594),
    [anon_sym_AMP_EQ] = ACTIONS(1594),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1594),
    [anon_sym_PLUS_EQ] = ACTIONS(1594),
    [anon_sym_DASH_EQ] = ACTIONS(1594),
    [anon_sym_PIPE_EQ] = ACTIONS(1594),
    [anon_sym_CARET_EQ] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1596),
    [anon_sym_assert] = ACTIONS(1596),
    [anon_sym_defer] = ACTIONS(1596),
    [anon_sym_unsafe] = ACTIONS(1596),
    [anon_sym_pub] = ACTIONS(1596),
    [anon_sym_fn] = ACTIONS(1596),
    [anon_sym___global] = ACTIONS(1596),
    [anon_sym_const] = ACTIONS(1596),
    [anon_sym_asm] = ACTIONS(1596),
    [anon_sym_break] = ACTIONS(1596),
    [anon_sym_continue] = ACTIONS(1596),
    [anon_sym_return] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_go] = ACTIONS(1596),
    [anon_sym_spawn] = ACTIONS(1596),
    [anon_sym_goto] = ACTIONS(1596),
    [anon_sym_for] = ACTIONS(1596),
    [anon_sym_DOLLARfor] = ACTIONS(1594),
    [anon_sym_DOLLARif] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1596),
    [anon_sym_BANGis] = ACTIONS(1594),
    [anon_sym_struct] = ACTIONS(1596),
    [anon_sym_union] = ACTIONS(1596),
    [anon_sym_enum] = ACTIONS(1596),
    [anon_sym_interface] = ACTIONS(1596),
    [anon_sym_POUND] = ACTIONS(1594),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_import] = ACTIONS(1596),
    [anon_sym_match] = ACTIONS(1596),
    [anon_sym_select] = ACTIONS(1596),
    [anon_sym_lock] = ACTIONS(1596),
    [anon_sym_rlock] = ACTIONS(1596),
    [sym__automatic_separator] = ACTIONS(1594),
    [sym__c_string_opening] = ACTIONS(1594),
    [sym__raw_string_opening] = ACTIONS(1594),
    [sym__string_opening] = ACTIONS(1594),
    [sym__comment] = ACTIONS(3),
  },
  [281] = {
    [sym_comment] = STATE(281),
    [ts_builtin_sym_end] = ACTIONS(1598),
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_LT_DASH] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1600),
    [anon_sym_LT_LT] = ACTIONS(1600),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_GT_GT_GT] = ACTIONS(1600),
    [anon_sym_AMP_CARET] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_BANGin] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_as] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [sym_none] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_map_LBRACK] = ACTIONS(1598),
    [anon_sym_chan] = ACTIONS(1600),
    [anon_sym_shared] = ACTIONS(1600),
    [anon_sym_thread] = ACTIONS(1600),
    [sym_int_literal] = ACTIONS(1600),
    [sym_float_literal] = ACTIONS(1598),
    [sym_rune_literal] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_array] = ACTIONS(1600),
    [anon_sym_string] = ACTIONS(1600),
    [anon_sym_char] = ACTIONS(1600),
    [anon_sym_sql] = ACTIONS(1600),
    [anon_sym_mut] = ACTIONS(1600),
    [anon_sym_C] = ACTIONS(1600),
    [anon_sym_JS] = ACTIONS(1600),
    [anon_sym_voidptr] = ACTIONS(1600),
    [anon_sym_byteptr] = ACTIONS(1600),
    [anon_sym_charptr] = ACTIONS(1600),
    [anon_sym_i8] = ACTIONS(1600),
    [anon_sym_i16] = ACTIONS(1600),
    [anon_sym_i32] = ACTIONS(1600),
    [anon_sym_int] = ACTIONS(1600),
    [anon_sym_i64] = ACTIONS(1600),
    [anon_sym_byte] = ACTIONS(1600),
    [anon_sym_u8] = ACTIONS(1600),
    [anon_sym_u16] = ACTIONS(1600),
    [anon_sym_u32] = ACTIONS(1600),
    [anon_sym_u64] = ACTIONS(1600),
    [anon_sym_f32] = ACTIONS(1600),
    [anon_sym_f64] = ACTIONS(1600),
    [anon_sym_bool] = ACTIONS(1600),
    [anon_sym_rune] = ACTIONS(1600),
    [anon_sym_map] = ACTIONS(1600),
    [anon_sym_mapnode] = ACTIONS(1600),
    [anon_sym_size_t] = ACTIONS(1600),
    [anon_sym_usize] = ACTIONS(1600),
    [anon_sym_isize] = ACTIONS(1600),
    [anon_sym_float_literal] = ACTIONS(1600),
    [anon_sym_int_literal] = ACTIONS(1600),
    [anon_sym_IError] = ACTIONS(1600),
    [sym_type_placeholder] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [sym_type_identifier] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [anon_sym_COLON_EQ] = ACTIONS(1598),
    [anon_sym_STAR_EQ] = ACTIONS(1598),
    [anon_sym_SLASH_EQ] = ACTIONS(1598),
    [anon_sym_PERCENT_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT_GT_EQ] = ACTIONS(1598),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1598),
    [anon_sym_AMP_EQ] = ACTIONS(1598),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1598),
    [anon_sym_PLUS_EQ] = ACTIONS(1598),
    [anon_sym_DASH_EQ] = ACTIONS(1598),
    [anon_sym_PIPE_EQ] = ACTIONS(1598),
    [anon_sym_CARET_EQ] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1600),
    [anon_sym_assert] = ACTIONS(1600),
    [anon_sym_defer] = ACTIONS(1600),
    [anon_sym_unsafe] = ACTIONS(1600),
    [anon_sym_pub] = ACTIONS(1600),
    [anon_sym_fn] = ACTIONS(1600),
    [anon_sym___global] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_asm] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_type] = ACTIONS(1600),
    [anon_sym_go] = ACTIONS(1600),
    [anon_sym_spawn] = ACTIONS(1600),
    [anon_sym_goto] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_DOLLARfor] = ACTIONS(1598),
    [anon_sym_DOLLARif] = ACTIONS(1598),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_is] = ACTIONS(1600),
    [anon_sym_BANGis] = ACTIONS(1598),
    [anon_sym_struct] = ACTIONS(1600),
    [anon_sym_union] = ACTIONS(1600),
    [anon_sym_enum] = ACTIONS(1600),
    [anon_sym_interface] = ACTIONS(1600),
    [anon_sym_POUND] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1600),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_match] = ACTIONS(1600),
    [anon_sym_select] = ACTIONS(1600),
    [anon_sym_lock] = ACTIONS(1600),
    [anon_sym_rlock] = ACTIONS(1600),
    [sym__automatic_separator] = ACTIONS(1598),
    [sym__c_string_opening] = ACTIONS(1598),
    [sym__raw_string_opening] = ACTIONS(1598),
    [sym__string_opening] = ACTIONS(1598),
    [sym__comment] = ACTIONS(3),
  },
  [282] = {
    [sym_comment] = STATE(282),
    [ts_builtin_sym_end] = ACTIONS(1602),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_LT_DASH] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_GT_GT_GT] = ACTIONS(1604),
    [anon_sym_AMP_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1604),
    [anon_sym_BANGin] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_as] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [sym_none] = ACTIONS(1604),
    [sym_true] = ACTIONS(1604),
    [sym_false] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_map_LBRACK] = ACTIONS(1602),
    [anon_sym_chan] = ACTIONS(1604),
    [anon_sym_shared] = ACTIONS(1604),
    [anon_sym_thread] = ACTIONS(1604),
    [sym_int_literal] = ACTIONS(1604),
    [sym_float_literal] = ACTIONS(1602),
    [sym_rune_literal] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_array] = ACTIONS(1604),
    [anon_sym_string] = ACTIONS(1604),
    [anon_sym_char] = ACTIONS(1604),
    [anon_sym_sql] = ACTIONS(1604),
    [anon_sym_mut] = ACTIONS(1604),
    [anon_sym_C] = ACTIONS(1604),
    [anon_sym_JS] = ACTIONS(1604),
    [anon_sym_voidptr] = ACTIONS(1604),
    [anon_sym_byteptr] = ACTIONS(1604),
    [anon_sym_charptr] = ACTIONS(1604),
    [anon_sym_i8] = ACTIONS(1604),
    [anon_sym_i16] = ACTIONS(1604),
    [anon_sym_i32] = ACTIONS(1604),
    [anon_sym_int] = ACTIONS(1604),
    [anon_sym_i64] = ACTIONS(1604),
    [anon_sym_byte] = ACTIONS(1604),
    [anon_sym_u8] = ACTIONS(1604),
    [anon_sym_u16] = ACTIONS(1604),
    [anon_sym_u32] = ACTIONS(1604),
    [anon_sym_u64] = ACTIONS(1604),
    [anon_sym_f32] = ACTIONS(1604),
    [anon_sym_f64] = ACTIONS(1604),
    [anon_sym_bool] = ACTIONS(1604),
    [anon_sym_rune] = ACTIONS(1604),
    [anon_sym_map] = ACTIONS(1604),
    [anon_sym_mapnode] = ACTIONS(1604),
    [anon_sym_size_t] = ACTIONS(1604),
    [anon_sym_usize] = ACTIONS(1604),
    [anon_sym_isize] = ACTIONS(1604),
    [anon_sym_float_literal] = ACTIONS(1604),
    [anon_sym_int_literal] = ACTIONS(1604),
    [anon_sym_IError] = ACTIONS(1604),
    [sym_type_placeholder] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [sym_type_identifier] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1602),
    [anon_sym_DASH_DASH] = ACTIONS(1602),
    [anon_sym_COLON_EQ] = ACTIONS(1602),
    [anon_sym_STAR_EQ] = ACTIONS(1602),
    [anon_sym_SLASH_EQ] = ACTIONS(1602),
    [anon_sym_PERCENT_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT_GT_EQ] = ACTIONS(1602),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1602),
    [anon_sym_AMP_EQ] = ACTIONS(1602),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1602),
    [anon_sym_PIPE_EQ] = ACTIONS(1602),
    [anon_sym_CARET_EQ] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_assert] = ACTIONS(1604),
    [anon_sym_defer] = ACTIONS(1604),
    [anon_sym_unsafe] = ACTIONS(1604),
    [anon_sym_pub] = ACTIONS(1604),
    [anon_sym_fn] = ACTIONS(1604),
    [anon_sym___global] = ACTIONS(1604),
    [anon_sym_const] = ACTIONS(1604),
    [anon_sym_asm] = ACTIONS(1604),
    [anon_sym_break] = ACTIONS(1604),
    [anon_sym_continue] = ACTIONS(1604),
    [anon_sym_return] = ACTIONS(1604),
    [anon_sym_type] = ACTIONS(1604),
    [anon_sym_go] = ACTIONS(1604),
    [anon_sym_spawn] = ACTIONS(1604),
    [anon_sym_goto] = ACTIONS(1604),
    [anon_sym_for] = ACTIONS(1604),
    [anon_sym_DOLLARfor] = ACTIONS(1602),
    [anon_sym_DOLLARif] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1604),
    [anon_sym_BANGis] = ACTIONS(1602),
    [anon_sym_struct] = ACTIONS(1604),
    [anon_sym_union] = ACTIONS(1604),
    [anon_sym_enum] = ACTIONS(1604),
    [anon_sym_interface] = ACTIONS(1604),
    [anon_sym_POUND] = ACTIONS(1602),
    [anon_sym_module] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(1604),
    [anon_sym_match] = ACTIONS(1604),
    [anon_sym_select] = ACTIONS(1604),
    [anon_sym_lock] = ACTIONS(1604),
    [anon_sym_rlock] = ACTIONS(1604),
    [sym__automatic_separator] = ACTIONS(1602),
    [sym__c_string_opening] = ACTIONS(1602),
    [sym__raw_string_opening] = ACTIONS(1602),
    [sym__string_opening] = ACTIONS(1602),
    [sym__comment] = ACTIONS(3),
  },
  [283] = {
    [sym_comment] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1606),
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_LT_DASH] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PERCENT] = ACTIONS(1608),
    [anon_sym_LT_LT] = ACTIONS(1608),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_GT_GT_GT] = ACTIONS(1608),
    [anon_sym_AMP_CARET] = ACTIONS(1608),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_in] = ACTIONS(1608),
    [anon_sym_BANGin] = ACTIONS(1606),
    [anon_sym_AMP_AMP] = ACTIONS(1606),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_as] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [sym_none] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_map_LBRACK] = ACTIONS(1606),
    [anon_sym_chan] = ACTIONS(1608),
    [anon_sym_shared] = ACTIONS(1608),
    [anon_sym_thread] = ACTIONS(1608),
    [sym_int_literal] = ACTIONS(1608),
    [sym_float_literal] = ACTIONS(1606),
    [sym_rune_literal] = ACTIONS(1606),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_array] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_char] = ACTIONS(1608),
    [anon_sym_sql] = ACTIONS(1608),
    [anon_sym_mut] = ACTIONS(1608),
    [anon_sym_C] = ACTIONS(1608),
    [anon_sym_JS] = ACTIONS(1608),
    [anon_sym_voidptr] = ACTIONS(1608),
    [anon_sym_byteptr] = ACTIONS(1608),
    [anon_sym_charptr] = ACTIONS(1608),
    [anon_sym_i8] = ACTIONS(1608),
    [anon_sym_i16] = ACTIONS(1608),
    [anon_sym_i32] = ACTIONS(1608),
    [anon_sym_int] = ACTIONS(1608),
    [anon_sym_i64] = ACTIONS(1608),
    [anon_sym_byte] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1608),
    [anon_sym_u16] = ACTIONS(1608),
    [anon_sym_u32] = ACTIONS(1608),
    [anon_sym_u64] = ACTIONS(1608),
    [anon_sym_f32] = ACTIONS(1608),
    [anon_sym_f64] = ACTIONS(1608),
    [anon_sym_bool] = ACTIONS(1608),
    [anon_sym_rune] = ACTIONS(1608),
    [anon_sym_map] = ACTIONS(1608),
    [anon_sym_mapnode] = ACTIONS(1608),
    [anon_sym_size_t] = ACTIONS(1608),
    [anon_sym_usize] = ACTIONS(1608),
    [anon_sym_isize] = ACTIONS(1608),
    [anon_sym_float_literal] = ACTIONS(1608),
    [anon_sym_int_literal] = ACTIONS(1608),
    [anon_sym_IError] = ACTIONS(1608),
    [sym_type_placeholder] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [sym_type_identifier] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_COLON_EQ] = ACTIONS(1606),
    [anon_sym_STAR_EQ] = ACTIONS(1606),
    [anon_sym_SLASH_EQ] = ACTIONS(1606),
    [anon_sym_PERCENT_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT_EQ] = ACTIONS(1606),
    [anon_sym_GT_GT_EQ] = ACTIONS(1606),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1606),
    [anon_sym_AMP_EQ] = ACTIONS(1606),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1606),
    [anon_sym_PLUS_EQ] = ACTIONS(1606),
    [anon_sym_DASH_EQ] = ACTIONS(1606),
    [anon_sym_PIPE_EQ] = ACTIONS(1606),
    [anon_sym_CARET_EQ] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_defer] = ACTIONS(1608),
    [anon_sym_unsafe] = ACTIONS(1608),
    [anon_sym_pub] = ACTIONS(1608),
    [anon_sym_fn] = ACTIONS(1608),
    [anon_sym___global] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_asm] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_type] = ACTIONS(1608),
    [anon_sym_go] = ACTIONS(1608),
    [anon_sym_spawn] = ACTIONS(1608),
    [anon_sym_goto] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_DOLLARfor] = ACTIONS(1606),
    [anon_sym_DOLLARif] = ACTIONS(1606),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_is] = ACTIONS(1608),
    [anon_sym_BANGis] = ACTIONS(1606),
    [anon_sym_struct] = ACTIONS(1608),
    [anon_sym_union] = ACTIONS(1608),
    [anon_sym_enum] = ACTIONS(1608),
    [anon_sym_interface] = ACTIONS(1608),
    [anon_sym_POUND] = ACTIONS(1606),
    [anon_sym_module] = ACTIONS(1608),
    [anon_sym_import] = ACTIONS(1608),
    [anon_sym_match] = ACTIONS(1608),
    [anon_sym_select] = ACTIONS(1608),
    [anon_sym_lock] = ACTIONS(1608),
    [anon_sym_rlock] = ACTIONS(1608),
    [sym__automatic_separator] = ACTIONS(1606),
    [sym__c_string_opening] = ACTIONS(1606),
    [sym__raw_string_opening] = ACTIONS(1606),
    [sym__string_opening] = ACTIONS(1606),
    [sym__comment] = ACTIONS(3),
  },
  [284] = {
    [sym_comment] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_LT_DASH] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1612),
    [anon_sym_LT_LT] = ACTIONS(1612),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1612),
    [anon_sym_AMP_CARET] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_BANGin] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [sym_none] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_map_LBRACK] = ACTIONS(1610),
    [anon_sym_chan] = ACTIONS(1612),
    [anon_sym_shared] = ACTIONS(1612),
    [anon_sym_thread] = ACTIONS(1612),
    [sym_int_literal] = ACTIONS(1612),
    [sym_float_literal] = ACTIONS(1610),
    [sym_rune_literal] = ACTIONS(1610),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_array] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_sql] = ACTIONS(1612),
    [anon_sym_mut] = ACTIONS(1612),
    [anon_sym_C] = ACTIONS(1612),
    [anon_sym_JS] = ACTIONS(1612),
    [anon_sym_voidptr] = ACTIONS(1612),
    [anon_sym_byteptr] = ACTIONS(1612),
    [anon_sym_charptr] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_int] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_byte] = ACTIONS(1612),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_rune] = ACTIONS(1612),
    [anon_sym_map] = ACTIONS(1612),
    [anon_sym_mapnode] = ACTIONS(1612),
    [anon_sym_size_t] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_float_literal] = ACTIONS(1612),
    [anon_sym_int_literal] = ACTIONS(1612),
    [anon_sym_IError] = ACTIONS(1612),
    [sym_type_placeholder] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [sym_type_identifier] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1610),
    [anon_sym_COLON_EQ] = ACTIONS(1610),
    [anon_sym_STAR_EQ] = ACTIONS(1610),
    [anon_sym_SLASH_EQ] = ACTIONS(1610),
    [anon_sym_PERCENT_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT_GT_EQ] = ACTIONS(1610),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1610),
    [anon_sym_AMP_EQ] = ACTIONS(1610),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1610),
    [anon_sym_PLUS_EQ] = ACTIONS(1610),
    [anon_sym_DASH_EQ] = ACTIONS(1610),
    [anon_sym_PIPE_EQ] = ACTIONS(1610),
    [anon_sym_CARET_EQ] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_assert] = ACTIONS(1612),
    [anon_sym_defer] = ACTIONS(1612),
    [anon_sym_unsafe] = ACTIONS(1612),
    [anon_sym_pub] = ACTIONS(1612),
    [anon_sym_fn] = ACTIONS(1612),
    [anon_sym___global] = ACTIONS(1612),
    [anon_sym_const] = ACTIONS(1612),
    [anon_sym_asm] = ACTIONS(1612),
    [anon_sym_break] = ACTIONS(1612),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1612),
    [anon_sym_type] = ACTIONS(1612),
    [anon_sym_go] = ACTIONS(1612),
    [anon_sym_spawn] = ACTIONS(1612),
    [anon_sym_goto] = ACTIONS(1612),
    [anon_sym_for] = ACTIONS(1612),
    [anon_sym_DOLLARfor] = ACTIONS(1610),
    [anon_sym_DOLLARif] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1612),
    [anon_sym_BANGis] = ACTIONS(1610),
    [anon_sym_struct] = ACTIONS(1612),
    [anon_sym_union] = ACTIONS(1612),
    [anon_sym_enum] = ACTIONS(1612),
    [anon_sym_interface] = ACTIONS(1612),
    [anon_sym_POUND] = ACTIONS(1610),
    [anon_sym_module] = ACTIONS(1612),
    [anon_sym_import] = ACTIONS(1612),
    [anon_sym_match] = ACTIONS(1612),
    [anon_sym_select] = ACTIONS(1612),
    [anon_sym_lock] = ACTIONS(1612),
    [anon_sym_rlock] = ACTIONS(1612),
    [sym__automatic_separator] = ACTIONS(1610),
    [sym__c_string_opening] = ACTIONS(1610),
    [sym__raw_string_opening] = ACTIONS(1610),
    [sym__string_opening] = ACTIONS(1610),
    [sym__comment] = ACTIONS(3),
  },
  [285] = {
    [sym_comment] = STATE(285),
    [ts_builtin_sym_end] = ACTIONS(1616),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_LT_DASH] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1618),
    [anon_sym_PERCENT] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_GT_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_in] = ACTIONS(1618),
    [anon_sym_BANGin] = ACTIONS(1616),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_as] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [sym_none] = ACTIONS(1618),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_map_LBRACK] = ACTIONS(1616),
    [anon_sym_chan] = ACTIONS(1618),
    [anon_sym_shared] = ACTIONS(1618),
    [anon_sym_thread] = ACTIONS(1618),
    [sym_int_literal] = ACTIONS(1618),
    [sym_float_literal] = ACTIONS(1616),
    [sym_rune_literal] = ACTIONS(1616),
    [anon_sym_DOT] = ACTIONS(1618),
    [anon_sym_array] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_char] = ACTIONS(1618),
    [anon_sym_sql] = ACTIONS(1618),
    [anon_sym_mut] = ACTIONS(1618),
    [anon_sym_C] = ACTIONS(1618),
    [anon_sym_JS] = ACTIONS(1618),
    [anon_sym_voidptr] = ACTIONS(1618),
    [anon_sym_byteptr] = ACTIONS(1618),
    [anon_sym_charptr] = ACTIONS(1618),
    [anon_sym_i8] = ACTIONS(1618),
    [anon_sym_i16] = ACTIONS(1618),
    [anon_sym_i32] = ACTIONS(1618),
    [anon_sym_int] = ACTIONS(1618),
    [anon_sym_i64] = ACTIONS(1618),
    [anon_sym_byte] = ACTIONS(1618),
    [anon_sym_u8] = ACTIONS(1618),
    [anon_sym_u16] = ACTIONS(1618),
    [anon_sym_u32] = ACTIONS(1618),
    [anon_sym_u64] = ACTIONS(1618),
    [anon_sym_f32] = ACTIONS(1618),
    [anon_sym_f64] = ACTIONS(1618),
    [anon_sym_bool] = ACTIONS(1618),
    [anon_sym_rune] = ACTIONS(1618),
    [anon_sym_map] = ACTIONS(1618),
    [anon_sym_mapnode] = ACTIONS(1618),
    [anon_sym_size_t] = ACTIONS(1618),
    [anon_sym_usize] = ACTIONS(1618),
    [anon_sym_isize] = ACTIONS(1618),
    [anon_sym_float_literal] = ACTIONS(1618),
    [anon_sym_int_literal] = ACTIONS(1618),
    [anon_sym_IError] = ACTIONS(1618),
    [sym_type_placeholder] = ACTIONS(1618),
    [anon_sym_AT] = ACTIONS(1618),
    [sym_type_identifier] = ACTIONS(1618),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_COLON_EQ] = ACTIONS(1616),
    [anon_sym_STAR_EQ] = ACTIONS(1616),
    [anon_sym_SLASH_EQ] = ACTIONS(1616),
    [anon_sym_PERCENT_EQ] = ACTIONS(1616),
    [anon_sym_LT_LT_EQ] = ACTIONS(1616),
    [anon_sym_GT_GT_EQ] = ACTIONS(1616),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1616),
    [anon_sym_AMP_EQ] = ACTIONS(1616),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1616),
    [anon_sym_PLUS_EQ] = ACTIONS(1616),
    [anon_sym_DASH_EQ] = ACTIONS(1616),
    [anon_sym_PIPE_EQ] = ACTIONS(1616),
    [anon_sym_CARET_EQ] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1618),
    [anon_sym_assert] = ACTIONS(1618),
    [anon_sym_defer] = ACTIONS(1618),
    [anon_sym_unsafe] = ACTIONS(1618),
    [anon_sym_pub] = ACTIONS(1618),
    [anon_sym_fn] = ACTIONS(1618),
    [anon_sym___global] = ACTIONS(1618),
    [anon_sym_const] = ACTIONS(1618),
    [anon_sym_asm] = ACTIONS(1618),
    [anon_sym_break] = ACTIONS(1618),
    [anon_sym_continue] = ACTIONS(1618),
    [anon_sym_return] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_go] = ACTIONS(1618),
    [anon_sym_spawn] = ACTIONS(1618),
    [anon_sym_goto] = ACTIONS(1618),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_DOLLARfor] = ACTIONS(1616),
    [anon_sym_DOLLARif] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1618),
    [anon_sym_is] = ACTIONS(1618),
    [anon_sym_BANGis] = ACTIONS(1616),
    [anon_sym_struct] = ACTIONS(1618),
    [anon_sym_union] = ACTIONS(1618),
    [anon_sym_enum] = ACTIONS(1618),
    [anon_sym_interface] = ACTIONS(1618),
    [anon_sym_POUND] = ACTIONS(1616),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_import] = ACTIONS(1618),
    [anon_sym_match] = ACTIONS(1618),
    [anon_sym_select] = ACTIONS(1618),
    [anon_sym_lock] = ACTIONS(1618),
    [anon_sym_rlock] = ACTIONS(1618),
    [sym__automatic_separator] = ACTIONS(1616),
    [sym__c_string_opening] = ACTIONS(1616),
    [sym__raw_string_opening] = ACTIONS(1616),
    [sym__string_opening] = ACTIONS(1616),
    [sym__comment] = ACTIONS(3),
  },
  [286] = {
    [sym_comment] = STATE(286),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1148),
    [anon_sym_PERCENT] = ACTIONS(1148),
    [anon_sym_LT_LT] = ACTIONS(1148),
    [anon_sym_GT_GT] = ACTIONS(1148),
    [anon_sym_GT_GT_GT] = ACTIONS(1148),
    [anon_sym_AMP_CARET] = ACTIONS(1148),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [287] = {
    [sym_comment] = STATE(287),
    [ts_builtin_sym_end] = ACTIONS(1620),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_LT_DASH] = ACTIONS(1620),
    [anon_sym_SLASH] = ACTIONS(1622),
    [anon_sym_PERCENT] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_GT_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_EQ_EQ] = ACTIONS(1620),
    [anon_sym_BANG_EQ] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1620),
    [anon_sym_in] = ACTIONS(1622),
    [anon_sym_BANGin] = ACTIONS(1620),
    [anon_sym_AMP_AMP] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1620),
    [anon_sym_as] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [sym_none] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_map_LBRACK] = ACTIONS(1620),
    [anon_sym_chan] = ACTIONS(1622),
    [anon_sym_shared] = ACTIONS(1622),
    [anon_sym_thread] = ACTIONS(1622),
    [sym_int_literal] = ACTIONS(1622),
    [sym_float_literal] = ACTIONS(1620),
    [sym_rune_literal] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_array] = ACTIONS(1622),
    [anon_sym_string] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_sql] = ACTIONS(1622),
    [anon_sym_mut] = ACTIONS(1622),
    [anon_sym_C] = ACTIONS(1622),
    [anon_sym_JS] = ACTIONS(1622),
    [anon_sym_voidptr] = ACTIONS(1622),
    [anon_sym_byteptr] = ACTIONS(1622),
    [anon_sym_charptr] = ACTIONS(1622),
    [anon_sym_i8] = ACTIONS(1622),
    [anon_sym_i16] = ACTIONS(1622),
    [anon_sym_i32] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_i64] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_u8] = ACTIONS(1622),
    [anon_sym_u16] = ACTIONS(1622),
    [anon_sym_u32] = ACTIONS(1622),
    [anon_sym_u64] = ACTIONS(1622),
    [anon_sym_f32] = ACTIONS(1622),
    [anon_sym_f64] = ACTIONS(1622),
    [anon_sym_bool] = ACTIONS(1622),
    [anon_sym_rune] = ACTIONS(1622),
    [anon_sym_map] = ACTIONS(1622),
    [anon_sym_mapnode] = ACTIONS(1622),
    [anon_sym_size_t] = ACTIONS(1622),
    [anon_sym_usize] = ACTIONS(1622),
    [anon_sym_isize] = ACTIONS(1622),
    [anon_sym_float_literal] = ACTIONS(1622),
    [anon_sym_int_literal] = ACTIONS(1622),
    [anon_sym_IError] = ACTIONS(1622),
    [sym_type_placeholder] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [sym_type_identifier] = ACTIONS(1622),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_COLON_EQ] = ACTIONS(1620),
    [anon_sym_STAR_EQ] = ACTIONS(1620),
    [anon_sym_SLASH_EQ] = ACTIONS(1620),
    [anon_sym_PERCENT_EQ] = ACTIONS(1620),
    [anon_sym_LT_LT_EQ] = ACTIONS(1620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1620),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1620),
    [anon_sym_AMP_EQ] = ACTIONS(1620),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1620),
    [anon_sym_PLUS_EQ] = ACTIONS(1620),
    [anon_sym_DASH_EQ] = ACTIONS(1620),
    [anon_sym_PIPE_EQ] = ACTIONS(1620),
    [anon_sym_CARET_EQ] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1622),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_defer] = ACTIONS(1622),
    [anon_sym_unsafe] = ACTIONS(1622),
    [anon_sym_pub] = ACTIONS(1622),
    [anon_sym_fn] = ACTIONS(1622),
    [anon_sym___global] = ACTIONS(1622),
    [anon_sym_const] = ACTIONS(1622),
    [anon_sym_asm] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_type] = ACTIONS(1622),
    [anon_sym_go] = ACTIONS(1622),
    [anon_sym_spawn] = ACTIONS(1622),
    [anon_sym_goto] = ACTIONS(1622),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_DOLLARfor] = ACTIONS(1620),
    [anon_sym_DOLLARif] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_is] = ACTIONS(1622),
    [anon_sym_BANGis] = ACTIONS(1620),
    [anon_sym_struct] = ACTIONS(1622),
    [anon_sym_union] = ACTIONS(1622),
    [anon_sym_enum] = ACTIONS(1622),
    [anon_sym_interface] = ACTIONS(1622),
    [anon_sym_POUND] = ACTIONS(1620),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(1622),
    [anon_sym_match] = ACTIONS(1622),
    [anon_sym_select] = ACTIONS(1622),
    [anon_sym_lock] = ACTIONS(1622),
    [anon_sym_rlock] = ACTIONS(1622),
    [sym__automatic_separator] = ACTIONS(1620),
    [sym__c_string_opening] = ACTIONS(1620),
    [sym__raw_string_opening] = ACTIONS(1620),
    [sym__string_opening] = ACTIONS(1620),
    [sym__comment] = ACTIONS(3),
  },
  [288] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(288),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4033),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(355),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [289] = {
    [sym__expression] = STATE(3148),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(289),
    [sym_spread_operator] = STATE(3948),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3948),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3693),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4620),
    [sym__simple_type] = STATE(4136),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [290] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(290),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4272),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [291] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(291),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4720),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [292] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(292),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4958),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [293] = {
    [sym__expression] = STATE(3165),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(293),
    [sym_spread_operator] = STATE(3950),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3950),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3687),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4622),
    [sym__simple_type] = STATE(4134),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1754),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [294] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(294),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(5013),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [295] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(295),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(5009),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(292),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [296] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(296),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4828),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(302),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [297] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(297),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4907),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(309),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [298] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(298),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4137),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(350),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [299] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(299),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4723),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [300] = {
    [sym__expression] = STATE(3104),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(300),
    [sym_spread_operator] = STATE(3928),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3928),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3665),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4532),
    [sym__simple_type] = STATE(4185),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [301] = {
    [sym_comment] = STATE(301),
    [sym_fixed_array_type] = STATE(1089),
    [sym_array_type] = STATE(1089),
    [sym_pointer_type] = STATE(1089),
    [sym_map_type] = STATE(1089),
    [sym_channel_type] = STATE(1089),
    [sym_shared_type] = STATE(1089),
    [sym_thread_type] = STATE(1089),
    [sym_binded_identifier] = STATE(1092),
    [sym_multi_return_type] = STATE(1103),
    [sym__simple_type] = STATE(1103),
    [sym_builtin_type] = STATE(1089),
    [sym__binded_type] = STATE(1089),
    [sym_generic_type] = STATE(1089),
    [sym_qualified_type] = STATE(999),
    [sym_function_type] = STATE(1089),
    [ts_builtin_sym_end] = ACTIONS(734),
    [sym_identifier] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(736),
    [anon_sym_TILDE] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_LT_DASH] = ACTIONS(734),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(734),
    [anon_sym_AMP_CARET] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_DOLLAR] = ACTIONS(736),
    [sym_none] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_map_LBRACK] = ACTIONS(1080),
    [anon_sym_chan] = ACTIONS(1082),
    [anon_sym_shared] = ACTIONS(1084),
    [anon_sym_thread] = ACTIONS(1086),
    [sym_int_literal] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(734),
    [sym_rune_literal] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(1088),
    [anon_sym_string] = ACTIONS(1088),
    [anon_sym_char] = ACTIONS(1088),
    [anon_sym_sql] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(1090),
    [anon_sym_JS] = ACTIONS(1090),
    [anon_sym_voidptr] = ACTIONS(1088),
    [anon_sym_byteptr] = ACTIONS(1088),
    [anon_sym_charptr] = ACTIONS(1088),
    [anon_sym_i8] = ACTIONS(1088),
    [anon_sym_i16] = ACTIONS(1088),
    [anon_sym_i32] = ACTIONS(1088),
    [anon_sym_int] = ACTIONS(1088),
    [anon_sym_i64] = ACTIONS(1088),
    [anon_sym_byte] = ACTIONS(1088),
    [anon_sym_u8] = ACTIONS(1088),
    [anon_sym_u16] = ACTIONS(1088),
    [anon_sym_u32] = ACTIONS(1088),
    [anon_sym_u64] = ACTIONS(1088),
    [anon_sym_f32] = ACTIONS(1088),
    [anon_sym_f64] = ACTIONS(1088),
    [anon_sym_bool] = ACTIONS(1088),
    [anon_sym_rune] = ACTIONS(1088),
    [anon_sym_map] = ACTIONS(1088),
    [anon_sym_mapnode] = ACTIONS(1088),
    [anon_sym_size_t] = ACTIONS(1088),
    [anon_sym_usize] = ACTIONS(1088),
    [anon_sym_isize] = ACTIONS(1088),
    [anon_sym_float_literal] = ACTIONS(1088),
    [anon_sym_int_literal] = ACTIONS(1088),
    [anon_sym_IError] = ACTIONS(1088),
    [sym_type_placeholder] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(736),
    [sym_type_identifier] = ACTIONS(1094),
    [anon_sym_assert] = ACTIONS(736),
    [anon_sym_defer] = ACTIONS(736),
    [anon_sym_unsafe] = ACTIONS(736),
    [anon_sym_pub] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(1096),
    [anon_sym___global] = ACTIONS(736),
    [anon_sym_const] = ACTIONS(736),
    [anon_sym_asm] = ACTIONS(736),
    [anon_sym_break] = ACTIONS(736),
    [anon_sym_continue] = ACTIONS(736),
    [anon_sym_return] = ACTIONS(736),
    [anon_sym_type] = ACTIONS(736),
    [anon_sym_go] = ACTIONS(736),
    [anon_sym_spawn] = ACTIONS(736),
    [anon_sym_goto] = ACTIONS(736),
    [anon_sym_for] = ACTIONS(736),
    [anon_sym_DOLLARfor] = ACTIONS(734),
    [anon_sym_DOLLARif] = ACTIONS(734),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [anon_sym_struct] = ACTIONS(736),
    [anon_sym_union] = ACTIONS(736),
    [anon_sym_enum] = ACTIONS(736),
    [anon_sym_interface] = ACTIONS(736),
    [anon_sym_POUND] = ACTIONS(734),
    [anon_sym_module] = ACTIONS(736),
    [anon_sym_import] = ACTIONS(736),
    [anon_sym_match] = ACTIONS(736),
    [anon_sym_select] = ACTIONS(736),
    [anon_sym_lock] = ACTIONS(736),
    [anon_sym_rlock] = ACTIONS(736),
    [sym__automatic_separator] = ACTIONS(734),
    [sym__c_string_opening] = ACTIONS(734),
    [sym__raw_string_opening] = ACTIONS(734),
    [sym__string_opening] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [302] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(302),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4818),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1770),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [303] = {
    [sym_comment] = STATE(303),
    [sym_fixed_array_type] = STATE(1089),
    [sym_array_type] = STATE(1089),
    [sym_pointer_type] = STATE(1089),
    [sym_map_type] = STATE(1089),
    [sym_channel_type] = STATE(1089),
    [sym_shared_type] = STATE(1089),
    [sym_thread_type] = STATE(1089),
    [sym_binded_identifier] = STATE(1092),
    [sym_multi_return_type] = STATE(1044),
    [sym__simple_type] = STATE(1044),
    [sym_builtin_type] = STATE(1089),
    [sym__binded_type] = STATE(1089),
    [sym_generic_type] = STATE(1089),
    [sym_qualified_type] = STATE(999),
    [sym_function_type] = STATE(1089),
    [ts_builtin_sym_end] = ACTIONS(738),
    [sym_identifier] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_LT_DASH] = ACTIONS(738),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(738),
    [anon_sym_AMP_CARET] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_DOLLAR] = ACTIONS(740),
    [sym_none] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_map_LBRACK] = ACTIONS(1080),
    [anon_sym_chan] = ACTIONS(1082),
    [anon_sym_shared] = ACTIONS(1084),
    [anon_sym_thread] = ACTIONS(1086),
    [sym_int_literal] = ACTIONS(740),
    [sym_float_literal] = ACTIONS(738),
    [sym_rune_literal] = ACTIONS(738),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(1088),
    [anon_sym_string] = ACTIONS(1088),
    [anon_sym_char] = ACTIONS(1088),
    [anon_sym_sql] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(1090),
    [anon_sym_JS] = ACTIONS(1090),
    [anon_sym_voidptr] = ACTIONS(1088),
    [anon_sym_byteptr] = ACTIONS(1088),
    [anon_sym_charptr] = ACTIONS(1088),
    [anon_sym_i8] = ACTIONS(1088),
    [anon_sym_i16] = ACTIONS(1088),
    [anon_sym_i32] = ACTIONS(1088),
    [anon_sym_int] = ACTIONS(1088),
    [anon_sym_i64] = ACTIONS(1088),
    [anon_sym_byte] = ACTIONS(1088),
    [anon_sym_u8] = ACTIONS(1088),
    [anon_sym_u16] = ACTIONS(1088),
    [anon_sym_u32] = ACTIONS(1088),
    [anon_sym_u64] = ACTIONS(1088),
    [anon_sym_f32] = ACTIONS(1088),
    [anon_sym_f64] = ACTIONS(1088),
    [anon_sym_bool] = ACTIONS(1088),
    [anon_sym_rune] = ACTIONS(1088),
    [anon_sym_map] = ACTIONS(1088),
    [anon_sym_mapnode] = ACTIONS(1088),
    [anon_sym_size_t] = ACTIONS(1088),
    [anon_sym_usize] = ACTIONS(1088),
    [anon_sym_isize] = ACTIONS(1088),
    [anon_sym_float_literal] = ACTIONS(1088),
    [anon_sym_int_literal] = ACTIONS(1088),
    [anon_sym_IError] = ACTIONS(1088),
    [sym_type_placeholder] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(740),
    [sym_type_identifier] = ACTIONS(1094),
    [anon_sym_assert] = ACTIONS(740),
    [anon_sym_defer] = ACTIONS(740),
    [anon_sym_unsafe] = ACTIONS(740),
    [anon_sym_pub] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(1096),
    [anon_sym___global] = ACTIONS(740),
    [anon_sym_const] = ACTIONS(740),
    [anon_sym_asm] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_type] = ACTIONS(740),
    [anon_sym_go] = ACTIONS(740),
    [anon_sym_spawn] = ACTIONS(740),
    [anon_sym_goto] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_DOLLARfor] = ACTIONS(738),
    [anon_sym_DOLLARif] = ACTIONS(738),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [anon_sym_struct] = ACTIONS(740),
    [anon_sym_union] = ACTIONS(740),
    [anon_sym_enum] = ACTIONS(740),
    [anon_sym_interface] = ACTIONS(740),
    [anon_sym_POUND] = ACTIONS(738),
    [anon_sym_module] = ACTIONS(740),
    [anon_sym_import] = ACTIONS(740),
    [anon_sym_match] = ACTIONS(740),
    [anon_sym_select] = ACTIONS(740),
    [anon_sym_lock] = ACTIONS(740),
    [anon_sym_rlock] = ACTIONS(740),
    [sym__automatic_separator] = ACTIONS(738),
    [sym__c_string_opening] = ACTIONS(738),
    [sym__raw_string_opening] = ACTIONS(738),
    [sym__string_opening] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [304] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(304),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4188),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(362),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [305] = {
    [sym__expression] = STATE(3096),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(305),
    [sym_spread_operator] = STATE(3987),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3987),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3757),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4538),
    [sym__simple_type] = STATE(4025),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [306] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(306),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4986),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(294),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [307] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(307),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4640),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [308] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(308),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4130),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(353),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [309] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(309),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4935),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [310] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(310),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4651),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(307),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [311] = {
    [sym__expression] = STATE(3070),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(311),
    [sym_spread_operator] = STATE(3875),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3875),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3696),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4398),
    [sym__simple_type] = STATE(4317),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1786),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [312] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(312),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4294),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(364),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [313] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(313),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4799),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(326),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [314] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(314),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4706),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(299),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [315] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(315),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4092),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [316] = {
    [sym__expression] = STATE(3167),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(316),
    [sym_spread_operator] = STATE(3966),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3966),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3714),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4593),
    [sym__simple_type] = STATE(4089),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [317] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(317),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4695),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [318] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(318),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4314),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(367),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [319] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(319),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4855),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(334),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1802),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [320] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(320),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4193),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(360),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1804),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [321] = {
    [sym__expression] = STATE(3034),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(321),
    [sym_spread_operator] = STATE(3906),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3906),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3781),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4463),
    [sym__simple_type] = STATE(4267),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [322] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(322),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4707),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(317),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [323] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(323),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4312),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(358),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1810),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [324] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(324),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4953),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1812),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [325] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(325),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4762),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [326] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(326),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4815),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [327] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(327),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4961),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [328] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(328),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4932),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(336),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [329] = {
    [sym__expression] = STATE(3020),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(329),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2547),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4615),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_select_branch] = STATE(1904),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_select_expression_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1831),
    [anon_sym_LT_DASH] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1836),
    [sym_none] = ACTIONS(1839),
    [sym_true] = ACTIONS(1839),
    [sym_false] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1842),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_map_LBRACK] = ACTIONS(1848),
    [anon_sym_chan] = ACTIONS(1851),
    [anon_sym_shared] = ACTIONS(1854),
    [anon_sym_thread] = ACTIONS(1857),
    [sym_int_literal] = ACTIONS(1860),
    [sym_float_literal] = ACTIONS(1863),
    [sym_rune_literal] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1866),
    [anon_sym_array] = ACTIONS(1869),
    [anon_sym_string] = ACTIONS(1869),
    [anon_sym_char] = ACTIONS(1869),
    [anon_sym_sql] = ACTIONS(1872),
    [anon_sym_mut] = ACTIONS(1875),
    [anon_sym_C] = ACTIONS(1878),
    [anon_sym_JS] = ACTIONS(1878),
    [anon_sym_voidptr] = ACTIONS(1881),
    [anon_sym_byteptr] = ACTIONS(1881),
    [anon_sym_charptr] = ACTIONS(1881),
    [anon_sym_i8] = ACTIONS(1881),
    [anon_sym_i16] = ACTIONS(1881),
    [anon_sym_i32] = ACTIONS(1881),
    [anon_sym_int] = ACTIONS(1881),
    [anon_sym_i64] = ACTIONS(1881),
    [anon_sym_byte] = ACTIONS(1881),
    [anon_sym_u8] = ACTIONS(1881),
    [anon_sym_u16] = ACTIONS(1881),
    [anon_sym_u32] = ACTIONS(1881),
    [anon_sym_u64] = ACTIONS(1881),
    [anon_sym_f32] = ACTIONS(1881),
    [anon_sym_f64] = ACTIONS(1881),
    [anon_sym_bool] = ACTIONS(1881),
    [anon_sym_rune] = ACTIONS(1881),
    [anon_sym_map] = ACTIONS(1881),
    [anon_sym_mapnode] = ACTIONS(1881),
    [anon_sym_size_t] = ACTIONS(1881),
    [anon_sym_usize] = ACTIONS(1881),
    [anon_sym_isize] = ACTIONS(1881),
    [anon_sym_float_literal] = ACTIONS(1881),
    [anon_sym_int_literal] = ACTIONS(1881),
    [anon_sym_IError] = ACTIONS(1881),
    [sym_type_placeholder] = ACTIONS(1884),
    [anon_sym_AT] = ACTIONS(1887),
    [sym_type_identifier] = ACTIONS(1890),
    [anon_sym_unsafe] = ACTIONS(1893),
    [anon_sym_fn] = ACTIONS(1896),
    [anon_sym_DOLLARif] = ACTIONS(1899),
    [anon_sym_if] = ACTIONS(1902),
    [anon_sym_else] = ACTIONS(1905),
    [anon_sym_match] = ACTIONS(1907),
    [anon_sym_select] = ACTIONS(1910),
    [anon_sym_lock] = ACTIONS(1913),
    [anon_sym_rlock] = ACTIONS(1913),
    [sym__c_string_opening] = ACTIONS(1916),
    [sym__raw_string_opening] = ACTIONS(1919),
    [sym__string_opening] = ACTIONS(1922),
    [sym__comment] = ACTIONS(3),
  },
  [330] = {
    [sym__expression] = STATE(3081),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(330),
    [sym_spread_operator] = STATE(3903),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3903),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3772),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4450),
    [sym__simple_type] = STATE(4277),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [331] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(331),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4364),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(363),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [332] = {
    [sym__expression] = STATE(3156),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(332),
    [sym_spread_operator] = STATE(3877),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3877),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3681),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4378),
    [sym__simple_type] = STATE(4240),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [333] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(333),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4787),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(325),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1931),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [334] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(334),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4842),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1933),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [335] = {
    [sym__expression] = STATE(3140),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(335),
    [sym_spread_operator] = STATE(3910),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3910),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3765),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4423),
    [sym__simple_type] = STATE(4238),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [336] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(336),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4924),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [337] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(337),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4699),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [338] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(338),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4949),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [339] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(339),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4019),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(352),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [340] = {
    [sym__expression] = STATE(3132),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(340),
    [sym_spread_operator] = STATE(3990),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3990),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3773),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4496),
    [sym__simple_type] = STATE(4023),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [341] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(341),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_default_case] = STATE(4900),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(338),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [342] = {
    [sym__expression] = STATE(3101),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(342),
    [sym_spread_operator] = STATE(3905),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3905),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3780),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4454),
    [sym__simple_type] = STATE(4269),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [343] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(343),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4074),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [344] = {
    [sym__expression] = STATE(3075),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(344),
    [sym_spread_operator] = STATE(3904),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3904),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3771),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4449),
    [sym__simple_type] = STATE(4281),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [345] = {
    [sym__expression] = STATE(3106),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(345),
    [sym_spread_operator] = STATE(3982),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3982),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3761),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym_option_type] = STATE(4481),
    [sym__simple_type] = STATE(4066),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_QMARK] = ACTIONS(1646),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [346] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(346),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4284),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(359),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [347] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(347),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(1963),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [348] = {
    [sym__expression] = STATE(2387),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(348),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(3460),
    [sym_binded_identifier] = STATE(2241),
    [sym_expression_list] = STATE(3483),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym__simple_statement] = STATE(4980),
    [sym_inc_statement] = STATE(4435),
    [sym_dec_statement] = STATE(4435),
    [sym_short_var_declaration] = STATE(4435),
    [sym_assignment_statement] = STATE(4435),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [349] = {
    [sym__expression] = STATE(2995),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(349),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3885),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4353),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_case_list] = STATE(4384),
    [sym_expression_case] = STATE(1913),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [aux_sym_match_expression_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1976),
    [anon_sym_PLUS] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1979),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_AMP] = ACTIONS(1982),
    [anon_sym_LT_DASH] = ACTIONS(1979),
    [anon_sym_DOLLAR] = ACTIONS(1985),
    [sym_none] = ACTIONS(1988),
    [sym_true] = ACTIONS(1988),
    [sym_false] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [anon_sym_RBRACE] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_map_LBRACK] = ACTIONS(1999),
    [anon_sym_chan] = ACTIONS(2002),
    [anon_sym_shared] = ACTIONS(2005),
    [anon_sym_thread] = ACTIONS(2008),
    [sym_int_literal] = ACTIONS(2011),
    [sym_float_literal] = ACTIONS(2014),
    [sym_rune_literal] = ACTIONS(2014),
    [anon_sym_DOT] = ACTIONS(2017),
    [anon_sym_array] = ACTIONS(2020),
    [anon_sym_string] = ACTIONS(2020),
    [anon_sym_char] = ACTIONS(2020),
    [anon_sym_sql] = ACTIONS(2023),
    [anon_sym_mut] = ACTIONS(2026),
    [anon_sym_C] = ACTIONS(2029),
    [anon_sym_JS] = ACTIONS(2029),
    [anon_sym_voidptr] = ACTIONS(2032),
    [anon_sym_byteptr] = ACTIONS(2032),
    [anon_sym_charptr] = ACTIONS(2032),
    [anon_sym_i8] = ACTIONS(2032),
    [anon_sym_i16] = ACTIONS(2032),
    [anon_sym_i32] = ACTIONS(2032),
    [anon_sym_int] = ACTIONS(2032),
    [anon_sym_i64] = ACTIONS(2032),
    [anon_sym_byte] = ACTIONS(2032),
    [anon_sym_u8] = ACTIONS(2032),
    [anon_sym_u16] = ACTIONS(2032),
    [anon_sym_u32] = ACTIONS(2032),
    [anon_sym_u64] = ACTIONS(2032),
    [anon_sym_f32] = ACTIONS(2032),
    [anon_sym_f64] = ACTIONS(2032),
    [anon_sym_bool] = ACTIONS(2032),
    [anon_sym_rune] = ACTIONS(2032),
    [anon_sym_map] = ACTIONS(2032),
    [anon_sym_mapnode] = ACTIONS(2032),
    [anon_sym_size_t] = ACTIONS(2032),
    [anon_sym_usize] = ACTIONS(2032),
    [anon_sym_isize] = ACTIONS(2032),
    [anon_sym_float_literal] = ACTIONS(2032),
    [anon_sym_int_literal] = ACTIONS(2032),
    [anon_sym_IError] = ACTIONS(2032),
    [sym_type_placeholder] = ACTIONS(2035),
    [anon_sym_AT] = ACTIONS(2038),
    [sym_type_identifier] = ACTIONS(2041),
    [anon_sym_unsafe] = ACTIONS(2044),
    [anon_sym_fn] = ACTIONS(2047),
    [anon_sym_DOLLARif] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_else] = ACTIONS(2056),
    [anon_sym_match] = ACTIONS(2058),
    [anon_sym_select] = ACTIONS(2061),
    [anon_sym_lock] = ACTIONS(2064),
    [anon_sym_rlock] = ACTIONS(2064),
    [sym__c_string_opening] = ACTIONS(2067),
    [sym__raw_string_opening] = ACTIONS(2070),
    [sym__string_opening] = ACTIONS(2073),
    [sym__comment] = ACTIONS(3),
  },
  [350] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(350),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [351] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(351),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(2078),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [anon_sym_CARET] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_LT_DASH] = ACTIONS(2084),
    [anon_sym_DOLLAR] = ACTIONS(2090),
    [sym_none] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_map_LBRACK] = ACTIONS(2107),
    [anon_sym_chan] = ACTIONS(2110),
    [anon_sym_shared] = ACTIONS(2113),
    [anon_sym_thread] = ACTIONS(2116),
    [sym_int_literal] = ACTIONS(2119),
    [sym_float_literal] = ACTIONS(2122),
    [sym_rune_literal] = ACTIONS(2122),
    [anon_sym_DOT] = ACTIONS(2125),
    [anon_sym_array] = ACTIONS(2128),
    [anon_sym_string] = ACTIONS(2128),
    [anon_sym_char] = ACTIONS(2128),
    [anon_sym_sql] = ACTIONS(2131),
    [anon_sym_mut] = ACTIONS(2134),
    [anon_sym_C] = ACTIONS(2137),
    [anon_sym_JS] = ACTIONS(2137),
    [anon_sym_voidptr] = ACTIONS(2140),
    [anon_sym_byteptr] = ACTIONS(2140),
    [anon_sym_charptr] = ACTIONS(2140),
    [anon_sym_i8] = ACTIONS(2140),
    [anon_sym_i16] = ACTIONS(2140),
    [anon_sym_i32] = ACTIONS(2140),
    [anon_sym_int] = ACTIONS(2140),
    [anon_sym_i64] = ACTIONS(2140),
    [anon_sym_byte] = ACTIONS(2140),
    [anon_sym_u8] = ACTIONS(2140),
    [anon_sym_u16] = ACTIONS(2140),
    [anon_sym_u32] = ACTIONS(2140),
    [anon_sym_u64] = ACTIONS(2140),
    [anon_sym_f32] = ACTIONS(2140),
    [anon_sym_f64] = ACTIONS(2140),
    [anon_sym_bool] = ACTIONS(2140),
    [anon_sym_rune] = ACTIONS(2140),
    [anon_sym_map] = ACTIONS(2140),
    [anon_sym_mapnode] = ACTIONS(2140),
    [anon_sym_size_t] = ACTIONS(2140),
    [anon_sym_usize] = ACTIONS(2140),
    [anon_sym_isize] = ACTIONS(2140),
    [anon_sym_float_literal] = ACTIONS(2140),
    [anon_sym_int_literal] = ACTIONS(2140),
    [anon_sym_IError] = ACTIONS(2140),
    [sym_type_placeholder] = ACTIONS(2143),
    [anon_sym_AT] = ACTIONS(2146),
    [sym_type_identifier] = ACTIONS(2149),
    [anon_sym_unsafe] = ACTIONS(2152),
    [anon_sym_fn] = ACTIONS(2155),
    [anon_sym_DOLLARif] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_match] = ACTIONS(2164),
    [anon_sym_select] = ACTIONS(2167),
    [anon_sym_lock] = ACTIONS(2170),
    [anon_sym_rlock] = ACTIONS(2170),
    [sym__c_string_opening] = ACTIONS(2173),
    [sym__raw_string_opening] = ACTIONS(2176),
    [sym__string_opening] = ACTIONS(2179),
    [sym__comment] = ACTIONS(3),
  },
  [352] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(352),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [353] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(353),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [354] = {
    [sym__expression] = STATE(2387),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(354),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(3460),
    [sym_binded_identifier] = STATE(2241),
    [sym_expression_list] = STATE(3483),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym__simple_statement] = STATE(4674),
    [sym_inc_statement] = STATE(4435),
    [sym_dec_statement] = STATE(4435),
    [sym_short_var_declaration] = STATE(4435),
    [sym_assignment_statement] = STATE(4435),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [355] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(355),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [356] = {
    [sym_comment] = STATE(356),
    [sym_fixed_array_type] = STATE(1089),
    [sym_array_type] = STATE(1089),
    [sym_pointer_type] = STATE(1089),
    [sym_map_type] = STATE(1089),
    [sym_channel_type] = STATE(1089),
    [sym_shared_type] = STATE(1089),
    [sym_thread_type] = STATE(1089),
    [sym_binded_identifier] = STATE(1092),
    [sym__simple_type] = STATE(1107),
    [sym_builtin_type] = STATE(1089),
    [sym__binded_type] = STATE(1089),
    [sym_generic_type] = STATE(1089),
    [sym_qualified_type] = STATE(999),
    [sym_function_type] = STATE(1089),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [357] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(357),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [358] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(358),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [359] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(359),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [360] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(360),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [361] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(361),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [362] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(362),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [363] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(363),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [364] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(364),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [365] = {
    [sym__expression] = STATE(2387),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(365),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(3460),
    [sym_binded_identifier] = STATE(2241),
    [sym_expression_list] = STATE(3483),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym__simple_statement] = STATE(4819),
    [sym_inc_statement] = STATE(4435),
    [sym_dec_statement] = STATE(4435),
    [sym_short_var_declaration] = STATE(4435),
    [sym_assignment_statement] = STATE(4435),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [ts_builtin_sym_end] = ACTIONS(746),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_LT_DASH] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(746),
    [anon_sym_AMP_CARET] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_DOLLAR] = ACTIONS(750),
    [sym_none] = ACTIONS(750),
    [sym_true] = ACTIONS(750),
    [sym_false] = ACTIONS(750),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(750),
    [sym_float_literal] = ACTIONS(746),
    [sym_rune_literal] = ACTIONS(746),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_sql] = ACTIONS(750),
    [anon_sym_mut] = ACTIONS(750),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [anon_sym_AT] = ACTIONS(750),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_assert] = ACTIONS(750),
    [anon_sym_defer] = ACTIONS(750),
    [anon_sym_unsafe] = ACTIONS(750),
    [anon_sym_pub] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym___global] = ACTIONS(750),
    [anon_sym_const] = ACTIONS(750),
    [anon_sym_asm] = ACTIONS(750),
    [anon_sym_break] = ACTIONS(750),
    [anon_sym_continue] = ACTIONS(750),
    [anon_sym_return] = ACTIONS(750),
    [anon_sym_type] = ACTIONS(750),
    [anon_sym_go] = ACTIONS(750),
    [anon_sym_spawn] = ACTIONS(750),
    [anon_sym_goto] = ACTIONS(750),
    [anon_sym_for] = ACTIONS(750),
    [anon_sym_DOLLARfor] = ACTIONS(746),
    [anon_sym_DOLLARif] = ACTIONS(746),
    [anon_sym_if] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [anon_sym_struct] = ACTIONS(750),
    [anon_sym_union] = ACTIONS(750),
    [anon_sym_enum] = ACTIONS(750),
    [anon_sym_interface] = ACTIONS(750),
    [anon_sym_POUND] = ACTIONS(746),
    [anon_sym_module] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(750),
    [anon_sym_match] = ACTIONS(750),
    [anon_sym_select] = ACTIONS(750),
    [anon_sym_lock] = ACTIONS(750),
    [anon_sym_rlock] = ACTIONS(750),
    [sym__automatic_separator] = ACTIONS(746),
    [sym__c_string_opening] = ACTIONS(746),
    [sym__raw_string_opening] = ACTIONS(746),
    [sym__string_opening] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [367] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(367),
    [sym_spread_operator] = STATE(1892),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1892),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_literal_value_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [368] = {
    [sym_comment] = STATE(368),
    [sym_fixed_array_type] = STATE(1089),
    [sym_array_type] = STATE(1089),
    [sym_pointer_type] = STATE(1089),
    [sym_map_type] = STATE(1089),
    [sym_channel_type] = STATE(1089),
    [sym_shared_type] = STATE(1089),
    [sym_thread_type] = STATE(1089),
    [sym_binded_identifier] = STATE(1092),
    [sym__simple_type] = STATE(1094),
    [sym_builtin_type] = STATE(1089),
    [sym__binded_type] = STATE(1089),
    [sym_generic_type] = STATE(1089),
    [sym_qualified_type] = STATE(999),
    [sym_function_type] = STATE(1089),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_map_LBRACK] = ACTIONS(1080),
    [anon_sym_chan] = ACTIONS(1082),
    [anon_sym_shared] = ACTIONS(1084),
    [anon_sym_thread] = ACTIONS(1086),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(1088),
    [anon_sym_string] = ACTIONS(1088),
    [anon_sym_char] = ACTIONS(1088),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(1090),
    [anon_sym_JS] = ACTIONS(1090),
    [anon_sym_voidptr] = ACTIONS(1088),
    [anon_sym_byteptr] = ACTIONS(1088),
    [anon_sym_charptr] = ACTIONS(1088),
    [anon_sym_i8] = ACTIONS(1088),
    [anon_sym_i16] = ACTIONS(1088),
    [anon_sym_i32] = ACTIONS(1088),
    [anon_sym_int] = ACTIONS(1088),
    [anon_sym_i64] = ACTIONS(1088),
    [anon_sym_byte] = ACTIONS(1088),
    [anon_sym_u8] = ACTIONS(1088),
    [anon_sym_u16] = ACTIONS(1088),
    [anon_sym_u32] = ACTIONS(1088),
    [anon_sym_u64] = ACTIONS(1088),
    [anon_sym_f32] = ACTIONS(1088),
    [anon_sym_f64] = ACTIONS(1088),
    [anon_sym_bool] = ACTIONS(1088),
    [anon_sym_rune] = ACTIONS(1088),
    [anon_sym_map] = ACTIONS(1088),
    [anon_sym_mapnode] = ACTIONS(1088),
    [anon_sym_size_t] = ACTIONS(1088),
    [anon_sym_usize] = ACTIONS(1088),
    [anon_sym_isize] = ACTIONS(1088),
    [anon_sym_float_literal] = ACTIONS(1088),
    [anon_sym_int_literal] = ACTIONS(1088),
    [anon_sym_IError] = ACTIONS(1088),
    [sym_type_placeholder] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(1094),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(1096),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [369] = {
    [sym__expression] = STATE(2387),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(369),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(3460),
    [sym_binded_identifier] = STATE(2241),
    [sym_expression_list] = STATE(3483),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym__simple_statement] = STATE(4644),
    [sym_inc_statement] = STATE(4435),
    [sym_dec_statement] = STATE(4435),
    [sym_short_var_declaration] = STATE(4435),
    [sym_assignment_statement] = STATE(4435),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [370] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(370),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [371] = {
    [sym__expression] = STATE(3081),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(371),
    [sym_spread_operator] = STATE(3903),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3903),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3772),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [372] = {
    [sym__expression] = STATE(3075),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(372),
    [sym_spread_operator] = STATE(3904),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3904),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3771),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [373] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(373),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [374] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(374),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [375] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(375),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [376] = {
    [sym__expression] = STATE(3034),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(376),
    [sym_spread_operator] = STATE(3906),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3906),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3781),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [377] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(377),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [378] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(378),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [379] = {
    [sym__expression] = STATE(3132),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(379),
    [sym_spread_operator] = STATE(3990),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3990),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3773),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [380] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(380),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [381] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(381),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [382] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(382),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [383] = {
    [sym__expression] = STATE(3096),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(383),
    [sym_spread_operator] = STATE(3987),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3987),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3757),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [384] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(384),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2236),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [385] = {
    [sym__expression] = STATE(3104),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(385),
    [sym_spread_operator] = STATE(3928),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3928),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3665),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [386] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(386),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [387] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(387),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [388] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(388),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [389] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(389),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [390] = {
    [sym__expression] = STATE(3070),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(390),
    [sym_spread_operator] = STATE(3875),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3875),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3696),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1786),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [391] = {
    [sym__expression] = STATE(3101),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(391),
    [sym_spread_operator] = STATE(3905),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3905),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3780),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [392] = {
    [sym__expression] = STATE(3156),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(392),
    [sym_spread_operator] = STATE(3877),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3877),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3681),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [393] = {
    [sym__expression] = STATE(3167),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(393),
    [sym_spread_operator] = STATE(3966),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3966),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3714),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [394] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(394),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [395] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(395),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [396] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(396),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [397] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(397),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [398] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(398),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [399] = {
    [sym__expression] = STATE(3140),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(399),
    [sym_spread_operator] = STATE(3910),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3910),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3765),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [400] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(400),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [401] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(401),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [402] = {
    [sym__expression] = STATE(3165),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(402),
    [sym_spread_operator] = STATE(3950),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3950),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3687),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1754),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [403] = {
    [sym__expression] = STATE(3114),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(403),
    [sym_spread_operator] = STATE(3901),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3901),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3775),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [404] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(404),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [405] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(405),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [406] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(406),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [407] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(407),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [408] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(408),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2270),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [409] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(409),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [410] = {
    [sym__expression] = STATE(3106),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(410),
    [sym_spread_operator] = STATE(3982),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3982),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3761),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [411] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(411),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [412] = {
    [sym__expression] = STATE(3148),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(412),
    [sym_spread_operator] = STATE(3948),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(3948),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3693),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [413] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(413),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [414] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(414),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_RPAREN] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [415] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(415),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [416] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(416),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(436),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [417] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(417),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(419),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [418] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(418),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [419] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(419),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [420] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(420),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [421] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(421),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [422] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(422),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(429),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2294),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [423] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(423),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(435),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [424] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(424),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [425] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(425),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [426] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(426),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2311),
    [anon_sym_LT_DASH] = ACTIONS(2308),
    [anon_sym_DOLLAR] = ACTIONS(2314),
    [sym_none] = ACTIONS(2317),
    [sym_true] = ACTIONS(2317),
    [sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_map_LBRACK] = ACTIONS(2328),
    [anon_sym_chan] = ACTIONS(2331),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_thread] = ACTIONS(2337),
    [sym_int_literal] = ACTIONS(2340),
    [sym_float_literal] = ACTIONS(2343),
    [sym_rune_literal] = ACTIONS(2343),
    [anon_sym_DOT] = ACTIONS(2346),
    [anon_sym_array] = ACTIONS(2349),
    [anon_sym_string] = ACTIONS(2349),
    [anon_sym_char] = ACTIONS(2349),
    [anon_sym_sql] = ACTIONS(2352),
    [anon_sym_mut] = ACTIONS(2355),
    [anon_sym_C] = ACTIONS(2358),
    [anon_sym_JS] = ACTIONS(2358),
    [anon_sym_voidptr] = ACTIONS(2361),
    [anon_sym_byteptr] = ACTIONS(2361),
    [anon_sym_charptr] = ACTIONS(2361),
    [anon_sym_i8] = ACTIONS(2361),
    [anon_sym_i16] = ACTIONS(2361),
    [anon_sym_i32] = ACTIONS(2361),
    [anon_sym_int] = ACTIONS(2361),
    [anon_sym_i64] = ACTIONS(2361),
    [anon_sym_byte] = ACTIONS(2361),
    [anon_sym_u8] = ACTIONS(2361),
    [anon_sym_u16] = ACTIONS(2361),
    [anon_sym_u32] = ACTIONS(2361),
    [anon_sym_u64] = ACTIONS(2361),
    [anon_sym_f32] = ACTIONS(2361),
    [anon_sym_f64] = ACTIONS(2361),
    [anon_sym_bool] = ACTIONS(2361),
    [anon_sym_rune] = ACTIONS(2361),
    [anon_sym_map] = ACTIONS(2361),
    [anon_sym_mapnode] = ACTIONS(2361),
    [anon_sym_size_t] = ACTIONS(2361),
    [anon_sym_usize] = ACTIONS(2361),
    [anon_sym_isize] = ACTIONS(2361),
    [anon_sym_float_literal] = ACTIONS(2361),
    [anon_sym_int_literal] = ACTIONS(2361),
    [anon_sym_IError] = ACTIONS(2361),
    [sym_type_placeholder] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2367),
    [sym_type_identifier] = ACTIONS(2370),
    [anon_sym_unsafe] = ACTIONS(2373),
    [anon_sym_fn] = ACTIONS(2376),
    [anon_sym_DOLLARif] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_match] = ACTIONS(2385),
    [anon_sym_select] = ACTIONS(2388),
    [anon_sym_lock] = ACTIONS(2391),
    [anon_sym_rlock] = ACTIONS(2391),
    [sym__c_string_opening] = ACTIONS(2394),
    [sym__raw_string_opening] = ACTIONS(2397),
    [sym__string_opening] = ACTIONS(2400),
    [sym__comment] = ACTIONS(3),
  },
  [427] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(427),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [428] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(428),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [429] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(429),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [430] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(430),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [431] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(431),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(418),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2411),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [432] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(432),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [433] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(433),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [434] = {
    [sym__expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3159),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(434),
    [sym_spread_operator] = STATE(4129),
    [sym_type_initializer] = STATE(3190),
    [sym_keyed_element] = STATE(4129),
    [sym__element_key] = STATE(4696),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3159),
    [sym_raw_string_literal] = STATE(3159),
    [sym_interpreted_string_literal] = STATE(3159),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(583),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(3858),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2707),
    [sym_index_expression] = STATE(3159),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3161),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1656),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [435] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(435),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [436] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(436),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [437] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(437),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2421),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [438] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(438),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [439] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(439),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(443),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2425),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [440] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(440),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(424),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [441] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(441),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(438),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [442] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(442),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(444),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [443] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(443),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2433),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [444] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2987),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(444),
    [sym_type_initializer] = STATE(2681),
    [sym_keyed_element] = STATE(1899),
    [sym__element_key] = STATE(4858),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2987),
    [sym_raw_string_literal] = STATE(2987),
    [sym_interpreted_string_literal] = STATE(2987),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2625),
    [sym_index_expression] = STATE(2987),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2981),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [aux_sym_map_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(905),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [445] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(445),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1701),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_attribute_spec] = STATE(4060),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(526),
    [sym_identifier] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2451),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2471),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [446] = {
    [sym_option_propagator] = STATE(876),
    [sym_or_block] = STATE(900),
    [sym_comment] = STATE(446),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_BANG] = ACTIONS(2491),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(879),
    [anon_sym_AMP] = ACTIONS(879),
    [anon_sym_LT_DASH] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(879),
    [anon_sym_PERCENT] = ACTIONS(879),
    [anon_sym_LT_LT] = ACTIONS(879),
    [anon_sym_GT_GT] = ACTIONS(879),
    [anon_sym_GT_GT_GT] = ACTIONS(879),
    [anon_sym_AMP_CARET] = ACTIONS(879),
    [anon_sym_PIPE] = ACTIONS(879),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(879),
    [anon_sym_BANGin] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(879),
    [anon_sym_COMMA] = ACTIONS(877),
    [anon_sym_DOLLAR] = ACTIONS(879),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_or] = ACTIONS(2495),
    [sym_none] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_RBRACE] = ACTIONS(877),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_map_LBRACK] = ACTIONS(877),
    [anon_sym_chan] = ACTIONS(879),
    [anon_sym_shared] = ACTIONS(879),
    [anon_sym_thread] = ACTIONS(879),
    [sym_int_literal] = ACTIONS(879),
    [sym_float_literal] = ACTIONS(877),
    [sym_rune_literal] = ACTIONS(877),
    [anon_sym_DOT] = ACTIONS(879),
    [anon_sym_array] = ACTIONS(879),
    [anon_sym_string] = ACTIONS(879),
    [anon_sym_char] = ACTIONS(879),
    [anon_sym_sql] = ACTIONS(879),
    [anon_sym_mut] = ACTIONS(879),
    [anon_sym_C] = ACTIONS(879),
    [anon_sym_JS] = ACTIONS(879),
    [anon_sym_voidptr] = ACTIONS(879),
    [anon_sym_byteptr] = ACTIONS(879),
    [anon_sym_charptr] = ACTIONS(879),
    [anon_sym_i8] = ACTIONS(879),
    [anon_sym_i16] = ACTIONS(879),
    [anon_sym_i32] = ACTIONS(879),
    [anon_sym_int] = ACTIONS(879),
    [anon_sym_i64] = ACTIONS(879),
    [anon_sym_byte] = ACTIONS(879),
    [anon_sym_u8] = ACTIONS(879),
    [anon_sym_u16] = ACTIONS(879),
    [anon_sym_u32] = ACTIONS(879),
    [anon_sym_u64] = ACTIONS(879),
    [anon_sym_f32] = ACTIONS(879),
    [anon_sym_f64] = ACTIONS(879),
    [anon_sym_bool] = ACTIONS(879),
    [anon_sym_rune] = ACTIONS(879),
    [anon_sym_map] = ACTIONS(879),
    [anon_sym_mapnode] = ACTIONS(879),
    [anon_sym_size_t] = ACTIONS(879),
    [anon_sym_usize] = ACTIONS(879),
    [anon_sym_isize] = ACTIONS(879),
    [anon_sym_float_literal] = ACTIONS(879),
    [anon_sym_int_literal] = ACTIONS(879),
    [anon_sym_IError] = ACTIONS(879),
    [sym_type_placeholder] = ACTIONS(879),
    [anon_sym_AT] = ACTIONS(879),
    [sym_type_identifier] = ACTIONS(879),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(877),
    [anon_sym_STAR_EQ] = ACTIONS(877),
    [anon_sym_SLASH_EQ] = ACTIONS(877),
    [anon_sym_PERCENT_EQ] = ACTIONS(877),
    [anon_sym_LT_LT_EQ] = ACTIONS(877),
    [anon_sym_GT_GT_EQ] = ACTIONS(877),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(877),
    [anon_sym_AMP_EQ] = ACTIONS(877),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(877),
    [anon_sym_PLUS_EQ] = ACTIONS(877),
    [anon_sym_DASH_EQ] = ACTIONS(877),
    [anon_sym_PIPE_EQ] = ACTIONS(877),
    [anon_sym_CARET_EQ] = ACTIONS(877),
    [anon_sym_EQ] = ACTIONS(879),
    [anon_sym_assert] = ACTIONS(879),
    [anon_sym_defer] = ACTIONS(879),
    [anon_sym_unsafe] = ACTIONS(879),
    [anon_sym_fn] = ACTIONS(879),
    [anon_sym_asm] = ACTIONS(879),
    [anon_sym_break] = ACTIONS(879),
    [anon_sym_continue] = ACTIONS(879),
    [anon_sym_return] = ACTIONS(879),
    [anon_sym_go] = ACTIONS(879),
    [anon_sym_spawn] = ACTIONS(879),
    [anon_sym_goto] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_DOLLARfor] = ACTIONS(877),
    [anon_sym_DOLLARif] = ACTIONS(877),
    [anon_sym_if] = ACTIONS(879),
    [anon_sym_is] = ACTIONS(879),
    [anon_sym_BANGis] = ACTIONS(877),
    [anon_sym_POUND] = ACTIONS(877),
    [anon_sym_match] = ACTIONS(879),
    [anon_sym_select] = ACTIONS(879),
    [anon_sym_lock] = ACTIONS(879),
    [anon_sym_rlock] = ACTIONS(879),
    [sym__automatic_separator] = ACTIONS(877),
    [sym__c_string_opening] = ACTIONS(877),
    [sym__raw_string_opening] = ACTIONS(877),
    [sym__string_opening] = ACTIONS(877),
    [sym__comment] = ACTIONS(3),
  },
  [447] = {
    [sym_option_propagator] = STATE(893),
    [sym_or_block] = STATE(900),
    [sym_comment] = STATE(447),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_BANG] = ACTIONS(2491),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_LT_DASH] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_GT_GT_GT] = ACTIONS(883),
    [anon_sym_AMP_CARET] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_BANGin] = ACTIONS(881),
    [anon_sym_AMP_AMP] = ACTIONS(881),
    [anon_sym_PIPE_PIPE] = ACTIONS(881),
    [anon_sym_as] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_or] = ACTIONS(2495),
    [sym_none] = ACTIONS(883),
    [sym_true] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_RBRACE] = ACTIONS(881),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_map_LBRACK] = ACTIONS(881),
    [anon_sym_chan] = ACTIONS(883),
    [anon_sym_shared] = ACTIONS(883),
    [anon_sym_thread] = ACTIONS(883),
    [sym_int_literal] = ACTIONS(883),
    [sym_float_literal] = ACTIONS(881),
    [sym_rune_literal] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_array] = ACTIONS(883),
    [anon_sym_string] = ACTIONS(883),
    [anon_sym_char] = ACTIONS(883),
    [anon_sym_sql] = ACTIONS(883),
    [anon_sym_mut] = ACTIONS(883),
    [anon_sym_C] = ACTIONS(883),
    [anon_sym_JS] = ACTIONS(883),
    [anon_sym_voidptr] = ACTIONS(883),
    [anon_sym_byteptr] = ACTIONS(883),
    [anon_sym_charptr] = ACTIONS(883),
    [anon_sym_i8] = ACTIONS(883),
    [anon_sym_i16] = ACTIONS(883),
    [anon_sym_i32] = ACTIONS(883),
    [anon_sym_int] = ACTIONS(883),
    [anon_sym_i64] = ACTIONS(883),
    [anon_sym_byte] = ACTIONS(883),
    [anon_sym_u8] = ACTIONS(883),
    [anon_sym_u16] = ACTIONS(883),
    [anon_sym_u32] = ACTIONS(883),
    [anon_sym_u64] = ACTIONS(883),
    [anon_sym_f32] = ACTIONS(883),
    [anon_sym_f64] = ACTIONS(883),
    [anon_sym_bool] = ACTIONS(883),
    [anon_sym_rune] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(883),
    [anon_sym_mapnode] = ACTIONS(883),
    [anon_sym_size_t] = ACTIONS(883),
    [anon_sym_usize] = ACTIONS(883),
    [anon_sym_isize] = ACTIONS(883),
    [anon_sym_float_literal] = ACTIONS(883),
    [anon_sym_int_literal] = ACTIONS(883),
    [anon_sym_IError] = ACTIONS(883),
    [sym_type_placeholder] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [sym_type_identifier] = ACTIONS(883),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_COLON_EQ] = ACTIONS(881),
    [anon_sym_STAR_EQ] = ACTIONS(881),
    [anon_sym_SLASH_EQ] = ACTIONS(881),
    [anon_sym_PERCENT_EQ] = ACTIONS(881),
    [anon_sym_LT_LT_EQ] = ACTIONS(881),
    [anon_sym_GT_GT_EQ] = ACTIONS(881),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(881),
    [anon_sym_AMP_EQ] = ACTIONS(881),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(881),
    [anon_sym_PLUS_EQ] = ACTIONS(881),
    [anon_sym_DASH_EQ] = ACTIONS(881),
    [anon_sym_PIPE_EQ] = ACTIONS(881),
    [anon_sym_CARET_EQ] = ACTIONS(881),
    [anon_sym_EQ] = ACTIONS(883),
    [anon_sym_assert] = ACTIONS(883),
    [anon_sym_defer] = ACTIONS(883),
    [anon_sym_unsafe] = ACTIONS(883),
    [anon_sym_fn] = ACTIONS(883),
    [anon_sym_asm] = ACTIONS(883),
    [anon_sym_break] = ACTIONS(883),
    [anon_sym_continue] = ACTIONS(883),
    [anon_sym_return] = ACTIONS(883),
    [anon_sym_go] = ACTIONS(883),
    [anon_sym_spawn] = ACTIONS(883),
    [anon_sym_goto] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_DOLLARfor] = ACTIONS(881),
    [anon_sym_DOLLARif] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_BANGis] = ACTIONS(881),
    [anon_sym_POUND] = ACTIONS(881),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_select] = ACTIONS(883),
    [anon_sym_lock] = ACTIONS(883),
    [anon_sym_rlock] = ACTIONS(883),
    [sym__automatic_separator] = ACTIONS(881),
    [sym__c_string_opening] = ACTIONS(881),
    [sym__raw_string_opening] = ACTIONS(881),
    [sym__string_opening] = ACTIONS(881),
    [sym__comment] = ACTIONS(3),
  },
  [448] = {
    [sym_option_propagator] = STATE(901),
    [sym_or_block] = STATE(900),
    [sym_comment] = STATE(448),
    [sym_identifier] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(873),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(875),
    [anon_sym_BANG] = ACTIONS(2491),
    [anon_sym_TILDE] = ACTIONS(873),
    [anon_sym_CARET] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_PERCENT] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_GT_GT_GT] = ACTIONS(875),
    [anon_sym_AMP_CARET] = ACTIONS(875),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(873),
    [anon_sym_BANG_EQ] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(873),
    [anon_sym_GT] = ACTIONS(875),
    [anon_sym_GT_EQ] = ACTIONS(873),
    [anon_sym_in] = ACTIONS(875),
    [anon_sym_BANGin] = ACTIONS(873),
    [anon_sym_AMP_AMP] = ACTIONS(873),
    [anon_sym_PIPE_PIPE] = ACTIONS(873),
    [anon_sym_as] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(873),
    [anon_sym_DOLLAR] = ACTIONS(875),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_or] = ACTIONS(2495),
    [sym_none] = ACTIONS(875),
    [sym_true] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_map_LBRACK] = ACTIONS(873),
    [anon_sym_chan] = ACTIONS(875),
    [anon_sym_shared] = ACTIONS(875),
    [anon_sym_thread] = ACTIONS(875),
    [sym_int_literal] = ACTIONS(875),
    [sym_float_literal] = ACTIONS(873),
    [sym_rune_literal] = ACTIONS(873),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_array] = ACTIONS(875),
    [anon_sym_string] = ACTIONS(875),
    [anon_sym_char] = ACTIONS(875),
    [anon_sym_sql] = ACTIONS(875),
    [anon_sym_mut] = ACTIONS(875),
    [anon_sym_C] = ACTIONS(875),
    [anon_sym_JS] = ACTIONS(875),
    [anon_sym_voidptr] = ACTIONS(875),
    [anon_sym_byteptr] = ACTIONS(875),
    [anon_sym_charptr] = ACTIONS(875),
    [anon_sym_i8] = ACTIONS(875),
    [anon_sym_i16] = ACTIONS(875),
    [anon_sym_i32] = ACTIONS(875),
    [anon_sym_int] = ACTIONS(875),
    [anon_sym_i64] = ACTIONS(875),
    [anon_sym_byte] = ACTIONS(875),
    [anon_sym_u8] = ACTIONS(875),
    [anon_sym_u16] = ACTIONS(875),
    [anon_sym_u32] = ACTIONS(875),
    [anon_sym_u64] = ACTIONS(875),
    [anon_sym_f32] = ACTIONS(875),
    [anon_sym_f64] = ACTIONS(875),
    [anon_sym_bool] = ACTIONS(875),
    [anon_sym_rune] = ACTIONS(875),
    [anon_sym_map] = ACTIONS(875),
    [anon_sym_mapnode] = ACTIONS(875),
    [anon_sym_size_t] = ACTIONS(875),
    [anon_sym_usize] = ACTIONS(875),
    [anon_sym_isize] = ACTIONS(875),
    [anon_sym_float_literal] = ACTIONS(875),
    [anon_sym_int_literal] = ACTIONS(875),
    [anon_sym_IError] = ACTIONS(875),
    [sym_type_placeholder] = ACTIONS(875),
    [anon_sym_AT] = ACTIONS(875),
    [sym_type_identifier] = ACTIONS(875),
    [anon_sym_PLUS_PLUS] = ACTIONS(873),
    [anon_sym_DASH_DASH] = ACTIONS(873),
    [anon_sym_COLON_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_LT_LT_EQ] = ACTIONS(873),
    [anon_sym_GT_GT_EQ] = ACTIONS(873),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(873),
    [anon_sym_AMP_EQ] = ACTIONS(873),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(873),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_PIPE_EQ] = ACTIONS(873),
    [anon_sym_CARET_EQ] = ACTIONS(873),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_assert] = ACTIONS(875),
    [anon_sym_defer] = ACTIONS(875),
    [anon_sym_unsafe] = ACTIONS(875),
    [anon_sym_fn] = ACTIONS(875),
    [anon_sym_asm] = ACTIONS(875),
    [anon_sym_break] = ACTIONS(875),
    [anon_sym_continue] = ACTIONS(875),
    [anon_sym_return] = ACTIONS(875),
    [anon_sym_go] = ACTIONS(875),
    [anon_sym_spawn] = ACTIONS(875),
    [anon_sym_goto] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(875),
    [anon_sym_DOLLARfor] = ACTIONS(873),
    [anon_sym_DOLLARif] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_is] = ACTIONS(875),
    [anon_sym_BANGis] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(873),
    [anon_sym_match] = ACTIONS(875),
    [anon_sym_select] = ACTIONS(875),
    [anon_sym_lock] = ACTIONS(875),
    [anon_sym_rlock] = ACTIONS(875),
    [sym__automatic_separator] = ACTIONS(873),
    [sym__c_string_opening] = ACTIONS(873),
    [sym__raw_string_opening] = ACTIONS(873),
    [sym__string_opening] = ACTIONS(873),
    [sym__comment] = ACTIONS(3),
  },
  [449] = {
    [sym_special_argument_list] = STATE(464),
    [sym_comment] = STATE(449),
    [sym_argument_list] = STATE(448),
    [sym_type_parameters] = STATE(4525),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [450] = {
    [sym_special_argument_list] = STATE(464),
    [sym_comment] = STATE(450),
    [sym_argument_list] = STATE(448),
    [sym_type_parameters] = STATE(4525),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [451] = {
    [sym_special_argument_list] = STATE(464),
    [sym_comment] = STATE(451),
    [sym_argument_list] = STATE(448),
    [sym_type_parameters] = STATE(4525),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [452] = {
    [sym_special_argument_list] = STATE(464),
    [sym_comment] = STATE(452),
    [sym_argument_list] = STATE(448),
    [sym_type_parameters] = STATE(4525),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [453] = {
    [sym__expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(453),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4861),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [454] = {
    [sym__expression] = STATE(2998),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(454),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4587),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [455] = {
    [sym__expression] = STATE(3452),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(455),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(3326),
    [sym__mutable_prefix] = STATE(595),
    [sym_mutable_identifier] = STATE(3837),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_identifier_list] = STATE(4691),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_for_in_operator] = STATE(4599),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [456] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(456),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2513),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [457] = {
    [sym__expression] = STATE(3300),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(457),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4733),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [458] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(458),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4419),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(2772),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [459] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(459),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(456),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2525),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [460] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(460),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2527),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [461] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(461),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(460),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2529),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [462] = {
    [sym__expression] = STATE(3017),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(462),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4487),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [463] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(463),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4485),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(3196),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [464] = {
    [sym_option_propagator] = STATE(934),
    [sym_or_block] = STATE(900),
    [sym_comment] = STATE(464),
    [sym_identifier] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(2491),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_LT_DASH] = ACTIONS(863),
    [anon_sym_SLASH] = ACTIONS(865),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_LT_LT] = ACTIONS(865),
    [anon_sym_GT_GT] = ACTIONS(865),
    [anon_sym_GT_GT_GT] = ACTIONS(865),
    [anon_sym_AMP_CARET] = ACTIONS(865),
    [anon_sym_PIPE] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(863),
    [anon_sym_BANG_EQ] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(863),
    [anon_sym_in] = ACTIONS(865),
    [anon_sym_BANGin] = ACTIONS(863),
    [anon_sym_AMP_AMP] = ACTIONS(863),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_as] = ACTIONS(865),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOLLAR] = ACTIONS(865),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_or] = ACTIONS(2495),
    [sym_none] = ACTIONS(865),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_RBRACE] = ACTIONS(863),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_map_LBRACK] = ACTIONS(863),
    [anon_sym_chan] = ACTIONS(865),
    [anon_sym_shared] = ACTIONS(865),
    [anon_sym_thread] = ACTIONS(865),
    [sym_int_literal] = ACTIONS(865),
    [sym_float_literal] = ACTIONS(863),
    [sym_rune_literal] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_array] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_char] = ACTIONS(865),
    [anon_sym_sql] = ACTIONS(865),
    [anon_sym_mut] = ACTIONS(865),
    [anon_sym_C] = ACTIONS(865),
    [anon_sym_JS] = ACTIONS(865),
    [anon_sym_voidptr] = ACTIONS(865),
    [anon_sym_byteptr] = ACTIONS(865),
    [anon_sym_charptr] = ACTIONS(865),
    [anon_sym_i8] = ACTIONS(865),
    [anon_sym_i16] = ACTIONS(865),
    [anon_sym_i32] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_i64] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_u8] = ACTIONS(865),
    [anon_sym_u16] = ACTIONS(865),
    [anon_sym_u32] = ACTIONS(865),
    [anon_sym_u64] = ACTIONS(865),
    [anon_sym_f32] = ACTIONS(865),
    [anon_sym_f64] = ACTIONS(865),
    [anon_sym_bool] = ACTIONS(865),
    [anon_sym_rune] = ACTIONS(865),
    [anon_sym_map] = ACTIONS(865),
    [anon_sym_mapnode] = ACTIONS(865),
    [anon_sym_size_t] = ACTIONS(865),
    [anon_sym_usize] = ACTIONS(865),
    [anon_sym_isize] = ACTIONS(865),
    [anon_sym_float_literal] = ACTIONS(865),
    [anon_sym_int_literal] = ACTIONS(865),
    [anon_sym_IError] = ACTIONS(865),
    [sym_type_placeholder] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(865),
    [sym_type_identifier] = ACTIONS(865),
    [anon_sym_PLUS_PLUS] = ACTIONS(863),
    [anon_sym_DASH_DASH] = ACTIONS(863),
    [anon_sym_COLON_EQ] = ACTIONS(863),
    [anon_sym_STAR_EQ] = ACTIONS(863),
    [anon_sym_SLASH_EQ] = ACTIONS(863),
    [anon_sym_PERCENT_EQ] = ACTIONS(863),
    [anon_sym_LT_LT_EQ] = ACTIONS(863),
    [anon_sym_GT_GT_EQ] = ACTIONS(863),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(863),
    [anon_sym_AMP_EQ] = ACTIONS(863),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(863),
    [anon_sym_PLUS_EQ] = ACTIONS(863),
    [anon_sym_DASH_EQ] = ACTIONS(863),
    [anon_sym_PIPE_EQ] = ACTIONS(863),
    [anon_sym_CARET_EQ] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_defer] = ACTIONS(865),
    [anon_sym_unsafe] = ACTIONS(865),
    [anon_sym_fn] = ACTIONS(865),
    [anon_sym_asm] = ACTIONS(865),
    [anon_sym_break] = ACTIONS(865),
    [anon_sym_continue] = ACTIONS(865),
    [anon_sym_return] = ACTIONS(865),
    [anon_sym_go] = ACTIONS(865),
    [anon_sym_spawn] = ACTIONS(865),
    [anon_sym_goto] = ACTIONS(865),
    [anon_sym_for] = ACTIONS(865),
    [anon_sym_DOLLARfor] = ACTIONS(863),
    [anon_sym_DOLLARif] = ACTIONS(863),
    [anon_sym_if] = ACTIONS(865),
    [anon_sym_is] = ACTIONS(865),
    [anon_sym_BANGis] = ACTIONS(863),
    [anon_sym_POUND] = ACTIONS(863),
    [anon_sym_match] = ACTIONS(865),
    [anon_sym_select] = ACTIONS(865),
    [anon_sym_lock] = ACTIONS(865),
    [anon_sym_rlock] = ACTIONS(865),
    [sym__automatic_separator] = ACTIONS(863),
    [sym__c_string_opening] = ACTIONS(863),
    [sym__raw_string_opening] = ACTIONS(863),
    [sym__string_opening] = ACTIONS(863),
    [sym__comment] = ACTIONS(3),
  },
  [465] = {
    [sym__expression] = STATE(3360),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(465),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4670),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [466] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(466),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4419),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(2772),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [467] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(467),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(491),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2535),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [468] = {
    [sym__expression] = STATE(3027),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(468),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4439),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [469] = {
    [sym__expression] = STATE(3030),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(469),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4608),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [470] = {
    [sym__expression] = STATE(3372),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(470),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4944),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [471] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(471),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(507),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2537),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [472] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(472),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2539),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [473] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(473),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4631),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(217),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [474] = {
    [sym__expression] = STATE(3020),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(474),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2547),
    [sym_expression_list] = STATE(4954),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_RBRACK] = ACTIONS(2545),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2547),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [475] = {
    [sym__expression] = STATE(3012),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(475),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4598),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [476] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(476),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(472),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2549),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [477] = {
    [sym_special_argument_list] = STATE(464),
    [sym_comment] = STATE(477),
    [sym_argument_list] = STATE(448),
    [sym_type_parameters] = STATE(4525),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [478] = {
    [sym__expression] = STATE(3355),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(478),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4654),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [479] = {
    [sym__expression] = STATE(2984),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(479),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4492),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [480] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(480),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4590),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(2672),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [481] = {
    [sym__expression] = STATE(3380),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(481),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4672),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [482] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(482),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4440),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(2370),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [483] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(483),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2555),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [484] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(484),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4542),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(3094),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [485] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(485),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4455),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(2666),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [486] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(486),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(483),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2561),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [487] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(487),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4479),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(1078),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [488] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(488),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4385),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(1258),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [489] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(489),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2567),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [490] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(490),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4385),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(1258),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [491] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(491),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2571),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [492] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(492),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4589),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(1382),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [493] = {
    [sym__expression] = STATE(2986),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(493),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4630),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [494] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(494),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2575),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [495] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(495),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(500),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2577),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [496] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(496),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4479),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(1078),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [497] = {
    [sym__expression] = STATE(3306),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(497),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4890),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [498] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(498),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2581),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [499] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(499),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(494),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2583),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [500] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(500),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2585),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [501] = {
    [sym__expression] = STATE(3013),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(501),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4377),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [502] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(502),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(504),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2587),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [503] = {
    [sym__expression] = STATE(3290),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(503),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4940),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [504] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(504),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2589),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [505] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(505),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2591),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [506] = {
    [sym__expression] = STATE(3009),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(506),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4480),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [507] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(507),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2593),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [508] = {
    [sym_special_argument_list] = STATE(464),
    [sym_comment] = STATE(508),
    [sym_argument_list] = STATE(448),
    [sym_type_parameters] = STATE(4525),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [509] = {
    [sym__expression] = STATE(3329),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(509),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4791),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [510] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(510),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2595),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [511] = {
    [sym__expression] = STATE(3381),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(511),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4982),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [512] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(512),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4419),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(2772),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [513] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(513),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4491),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(3369),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [514] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(514),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(526),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2451),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [515] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(515),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4629),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(1786),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [516] = {
    [sym__expression] = STATE(2997),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(516),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4529),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [517] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(517),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4542),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(3094),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [518] = {
    [sym__expression] = STATE(3345),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(518),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4766),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [519] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(519),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_CARET] = ACTIONS(2611),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_LT_DASH] = ACTIONS(2611),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [sym_none] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_RBRACK] = ACTIONS(2629),
    [anon_sym_map_LBRACK] = ACTIONS(2631),
    [anon_sym_chan] = ACTIONS(2634),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_thread] = ACTIONS(2640),
    [sym_int_literal] = ACTIONS(2643),
    [sym_float_literal] = ACTIONS(2646),
    [sym_rune_literal] = ACTIONS(2646),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_array] = ACTIONS(2652),
    [anon_sym_string] = ACTIONS(2652),
    [anon_sym_char] = ACTIONS(2652),
    [anon_sym_sql] = ACTIONS(2655),
    [anon_sym_mut] = ACTIONS(2658),
    [anon_sym_C] = ACTIONS(2661),
    [anon_sym_JS] = ACTIONS(2661),
    [anon_sym_voidptr] = ACTIONS(2664),
    [anon_sym_byteptr] = ACTIONS(2664),
    [anon_sym_charptr] = ACTIONS(2664),
    [anon_sym_i8] = ACTIONS(2664),
    [anon_sym_i16] = ACTIONS(2664),
    [anon_sym_i32] = ACTIONS(2664),
    [anon_sym_int] = ACTIONS(2664),
    [anon_sym_i64] = ACTIONS(2664),
    [anon_sym_byte] = ACTIONS(2664),
    [anon_sym_u8] = ACTIONS(2664),
    [anon_sym_u16] = ACTIONS(2664),
    [anon_sym_u32] = ACTIONS(2664),
    [anon_sym_u64] = ACTIONS(2664),
    [anon_sym_f32] = ACTIONS(2664),
    [anon_sym_f64] = ACTIONS(2664),
    [anon_sym_bool] = ACTIONS(2664),
    [anon_sym_rune] = ACTIONS(2664),
    [anon_sym_map] = ACTIONS(2664),
    [anon_sym_mapnode] = ACTIONS(2664),
    [anon_sym_size_t] = ACTIONS(2664),
    [anon_sym_usize] = ACTIONS(2664),
    [anon_sym_isize] = ACTIONS(2664),
    [anon_sym_float_literal] = ACTIONS(2664),
    [anon_sym_int_literal] = ACTIONS(2664),
    [anon_sym_IError] = ACTIONS(2664),
    [sym_type_placeholder] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2670),
    [sym_type_identifier] = ACTIONS(2673),
    [anon_sym_unsafe] = ACTIONS(2676),
    [anon_sym_fn] = ACTIONS(2679),
    [anon_sym_DOLLARif] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_select] = ACTIONS(2691),
    [anon_sym_lock] = ACTIONS(2694),
    [anon_sym_rlock] = ACTIONS(2694),
    [sym__c_string_opening] = ACTIONS(2697),
    [sym__raw_string_opening] = ACTIONS(2700),
    [sym__string_opening] = ACTIONS(2703),
    [sym__comment] = ACTIONS(3),
  },
  [520] = {
    [sym__expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(520),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4655),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [521] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(521),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4419),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(2772),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [522] = {
    [sym__expression] = STATE(3023),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(522),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4543),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [523] = {
    [sym__expression] = STATE(3025),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(523),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4415),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [524] = {
    [sym__expression] = STATE(3007),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(524),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4383),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [525] = {
    [sym__expression] = STATE(3327),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(525),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4790),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [526] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(526),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2708),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [527] = {
    [sym__expression] = STATE(2986),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(527),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4630),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2710),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [528] = {
    [sym__expression] = STATE(3000),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(528),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4673),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_short_var_declaration] = STATE(4457),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [529] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(529),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2712),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [530] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(530),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2714),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [531] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(531),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(530),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2716),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [532] = {
    [sym__expression] = STATE(3296),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(532),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym__range] = STATE(4891),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [533] = {
    [sym__expression] = STATE(3452),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(533),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(3326),
    [sym__mutable_prefix] = STATE(595),
    [sym_mutable_identifier] = STATE(3837),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_identifier_list] = STATE(4691),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_for_in_operator] = STATE(4414),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [534] = {
    [sym__expression] = STATE(1773),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(534),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [aux_sym__non_empty_array_repeat1] = STATE(529),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2718),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2453),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [535] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(535),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4530),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(956),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [536] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(536),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4603),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_block] = STATE(2451),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [537] = {
    [sym__expression] = STATE(3193),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(537),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4806),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [538] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(538),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4769),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [539] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(539),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4769),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [540] = {
    [sym__expression] = STATE(3421),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(540),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_RBRACK] = ACTIONS(2740),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [541] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(541),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4678),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [542] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(542),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4749),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [543] = {
    [sym__expression] = STATE(1006),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(543),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(651),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(1349),
    [sym_binded_identifier] = STATE(998),
    [sym_expression_list] = STATE(1574),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [544] = {
    [sym__expression] = STATE(1006),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(544),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(651),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(1349),
    [sym_binded_identifier] = STATE(998),
    [sym_expression_list] = STATE(1573),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [545] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(545),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4678),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [546] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(546),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4729),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [547] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(547),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4678),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [548] = {
    [sym__expression] = STATE(3020),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(548),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2547),
    [sym_expression_list] = STATE(4954),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [549] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(549),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4809),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [550] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(550),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4709),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [551] = {
    [sym__expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(551),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(4032),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4536),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [552] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(552),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4678),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [553] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(553),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4829),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [554] = {
    [sym__expression] = STATE(1206),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(554),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(582),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(1815),
    [sym_binded_identifier] = STATE(1187),
    [sym_expression_list] = STATE(1858),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [555] = {
    [sym__expression] = STATE(1206),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(555),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(582),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(1815),
    [sym_binded_identifier] = STATE(1187),
    [sym_expression_list] = STATE(1850),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [556] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(556),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4849),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [557] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(557),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4789),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [558] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(558),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4869),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [559] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(559),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4829),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [560] = {
    [sym__expression] = STATE(2354),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(560),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(4583),
    [sym_binded_identifier] = STATE(2241),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym__definite_range] = STATE(4806),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [561] = {
    [sym_comment] = STATE(561),
    [sym_identifier] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_CARET] = ACTIONS(1040),
    [anon_sym_STAR] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_LT_DASH] = ACTIONS(1038),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1040),
    [anon_sym_LT_LT] = ACTIONS(1040),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1040),
    [anon_sym_AMP_CARET] = ACTIONS(1040),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_BANGin] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_or] = ACTIONS(1040),
    [sym_none] = ACTIONS(1040),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [anon_sym_COLON] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_map_LBRACK] = ACTIONS(1038),
    [anon_sym_chan] = ACTIONS(1040),
    [anon_sym_shared] = ACTIONS(1040),
    [anon_sym_thread] = ACTIONS(1040),
    [sym_int_literal] = ACTIONS(1040),
    [sym_float_literal] = ACTIONS(1038),
    [sym_rune_literal] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_array] = ACTIONS(1040),
    [anon_sym_string] = ACTIONS(1040),
    [anon_sym_char] = ACTIONS(1040),
    [anon_sym_sql] = ACTIONS(1040),
    [anon_sym_mut] = ACTIONS(1040),
    [anon_sym_C] = ACTIONS(1040),
    [anon_sym_JS] = ACTIONS(1040),
    [anon_sym_voidptr] = ACTIONS(1040),
    [anon_sym_byteptr] = ACTIONS(1040),
    [anon_sym_charptr] = ACTIONS(1040),
    [anon_sym_i8] = ACTIONS(1040),
    [anon_sym_i16] = ACTIONS(1040),
    [anon_sym_i32] = ACTIONS(1040),
    [anon_sym_int] = ACTIONS(1040),
    [anon_sym_i64] = ACTIONS(1040),
    [anon_sym_byte] = ACTIONS(1040),
    [anon_sym_u8] = ACTIONS(1040),
    [anon_sym_u16] = ACTIONS(1040),
    [anon_sym_u32] = ACTIONS(1040),
    [anon_sym_u64] = ACTIONS(1040),
    [anon_sym_f32] = ACTIONS(1040),
    [anon_sym_f64] = ACTIONS(1040),
    [anon_sym_bool] = ACTIONS(1040),
    [anon_sym_rune] = ACTIONS(1040),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_mapnode] = ACTIONS(1040),
    [anon_sym_size_t] = ACTIONS(1040),
    [anon_sym_usize] = ACTIONS(1040),
    [anon_sym_isize] = ACTIONS(1040),
    [anon_sym_float_literal] = ACTIONS(1040),
    [anon_sym_int_literal] = ACTIONS(1040),
    [anon_sym_IError] = ACTIONS(1040),
    [sym_type_placeholder] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [sym_type_identifier] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [anon_sym_COLON_EQ] = ACTIONS(1038),
    [anon_sym_STAR_EQ] = ACTIONS(1038),
    [anon_sym_SLASH_EQ] = ACTIONS(1038),
    [anon_sym_PERCENT_EQ] = ACTIONS(1038),
    [anon_sym_LT_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT_GT_EQ] = ACTIONS(1038),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1038),
    [anon_sym_AMP_EQ] = ACTIONS(1038),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1038),
    [anon_sym_PLUS_EQ] = ACTIONS(1038),
    [anon_sym_DASH_EQ] = ACTIONS(1038),
    [anon_sym_PIPE_EQ] = ACTIONS(1038),
    [anon_sym_CARET_EQ] = ACTIONS(1038),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_assert] = ACTIONS(1040),
    [anon_sym_defer] = ACTIONS(1040),
    [anon_sym_unsafe] = ACTIONS(1040),
    [anon_sym_fn] = ACTIONS(1040),
    [anon_sym_asm] = ACTIONS(1040),
    [anon_sym_break] = ACTIONS(1040),
    [anon_sym_continue] = ACTIONS(1040),
    [anon_sym_return] = ACTIONS(1040),
    [anon_sym_go] = ACTIONS(1040),
    [anon_sym_spawn] = ACTIONS(1040),
    [anon_sym_goto] = ACTIONS(1040),
    [anon_sym_for] = ACTIONS(1040),
    [anon_sym_DOLLARfor] = ACTIONS(1038),
    [anon_sym_DOLLARif] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_is] = ACTIONS(1040),
    [anon_sym_BANGis] = ACTIONS(1038),
    [anon_sym_POUND] = ACTIONS(1038),
    [anon_sym_match] = ACTIONS(1040),
    [anon_sym_select] = ACTIONS(1040),
    [anon_sym_lock] = ACTIONS(1040),
    [anon_sym_rlock] = ACTIONS(1040),
    [sym__automatic_separator] = ACTIONS(1038),
    [sym__c_string_opening] = ACTIONS(1038),
    [sym__raw_string_opening] = ACTIONS(1038),
    [sym__string_opening] = ACTIONS(1038),
    [sym__comment] = ACTIONS(3),
  },
  [562] = {
    [sym_comment] = STATE(562),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_CARET] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1054),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1052),
    [anon_sym_SLASH] = ACTIONS(1054),
    [anon_sym_PERCENT] = ACTIONS(1054),
    [anon_sym_LT_LT] = ACTIONS(1054),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_GT_GT_GT] = ACTIONS(1054),
    [anon_sym_AMP_CARET] = ACTIONS(1054),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1052),
    [anon_sym_BANG_EQ] = ACTIONS(1052),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1052),
    [anon_sym_in] = ACTIONS(1054),
    [anon_sym_BANGin] = ACTIONS(1052),
    [anon_sym_AMP_AMP] = ACTIONS(1052),
    [anon_sym_PIPE_PIPE] = ACTIONS(1052),
    [anon_sym_as] = ACTIONS(1054),
    [anon_sym_COMMA] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1054),
    [anon_sym_QMARK] = ACTIONS(1052),
    [anon_sym_or] = ACTIONS(1054),
    [sym_none] = ACTIONS(1054),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [anon_sym_COLON] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_map_LBRACK] = ACTIONS(1052),
    [anon_sym_chan] = ACTIONS(1054),
    [anon_sym_shared] = ACTIONS(1054),
    [anon_sym_thread] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(1054),
    [sym_float_literal] = ACTIONS(1052),
    [sym_rune_literal] = ACTIONS(1052),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_array] = ACTIONS(1054),
    [anon_sym_string] = ACTIONS(1054),
    [anon_sym_char] = ACTIONS(1054),
    [anon_sym_sql] = ACTIONS(1054),
    [anon_sym_mut] = ACTIONS(1054),
    [anon_sym_C] = ACTIONS(1054),
    [anon_sym_JS] = ACTIONS(1054),
    [anon_sym_voidptr] = ACTIONS(1054),
    [anon_sym_byteptr] = ACTIONS(1054),
    [anon_sym_charptr] = ACTIONS(1054),
    [anon_sym_i8] = ACTIONS(1054),
    [anon_sym_i16] = ACTIONS(1054),
    [anon_sym_i32] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_i64] = ACTIONS(1054),
    [anon_sym_byte] = ACTIONS(1054),
    [anon_sym_u8] = ACTIONS(1054),
    [anon_sym_u16] = ACTIONS(1054),
    [anon_sym_u32] = ACTIONS(1054),
    [anon_sym_u64] = ACTIONS(1054),
    [anon_sym_f32] = ACTIONS(1054),
    [anon_sym_f64] = ACTIONS(1054),
    [anon_sym_bool] = ACTIONS(1054),
    [anon_sym_rune] = ACTIONS(1054),
    [anon_sym_map] = ACTIONS(1054),
    [anon_sym_mapnode] = ACTIONS(1054),
    [anon_sym_size_t] = ACTIONS(1054),
    [anon_sym_usize] = ACTIONS(1054),
    [anon_sym_isize] = ACTIONS(1054),
    [anon_sym_float_literal] = ACTIONS(1054),
    [anon_sym_int_literal] = ACTIONS(1054),
    [anon_sym_IError] = ACTIONS(1054),
    [sym_type_placeholder] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1054),
    [sym_type_identifier] = ACTIONS(1054),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_COLON_EQ] = ACTIONS(1052),
    [anon_sym_STAR_EQ] = ACTIONS(1052),
    [anon_sym_SLASH_EQ] = ACTIONS(1052),
    [anon_sym_PERCENT_EQ] = ACTIONS(1052),
    [anon_sym_LT_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT_GT_EQ] = ACTIONS(1052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1052),
    [anon_sym_AMP_EQ] = ACTIONS(1052),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1052),
    [anon_sym_PLUS_EQ] = ACTIONS(1052),
    [anon_sym_DASH_EQ] = ACTIONS(1052),
    [anon_sym_PIPE_EQ] = ACTIONS(1052),
    [anon_sym_CARET_EQ] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(1054),
    [anon_sym_assert] = ACTIONS(1054),
    [anon_sym_defer] = ACTIONS(1054),
    [anon_sym_unsafe] = ACTIONS(1054),
    [anon_sym_fn] = ACTIONS(1054),
    [anon_sym_asm] = ACTIONS(1054),
    [anon_sym_break] = ACTIONS(1054),
    [anon_sym_continue] = ACTIONS(1054),
    [anon_sym_return] = ACTIONS(1054),
    [anon_sym_go] = ACTIONS(1054),
    [anon_sym_spawn] = ACTIONS(1054),
    [anon_sym_goto] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1054),
    [anon_sym_DOLLARfor] = ACTIONS(1052),
    [anon_sym_DOLLARif] = ACTIONS(1052),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_is] = ACTIONS(1054),
    [anon_sym_BANGis] = ACTIONS(1052),
    [anon_sym_POUND] = ACTIONS(1052),
    [anon_sym_match] = ACTIONS(1054),
    [anon_sym_select] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_rlock] = ACTIONS(1054),
    [sym__automatic_separator] = ACTIONS(1052),
    [sym__c_string_opening] = ACTIONS(1052),
    [sym__raw_string_opening] = ACTIONS(1052),
    [sym__string_opening] = ACTIONS(1052),
    [sym__comment] = ACTIONS(3),
  },
  [563] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(563),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4689),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [564] = {
    [sym__expression] = STATE(3448),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(564),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [565] = {
    [sym__expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(565),
    [sym_type_initializer] = STATE(2681),
    [sym_element] = STATE(4611),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [566] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(566),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4734),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [567] = {
    [sym_comment] = STATE(567),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_LT_DASH] = ACTIONS(1056),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_GT_GT_GT] = ACTIONS(1058),
    [anon_sym_AMP_CARET] = ACTIONS(1058),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_in] = ACTIONS(1058),
    [anon_sym_BANGin] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_as] = ACTIONS(1058),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_or] = ACTIONS(1058),
    [sym_none] = ACTIONS(1058),
    [sym_true] = ACTIONS(1058),
    [sym_false] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_COLON] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_map_LBRACK] = ACTIONS(1056),
    [anon_sym_chan] = ACTIONS(1058),
    [anon_sym_shared] = ACTIONS(1058),
    [anon_sym_thread] = ACTIONS(1058),
    [sym_int_literal] = ACTIONS(1058),
    [sym_float_literal] = ACTIONS(1056),
    [sym_rune_literal] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1058),
    [anon_sym_array] = ACTIONS(1058),
    [anon_sym_string] = ACTIONS(1058),
    [anon_sym_char] = ACTIONS(1058),
    [anon_sym_sql] = ACTIONS(1058),
    [anon_sym_mut] = ACTIONS(1058),
    [anon_sym_C] = ACTIONS(1058),
    [anon_sym_JS] = ACTIONS(1058),
    [anon_sym_voidptr] = ACTIONS(1058),
    [anon_sym_byteptr] = ACTIONS(1058),
    [anon_sym_charptr] = ACTIONS(1058),
    [anon_sym_i8] = ACTIONS(1058),
    [anon_sym_i16] = ACTIONS(1058),
    [anon_sym_i32] = ACTIONS(1058),
    [anon_sym_int] = ACTIONS(1058),
    [anon_sym_i64] = ACTIONS(1058),
    [anon_sym_byte] = ACTIONS(1058),
    [anon_sym_u8] = ACTIONS(1058),
    [anon_sym_u16] = ACTIONS(1058),
    [anon_sym_u32] = ACTIONS(1058),
    [anon_sym_u64] = ACTIONS(1058),
    [anon_sym_f32] = ACTIONS(1058),
    [anon_sym_f64] = ACTIONS(1058),
    [anon_sym_bool] = ACTIONS(1058),
    [anon_sym_rune] = ACTIONS(1058),
    [anon_sym_map] = ACTIONS(1058),
    [anon_sym_mapnode] = ACTIONS(1058),
    [anon_sym_size_t] = ACTIONS(1058),
    [anon_sym_usize] = ACTIONS(1058),
    [anon_sym_isize] = ACTIONS(1058),
    [anon_sym_float_literal] = ACTIONS(1058),
    [anon_sym_int_literal] = ACTIONS(1058),
    [anon_sym_IError] = ACTIONS(1058),
    [sym_type_placeholder] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1058),
    [sym_type_identifier] = ACTIONS(1058),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_COLON_EQ] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_assert] = ACTIONS(1058),
    [anon_sym_defer] = ACTIONS(1058),
    [anon_sym_unsafe] = ACTIONS(1058),
    [anon_sym_fn] = ACTIONS(1058),
    [anon_sym_asm] = ACTIONS(1058),
    [anon_sym_break] = ACTIONS(1058),
    [anon_sym_continue] = ACTIONS(1058),
    [anon_sym_return] = ACTIONS(1058),
    [anon_sym_go] = ACTIONS(1058),
    [anon_sym_spawn] = ACTIONS(1058),
    [anon_sym_goto] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1058),
    [anon_sym_DOLLARfor] = ACTIONS(1056),
    [anon_sym_DOLLARif] = ACTIONS(1056),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_is] = ACTIONS(1058),
    [anon_sym_BANGis] = ACTIONS(1056),
    [anon_sym_POUND] = ACTIONS(1056),
    [anon_sym_match] = ACTIONS(1058),
    [anon_sym_select] = ACTIONS(1058),
    [anon_sym_lock] = ACTIONS(1058),
    [anon_sym_rlock] = ACTIONS(1058),
    [sym__automatic_separator] = ACTIONS(1056),
    [sym__c_string_opening] = ACTIONS(1056),
    [sym__raw_string_opening] = ACTIONS(1056),
    [sym__string_opening] = ACTIONS(1056),
    [sym__comment] = ACTIONS(3),
  },
  [568] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(568),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4466),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [569] = {
    [sym_comment] = STATE(569),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_CARET] = ACTIONS(1044),
    [anon_sym_STAR] = ACTIONS(1044),
    [anon_sym_AMP] = ACTIONS(1044),
    [anon_sym_LT_DASH] = ACTIONS(1042),
    [anon_sym_SLASH] = ACTIONS(1044),
    [anon_sym_PERCENT] = ACTIONS(1044),
    [anon_sym_LT_LT] = ACTIONS(1044),
    [anon_sym_GT_GT] = ACTIONS(1044),
    [anon_sym_GT_GT_GT] = ACTIONS(1044),
    [anon_sym_AMP_CARET] = ACTIONS(1044),
    [anon_sym_PIPE] = ACTIONS(1044),
    [anon_sym_EQ_EQ] = ACTIONS(1042),
    [anon_sym_BANG_EQ] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1044),
    [anon_sym_LT_EQ] = ACTIONS(1042),
    [anon_sym_GT] = ACTIONS(1044),
    [anon_sym_GT_EQ] = ACTIONS(1042),
    [anon_sym_in] = ACTIONS(1044),
    [anon_sym_BANGin] = ACTIONS(1042),
    [anon_sym_AMP_AMP] = ACTIONS(1042),
    [anon_sym_PIPE_PIPE] = ACTIONS(1042),
    [anon_sym_as] = ACTIONS(1044),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(1042),
    [anon_sym_or] = ACTIONS(1044),
    [sym_none] = ACTIONS(1044),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [anon_sym_COLON] = ACTIONS(1044),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_map_LBRACK] = ACTIONS(1042),
    [anon_sym_chan] = ACTIONS(1044),
    [anon_sym_shared] = ACTIONS(1044),
    [anon_sym_thread] = ACTIONS(1044),
    [sym_int_literal] = ACTIONS(1044),
    [sym_float_literal] = ACTIONS(1042),
    [sym_rune_literal] = ACTIONS(1042),
    [anon_sym_DOT] = ACTIONS(1044),
    [anon_sym_array] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_char] = ACTIONS(1044),
    [anon_sym_sql] = ACTIONS(1044),
    [anon_sym_mut] = ACTIONS(1044),
    [anon_sym_C] = ACTIONS(1044),
    [anon_sym_JS] = ACTIONS(1044),
    [anon_sym_voidptr] = ACTIONS(1044),
    [anon_sym_byteptr] = ACTIONS(1044),
    [anon_sym_charptr] = ACTIONS(1044),
    [anon_sym_i8] = ACTIONS(1044),
    [anon_sym_i16] = ACTIONS(1044),
    [anon_sym_i32] = ACTIONS(1044),
    [anon_sym_int] = ACTIONS(1044),
    [anon_sym_i64] = ACTIONS(1044),
    [anon_sym_byte] = ACTIONS(1044),
    [anon_sym_u8] = ACTIONS(1044),
    [anon_sym_u16] = ACTIONS(1044),
    [anon_sym_u32] = ACTIONS(1044),
    [anon_sym_u64] = ACTIONS(1044),
    [anon_sym_f32] = ACTIONS(1044),
    [anon_sym_f64] = ACTIONS(1044),
    [anon_sym_bool] = ACTIONS(1044),
    [anon_sym_rune] = ACTIONS(1044),
    [anon_sym_map] = ACTIONS(1044),
    [anon_sym_mapnode] = ACTIONS(1044),
    [anon_sym_size_t] = ACTIONS(1044),
    [anon_sym_usize] = ACTIONS(1044),
    [anon_sym_isize] = ACTIONS(1044),
    [anon_sym_float_literal] = ACTIONS(1044),
    [anon_sym_int_literal] = ACTIONS(1044),
    [anon_sym_IError] = ACTIONS(1044),
    [sym_type_placeholder] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [sym_type_identifier] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1042),
    [anon_sym_COLON_EQ] = ACTIONS(1042),
    [anon_sym_STAR_EQ] = ACTIONS(1042),
    [anon_sym_SLASH_EQ] = ACTIONS(1042),
    [anon_sym_PERCENT_EQ] = ACTIONS(1042),
    [anon_sym_LT_LT_EQ] = ACTIONS(1042),
    [anon_sym_GT_GT_EQ] = ACTIONS(1042),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1042),
    [anon_sym_AMP_EQ] = ACTIONS(1042),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1042),
    [anon_sym_PLUS_EQ] = ACTIONS(1042),
    [anon_sym_DASH_EQ] = ACTIONS(1042),
    [anon_sym_PIPE_EQ] = ACTIONS(1042),
    [anon_sym_CARET_EQ] = ACTIONS(1042),
    [anon_sym_EQ] = ACTIONS(1044),
    [anon_sym_assert] = ACTIONS(1044),
    [anon_sym_defer] = ACTIONS(1044),
    [anon_sym_unsafe] = ACTIONS(1044),
    [anon_sym_fn] = ACTIONS(1044),
    [anon_sym_asm] = ACTIONS(1044),
    [anon_sym_break] = ACTIONS(1044),
    [anon_sym_continue] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1044),
    [anon_sym_go] = ACTIONS(1044),
    [anon_sym_spawn] = ACTIONS(1044),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_for] = ACTIONS(1044),
    [anon_sym_DOLLARfor] = ACTIONS(1042),
    [anon_sym_DOLLARif] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1044),
    [anon_sym_is] = ACTIONS(1044),
    [anon_sym_BANGis] = ACTIONS(1042),
    [anon_sym_POUND] = ACTIONS(1042),
    [anon_sym_match] = ACTIONS(1044),
    [anon_sym_select] = ACTIONS(1044),
    [anon_sym_lock] = ACTIONS(1044),
    [anon_sym_rlock] = ACTIONS(1044),
    [sym__automatic_separator] = ACTIONS(1042),
    [sym__c_string_opening] = ACTIONS(1042),
    [sym__raw_string_opening] = ACTIONS(1042),
    [sym__string_opening] = ACTIONS(1042),
    [sym__comment] = ACTIONS(3),
  },
  [570] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(570),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4470),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [571] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(571),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4689),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [572] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(572),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4668),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [573] = {
    [sym__expression] = STATE(3442),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(573),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_RBRACK] = ACTIONS(2780),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [574] = {
    [sym__expression] = STATE(3233),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(574),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3868),
    [sym_binded_identifier] = STATE(2891),
    [sym_expression_list] = STATE(4641),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [575] = {
    [sym_comment] = STATE(575),
    [sym_argument_list] = STATE(448),
    [sym_type_parameters] = STATE(4525),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [576] = {
    [sym__expression] = STATE(3426),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(576),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [577] = {
    [sym__expression] = STATE(3020),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(577),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2547),
    [sym_expression_list] = STATE(4470),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [578] = {
    [sym__expression] = STATE(3020),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(578),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3648),
    [sym_binded_identifier] = STATE(2547),
    [sym_expression_list] = STATE(4466),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [579] = {
    [sym__expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(579),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym__definite_range] = STATE(4748),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [580] = {
    [sym__expression] = STATE(275),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(580),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(4410),
    [sym_binded_identifier] = STATE(111),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_sql_expression] = STATE(283),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_type_selector_expression] = STATE(172),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_fn] = ACTIONS(642),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [581] = {
    [sym__expression] = STATE(3420),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(581),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(3004),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2631),
    [sym_index_expression] = STATE(3011),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2792),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [582] = {
    [sym__expression] = STATE(1310),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(582),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1268),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1178),
    [sym_index_expression] = STATE(1313),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [583] = {
    [sym__expression] = STATE(3219),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(583),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3247),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2892),
    [sym_index_expression] = STATE(3241),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2804),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [584] = {
    [sym__expression] = STATE(2283),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(584),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4217),
    [sym_array_type] = STATE(4217),
    [sym_pointer_type] = STATE(4217),
    [sym_map_type] = STATE(4217),
    [sym_channel_type] = STATE(4217),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(4583),
    [sym_binded_identifier] = STATE(2241),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4217),
    [sym__binded_type] = STATE(4217),
    [sym_generic_type] = STATE(4217),
    [sym_qualified_type] = STATE(3817),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2810),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(2812),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [585] = {
    [sym__expression] = STATE(2283),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(585),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(4583),
    [sym_binded_identifier] = STATE(2241),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [586] = {
    [sym__expression] = STATE(2420),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(586),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4053),
    [sym_array_type] = STATE(4053),
    [sym_pointer_type] = STATE(4053),
    [sym_map_type] = STATE(4053),
    [sym_channel_type] = STATE(4053),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2436),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4053),
    [sym__binded_type] = STATE(4053),
    [sym_generic_type] = STATE(4053),
    [sym_qualified_type] = STATE(3815),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2308),
    [sym_index_expression] = STATE(2436),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2844),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [587] = {
    [sym__expression] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(587),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4058),
    [sym_array_type] = STATE(4058),
    [sym_pointer_type] = STATE(4058),
    [sym_map_type] = STATE(4058),
    [sym_channel_type] = STATE(4058),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4058),
    [sym__binded_type] = STATE(4058),
    [sym_generic_type] = STATE(4058),
    [sym_qualified_type] = STATE(3846),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(2868),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [588] = {
    [sym__expression] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(588),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [589] = {
    [sym__expression] = STATE(2420),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(589),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2436),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2308),
    [sym_index_expression] = STATE(2436),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [590] = {
    [sym__expression] = STATE(3367),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(590),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [591] = {
    [sym__expression] = STATE(3319),
    [sym_parenthesized_expression] = STATE(3309),
    [sym_unary_expression] = STATE(3309),
    [sym_binary_expression] = STATE(3309),
    [sym_as_type_cast_expression] = STATE(3309),
    [sym_type_cast_expression] = STATE(3309),
    [sym_call_expression] = STATE(3309),
    [sym_special_call_expression] = STATE(3309),
    [sym_comptime_identifier] = STATE(3801),
    [sym_comptime_selector_expression] = STATE(3986),
    [sym__expression_with_blocks] = STATE(3309),
    [sym__single_line_expression] = STATE(3309),
    [sym_comment] = STATE(591),
    [sym_type_initializer] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym_array] = STATE(3309),
    [sym_fixed_array] = STATE(3309),
    [sym_fixed_array_type] = STATE(4041),
    [sym_array_type] = STATE(4041),
    [sym_pointer_type] = STATE(4041),
    [sym_map_type] = STATE(4041),
    [sym_channel_type] = STATE(4041),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3309),
    [sym_raw_string_literal] = STATE(3309),
    [sym_interpreted_string_literal] = STATE(3309),
    [sym__reserved_identifier] = STATE(3309),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4557),
    [sym__mutable_expression_2] = STATE(4557),
    [sym_mutable_expression] = STATE(4557),
    [sym_binded_identifier] = STATE(2914),
    [sym_empty_literal_value] = STATE(3309),
    [sym__simple_type] = STATE(5004),
    [sym_builtin_type] = STATE(4041),
    [sym__binded_type] = STATE(4041),
    [sym_generic_type] = STATE(4041),
    [sym_qualified_type] = STATE(3799),
    [sym_pseudo_comptime_identifier] = STATE(3373),
    [sym_unsafe_expression] = STATE(3314),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3309),
    [sym_sql_expression] = STATE(3314),
    [sym_selector_expression] = STATE(2926),
    [sym_index_expression] = STATE(3309),
    [sym_slice_expression] = STATE(3309),
    [sym_comptime_if_expression] = STATE(3314),
    [sym_if_expression] = STATE(3314),
    [sym_is_expression] = STATE(3309),
    [sym_type_selector_expression] = STATE(3373),
    [sym_match_expression] = STATE(3314),
    [sym_select_expression] = STATE(3314),
    [sym_lock_expression] = STATE(3314),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2888),
    [sym_float_literal] = ACTIONS(2890),
    [sym_rune_literal] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_array] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_char] = ACTIONS(2894),
    [anon_sym_sql] = ACTIONS(2896),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2898),
    [anon_sym_JS] = ACTIONS(2898),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [sym_type_identifier] = ACTIONS(2904),
    [anon_sym_unsafe] = ACTIONS(2906),
    [anon_sym_fn] = ACTIONS(2908),
    [anon_sym_DOLLARif] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2914),
    [anon_sym_select] = ACTIONS(2916),
    [anon_sym_lock] = ACTIONS(2918),
    [anon_sym_rlock] = ACTIONS(2918),
    [sym__c_string_opening] = ACTIONS(2920),
    [sym__raw_string_opening] = ACTIONS(2922),
    [sym__string_opening] = ACTIONS(2924),
    [sym__comment] = ACTIONS(3),
  },
  [592] = {
    [sym__expression] = STATE(3319),
    [sym_parenthesized_expression] = STATE(3309),
    [sym_unary_expression] = STATE(3309),
    [sym_binary_expression] = STATE(3309),
    [sym_as_type_cast_expression] = STATE(3309),
    [sym_type_cast_expression] = STATE(3309),
    [sym_call_expression] = STATE(3309),
    [sym_special_call_expression] = STATE(3309),
    [sym_comptime_identifier] = STATE(3801),
    [sym_comptime_selector_expression] = STATE(3986),
    [sym__expression_with_blocks] = STATE(3309),
    [sym__single_line_expression] = STATE(3309),
    [sym_comment] = STATE(592),
    [sym_type_initializer] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym_array] = STATE(3309),
    [sym_fixed_array] = STATE(3309),
    [sym_fixed_array_type] = STATE(4251),
    [sym_array_type] = STATE(4251),
    [sym_pointer_type] = STATE(4251),
    [sym_map_type] = STATE(4251),
    [sym_channel_type] = STATE(4251),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3309),
    [sym_raw_string_literal] = STATE(3309),
    [sym_interpreted_string_literal] = STATE(3309),
    [sym__reserved_identifier] = STATE(3309),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4557),
    [sym__mutable_expression_2] = STATE(4557),
    [sym_mutable_expression] = STATE(4557),
    [sym_binded_identifier] = STATE(2914),
    [sym_empty_literal_value] = STATE(3309),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4251),
    [sym__binded_type] = STATE(4251),
    [sym_generic_type] = STATE(4251),
    [sym_qualified_type] = STATE(3835),
    [sym_pseudo_comptime_identifier] = STATE(3373),
    [sym_unsafe_expression] = STATE(3314),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3309),
    [sym_sql_expression] = STATE(3314),
    [sym_selector_expression] = STATE(2926),
    [sym_index_expression] = STATE(3309),
    [sym_slice_expression] = STATE(3309),
    [sym_comptime_if_expression] = STATE(3314),
    [sym_if_expression] = STATE(3314),
    [sym_is_expression] = STATE(3309),
    [sym_type_selector_expression] = STATE(3373),
    [sym_match_expression] = STATE(3314),
    [sym_select_expression] = STATE(3314),
    [sym_lock_expression] = STATE(3314),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2888),
    [sym_float_literal] = ACTIONS(2890),
    [sym_rune_literal] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_array] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_char] = ACTIONS(2894),
    [anon_sym_sql] = ACTIONS(2896),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2898),
    [anon_sym_JS] = ACTIONS(2898),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2926),
    [anon_sym_AT] = ACTIONS(2902),
    [sym_type_identifier] = ACTIONS(2928),
    [anon_sym_unsafe] = ACTIONS(2906),
    [anon_sym_fn] = ACTIONS(2908),
    [anon_sym_DOLLARif] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2914),
    [anon_sym_select] = ACTIONS(2916),
    [anon_sym_lock] = ACTIONS(2918),
    [anon_sym_rlock] = ACTIONS(2918),
    [sym__c_string_opening] = ACTIONS(2920),
    [sym__raw_string_opening] = ACTIONS(2922),
    [sym__string_opening] = ACTIONS(2924),
    [sym__comment] = ACTIONS(3),
  },
  [593] = {
    [sym__expression] = STATE(1249),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(593),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [594] = {
    [sym__expression] = STATE(3404),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(594),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [595] = {
    [sym__expression] = STATE(3450),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(595),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(3435),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2631),
    [sym_index_expression] = STATE(3011),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2938),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [596] = {
    [sym__expression] = STATE(1249),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(596),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4176),
    [sym_array_type] = STATE(4176),
    [sym_pointer_type] = STATE(4176),
    [sym_map_type] = STATE(4176),
    [sym_channel_type] = STATE(4176),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4176),
    [sym__binded_type] = STATE(4176),
    [sym_generic_type] = STATE(4176),
    [sym_qualified_type] = STATE(3784),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2940),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(2942),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [597] = {
    [sym__expression] = STATE(3227),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(597),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [598] = {
    [sym__expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(598),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4362),
    [sym_array_type] = STATE(4362),
    [sym_pointer_type] = STATE(4362),
    [sym_map_type] = STATE(4362),
    [sym_channel_type] = STATE(4362),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4362),
    [sym__binded_type] = STATE(4362),
    [sym_generic_type] = STATE(4362),
    [sym_qualified_type] = STATE(3847),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(2952),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [599] = {
    [sym__expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(599),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [600] = {
    [sym__expression] = STATE(3227),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(600),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3793),
    [sym_array_type] = STATE(3793),
    [sym_pointer_type] = STATE(3793),
    [sym_map_type] = STATE(3793),
    [sym_channel_type] = STATE(3793),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2900),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(3793),
    [sym__binded_type] = STATE(3793),
    [sym_generic_type] = STATE(3793),
    [sym_qualified_type] = STATE(3641),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_char] = ACTIONS(1662),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2960),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [601] = {
    [sym__expression] = STATE(1393),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(601),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4049),
    [sym_array_type] = STATE(4049),
    [sym_pointer_type] = STATE(4049),
    [sym_map_type] = STATE(4049),
    [sym_channel_type] = STATE(4049),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(5010),
    [sym_builtin_type] = STATE(4049),
    [sym__binded_type] = STATE(4049),
    [sym_generic_type] = STATE(4049),
    [sym_qualified_type] = STATE(3812),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(2992),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [602] = {
    [sym__expression] = STATE(3227),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(602),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3793),
    [sym_array_type] = STATE(3793),
    [sym_pointer_type] = STATE(3793),
    [sym_map_type] = STATE(3793),
    [sym_channel_type] = STATE(3793),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(3793),
    [sym__binded_type] = STATE(3793),
    [sym_generic_type] = STATE(3793),
    [sym_qualified_type] = STATE(3641),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2960),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [603] = {
    [sym__expression] = STATE(1474),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(603),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4049),
    [sym_array_type] = STATE(4049),
    [sym_pointer_type] = STATE(4049),
    [sym_map_type] = STATE(4049),
    [sym_channel_type] = STATE(4049),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(5010),
    [sym_builtin_type] = STATE(4049),
    [sym__binded_type] = STATE(4049),
    [sym_generic_type] = STATE(4049),
    [sym_qualified_type] = STATE(3812),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(2992),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [604] = {
    [sym__expression] = STATE(3041),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(604),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [605] = {
    [sym__expression] = STATE(1393),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(605),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4224),
    [sym_array_type] = STATE(4224),
    [sym_pointer_type] = STATE(4224),
    [sym_map_type] = STATE(4224),
    [sym_channel_type] = STATE(4224),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4224),
    [sym__binded_type] = STATE(4224),
    [sym_generic_type] = STATE(4224),
    [sym_qualified_type] = STATE(3848),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(3016),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [606] = {
    [sym__expression] = STATE(1125),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(606),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [607] = {
    [sym__expression] = STATE(1128),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(607),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [608] = {
    [sym__expression] = STATE(3041),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(608),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_char] = ACTIONS(3020),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [609] = {
    [sym__expression] = STATE(3041),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(609),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [610] = {
    [sym__expression] = STATE(2843),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(610),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [611] = {
    [sym__expression] = STATE(3041),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(611),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2895),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [612] = {
    [sym__expression] = STATE(2687),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(612),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [613] = {
    [sym__expression] = STATE(2843),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(613),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4320),
    [sym_array_type] = STATE(4320),
    [sym_pointer_type] = STATE(4320),
    [sym_map_type] = STATE(4320),
    [sym_channel_type] = STATE(4320),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4320),
    [sym__binded_type] = STATE(4320),
    [sym_generic_type] = STATE(4320),
    [sym_qualified_type] = STATE(3814),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3128),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [614] = {
    [sym__expression] = STATE(3259),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(614),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [615] = {
    [sym__expression] = STATE(3041),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(615),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(3951),
    [sym_array_type] = STATE(3951),
    [sym_pointer_type] = STATE(3951),
    [sym_map_type] = STATE(3951),
    [sym_channel_type] = STATE(3951),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(3951),
    [sym__binded_type] = STATE(3951),
    [sym_generic_type] = STATE(3951),
    [sym_qualified_type] = STATE(3698),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_char] = ACTIONS(3020),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [616] = {
    [sym__expression] = STATE(2687),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(616),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4321),
    [sym_array_type] = STATE(4321),
    [sym_pointer_type] = STATE(4321),
    [sym_map_type] = STATE(4321),
    [sym_channel_type] = STATE(4321),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4321),
    [sym__binded_type] = STATE(4321),
    [sym_generic_type] = STATE(4321),
    [sym_qualified_type] = STATE(3838),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3132),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [617] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(617),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2931),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [618] = {
    [sym__expression] = STATE(3443),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(618),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [619] = {
    [sym__expression] = STATE(3222),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(619),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [620] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(620),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2948),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [621] = {
    [sym__expression] = STATE(2434),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(621),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2502),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2338),
    [sym_index_expression] = STATE(2422),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [622] = {
    [sym__expression] = STATE(3403),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(622),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [623] = {
    [sym__expression] = STATE(3412),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(623),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [624] = {
    [sym__expression] = STATE(1793),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(624),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4163),
    [sym_array_type] = STATE(4163),
    [sym_pointer_type] = STATE(4163),
    [sym_map_type] = STATE(4163),
    [sym_channel_type] = STATE(4163),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4163),
    [sym__binded_type] = STATE(4163),
    [sym_generic_type] = STATE(4163),
    [sym_qualified_type] = STATE(3791),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(3138),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [625] = {
    [sym__expression] = STATE(1793),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(625),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [626] = {
    [sym__expression] = STATE(2740),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(626),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [627] = {
    [sym__expression] = STATE(2739),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(627),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [628] = {
    [sym__expression] = STATE(2738),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(628),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [629] = {
    [sym__expression] = STATE(2696),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(629),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [630] = {
    [sym__expression] = STATE(2736),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(630),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [631] = {
    [sym__expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(631),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [632] = {
    [sym__expression] = STATE(3130),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(632),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(3004),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2631),
    [sym_index_expression] = STATE(3011),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2792),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [633] = {
    [sym__expression] = STATE(1249),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(633),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [634] = {
    [sym__expression] = STATE(1249),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(634),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4176),
    [sym_array_type] = STATE(4176),
    [sym_pointer_type] = STATE(4176),
    [sym_map_type] = STATE(4176),
    [sym_channel_type] = STATE(4176),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4176),
    [sym__binded_type] = STATE(4176),
    [sym_generic_type] = STATE(4176),
    [sym_qualified_type] = STATE(3784),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2940),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(2942),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [635] = {
    [sym__expression] = STATE(2843),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(635),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4469),
    [sym__mutable_expression_2] = STATE(4469),
    [sym_mutable_expression] = STATE(4469),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_LT_DASH] = ACTIONS(3140),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [636] = {
    [sym__expression] = STATE(2843),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(636),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4320),
    [sym_array_type] = STATE(4320),
    [sym_pointer_type] = STATE(4320),
    [sym_map_type] = STATE(4320),
    [sym_channel_type] = STATE(4320),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4469),
    [sym__mutable_expression_2] = STATE(4469),
    [sym_mutable_expression] = STATE(4469),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4320),
    [sym__binded_type] = STATE(4320),
    [sym_generic_type] = STATE(4320),
    [sym_qualified_type] = STATE(3814),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_LT_DASH] = ACTIONS(3140),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3128),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [637] = {
    [sym__expression] = STATE(3444),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(637),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [638] = {
    [sym__expression] = STATE(2435),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(638),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2436),
    [sym__mutable_prefix] = STATE(811),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(3459),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2308),
    [sym_index_expression] = STATE(2436),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [639] = {
    [sym__expression] = STATE(3269),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(639),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [640] = {
    [sym__expression] = STATE(1256),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(640),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(582),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(1825),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [641] = {
    [sym__expression] = STATE(272),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(641),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(4410),
    [sym_binded_identifier] = STATE(111),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_sql_expression] = STATE(283),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_type_selector_expression] = STATE(172),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_fn] = ACTIONS(642),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [642] = {
    [sym__expression] = STATE(277),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(642),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(4410),
    [sym_binded_identifier] = STATE(111),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_sql_expression] = STATE(283),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_type_selector_expression] = STATE(172),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_fn] = ACTIONS(642),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [643] = {
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(643),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(4410),
    [sym_binded_identifier] = STATE(111),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_sql_expression] = STATE(283),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_type_selector_expression] = STATE(172),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_fn] = ACTIONS(642),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [644] = {
    [sym__expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(644),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [645] = {
    [sym__expression] = STATE(261),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(645),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(4410),
    [sym_binded_identifier] = STATE(111),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_sql_expression] = STATE(283),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_type_selector_expression] = STATE(172),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_fn] = ACTIONS(642),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [646] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(646),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2951),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [647] = {
    [sym__expression] = STATE(3432),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(647),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [648] = {
    [sym__expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(648),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [649] = {
    [sym__expression] = STATE(2843),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(649),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [650] = {
    [sym__expression] = STATE(2843),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(650),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4320),
    [sym_array_type] = STATE(4320),
    [sym_pointer_type] = STATE(4320),
    [sym_map_type] = STATE(4320),
    [sym_channel_type] = STATE(4320),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4320),
    [sym__binded_type] = STATE(4320),
    [sym_generic_type] = STATE(4320),
    [sym_qualified_type] = STATE(3814),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3128),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [651] = {
    [sym__expression] = STATE(1101),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(651),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1100),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(987),
    [sym_index_expression] = STATE(1096),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [652] = {
    [sym__expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(652),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [653] = {
    [sym__expression] = STATE(3178),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(653),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [654] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(654),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2949),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [655] = {
    [sym__expression] = STATE(3411),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(655),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [656] = {
    [sym__expression] = STATE(965),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(656),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4077),
    [sym_array_type] = STATE(4077),
    [sym_pointer_type] = STATE(4077),
    [sym_map_type] = STATE(4077),
    [sym_channel_type] = STATE(4077),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(4632),
    [sym_binded_identifier] = STATE(575),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4077),
    [sym__binded_type] = STATE(4077),
    [sym_generic_type] = STATE(4077),
    [sym_qualified_type] = STATE(3809),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_sql_expression] = STATE(971),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(3164),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [657] = {
    [sym__expression] = STATE(965),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(657),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(4632),
    [sym_binded_identifier] = STATE(575),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_sql_expression] = STATE(971),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [658] = {
    [sym__expression] = STATE(3116),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(658),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_char] = ACTIONS(3020),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [659] = {
    [sym__expression] = STATE(3392),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(659),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [660] = {
    [sym__expression] = STATE(3117),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(660),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_char] = ACTIONS(3020),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [661] = {
    [sym__expression] = STATE(3429),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(661),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [662] = {
    [sym__expression] = STATE(3118),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(662),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_char] = ACTIONS(3020),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [663] = {
    [sym__expression] = STATE(3413),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(663),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [664] = {
    [sym__expression] = STATE(3264),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(664),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [665] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(665),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2962),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [666] = {
    [sym__expression] = STATE(3127),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(666),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_char] = ACTIONS(3020),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [667] = {
    [sym__expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(667),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_LT_DASH] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_char] = ACTIONS(3020),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(1742),
    [anon_sym_lock] = ACTIONS(1744),
    [anon_sym_rlock] = ACTIONS(1744),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [668] = {
    [sym__expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(668),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [669] = {
    [sym__expression] = STATE(3407),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(669),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [670] = {
    [sym__expression] = STATE(3333),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(670),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(847),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3635),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [671] = {
    [sym__expression] = STATE(3334),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(671),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [672] = {
    [sym__expression] = STATE(3336),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(672),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [673] = {
    [sym__expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(673),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [674] = {
    [sym__expression] = STATE(2864),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(674),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [675] = {
    [sym__expression] = STATE(3338),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(675),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [676] = {
    [sym__expression] = STATE(3431),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(676),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [677] = {
    [sym__expression] = STATE(3251),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(677),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [678] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(678),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2942),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [679] = {
    [sym__expression] = STATE(3408),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(679),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [680] = {
    [sym__expression] = STATE(3446),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(680),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [681] = {
    [sym__expression] = STATE(2979),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(681),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4469),
    [sym__mutable_expression_2] = STATE(4469),
    [sym_mutable_expression] = STATE(4469),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_LT_DASH] = ACTIONS(3140),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [682] = {
    [sym__expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(682),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [683] = {
    [sym__expression] = STATE(3200),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(683),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [684] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(684),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2959),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [685] = {
    [sym__expression] = STATE(3195),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(685),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [686] = {
    [sym__expression] = STATE(3199),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(686),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [687] = {
    [sym__expression] = STATE(3398),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(687),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [688] = {
    [sym__expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(688),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4049),
    [sym_array_type] = STATE(4049),
    [sym_pointer_type] = STATE(4049),
    [sym_map_type] = STATE(4049),
    [sym_channel_type] = STATE(4049),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(5010),
    [sym_builtin_type] = STATE(4049),
    [sym__binded_type] = STATE(4049),
    [sym_generic_type] = STATE(4049),
    [sym_qualified_type] = STATE(3812),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(2992),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [689] = {
    [sym__expression] = STATE(3202),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(689),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [690] = {
    [sym__expression] = STATE(3410),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(690),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [691] = {
    [sym__expression] = STATE(3387),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(691),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [692] = {
    [sym__expression] = STATE(3214),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(692),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [693] = {
    [sym__expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(693),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(651),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(1369),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [694] = {
    [sym__expression] = STATE(1327),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(694),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [695] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(695),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2966),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [696] = {
    [sym__expression] = STATE(3433),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(696),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [697] = {
    [sym__expression] = STATE(3415),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(697),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [698] = {
    [sym__expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(698),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [699] = {
    [sym__expression] = STATE(3280),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(699),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [700] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(700),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2927),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [701] = {
    [sym__expression] = STATE(3400),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(701),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [702] = {
    [sym__expression] = STATE(3424),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(702),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [703] = {
    [sym__expression] = STATE(3445),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(703),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [704] = {
    [sym__expression] = STATE(3235),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(704),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [705] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(705),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2955),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [706] = {
    [sym__expression] = STATE(3388),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(706),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [707] = {
    [sym__expression] = STATE(3427),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(707),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [708] = {
    [sym__expression] = STATE(3422),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(708),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [709] = {
    [sym__expression] = STATE(3175),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(709),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [710] = {
    [sym__expression] = STATE(3450),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(710),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(3004),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2631),
    [sym_index_expression] = STATE(3011),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2792),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [711] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(711),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2944),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [712] = {
    [sym__expression] = STATE(3416),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(712),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [713] = {
    [sym__expression] = STATE(1321),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(713),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [714] = {
    [sym__expression] = STATE(1320),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(714),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [715] = {
    [sym__expression] = STATE(1323),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(715),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [716] = {
    [sym__expression] = STATE(3418),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(716),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [717] = {
    [sym__expression] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(717),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4058),
    [sym_array_type] = STATE(4058),
    [sym_pointer_type] = STATE(4058),
    [sym_map_type] = STATE(4058),
    [sym_channel_type] = STATE(4058),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4058),
    [sym__binded_type] = STATE(4058),
    [sym_generic_type] = STATE(4058),
    [sym_qualified_type] = STATE(3846),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(2868),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [718] = {
    [sym__expression] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(718),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [719] = {
    [sym__expression] = STATE(3226),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(719),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [720] = {
    [sym__expression] = STATE(3239),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(720),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [721] = {
    [sym__expression] = STATE(3245),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(721),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [722] = {
    [sym__expression] = STATE(2778),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(722),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [723] = {
    [sym__expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(723),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4482),
    [sym__mutable_expression_2] = STATE(4482),
    [sym_mutable_expression] = STATE(4482),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_CARET] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_LT_DASH] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [724] = {
    [sym_comment] = STATE(724),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_COLON] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_LT2] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_COLON_EQ] = ACTIONS(1102),
    [anon_sym_STAR_EQ] = ACTIONS(1102),
    [anon_sym_SLASH_EQ] = ACTIONS(1102),
    [anon_sym_PERCENT_EQ] = ACTIONS(1102),
    [anon_sym_LT_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_AMP_EQ] = ACTIONS(1102),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1102),
    [anon_sym_PLUS_EQ] = ACTIONS(1102),
    [anon_sym_DASH_EQ] = ACTIONS(1102),
    [anon_sym_PIPE_EQ] = ACTIONS(1102),
    [anon_sym_CARET_EQ] = ACTIONS(1102),
    [anon_sym_EQ] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [725] = {
    [sym__expression] = STATE(3419),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(725),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [726] = {
    [sym__expression] = STATE(3215),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(726),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [727] = {
    [sym__expression] = STATE(3248),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(727),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [728] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(728),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2947),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [729] = {
    [sym__expression] = STATE(3439),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(729),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [730] = {
    [sym__expression] = STATE(3234),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(730),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [731] = {
    [sym__expression] = STATE(3228),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(731),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [732] = {
    [sym__expression] = STATE(3127),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(732),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [733] = {
    [sym__expression] = STATE(3209),
    [sym_parenthesized_expression] = STATE(3153),
    [sym_unary_expression] = STATE(3153),
    [sym_binary_expression] = STATE(3153),
    [sym_as_type_cast_expression] = STATE(3153),
    [sym_type_cast_expression] = STATE(3153),
    [sym_call_expression] = STATE(3153),
    [sym_special_call_expression] = STATE(3153),
    [sym_comptime_identifier] = STATE(3850),
    [sym_comptime_selector_expression] = STATE(3946),
    [sym__expression_with_blocks] = STATE(3153),
    [sym__single_line_expression] = STATE(3153),
    [sym_comment] = STATE(733),
    [sym_type_initializer] = STATE(3153),
    [sym_map] = STATE(3153),
    [sym_array] = STATE(3153),
    [sym_fixed_array] = STATE(3153),
    [sym_fixed_array_type] = STATE(4145),
    [sym_array_type] = STATE(4145),
    [sym_pointer_type] = STATE(4145),
    [sym_map_type] = STATE(4145),
    [sym_channel_type] = STATE(4145),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3153),
    [sym_raw_string_literal] = STATE(3153),
    [sym_interpreted_string_literal] = STATE(3153),
    [sym__reserved_identifier] = STATE(3153),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4495),
    [sym__mutable_expression_2] = STATE(4495),
    [sym_mutable_expression] = STATE(4495),
    [sym_binded_identifier] = STATE(2896),
    [sym_empty_literal_value] = STATE(3153),
    [sym__simple_type] = STATE(5012),
    [sym_builtin_type] = STATE(4145),
    [sym__binded_type] = STATE(4145),
    [sym_generic_type] = STATE(4145),
    [sym_qualified_type] = STATE(3851),
    [sym_pseudo_comptime_identifier] = STATE(3121),
    [sym_unsafe_expression] = STATE(3163),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3153),
    [sym_sql_expression] = STATE(3163),
    [sym_selector_expression] = STATE(2676),
    [sym_index_expression] = STATE(3153),
    [sym_slice_expression] = STATE(3153),
    [sym_comptime_if_expression] = STATE(3163),
    [sym_if_expression] = STATE(3163),
    [sym_is_expression] = STATE(3153),
    [sym_type_selector_expression] = STATE(3121),
    [sym_match_expression] = STATE(3163),
    [sym_select_expression] = STATE(3163),
    [sym_lock_expression] = STATE(3163),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1712),
    [sym_float_literal] = ACTIONS(1714),
    [sym_rune_literal] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1716),
    [anon_sym_array] = ACTIONS(1718),
    [anon_sym_string] = ACTIONS(1718),
    [anon_sym_char] = ACTIONS(1718),
    [anon_sym_sql] = ACTIONS(1720),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1722),
    [anon_sym_JS] = ACTIONS(1722),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(1726),
    [sym_type_identifier] = ACTIONS(2730),
    [anon_sym_unsafe] = ACTIONS(1730),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_DOLLARif] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_select] = ACTIONS(2732),
    [anon_sym_lock] = ACTIONS(2734),
    [anon_sym_rlock] = ACTIONS(2734),
    [sym__c_string_opening] = ACTIONS(1746),
    [sym__raw_string_opening] = ACTIONS(1748),
    [sym__string_opening] = ACTIONS(1750),
    [sym__comment] = ACTIONS(3),
  },
  [734] = {
    [sym_comment] = STATE(734),
    [sym_fixed_array_type] = STATE(1237),
    [sym_array_type] = STATE(1237),
    [sym_pointer_type] = STATE(1237),
    [sym_map_type] = STATE(1237),
    [sym_channel_type] = STATE(1237),
    [sym_shared_type] = STATE(1237),
    [sym_thread_type] = STATE(1237),
    [sym_binded_identifier] = STATE(1246),
    [sym_option_type] = STATE(1319),
    [sym_result_type] = STATE(1319),
    [sym_multi_return_type] = STATE(1319),
    [sym__simple_type] = STATE(1319),
    [sym_builtin_type] = STATE(1237),
    [sym__binded_type] = STATE(1237),
    [sym_generic_type] = STATE(1237),
    [sym_qualified_type] = STATE(1191),
    [sym_function_type] = STATE(1237),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_LT_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(644),
    [anon_sym_AMP_CARET] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(3174),
    [sym_none] = ACTIONS(650),
    [sym_true] = ACTIONS(650),
    [sym_false] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_RBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_map_LBRACK] = ACTIONS(3178),
    [anon_sym_chan] = ACTIONS(3180),
    [anon_sym_shared] = ACTIONS(3182),
    [anon_sym_thread] = ACTIONS(3184),
    [sym_int_literal] = ACTIONS(650),
    [sym_float_literal] = ACTIONS(644),
    [sym_rune_literal] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_char] = ACTIONS(3186),
    [anon_sym_sql] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(3188),
    [anon_sym_JS] = ACTIONS(3188),
    [anon_sym_voidptr] = ACTIONS(3186),
    [anon_sym_byteptr] = ACTIONS(3186),
    [anon_sym_charptr] = ACTIONS(3186),
    [anon_sym_i8] = ACTIONS(3186),
    [anon_sym_i16] = ACTIONS(3186),
    [anon_sym_i32] = ACTIONS(3186),
    [anon_sym_int] = ACTIONS(3186),
    [anon_sym_i64] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_u8] = ACTIONS(3186),
    [anon_sym_u16] = ACTIONS(3186),
    [anon_sym_u32] = ACTIONS(3186),
    [anon_sym_u64] = ACTIONS(3186),
    [anon_sym_f32] = ACTIONS(3186),
    [anon_sym_f64] = ACTIONS(3186),
    [anon_sym_bool] = ACTIONS(3186),
    [anon_sym_rune] = ACTIONS(3186),
    [anon_sym_map] = ACTIONS(3186),
    [anon_sym_mapnode] = ACTIONS(3186),
    [anon_sym_size_t] = ACTIONS(3186),
    [anon_sym_usize] = ACTIONS(3186),
    [anon_sym_isize] = ACTIONS(3186),
    [anon_sym_float_literal] = ACTIONS(3186),
    [anon_sym_int_literal] = ACTIONS(3186),
    [anon_sym_IError] = ACTIONS(3186),
    [sym_type_placeholder] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(650),
    [sym_type_identifier] = ACTIONS(3192),
    [anon_sym_assert] = ACTIONS(650),
    [anon_sym_defer] = ACTIONS(650),
    [anon_sym_unsafe] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(3194),
    [anon_sym_asm] = ACTIONS(650),
    [anon_sym_break] = ACTIONS(650),
    [anon_sym_continue] = ACTIONS(650),
    [anon_sym_return] = ACTIONS(650),
    [anon_sym_go] = ACTIONS(650),
    [anon_sym_spawn] = ACTIONS(650),
    [anon_sym_goto] = ACTIONS(650),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_DOLLARfor] = ACTIONS(644),
    [anon_sym_DOLLARif] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [anon_sym_POUND] = ACTIONS(644),
    [anon_sym_match] = ACTIONS(650),
    [anon_sym_select] = ACTIONS(650),
    [anon_sym_lock] = ACTIONS(650),
    [anon_sym_rlock] = ACTIONS(650),
    [sym__automatic_separator] = ACTIONS(644),
    [sym__c_string_opening] = ACTIONS(644),
    [sym__raw_string_opening] = ACTIONS(644),
    [sym__string_opening] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [735] = {
    [sym__expression] = STATE(1458),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(735),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4049),
    [sym_array_type] = STATE(4049),
    [sym_pointer_type] = STATE(4049),
    [sym_map_type] = STATE(4049),
    [sym_channel_type] = STATE(4049),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(5010),
    [sym_builtin_type] = STATE(4049),
    [sym__binded_type] = STATE(4049),
    [sym_generic_type] = STATE(4049),
    [sym_qualified_type] = STATE(3812),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(2992),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [736] = {
    [sym__expression] = STATE(1457),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(736),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4049),
    [sym_array_type] = STATE(4049),
    [sym_pointer_type] = STATE(4049),
    [sym_map_type] = STATE(4049),
    [sym_channel_type] = STATE(4049),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(5010),
    [sym_builtin_type] = STATE(4049),
    [sym__binded_type] = STATE(4049),
    [sym_generic_type] = STATE(4049),
    [sym_qualified_type] = STATE(3812),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(2992),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [737] = {
    [sym__expression] = STATE(1456),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(737),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4049),
    [sym_array_type] = STATE(4049),
    [sym_pointer_type] = STATE(4049),
    [sym_map_type] = STATE(4049),
    [sym_channel_type] = STATE(4049),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(5010),
    [sym_builtin_type] = STATE(4049),
    [sym__binded_type] = STATE(4049),
    [sym_generic_type] = STATE(4049),
    [sym_qualified_type] = STATE(3812),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(2992),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [738] = {
    [sym__expression] = STATE(1454),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(738),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4049),
    [sym_array_type] = STATE(4049),
    [sym_pointer_type] = STATE(4049),
    [sym_map_type] = STATE(4049),
    [sym_channel_type] = STATE(4049),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(5010),
    [sym_builtin_type] = STATE(4049),
    [sym__binded_type] = STATE(4049),
    [sym_generic_type] = STATE(4049),
    [sym_qualified_type] = STATE(3812),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(2992),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [739] = {
    [sym__expression] = STATE(1452),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_unary_expression] = STATE(1403),
    [sym_binary_expression] = STATE(1403),
    [sym_as_type_cast_expression] = STATE(1403),
    [sym_type_cast_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym_special_call_expression] = STATE(1403),
    [sym_comptime_identifier] = STATE(3802),
    [sym_comptime_selector_expression] = STATE(3984),
    [sym__expression_with_blocks] = STATE(1403),
    [sym__single_line_expression] = STATE(1403),
    [sym_comment] = STATE(739),
    [sym_type_initializer] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym_array] = STATE(1403),
    [sym_fixed_array] = STATE(1403),
    [sym_fixed_array_type] = STATE(4049),
    [sym_array_type] = STATE(4049),
    [sym_pointer_type] = STATE(4049),
    [sym_map_type] = STATE(4049),
    [sym_channel_type] = STATE(4049),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_interpreted_string_literal] = STATE(1403),
    [sym__reserved_identifier] = STATE(1403),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4507),
    [sym__mutable_expression_2] = STATE(4507),
    [sym_mutable_expression] = STATE(4507),
    [sym_binded_identifier] = STATE(1340),
    [sym_empty_literal_value] = STATE(1403),
    [sym__simple_type] = STATE(5010),
    [sym_builtin_type] = STATE(4049),
    [sym__binded_type] = STATE(4049),
    [sym_generic_type] = STATE(4049),
    [sym_qualified_type] = STATE(3812),
    [sym_pseudo_comptime_identifier] = STATE(1408),
    [sym_unsafe_expression] = STATE(1385),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1403),
    [sym_sql_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1336),
    [sym_index_expression] = STATE(1403),
    [sym_slice_expression] = STATE(1403),
    [sym_comptime_if_expression] = STATE(1385),
    [sym_if_expression] = STATE(1385),
    [sym_is_expression] = STATE(1403),
    [sym_type_selector_expression] = STATE(1408),
    [sym_match_expression] = STATE(1385),
    [sym_select_expression] = STATE(1385),
    [sym_lock_expression] = STATE(1385),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_LT_DASH] = ACTIONS(2966),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2976),
    [sym_float_literal] = ACTIONS(2978),
    [sym_rune_literal] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2980),
    [anon_sym_array] = ACTIONS(2982),
    [anon_sym_string] = ACTIONS(2982),
    [anon_sym_char] = ACTIONS(2982),
    [anon_sym_sql] = ACTIONS(2984),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2986),
    [anon_sym_JS] = ACTIONS(2986),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [sym_type_identifier] = ACTIONS(2992),
    [anon_sym_unsafe] = ACTIONS(2994),
    [anon_sym_fn] = ACTIONS(2996),
    [anon_sym_DOLLARif] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_match] = ACTIONS(3002),
    [anon_sym_select] = ACTIONS(3004),
    [anon_sym_lock] = ACTIONS(3006),
    [anon_sym_rlock] = ACTIONS(3006),
    [sym__c_string_opening] = ACTIONS(3008),
    [sym__raw_string_opening] = ACTIONS(3010),
    [sym__string_opening] = ACTIONS(3012),
    [sym__comment] = ACTIONS(3),
  },
  [740] = {
    [sym__expression] = STATE(3268),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(740),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [741] = {
    [sym__expression] = STATE(3265),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(741),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [742] = {
    [sym__expression] = STATE(3262),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(742),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [743] = {
    [sym__expression] = STATE(3260),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(743),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [744] = {
    [sym__expression] = STATE(3249),
    [sym_parenthesized_expression] = STATE(3190),
    [sym_unary_expression] = STATE(3190),
    [sym_binary_expression] = STATE(3190),
    [sym_as_type_cast_expression] = STATE(3190),
    [sym_type_cast_expression] = STATE(3190),
    [sym_call_expression] = STATE(3190),
    [sym_special_call_expression] = STATE(3190),
    [sym_comptime_identifier] = STATE(3813),
    [sym_comptime_selector_expression] = STATE(3952),
    [sym__expression_with_blocks] = STATE(3190),
    [sym__single_line_expression] = STATE(3190),
    [sym_comment] = STATE(744),
    [sym_type_initializer] = STATE(3190),
    [sym_map] = STATE(3190),
    [sym_array] = STATE(3190),
    [sym_fixed_array] = STATE(3190),
    [sym_fixed_array_type] = STATE(3826),
    [sym_array_type] = STATE(3826),
    [sym_pointer_type] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_channel_type] = STATE(3826),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3190),
    [sym_raw_string_literal] = STATE(3190),
    [sym_interpreted_string_literal] = STATE(3190),
    [sym__reserved_identifier] = STATE(3190),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4520),
    [sym__mutable_expression_2] = STATE(4520),
    [sym_mutable_expression] = STATE(4520),
    [sym_binded_identifier] = STATE(2901),
    [sym_empty_literal_value] = STATE(3190),
    [sym__simple_type] = STATE(5008),
    [sym_builtin_type] = STATE(3826),
    [sym__binded_type] = STATE(3826),
    [sym_generic_type] = STATE(3826),
    [sym_qualified_type] = STATE(3647),
    [sym_pseudo_comptime_identifier] = STATE(3263),
    [sym_unsafe_expression] = STATE(3244),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3190),
    [sym_sql_expression] = STATE(3244),
    [sym_selector_expression] = STATE(2898),
    [sym_index_expression] = STATE(3190),
    [sym_slice_expression] = STATE(3190),
    [sym_comptime_if_expression] = STATE(3244),
    [sym_if_expression] = STATE(3244),
    [sym_is_expression] = STATE(3190),
    [sym_type_selector_expression] = STATE(3263),
    [sym_match_expression] = STATE(3244),
    [sym_select_expression] = STATE(3244),
    [sym_lock_expression] = STATE(3244),
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_LT_DASH] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(1648),
    [sym_true] = ACTIONS(1648),
    [sym_false] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2806),
    [sym_float_literal] = ACTIONS(1658),
    [sym_rune_literal] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1660),
    [anon_sym_array] = ACTIONS(2218),
    [anon_sym_string] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_sql] = ACTIONS(1664),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(1666),
    [anon_sym_JS] = ACTIONS(1666),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [sym_type_identifier] = ACTIONS(2808),
    [anon_sym_unsafe] = ACTIONS(1674),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_DOLLARif] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1682),
    [anon_sym_select] = ACTIONS(1684),
    [anon_sym_lock] = ACTIONS(1686),
    [anon_sym_rlock] = ACTIONS(1686),
    [sym__c_string_opening] = ACTIONS(1688),
    [sym__raw_string_opening] = ACTIONS(1690),
    [sym__string_opening] = ACTIONS(1692),
    [sym__comment] = ACTIONS(3),
  },
  [745] = {
    [sym__expression] = STATE(3447),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(745),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [746] = {
    [sym__expression] = STATE(3434),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(746),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [747] = {
    [sym__expression] = STATE(3276),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(747),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [748] = {
    [sym__expression] = STATE(1326),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(748),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [749] = {
    [sym__expression] = STATE(1325),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(749),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [750] = {
    [sym__expression] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(750),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [751] = {
    [sym__expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(751),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [752] = {
    [sym__expression] = STATE(1322),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(752),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_LT_DASH] = ACTIONS(2930),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(2934),
    [anon_sym_lock] = ACTIONS(2936),
    [anon_sym_rlock] = ACTIONS(2936),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [753] = {
    [sym__expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(753),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4076),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [754] = {
    [sym__expression] = STATE(3402),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(754),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [755] = {
    [sym__expression] = STATE(3292),
    [sym_parenthesized_expression] = STATE(3309),
    [sym_unary_expression] = STATE(3309),
    [sym_binary_expression] = STATE(3309),
    [sym_as_type_cast_expression] = STATE(3309),
    [sym_type_cast_expression] = STATE(3309),
    [sym_call_expression] = STATE(3309),
    [sym_special_call_expression] = STATE(3309),
    [sym_comptime_identifier] = STATE(3801),
    [sym_comptime_selector_expression] = STATE(3986),
    [sym__expression_with_blocks] = STATE(3309),
    [sym__single_line_expression] = STATE(3309),
    [sym_comment] = STATE(755),
    [sym_type_initializer] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym_array] = STATE(3309),
    [sym_fixed_array] = STATE(3309),
    [sym_fixed_array_type] = STATE(4041),
    [sym_array_type] = STATE(4041),
    [sym_pointer_type] = STATE(4041),
    [sym_map_type] = STATE(4041),
    [sym_channel_type] = STATE(4041),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3309),
    [sym_raw_string_literal] = STATE(3309),
    [sym_interpreted_string_literal] = STATE(3309),
    [sym__reserved_identifier] = STATE(3309),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4557),
    [sym__mutable_expression_2] = STATE(4557),
    [sym_mutable_expression] = STATE(4557),
    [sym_binded_identifier] = STATE(2914),
    [sym_empty_literal_value] = STATE(3309),
    [sym__simple_type] = STATE(5004),
    [sym_builtin_type] = STATE(4041),
    [sym__binded_type] = STATE(4041),
    [sym_generic_type] = STATE(4041),
    [sym_qualified_type] = STATE(3799),
    [sym_pseudo_comptime_identifier] = STATE(3373),
    [sym_unsafe_expression] = STATE(3314),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3309),
    [sym_sql_expression] = STATE(3314),
    [sym_selector_expression] = STATE(2926),
    [sym_index_expression] = STATE(3309),
    [sym_slice_expression] = STATE(3309),
    [sym_comptime_if_expression] = STATE(3314),
    [sym_if_expression] = STATE(3314),
    [sym_is_expression] = STATE(3309),
    [sym_type_selector_expression] = STATE(3373),
    [sym_match_expression] = STATE(3314),
    [sym_select_expression] = STATE(3314),
    [sym_lock_expression] = STATE(3314),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2888),
    [sym_float_literal] = ACTIONS(2890),
    [sym_rune_literal] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_array] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_char] = ACTIONS(2894),
    [anon_sym_sql] = ACTIONS(2896),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2898),
    [anon_sym_JS] = ACTIONS(2898),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [sym_type_identifier] = ACTIONS(2904),
    [anon_sym_unsafe] = ACTIONS(2906),
    [anon_sym_fn] = ACTIONS(2908),
    [anon_sym_DOLLARif] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2914),
    [anon_sym_select] = ACTIONS(2916),
    [anon_sym_lock] = ACTIONS(2918),
    [anon_sym_rlock] = ACTIONS(2918),
    [sym__c_string_opening] = ACTIONS(2920),
    [sym__raw_string_opening] = ACTIONS(2922),
    [sym__string_opening] = ACTIONS(2924),
    [sym__comment] = ACTIONS(3),
  },
  [756] = {
    [sym__expression] = STATE(3297),
    [sym_parenthesized_expression] = STATE(3309),
    [sym_unary_expression] = STATE(3309),
    [sym_binary_expression] = STATE(3309),
    [sym_as_type_cast_expression] = STATE(3309),
    [sym_type_cast_expression] = STATE(3309),
    [sym_call_expression] = STATE(3309),
    [sym_special_call_expression] = STATE(3309),
    [sym_comptime_identifier] = STATE(3801),
    [sym_comptime_selector_expression] = STATE(3986),
    [sym__expression_with_blocks] = STATE(3309),
    [sym__single_line_expression] = STATE(3309),
    [sym_comment] = STATE(756),
    [sym_type_initializer] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym_array] = STATE(3309),
    [sym_fixed_array] = STATE(3309),
    [sym_fixed_array_type] = STATE(4041),
    [sym_array_type] = STATE(4041),
    [sym_pointer_type] = STATE(4041),
    [sym_map_type] = STATE(4041),
    [sym_channel_type] = STATE(4041),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3309),
    [sym_raw_string_literal] = STATE(3309),
    [sym_interpreted_string_literal] = STATE(3309),
    [sym__reserved_identifier] = STATE(3309),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4557),
    [sym__mutable_expression_2] = STATE(4557),
    [sym_mutable_expression] = STATE(4557),
    [sym_binded_identifier] = STATE(2914),
    [sym_empty_literal_value] = STATE(3309),
    [sym__simple_type] = STATE(5004),
    [sym_builtin_type] = STATE(4041),
    [sym__binded_type] = STATE(4041),
    [sym_generic_type] = STATE(4041),
    [sym_qualified_type] = STATE(3799),
    [sym_pseudo_comptime_identifier] = STATE(3373),
    [sym_unsafe_expression] = STATE(3314),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3309),
    [sym_sql_expression] = STATE(3314),
    [sym_selector_expression] = STATE(2926),
    [sym_index_expression] = STATE(3309),
    [sym_slice_expression] = STATE(3309),
    [sym_comptime_if_expression] = STATE(3314),
    [sym_if_expression] = STATE(3314),
    [sym_is_expression] = STATE(3309),
    [sym_type_selector_expression] = STATE(3373),
    [sym_match_expression] = STATE(3314),
    [sym_select_expression] = STATE(3314),
    [sym_lock_expression] = STATE(3314),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2888),
    [sym_float_literal] = ACTIONS(2890),
    [sym_rune_literal] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_array] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_char] = ACTIONS(2894),
    [anon_sym_sql] = ACTIONS(2896),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2898),
    [anon_sym_JS] = ACTIONS(2898),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [sym_type_identifier] = ACTIONS(2904),
    [anon_sym_unsafe] = ACTIONS(2906),
    [anon_sym_fn] = ACTIONS(2908),
    [anon_sym_DOLLARif] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2914),
    [anon_sym_select] = ACTIONS(2916),
    [anon_sym_lock] = ACTIONS(2918),
    [anon_sym_rlock] = ACTIONS(2918),
    [sym__c_string_opening] = ACTIONS(2920),
    [sym__raw_string_opening] = ACTIONS(2922),
    [sym__string_opening] = ACTIONS(2924),
    [sym__comment] = ACTIONS(3),
  },
  [757] = {
    [sym__expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3309),
    [sym_unary_expression] = STATE(3309),
    [sym_binary_expression] = STATE(3309),
    [sym_as_type_cast_expression] = STATE(3309),
    [sym_type_cast_expression] = STATE(3309),
    [sym_call_expression] = STATE(3309),
    [sym_special_call_expression] = STATE(3309),
    [sym_comptime_identifier] = STATE(3801),
    [sym_comptime_selector_expression] = STATE(3986),
    [sym__expression_with_blocks] = STATE(3309),
    [sym__single_line_expression] = STATE(3309),
    [sym_comment] = STATE(757),
    [sym_type_initializer] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym_array] = STATE(3309),
    [sym_fixed_array] = STATE(3309),
    [sym_fixed_array_type] = STATE(4041),
    [sym_array_type] = STATE(4041),
    [sym_pointer_type] = STATE(4041),
    [sym_map_type] = STATE(4041),
    [sym_channel_type] = STATE(4041),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3309),
    [sym_raw_string_literal] = STATE(3309),
    [sym_interpreted_string_literal] = STATE(3309),
    [sym__reserved_identifier] = STATE(3309),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4557),
    [sym__mutable_expression_2] = STATE(4557),
    [sym_mutable_expression] = STATE(4557),
    [sym_binded_identifier] = STATE(2914),
    [sym_empty_literal_value] = STATE(3309),
    [sym__simple_type] = STATE(5004),
    [sym_builtin_type] = STATE(4041),
    [sym__binded_type] = STATE(4041),
    [sym_generic_type] = STATE(4041),
    [sym_qualified_type] = STATE(3799),
    [sym_pseudo_comptime_identifier] = STATE(3373),
    [sym_unsafe_expression] = STATE(3314),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3309),
    [sym_sql_expression] = STATE(3314),
    [sym_selector_expression] = STATE(2926),
    [sym_index_expression] = STATE(3309),
    [sym_slice_expression] = STATE(3309),
    [sym_comptime_if_expression] = STATE(3314),
    [sym_if_expression] = STATE(3314),
    [sym_is_expression] = STATE(3309),
    [sym_type_selector_expression] = STATE(3373),
    [sym_match_expression] = STATE(3314),
    [sym_select_expression] = STATE(3314),
    [sym_lock_expression] = STATE(3314),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2888),
    [sym_float_literal] = ACTIONS(2890),
    [sym_rune_literal] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_array] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_char] = ACTIONS(2894),
    [anon_sym_sql] = ACTIONS(2896),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2898),
    [anon_sym_JS] = ACTIONS(2898),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [sym_type_identifier] = ACTIONS(2904),
    [anon_sym_unsafe] = ACTIONS(2906),
    [anon_sym_fn] = ACTIONS(2908),
    [anon_sym_DOLLARif] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2914),
    [anon_sym_select] = ACTIONS(2916),
    [anon_sym_lock] = ACTIONS(2918),
    [anon_sym_rlock] = ACTIONS(2918),
    [sym__c_string_opening] = ACTIONS(2920),
    [sym__raw_string_opening] = ACTIONS(2922),
    [sym__string_opening] = ACTIONS(2924),
    [sym__comment] = ACTIONS(3),
  },
  [758] = {
    [sym__expression] = STATE(3436),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(758),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [759] = {
    [sym__expression] = STATE(3303),
    [sym_parenthesized_expression] = STATE(3309),
    [sym_unary_expression] = STATE(3309),
    [sym_binary_expression] = STATE(3309),
    [sym_as_type_cast_expression] = STATE(3309),
    [sym_type_cast_expression] = STATE(3309),
    [sym_call_expression] = STATE(3309),
    [sym_special_call_expression] = STATE(3309),
    [sym_comptime_identifier] = STATE(3801),
    [sym_comptime_selector_expression] = STATE(3986),
    [sym__expression_with_blocks] = STATE(3309),
    [sym__single_line_expression] = STATE(3309),
    [sym_comment] = STATE(759),
    [sym_type_initializer] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym_array] = STATE(3309),
    [sym_fixed_array] = STATE(3309),
    [sym_fixed_array_type] = STATE(4041),
    [sym_array_type] = STATE(4041),
    [sym_pointer_type] = STATE(4041),
    [sym_map_type] = STATE(4041),
    [sym_channel_type] = STATE(4041),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3309),
    [sym_raw_string_literal] = STATE(3309),
    [sym_interpreted_string_literal] = STATE(3309),
    [sym__reserved_identifier] = STATE(3309),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4557),
    [sym__mutable_expression_2] = STATE(4557),
    [sym_mutable_expression] = STATE(4557),
    [sym_binded_identifier] = STATE(2914),
    [sym_empty_literal_value] = STATE(3309),
    [sym__simple_type] = STATE(5004),
    [sym_builtin_type] = STATE(4041),
    [sym__binded_type] = STATE(4041),
    [sym_generic_type] = STATE(4041),
    [sym_qualified_type] = STATE(3799),
    [sym_pseudo_comptime_identifier] = STATE(3373),
    [sym_unsafe_expression] = STATE(3314),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3309),
    [sym_sql_expression] = STATE(3314),
    [sym_selector_expression] = STATE(2926),
    [sym_index_expression] = STATE(3309),
    [sym_slice_expression] = STATE(3309),
    [sym_comptime_if_expression] = STATE(3314),
    [sym_if_expression] = STATE(3314),
    [sym_is_expression] = STATE(3309),
    [sym_type_selector_expression] = STATE(3373),
    [sym_match_expression] = STATE(3314),
    [sym_select_expression] = STATE(3314),
    [sym_lock_expression] = STATE(3314),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2888),
    [sym_float_literal] = ACTIONS(2890),
    [sym_rune_literal] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_array] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_char] = ACTIONS(2894),
    [anon_sym_sql] = ACTIONS(2896),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2898),
    [anon_sym_JS] = ACTIONS(2898),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [sym_type_identifier] = ACTIONS(2904),
    [anon_sym_unsafe] = ACTIONS(2906),
    [anon_sym_fn] = ACTIONS(2908),
    [anon_sym_DOLLARif] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2914),
    [anon_sym_select] = ACTIONS(2916),
    [anon_sym_lock] = ACTIONS(2918),
    [anon_sym_rlock] = ACTIONS(2918),
    [sym__c_string_opening] = ACTIONS(2920),
    [sym__raw_string_opening] = ACTIONS(2922),
    [sym__string_opening] = ACTIONS(2924),
    [sym__comment] = ACTIONS(3),
  },
  [760] = {
    [sym__expression] = STATE(2683),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(760),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [761] = {
    [sym__expression] = STATE(3304),
    [sym_parenthesized_expression] = STATE(3309),
    [sym_unary_expression] = STATE(3309),
    [sym_binary_expression] = STATE(3309),
    [sym_as_type_cast_expression] = STATE(3309),
    [sym_type_cast_expression] = STATE(3309),
    [sym_call_expression] = STATE(3309),
    [sym_special_call_expression] = STATE(3309),
    [sym_comptime_identifier] = STATE(3801),
    [sym_comptime_selector_expression] = STATE(3986),
    [sym__expression_with_blocks] = STATE(3309),
    [sym__single_line_expression] = STATE(3309),
    [sym_comment] = STATE(761),
    [sym_type_initializer] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym_array] = STATE(3309),
    [sym_fixed_array] = STATE(3309),
    [sym_fixed_array_type] = STATE(4041),
    [sym_array_type] = STATE(4041),
    [sym_pointer_type] = STATE(4041),
    [sym_map_type] = STATE(4041),
    [sym_channel_type] = STATE(4041),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3309),
    [sym_raw_string_literal] = STATE(3309),
    [sym_interpreted_string_literal] = STATE(3309),
    [sym__reserved_identifier] = STATE(3309),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4557),
    [sym__mutable_expression_2] = STATE(4557),
    [sym_mutable_expression] = STATE(4557),
    [sym_binded_identifier] = STATE(2914),
    [sym_empty_literal_value] = STATE(3309),
    [sym__simple_type] = STATE(5004),
    [sym_builtin_type] = STATE(4041),
    [sym__binded_type] = STATE(4041),
    [sym_generic_type] = STATE(4041),
    [sym_qualified_type] = STATE(3799),
    [sym_pseudo_comptime_identifier] = STATE(3373),
    [sym_unsafe_expression] = STATE(3314),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3309),
    [sym_sql_expression] = STATE(3314),
    [sym_selector_expression] = STATE(2926),
    [sym_index_expression] = STATE(3309),
    [sym_slice_expression] = STATE(3309),
    [sym_comptime_if_expression] = STATE(3314),
    [sym_if_expression] = STATE(3314),
    [sym_is_expression] = STATE(3309),
    [sym_type_selector_expression] = STATE(3373),
    [sym_match_expression] = STATE(3314),
    [sym_select_expression] = STATE(3314),
    [sym_lock_expression] = STATE(3314),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2888),
    [sym_float_literal] = ACTIONS(2890),
    [sym_rune_literal] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_array] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_char] = ACTIONS(2894),
    [anon_sym_sql] = ACTIONS(2896),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2898),
    [anon_sym_JS] = ACTIONS(2898),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [sym_type_identifier] = ACTIONS(2904),
    [anon_sym_unsafe] = ACTIONS(2906),
    [anon_sym_fn] = ACTIONS(2908),
    [anon_sym_DOLLARif] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2914),
    [anon_sym_select] = ACTIONS(2916),
    [anon_sym_lock] = ACTIONS(2918),
    [anon_sym_rlock] = ACTIONS(2918),
    [sym__c_string_opening] = ACTIONS(2920),
    [sym__raw_string_opening] = ACTIONS(2922),
    [sym__string_opening] = ACTIONS(2924),
    [sym__comment] = ACTIONS(3),
  },
  [762] = {
    [sym__expression] = STATE(3425),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(762),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [763] = {
    [sym__expression] = STATE(3185),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(763),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [764] = {
    [sym__expression] = STATE(2702),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(764),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [765] = {
    [sym__expression] = STATE(2462),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(765),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2436),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2308),
    [sym_index_expression] = STATE(2436),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [766] = {
    [sym__expression] = STATE(2460),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(766),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2436),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2308),
    [sym_index_expression] = STATE(2436),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [767] = {
    [sym__expression] = STATE(2761),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(767),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [768] = {
    [sym__expression] = STATE(2418),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(768),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2436),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2308),
    [sym_index_expression] = STATE(2436),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [769] = {
    [sym__expression] = STATE(2441),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(769),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2436),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2308),
    [sym_index_expression] = STATE(2436),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [770] = {
    [sym__expression] = STATE(2433),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(770),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2436),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2308),
    [sym_index_expression] = STATE(2436),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [771] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(771),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2946),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [772] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(772),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2965),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [773] = {
    [sym__expression] = STATE(3389),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(773),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [774] = {
    [sym__expression] = STATE(3393),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(774),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [775] = {
    [sym__expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(775),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2928),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [776] = {
    [sym__expression] = STATE(2330),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(776),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(4583),
    [sym_binded_identifier] = STATE(2241),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [777] = {
    [sym__expression] = STATE(2331),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(777),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(4583),
    [sym_binded_identifier] = STATE(2241),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [778] = {
    [sym__expression] = STATE(2332),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(778),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(4583),
    [sym_binded_identifier] = STATE(2241),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [779] = {
    [sym__expression] = STATE(3417),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(779),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4152),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [780] = {
    [sym__expression] = STATE(3453),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3825),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(780),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2568),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [781] = {
    [sym__expression] = STATE(2282),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(781),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(4583),
    [sym_binded_identifier] = STATE(2241),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [782] = {
    [sym__expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2349),
    [sym_unary_expression] = STATE(2349),
    [sym_binary_expression] = STATE(2349),
    [sym_as_type_cast_expression] = STATE(2349),
    [sym_type_cast_expression] = STATE(2349),
    [sym_call_expression] = STATE(2349),
    [sym_special_call_expression] = STATE(2349),
    [sym_comptime_identifier] = STATE(3842),
    [sym_comptime_selector_expression] = STATE(3886),
    [sym__expression_with_blocks] = STATE(2349),
    [sym__single_line_expression] = STATE(2349),
    [sym_comment] = STATE(782),
    [sym_type_initializer] = STATE(2349),
    [sym_map] = STATE(2349),
    [sym_array] = STATE(2349),
    [sym_fixed_array] = STATE(2349),
    [sym_fixed_array_type] = STATE(4342),
    [sym_array_type] = STATE(4342),
    [sym_pointer_type] = STATE(4342),
    [sym_map_type] = STATE(4342),
    [sym_channel_type] = STATE(4342),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2349),
    [sym_raw_string_literal] = STATE(2349),
    [sym_interpreted_string_literal] = STATE(2349),
    [sym__reserved_identifier] = STATE(2349),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4583),
    [sym__mutable_expression_2] = STATE(4583),
    [sym_mutable_expression] = STATE(4583),
    [sym_binded_identifier] = STATE(2241),
    [sym_empty_literal_value] = STATE(2349),
    [sym__simple_type] = STATE(5000),
    [sym_builtin_type] = STATE(4342),
    [sym__binded_type] = STATE(4342),
    [sym_generic_type] = STATE(4342),
    [sym_qualified_type] = STATE(3841),
    [sym_pseudo_comptime_identifier] = STATE(2314),
    [sym_unsafe_expression] = STATE(2368),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2349),
    [sym_sql_expression] = STATE(2368),
    [sym_selector_expression] = STATE(2239),
    [sym_index_expression] = STATE(2349),
    [sym_slice_expression] = STATE(2349),
    [sym_comptime_if_expression] = STATE(2368),
    [sym_if_expression] = STATE(2368),
    [sym_is_expression] = STATE(2349),
    [sym_type_selector_expression] = STATE(2314),
    [sym_match_expression] = STATE(2368),
    [sym_select_expression] = STATE(2368),
    [sym_lock_expression] = STATE(2368),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(959),
    [sym_float_literal] = ACTIONS(961),
    [sym_rune_literal] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_sql] = ACTIONS(967),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(969),
    [anon_sym_JS] = ACTIONS(969),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [sym_type_identifier] = ACTIONS(975),
    [anon_sym_unsafe] = ACTIONS(977),
    [anon_sym_fn] = ACTIONS(979),
    [anon_sym_DOLLARif] = ACTIONS(983),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(987),
    [anon_sym_select] = ACTIONS(989),
    [anon_sym_lock] = ACTIONS(991),
    [anon_sym_rlock] = ACTIONS(991),
    [sym__c_string_opening] = ACTIONS(993),
    [sym__raw_string_opening] = ACTIONS(995),
    [sym__string_opening] = ACTIONS(997),
    [sym__comment] = ACTIONS(3),
  },
  [783] = {
    [sym__expression] = STATE(3204),
    [sym_parenthesized_expression] = STATE(3309),
    [sym_unary_expression] = STATE(3309),
    [sym_binary_expression] = STATE(3309),
    [sym_as_type_cast_expression] = STATE(3309),
    [sym_type_cast_expression] = STATE(3309),
    [sym_call_expression] = STATE(3309),
    [sym_special_call_expression] = STATE(3309),
    [sym_comptime_identifier] = STATE(3801),
    [sym_comptime_selector_expression] = STATE(3986),
    [sym__expression_with_blocks] = STATE(3309),
    [sym__single_line_expression] = STATE(3309),
    [sym_comment] = STATE(783),
    [sym_type_initializer] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym_array] = STATE(3309),
    [sym_fixed_array] = STATE(3309),
    [sym_fixed_array_type] = STATE(4041),
    [sym_array_type] = STATE(4041),
    [sym_pointer_type] = STATE(4041),
    [sym_map_type] = STATE(4041),
    [sym_channel_type] = STATE(4041),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(3309),
    [sym_raw_string_literal] = STATE(3309),
    [sym_interpreted_string_literal] = STATE(3309),
    [sym__reserved_identifier] = STATE(3309),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4557),
    [sym__mutable_expression_2] = STATE(4557),
    [sym_mutable_expression] = STATE(4557),
    [sym_binded_identifier] = STATE(2914),
    [sym_empty_literal_value] = STATE(3309),
    [sym__simple_type] = STATE(5004),
    [sym_builtin_type] = STATE(4041),
    [sym__binded_type] = STATE(4041),
    [sym_generic_type] = STATE(4041),
    [sym_qualified_type] = STATE(3799),
    [sym_pseudo_comptime_identifier] = STATE(3373),
    [sym_unsafe_expression] = STATE(3314),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(3309),
    [sym_sql_expression] = STATE(3314),
    [sym_selector_expression] = STATE(2926),
    [sym_index_expression] = STATE(3309),
    [sym_slice_expression] = STATE(3309),
    [sym_comptime_if_expression] = STATE(3314),
    [sym_if_expression] = STATE(3314),
    [sym_is_expression] = STATE(3309),
    [sym_type_selector_expression] = STATE(3373),
    [sym_match_expression] = STATE(3314),
    [sym_select_expression] = STATE(3314),
    [sym_lock_expression] = STATE(3314),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2888),
    [sym_float_literal] = ACTIONS(2890),
    [sym_rune_literal] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_array] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_char] = ACTIONS(2894),
    [anon_sym_sql] = ACTIONS(2896),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2898),
    [anon_sym_JS] = ACTIONS(2898),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [sym_type_identifier] = ACTIONS(2904),
    [anon_sym_unsafe] = ACTIONS(2906),
    [anon_sym_fn] = ACTIONS(2908),
    [anon_sym_DOLLARif] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2914),
    [anon_sym_select] = ACTIONS(2916),
    [anon_sym_lock] = ACTIONS(2918),
    [anon_sym_rlock] = ACTIONS(2918),
    [sym__c_string_opening] = ACTIONS(2920),
    [sym__raw_string_opening] = ACTIONS(2922),
    [sym__string_opening] = ACTIONS(2924),
    [sym__comment] = ACTIONS(3),
  },
  [784] = {
    [sym__expression] = STATE(3365),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(784),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [785] = {
    [sym_comment] = STATE(785),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1190),
    [anon_sym_AMP_CARET] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_COLON] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_COLON_EQ] = ACTIONS(1188),
    [anon_sym_STAR_EQ] = ACTIONS(1188),
    [anon_sym_SLASH_EQ] = ACTIONS(1188),
    [anon_sym_PERCENT_EQ] = ACTIONS(1188),
    [anon_sym_LT_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT_GT_EQ] = ACTIONS(1188),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1188),
    [anon_sym_AMP_EQ] = ACTIONS(1188),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1188),
    [anon_sym_PLUS_EQ] = ACTIONS(1188),
    [anon_sym_DASH_EQ] = ACTIONS(1188),
    [anon_sym_PIPE_EQ] = ACTIONS(1188),
    [anon_sym_CARET_EQ] = ACTIONS(1188),
    [anon_sym_EQ] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [786] = {
    [sym_comment] = STATE(786),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_COLON_EQ] = ACTIONS(1110),
    [anon_sym_STAR_EQ] = ACTIONS(1110),
    [anon_sym_SLASH_EQ] = ACTIONS(1110),
    [anon_sym_PERCENT_EQ] = ACTIONS(1110),
    [anon_sym_LT_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_EQ] = ACTIONS(1110),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1110),
    [anon_sym_DASH_EQ] = ACTIONS(1110),
    [anon_sym_PIPE_EQ] = ACTIONS(1110),
    [anon_sym_CARET_EQ] = ACTIONS(1110),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [787] = {
    [sym__expression] = STATE(3032),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(787),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [788] = {
    [sym_comment] = STATE(788),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1194),
    [anon_sym_AMP_CARET] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_COLON] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_COLON_EQ] = ACTIONS(1192),
    [anon_sym_STAR_EQ] = ACTIONS(1192),
    [anon_sym_SLASH_EQ] = ACTIONS(1192),
    [anon_sym_PERCENT_EQ] = ACTIONS(1192),
    [anon_sym_LT_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT_GT_EQ] = ACTIONS(1192),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1192),
    [anon_sym_AMP_EQ] = ACTIONS(1192),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1192),
    [anon_sym_PLUS_EQ] = ACTIONS(1192),
    [anon_sym_DASH_EQ] = ACTIONS(1192),
    [anon_sym_PIPE_EQ] = ACTIONS(1192),
    [anon_sym_CARET_EQ] = ACTIONS(1192),
    [anon_sym_EQ] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [789] = {
    [sym__expression] = STATE(1129),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(789),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [790] = {
    [sym__expression] = STATE(1131),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(790),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [791] = {
    [sym__expression] = STATE(1133),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(791),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [792] = {
    [sym__expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(792),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [793] = {
    [sym__expression] = STATE(1135),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(793),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [794] = {
    [sym__expression] = STATE(2864),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(794),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [795] = {
    [sym__expression] = STATE(3016),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(795),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [796] = {
    [sym__expression] = STATE(3024),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(796),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [797] = {
    [sym__expression] = STATE(3018),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(797),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [798] = {
    [sym__expression] = STATE(1118),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(798),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [799] = {
    [sym__expression] = STATE(1099),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(799),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [800] = {
    [sym__expression] = STATE(1123),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(800),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [801] = {
    [sym__expression] = STATE(1036),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(801),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [802] = {
    [sym__expression] = STATE(1753),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(802),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [803] = {
    [sym__expression] = STATE(1754),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(803),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [804] = {
    [sym__expression] = STATE(1755),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(804),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [805] = {
    [sym__expression] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(805),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [806] = {
    [sym__expression] = STATE(1759),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1782),
    [sym_binary_expression] = STATE(1782),
    [sym_as_type_cast_expression] = STATE(1782),
    [sym_type_cast_expression] = STATE(1782),
    [sym_call_expression] = STATE(1782),
    [sym_special_call_expression] = STATE(1782),
    [sym_comptime_identifier] = STATE(3869),
    [sym_comptime_selector_expression] = STATE(3965),
    [sym__expression_with_blocks] = STATE(1782),
    [sym__single_line_expression] = STATE(1782),
    [sym_comment] = STATE(806),
    [sym_type_initializer] = STATE(1782),
    [sym_map] = STATE(1782),
    [sym_array] = STATE(1782),
    [sym_fixed_array] = STATE(1782),
    [sym_fixed_array_type] = STATE(4091),
    [sym_array_type] = STATE(4091),
    [sym_pointer_type] = STATE(4091),
    [sym_map_type] = STATE(4091),
    [sym_channel_type] = STATE(4091),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1782),
    [sym_raw_string_literal] = STATE(1782),
    [sym_interpreted_string_literal] = STATE(1782),
    [sym__reserved_identifier] = STATE(1782),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4612),
    [sym__mutable_expression_2] = STATE(4612),
    [sym_mutable_expression] = STATE(4612),
    [sym_binded_identifier] = STATE(1517),
    [sym_empty_literal_value] = STATE(1782),
    [sym__simple_type] = STATE(4996),
    [sym_builtin_type] = STATE(4091),
    [sym__binded_type] = STATE(4091),
    [sym_generic_type] = STATE(4091),
    [sym_qualified_type] = STATE(3811),
    [sym_pseudo_comptime_identifier] = STATE(1762),
    [sym_unsafe_expression] = STATE(1717),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1782),
    [sym_sql_expression] = STATE(1717),
    [sym_selector_expression] = STATE(1449),
    [sym_index_expression] = STATE(1782),
    [sym_slice_expression] = STATE(1782),
    [sym_comptime_if_expression] = STATE(1717),
    [sym_if_expression] = STATE(1717),
    [sym_is_expression] = STATE(1782),
    [sym_type_selector_expression] = STATE(1762),
    [sym_match_expression] = STATE(1717),
    [sym_select_expression] = STATE(1717),
    [sym_lock_expression] = STATE(1717),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2443),
    [anon_sym_LT_DASH] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2455),
    [sym_rune_literal] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_array] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_char] = ACTIONS(2459),
    [anon_sym_sql] = ACTIONS(2461),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2463),
    [anon_sym_JS] = ACTIONS(2463),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2467),
    [sym_type_identifier] = ACTIONS(2469),
    [anon_sym_unsafe] = ACTIONS(2517),
    [anon_sym_fn] = ACTIONS(2473),
    [anon_sym_DOLLARif] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_match] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2481),
    [anon_sym_lock] = ACTIONS(2483),
    [anon_sym_rlock] = ACTIONS(2483),
    [sym__c_string_opening] = ACTIONS(2485),
    [sym__raw_string_opening] = ACTIONS(2487),
    [sym__string_opening] = ACTIONS(2489),
    [sym__comment] = ACTIONS(3),
  },
  [807] = {
    [sym_comment] = STATE(807),
    [sym_type_parameters] = STATE(935),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1048),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1048),
    [anon_sym_LT_LT] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1048),
    [anon_sym_AMP_CARET] = ACTIONS(1048),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_LT2] = ACTIONS(3198),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_COLON_EQ] = ACTIONS(1046),
    [anon_sym_STAR_EQ] = ACTIONS(1046),
    [anon_sym_SLASH_EQ] = ACTIONS(1046),
    [anon_sym_PERCENT_EQ] = ACTIONS(1046),
    [anon_sym_LT_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT_GT_EQ] = ACTIONS(1046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1046),
    [anon_sym_AMP_EQ] = ACTIONS(1046),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1046),
    [anon_sym_PLUS_EQ] = ACTIONS(1046),
    [anon_sym_DASH_EQ] = ACTIONS(1046),
    [anon_sym_PIPE_EQ] = ACTIONS(1046),
    [anon_sym_CARET_EQ] = ACTIONS(1046),
    [anon_sym_EQ] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [808] = {
    [sym__expression] = STATE(1111),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(808),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [809] = {
    [sym_comment] = STATE(809),
    [sym_identifier] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_CARET] = ACTIONS(1062),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_AMP] = ACTIONS(1062),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_SLASH] = ACTIONS(1062),
    [anon_sym_PERCENT] = ACTIONS(1062),
    [anon_sym_LT_LT] = ACTIONS(1062),
    [anon_sym_GT_GT] = ACTIONS(1062),
    [anon_sym_GT_GT_GT] = ACTIONS(1062),
    [anon_sym_AMP_CARET] = ACTIONS(1062),
    [anon_sym_PIPE] = ACTIONS(1062),
    [anon_sym_EQ_EQ] = ACTIONS(1060),
    [anon_sym_BANG_EQ] = ACTIONS(1060),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_LT_EQ] = ACTIONS(1060),
    [anon_sym_GT] = ACTIONS(1062),
    [anon_sym_GT_EQ] = ACTIONS(1060),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_BANGin] = ACTIONS(1060),
    [anon_sym_AMP_AMP] = ACTIONS(1060),
    [anon_sym_PIPE_PIPE] = ACTIONS(1060),
    [anon_sym_as] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_or] = ACTIONS(1062),
    [sym_none] = ACTIONS(1062),
    [sym_true] = ACTIONS(1062),
    [sym_false] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_map_LBRACK] = ACTIONS(1060),
    [anon_sym_chan] = ACTIONS(1062),
    [anon_sym_shared] = ACTIONS(1062),
    [anon_sym_thread] = ACTIONS(1062),
    [sym_int_literal] = ACTIONS(1062),
    [sym_float_literal] = ACTIONS(1060),
    [sym_rune_literal] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1062),
    [anon_sym_array] = ACTIONS(1062),
    [anon_sym_string] = ACTIONS(1062),
    [anon_sym_char] = ACTIONS(1062),
    [anon_sym_sql] = ACTIONS(1062),
    [anon_sym_mut] = ACTIONS(1062),
    [anon_sym_C] = ACTIONS(1062),
    [anon_sym_JS] = ACTIONS(1062),
    [anon_sym_voidptr] = ACTIONS(1062),
    [anon_sym_byteptr] = ACTIONS(1062),
    [anon_sym_charptr] = ACTIONS(1062),
    [anon_sym_i8] = ACTIONS(1062),
    [anon_sym_i16] = ACTIONS(1062),
    [anon_sym_i32] = ACTIONS(1062),
    [anon_sym_int] = ACTIONS(1062),
    [anon_sym_i64] = ACTIONS(1062),
    [anon_sym_byte] = ACTIONS(1062),
    [anon_sym_u8] = ACTIONS(1062),
    [anon_sym_u16] = ACTIONS(1062),
    [anon_sym_u32] = ACTIONS(1062),
    [anon_sym_u64] = ACTIONS(1062),
    [anon_sym_f32] = ACTIONS(1062),
    [anon_sym_f64] = ACTIONS(1062),
    [anon_sym_bool] = ACTIONS(1062),
    [anon_sym_rune] = ACTIONS(1062),
    [anon_sym_map] = ACTIONS(1062),
    [anon_sym_mapnode] = ACTIONS(1062),
    [anon_sym_size_t] = ACTIONS(1062),
    [anon_sym_usize] = ACTIONS(1062),
    [anon_sym_isize] = ACTIONS(1062),
    [anon_sym_float_literal] = ACTIONS(1062),
    [anon_sym_int_literal] = ACTIONS(1062),
    [anon_sym_IError] = ACTIONS(1062),
    [sym_type_placeholder] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [sym_type_identifier] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [anon_sym_COLON_EQ] = ACTIONS(1060),
    [anon_sym_STAR_EQ] = ACTIONS(1060),
    [anon_sym_SLASH_EQ] = ACTIONS(1060),
    [anon_sym_PERCENT_EQ] = ACTIONS(1060),
    [anon_sym_LT_LT_EQ] = ACTIONS(1060),
    [anon_sym_GT_GT_EQ] = ACTIONS(1060),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1060),
    [anon_sym_AMP_EQ] = ACTIONS(1060),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1060),
    [anon_sym_PLUS_EQ] = ACTIONS(1060),
    [anon_sym_DASH_EQ] = ACTIONS(1060),
    [anon_sym_PIPE_EQ] = ACTIONS(1060),
    [anon_sym_CARET_EQ] = ACTIONS(1060),
    [anon_sym_EQ] = ACTIONS(1062),
    [anon_sym_assert] = ACTIONS(1062),
    [anon_sym_defer] = ACTIONS(1062),
    [anon_sym_unsafe] = ACTIONS(1062),
    [anon_sym_fn] = ACTIONS(1062),
    [anon_sym_asm] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1062),
    [anon_sym_continue] = ACTIONS(1062),
    [anon_sym_return] = ACTIONS(1062),
    [anon_sym_go] = ACTIONS(1062),
    [anon_sym_spawn] = ACTIONS(1062),
    [anon_sym_goto] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1062),
    [anon_sym_DOLLARfor] = ACTIONS(1060),
    [anon_sym_DOLLARif] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_is] = ACTIONS(1062),
    [anon_sym_BANGis] = ACTIONS(1060),
    [anon_sym_POUND] = ACTIONS(1060),
    [anon_sym_match] = ACTIONS(1062),
    [anon_sym_select] = ACTIONS(1062),
    [anon_sym_lock] = ACTIONS(1062),
    [anon_sym_rlock] = ACTIONS(1062),
    [sym__automatic_separator] = ACTIONS(1060),
    [sym__c_string_opening] = ACTIONS(1060),
    [sym__raw_string_opening] = ACTIONS(1060),
    [sym__string_opening] = ACTIONS(1060),
    [sym__comment] = ACTIONS(3),
  },
  [810] = {
    [sym__expression] = STATE(1317),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(810),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [811] = {
    [sym__expression] = STATE(2434),
    [sym_parenthesized_expression] = STATE(2436),
    [sym_unary_expression] = STATE(2436),
    [sym_binary_expression] = STATE(2436),
    [sym_as_type_cast_expression] = STATE(2436),
    [sym_type_cast_expression] = STATE(2436),
    [sym_call_expression] = STATE(2436),
    [sym_special_call_expression] = STATE(2436),
    [sym_comptime_identifier] = STATE(3866),
    [sym_comptime_selector_expression] = STATE(3924),
    [sym__expression_with_blocks] = STATE(2436),
    [sym__single_line_expression] = STATE(2436),
    [sym_comment] = STATE(811),
    [sym_type_initializer] = STATE(2436),
    [sym_map] = STATE(2436),
    [sym_array] = STATE(2436),
    [sym_fixed_array] = STATE(2436),
    [sym_fixed_array_type] = STATE(4189),
    [sym_array_type] = STATE(4189),
    [sym_pointer_type] = STATE(4189),
    [sym_map_type] = STATE(4189),
    [sym_channel_type] = STATE(4189),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2436),
    [sym_raw_string_literal] = STATE(2436),
    [sym_interpreted_string_literal] = STATE(2436),
    [sym__reserved_identifier] = STATE(2429),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4567),
    [sym__mutable_expression_2] = STATE(4567),
    [sym_mutable_expression] = STATE(4567),
    [sym_binded_identifier] = STATE(2292),
    [sym_empty_literal_value] = STATE(2436),
    [sym__simple_type] = STATE(5002),
    [sym_builtin_type] = STATE(4189),
    [sym__binded_type] = STATE(4189),
    [sym_generic_type] = STATE(4189),
    [sym_qualified_type] = STATE(3863),
    [sym_pseudo_comptime_identifier] = STATE(2437),
    [sym_unsafe_expression] = STATE(2431),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2436),
    [sym_sql_expression] = STATE(2431),
    [sym_selector_expression] = STATE(2338),
    [sym_index_expression] = STATE(2422),
    [sym_slice_expression] = STATE(2436),
    [sym_comptime_if_expression] = STATE(2431),
    [sym_if_expression] = STATE(2431),
    [sym_is_expression] = STATE(2436),
    [sym_type_selector_expression] = STATE(2437),
    [sym_match_expression] = STATE(2431),
    [sym_select_expression] = STATE(2431),
    [sym_lock_expression] = STATE(2431),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_LT_DASH] = ACTIONS(2818),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(2828),
    [sym_float_literal] = ACTIONS(2830),
    [sym_rune_literal] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_array] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_char] = ACTIONS(2834),
    [anon_sym_sql] = ACTIONS(2836),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(2838),
    [anon_sym_JS] = ACTIONS(2838),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2842),
    [sym_type_identifier] = ACTIONS(2872),
    [anon_sym_unsafe] = ACTIONS(2846),
    [anon_sym_fn] = ACTIONS(2848),
    [anon_sym_DOLLARif] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_match] = ACTIONS(2854),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_lock] = ACTIONS(2858),
    [anon_sym_rlock] = ACTIONS(2858),
    [sym__c_string_opening] = ACTIONS(2860),
    [sym__raw_string_opening] = ACTIONS(2862),
    [sym__string_opening] = ACTIONS(2864),
    [sym__comment] = ACTIONS(3),
  },
  [812] = {
    [sym__expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(812),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [813] = {
    [sym__expression] = STATE(1315),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(813),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [814] = {
    [sym__expression] = STATE(1312),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(814),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [815] = {
    [sym__expression] = STATE(1306),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_as_type_cast_expression] = STATE(1242),
    [sym_type_cast_expression] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_special_call_expression] = STATE(1242),
    [sym_comptime_identifier] = STATE(3852),
    [sym_comptime_selector_expression] = STATE(3874),
    [sym__expression_with_blocks] = STATE(1242),
    [sym__single_line_expression] = STATE(1242),
    [sym_comment] = STATE(815),
    [sym_type_initializer] = STATE(1242),
    [sym_map] = STATE(1242),
    [sym_array] = STATE(1242),
    [sym_fixed_array] = STATE(1242),
    [sym_fixed_array_type] = STATE(4336),
    [sym_array_type] = STATE(4336),
    [sym_pointer_type] = STATE(4336),
    [sym_map_type] = STATE(4336),
    [sym_channel_type] = STATE(4336),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1242),
    [sym_raw_string_literal] = STATE(1242),
    [sym_interpreted_string_literal] = STATE(1242),
    [sym__reserved_identifier] = STATE(1242),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4539),
    [sym__mutable_expression_2] = STATE(4539),
    [sym_mutable_expression] = STATE(4539),
    [sym_binded_identifier] = STATE(1187),
    [sym_empty_literal_value] = STATE(1242),
    [sym__simple_type] = STATE(5006),
    [sym_builtin_type] = STATE(4336),
    [sym__binded_type] = STATE(4336),
    [sym_generic_type] = STATE(4336),
    [sym_qualified_type] = STATE(3855),
    [sym_pseudo_comptime_identifier] = STATE(1244),
    [sym_unsafe_expression] = STATE(1235),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1242),
    [sym_sql_expression] = STATE(1235),
    [sym_selector_expression] = STATE(1177),
    [sym_index_expression] = STATE(1242),
    [sym_slice_expression] = STATE(1242),
    [sym_comptime_if_expression] = STATE(1235),
    [sym_if_expression] = STATE(1235),
    [sym_is_expression] = STATE(1242),
    [sym_type_selector_expression] = STATE(1244),
    [sym_match_expression] = STATE(1235),
    [sym_select_expression] = STATE(1235),
    [sym_lock_expression] = STATE(1235),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(804),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(812),
    [sym_float_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_array] = ACTIONS(818),
    [anon_sym_string] = ACTIONS(818),
    [anon_sym_char] = ACTIONS(818),
    [anon_sym_sql] = ACTIONS(820),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(822),
    [anon_sym_JS] = ACTIONS(822),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [sym_type_identifier] = ACTIONS(828),
    [anon_sym_unsafe] = ACTIONS(830),
    [anon_sym_fn] = ACTIONS(832),
    [anon_sym_DOLLARif] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_match] = ACTIONS(838),
    [anon_sym_select] = ACTIONS(840),
    [anon_sym_lock] = ACTIONS(842),
    [anon_sym_rlock] = ACTIONS(842),
    [sym__c_string_opening] = ACTIONS(844),
    [sym__raw_string_opening] = ACTIONS(846),
    [sym__string_opening] = ACTIONS(848),
    [sym__comment] = ACTIONS(3),
  },
  [816] = {
    [sym__expression] = STATE(2985),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(816),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4469),
    [sym__mutable_expression_2] = STATE(4469),
    [sym_mutable_expression] = STATE(4469),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_LT_DASH] = ACTIONS(3140),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [817] = {
    [sym_comment] = STATE(817),
    [sym_identifier] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_SLASH] = ACTIONS(1066),
    [anon_sym_PERCENT] = ACTIONS(1066),
    [anon_sym_LT_LT] = ACTIONS(1066),
    [anon_sym_GT_GT] = ACTIONS(1066),
    [anon_sym_GT_GT_GT] = ACTIONS(1066),
    [anon_sym_AMP_CARET] = ACTIONS(1066),
    [anon_sym_PIPE] = ACTIONS(1066),
    [anon_sym_EQ_EQ] = ACTIONS(1064),
    [anon_sym_BANG_EQ] = ACTIONS(1064),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_LT_EQ] = ACTIONS(1064),
    [anon_sym_GT] = ACTIONS(1066),
    [anon_sym_GT_EQ] = ACTIONS(1064),
    [anon_sym_in] = ACTIONS(1066),
    [anon_sym_BANGin] = ACTIONS(1064),
    [anon_sym_AMP_AMP] = ACTIONS(1064),
    [anon_sym_PIPE_PIPE] = ACTIONS(1064),
    [anon_sym_as] = ACTIONS(1066),
    [anon_sym_COMMA] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(1064),
    [anon_sym_or] = ACTIONS(1066),
    [sym_none] = ACTIONS(1066),
    [sym_true] = ACTIONS(1066),
    [sym_false] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_map_LBRACK] = ACTIONS(1064),
    [anon_sym_chan] = ACTIONS(1066),
    [anon_sym_shared] = ACTIONS(1066),
    [anon_sym_thread] = ACTIONS(1066),
    [sym_int_literal] = ACTIONS(1066),
    [sym_float_literal] = ACTIONS(1064),
    [sym_rune_literal] = ACTIONS(1064),
    [anon_sym_DOT] = ACTIONS(1066),
    [anon_sym_array] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_char] = ACTIONS(1066),
    [anon_sym_sql] = ACTIONS(1066),
    [anon_sym_mut] = ACTIONS(1066),
    [anon_sym_C] = ACTIONS(1066),
    [anon_sym_JS] = ACTIONS(1066),
    [anon_sym_voidptr] = ACTIONS(1066),
    [anon_sym_byteptr] = ACTIONS(1066),
    [anon_sym_charptr] = ACTIONS(1066),
    [anon_sym_i8] = ACTIONS(1066),
    [anon_sym_i16] = ACTIONS(1066),
    [anon_sym_i32] = ACTIONS(1066),
    [anon_sym_int] = ACTIONS(1066),
    [anon_sym_i64] = ACTIONS(1066),
    [anon_sym_byte] = ACTIONS(1066),
    [anon_sym_u8] = ACTIONS(1066),
    [anon_sym_u16] = ACTIONS(1066),
    [anon_sym_u32] = ACTIONS(1066),
    [anon_sym_u64] = ACTIONS(1066),
    [anon_sym_f32] = ACTIONS(1066),
    [anon_sym_f64] = ACTIONS(1066),
    [anon_sym_bool] = ACTIONS(1066),
    [anon_sym_rune] = ACTIONS(1066),
    [anon_sym_map] = ACTIONS(1066),
    [anon_sym_mapnode] = ACTIONS(1066),
    [anon_sym_size_t] = ACTIONS(1066),
    [anon_sym_usize] = ACTIONS(1066),
    [anon_sym_isize] = ACTIONS(1066),
    [anon_sym_float_literal] = ACTIONS(1066),
    [anon_sym_int_literal] = ACTIONS(1066),
    [anon_sym_IError] = ACTIONS(1066),
    [sym_type_placeholder] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [sym_type_identifier] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_COLON_EQ] = ACTIONS(1064),
    [anon_sym_STAR_EQ] = ACTIONS(1064),
    [anon_sym_SLASH_EQ] = ACTIONS(1064),
    [anon_sym_PERCENT_EQ] = ACTIONS(1064),
    [anon_sym_LT_LT_EQ] = ACTIONS(1064),
    [anon_sym_GT_GT_EQ] = ACTIONS(1064),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1064),
    [anon_sym_AMP_EQ] = ACTIONS(1064),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1064),
    [anon_sym_PLUS_EQ] = ACTIONS(1064),
    [anon_sym_DASH_EQ] = ACTIONS(1064),
    [anon_sym_PIPE_EQ] = ACTIONS(1064),
    [anon_sym_CARET_EQ] = ACTIONS(1064),
    [anon_sym_EQ] = ACTIONS(1066),
    [anon_sym_assert] = ACTIONS(1066),
    [anon_sym_defer] = ACTIONS(1066),
    [anon_sym_unsafe] = ACTIONS(1066),
    [anon_sym_fn] = ACTIONS(1066),
    [anon_sym_asm] = ACTIONS(1066),
    [anon_sym_break] = ACTIONS(1066),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_go] = ACTIONS(1066),
    [anon_sym_spawn] = ACTIONS(1066),
    [anon_sym_goto] = ACTIONS(1066),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_DOLLARfor] = ACTIONS(1064),
    [anon_sym_DOLLARif] = ACTIONS(1064),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_is] = ACTIONS(1066),
    [anon_sym_BANGis] = ACTIONS(1064),
    [anon_sym_POUND] = ACTIONS(1064),
    [anon_sym_match] = ACTIONS(1066),
    [anon_sym_select] = ACTIONS(1066),
    [anon_sym_lock] = ACTIONS(1066),
    [anon_sym_rlock] = ACTIONS(1066),
    [sym__automatic_separator] = ACTIONS(1064),
    [sym__c_string_opening] = ACTIONS(1064),
    [sym__raw_string_opening] = ACTIONS(1064),
    [sym__string_opening] = ACTIONS(1064),
    [sym__comment] = ACTIONS(3),
  },
  [818] = {
    [sym__expression] = STATE(3406),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(818),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4119),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [819] = {
    [sym__expression] = STATE(2778),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(819),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4469),
    [sym__mutable_expression_2] = STATE(4469),
    [sym_mutable_expression] = STATE(4469),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_LT_DASH] = ACTIONS(3140),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [820] = {
    [sym__expression] = STATE(2760),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(820),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [821] = {
    [sym_comment] = STATE(821),
    [sym_identifier] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_LT_DASH] = ACTIONS(1204),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1206),
    [anon_sym_GT_GT_GT] = ACTIONS(1206),
    [anon_sym_AMP_CARET] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1204),
    [anon_sym_BANG_EQ] = ACTIONS(1204),
    [anon_sym_LT] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1204),
    [anon_sym_in] = ACTIONS(1206),
    [anon_sym_BANGin] = ACTIONS(1204),
    [anon_sym_AMP_AMP] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1204),
    [anon_sym_as] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [sym_none] = ACTIONS(1206),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_map_LBRACK] = ACTIONS(1204),
    [anon_sym_chan] = ACTIONS(1206),
    [anon_sym_shared] = ACTIONS(1206),
    [anon_sym_thread] = ACTIONS(1206),
    [sym_int_literal] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1204),
    [sym_rune_literal] = ACTIONS(1204),
    [anon_sym_DOT] = ACTIONS(1206),
    [anon_sym_array] = ACTIONS(1206),
    [anon_sym_string] = ACTIONS(1206),
    [anon_sym_char] = ACTIONS(1206),
    [anon_sym_sql] = ACTIONS(1206),
    [anon_sym_mut] = ACTIONS(1206),
    [anon_sym_C] = ACTIONS(1206),
    [anon_sym_JS] = ACTIONS(1206),
    [anon_sym_LT2] = ACTIONS(1206),
    [anon_sym_voidptr] = ACTIONS(1206),
    [anon_sym_byteptr] = ACTIONS(1206),
    [anon_sym_charptr] = ACTIONS(1206),
    [anon_sym_i8] = ACTIONS(1206),
    [anon_sym_i16] = ACTIONS(1206),
    [anon_sym_i32] = ACTIONS(1206),
    [anon_sym_int] = ACTIONS(1206),
    [anon_sym_i64] = ACTIONS(1206),
    [anon_sym_byte] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1206),
    [anon_sym_u16] = ACTIONS(1206),
    [anon_sym_u32] = ACTIONS(1206),
    [anon_sym_u64] = ACTIONS(1206),
    [anon_sym_f32] = ACTIONS(1206),
    [anon_sym_f64] = ACTIONS(1206),
    [anon_sym_bool] = ACTIONS(1206),
    [anon_sym_rune] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1206),
    [anon_sym_mapnode] = ACTIONS(1206),
    [anon_sym_size_t] = ACTIONS(1206),
    [anon_sym_usize] = ACTIONS(1206),
    [anon_sym_isize] = ACTIONS(1206),
    [anon_sym_float_literal] = ACTIONS(1206),
    [anon_sym_int_literal] = ACTIONS(1206),
    [anon_sym_IError] = ACTIONS(1206),
    [sym_type_placeholder] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [sym_type_identifier] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_COLON_EQ] = ACTIONS(1204),
    [anon_sym_STAR_EQ] = ACTIONS(1204),
    [anon_sym_SLASH_EQ] = ACTIONS(1204),
    [anon_sym_PERCENT_EQ] = ACTIONS(1204),
    [anon_sym_LT_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT_GT_EQ] = ACTIONS(1204),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1204),
    [anon_sym_AMP_EQ] = ACTIONS(1204),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1204),
    [anon_sym_PLUS_EQ] = ACTIONS(1204),
    [anon_sym_DASH_EQ] = ACTIONS(1204),
    [anon_sym_PIPE_EQ] = ACTIONS(1204),
    [anon_sym_CARET_EQ] = ACTIONS(1204),
    [anon_sym_EQ] = ACTIONS(1206),
    [anon_sym_assert] = ACTIONS(1206),
    [anon_sym_defer] = ACTIONS(1206),
    [anon_sym_unsafe] = ACTIONS(1206),
    [anon_sym_fn] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_go] = ACTIONS(1206),
    [anon_sym_spawn] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_DOLLARfor] = ACTIONS(1204),
    [anon_sym_DOLLARif] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_is] = ACTIONS(1206),
    [anon_sym_BANGis] = ACTIONS(1204),
    [anon_sym_POUND] = ACTIONS(1204),
    [anon_sym_match] = ACTIONS(1206),
    [anon_sym_select] = ACTIONS(1206),
    [anon_sym_lock] = ACTIONS(1206),
    [anon_sym_rlock] = ACTIONS(1206),
    [sym__automatic_separator] = ACTIONS(1204),
    [sym__c_string_opening] = ACTIONS(1204),
    [sym__raw_string_opening] = ACTIONS(1204),
    [sym__string_opening] = ACTIONS(1204),
    [sym__comment] = ACTIONS(3),
  },
  [822] = {
    [sym_comment] = STATE(822),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_STAR] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_LT_DASH] = ACTIONS(1106),
    [anon_sym_SLASH] = ACTIONS(1108),
    [anon_sym_PERCENT] = ACTIONS(1108),
    [anon_sym_LT_LT] = ACTIONS(1108),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1108),
    [anon_sym_AMP_CARET] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1106),
    [anon_sym_BANG_EQ] = ACTIONS(1106),
    [anon_sym_LT] = ACTIONS(1108),
    [anon_sym_LT_EQ] = ACTIONS(1106),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_GT_EQ] = ACTIONS(1106),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_BANGin] = ACTIONS(1106),
    [anon_sym_AMP_AMP] = ACTIONS(1106),
    [anon_sym_PIPE_PIPE] = ACTIONS(1106),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [sym_none] = ACTIONS(1108),
    [sym_true] = ACTIONS(1108),
    [sym_false] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [anon_sym_COLON] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_map_LBRACK] = ACTIONS(1106),
    [anon_sym_chan] = ACTIONS(1108),
    [anon_sym_shared] = ACTIONS(1108),
    [anon_sym_thread] = ACTIONS(1108),
    [sym_int_literal] = ACTIONS(1108),
    [sym_float_literal] = ACTIONS(1106),
    [sym_rune_literal] = ACTIONS(1106),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_array] = ACTIONS(1108),
    [anon_sym_string] = ACTIONS(1108),
    [anon_sym_char] = ACTIONS(1108),
    [anon_sym_sql] = ACTIONS(1108),
    [anon_sym_mut] = ACTIONS(1108),
    [anon_sym_C] = ACTIONS(1108),
    [anon_sym_JS] = ACTIONS(1108),
    [anon_sym_LT2] = ACTIONS(1108),
    [anon_sym_voidptr] = ACTIONS(1108),
    [anon_sym_byteptr] = ACTIONS(1108),
    [anon_sym_charptr] = ACTIONS(1108),
    [anon_sym_i8] = ACTIONS(1108),
    [anon_sym_i16] = ACTIONS(1108),
    [anon_sym_i32] = ACTIONS(1108),
    [anon_sym_int] = ACTIONS(1108),
    [anon_sym_i64] = ACTIONS(1108),
    [anon_sym_byte] = ACTIONS(1108),
    [anon_sym_u8] = ACTIONS(1108),
    [anon_sym_u16] = ACTIONS(1108),
    [anon_sym_u32] = ACTIONS(1108),
    [anon_sym_u64] = ACTIONS(1108),
    [anon_sym_f32] = ACTIONS(1108),
    [anon_sym_f64] = ACTIONS(1108),
    [anon_sym_bool] = ACTIONS(1108),
    [anon_sym_rune] = ACTIONS(1108),
    [anon_sym_map] = ACTIONS(1108),
    [anon_sym_mapnode] = ACTIONS(1108),
    [anon_sym_size_t] = ACTIONS(1108),
    [anon_sym_usize] = ACTIONS(1108),
    [anon_sym_isize] = ACTIONS(1108),
    [anon_sym_float_literal] = ACTIONS(1108),
    [anon_sym_int_literal] = ACTIONS(1108),
    [anon_sym_IError] = ACTIONS(1108),
    [sym_type_placeholder] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [sym_type_identifier] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_COLON_EQ] = ACTIONS(1106),
    [anon_sym_STAR_EQ] = ACTIONS(1106),
    [anon_sym_SLASH_EQ] = ACTIONS(1106),
    [anon_sym_PERCENT_EQ] = ACTIONS(1106),
    [anon_sym_LT_LT_EQ] = ACTIONS(1106),
    [anon_sym_GT_GT_EQ] = ACTIONS(1106),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1106),
    [anon_sym_AMP_EQ] = ACTIONS(1106),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1106),
    [anon_sym_PLUS_EQ] = ACTIONS(1106),
    [anon_sym_DASH_EQ] = ACTIONS(1106),
    [anon_sym_PIPE_EQ] = ACTIONS(1106),
    [anon_sym_CARET_EQ] = ACTIONS(1106),
    [anon_sym_EQ] = ACTIONS(1108),
    [anon_sym_assert] = ACTIONS(1108),
    [anon_sym_defer] = ACTIONS(1108),
    [anon_sym_unsafe] = ACTIONS(1108),
    [anon_sym_fn] = ACTIONS(1108),
    [anon_sym_asm] = ACTIONS(1108),
    [anon_sym_break] = ACTIONS(1108),
    [anon_sym_continue] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1108),
    [anon_sym_go] = ACTIONS(1108),
    [anon_sym_spawn] = ACTIONS(1108),
    [anon_sym_goto] = ACTIONS(1108),
    [anon_sym_for] = ACTIONS(1108),
    [anon_sym_DOLLARfor] = ACTIONS(1106),
    [anon_sym_DOLLARif] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_is] = ACTIONS(1108),
    [anon_sym_BANGis] = ACTIONS(1106),
    [anon_sym_POUND] = ACTIONS(1106),
    [anon_sym_match] = ACTIONS(1108),
    [anon_sym_select] = ACTIONS(1108),
    [anon_sym_lock] = ACTIONS(1108),
    [anon_sym_rlock] = ACTIONS(1108),
    [sym__automatic_separator] = ACTIONS(1106),
    [sym__c_string_opening] = ACTIONS(1106),
    [sym__raw_string_opening] = ACTIONS(1106),
    [sym__string_opening] = ACTIONS(1106),
    [sym__comment] = ACTIONS(3),
  },
  [823] = {
    [sym__expression] = STATE(2733),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(823),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [824] = {
    [sym_comment] = STATE(824),
    [sym_identifier] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_LT_DASH] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_GT_GT_GT] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1182),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_in] = ACTIONS(1182),
    [anon_sym_BANGin] = ACTIONS(1180),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_as] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [sym_none] = ACTIONS(1182),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [anon_sym_COLON] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_map_LBRACK] = ACTIONS(1180),
    [anon_sym_chan] = ACTIONS(1182),
    [anon_sym_shared] = ACTIONS(1182),
    [anon_sym_thread] = ACTIONS(1182),
    [sym_int_literal] = ACTIONS(1182),
    [sym_float_literal] = ACTIONS(1180),
    [sym_rune_literal] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_array] = ACTIONS(1182),
    [anon_sym_string] = ACTIONS(1182),
    [anon_sym_char] = ACTIONS(1182),
    [anon_sym_sql] = ACTIONS(1182),
    [anon_sym_mut] = ACTIONS(1182),
    [anon_sym_C] = ACTIONS(1182),
    [anon_sym_JS] = ACTIONS(1182),
    [anon_sym_LT2] = ACTIONS(1182),
    [anon_sym_voidptr] = ACTIONS(1182),
    [anon_sym_byteptr] = ACTIONS(1182),
    [anon_sym_charptr] = ACTIONS(1182),
    [anon_sym_i8] = ACTIONS(1182),
    [anon_sym_i16] = ACTIONS(1182),
    [anon_sym_i32] = ACTIONS(1182),
    [anon_sym_int] = ACTIONS(1182),
    [anon_sym_i64] = ACTIONS(1182),
    [anon_sym_byte] = ACTIONS(1182),
    [anon_sym_u8] = ACTIONS(1182),
    [anon_sym_u16] = ACTIONS(1182),
    [anon_sym_u32] = ACTIONS(1182),
    [anon_sym_u64] = ACTIONS(1182),
    [anon_sym_f32] = ACTIONS(1182),
    [anon_sym_f64] = ACTIONS(1182),
    [anon_sym_bool] = ACTIONS(1182),
    [anon_sym_rune] = ACTIONS(1182),
    [anon_sym_map] = ACTIONS(1182),
    [anon_sym_mapnode] = ACTIONS(1182),
    [anon_sym_size_t] = ACTIONS(1182),
    [anon_sym_usize] = ACTIONS(1182),
    [anon_sym_isize] = ACTIONS(1182),
    [anon_sym_float_literal] = ACTIONS(1182),
    [anon_sym_int_literal] = ACTIONS(1182),
    [anon_sym_IError] = ACTIONS(1182),
    [sym_type_placeholder] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [sym_type_identifier] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_COLON_EQ] = ACTIONS(1180),
    [anon_sym_STAR_EQ] = ACTIONS(1180),
    [anon_sym_SLASH_EQ] = ACTIONS(1180),
    [anon_sym_PERCENT_EQ] = ACTIONS(1180),
    [anon_sym_LT_LT_EQ] = ACTIONS(1180),
    [anon_sym_GT_GT_EQ] = ACTIONS(1180),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1180),
    [anon_sym_AMP_EQ] = ACTIONS(1180),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1180),
    [anon_sym_PLUS_EQ] = ACTIONS(1180),
    [anon_sym_DASH_EQ] = ACTIONS(1180),
    [anon_sym_PIPE_EQ] = ACTIONS(1180),
    [anon_sym_CARET_EQ] = ACTIONS(1180),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_assert] = ACTIONS(1182),
    [anon_sym_defer] = ACTIONS(1182),
    [anon_sym_unsafe] = ACTIONS(1182),
    [anon_sym_fn] = ACTIONS(1182),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_go] = ACTIONS(1182),
    [anon_sym_spawn] = ACTIONS(1182),
    [anon_sym_goto] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_DOLLARfor] = ACTIONS(1180),
    [anon_sym_DOLLARif] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_is] = ACTIONS(1182),
    [anon_sym_BANGis] = ACTIONS(1180),
    [anon_sym_POUND] = ACTIONS(1180),
    [anon_sym_match] = ACTIONS(1182),
    [anon_sym_select] = ACTIONS(1182),
    [anon_sym_lock] = ACTIONS(1182),
    [anon_sym_rlock] = ACTIONS(1182),
    [sym__automatic_separator] = ACTIONS(1180),
    [sym__c_string_opening] = ACTIONS(1180),
    [sym__raw_string_opening] = ACTIONS(1180),
    [sym__string_opening] = ACTIONS(1180),
    [sym__comment] = ACTIONS(3),
  },
  [825] = {
    [sym__expression] = STATE(2974),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(825),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4469),
    [sym__mutable_expression_2] = STATE(4469),
    [sym_mutable_expression] = STATE(4469),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_LT_DASH] = ACTIONS(3140),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [826] = {
    [sym__expression] = STATE(2706),
    [sym_parenthesized_expression] = STATE(2693),
    [sym_unary_expression] = STATE(2693),
    [sym_binary_expression] = STATE(2693),
    [sym_as_type_cast_expression] = STATE(2693),
    [sym_type_cast_expression] = STATE(2693),
    [sym_call_expression] = STATE(2693),
    [sym_special_call_expression] = STATE(2693),
    [sym_comptime_identifier] = STATE(3833),
    [sym_comptime_selector_expression] = STATE(3888),
    [sym__expression_with_blocks] = STATE(2693),
    [sym__single_line_expression] = STATE(2693),
    [sym_comment] = STATE(826),
    [sym_type_initializer] = STATE(2693),
    [sym_map] = STATE(2693),
    [sym_array] = STATE(2693),
    [sym_fixed_array] = STATE(2693),
    [sym_fixed_array_type] = STATE(4337),
    [sym_array_type] = STATE(4337),
    [sym_pointer_type] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_channel_type] = STATE(4337),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2693),
    [sym_raw_string_literal] = STATE(2693),
    [sym_interpreted_string_literal] = STATE(2693),
    [sym__reserved_identifier] = STATE(2693),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4441),
    [sym__mutable_expression_2] = STATE(4441),
    [sym_mutable_expression] = STATE(4441),
    [sym_binded_identifier] = STATE(2517),
    [sym_empty_literal_value] = STATE(2693),
    [sym__simple_type] = STATE(5016),
    [sym_builtin_type] = STATE(4337),
    [sym__binded_type] = STATE(4337),
    [sym_generic_type] = STATE(4337),
    [sym_qualified_type] = STATE(3839),
    [sym_pseudo_comptime_identifier] = STATE(2698),
    [sym_unsafe_expression] = STATE(2691),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2693),
    [sym_sql_expression] = STATE(2691),
    [sym_selector_expression] = STATE(2522),
    [sym_index_expression] = STATE(2693),
    [sym_slice_expression] = STATE(2693),
    [sym_comptime_if_expression] = STATE(2691),
    [sym_if_expression] = STATE(2691),
    [sym_is_expression] = STATE(2693),
    [sym_type_selector_expression] = STATE(2698),
    [sym_match_expression] = STATE(2691),
    [sym_select_expression] = STATE(2691),
    [sym_lock_expression] = STATE(2691),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_CARET] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_LT_DASH] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3082),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3088),
    [sym_float_literal] = ACTIONS(3090),
    [sym_rune_literal] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_array] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_sql] = ACTIONS(3096),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3098),
    [anon_sym_JS] = ACTIONS(3098),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [sym_type_identifier] = ACTIONS(3104),
    [anon_sym_unsafe] = ACTIONS(3106),
    [anon_sym_fn] = ACTIONS(3108),
    [anon_sym_DOLLARif] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_match] = ACTIONS(3114),
    [anon_sym_select] = ACTIONS(3116),
    [anon_sym_lock] = ACTIONS(3118),
    [anon_sym_rlock] = ACTIONS(3118),
    [sym__c_string_opening] = ACTIONS(3120),
    [sym__raw_string_opening] = ACTIONS(3122),
    [sym__string_opening] = ACTIONS(3124),
    [sym__comment] = ACTIONS(3),
  },
  [827] = {
    [sym__expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(827),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4469),
    [sym__mutable_expression_2] = STATE(4469),
    [sym_mutable_expression] = STATE(4469),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_LT_DASH] = ACTIONS(3140),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [828] = {
    [sym__expression] = STATE(3022),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(828),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4469),
    [sym__mutable_expression_2] = STATE(4469),
    [sym_mutable_expression] = STATE(4469),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_LT_DASH] = ACTIONS(3140),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [829] = {
    [sym__expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(829),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(4632),
    [sym_binded_identifier] = STATE(575),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_sql_expression] = STATE(971),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [830] = {
    [sym__expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(830),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(4632),
    [sym_binded_identifier] = STATE(575),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_sql_expression] = STATE(971),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [831] = {
    [sym__expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(831),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(4632),
    [sym_binded_identifier] = STATE(575),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_sql_expression] = STATE(971),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [832] = {
    [sym__expression] = STATE(950),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(832),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(4632),
    [sym_binded_identifier] = STATE(575),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_sql_expression] = STATE(971),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [833] = {
    [sym__expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_as_type_cast_expression] = STATE(977),
    [sym_type_cast_expression] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_special_call_expression] = STATE(977),
    [sym_comptime_identifier] = STATE(3867),
    [sym_comptime_selector_expression] = STATE(3995),
    [sym__expression_with_blocks] = STATE(977),
    [sym__single_line_expression] = STATE(977),
    [sym_comment] = STATE(833),
    [sym_type_initializer] = STATE(977),
    [sym_map] = STATE(977),
    [sym_array] = STATE(977),
    [sym_fixed_array] = STATE(977),
    [sym_fixed_array_type] = STATE(4000),
    [sym_array_type] = STATE(4000),
    [sym_pointer_type] = STATE(4000),
    [sym_map_type] = STATE(4000),
    [sym_channel_type] = STATE(4000),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(977),
    [sym_raw_string_literal] = STATE(977),
    [sym_interpreted_string_literal] = STATE(977),
    [sym__reserved_identifier] = STATE(977),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4632),
    [sym__mutable_expression_2] = STATE(4632),
    [sym_mutable_expression] = STATE(4632),
    [sym_binded_identifier] = STATE(575),
    [sym_empty_literal_value] = STATE(977),
    [sym__simple_type] = STATE(4987),
    [sym_builtin_type] = STATE(4000),
    [sym__binded_type] = STATE(4000),
    [sym_generic_type] = STATE(4000),
    [sym_qualified_type] = STATE(3853),
    [sym_pseudo_comptime_identifier] = STATE(978),
    [sym_unsafe_expression] = STATE(971),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(977),
    [sym_sql_expression] = STATE(971),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(977),
    [sym_slice_expression] = STATE(977),
    [sym_comptime_if_expression] = STATE(971),
    [sym_if_expression] = STATE(971),
    [sym_is_expression] = STATE(977),
    [sym_type_selector_expression] = STATE(978),
    [sym_match_expression] = STATE(971),
    [sym_select_expression] = STATE(971),
    [sym_lock_expression] = STATE(971),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_LT_DASH] = ACTIONS(285),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(401),
    [sym_float_literal] = ACTIONS(299),
    [sym_rune_literal] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_array] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_char] = ACTIONS(303),
    [anon_sym_sql] = ACTIONS(305),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(307),
    [anon_sym_JS] = ACTIONS(307),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(309),
    [anon_sym_AT] = ACTIONS(311),
    [sym_type_identifier] = ACTIONS(403),
    [anon_sym_unsafe] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(321),
    [anon_sym_DOLLARif] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_select] = ACTIONS(349),
    [anon_sym_lock] = ACTIONS(351),
    [anon_sym_rlock] = ACTIONS(351),
    [sym__c_string_opening] = ACTIONS(353),
    [sym__raw_string_opening] = ACTIONS(355),
    [sym__string_opening] = ACTIONS(357),
    [sym__comment] = ACTIONS(3),
  },
  [834] = {
    [sym__expression] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(834),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [835] = {
    [sym__expression] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(835),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4058),
    [sym_array_type] = STATE(4058),
    [sym_pointer_type] = STATE(4058),
    [sym_map_type] = STATE(4058),
    [sym_channel_type] = STATE(4058),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4058),
    [sym__binded_type] = STATE(4058),
    [sym_generic_type] = STATE(4058),
    [sym_qualified_type] = STATE(3846),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(2868),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [836] = {
    [sym__expression] = STATE(3197),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(836),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [837] = {
    [sym__expression] = STATE(3236),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(837),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [838] = {
    [sym_comment] = STATE(838),
    [sym_identifier] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1120),
    [anon_sym_STAR] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(1120),
    [anon_sym_LT_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1120),
    [anon_sym_PERCENT] = ACTIONS(1120),
    [anon_sym_LT_LT] = ACTIONS(1120),
    [anon_sym_GT_GT] = ACTIONS(1120),
    [anon_sym_GT_GT_GT] = ACTIONS(1120),
    [anon_sym_AMP_CARET] = ACTIONS(1120),
    [anon_sym_PIPE] = ACTIONS(1120),
    [anon_sym_EQ_EQ] = ACTIONS(1118),
    [anon_sym_BANG_EQ] = ACTIONS(1118),
    [anon_sym_LT] = ACTIONS(1120),
    [anon_sym_LT_EQ] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1120),
    [anon_sym_GT_EQ] = ACTIONS(1118),
    [anon_sym_in] = ACTIONS(1120),
    [anon_sym_BANGin] = ACTIONS(1118),
    [anon_sym_AMP_AMP] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1118),
    [anon_sym_as] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [sym_none] = ACTIONS(1120),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [anon_sym_COLON] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_map_LBRACK] = ACTIONS(1118),
    [anon_sym_chan] = ACTIONS(1120),
    [anon_sym_shared] = ACTIONS(1120),
    [anon_sym_thread] = ACTIONS(1120),
    [sym_int_literal] = ACTIONS(1120),
    [sym_float_literal] = ACTIONS(1118),
    [sym_rune_literal] = ACTIONS(1118),
    [anon_sym_DOT] = ACTIONS(1120),
    [anon_sym_array] = ACTIONS(1120),
    [anon_sym_string] = ACTIONS(1120),
    [anon_sym_char] = ACTIONS(1120),
    [anon_sym_sql] = ACTIONS(1120),
    [anon_sym_mut] = ACTIONS(1120),
    [anon_sym_C] = ACTIONS(1120),
    [anon_sym_JS] = ACTIONS(1120),
    [anon_sym_LT2] = ACTIONS(1120),
    [anon_sym_voidptr] = ACTIONS(1120),
    [anon_sym_byteptr] = ACTIONS(1120),
    [anon_sym_charptr] = ACTIONS(1120),
    [anon_sym_i8] = ACTIONS(1120),
    [anon_sym_i16] = ACTIONS(1120),
    [anon_sym_i32] = ACTIONS(1120),
    [anon_sym_int] = ACTIONS(1120),
    [anon_sym_i64] = ACTIONS(1120),
    [anon_sym_byte] = ACTIONS(1120),
    [anon_sym_u8] = ACTIONS(1120),
    [anon_sym_u16] = ACTIONS(1120),
    [anon_sym_u32] = ACTIONS(1120),
    [anon_sym_u64] = ACTIONS(1120),
    [anon_sym_f32] = ACTIONS(1120),
    [anon_sym_f64] = ACTIONS(1120),
    [anon_sym_bool] = ACTIONS(1120),
    [anon_sym_rune] = ACTIONS(1120),
    [anon_sym_map] = ACTIONS(1120),
    [anon_sym_mapnode] = ACTIONS(1120),
    [anon_sym_size_t] = ACTIONS(1120),
    [anon_sym_usize] = ACTIONS(1120),
    [anon_sym_isize] = ACTIONS(1120),
    [anon_sym_float_literal] = ACTIONS(1120),
    [anon_sym_int_literal] = ACTIONS(1120),
    [anon_sym_IError] = ACTIONS(1120),
    [sym_type_placeholder] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [sym_type_identifier] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_COLON_EQ] = ACTIONS(1118),
    [anon_sym_STAR_EQ] = ACTIONS(1118),
    [anon_sym_SLASH_EQ] = ACTIONS(1118),
    [anon_sym_PERCENT_EQ] = ACTIONS(1118),
    [anon_sym_LT_LT_EQ] = ACTIONS(1118),
    [anon_sym_GT_GT_EQ] = ACTIONS(1118),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1118),
    [anon_sym_AMP_EQ] = ACTIONS(1118),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(1118),
    [anon_sym_DASH_EQ] = ACTIONS(1118),
    [anon_sym_PIPE_EQ] = ACTIONS(1118),
    [anon_sym_CARET_EQ] = ACTIONS(1118),
    [anon_sym_EQ] = ACTIONS(1120),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_defer] = ACTIONS(1120),
    [anon_sym_unsafe] = ACTIONS(1120),
    [anon_sym_fn] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_go] = ACTIONS(1120),
    [anon_sym_spawn] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_DOLLARfor] = ACTIONS(1118),
    [anon_sym_DOLLARif] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_is] = ACTIONS(1120),
    [anon_sym_BANGis] = ACTIONS(1118),
    [anon_sym_POUND] = ACTIONS(1118),
    [anon_sym_match] = ACTIONS(1120),
    [anon_sym_select] = ACTIONS(1120),
    [anon_sym_lock] = ACTIONS(1120),
    [anon_sym_rlock] = ACTIONS(1120),
    [sym__automatic_separator] = ACTIONS(1118),
    [sym__c_string_opening] = ACTIONS(1118),
    [sym__raw_string_opening] = ACTIONS(1118),
    [sym__string_opening] = ACTIONS(1118),
    [sym__comment] = ACTIONS(3),
  },
  [839] = {
    [sym__expression] = STATE(1134),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(839),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [840] = {
    [sym__expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(840),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [841] = {
    [sym__expression] = STATE(2864),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(841),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [842] = {
    [sym__expression] = STATE(3237),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(842),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [843] = {
    [sym__expression] = STATE(3238),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(843),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [844] = {
    [sym__expression] = STATE(3172),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(844),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [845] = {
    [sym__expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(845),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [846] = {
    [sym__expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(846),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4362),
    [sym_array_type] = STATE(4362),
    [sym_pointer_type] = STATE(4362),
    [sym_map_type] = STATE(4362),
    [sym_channel_type] = STATE(4362),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4362),
    [sym__binded_type] = STATE(4362),
    [sym_generic_type] = STATE(4362),
    [sym_qualified_type] = STATE(3847),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_CARET] = ACTIONS(684),
    [anon_sym_STAR] = ACTIONS(684),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_LT_DASH] = ACTIONS(684),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(2952),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(724),
    [anon_sym_lock] = ACTIONS(726),
    [anon_sym_rlock] = ACTIONS(726),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [847] = {
    [sym__expression] = STATE(3313),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(847),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(3004),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2631),
    [sym_index_expression] = STATE(3011),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(2792),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [848] = {
    [sym__expression] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(848),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [849] = {
    [sym__expression] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(849),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4058),
    [sym_array_type] = STATE(4058),
    [sym_pointer_type] = STATE(4058),
    [sym_map_type] = STATE(4058),
    [sym_channel_type] = STATE(4058),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4058),
    [sym__binded_type] = STATE(4058),
    [sym_generic_type] = STATE(4058),
    [sym_qualified_type] = STATE(3846),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_LT_DASH] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(2868),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(933),
    [anon_sym_lock] = ACTIONS(935),
    [anon_sym_rlock] = ACTIONS(935),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [850] = {
    [sym__expression] = STATE(3405),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(850),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3997),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [851] = {
    [sym__expression] = STATE(1127),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_unary_expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_as_type_cast_expression] = STATE(1042),
    [sym_type_cast_expression] = STATE(1042),
    [sym_call_expression] = STATE(1042),
    [sym_special_call_expression] = STATE(1042),
    [sym_comptime_identifier] = STATE(3865),
    [sym_comptime_selector_expression] = STATE(3934),
    [sym__expression_with_blocks] = STATE(1042),
    [sym__single_line_expression] = STATE(1042),
    [sym_comment] = STATE(851),
    [sym_type_initializer] = STATE(1042),
    [sym_map] = STATE(1042),
    [sym_array] = STATE(1042),
    [sym_fixed_array] = STATE(1042),
    [sym_fixed_array_type] = STATE(4168),
    [sym_array_type] = STATE(4168),
    [sym_pointer_type] = STATE(4168),
    [sym_map_type] = STATE(4168),
    [sym_channel_type] = STATE(4168),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(1042),
    [sym_raw_string_literal] = STATE(1042),
    [sym_interpreted_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4595),
    [sym__mutable_expression_2] = STATE(4595),
    [sym_mutable_expression] = STATE(4595),
    [sym_binded_identifier] = STATE(998),
    [sym_empty_literal_value] = STATE(1042),
    [sym__simple_type] = STATE(4998),
    [sym_builtin_type] = STATE(4168),
    [sym__binded_type] = STATE(4168),
    [sym_generic_type] = STATE(4168),
    [sym_qualified_type] = STATE(3857),
    [sym_pseudo_comptime_identifier] = STATE(1104),
    [sym_unsafe_expression] = STATE(1051),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(1042),
    [sym_sql_expression] = STATE(1051),
    [sym_selector_expression] = STATE(992),
    [sym_index_expression] = STATE(1042),
    [sym_slice_expression] = STATE(1042),
    [sym_comptime_if_expression] = STATE(1051),
    [sym_if_expression] = STATE(1051),
    [sym_is_expression] = STATE(1042),
    [sym_type_selector_expression] = STATE(1104),
    [sym_match_expression] = STATE(1051),
    [sym_select_expression] = STATE(1051),
    [sym_lock_expression] = STATE(1051),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_CARET] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_LT_DASH] = ACTIONS(2946),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(694),
    [sym_float_literal] = ACTIONS(696),
    [sym_rune_literal] = ACTIONS(696),
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_array] = ACTIONS(700),
    [anon_sym_string] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_sql] = ACTIONS(702),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(704),
    [anon_sym_JS] = ACTIONS(704),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(708),
    [sym_type_identifier] = ACTIONS(710),
    [anon_sym_unsafe] = ACTIONS(714),
    [anon_sym_fn] = ACTIONS(716),
    [anon_sym_DOLLARif] = ACTIONS(718),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_match] = ACTIONS(722),
    [anon_sym_select] = ACTIONS(2954),
    [anon_sym_lock] = ACTIONS(2956),
    [anon_sym_rlock] = ACTIONS(2956),
    [sym__c_string_opening] = ACTIONS(728),
    [sym__raw_string_opening] = ACTIONS(730),
    [sym__string_opening] = ACTIONS(732),
    [sym__comment] = ACTIONS(3),
  },
  [852] = {
    [sym__expression] = STATE(2685),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(852),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [853] = {
    [sym__expression] = STATE(2778),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(853),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [854] = {
    [sym__expression] = STATE(2684),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(854),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [855] = {
    [sym__expression] = STATE(3166),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(855),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(632),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(3635),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_CARET] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_LT_DASH] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1632),
    [anon_sym_lock] = ACTIONS(1634),
    [anon_sym_rlock] = ACTIONS(1634),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [856] = {
    [sym__expression] = STATE(3137),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(856),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [857] = {
    [sym__expression] = STATE(3134),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(857),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [858] = {
    [sym__expression] = STATE(3126),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(858),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [859] = {
    [sym__expression] = STATE(2864),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(859),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [860] = {
    [sym__expression] = STATE(3124),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(860),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [861] = {
    [sym__expression] = STATE(2871),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(861),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [862] = {
    [sym__expression] = STATE(2869),
    [sym_parenthesized_expression] = STATE(2777),
    [sym_unary_expression] = STATE(2777),
    [sym_binary_expression] = STATE(2777),
    [sym_as_type_cast_expression] = STATE(2777),
    [sym_type_cast_expression] = STATE(2777),
    [sym_call_expression] = STATE(2777),
    [sym_special_call_expression] = STATE(2777),
    [sym_comptime_identifier] = STATE(3820),
    [sym_comptime_selector_expression] = STATE(3908),
    [sym__expression_with_blocks] = STATE(2777),
    [sym__single_line_expression] = STATE(2777),
    [sym_comment] = STATE(862),
    [sym_type_initializer] = STATE(2777),
    [sym_map] = STATE(2777),
    [sym_array] = STATE(2777),
    [sym_fixed_array] = STATE(2777),
    [sym_fixed_array_type] = STATE(4241),
    [sym_array_type] = STATE(4241),
    [sym_pointer_type] = STATE(4241),
    [sym_map_type] = STATE(4241),
    [sym_channel_type] = STATE(4241),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2777),
    [sym_raw_string_literal] = STATE(2777),
    [sym_interpreted_string_literal] = STATE(2777),
    [sym__reserved_identifier] = STATE(2777),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4451),
    [sym__mutable_expression_2] = STATE(4451),
    [sym_mutable_expression] = STATE(4451),
    [sym_binded_identifier] = STATE(2511),
    [sym_empty_literal_value] = STATE(2777),
    [sym__simple_type] = STATE(5014),
    [sym_builtin_type] = STATE(4241),
    [sym__binded_type] = STATE(4241),
    [sym_generic_type] = STATE(4241),
    [sym_qualified_type] = STATE(3819),
    [sym_pseudo_comptime_identifier] = STATE(2763),
    [sym_unsafe_expression] = STATE(2830),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2777),
    [sym_sql_expression] = STATE(2830),
    [sym_selector_expression] = STATE(2515),
    [sym_index_expression] = STATE(2777),
    [sym_slice_expression] = STATE(2777),
    [sym_comptime_if_expression] = STATE(2830),
    [sym_if_expression] = STATE(2830),
    [sym_is_expression] = STATE(2777),
    [sym_type_selector_expression] = STATE(2763),
    [sym_match_expression] = STATE(2830),
    [sym_select_expression] = STATE(2830),
    [sym_lock_expression] = STATE(2830),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_LT_DASH] = ACTIONS(3148),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(3030),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_rune_literal] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_array] = ACTIONS(3042),
    [anon_sym_string] = ACTIONS(3042),
    [anon_sym_char] = ACTIONS(3042),
    [anon_sym_sql] = ACTIONS(3044),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3050),
    [sym_type_identifier] = ACTIONS(3052),
    [anon_sym_unsafe] = ACTIONS(3054),
    [anon_sym_fn] = ACTIONS(3056),
    [anon_sym_DOLLARif] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_match] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(3064),
    [anon_sym_lock] = ACTIONS(3066),
    [anon_sym_rlock] = ACTIONS(3066),
    [sym__c_string_opening] = ACTIONS(3068),
    [sym__raw_string_opening] = ACTIONS(3070),
    [sym__string_opening] = ACTIONS(3072),
    [sym__comment] = ACTIONS(3),
  },
  [863] = {
    [sym__expression] = STATE(3414),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(863),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4100),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [864] = {
    [sym__expression] = STATE(3437),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(864),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4078),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [865] = {
    [sym__expression] = STATE(3449),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(865),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4071),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [866] = {
    [sym__expression] = STATE(3423),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(866),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4054),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [867] = {
    [sym__expression] = STATE(3395),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(867),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4039),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [868] = {
    [sym__expression] = STATE(3390),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(868),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4024),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [869] = {
    [sym__expression] = STATE(3438),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(869),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4008),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [870] = {
    [sym__expression] = STATE(264),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(870),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4355),
    [sym_array_type] = STATE(4355),
    [sym_pointer_type] = STATE(4355),
    [sym_map_type] = STATE(4355),
    [sym_channel_type] = STATE(4355),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(4410),
    [sym_binded_identifier] = STATE(111),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(3964),
    [sym_builtin_type] = STATE(4355),
    [sym__binded_type] = STATE(4355),
    [sym_generic_type] = STATE(4355),
    [sym_qualified_type] = STATE(3840),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_sql_expression] = STATE(283),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_type_selector_expression] = STATE(172),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(3204),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_fn] = ACTIONS(642),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [871] = {
    [sym__expression] = STATE(264),
    [sym_parenthesized_expression] = STATE(194),
    [sym_unary_expression] = STATE(194),
    [sym_binary_expression] = STATE(194),
    [sym_as_type_cast_expression] = STATE(194),
    [sym_type_cast_expression] = STATE(194),
    [sym_call_expression] = STATE(194),
    [sym_special_call_expression] = STATE(194),
    [sym_comptime_identifier] = STATE(3795),
    [sym_comptime_selector_expression] = STATE(3896),
    [sym__expression_with_blocks] = STATE(194),
    [sym__single_line_expression] = STATE(194),
    [sym_comment] = STATE(871),
    [sym_type_initializer] = STATE(194),
    [sym_map] = STATE(194),
    [sym_array] = STATE(194),
    [sym_fixed_array] = STATE(194),
    [sym_fixed_array_type] = STATE(4308),
    [sym_array_type] = STATE(4308),
    [sym_pointer_type] = STATE(4308),
    [sym_map_type] = STATE(4308),
    [sym_channel_type] = STATE(4308),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(194),
    [sym_raw_string_literal] = STATE(194),
    [sym_interpreted_string_literal] = STATE(194),
    [sym__reserved_identifier] = STATE(194),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4410),
    [sym__mutable_expression_2] = STATE(4410),
    [sym_mutable_expression] = STATE(4410),
    [sym_binded_identifier] = STATE(111),
    [sym_empty_literal_value] = STATE(194),
    [sym__simple_type] = STATE(4947),
    [sym_builtin_type] = STATE(4308),
    [sym__binded_type] = STATE(4308),
    [sym_generic_type] = STATE(4308),
    [sym_qualified_type] = STATE(3785),
    [sym_pseudo_comptime_identifier] = STATE(172),
    [sym_unsafe_expression] = STATE(283),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(194),
    [sym_sql_expression] = STATE(283),
    [sym_selector_expression] = STATE(92),
    [sym_index_expression] = STATE(194),
    [sym_slice_expression] = STATE(194),
    [sym_comptime_if_expression] = STATE(283),
    [sym_if_expression] = STATE(283),
    [sym_is_expression] = STATE(194),
    [sym_type_selector_expression] = STATE(172),
    [sym_match_expression] = STATE(283),
    [sym_select_expression] = STATE(283),
    [sym_lock_expression] = STATE(283),
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(11),
    [anon_sym_BANG] = ACTIONS(11),
    [anon_sym_TILDE] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(11),
    [anon_sym_AMP] = ACTIONS(13),
    [anon_sym_LT_DASH] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(17),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(31),
    [sym_float_literal] = ACTIONS(33),
    [sym_rune_literal] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_array] = ACTIONS(37),
    [anon_sym_string] = ACTIONS(37),
    [anon_sym_char] = ACTIONS(37),
    [anon_sym_sql] = ACTIONS(39),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(43),
    [anon_sym_JS] = ACTIONS(43),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [sym_type_identifier] = ACTIONS(51),
    [anon_sym_unsafe] = ACTIONS(57),
    [anon_sym_fn] = ACTIONS(642),
    [anon_sym_DOLLARif] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_match] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(105),
    [anon_sym_lock] = ACTIONS(107),
    [anon_sym_rlock] = ACTIONS(107),
    [sym__c_string_opening] = ACTIONS(109),
    [sym__raw_string_opening] = ACTIONS(111),
    [sym__string_opening] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
  },
  [872] = {
    [sym__expression] = STATE(3397),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(872),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(710),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4585),
    [sym_binded_identifier] = STATE(2547),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(1965),
    [anon_sym_lock] = ACTIONS(1967),
    [anon_sym_rlock] = ACTIONS(1967),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [873] = {
    [sym__expression] = STATE(3441),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(873),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4018),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [874] = {
    [sym__expression] = STATE(3399),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(874),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4050),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [875] = {
    [sym__expression] = STATE(3396),
    [sym_parenthesized_expression] = STATE(2681),
    [sym_unary_expression] = STATE(2681),
    [sym_binary_expression] = STATE(2681),
    [sym_as_type_cast_expression] = STATE(2681),
    [sym_type_cast_expression] = STATE(2681),
    [sym_call_expression] = STATE(2681),
    [sym_special_call_expression] = STATE(2681),
    [sym_comptime_identifier] = STATE(3824),
    [sym_comptime_selector_expression] = STATE(3956),
    [sym__expression_with_blocks] = STATE(2681),
    [sym__single_line_expression] = STATE(2681),
    [sym_comment] = STATE(875),
    [sym_type_initializer] = STATE(2681),
    [sym_map] = STATE(2681),
    [sym_array] = STATE(2681),
    [sym_fixed_array] = STATE(2681),
    [sym_fixed_array_type] = STATE(4354),
    [sym_array_type] = STATE(4354),
    [sym_pointer_type] = STATE(4354),
    [sym_map_type] = STATE(4354),
    [sym_channel_type] = STATE(4354),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_c_string_literal] = STATE(2681),
    [sym_raw_string_literal] = STATE(2681),
    [sym_interpreted_string_literal] = STATE(2681),
    [sym__reserved_identifier] = STATE(2681),
    [sym__mutable_prefix] = STATE(581),
    [sym_mutable_identifier] = STATE(4585),
    [sym__mutable_expression_2] = STATE(4585),
    [sym_mutable_expression] = STATE(4070),
    [sym_binded_identifier] = STATE(2891),
    [sym_empty_literal_value] = STATE(2681),
    [sym__simple_type] = STATE(4923),
    [sym_builtin_type] = STATE(4354),
    [sym__binded_type] = STATE(4354),
    [sym_generic_type] = STATE(4354),
    [sym_qualified_type] = STATE(3805),
    [sym_pseudo_comptime_identifier] = STATE(2670),
    [sym_unsafe_expression] = STATE(2692),
    [sym_function_type] = STATE(3654),
    [sym_fn_literal] = STATE(2681),
    [sym_sql_expression] = STATE(2692),
    [sym_selector_expression] = STATE(2510),
    [sym_index_expression] = STATE(2681),
    [sym_slice_expression] = STATE(2681),
    [sym_comptime_if_expression] = STATE(2692),
    [sym_if_expression] = STATE(2692),
    [sym_is_expression] = STATE(2681),
    [sym_type_selector_expression] = STATE(2670),
    [sym_match_expression] = STATE(2692),
    [sym_select_expression] = STATE(2692),
    [sym_lock_expression] = STATE(2692),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_DASH] = ACTIONS(2794),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [sym_none] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(27),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(1260),
    [sym_float_literal] = ACTIONS(907),
    [sym_rune_literal] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_array] = ACTIONS(911),
    [anon_sym_string] = ACTIONS(911),
    [anon_sym_char] = ACTIONS(911),
    [anon_sym_sql] = ACTIONS(913),
    [anon_sym_mut] = ACTIONS(41),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(917),
    [sym_type_identifier] = ACTIONS(1262),
    [anon_sym_unsafe] = ACTIONS(921),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_DOLLARif] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(931),
    [anon_sym_select] = ACTIONS(2798),
    [anon_sym_lock] = ACTIONS(2800),
    [anon_sym_rlock] = ACTIONS(2800),
    [sym__c_string_opening] = ACTIONS(937),
    [sym__raw_string_opening] = ACTIONS(939),
    [sym__string_opening] = ACTIONS(941),
    [sym__comment] = ACTIONS(3),
  },
  [876] = {
    [sym_comment] = STATE(876),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_LT_DASH] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1428),
    [anon_sym_LT_LT] = ACTIONS(1428),
    [anon_sym_GT_GT] = ACTIONS(1428),
    [anon_sym_GT_GT_GT] = ACTIONS(1428),
    [anon_sym_AMP_CARET] = ACTIONS(1428),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_BANGin] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_as] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [sym_none] = ACTIONS(1428),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_COLON] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_map_LBRACK] = ACTIONS(1426),
    [anon_sym_chan] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_thread] = ACTIONS(1428),
    [sym_int_literal] = ACTIONS(1428),
    [sym_float_literal] = ACTIONS(1426),
    [sym_rune_literal] = ACTIONS(1426),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_array] = ACTIONS(1428),
    [anon_sym_string] = ACTIONS(1428),
    [anon_sym_char] = ACTIONS(1428),
    [anon_sym_sql] = ACTIONS(1428),
    [anon_sym_mut] = ACTIONS(1428),
    [anon_sym_C] = ACTIONS(1428),
    [anon_sym_JS] = ACTIONS(1428),
    [anon_sym_voidptr] = ACTIONS(1428),
    [anon_sym_byteptr] = ACTIONS(1428),
    [anon_sym_charptr] = ACTIONS(1428),
    [anon_sym_i8] = ACTIONS(1428),
    [anon_sym_i16] = ACTIONS(1428),
    [anon_sym_i32] = ACTIONS(1428),
    [anon_sym_int] = ACTIONS(1428),
    [anon_sym_i64] = ACTIONS(1428),
    [anon_sym_byte] = ACTIONS(1428),
    [anon_sym_u8] = ACTIONS(1428),
    [anon_sym_u16] = ACTIONS(1428),
    [anon_sym_u32] = ACTIONS(1428),
    [anon_sym_u64] = ACTIONS(1428),
    [anon_sym_f32] = ACTIONS(1428),
    [anon_sym_f64] = ACTIONS(1428),
    [anon_sym_bool] = ACTIONS(1428),
    [anon_sym_rune] = ACTIONS(1428),
    [anon_sym_map] = ACTIONS(1428),
    [anon_sym_mapnode] = ACTIONS(1428),
    [anon_sym_size_t] = ACTIONS(1428),
    [anon_sym_usize] = ACTIONS(1428),
    [anon_sym_isize] = ACTIONS(1428),
    [anon_sym_float_literal] = ACTIONS(1428),
    [anon_sym_int_literal] = ACTIONS(1428),
    [anon_sym_IError] = ACTIONS(1428),
    [sym_type_placeholder] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [sym_type_identifier] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_COLON_EQ] = ACTIONS(1426),
    [anon_sym_STAR_EQ] = ACTIONS(1426),
    [anon_sym_SLASH_EQ] = ACTIONS(1426),
    [anon_sym_PERCENT_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT_EQ] = ACTIONS(1426),
    [anon_sym_GT_GT_EQ] = ACTIONS(1426),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1426),
    [anon_sym_AMP_EQ] = ACTIONS(1426),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1426),
    [anon_sym_PLUS_EQ] = ACTIONS(1426),
    [anon_sym_DASH_EQ] = ACTIONS(1426),
    [anon_sym_PIPE_EQ] = ACTIONS(1426),
    [anon_sym_CARET_EQ] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_assert] = ACTIONS(1428),
    [anon_sym_defer] = ACTIONS(1428),
    [anon_sym_unsafe] = ACTIONS(1428),
    [anon_sym_fn] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_go] = ACTIONS(1428),
    [anon_sym_spawn] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_DOLLARfor] = ACTIONS(1426),
    [anon_sym_DOLLARif] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_is] = ACTIONS(1428),
    [anon_sym_BANGis] = ACTIONS(1426),
    [anon_sym_POUND] = ACTIONS(1426),
    [anon_sym_match] = ACTIONS(1428),
    [anon_sym_select] = ACTIONS(1428),
    [anon_sym_lock] = ACTIONS(1428),
    [anon_sym_rlock] = ACTIONS(1428),
    [sym__automatic_separator] = ACTIONS(1426),
    [sym__c_string_opening] = ACTIONS(1426),
    [sym__raw_string_opening] = ACTIONS(1426),
    [sym__string_opening] = ACTIONS(1426),
    [sym__comment] = ACTIONS(3),
  },
  [877] = {
    [sym_comment] = STATE(877),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1198),
    [anon_sym_AMP_CARET] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_LT2] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_COLON_EQ] = ACTIONS(1196),
    [anon_sym_STAR_EQ] = ACTIONS(1196),
    [anon_sym_SLASH_EQ] = ACTIONS(1196),
    [anon_sym_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_LT_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_AMP_EQ] = ACTIONS(1196),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1196),
    [anon_sym_DASH_EQ] = ACTIONS(1196),
    [anon_sym_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_CARET_EQ] = ACTIONS(1196),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [878] = {
    [sym_comment] = STATE(878),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_LT_DASH] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1140),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1140),
    [anon_sym_AMP_CARET] = ACTIONS(1140),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1138),
    [sym_none] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [sym_int_literal] = ACTIONS(1140),
    [sym_float_literal] = ACTIONS(1138),
    [sym_rune_literal] = ACTIONS(1138),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_sql] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_COLON_EQ] = ACTIONS(1138),
    [anon_sym_STAR_EQ] = ACTIONS(1138),
    [anon_sym_SLASH_EQ] = ACTIONS(1138),
    [anon_sym_PERCENT_EQ] = ACTIONS(1138),
    [anon_sym_LT_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT_GT_EQ] = ACTIONS(1138),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1138),
    [anon_sym_AMP_EQ] = ACTIONS(1138),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1138),
    [anon_sym_PLUS_EQ] = ACTIONS(1138),
    [anon_sym_DASH_EQ] = ACTIONS(1138),
    [anon_sym_PIPE_EQ] = ACTIONS(1138),
    [anon_sym_CARET_EQ] = ACTIONS(1138),
    [anon_sym_EQ] = ACTIONS(1140),
    [anon_sym_assert] = ACTIONS(1140),
    [anon_sym_defer] = ACTIONS(1140),
    [anon_sym_unsafe] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_go] = ACTIONS(1140),
    [anon_sym_spawn] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_DOLLARfor] = ACTIONS(1138),
    [anon_sym_DOLLARif] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [anon_sym_POUND] = ACTIONS(1138),
    [anon_sym_match] = ACTIONS(1140),
    [anon_sym_select] = ACTIONS(1140),
    [anon_sym_lock] = ACTIONS(1140),
    [anon_sym_rlock] = ACTIONS(1140),
    [sym__automatic_separator] = ACTIONS(1138),
    [sym__c_string_opening] = ACTIONS(1138),
    [sym__raw_string_opening] = ACTIONS(1138),
    [sym__string_opening] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [879] = {
    [sym_comment] = STATE(879),
    [sym__content_block] = STATE(960),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_COLON_EQ] = ACTIONS(1102),
    [anon_sym_STAR_EQ] = ACTIONS(1102),
    [anon_sym_SLASH_EQ] = ACTIONS(1102),
    [anon_sym_PERCENT_EQ] = ACTIONS(1102),
    [anon_sym_LT_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_AMP_EQ] = ACTIONS(1102),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1102),
    [anon_sym_PLUS_EQ] = ACTIONS(1102),
    [anon_sym_DASH_EQ] = ACTIONS(1102),
    [anon_sym_PIPE_EQ] = ACTIONS(1102),
    [anon_sym_CARET_EQ] = ACTIONS(1102),
    [anon_sym_EQ] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [880] = {
    [sym_comment] = STATE(880),
    [sym_argument_list] = STATE(932),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1210),
    [anon_sym_PERCENT] = ACTIONS(1210),
    [anon_sym_LT_LT] = ACTIONS(1210),
    [anon_sym_GT_GT] = ACTIONS(1210),
    [anon_sym_GT_GT_GT] = ACTIONS(1210),
    [anon_sym_AMP_CARET] = ACTIONS(1210),
    [anon_sym_PIPE] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1210),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_in] = ACTIONS(1210),
    [anon_sym_BANGin] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_as] = ACTIONS(1210),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [sym_none] = ACTIONS(1210),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_map_LBRACK] = ACTIONS(1208),
    [anon_sym_chan] = ACTIONS(1210),
    [anon_sym_shared] = ACTIONS(1210),
    [anon_sym_thread] = ACTIONS(1210),
    [sym_int_literal] = ACTIONS(1210),
    [sym_float_literal] = ACTIONS(1208),
    [sym_rune_literal] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1210),
    [anon_sym_array] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_char] = ACTIONS(1210),
    [anon_sym_sql] = ACTIONS(1210),
    [anon_sym_mut] = ACTIONS(1210),
    [anon_sym_C] = ACTIONS(1210),
    [anon_sym_JS] = ACTIONS(1210),
    [anon_sym_voidptr] = ACTIONS(1210),
    [anon_sym_byteptr] = ACTIONS(1210),
    [anon_sym_charptr] = ACTIONS(1210),
    [anon_sym_i8] = ACTIONS(1210),
    [anon_sym_i16] = ACTIONS(1210),
    [anon_sym_i32] = ACTIONS(1210),
    [anon_sym_int] = ACTIONS(1210),
    [anon_sym_i64] = ACTIONS(1210),
    [anon_sym_byte] = ACTIONS(1210),
    [anon_sym_u8] = ACTIONS(1210),
    [anon_sym_u16] = ACTIONS(1210),
    [anon_sym_u32] = ACTIONS(1210),
    [anon_sym_u64] = ACTIONS(1210),
    [anon_sym_f32] = ACTIONS(1210),
    [anon_sym_f64] = ACTIONS(1210),
    [anon_sym_bool] = ACTIONS(1210),
    [anon_sym_rune] = ACTIONS(1210),
    [anon_sym_map] = ACTIONS(1210),
    [anon_sym_mapnode] = ACTIONS(1210),
    [anon_sym_size_t] = ACTIONS(1210),
    [anon_sym_usize] = ACTIONS(1210),
    [anon_sym_isize] = ACTIONS(1210),
    [anon_sym_float_literal] = ACTIONS(1210),
    [anon_sym_int_literal] = ACTIONS(1210),
    [anon_sym_IError] = ACTIONS(1210),
    [sym_type_placeholder] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [sym_type_identifier] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_COLON_EQ] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_EQ] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1210),
    [anon_sym_defer] = ACTIONS(1210),
    [anon_sym_unsafe] = ACTIONS(1210),
    [anon_sym_fn] = ACTIONS(1210),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_go] = ACTIONS(1210),
    [anon_sym_spawn] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_DOLLARfor] = ACTIONS(1208),
    [anon_sym_DOLLARif] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_is] = ACTIONS(1210),
    [anon_sym_BANGis] = ACTIONS(1208),
    [anon_sym_POUND] = ACTIONS(1208),
    [anon_sym_match] = ACTIONS(1210),
    [anon_sym_select] = ACTIONS(1210),
    [anon_sym_lock] = ACTIONS(1210),
    [anon_sym_rlock] = ACTIONS(1210),
    [sym__automatic_separator] = ACTIONS(1208),
    [sym__c_string_opening] = ACTIONS(1208),
    [sym__raw_string_opening] = ACTIONS(1208),
    [sym__string_opening] = ACTIONS(1208),
    [sym__comment] = ACTIONS(3),
  },
  [881] = {
    [sym_comment] = STATE(881),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1194),
    [anon_sym_AMP_CARET] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_COLON_EQ] = ACTIONS(1192),
    [anon_sym_STAR_EQ] = ACTIONS(1192),
    [anon_sym_SLASH_EQ] = ACTIONS(1192),
    [anon_sym_PERCENT_EQ] = ACTIONS(1192),
    [anon_sym_LT_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT_GT_EQ] = ACTIONS(1192),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1192),
    [anon_sym_AMP_EQ] = ACTIONS(1192),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1192),
    [anon_sym_PLUS_EQ] = ACTIONS(1192),
    [anon_sym_DASH_EQ] = ACTIONS(1192),
    [anon_sym_PIPE_EQ] = ACTIONS(1192),
    [anon_sym_CARET_EQ] = ACTIONS(1192),
    [anon_sym_EQ] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_DOLLARelse] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [882] = {
    [sym_comment] = STATE(882),
    [sym_identifier] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_LT_DASH] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1596),
    [anon_sym_GT_GT_GT] = ACTIONS(1596),
    [anon_sym_AMP_CARET] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_BANGin] = ACTIONS(1594),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_as] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [sym_none] = ACTIONS(1596),
    [sym_true] = ACTIONS(1596),
    [sym_false] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_map_LBRACK] = ACTIONS(1594),
    [anon_sym_chan] = ACTIONS(1596),
    [anon_sym_shared] = ACTIONS(1596),
    [anon_sym_thread] = ACTIONS(1596),
    [sym_int_literal] = ACTIONS(1596),
    [sym_float_literal] = ACTIONS(1594),
    [sym_rune_literal] = ACTIONS(1594),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_array] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_char] = ACTIONS(1596),
    [anon_sym_sql] = ACTIONS(1596),
    [anon_sym_mut] = ACTIONS(1596),
    [anon_sym_C] = ACTIONS(1596),
    [anon_sym_JS] = ACTIONS(1596),
    [anon_sym_voidptr] = ACTIONS(1596),
    [anon_sym_byteptr] = ACTIONS(1596),
    [anon_sym_charptr] = ACTIONS(1596),
    [anon_sym_i8] = ACTIONS(1596),
    [anon_sym_i16] = ACTIONS(1596),
    [anon_sym_i32] = ACTIONS(1596),
    [anon_sym_int] = ACTIONS(1596),
    [anon_sym_i64] = ACTIONS(1596),
    [anon_sym_byte] = ACTIONS(1596),
    [anon_sym_u8] = ACTIONS(1596),
    [anon_sym_u16] = ACTIONS(1596),
    [anon_sym_u32] = ACTIONS(1596),
    [anon_sym_u64] = ACTIONS(1596),
    [anon_sym_f32] = ACTIONS(1596),
    [anon_sym_f64] = ACTIONS(1596),
    [anon_sym_bool] = ACTIONS(1596),
    [anon_sym_rune] = ACTIONS(1596),
    [anon_sym_map] = ACTIONS(1596),
    [anon_sym_mapnode] = ACTIONS(1596),
    [anon_sym_size_t] = ACTIONS(1596),
    [anon_sym_usize] = ACTIONS(1596),
    [anon_sym_isize] = ACTIONS(1596),
    [anon_sym_float_literal] = ACTIONS(1596),
    [anon_sym_int_literal] = ACTIONS(1596),
    [anon_sym_IError] = ACTIONS(1596),
    [sym_type_placeholder] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [sym_type_identifier] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_COLON_EQ] = ACTIONS(1594),
    [anon_sym_STAR_EQ] = ACTIONS(1594),
    [anon_sym_SLASH_EQ] = ACTIONS(1594),
    [anon_sym_PERCENT_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT_EQ] = ACTIONS(1594),
    [anon_sym_GT_GT_EQ] = ACTIONS(1594),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1594),
    [anon_sym_AMP_EQ] = ACTIONS(1594),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1594),
    [anon_sym_PLUS_EQ] = ACTIONS(1594),
    [anon_sym_DASH_EQ] = ACTIONS(1594),
    [anon_sym_PIPE_EQ] = ACTIONS(1594),
    [anon_sym_CARET_EQ] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1596),
    [anon_sym_assert] = ACTIONS(1596),
    [anon_sym_defer] = ACTIONS(1596),
    [anon_sym_unsafe] = ACTIONS(1596),
    [anon_sym_fn] = ACTIONS(1596),
    [anon_sym_asm] = ACTIONS(1596),
    [anon_sym_break] = ACTIONS(1596),
    [anon_sym_continue] = ACTIONS(1596),
    [anon_sym_return] = ACTIONS(1596),
    [anon_sym_go] = ACTIONS(1596),
    [anon_sym_spawn] = ACTIONS(1596),
    [anon_sym_goto] = ACTIONS(1596),
    [anon_sym_for] = ACTIONS(1596),
    [anon_sym_DOLLARfor] = ACTIONS(1594),
    [anon_sym_DOLLARif] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1596),
    [anon_sym_BANGis] = ACTIONS(1594),
    [anon_sym_POUND] = ACTIONS(1594),
    [anon_sym_match] = ACTIONS(1596),
    [anon_sym_select] = ACTIONS(1596),
    [anon_sym_lock] = ACTIONS(1596),
    [anon_sym_rlock] = ACTIONS(1596),
    [sym__automatic_separator] = ACTIONS(1594),
    [sym__c_string_opening] = ACTIONS(1594),
    [sym__raw_string_opening] = ACTIONS(1594),
    [sym__string_opening] = ACTIONS(1594),
    [sym__comment] = ACTIONS(3),
  },
  [883] = {
    [sym_comment] = STATE(883),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_LT_DASH] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1580),
    [anon_sym_AMP_CARET] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_BANGin] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [sym_none] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [anon_sym_COLON] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_map_LBRACK] = ACTIONS(1578),
    [anon_sym_chan] = ACTIONS(1580),
    [anon_sym_shared] = ACTIONS(1580),
    [anon_sym_thread] = ACTIONS(1580),
    [sym_int_literal] = ACTIONS(1580),
    [sym_float_literal] = ACTIONS(1578),
    [sym_rune_literal] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_array] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_char] = ACTIONS(1580),
    [anon_sym_sql] = ACTIONS(1580),
    [anon_sym_mut] = ACTIONS(1580),
    [anon_sym_C] = ACTIONS(1580),
    [anon_sym_JS] = ACTIONS(1580),
    [anon_sym_voidptr] = ACTIONS(1580),
    [anon_sym_byteptr] = ACTIONS(1580),
    [anon_sym_charptr] = ACTIONS(1580),
    [anon_sym_i8] = ACTIONS(1580),
    [anon_sym_i16] = ACTIONS(1580),
    [anon_sym_i32] = ACTIONS(1580),
    [anon_sym_int] = ACTIONS(1580),
    [anon_sym_i64] = ACTIONS(1580),
    [anon_sym_byte] = ACTIONS(1580),
    [anon_sym_u8] = ACTIONS(1580),
    [anon_sym_u16] = ACTIONS(1580),
    [anon_sym_u32] = ACTIONS(1580),
    [anon_sym_u64] = ACTIONS(1580),
    [anon_sym_f32] = ACTIONS(1580),
    [anon_sym_f64] = ACTIONS(1580),
    [anon_sym_bool] = ACTIONS(1580),
    [anon_sym_rune] = ACTIONS(1580),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_mapnode] = ACTIONS(1580),
    [anon_sym_size_t] = ACTIONS(1580),
    [anon_sym_usize] = ACTIONS(1580),
    [anon_sym_isize] = ACTIONS(1580),
    [anon_sym_float_literal] = ACTIONS(1580),
    [anon_sym_int_literal] = ACTIONS(1580),
    [anon_sym_IError] = ACTIONS(1580),
    [sym_type_placeholder] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [sym_type_identifier] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_COLON_EQ] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1578),
    [anon_sym_SLASH_EQ] = ACTIONS(1578),
    [anon_sym_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_AMP_EQ] = ACTIONS(1578),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_EQ] = ACTIONS(1578),
    [anon_sym_DASH_EQ] = ACTIONS(1578),
    [anon_sym_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_CARET_EQ] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1580),
    [anon_sym_assert] = ACTIONS(1580),
    [anon_sym_defer] = ACTIONS(1580),
    [anon_sym_unsafe] = ACTIONS(1580),
    [anon_sym_fn] = ACTIONS(1580),
    [anon_sym_asm] = ACTIONS(1580),
    [anon_sym_break] = ACTIONS(1580),
    [anon_sym_continue] = ACTIONS(1580),
    [anon_sym_return] = ACTIONS(1580),
    [anon_sym_go] = ACTIONS(1580),
    [anon_sym_spawn] = ACTIONS(1580),
    [anon_sym_goto] = ACTIONS(1580),
    [anon_sym_for] = ACTIONS(1580),
    [anon_sym_DOLLARfor] = ACTIONS(1578),
    [anon_sym_DOLLARif] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_is] = ACTIONS(1580),
    [anon_sym_BANGis] = ACTIONS(1578),
    [anon_sym_POUND] = ACTIONS(1578),
    [anon_sym_match] = ACTIONS(1580),
    [anon_sym_select] = ACTIONS(1580),
    [anon_sym_lock] = ACTIONS(1580),
    [anon_sym_rlock] = ACTIONS(1580),
    [sym__automatic_separator] = ACTIONS(1578),
    [sym__c_string_opening] = ACTIONS(1578),
    [sym__raw_string_opening] = ACTIONS(1578),
    [sym__string_opening] = ACTIONS(1578),
    [sym__comment] = ACTIONS(3),
  },
  [884] = {
    [sym_comment] = STATE(884),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_LT_DASH] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_PERCENT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1574),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1574),
    [anon_sym_AMP_CARET] = ACTIONS(1574),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_BANGin] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_as] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [sym_none] = ACTIONS(1574),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_COLON] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_map_LBRACK] = ACTIONS(1572),
    [anon_sym_chan] = ACTIONS(1574),
    [anon_sym_shared] = ACTIONS(1574),
    [anon_sym_thread] = ACTIONS(1574),
    [sym_int_literal] = ACTIONS(1574),
    [sym_float_literal] = ACTIONS(1572),
    [sym_rune_literal] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1574),
    [anon_sym_array] = ACTIONS(1574),
    [anon_sym_string] = ACTIONS(1574),
    [anon_sym_char] = ACTIONS(1574),
    [anon_sym_sql] = ACTIONS(1574),
    [anon_sym_mut] = ACTIONS(1574),
    [anon_sym_C] = ACTIONS(1574),
    [anon_sym_JS] = ACTIONS(1574),
    [anon_sym_voidptr] = ACTIONS(1574),
    [anon_sym_byteptr] = ACTIONS(1574),
    [anon_sym_charptr] = ACTIONS(1574),
    [anon_sym_i8] = ACTIONS(1574),
    [anon_sym_i16] = ACTIONS(1574),
    [anon_sym_i32] = ACTIONS(1574),
    [anon_sym_int] = ACTIONS(1574),
    [anon_sym_i64] = ACTIONS(1574),
    [anon_sym_byte] = ACTIONS(1574),
    [anon_sym_u8] = ACTIONS(1574),
    [anon_sym_u16] = ACTIONS(1574),
    [anon_sym_u32] = ACTIONS(1574),
    [anon_sym_u64] = ACTIONS(1574),
    [anon_sym_f32] = ACTIONS(1574),
    [anon_sym_f64] = ACTIONS(1574),
    [anon_sym_bool] = ACTIONS(1574),
    [anon_sym_rune] = ACTIONS(1574),
    [anon_sym_map] = ACTIONS(1574),
    [anon_sym_mapnode] = ACTIONS(1574),
    [anon_sym_size_t] = ACTIONS(1574),
    [anon_sym_usize] = ACTIONS(1574),
    [anon_sym_isize] = ACTIONS(1574),
    [anon_sym_float_literal] = ACTIONS(1574),
    [anon_sym_int_literal] = ACTIONS(1574),
    [anon_sym_IError] = ACTIONS(1574),
    [sym_type_placeholder] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [sym_type_identifier] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_COLON_EQ] = ACTIONS(1572),
    [anon_sym_STAR_EQ] = ACTIONS(1572),
    [anon_sym_SLASH_EQ] = ACTIONS(1572),
    [anon_sym_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_LT_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT_GT_EQ] = ACTIONS(1572),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1572),
    [anon_sym_AMP_EQ] = ACTIONS(1572),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_EQ] = ACTIONS(1572),
    [anon_sym_DASH_EQ] = ACTIONS(1572),
    [anon_sym_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_CARET_EQ] = ACTIONS(1572),
    [anon_sym_EQ] = ACTIONS(1574),
    [anon_sym_assert] = ACTIONS(1574),
    [anon_sym_defer] = ACTIONS(1574),
    [anon_sym_unsafe] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym_asm] = ACTIONS(1574),
    [anon_sym_break] = ACTIONS(1574),
    [anon_sym_continue] = ACTIONS(1574),
    [anon_sym_return] = ACTIONS(1574),
    [anon_sym_go] = ACTIONS(1574),
    [anon_sym_spawn] = ACTIONS(1574),
    [anon_sym_goto] = ACTIONS(1574),
    [anon_sym_for] = ACTIONS(1574),
    [anon_sym_DOLLARfor] = ACTIONS(1572),
    [anon_sym_DOLLARif] = ACTIONS(1572),
    [anon_sym_if] = ACTIONS(1574),
    [anon_sym_is] = ACTIONS(1574),
    [anon_sym_BANGis] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(1572),
    [anon_sym_match] = ACTIONS(1574),
    [anon_sym_select] = ACTIONS(1574),
    [anon_sym_lock] = ACTIONS(1574),
    [anon_sym_rlock] = ACTIONS(1574),
    [sym__automatic_separator] = ACTIONS(1572),
    [sym__c_string_opening] = ACTIONS(1572),
    [sym__raw_string_opening] = ACTIONS(1572),
    [sym__string_opening] = ACTIONS(1572),
    [sym__comment] = ACTIONS(3),
  },
  [885] = {
    [sym_comment] = STATE(885),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_CARET] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_LT_DASH] = ACTIONS(1278),
    [anon_sym_SLASH] = ACTIONS(1280),
    [anon_sym_PERCENT] = ACTIONS(1280),
    [anon_sym_LT_LT] = ACTIONS(1280),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_GT_GT_GT] = ACTIONS(1280),
    [anon_sym_AMP_CARET] = ACTIONS(1280),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1278),
    [anon_sym_BANG_EQ] = ACTIONS(1278),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_BANGin] = ACTIONS(1278),
    [anon_sym_AMP_AMP] = ACTIONS(1278),
    [anon_sym_PIPE_PIPE] = ACTIONS(1278),
    [anon_sym_as] = ACTIONS(1280),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym_none] = ACTIONS(1280),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_map_LBRACK] = ACTIONS(1278),
    [anon_sym_chan] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_thread] = ACTIONS(1280),
    [sym_int_literal] = ACTIONS(1280),
    [sym_float_literal] = ACTIONS(1278),
    [sym_rune_literal] = ACTIONS(1278),
    [anon_sym_DOT] = ACTIONS(1280),
    [anon_sym_array] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_char] = ACTIONS(1280),
    [anon_sym_sql] = ACTIONS(1280),
    [anon_sym_mut] = ACTIONS(1280),
    [anon_sym_C] = ACTIONS(1280),
    [anon_sym_JS] = ACTIONS(1280),
    [anon_sym_voidptr] = ACTIONS(1280),
    [anon_sym_byteptr] = ACTIONS(1280),
    [anon_sym_charptr] = ACTIONS(1280),
    [anon_sym_i8] = ACTIONS(1280),
    [anon_sym_i16] = ACTIONS(1280),
    [anon_sym_i32] = ACTIONS(1280),
    [anon_sym_int] = ACTIONS(1280),
    [anon_sym_i64] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_u8] = ACTIONS(1280),
    [anon_sym_u16] = ACTIONS(1280),
    [anon_sym_u32] = ACTIONS(1280),
    [anon_sym_u64] = ACTIONS(1280),
    [anon_sym_f32] = ACTIONS(1280),
    [anon_sym_f64] = ACTIONS(1280),
    [anon_sym_bool] = ACTIONS(1280),
    [anon_sym_rune] = ACTIONS(1280),
    [anon_sym_map] = ACTIONS(1280),
    [anon_sym_mapnode] = ACTIONS(1280),
    [anon_sym_size_t] = ACTIONS(1280),
    [anon_sym_usize] = ACTIONS(1280),
    [anon_sym_isize] = ACTIONS(1280),
    [anon_sym_float_literal] = ACTIONS(1280),
    [anon_sym_int_literal] = ACTIONS(1280),
    [anon_sym_IError] = ACTIONS(1280),
    [sym_type_placeholder] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [sym_type_identifier] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_COLON_EQ] = ACTIONS(1278),
    [anon_sym_STAR_EQ] = ACTIONS(1278),
    [anon_sym_SLASH_EQ] = ACTIONS(1278),
    [anon_sym_PERCENT_EQ] = ACTIONS(1278),
    [anon_sym_LT_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT_GT_EQ] = ACTIONS(1278),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1278),
    [anon_sym_AMP_EQ] = ACTIONS(1278),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1278),
    [anon_sym_PLUS_EQ] = ACTIONS(1278),
    [anon_sym_DASH_EQ] = ACTIONS(1278),
    [anon_sym_PIPE_EQ] = ACTIONS(1278),
    [anon_sym_CARET_EQ] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_assert] = ACTIONS(1280),
    [anon_sym_defer] = ACTIONS(1280),
    [anon_sym_unsafe] = ACTIONS(1280),
    [anon_sym_fn] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_go] = ACTIONS(1280),
    [anon_sym_spawn] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_DOLLARfor] = ACTIONS(1278),
    [anon_sym_DOLLARif] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_is] = ACTIONS(1280),
    [anon_sym_BANGis] = ACTIONS(1278),
    [anon_sym_POUND] = ACTIONS(1278),
    [anon_sym_match] = ACTIONS(1280),
    [anon_sym_select] = ACTIONS(1280),
    [anon_sym_lock] = ACTIONS(1280),
    [anon_sym_rlock] = ACTIONS(1280),
    [sym__automatic_separator] = ACTIONS(1278),
    [sym__c_string_opening] = ACTIONS(1278),
    [sym__raw_string_opening] = ACTIONS(1278),
    [sym__string_opening] = ACTIONS(1278),
    [sym__comment] = ACTIONS(3),
  },
  [886] = {
    [sym_comment] = STATE(886),
    [sym_identifier] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_CARET] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_LT_DASH] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(1218),
    [anon_sym_PERCENT] = ACTIONS(1218),
    [anon_sym_LT_LT] = ACTIONS(1218),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_GT_GT_GT] = ACTIONS(1218),
    [anon_sym_AMP_CARET] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1216),
    [anon_sym_BANG_EQ] = ACTIONS(1216),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1216),
    [anon_sym_in] = ACTIONS(1218),
    [anon_sym_BANGin] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1216),
    [anon_sym_as] = ACTIONS(1218),
    [anon_sym_COMMA] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [sym_none] = ACTIONS(1218),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_map_LBRACK] = ACTIONS(1216),
    [anon_sym_chan] = ACTIONS(1218),
    [anon_sym_shared] = ACTIONS(1218),
    [anon_sym_thread] = ACTIONS(1218),
    [sym_int_literal] = ACTIONS(1218),
    [sym_float_literal] = ACTIONS(1216),
    [sym_rune_literal] = ACTIONS(1216),
    [anon_sym_DOT] = ACTIONS(1218),
    [anon_sym_array] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_char] = ACTIONS(1218),
    [anon_sym_sql] = ACTIONS(1218),
    [anon_sym_mut] = ACTIONS(1218),
    [anon_sym_C] = ACTIONS(1218),
    [anon_sym_JS] = ACTIONS(1218),
    [anon_sym_voidptr] = ACTIONS(1218),
    [anon_sym_byteptr] = ACTIONS(1218),
    [anon_sym_charptr] = ACTIONS(1218),
    [anon_sym_i8] = ACTIONS(1218),
    [anon_sym_i16] = ACTIONS(1218),
    [anon_sym_i32] = ACTIONS(1218),
    [anon_sym_int] = ACTIONS(1218),
    [anon_sym_i64] = ACTIONS(1218),
    [anon_sym_byte] = ACTIONS(1218),
    [anon_sym_u8] = ACTIONS(1218),
    [anon_sym_u16] = ACTIONS(1218),
    [anon_sym_u32] = ACTIONS(1218),
    [anon_sym_u64] = ACTIONS(1218),
    [anon_sym_f32] = ACTIONS(1218),
    [anon_sym_f64] = ACTIONS(1218),
    [anon_sym_bool] = ACTIONS(1218),
    [anon_sym_rune] = ACTIONS(1218),
    [anon_sym_map] = ACTIONS(1218),
    [anon_sym_mapnode] = ACTIONS(1218),
    [anon_sym_size_t] = ACTIONS(1218),
    [anon_sym_usize] = ACTIONS(1218),
    [anon_sym_isize] = ACTIONS(1218),
    [anon_sym_float_literal] = ACTIONS(1218),
    [anon_sym_int_literal] = ACTIONS(1218),
    [anon_sym_IError] = ACTIONS(1218),
    [sym_type_placeholder] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [sym_type_identifier] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_COLON_EQ] = ACTIONS(1216),
    [anon_sym_STAR_EQ] = ACTIONS(1216),
    [anon_sym_SLASH_EQ] = ACTIONS(1216),
    [anon_sym_PERCENT_EQ] = ACTIONS(1216),
    [anon_sym_LT_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT_GT_EQ] = ACTIONS(1216),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1216),
    [anon_sym_AMP_EQ] = ACTIONS(1216),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1216),
    [anon_sym_PLUS_EQ] = ACTIONS(1216),
    [anon_sym_DASH_EQ] = ACTIONS(1216),
    [anon_sym_PIPE_EQ] = ACTIONS(1216),
    [anon_sym_CARET_EQ] = ACTIONS(1216),
    [anon_sym_EQ] = ACTIONS(1218),
    [anon_sym_assert] = ACTIONS(1218),
    [anon_sym_defer] = ACTIONS(1218),
    [anon_sym_unsafe] = ACTIONS(1218),
    [anon_sym_fn] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_go] = ACTIONS(1218),
    [anon_sym_spawn] = ACTIONS(1218),
    [anon_sym_goto] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_DOLLARfor] = ACTIONS(1216),
    [anon_sym_DOLLARif] = ACTIONS(1216),
    [anon_sym_DOLLARelse] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_is] = ACTIONS(1218),
    [anon_sym_BANGis] = ACTIONS(1216),
    [anon_sym_POUND] = ACTIONS(1216),
    [anon_sym_match] = ACTIONS(1218),
    [anon_sym_select] = ACTIONS(1218),
    [anon_sym_lock] = ACTIONS(1218),
    [anon_sym_rlock] = ACTIONS(1218),
    [sym__automatic_separator] = ACTIONS(1216),
    [sym__c_string_opening] = ACTIONS(1216),
    [sym__raw_string_opening] = ACTIONS(1216),
    [sym__string_opening] = ACTIONS(1216),
    [sym__comment] = ACTIONS(3),
  },
  [887] = {
    [sym_comment] = STATE(887),
    [sym_argument_list] = STATE(972),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1100),
    [anon_sym_STAR] = ACTIONS(1100),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_LT_DASH] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1100),
    [anon_sym_PERCENT] = ACTIONS(1100),
    [anon_sym_LT_LT] = ACTIONS(1100),
    [anon_sym_GT_GT] = ACTIONS(1100),
    [anon_sym_GT_GT_GT] = ACTIONS(1100),
    [anon_sym_AMP_CARET] = ACTIONS(1100),
    [anon_sym_PIPE] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1098),
    [anon_sym_BANG_EQ] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1100),
    [anon_sym_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1100),
    [anon_sym_GT_EQ] = ACTIONS(1098),
    [anon_sym_in] = ACTIONS(1100),
    [anon_sym_BANGin] = ACTIONS(1098),
    [anon_sym_AMP_AMP] = ACTIONS(1098),
    [anon_sym_PIPE_PIPE] = ACTIONS(1098),
    [anon_sym_as] = ACTIONS(1100),
    [anon_sym_COMMA] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [sym_none] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [sym_false] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_map_LBRACK] = ACTIONS(1098),
    [anon_sym_chan] = ACTIONS(1100),
    [anon_sym_shared] = ACTIONS(1100),
    [anon_sym_thread] = ACTIONS(1100),
    [sym_int_literal] = ACTIONS(1100),
    [sym_float_literal] = ACTIONS(1098),
    [sym_rune_literal] = ACTIONS(1098),
    [anon_sym_DOT] = ACTIONS(1100),
    [anon_sym_array] = ACTIONS(1100),
    [anon_sym_string] = ACTIONS(1100),
    [anon_sym_char] = ACTIONS(1100),
    [anon_sym_sql] = ACTIONS(1100),
    [anon_sym_mut] = ACTIONS(1100),
    [anon_sym_C] = ACTIONS(1100),
    [anon_sym_JS] = ACTIONS(1100),
    [anon_sym_voidptr] = ACTIONS(1100),
    [anon_sym_byteptr] = ACTIONS(1100),
    [anon_sym_charptr] = ACTIONS(1100),
    [anon_sym_i8] = ACTIONS(1100),
    [anon_sym_i16] = ACTIONS(1100),
    [anon_sym_i32] = ACTIONS(1100),
    [anon_sym_int] = ACTIONS(1100),
    [anon_sym_i64] = ACTIONS(1100),
    [anon_sym_byte] = ACTIONS(1100),
    [anon_sym_u8] = ACTIONS(1100),
    [anon_sym_u16] = ACTIONS(1100),
    [anon_sym_u32] = ACTIONS(1100),
    [anon_sym_u64] = ACTIONS(1100),
    [anon_sym_f32] = ACTIONS(1100),
    [anon_sym_f64] = ACTIONS(1100),
    [anon_sym_bool] = ACTIONS(1100),
    [anon_sym_rune] = ACTIONS(1100),
    [anon_sym_map] = ACTIONS(1100),
    [anon_sym_mapnode] = ACTIONS(1100),
    [anon_sym_size_t] = ACTIONS(1100),
    [anon_sym_usize] = ACTIONS(1100),
    [anon_sym_isize] = ACTIONS(1100),
    [anon_sym_float_literal] = ACTIONS(1100),
    [anon_sym_int_literal] = ACTIONS(1100),
    [anon_sym_IError] = ACTIONS(1100),
    [sym_type_placeholder] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [sym_type_identifier] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_COLON_EQ] = ACTIONS(1098),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_EQ] = ACTIONS(1100),
    [anon_sym_assert] = ACTIONS(1100),
    [anon_sym_defer] = ACTIONS(1100),
    [anon_sym_unsafe] = ACTIONS(1100),
    [anon_sym_fn] = ACTIONS(1100),
    [anon_sym_asm] = ACTIONS(1100),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_return] = ACTIONS(1100),
    [anon_sym_go] = ACTIONS(1100),
    [anon_sym_spawn] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1100),
    [anon_sym_for] = ACTIONS(1100),
    [anon_sym_DOLLARfor] = ACTIONS(1098),
    [anon_sym_DOLLARif] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1100),
    [anon_sym_is] = ACTIONS(1100),
    [anon_sym_BANGis] = ACTIONS(1098),
    [anon_sym_POUND] = ACTIONS(1098),
    [anon_sym_match] = ACTIONS(1100),
    [anon_sym_select] = ACTIONS(1100),
    [anon_sym_lock] = ACTIONS(1100),
    [anon_sym_rlock] = ACTIONS(1100),
    [sym__automatic_separator] = ACTIONS(1098),
    [sym__c_string_opening] = ACTIONS(1098),
    [sym__raw_string_opening] = ACTIONS(1098),
    [sym__string_opening] = ACTIONS(1098),
    [sym__comment] = ACTIONS(3),
  },
  [888] = {
    [sym_comment] = STATE(888),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_LT_DASH] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_AMP_CARET] = ACTIONS(1136),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1134),
    [sym_none] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [sym_int_literal] = ACTIONS(1136),
    [sym_float_literal] = ACTIONS(1134),
    [sym_rune_literal] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_sql] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_COLON_EQ] = ACTIONS(1134),
    [anon_sym_STAR_EQ] = ACTIONS(1134),
    [anon_sym_SLASH_EQ] = ACTIONS(1134),
    [anon_sym_PERCENT_EQ] = ACTIONS(1134),
    [anon_sym_LT_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT_GT_EQ] = ACTIONS(1134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1134),
    [anon_sym_AMP_EQ] = ACTIONS(1134),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1134),
    [anon_sym_PLUS_EQ] = ACTIONS(1134),
    [anon_sym_DASH_EQ] = ACTIONS(1134),
    [anon_sym_PIPE_EQ] = ACTIONS(1134),
    [anon_sym_CARET_EQ] = ACTIONS(1134),
    [anon_sym_EQ] = ACTIONS(1136),
    [anon_sym_assert] = ACTIONS(1136),
    [anon_sym_defer] = ACTIONS(1136),
    [anon_sym_unsafe] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_go] = ACTIONS(1136),
    [anon_sym_spawn] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_DOLLARfor] = ACTIONS(1134),
    [anon_sym_DOLLARif] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [anon_sym_POUND] = ACTIONS(1134),
    [anon_sym_match] = ACTIONS(1136),
    [anon_sym_select] = ACTIONS(1136),
    [anon_sym_lock] = ACTIONS(1136),
    [anon_sym_rlock] = ACTIONS(1136),
    [sym__automatic_separator] = ACTIONS(1134),
    [sym__c_string_opening] = ACTIONS(1134),
    [sym__raw_string_opening] = ACTIONS(1134),
    [sym__string_opening] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [889] = {
    [sym_comment] = STATE(889),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_COLON] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_COLON_EQ] = ACTIONS(1102),
    [anon_sym_STAR_EQ] = ACTIONS(1102),
    [anon_sym_SLASH_EQ] = ACTIONS(1102),
    [anon_sym_PERCENT_EQ] = ACTIONS(1102),
    [anon_sym_LT_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_AMP_EQ] = ACTIONS(1102),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1102),
    [anon_sym_PLUS_EQ] = ACTIONS(1102),
    [anon_sym_DASH_EQ] = ACTIONS(1102),
    [anon_sym_PIPE_EQ] = ACTIONS(1102),
    [anon_sym_CARET_EQ] = ACTIONS(1102),
    [anon_sym_EQ] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [890] = {
    [sym_comment] = STATE(890),
    [sym_argument_list] = STATE(963),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_CARET] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_LT_DASH] = ACTIONS(1126),
    [anon_sym_SLASH] = ACTIONS(1128),
    [anon_sym_PERCENT] = ACTIONS(1128),
    [anon_sym_LT_LT] = ACTIONS(1128),
    [anon_sym_GT_GT] = ACTIONS(1128),
    [anon_sym_GT_GT_GT] = ACTIONS(1128),
    [anon_sym_AMP_CARET] = ACTIONS(1128),
    [anon_sym_PIPE] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1126),
    [anon_sym_BANG_EQ] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1126),
    [anon_sym_GT] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1126),
    [anon_sym_in] = ACTIONS(1128),
    [anon_sym_BANGin] = ACTIONS(1126),
    [anon_sym_AMP_AMP] = ACTIONS(1126),
    [anon_sym_PIPE_PIPE] = ACTIONS(1126),
    [anon_sym_as] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [sym_none] = ACTIONS(1128),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_map_LBRACK] = ACTIONS(1126),
    [anon_sym_chan] = ACTIONS(1128),
    [anon_sym_shared] = ACTIONS(1128),
    [anon_sym_thread] = ACTIONS(1128),
    [sym_int_literal] = ACTIONS(1128),
    [sym_float_literal] = ACTIONS(1126),
    [sym_rune_literal] = ACTIONS(1126),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_array] = ACTIONS(1128),
    [anon_sym_string] = ACTIONS(1128),
    [anon_sym_char] = ACTIONS(1128),
    [anon_sym_sql] = ACTIONS(1128),
    [anon_sym_mut] = ACTIONS(1128),
    [anon_sym_C] = ACTIONS(1128),
    [anon_sym_JS] = ACTIONS(1128),
    [anon_sym_voidptr] = ACTIONS(1128),
    [anon_sym_byteptr] = ACTIONS(1128),
    [anon_sym_charptr] = ACTIONS(1128),
    [anon_sym_i8] = ACTIONS(1128),
    [anon_sym_i16] = ACTIONS(1128),
    [anon_sym_i32] = ACTIONS(1128),
    [anon_sym_int] = ACTIONS(1128),
    [anon_sym_i64] = ACTIONS(1128),
    [anon_sym_byte] = ACTIONS(1128),
    [anon_sym_u8] = ACTIONS(1128),
    [anon_sym_u16] = ACTIONS(1128),
    [anon_sym_u32] = ACTIONS(1128),
    [anon_sym_u64] = ACTIONS(1128),
    [anon_sym_f32] = ACTIONS(1128),
    [anon_sym_f64] = ACTIONS(1128),
    [anon_sym_bool] = ACTIONS(1128),
    [anon_sym_rune] = ACTIONS(1128),
    [anon_sym_map] = ACTIONS(1128),
    [anon_sym_mapnode] = ACTIONS(1128),
    [anon_sym_size_t] = ACTIONS(1128),
    [anon_sym_usize] = ACTIONS(1128),
    [anon_sym_isize] = ACTIONS(1128),
    [anon_sym_float_literal] = ACTIONS(1128),
    [anon_sym_int_literal] = ACTIONS(1128),
    [anon_sym_IError] = ACTIONS(1128),
    [sym_type_placeholder] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [sym_type_identifier] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_COLON_EQ] = ACTIONS(1126),
    [anon_sym_STAR_EQ] = ACTIONS(1126),
    [anon_sym_SLASH_EQ] = ACTIONS(1126),
    [anon_sym_PERCENT_EQ] = ACTIONS(1126),
    [anon_sym_LT_LT_EQ] = ACTIONS(1126),
    [anon_sym_GT_GT_EQ] = ACTIONS(1126),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1126),
    [anon_sym_AMP_EQ] = ACTIONS(1126),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1126),
    [anon_sym_PLUS_EQ] = ACTIONS(1126),
    [anon_sym_DASH_EQ] = ACTIONS(1126),
    [anon_sym_PIPE_EQ] = ACTIONS(1126),
    [anon_sym_CARET_EQ] = ACTIONS(1126),
    [anon_sym_EQ] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1128),
    [anon_sym_defer] = ACTIONS(1128),
    [anon_sym_unsafe] = ACTIONS(1128),
    [anon_sym_fn] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_go] = ACTIONS(1128),
    [anon_sym_spawn] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_DOLLARfor] = ACTIONS(1126),
    [anon_sym_DOLLARif] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_is] = ACTIONS(1128),
    [anon_sym_BANGis] = ACTIONS(1126),
    [anon_sym_POUND] = ACTIONS(1126),
    [anon_sym_match] = ACTIONS(1128),
    [anon_sym_select] = ACTIONS(1128),
    [anon_sym_lock] = ACTIONS(1128),
    [anon_sym_rlock] = ACTIONS(1128),
    [sym__automatic_separator] = ACTIONS(1126),
    [sym__c_string_opening] = ACTIONS(1126),
    [sym__raw_string_opening] = ACTIONS(1126),
    [sym__string_opening] = ACTIONS(1126),
    [sym__comment] = ACTIONS(3),
  },
  [891] = {
    [sym_comment] = STATE(891),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_LT_DASH] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_GT_GT_GT] = ACTIONS(1404),
    [anon_sym_AMP_CARET] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_BANGin] = ACTIONS(1402),
    [anon_sym_AMP_AMP] = ACTIONS(1402),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [sym_none] = ACTIONS(1404),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_map_LBRACK] = ACTIONS(1402),
    [anon_sym_chan] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_thread] = ACTIONS(1404),
    [sym_int_literal] = ACTIONS(1404),
    [sym_float_literal] = ACTIONS(1402),
    [sym_rune_literal] = ACTIONS(1402),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_array] = ACTIONS(1404),
    [anon_sym_string] = ACTIONS(1404),
    [anon_sym_char] = ACTIONS(1404),
    [anon_sym_sql] = ACTIONS(1404),
    [anon_sym_mut] = ACTIONS(1404),
    [anon_sym_C] = ACTIONS(1404),
    [anon_sym_JS] = ACTIONS(1404),
    [anon_sym_voidptr] = ACTIONS(1404),
    [anon_sym_byteptr] = ACTIONS(1404),
    [anon_sym_charptr] = ACTIONS(1404),
    [anon_sym_i8] = ACTIONS(1404),
    [anon_sym_i16] = ACTIONS(1404),
    [anon_sym_i32] = ACTIONS(1404),
    [anon_sym_int] = ACTIONS(1404),
    [anon_sym_i64] = ACTIONS(1404),
    [anon_sym_byte] = ACTIONS(1404),
    [anon_sym_u8] = ACTIONS(1404),
    [anon_sym_u16] = ACTIONS(1404),
    [anon_sym_u32] = ACTIONS(1404),
    [anon_sym_u64] = ACTIONS(1404),
    [anon_sym_f32] = ACTIONS(1404),
    [anon_sym_f64] = ACTIONS(1404),
    [anon_sym_bool] = ACTIONS(1404),
    [anon_sym_rune] = ACTIONS(1404),
    [anon_sym_map] = ACTIONS(1404),
    [anon_sym_mapnode] = ACTIONS(1404),
    [anon_sym_size_t] = ACTIONS(1404),
    [anon_sym_usize] = ACTIONS(1404),
    [anon_sym_isize] = ACTIONS(1404),
    [anon_sym_float_literal] = ACTIONS(1404),
    [anon_sym_int_literal] = ACTIONS(1404),
    [anon_sym_IError] = ACTIONS(1404),
    [sym_type_placeholder] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [sym_type_identifier] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_COLON_EQ] = ACTIONS(1402),
    [anon_sym_STAR_EQ] = ACTIONS(1402),
    [anon_sym_SLASH_EQ] = ACTIONS(1402),
    [anon_sym_PERCENT_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT_GT_EQ] = ACTIONS(1402),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1402),
    [anon_sym_AMP_EQ] = ACTIONS(1402),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1402),
    [anon_sym_PLUS_EQ] = ACTIONS(1402),
    [anon_sym_DASH_EQ] = ACTIONS(1402),
    [anon_sym_PIPE_EQ] = ACTIONS(1402),
    [anon_sym_CARET_EQ] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1404),
    [anon_sym_assert] = ACTIONS(1404),
    [anon_sym_defer] = ACTIONS(1404),
    [anon_sym_unsafe] = ACTIONS(1404),
    [anon_sym_fn] = ACTIONS(1404),
    [anon_sym_asm] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_go] = ACTIONS(1404),
    [anon_sym_spawn] = ACTIONS(1404),
    [anon_sym_goto] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_DOLLARfor] = ACTIONS(1402),
    [anon_sym_DOLLARif] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_BANGis] = ACTIONS(1402),
    [anon_sym_POUND] = ACTIONS(1402),
    [anon_sym_match] = ACTIONS(1404),
    [anon_sym_select] = ACTIONS(1404),
    [anon_sym_lock] = ACTIONS(1404),
    [anon_sym_rlock] = ACTIONS(1404),
    [sym__automatic_separator] = ACTIONS(1402),
    [sym__c_string_opening] = ACTIONS(1402),
    [sym__raw_string_opening] = ACTIONS(1402),
    [sym__string_opening] = ACTIONS(1402),
    [sym__comment] = ACTIONS(3),
  },
  [892] = {
    [sym_comment] = STATE(892),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_LT_DASH] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1520),
    [anon_sym_AMP_CARET] = ACTIONS(1520),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_BANGin] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_as] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [sym_none] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_COLON] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_map_LBRACK] = ACTIONS(1518),
    [anon_sym_chan] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_thread] = ACTIONS(1520),
    [sym_int_literal] = ACTIONS(1520),
    [sym_float_literal] = ACTIONS(1518),
    [sym_rune_literal] = ACTIONS(1518),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_array] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_char] = ACTIONS(1520),
    [anon_sym_sql] = ACTIONS(1520),
    [anon_sym_mut] = ACTIONS(1520),
    [anon_sym_C] = ACTIONS(1520),
    [anon_sym_JS] = ACTIONS(1520),
    [anon_sym_voidptr] = ACTIONS(1520),
    [anon_sym_byteptr] = ACTIONS(1520),
    [anon_sym_charptr] = ACTIONS(1520),
    [anon_sym_i8] = ACTIONS(1520),
    [anon_sym_i16] = ACTIONS(1520),
    [anon_sym_i32] = ACTIONS(1520),
    [anon_sym_int] = ACTIONS(1520),
    [anon_sym_i64] = ACTIONS(1520),
    [anon_sym_byte] = ACTIONS(1520),
    [anon_sym_u8] = ACTIONS(1520),
    [anon_sym_u16] = ACTIONS(1520),
    [anon_sym_u32] = ACTIONS(1520),
    [anon_sym_u64] = ACTIONS(1520),
    [anon_sym_f32] = ACTIONS(1520),
    [anon_sym_f64] = ACTIONS(1520),
    [anon_sym_bool] = ACTIONS(1520),
    [anon_sym_rune] = ACTIONS(1520),
    [anon_sym_map] = ACTIONS(1520),
    [anon_sym_mapnode] = ACTIONS(1520),
    [anon_sym_size_t] = ACTIONS(1520),
    [anon_sym_usize] = ACTIONS(1520),
    [anon_sym_isize] = ACTIONS(1520),
    [anon_sym_float_literal] = ACTIONS(1520),
    [anon_sym_int_literal] = ACTIONS(1520),
    [anon_sym_IError] = ACTIONS(1520),
    [sym_type_placeholder] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [sym_type_identifier] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_COLON_EQ] = ACTIONS(1518),
    [anon_sym_STAR_EQ] = ACTIONS(1518),
    [anon_sym_SLASH_EQ] = ACTIONS(1518),
    [anon_sym_PERCENT_EQ] = ACTIONS(1518),
    [anon_sym_LT_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT_GT_EQ] = ACTIONS(1518),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1518),
    [anon_sym_AMP_EQ] = ACTIONS(1518),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1518),
    [anon_sym_PLUS_EQ] = ACTIONS(1518),
    [anon_sym_DASH_EQ] = ACTIONS(1518),
    [anon_sym_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_CARET_EQ] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_assert] = ACTIONS(1520),
    [anon_sym_defer] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym_asm] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_go] = ACTIONS(1520),
    [anon_sym_spawn] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_DOLLARfor] = ACTIONS(1518),
    [anon_sym_DOLLARif] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_is] = ACTIONS(1520),
    [anon_sym_BANGis] = ACTIONS(1518),
    [anon_sym_POUND] = ACTIONS(1518),
    [anon_sym_match] = ACTIONS(1520),
    [anon_sym_select] = ACTIONS(1520),
    [anon_sym_lock] = ACTIONS(1520),
    [anon_sym_rlock] = ACTIONS(1520),
    [sym__automatic_separator] = ACTIONS(1518),
    [sym__c_string_opening] = ACTIONS(1518),
    [sym__raw_string_opening] = ACTIONS(1518),
    [sym__string_opening] = ACTIONS(1518),
    [sym__comment] = ACTIONS(3),
  },
  [893] = {
    [sym_comment] = STATE(893),
    [sym_identifier] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_LT_DASH] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1328),
    [anon_sym_PERCENT] = ACTIONS(1328),
    [anon_sym_LT_LT] = ACTIONS(1328),
    [anon_sym_GT_GT] = ACTIONS(1328),
    [anon_sym_GT_GT_GT] = ACTIONS(1328),
    [anon_sym_AMP_CARET] = ACTIONS(1328),
    [anon_sym_PIPE] = ACTIONS(1328),
    [anon_sym_EQ_EQ] = ACTIONS(1326),
    [anon_sym_BANG_EQ] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1328),
    [anon_sym_LT_EQ] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1328),
    [anon_sym_GT_EQ] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_BANGin] = ACTIONS(1326),
    [anon_sym_AMP_AMP] = ACTIONS(1326),
    [anon_sym_PIPE_PIPE] = ACTIONS(1326),
    [anon_sym_as] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [sym_none] = ACTIONS(1328),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_COLON] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_map_LBRACK] = ACTIONS(1326),
    [anon_sym_chan] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_thread] = ACTIONS(1328),
    [sym_int_literal] = ACTIONS(1328),
    [sym_float_literal] = ACTIONS(1326),
    [sym_rune_literal] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1328),
    [anon_sym_array] = ACTIONS(1328),
    [anon_sym_string] = ACTIONS(1328),
    [anon_sym_char] = ACTIONS(1328),
    [anon_sym_sql] = ACTIONS(1328),
    [anon_sym_mut] = ACTIONS(1328),
    [anon_sym_C] = ACTIONS(1328),
    [anon_sym_JS] = ACTIONS(1328),
    [anon_sym_voidptr] = ACTIONS(1328),
    [anon_sym_byteptr] = ACTIONS(1328),
    [anon_sym_charptr] = ACTIONS(1328),
    [anon_sym_i8] = ACTIONS(1328),
    [anon_sym_i16] = ACTIONS(1328),
    [anon_sym_i32] = ACTIONS(1328),
    [anon_sym_int] = ACTIONS(1328),
    [anon_sym_i64] = ACTIONS(1328),
    [anon_sym_byte] = ACTIONS(1328),
    [anon_sym_u8] = ACTIONS(1328),
    [anon_sym_u16] = ACTIONS(1328),
    [anon_sym_u32] = ACTIONS(1328),
    [anon_sym_u64] = ACTIONS(1328),
    [anon_sym_f32] = ACTIONS(1328),
    [anon_sym_f64] = ACTIONS(1328),
    [anon_sym_bool] = ACTIONS(1328),
    [anon_sym_rune] = ACTIONS(1328),
    [anon_sym_map] = ACTIONS(1328),
    [anon_sym_mapnode] = ACTIONS(1328),
    [anon_sym_size_t] = ACTIONS(1328),
    [anon_sym_usize] = ACTIONS(1328),
    [anon_sym_isize] = ACTIONS(1328),
    [anon_sym_float_literal] = ACTIONS(1328),
    [anon_sym_int_literal] = ACTIONS(1328),
    [anon_sym_IError] = ACTIONS(1328),
    [sym_type_placeholder] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [sym_type_identifier] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_COLON_EQ] = ACTIONS(1326),
    [anon_sym_STAR_EQ] = ACTIONS(1326),
    [anon_sym_SLASH_EQ] = ACTIONS(1326),
    [anon_sym_PERCENT_EQ] = ACTIONS(1326),
    [anon_sym_LT_LT_EQ] = ACTIONS(1326),
    [anon_sym_GT_GT_EQ] = ACTIONS(1326),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1326),
    [anon_sym_AMP_EQ] = ACTIONS(1326),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1326),
    [anon_sym_PLUS_EQ] = ACTIONS(1326),
    [anon_sym_DASH_EQ] = ACTIONS(1326),
    [anon_sym_PIPE_EQ] = ACTIONS(1326),
    [anon_sym_CARET_EQ] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(1328),
    [anon_sym_assert] = ACTIONS(1328),
    [anon_sym_defer] = ACTIONS(1328),
    [anon_sym_unsafe] = ACTIONS(1328),
    [anon_sym_fn] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_go] = ACTIONS(1328),
    [anon_sym_spawn] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_DOLLARfor] = ACTIONS(1326),
    [anon_sym_DOLLARif] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_is] = ACTIONS(1328),
    [anon_sym_BANGis] = ACTIONS(1326),
    [anon_sym_POUND] = ACTIONS(1326),
    [anon_sym_match] = ACTIONS(1328),
    [anon_sym_select] = ACTIONS(1328),
    [anon_sym_lock] = ACTIONS(1328),
    [anon_sym_rlock] = ACTIONS(1328),
    [sym__automatic_separator] = ACTIONS(1326),
    [sym__c_string_opening] = ACTIONS(1326),
    [sym__raw_string_opening] = ACTIONS(1326),
    [sym__string_opening] = ACTIONS(1326),
    [sym__comment] = ACTIONS(3),
  },
  [894] = {
    [sym_comment] = STATE(894),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_LT_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1528),
    [anon_sym_LT_LT] = ACTIONS(1528),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1528),
    [anon_sym_AMP_CARET] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_BANGin] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_none] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_COLON] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_map_LBRACK] = ACTIONS(1526),
    [anon_sym_chan] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_thread] = ACTIONS(1528),
    [sym_int_literal] = ACTIONS(1528),
    [sym_float_literal] = ACTIONS(1526),
    [sym_rune_literal] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_array] = ACTIONS(1528),
    [anon_sym_string] = ACTIONS(1528),
    [anon_sym_char] = ACTIONS(1528),
    [anon_sym_sql] = ACTIONS(1528),
    [anon_sym_mut] = ACTIONS(1528),
    [anon_sym_C] = ACTIONS(1528),
    [anon_sym_JS] = ACTIONS(1528),
    [anon_sym_voidptr] = ACTIONS(1528),
    [anon_sym_byteptr] = ACTIONS(1528),
    [anon_sym_charptr] = ACTIONS(1528),
    [anon_sym_i8] = ACTIONS(1528),
    [anon_sym_i16] = ACTIONS(1528),
    [anon_sym_i32] = ACTIONS(1528),
    [anon_sym_int] = ACTIONS(1528),
    [anon_sym_i64] = ACTIONS(1528),
    [anon_sym_byte] = ACTIONS(1528),
    [anon_sym_u8] = ACTIONS(1528),
    [anon_sym_u16] = ACTIONS(1528),
    [anon_sym_u32] = ACTIONS(1528),
    [anon_sym_u64] = ACTIONS(1528),
    [anon_sym_f32] = ACTIONS(1528),
    [anon_sym_f64] = ACTIONS(1528),
    [anon_sym_bool] = ACTIONS(1528),
    [anon_sym_rune] = ACTIONS(1528),
    [anon_sym_map] = ACTIONS(1528),
    [anon_sym_mapnode] = ACTIONS(1528),
    [anon_sym_size_t] = ACTIONS(1528),
    [anon_sym_usize] = ACTIONS(1528),
    [anon_sym_isize] = ACTIONS(1528),
    [anon_sym_float_literal] = ACTIONS(1528),
    [anon_sym_int_literal] = ACTIONS(1528),
    [anon_sym_IError] = ACTIONS(1528),
    [sym_type_placeholder] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [sym_type_identifier] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_COLON_EQ] = ACTIONS(1526),
    [anon_sym_STAR_EQ] = ACTIONS(1526),
    [anon_sym_SLASH_EQ] = ACTIONS(1526),
    [anon_sym_PERCENT_EQ] = ACTIONS(1526),
    [anon_sym_LT_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1526),
    [anon_sym_AMP_EQ] = ACTIONS(1526),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1526),
    [anon_sym_PLUS_EQ] = ACTIONS(1526),
    [anon_sym_DASH_EQ] = ACTIONS(1526),
    [anon_sym_PIPE_EQ] = ACTIONS(1526),
    [anon_sym_CARET_EQ] = ACTIONS(1526),
    [anon_sym_EQ] = ACTIONS(1528),
    [anon_sym_assert] = ACTIONS(1528),
    [anon_sym_defer] = ACTIONS(1528),
    [anon_sym_unsafe] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym_asm] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_go] = ACTIONS(1528),
    [anon_sym_spawn] = ACTIONS(1528),
    [anon_sym_goto] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_DOLLARfor] = ACTIONS(1526),
    [anon_sym_DOLLARif] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_is] = ACTIONS(1528),
    [anon_sym_BANGis] = ACTIONS(1526),
    [anon_sym_POUND] = ACTIONS(1526),
    [anon_sym_match] = ACTIONS(1528),
    [anon_sym_select] = ACTIONS(1528),
    [anon_sym_lock] = ACTIONS(1528),
    [anon_sym_rlock] = ACTIONS(1528),
    [sym__automatic_separator] = ACTIONS(1526),
    [sym__c_string_opening] = ACTIONS(1526),
    [sym__raw_string_opening] = ACTIONS(1526),
    [sym__string_opening] = ACTIONS(1526),
    [sym__comment] = ACTIONS(3),
  },
  [895] = {
    [sym_comment] = STATE(895),
    [sym_identifier] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_CARET] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_LT_DASH] = ACTIONS(1330),
    [anon_sym_SLASH] = ACTIONS(1332),
    [anon_sym_PERCENT] = ACTIONS(1332),
    [anon_sym_LT_LT] = ACTIONS(1332),
    [anon_sym_GT_GT] = ACTIONS(1332),
    [anon_sym_GT_GT_GT] = ACTIONS(1332),
    [anon_sym_AMP_CARET] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1332),
    [anon_sym_EQ_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT] = ACTIONS(1332),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_GT] = ACTIONS(1332),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_BANGin] = ACTIONS(1330),
    [anon_sym_AMP_AMP] = ACTIONS(1330),
    [anon_sym_PIPE_PIPE] = ACTIONS(1330),
    [anon_sym_as] = ACTIONS(1332),
    [anon_sym_COMMA] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [sym_none] = ACTIONS(1332),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_COLON] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_map_LBRACK] = ACTIONS(1330),
    [anon_sym_chan] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_thread] = ACTIONS(1332),
    [sym_int_literal] = ACTIONS(1332),
    [sym_float_literal] = ACTIONS(1330),
    [sym_rune_literal] = ACTIONS(1330),
    [anon_sym_DOT] = ACTIONS(1332),
    [anon_sym_array] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_char] = ACTIONS(1332),
    [anon_sym_sql] = ACTIONS(1332),
    [anon_sym_mut] = ACTIONS(1332),
    [anon_sym_C] = ACTIONS(1332),
    [anon_sym_JS] = ACTIONS(1332),
    [anon_sym_voidptr] = ACTIONS(1332),
    [anon_sym_byteptr] = ACTIONS(1332),
    [anon_sym_charptr] = ACTIONS(1332),
    [anon_sym_i8] = ACTIONS(1332),
    [anon_sym_i16] = ACTIONS(1332),
    [anon_sym_i32] = ACTIONS(1332),
    [anon_sym_int] = ACTIONS(1332),
    [anon_sym_i64] = ACTIONS(1332),
    [anon_sym_byte] = ACTIONS(1332),
    [anon_sym_u8] = ACTIONS(1332),
    [anon_sym_u16] = ACTIONS(1332),
    [anon_sym_u32] = ACTIONS(1332),
    [anon_sym_u64] = ACTIONS(1332),
    [anon_sym_f32] = ACTIONS(1332),
    [anon_sym_f64] = ACTIONS(1332),
    [anon_sym_bool] = ACTIONS(1332),
    [anon_sym_rune] = ACTIONS(1332),
    [anon_sym_map] = ACTIONS(1332),
    [anon_sym_mapnode] = ACTIONS(1332),
    [anon_sym_size_t] = ACTIONS(1332),
    [anon_sym_usize] = ACTIONS(1332),
    [anon_sym_isize] = ACTIONS(1332),
    [anon_sym_float_literal] = ACTIONS(1332),
    [anon_sym_int_literal] = ACTIONS(1332),
    [anon_sym_IError] = ACTIONS(1332),
    [sym_type_placeholder] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [sym_type_identifier] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_COLON_EQ] = ACTIONS(1330),
    [anon_sym_STAR_EQ] = ACTIONS(1330),
    [anon_sym_SLASH_EQ] = ACTIONS(1330),
    [anon_sym_PERCENT_EQ] = ACTIONS(1330),
    [anon_sym_LT_LT_EQ] = ACTIONS(1330),
    [anon_sym_GT_GT_EQ] = ACTIONS(1330),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1330),
    [anon_sym_AMP_EQ] = ACTIONS(1330),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1330),
    [anon_sym_PLUS_EQ] = ACTIONS(1330),
    [anon_sym_DASH_EQ] = ACTIONS(1330),
    [anon_sym_PIPE_EQ] = ACTIONS(1330),
    [anon_sym_CARET_EQ] = ACTIONS(1330),
    [anon_sym_EQ] = ACTIONS(1332),
    [anon_sym_assert] = ACTIONS(1332),
    [anon_sym_defer] = ACTIONS(1332),
    [anon_sym_unsafe] = ACTIONS(1332),
    [anon_sym_fn] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_go] = ACTIONS(1332),
    [anon_sym_spawn] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_DOLLARfor] = ACTIONS(1330),
    [anon_sym_DOLLARif] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_is] = ACTIONS(1332),
    [anon_sym_BANGis] = ACTIONS(1330),
    [anon_sym_POUND] = ACTIONS(1330),
    [anon_sym_match] = ACTIONS(1332),
    [anon_sym_select] = ACTIONS(1332),
    [anon_sym_lock] = ACTIONS(1332),
    [anon_sym_rlock] = ACTIONS(1332),
    [sym__automatic_separator] = ACTIONS(1330),
    [sym__c_string_opening] = ACTIONS(1330),
    [sym__raw_string_opening] = ACTIONS(1330),
    [sym__string_opening] = ACTIONS(1330),
    [sym__comment] = ACTIONS(3),
  },
  [896] = {
    [sym_comment] = STATE(896),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1534),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1534),
    [anon_sym_GT_GT_GT] = ACTIONS(1534),
    [anon_sym_AMP_CARET] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1534),
    [anon_sym_BANGin] = ACTIONS(1532),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_as] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [sym_none] = ACTIONS(1534),
    [sym_true] = ACTIONS(1534),
    [sym_false] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_COLON] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_map_LBRACK] = ACTIONS(1532),
    [anon_sym_chan] = ACTIONS(1534),
    [anon_sym_shared] = ACTIONS(1534),
    [anon_sym_thread] = ACTIONS(1534),
    [sym_int_literal] = ACTIONS(1534),
    [sym_float_literal] = ACTIONS(1532),
    [sym_rune_literal] = ACTIONS(1532),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_array] = ACTIONS(1534),
    [anon_sym_string] = ACTIONS(1534),
    [anon_sym_char] = ACTIONS(1534),
    [anon_sym_sql] = ACTIONS(1534),
    [anon_sym_mut] = ACTIONS(1534),
    [anon_sym_C] = ACTIONS(1534),
    [anon_sym_JS] = ACTIONS(1534),
    [anon_sym_voidptr] = ACTIONS(1534),
    [anon_sym_byteptr] = ACTIONS(1534),
    [anon_sym_charptr] = ACTIONS(1534),
    [anon_sym_i8] = ACTIONS(1534),
    [anon_sym_i16] = ACTIONS(1534),
    [anon_sym_i32] = ACTIONS(1534),
    [anon_sym_int] = ACTIONS(1534),
    [anon_sym_i64] = ACTIONS(1534),
    [anon_sym_byte] = ACTIONS(1534),
    [anon_sym_u8] = ACTIONS(1534),
    [anon_sym_u16] = ACTIONS(1534),
    [anon_sym_u32] = ACTIONS(1534),
    [anon_sym_u64] = ACTIONS(1534),
    [anon_sym_f32] = ACTIONS(1534),
    [anon_sym_f64] = ACTIONS(1534),
    [anon_sym_bool] = ACTIONS(1534),
    [anon_sym_rune] = ACTIONS(1534),
    [anon_sym_map] = ACTIONS(1534),
    [anon_sym_mapnode] = ACTIONS(1534),
    [anon_sym_size_t] = ACTIONS(1534),
    [anon_sym_usize] = ACTIONS(1534),
    [anon_sym_isize] = ACTIONS(1534),
    [anon_sym_float_literal] = ACTIONS(1534),
    [anon_sym_int_literal] = ACTIONS(1534),
    [anon_sym_IError] = ACTIONS(1534),
    [sym_type_placeholder] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [sym_type_identifier] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_COLON_EQ] = ACTIONS(1532),
    [anon_sym_STAR_EQ] = ACTIONS(1532),
    [anon_sym_SLASH_EQ] = ACTIONS(1532),
    [anon_sym_PERCENT_EQ] = ACTIONS(1532),
    [anon_sym_LT_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT_GT_EQ] = ACTIONS(1532),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1532),
    [anon_sym_AMP_EQ] = ACTIONS(1532),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1532),
    [anon_sym_PLUS_EQ] = ACTIONS(1532),
    [anon_sym_DASH_EQ] = ACTIONS(1532),
    [anon_sym_PIPE_EQ] = ACTIONS(1532),
    [anon_sym_CARET_EQ] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1534),
    [anon_sym_assert] = ACTIONS(1534),
    [anon_sym_defer] = ACTIONS(1534),
    [anon_sym_unsafe] = ACTIONS(1534),
    [anon_sym_fn] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1534),
    [anon_sym_break] = ACTIONS(1534),
    [anon_sym_continue] = ACTIONS(1534),
    [anon_sym_return] = ACTIONS(1534),
    [anon_sym_go] = ACTIONS(1534),
    [anon_sym_spawn] = ACTIONS(1534),
    [anon_sym_goto] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_DOLLARfor] = ACTIONS(1532),
    [anon_sym_DOLLARif] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1534),
    [anon_sym_is] = ACTIONS(1534),
    [anon_sym_BANGis] = ACTIONS(1532),
    [anon_sym_POUND] = ACTIONS(1532),
    [anon_sym_match] = ACTIONS(1534),
    [anon_sym_select] = ACTIONS(1534),
    [anon_sym_lock] = ACTIONS(1534),
    [anon_sym_rlock] = ACTIONS(1534),
    [sym__automatic_separator] = ACTIONS(1532),
    [sym__c_string_opening] = ACTIONS(1532),
    [sym__raw_string_opening] = ACTIONS(1532),
    [sym__string_opening] = ACTIONS(1532),
    [sym__comment] = ACTIONS(3),
  },
  [897] = {
    [sym_comment] = STATE(897),
    [sym_identifier] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_LT_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_GT_GT_GT] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_in] = ACTIONS(1214),
    [anon_sym_BANGin] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_map_LBRACK] = ACTIONS(1212),
    [anon_sym_chan] = ACTIONS(1214),
    [anon_sym_shared] = ACTIONS(1214),
    [anon_sym_thread] = ACTIONS(1214),
    [sym_int_literal] = ACTIONS(1214),
    [sym_float_literal] = ACTIONS(1212),
    [sym_rune_literal] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_array] = ACTIONS(1214),
    [anon_sym_string] = ACTIONS(1214),
    [anon_sym_char] = ACTIONS(1214),
    [anon_sym_sql] = ACTIONS(1214),
    [anon_sym_mut] = ACTIONS(1214),
    [anon_sym_C] = ACTIONS(1214),
    [anon_sym_JS] = ACTIONS(1214),
    [anon_sym_LT2] = ACTIONS(1214),
    [anon_sym_voidptr] = ACTIONS(1214),
    [anon_sym_byteptr] = ACTIONS(1214),
    [anon_sym_charptr] = ACTIONS(1214),
    [anon_sym_i8] = ACTIONS(1214),
    [anon_sym_i16] = ACTIONS(1214),
    [anon_sym_i32] = ACTIONS(1214),
    [anon_sym_int] = ACTIONS(1214),
    [anon_sym_i64] = ACTIONS(1214),
    [anon_sym_byte] = ACTIONS(1214),
    [anon_sym_u8] = ACTIONS(1214),
    [anon_sym_u16] = ACTIONS(1214),
    [anon_sym_u32] = ACTIONS(1214),
    [anon_sym_u64] = ACTIONS(1214),
    [anon_sym_f32] = ACTIONS(1214),
    [anon_sym_f64] = ACTIONS(1214),
    [anon_sym_bool] = ACTIONS(1214),
    [anon_sym_rune] = ACTIONS(1214),
    [anon_sym_map] = ACTIONS(1214),
    [anon_sym_mapnode] = ACTIONS(1214),
    [anon_sym_size_t] = ACTIONS(1214),
    [anon_sym_usize] = ACTIONS(1214),
    [anon_sym_isize] = ACTIONS(1214),
    [anon_sym_float_literal] = ACTIONS(1214),
    [anon_sym_int_literal] = ACTIONS(1214),
    [anon_sym_IError] = ACTIONS(1214),
    [sym_type_placeholder] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [sym_type_identifier] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_COLON_EQ] = ACTIONS(1212),
    [anon_sym_STAR_EQ] = ACTIONS(1212),
    [anon_sym_SLASH_EQ] = ACTIONS(1212),
    [anon_sym_PERCENT_EQ] = ACTIONS(1212),
    [anon_sym_LT_LT_EQ] = ACTIONS(1212),
    [anon_sym_GT_GT_EQ] = ACTIONS(1212),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1212),
    [anon_sym_AMP_EQ] = ACTIONS(1212),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1212),
    [anon_sym_PLUS_EQ] = ACTIONS(1212),
    [anon_sym_DASH_EQ] = ACTIONS(1212),
    [anon_sym_PIPE_EQ] = ACTIONS(1212),
    [anon_sym_CARET_EQ] = ACTIONS(1212),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_assert] = ACTIONS(1214),
    [anon_sym_defer] = ACTIONS(1214),
    [anon_sym_unsafe] = ACTIONS(1214),
    [anon_sym_fn] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_go] = ACTIONS(1214),
    [anon_sym_spawn] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_DOLLARfor] = ACTIONS(1212),
    [anon_sym_DOLLARif] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_is] = ACTIONS(1214),
    [anon_sym_BANGis] = ACTIONS(1212),
    [anon_sym_POUND] = ACTIONS(1212),
    [anon_sym_match] = ACTIONS(1214),
    [anon_sym_select] = ACTIONS(1214),
    [anon_sym_lock] = ACTIONS(1214),
    [anon_sym_rlock] = ACTIONS(1214),
    [sym__automatic_separator] = ACTIONS(1212),
    [sym__c_string_opening] = ACTIONS(1212),
    [sym__raw_string_opening] = ACTIONS(1212),
    [sym__string_opening] = ACTIONS(1212),
    [sym__comment] = ACTIONS(3),
  },
  [898] = {
    [sym_comment] = STATE(898),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_COLON_EQ] = ACTIONS(1110),
    [anon_sym_STAR_EQ] = ACTIONS(1110),
    [anon_sym_SLASH_EQ] = ACTIONS(1110),
    [anon_sym_PERCENT_EQ] = ACTIONS(1110),
    [anon_sym_LT_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_EQ] = ACTIONS(1110),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1110),
    [anon_sym_DASH_EQ] = ACTIONS(1110),
    [anon_sym_PIPE_EQ] = ACTIONS(1110),
    [anon_sym_CARET_EQ] = ACTIONS(1110),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_DOLLARelse] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [899] = {
    [sym_comment] = STATE(899),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_CARET] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_LT_DASH] = ACTIONS(1122),
    [anon_sym_SLASH] = ACTIONS(1124),
    [anon_sym_PERCENT] = ACTIONS(1124),
    [anon_sym_LT_LT] = ACTIONS(1124),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1124),
    [anon_sym_AMP_CARET] = ACTIONS(1124),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1122),
    [sym_none] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [sym_int_literal] = ACTIONS(1124),
    [sym_float_literal] = ACTIONS(1122),
    [sym_rune_literal] = ACTIONS(1122),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_sql] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_COLON_EQ] = ACTIONS(1122),
    [anon_sym_STAR_EQ] = ACTIONS(1122),
    [anon_sym_SLASH_EQ] = ACTIONS(1122),
    [anon_sym_PERCENT_EQ] = ACTIONS(1122),
    [anon_sym_LT_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT_GT_EQ] = ACTIONS(1122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1122),
    [anon_sym_AMP_EQ] = ACTIONS(1122),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1122),
    [anon_sym_PLUS_EQ] = ACTIONS(1122),
    [anon_sym_DASH_EQ] = ACTIONS(1122),
    [anon_sym_PIPE_EQ] = ACTIONS(1122),
    [anon_sym_CARET_EQ] = ACTIONS(1122),
    [anon_sym_EQ] = ACTIONS(1124),
    [anon_sym_assert] = ACTIONS(1124),
    [anon_sym_defer] = ACTIONS(1124),
    [anon_sym_unsafe] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_go] = ACTIONS(1124),
    [anon_sym_spawn] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_DOLLARfor] = ACTIONS(1122),
    [anon_sym_DOLLARif] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [anon_sym_POUND] = ACTIONS(1122),
    [anon_sym_match] = ACTIONS(1124),
    [anon_sym_select] = ACTIONS(1124),
    [anon_sym_lock] = ACTIONS(1124),
    [anon_sym_rlock] = ACTIONS(1124),
    [sym__automatic_separator] = ACTIONS(1122),
    [sym__c_string_opening] = ACTIONS(1122),
    [sym__raw_string_opening] = ACTIONS(1122),
    [sym__string_opening] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [900] = {
    [sym_comment] = STATE(900),
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_LT_DASH] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_GT_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_BANGin] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [sym_none] = ACTIONS(1502),
    [sym_true] = ACTIONS(1502),
    [sym_false] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [anon_sym_COLON] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_map_LBRACK] = ACTIONS(1500),
    [anon_sym_chan] = ACTIONS(1502),
    [anon_sym_shared] = ACTIONS(1502),
    [anon_sym_thread] = ACTIONS(1502),
    [sym_int_literal] = ACTIONS(1502),
    [sym_float_literal] = ACTIONS(1500),
    [sym_rune_literal] = ACTIONS(1500),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_array] = ACTIONS(1502),
    [anon_sym_string] = ACTIONS(1502),
    [anon_sym_char] = ACTIONS(1502),
    [anon_sym_sql] = ACTIONS(1502),
    [anon_sym_mut] = ACTIONS(1502),
    [anon_sym_C] = ACTIONS(1502),
    [anon_sym_JS] = ACTIONS(1502),
    [anon_sym_voidptr] = ACTIONS(1502),
    [anon_sym_byteptr] = ACTIONS(1502),
    [anon_sym_charptr] = ACTIONS(1502),
    [anon_sym_i8] = ACTIONS(1502),
    [anon_sym_i16] = ACTIONS(1502),
    [anon_sym_i32] = ACTIONS(1502),
    [anon_sym_int] = ACTIONS(1502),
    [anon_sym_i64] = ACTIONS(1502),
    [anon_sym_byte] = ACTIONS(1502),
    [anon_sym_u8] = ACTIONS(1502),
    [anon_sym_u16] = ACTIONS(1502),
    [anon_sym_u32] = ACTIONS(1502),
    [anon_sym_u64] = ACTIONS(1502),
    [anon_sym_f32] = ACTIONS(1502),
    [anon_sym_f64] = ACTIONS(1502),
    [anon_sym_bool] = ACTIONS(1502),
    [anon_sym_rune] = ACTIONS(1502),
    [anon_sym_map] = ACTIONS(1502),
    [anon_sym_mapnode] = ACTIONS(1502),
    [anon_sym_size_t] = ACTIONS(1502),
    [anon_sym_usize] = ACTIONS(1502),
    [anon_sym_isize] = ACTIONS(1502),
    [anon_sym_float_literal] = ACTIONS(1502),
    [anon_sym_int_literal] = ACTIONS(1502),
    [anon_sym_IError] = ACTIONS(1502),
    [sym_type_placeholder] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [sym_type_identifier] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_COLON_EQ] = ACTIONS(1500),
    [anon_sym_STAR_EQ] = ACTIONS(1500),
    [anon_sym_SLASH_EQ] = ACTIONS(1500),
    [anon_sym_PERCENT_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT_EQ] = ACTIONS(1500),
    [anon_sym_GT_GT_EQ] = ACTIONS(1500),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1500),
    [anon_sym_AMP_EQ] = ACTIONS(1500),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1500),
    [anon_sym_PLUS_EQ] = ACTIONS(1500),
    [anon_sym_DASH_EQ] = ACTIONS(1500),
    [anon_sym_PIPE_EQ] = ACTIONS(1500),
    [anon_sym_CARET_EQ] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1502),
    [anon_sym_assert] = ACTIONS(1502),
    [anon_sym_defer] = ACTIONS(1502),
    [anon_sym_unsafe] = ACTIONS(1502),
    [anon_sym_fn] = ACTIONS(1502),
    [anon_sym_asm] = ACTIONS(1502),
    [anon_sym_break] = ACTIONS(1502),
    [anon_sym_continue] = ACTIONS(1502),
    [anon_sym_return] = ACTIONS(1502),
    [anon_sym_go] = ACTIONS(1502),
    [anon_sym_spawn] = ACTIONS(1502),
    [anon_sym_goto] = ACTIONS(1502),
    [anon_sym_for] = ACTIONS(1502),
    [anon_sym_DOLLARfor] = ACTIONS(1500),
    [anon_sym_DOLLARif] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1502),
    [anon_sym_is] = ACTIONS(1502),
    [anon_sym_BANGis] = ACTIONS(1500),
    [anon_sym_POUND] = ACTIONS(1500),
    [anon_sym_match] = ACTIONS(1502),
    [anon_sym_select] = ACTIONS(1502),
    [anon_sym_lock] = ACTIONS(1502),
    [anon_sym_rlock] = ACTIONS(1502),
    [sym__automatic_separator] = ACTIONS(1500),
    [sym__c_string_opening] = ACTIONS(1500),
    [sym__raw_string_opening] = ACTIONS(1500),
    [sym__string_opening] = ACTIONS(1500),
    [sym__comment] = ACTIONS(3),
  },
  [901] = {
    [sym_comment] = STATE(901),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_BANGin] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_as] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [sym_none] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_map_LBRACK] = ACTIONS(1482),
    [anon_sym_chan] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_thread] = ACTIONS(1484),
    [sym_int_literal] = ACTIONS(1484),
    [sym_float_literal] = ACTIONS(1482),
    [sym_rune_literal] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_array] = ACTIONS(1484),
    [anon_sym_string] = ACTIONS(1484),
    [anon_sym_char] = ACTIONS(1484),
    [anon_sym_sql] = ACTIONS(1484),
    [anon_sym_mut] = ACTIONS(1484),
    [anon_sym_C] = ACTIONS(1484),
    [anon_sym_JS] = ACTIONS(1484),
    [anon_sym_voidptr] = ACTIONS(1484),
    [anon_sym_byteptr] = ACTIONS(1484),
    [anon_sym_charptr] = ACTIONS(1484),
    [anon_sym_i8] = ACTIONS(1484),
    [anon_sym_i16] = ACTIONS(1484),
    [anon_sym_i32] = ACTIONS(1484),
    [anon_sym_int] = ACTIONS(1484),
    [anon_sym_i64] = ACTIONS(1484),
    [anon_sym_byte] = ACTIONS(1484),
    [anon_sym_u8] = ACTIONS(1484),
    [anon_sym_u16] = ACTIONS(1484),
    [anon_sym_u32] = ACTIONS(1484),
    [anon_sym_u64] = ACTIONS(1484),
    [anon_sym_f32] = ACTIONS(1484),
    [anon_sym_f64] = ACTIONS(1484),
    [anon_sym_bool] = ACTIONS(1484),
    [anon_sym_rune] = ACTIONS(1484),
    [anon_sym_map] = ACTIONS(1484),
    [anon_sym_mapnode] = ACTIONS(1484),
    [anon_sym_size_t] = ACTIONS(1484),
    [anon_sym_usize] = ACTIONS(1484),
    [anon_sym_isize] = ACTIONS(1484),
    [anon_sym_float_literal] = ACTIONS(1484),
    [anon_sym_int_literal] = ACTIONS(1484),
    [anon_sym_IError] = ACTIONS(1484),
    [sym_type_placeholder] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym_type_identifier] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_STAR_EQ] = ACTIONS(1482),
    [anon_sym_SLASH_EQ] = ACTIONS(1482),
    [anon_sym_PERCENT_EQ] = ACTIONS(1482),
    [anon_sym_LT_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT_GT_EQ] = ACTIONS(1482),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP_EQ] = ACTIONS(1482),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_PIPE_EQ] = ACTIONS(1482),
    [anon_sym_CARET_EQ] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_assert] = ACTIONS(1484),
    [anon_sym_defer] = ACTIONS(1484),
    [anon_sym_unsafe] = ACTIONS(1484),
    [anon_sym_fn] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_go] = ACTIONS(1484),
    [anon_sym_spawn] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_DOLLARfor] = ACTIONS(1482),
    [anon_sym_DOLLARif] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1484),
    [anon_sym_BANGis] = ACTIONS(1482),
    [anon_sym_POUND] = ACTIONS(1482),
    [anon_sym_match] = ACTIONS(1484),
    [anon_sym_select] = ACTIONS(1484),
    [anon_sym_lock] = ACTIONS(1484),
    [anon_sym_rlock] = ACTIONS(1484),
    [sym__automatic_separator] = ACTIONS(1482),
    [sym__c_string_opening] = ACTIONS(1482),
    [sym__raw_string_opening] = ACTIONS(1482),
    [sym__string_opening] = ACTIONS(1482),
    [sym__comment] = ACTIONS(3),
  },
  [902] = {
    [sym_comment] = STATE(902),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_AMP_CARET] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_LT2] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_COLON_EQ] = ACTIONS(1200),
    [anon_sym_STAR_EQ] = ACTIONS(1200),
    [anon_sym_SLASH_EQ] = ACTIONS(1200),
    [anon_sym_PERCENT_EQ] = ACTIONS(1200),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1200),
    [anon_sym_PLUS_EQ] = ACTIONS(1200),
    [anon_sym_DASH_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [903] = {
    [sym_comment] = STATE(903),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_LT_DASH] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1132),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_AMP_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1130),
    [sym_none] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [sym_int_literal] = ACTIONS(1132),
    [sym_float_literal] = ACTIONS(1130),
    [sym_rune_literal] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_sql] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_COLON_EQ] = ACTIONS(1130),
    [anon_sym_STAR_EQ] = ACTIONS(1130),
    [anon_sym_SLASH_EQ] = ACTIONS(1130),
    [anon_sym_PERCENT_EQ] = ACTIONS(1130),
    [anon_sym_LT_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT_GT_EQ] = ACTIONS(1130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1130),
    [anon_sym_AMP_EQ] = ACTIONS(1130),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1130),
    [anon_sym_PLUS_EQ] = ACTIONS(1130),
    [anon_sym_DASH_EQ] = ACTIONS(1130),
    [anon_sym_PIPE_EQ] = ACTIONS(1130),
    [anon_sym_CARET_EQ] = ACTIONS(1130),
    [anon_sym_EQ] = ACTIONS(1132),
    [anon_sym_assert] = ACTIONS(1132),
    [anon_sym_defer] = ACTIONS(1132),
    [anon_sym_unsafe] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_go] = ACTIONS(1132),
    [anon_sym_spawn] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_DOLLARfor] = ACTIONS(1130),
    [anon_sym_DOLLARif] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [anon_sym_POUND] = ACTIONS(1130),
    [anon_sym_match] = ACTIONS(1132),
    [anon_sym_select] = ACTIONS(1132),
    [anon_sym_lock] = ACTIONS(1132),
    [anon_sym_rlock] = ACTIONS(1132),
    [sym__automatic_separator] = ACTIONS(1130),
    [sym__c_string_opening] = ACTIONS(1130),
    [sym__raw_string_opening] = ACTIONS(1130),
    [sym__string_opening] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [904] = {
    [sym_comment] = STATE(904),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_LT_DASH] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_GT_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1454),
    [anon_sym_BANGin] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [sym_none] = ACTIONS(1454),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_COLON] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_map_LBRACK] = ACTIONS(1452),
    [anon_sym_chan] = ACTIONS(1454),
    [anon_sym_shared] = ACTIONS(1454),
    [anon_sym_thread] = ACTIONS(1454),
    [sym_int_literal] = ACTIONS(1454),
    [sym_float_literal] = ACTIONS(1452),
    [sym_rune_literal] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_array] = ACTIONS(1454),
    [anon_sym_string] = ACTIONS(1454),
    [anon_sym_char] = ACTIONS(1454),
    [anon_sym_sql] = ACTIONS(1454),
    [anon_sym_mut] = ACTIONS(1454),
    [anon_sym_C] = ACTIONS(1454),
    [anon_sym_JS] = ACTIONS(1454),
    [anon_sym_voidptr] = ACTIONS(1454),
    [anon_sym_byteptr] = ACTIONS(1454),
    [anon_sym_charptr] = ACTIONS(1454),
    [anon_sym_i8] = ACTIONS(1454),
    [anon_sym_i16] = ACTIONS(1454),
    [anon_sym_i32] = ACTIONS(1454),
    [anon_sym_int] = ACTIONS(1454),
    [anon_sym_i64] = ACTIONS(1454),
    [anon_sym_byte] = ACTIONS(1454),
    [anon_sym_u8] = ACTIONS(1454),
    [anon_sym_u16] = ACTIONS(1454),
    [anon_sym_u32] = ACTIONS(1454),
    [anon_sym_u64] = ACTIONS(1454),
    [anon_sym_f32] = ACTIONS(1454),
    [anon_sym_f64] = ACTIONS(1454),
    [anon_sym_bool] = ACTIONS(1454),
    [anon_sym_rune] = ACTIONS(1454),
    [anon_sym_map] = ACTIONS(1454),
    [anon_sym_mapnode] = ACTIONS(1454),
    [anon_sym_size_t] = ACTIONS(1454),
    [anon_sym_usize] = ACTIONS(1454),
    [anon_sym_isize] = ACTIONS(1454),
    [anon_sym_float_literal] = ACTIONS(1454),
    [anon_sym_int_literal] = ACTIONS(1454),
    [anon_sym_IError] = ACTIONS(1454),
    [sym_type_placeholder] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym_type_identifier] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_COLON_EQ] = ACTIONS(1452),
    [anon_sym_STAR_EQ] = ACTIONS(1452),
    [anon_sym_SLASH_EQ] = ACTIONS(1452),
    [anon_sym_PERCENT_EQ] = ACTIONS(1452),
    [anon_sym_LT_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT_GT_EQ] = ACTIONS(1452),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1452),
    [anon_sym_AMP_EQ] = ACTIONS(1452),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1452),
    [anon_sym_PLUS_EQ] = ACTIONS(1452),
    [anon_sym_DASH_EQ] = ACTIONS(1452),
    [anon_sym_PIPE_EQ] = ACTIONS(1452),
    [anon_sym_CARET_EQ] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_assert] = ACTIONS(1454),
    [anon_sym_defer] = ACTIONS(1454),
    [anon_sym_unsafe] = ACTIONS(1454),
    [anon_sym_fn] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_go] = ACTIONS(1454),
    [anon_sym_spawn] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_DOLLARfor] = ACTIONS(1452),
    [anon_sym_DOLLARif] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_is] = ACTIONS(1454),
    [anon_sym_BANGis] = ACTIONS(1452),
    [anon_sym_POUND] = ACTIONS(1452),
    [anon_sym_match] = ACTIONS(1454),
    [anon_sym_select] = ACTIONS(1454),
    [anon_sym_lock] = ACTIONS(1454),
    [anon_sym_rlock] = ACTIONS(1454),
    [sym__automatic_separator] = ACTIONS(1452),
    [sym__c_string_opening] = ACTIONS(1452),
    [sym__raw_string_opening] = ACTIONS(1452),
    [sym__string_opening] = ACTIONS(1452),
    [sym__comment] = ACTIONS(3),
  },
  [905] = {
    [sym_comment] = STATE(905),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1190),
    [anon_sym_AMP_CARET] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_COLON_EQ] = ACTIONS(1188),
    [anon_sym_STAR_EQ] = ACTIONS(1188),
    [anon_sym_SLASH_EQ] = ACTIONS(1188),
    [anon_sym_PERCENT_EQ] = ACTIONS(1188),
    [anon_sym_LT_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT_GT_EQ] = ACTIONS(1188),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1188),
    [anon_sym_AMP_EQ] = ACTIONS(1188),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1188),
    [anon_sym_PLUS_EQ] = ACTIONS(1188),
    [anon_sym_DASH_EQ] = ACTIONS(1188),
    [anon_sym_PIPE_EQ] = ACTIONS(1188),
    [anon_sym_CARET_EQ] = ACTIONS(1188),
    [anon_sym_EQ] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_DOLLARelse] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [906] = {
    [sym_comment] = STATE(906),
    [aux_sym_expression_list_repeat1] = STATE(3467),
    [sym_identifier] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_LT_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_GT_GT_GT] = ACTIONS(3214),
    [anon_sym_AMP_CARET] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_in] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_as] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [sym_none] = ACTIONS(1144),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_map_LBRACK] = ACTIONS(1142),
    [anon_sym_chan] = ACTIONS(1144),
    [anon_sym_shared] = ACTIONS(1144),
    [anon_sym_thread] = ACTIONS(1144),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_array] = ACTIONS(1144),
    [anon_sym_string] = ACTIONS(1144),
    [anon_sym_char] = ACTIONS(1144),
    [anon_sym_sql] = ACTIONS(1144),
    [anon_sym_mut] = ACTIONS(1144),
    [anon_sym_C] = ACTIONS(1144),
    [anon_sym_JS] = ACTIONS(1144),
    [anon_sym_voidptr] = ACTIONS(1144),
    [anon_sym_byteptr] = ACTIONS(1144),
    [anon_sym_charptr] = ACTIONS(1144),
    [anon_sym_i8] = ACTIONS(1144),
    [anon_sym_i16] = ACTIONS(1144),
    [anon_sym_i32] = ACTIONS(1144),
    [anon_sym_int] = ACTIONS(1144),
    [anon_sym_i64] = ACTIONS(1144),
    [anon_sym_byte] = ACTIONS(1144),
    [anon_sym_u8] = ACTIONS(1144),
    [anon_sym_u16] = ACTIONS(1144),
    [anon_sym_u32] = ACTIONS(1144),
    [anon_sym_u64] = ACTIONS(1144),
    [anon_sym_f32] = ACTIONS(1144),
    [anon_sym_f64] = ACTIONS(1144),
    [anon_sym_bool] = ACTIONS(1144),
    [anon_sym_rune] = ACTIONS(1144),
    [anon_sym_map] = ACTIONS(1144),
    [anon_sym_mapnode] = ACTIONS(1144),
    [anon_sym_size_t] = ACTIONS(1144),
    [anon_sym_usize] = ACTIONS(1144),
    [anon_sym_isize] = ACTIONS(1144),
    [anon_sym_float_literal] = ACTIONS(1144),
    [anon_sym_int_literal] = ACTIONS(1144),
    [anon_sym_IError] = ACTIONS(1144),
    [sym_type_placeholder] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [sym_type_identifier] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_COLON_EQ] = ACTIONS(1172),
    [anon_sym_STAR_EQ] = ACTIONS(1172),
    [anon_sym_SLASH_EQ] = ACTIONS(1172),
    [anon_sym_PERCENT_EQ] = ACTIONS(1172),
    [anon_sym_LT_LT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_AMP_EQ] = ACTIONS(1172),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1172),
    [anon_sym_PLUS_EQ] = ACTIONS(1172),
    [anon_sym_DASH_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_EQ] = ACTIONS(1172),
    [anon_sym_CARET_EQ] = ACTIONS(1172),
    [anon_sym_EQ] = ACTIONS(1174),
    [anon_sym_assert] = ACTIONS(1144),
    [anon_sym_defer] = ACTIONS(1144),
    [anon_sym_unsafe] = ACTIONS(1144),
    [anon_sym_fn] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_go] = ACTIONS(1144),
    [anon_sym_spawn] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_DOLLARfor] = ACTIONS(1142),
    [anon_sym_DOLLARif] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_is] = ACTIONS(3236),
    [anon_sym_BANGis] = ACTIONS(3238),
    [anon_sym_POUND] = ACTIONS(1142),
    [anon_sym_match] = ACTIONS(1144),
    [anon_sym_select] = ACTIONS(1144),
    [anon_sym_lock] = ACTIONS(1144),
    [anon_sym_rlock] = ACTIONS(1144),
    [sym__automatic_separator] = ACTIONS(1142),
    [sym__c_string_opening] = ACTIONS(1142),
    [sym__raw_string_opening] = ACTIONS(1142),
    [sym__string_opening] = ACTIONS(1142),
    [sym__comment] = ACTIONS(3),
  },
  [907] = {
    [sym_comment] = STATE(907),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [908] = {
    [sym_comment] = STATE(908),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1114),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1114),
    [anon_sym_AMP_CARET] = ACTIONS(1114),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1116),
    [anon_sym_BANG_EQ] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_BANGin] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_COLON_EQ] = ACTIONS(1116),
    [anon_sym_STAR_EQ] = ACTIONS(1116),
    [anon_sym_SLASH_EQ] = ACTIONS(1116),
    [anon_sym_PERCENT_EQ] = ACTIONS(1116),
    [anon_sym_LT_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT_GT_EQ] = ACTIONS(1116),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1116),
    [anon_sym_AMP_EQ] = ACTIONS(1116),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1116),
    [anon_sym_PLUS_EQ] = ACTIONS(1116),
    [anon_sym_DASH_EQ] = ACTIONS(1116),
    [anon_sym_PIPE_EQ] = ACTIONS(1116),
    [anon_sym_CARET_EQ] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1114),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_BANGis] = ACTIONS(1116),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [909] = {
    [sym_comment] = STATE(909),
    [sym_argument_list] = STATE(964),
    [sym_identifier] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_LT_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1224),
    [anon_sym_PERCENT] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1224),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_GT_GT_GT] = ACTIONS(1224),
    [anon_sym_AMP_CARET] = ACTIONS(1224),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1224),
    [anon_sym_BANGin] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym_none] = ACTIONS(1224),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_map_LBRACK] = ACTIONS(1222),
    [anon_sym_chan] = ACTIONS(1224),
    [anon_sym_shared] = ACTIONS(1224),
    [anon_sym_thread] = ACTIONS(1224),
    [sym_int_literal] = ACTIONS(1224),
    [sym_float_literal] = ACTIONS(1222),
    [sym_rune_literal] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1224),
    [anon_sym_array] = ACTIONS(1224),
    [anon_sym_string] = ACTIONS(1224),
    [anon_sym_char] = ACTIONS(1224),
    [anon_sym_sql] = ACTIONS(1224),
    [anon_sym_mut] = ACTIONS(1224),
    [anon_sym_C] = ACTIONS(1224),
    [anon_sym_JS] = ACTIONS(1224),
    [anon_sym_voidptr] = ACTIONS(1224),
    [anon_sym_byteptr] = ACTIONS(1224),
    [anon_sym_charptr] = ACTIONS(1224),
    [anon_sym_i8] = ACTIONS(1224),
    [anon_sym_i16] = ACTIONS(1224),
    [anon_sym_i32] = ACTIONS(1224),
    [anon_sym_int] = ACTIONS(1224),
    [anon_sym_i64] = ACTIONS(1224),
    [anon_sym_byte] = ACTIONS(1224),
    [anon_sym_u8] = ACTIONS(1224),
    [anon_sym_u16] = ACTIONS(1224),
    [anon_sym_u32] = ACTIONS(1224),
    [anon_sym_u64] = ACTIONS(1224),
    [anon_sym_f32] = ACTIONS(1224),
    [anon_sym_f64] = ACTIONS(1224),
    [anon_sym_bool] = ACTIONS(1224),
    [anon_sym_rune] = ACTIONS(1224),
    [anon_sym_map] = ACTIONS(1224),
    [anon_sym_mapnode] = ACTIONS(1224),
    [anon_sym_size_t] = ACTIONS(1224),
    [anon_sym_usize] = ACTIONS(1224),
    [anon_sym_isize] = ACTIONS(1224),
    [anon_sym_float_literal] = ACTIONS(1224),
    [anon_sym_int_literal] = ACTIONS(1224),
    [anon_sym_IError] = ACTIONS(1224),
    [sym_type_placeholder] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [sym_type_identifier] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_COLON_EQ] = ACTIONS(1222),
    [anon_sym_STAR_EQ] = ACTIONS(1222),
    [anon_sym_SLASH_EQ] = ACTIONS(1222),
    [anon_sym_PERCENT_EQ] = ACTIONS(1222),
    [anon_sym_LT_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT_GT_EQ] = ACTIONS(1222),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1222),
    [anon_sym_AMP_EQ] = ACTIONS(1222),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1222),
    [anon_sym_DASH_EQ] = ACTIONS(1222),
    [anon_sym_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_CARET_EQ] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1224),
    [anon_sym_defer] = ACTIONS(1224),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_fn] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_go] = ACTIONS(1224),
    [anon_sym_spawn] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_DOLLARfor] = ACTIONS(1222),
    [anon_sym_DOLLARif] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_is] = ACTIONS(1224),
    [anon_sym_BANGis] = ACTIONS(1222),
    [anon_sym_POUND] = ACTIONS(1222),
    [anon_sym_match] = ACTIONS(1224),
    [anon_sym_select] = ACTIONS(1224),
    [anon_sym_lock] = ACTIONS(1224),
    [anon_sym_rlock] = ACTIONS(1224),
    [sym__automatic_separator] = ACTIONS(1222),
    [sym__c_string_opening] = ACTIONS(1222),
    [sym__raw_string_opening] = ACTIONS(1222),
    [sym__string_opening] = ACTIONS(1222),
    [sym__comment] = ACTIONS(3),
  },
  [910] = {
    [sym_comment] = STATE(910),
    [sym_identifier] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_CARET] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_LT_DASH] = ACTIONS(1230),
    [anon_sym_SLASH] = ACTIONS(1232),
    [anon_sym_PERCENT] = ACTIONS(1232),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_GT_GT_GT] = ACTIONS(1232),
    [anon_sym_AMP_CARET] = ACTIONS(1232),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1230),
    [anon_sym_BANG_EQ] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_GT_EQ] = ACTIONS(1230),
    [anon_sym_in] = ACTIONS(1232),
    [anon_sym_BANGin] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1230),
    [anon_sym_PIPE_PIPE] = ACTIONS(1230),
    [anon_sym_as] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_map_LBRACK] = ACTIONS(1230),
    [anon_sym_chan] = ACTIONS(1232),
    [anon_sym_shared] = ACTIONS(1232),
    [anon_sym_thread] = ACTIONS(1232),
    [sym_int_literal] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1230),
    [sym_rune_literal] = ACTIONS(1230),
    [anon_sym_DOT] = ACTIONS(1232),
    [anon_sym_array] = ACTIONS(1232),
    [anon_sym_string] = ACTIONS(1232),
    [anon_sym_char] = ACTIONS(1232),
    [anon_sym_sql] = ACTIONS(1232),
    [anon_sym_mut] = ACTIONS(1232),
    [anon_sym_C] = ACTIONS(1232),
    [anon_sym_JS] = ACTIONS(1232),
    [anon_sym_voidptr] = ACTIONS(1232),
    [anon_sym_byteptr] = ACTIONS(1232),
    [anon_sym_charptr] = ACTIONS(1232),
    [anon_sym_i8] = ACTIONS(1232),
    [anon_sym_i16] = ACTIONS(1232),
    [anon_sym_i32] = ACTIONS(1232),
    [anon_sym_int] = ACTIONS(1232),
    [anon_sym_i64] = ACTIONS(1232),
    [anon_sym_byte] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1232),
    [anon_sym_u16] = ACTIONS(1232),
    [anon_sym_u32] = ACTIONS(1232),
    [anon_sym_u64] = ACTIONS(1232),
    [anon_sym_f32] = ACTIONS(1232),
    [anon_sym_f64] = ACTIONS(1232),
    [anon_sym_bool] = ACTIONS(1232),
    [anon_sym_rune] = ACTIONS(1232),
    [anon_sym_map] = ACTIONS(1232),
    [anon_sym_mapnode] = ACTIONS(1232),
    [anon_sym_size_t] = ACTIONS(1232),
    [anon_sym_usize] = ACTIONS(1232),
    [anon_sym_isize] = ACTIONS(1232),
    [anon_sym_float_literal] = ACTIONS(1232),
    [anon_sym_int_literal] = ACTIONS(1232),
    [anon_sym_IError] = ACTIONS(1232),
    [sym_type_placeholder] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [sym_type_identifier] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_COLON_EQ] = ACTIONS(1230),
    [anon_sym_STAR_EQ] = ACTIONS(1230),
    [anon_sym_SLASH_EQ] = ACTIONS(1230),
    [anon_sym_PERCENT_EQ] = ACTIONS(1230),
    [anon_sym_LT_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT_GT_EQ] = ACTIONS(1230),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1230),
    [anon_sym_AMP_EQ] = ACTIONS(1230),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1230),
    [anon_sym_PLUS_EQ] = ACTIONS(1230),
    [anon_sym_DASH_EQ] = ACTIONS(1230),
    [anon_sym_PIPE_EQ] = ACTIONS(1230),
    [anon_sym_CARET_EQ] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_assert] = ACTIONS(1232),
    [anon_sym_defer] = ACTIONS(1232),
    [anon_sym_unsafe] = ACTIONS(1232),
    [anon_sym_fn] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_go] = ACTIONS(1232),
    [anon_sym_spawn] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_DOLLARfor] = ACTIONS(1230),
    [anon_sym_DOLLARif] = ACTIONS(1230),
    [anon_sym_DOLLARelse] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_is] = ACTIONS(1232),
    [anon_sym_BANGis] = ACTIONS(1230),
    [anon_sym_POUND] = ACTIONS(1230),
    [anon_sym_match] = ACTIONS(1232),
    [anon_sym_select] = ACTIONS(1232),
    [anon_sym_lock] = ACTIONS(1232),
    [anon_sym_rlock] = ACTIONS(1232),
    [sym__automatic_separator] = ACTIONS(1230),
    [sym__c_string_opening] = ACTIONS(1230),
    [sym__raw_string_opening] = ACTIONS(1230),
    [sym__string_opening] = ACTIONS(1230),
    [sym__comment] = ACTIONS(3),
  },
  [911] = {
    [sym_comment] = STATE(911),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_LT_DASH] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1238),
    [anon_sym_PERCENT] = ACTIONS(1238),
    [anon_sym_LT_LT] = ACTIONS(1238),
    [anon_sym_GT_GT] = ACTIONS(1238),
    [anon_sym_GT_GT_GT] = ACTIONS(1238),
    [anon_sym_AMP_CARET] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1238),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_BANGin] = ACTIONS(1236),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_as] = ACTIONS(1238),
    [anon_sym_COMMA] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [sym_none] = ACTIONS(1238),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_map_LBRACK] = ACTIONS(1236),
    [anon_sym_chan] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_thread] = ACTIONS(1238),
    [sym_int_literal] = ACTIONS(1238),
    [sym_float_literal] = ACTIONS(1236),
    [sym_rune_literal] = ACTIONS(1236),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_array] = ACTIONS(1238),
    [anon_sym_string] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_sql] = ACTIONS(1238),
    [anon_sym_mut] = ACTIONS(1238),
    [anon_sym_C] = ACTIONS(1238),
    [anon_sym_JS] = ACTIONS(1238),
    [anon_sym_voidptr] = ACTIONS(1238),
    [anon_sym_byteptr] = ACTIONS(1238),
    [anon_sym_charptr] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_int] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_byte] = ACTIONS(1238),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_rune] = ACTIONS(1238),
    [anon_sym_map] = ACTIONS(1238),
    [anon_sym_mapnode] = ACTIONS(1238),
    [anon_sym_size_t] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_float_literal] = ACTIONS(1238),
    [anon_sym_int_literal] = ACTIONS(1238),
    [anon_sym_IError] = ACTIONS(1238),
    [sym_type_placeholder] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [sym_type_identifier] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_COLON_EQ] = ACTIONS(1236),
    [anon_sym_STAR_EQ] = ACTIONS(1236),
    [anon_sym_SLASH_EQ] = ACTIONS(1236),
    [anon_sym_PERCENT_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT_GT_EQ] = ACTIONS(1236),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1236),
    [anon_sym_AMP_EQ] = ACTIONS(1236),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1236),
    [anon_sym_PLUS_EQ] = ACTIONS(1236),
    [anon_sym_DASH_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_EQ] = ACTIONS(1236),
    [anon_sym_CARET_EQ] = ACTIONS(1236),
    [anon_sym_EQ] = ACTIONS(1238),
    [anon_sym_assert] = ACTIONS(1238),
    [anon_sym_defer] = ACTIONS(1238),
    [anon_sym_unsafe] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_go] = ACTIONS(1238),
    [anon_sym_spawn] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_DOLLARfor] = ACTIONS(1236),
    [anon_sym_DOLLARif] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(3242),
    [anon_sym_is] = ACTIONS(1238),
    [anon_sym_BANGis] = ACTIONS(1236),
    [anon_sym_POUND] = ACTIONS(1236),
    [anon_sym_match] = ACTIONS(1238),
    [anon_sym_select] = ACTIONS(1238),
    [anon_sym_lock] = ACTIONS(1238),
    [anon_sym_rlock] = ACTIONS(1238),
    [sym__automatic_separator] = ACTIONS(1236),
    [sym__c_string_opening] = ACTIONS(1236),
    [sym__raw_string_opening] = ACTIONS(1236),
    [sym__string_opening] = ACTIONS(1236),
    [sym__comment] = ACTIONS(3),
  },
  [912] = {
    [sym_comment] = STATE(912),
    [aux_sym_expression_list_repeat1] = STATE(3475),
    [sym_identifier] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_LT_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_GT_GT_GT] = ACTIONS(3214),
    [anon_sym_AMP_CARET] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_in] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_as] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [sym_none] = ACTIONS(1144),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_map_LBRACK] = ACTIONS(1142),
    [anon_sym_chan] = ACTIONS(1144),
    [anon_sym_shared] = ACTIONS(1144),
    [anon_sym_thread] = ACTIONS(1144),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_array] = ACTIONS(1144),
    [anon_sym_string] = ACTIONS(1144),
    [anon_sym_char] = ACTIONS(1144),
    [anon_sym_sql] = ACTIONS(1144),
    [anon_sym_mut] = ACTIONS(1144),
    [anon_sym_C] = ACTIONS(1144),
    [anon_sym_JS] = ACTIONS(1144),
    [anon_sym_voidptr] = ACTIONS(1144),
    [anon_sym_byteptr] = ACTIONS(1144),
    [anon_sym_charptr] = ACTIONS(1144),
    [anon_sym_i8] = ACTIONS(1144),
    [anon_sym_i16] = ACTIONS(1144),
    [anon_sym_i32] = ACTIONS(1144),
    [anon_sym_int] = ACTIONS(1144),
    [anon_sym_i64] = ACTIONS(1144),
    [anon_sym_byte] = ACTIONS(1144),
    [anon_sym_u8] = ACTIONS(1144),
    [anon_sym_u16] = ACTIONS(1144),
    [anon_sym_u32] = ACTIONS(1144),
    [anon_sym_u64] = ACTIONS(1144),
    [anon_sym_f32] = ACTIONS(1144),
    [anon_sym_f64] = ACTIONS(1144),
    [anon_sym_bool] = ACTIONS(1144),
    [anon_sym_rune] = ACTIONS(1144),
    [anon_sym_map] = ACTIONS(1144),
    [anon_sym_mapnode] = ACTIONS(1144),
    [anon_sym_size_t] = ACTIONS(1144),
    [anon_sym_usize] = ACTIONS(1144),
    [anon_sym_isize] = ACTIONS(1144),
    [anon_sym_float_literal] = ACTIONS(1144),
    [anon_sym_int_literal] = ACTIONS(1144),
    [anon_sym_IError] = ACTIONS(1144),
    [sym_type_placeholder] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [sym_type_identifier] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_COLON_EQ] = ACTIONS(1172),
    [anon_sym_STAR_EQ] = ACTIONS(1172),
    [anon_sym_SLASH_EQ] = ACTIONS(1172),
    [anon_sym_PERCENT_EQ] = ACTIONS(1172),
    [anon_sym_LT_LT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_AMP_EQ] = ACTIONS(1172),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1172),
    [anon_sym_PLUS_EQ] = ACTIONS(1172),
    [anon_sym_DASH_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_EQ] = ACTIONS(1172),
    [anon_sym_CARET_EQ] = ACTIONS(1172),
    [anon_sym_EQ] = ACTIONS(1174),
    [anon_sym_assert] = ACTIONS(1144),
    [anon_sym_defer] = ACTIONS(1144),
    [anon_sym_unsafe] = ACTIONS(1144),
    [anon_sym_fn] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_go] = ACTIONS(1144),
    [anon_sym_spawn] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_DOLLARfor] = ACTIONS(1142),
    [anon_sym_DOLLARif] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_is] = ACTIONS(3236),
    [anon_sym_BANGis] = ACTIONS(3238),
    [anon_sym_POUND] = ACTIONS(1142),
    [anon_sym_match] = ACTIONS(1144),
    [anon_sym_select] = ACTIONS(1144),
    [anon_sym_lock] = ACTIONS(1144),
    [anon_sym_rlock] = ACTIONS(1144),
    [sym__automatic_separator] = ACTIONS(1142),
    [sym__c_string_opening] = ACTIONS(1142),
    [sym__raw_string_opening] = ACTIONS(1142),
    [sym__string_opening] = ACTIONS(1142),
    [sym__comment] = ACTIONS(3),
  },
  [913] = {
    [sym_comment] = STATE(913),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_LT_DASH] = ACTIONS(1184),
    [anon_sym_SLASH] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1186),
    [anon_sym_AMP_CARET] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1184),
    [sym_none] = ACTIONS(1186),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [sym_int_literal] = ACTIONS(1186),
    [sym_float_literal] = ACTIONS(1184),
    [sym_rune_literal] = ACTIONS(1184),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_sql] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_COLON_EQ] = ACTIONS(1184),
    [anon_sym_STAR_EQ] = ACTIONS(1184),
    [anon_sym_SLASH_EQ] = ACTIONS(1184),
    [anon_sym_PERCENT_EQ] = ACTIONS(1184),
    [anon_sym_LT_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT_GT_EQ] = ACTIONS(1184),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1184),
    [anon_sym_AMP_EQ] = ACTIONS(1184),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1184),
    [anon_sym_PLUS_EQ] = ACTIONS(1184),
    [anon_sym_DASH_EQ] = ACTIONS(1184),
    [anon_sym_PIPE_EQ] = ACTIONS(1184),
    [anon_sym_CARET_EQ] = ACTIONS(1184),
    [anon_sym_EQ] = ACTIONS(1186),
    [anon_sym_assert] = ACTIONS(1186),
    [anon_sym_defer] = ACTIONS(1186),
    [anon_sym_unsafe] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_go] = ACTIONS(1186),
    [anon_sym_spawn] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_DOLLARfor] = ACTIONS(1184),
    [anon_sym_DOLLARif] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [anon_sym_POUND] = ACTIONS(1184),
    [anon_sym_match] = ACTIONS(1186),
    [anon_sym_select] = ACTIONS(1186),
    [anon_sym_lock] = ACTIONS(1186),
    [anon_sym_rlock] = ACTIONS(1186),
    [sym__automatic_separator] = ACTIONS(1184),
    [sym__c_string_opening] = ACTIONS(1184),
    [sym__raw_string_opening] = ACTIONS(1184),
    [sym__string_opening] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [914] = {
    [sym_comment] = STATE(914),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_CARET] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_LT_DASH] = ACTIONS(1242),
    [anon_sym_SLASH] = ACTIONS(1244),
    [anon_sym_PERCENT] = ACTIONS(1244),
    [anon_sym_LT_LT] = ACTIONS(1244),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_GT_GT_GT] = ACTIONS(1244),
    [anon_sym_AMP_CARET] = ACTIONS(1244),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1242),
    [anon_sym_BANG_EQ] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(1242),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_BANGin] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1242),
    [anon_sym_as] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym_none] = ACTIONS(1244),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_map_LBRACK] = ACTIONS(1242),
    [anon_sym_chan] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_thread] = ACTIONS(1244),
    [sym_int_literal] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1242),
    [sym_rune_literal] = ACTIONS(1242),
    [anon_sym_DOT] = ACTIONS(1244),
    [anon_sym_array] = ACTIONS(1244),
    [anon_sym_string] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_sql] = ACTIONS(1244),
    [anon_sym_mut] = ACTIONS(1244),
    [anon_sym_C] = ACTIONS(1244),
    [anon_sym_JS] = ACTIONS(1244),
    [anon_sym_voidptr] = ACTIONS(1244),
    [anon_sym_byteptr] = ACTIONS(1244),
    [anon_sym_charptr] = ACTIONS(1244),
    [anon_sym_i8] = ACTIONS(1244),
    [anon_sym_i16] = ACTIONS(1244),
    [anon_sym_i32] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_i64] = ACTIONS(1244),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1244),
    [anon_sym_u16] = ACTIONS(1244),
    [anon_sym_u32] = ACTIONS(1244),
    [anon_sym_u64] = ACTIONS(1244),
    [anon_sym_f32] = ACTIONS(1244),
    [anon_sym_f64] = ACTIONS(1244),
    [anon_sym_bool] = ACTIONS(1244),
    [anon_sym_rune] = ACTIONS(1244),
    [anon_sym_map] = ACTIONS(1244),
    [anon_sym_mapnode] = ACTIONS(1244),
    [anon_sym_size_t] = ACTIONS(1244),
    [anon_sym_usize] = ACTIONS(1244),
    [anon_sym_isize] = ACTIONS(1244),
    [anon_sym_float_literal] = ACTIONS(1244),
    [anon_sym_int_literal] = ACTIONS(1244),
    [anon_sym_IError] = ACTIONS(1244),
    [sym_type_placeholder] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [sym_type_identifier] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_COLON_EQ] = ACTIONS(1242),
    [anon_sym_STAR_EQ] = ACTIONS(1242),
    [anon_sym_SLASH_EQ] = ACTIONS(1242),
    [anon_sym_PERCENT_EQ] = ACTIONS(1242),
    [anon_sym_LT_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT_GT_EQ] = ACTIONS(1242),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1242),
    [anon_sym_AMP_EQ] = ACTIONS(1242),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1242),
    [anon_sym_PLUS_EQ] = ACTIONS(1242),
    [anon_sym_DASH_EQ] = ACTIONS(1242),
    [anon_sym_PIPE_EQ] = ACTIONS(1242),
    [anon_sym_CARET_EQ] = ACTIONS(1242),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_assert] = ACTIONS(1244),
    [anon_sym_defer] = ACTIONS(1244),
    [anon_sym_unsafe] = ACTIONS(1244),
    [anon_sym_fn] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_go] = ACTIONS(1244),
    [anon_sym_spawn] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_DOLLARfor] = ACTIONS(1242),
    [anon_sym_DOLLARif] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(3244),
    [anon_sym_is] = ACTIONS(1244),
    [anon_sym_BANGis] = ACTIONS(1242),
    [anon_sym_POUND] = ACTIONS(1242),
    [anon_sym_match] = ACTIONS(1244),
    [anon_sym_select] = ACTIONS(1244),
    [anon_sym_lock] = ACTIONS(1244),
    [anon_sym_rlock] = ACTIONS(1244),
    [sym__automatic_separator] = ACTIONS(1242),
    [sym__c_string_opening] = ACTIONS(1242),
    [sym__raw_string_opening] = ACTIONS(1242),
    [sym__string_opening] = ACTIONS(1242),
    [sym__comment] = ACTIONS(3),
  },
  [915] = {
    [sym_comment] = STATE(915),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_LT_DASH] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_GT_GT_GT] = ACTIONS(1604),
    [anon_sym_AMP_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1604),
    [anon_sym_BANGin] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_as] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [sym_none] = ACTIONS(1604),
    [sym_true] = ACTIONS(1604),
    [sym_false] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_map_LBRACK] = ACTIONS(1602),
    [anon_sym_chan] = ACTIONS(1604),
    [anon_sym_shared] = ACTIONS(1604),
    [anon_sym_thread] = ACTIONS(1604),
    [sym_int_literal] = ACTIONS(1604),
    [sym_float_literal] = ACTIONS(1602),
    [sym_rune_literal] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_array] = ACTIONS(1604),
    [anon_sym_string] = ACTIONS(1604),
    [anon_sym_char] = ACTIONS(1604),
    [anon_sym_sql] = ACTIONS(1604),
    [anon_sym_mut] = ACTIONS(1604),
    [anon_sym_C] = ACTIONS(1604),
    [anon_sym_JS] = ACTIONS(1604),
    [anon_sym_voidptr] = ACTIONS(1604),
    [anon_sym_byteptr] = ACTIONS(1604),
    [anon_sym_charptr] = ACTIONS(1604),
    [anon_sym_i8] = ACTIONS(1604),
    [anon_sym_i16] = ACTIONS(1604),
    [anon_sym_i32] = ACTIONS(1604),
    [anon_sym_int] = ACTIONS(1604),
    [anon_sym_i64] = ACTIONS(1604),
    [anon_sym_byte] = ACTIONS(1604),
    [anon_sym_u8] = ACTIONS(1604),
    [anon_sym_u16] = ACTIONS(1604),
    [anon_sym_u32] = ACTIONS(1604),
    [anon_sym_u64] = ACTIONS(1604),
    [anon_sym_f32] = ACTIONS(1604),
    [anon_sym_f64] = ACTIONS(1604),
    [anon_sym_bool] = ACTIONS(1604),
    [anon_sym_rune] = ACTIONS(1604),
    [anon_sym_map] = ACTIONS(1604),
    [anon_sym_mapnode] = ACTIONS(1604),
    [anon_sym_size_t] = ACTIONS(1604),
    [anon_sym_usize] = ACTIONS(1604),
    [anon_sym_isize] = ACTIONS(1604),
    [anon_sym_float_literal] = ACTIONS(1604),
    [anon_sym_int_literal] = ACTIONS(1604),
    [anon_sym_IError] = ACTIONS(1604),
    [sym_type_placeholder] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [sym_type_identifier] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1602),
    [anon_sym_DASH_DASH] = ACTIONS(1602),
    [anon_sym_COLON_EQ] = ACTIONS(1602),
    [anon_sym_STAR_EQ] = ACTIONS(1602),
    [anon_sym_SLASH_EQ] = ACTIONS(1602),
    [anon_sym_PERCENT_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT_GT_EQ] = ACTIONS(1602),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1602),
    [anon_sym_AMP_EQ] = ACTIONS(1602),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1602),
    [anon_sym_PIPE_EQ] = ACTIONS(1602),
    [anon_sym_CARET_EQ] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_assert] = ACTIONS(1604),
    [anon_sym_defer] = ACTIONS(1604),
    [anon_sym_unsafe] = ACTIONS(1604),
    [anon_sym_fn] = ACTIONS(1604),
    [anon_sym_asm] = ACTIONS(1604),
    [anon_sym_break] = ACTIONS(1604),
    [anon_sym_continue] = ACTIONS(1604),
    [anon_sym_return] = ACTIONS(1604),
    [anon_sym_go] = ACTIONS(1604),
    [anon_sym_spawn] = ACTIONS(1604),
    [anon_sym_goto] = ACTIONS(1604),
    [anon_sym_for] = ACTIONS(1604),
    [anon_sym_DOLLARfor] = ACTIONS(1602),
    [anon_sym_DOLLARif] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1604),
    [anon_sym_BANGis] = ACTIONS(1602),
    [anon_sym_POUND] = ACTIONS(1602),
    [anon_sym_match] = ACTIONS(1604),
    [anon_sym_select] = ACTIONS(1604),
    [anon_sym_lock] = ACTIONS(1604),
    [anon_sym_rlock] = ACTIONS(1604),
    [sym__automatic_separator] = ACTIONS(1602),
    [sym__c_string_opening] = ACTIONS(1602),
    [sym__raw_string_opening] = ACTIONS(1602),
    [sym__string_opening] = ACTIONS(1602),
    [sym__comment] = ACTIONS(3),
  },
  [916] = {
    [sym_comment] = STATE(916),
    [sym_identifier] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_LT_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1570),
    [anon_sym_AMP_CARET] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_BANGin] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [sym_none] = ACTIONS(1570),
    [sym_true] = ACTIONS(1570),
    [sym_false] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_map_LBRACK] = ACTIONS(1568),
    [anon_sym_chan] = ACTIONS(1570),
    [anon_sym_shared] = ACTIONS(1570),
    [anon_sym_thread] = ACTIONS(1570),
    [sym_int_literal] = ACTIONS(1570),
    [sym_float_literal] = ACTIONS(1568),
    [sym_rune_literal] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_array] = ACTIONS(1570),
    [anon_sym_string] = ACTIONS(1570),
    [anon_sym_char] = ACTIONS(1570),
    [anon_sym_sql] = ACTIONS(1570),
    [anon_sym_mut] = ACTIONS(1570),
    [anon_sym_C] = ACTIONS(1570),
    [anon_sym_JS] = ACTIONS(1570),
    [anon_sym_voidptr] = ACTIONS(1570),
    [anon_sym_byteptr] = ACTIONS(1570),
    [anon_sym_charptr] = ACTIONS(1570),
    [anon_sym_i8] = ACTIONS(1570),
    [anon_sym_i16] = ACTIONS(1570),
    [anon_sym_i32] = ACTIONS(1570),
    [anon_sym_int] = ACTIONS(1570),
    [anon_sym_i64] = ACTIONS(1570),
    [anon_sym_byte] = ACTIONS(1570),
    [anon_sym_u8] = ACTIONS(1570),
    [anon_sym_u16] = ACTIONS(1570),
    [anon_sym_u32] = ACTIONS(1570),
    [anon_sym_u64] = ACTIONS(1570),
    [anon_sym_f32] = ACTIONS(1570),
    [anon_sym_f64] = ACTIONS(1570),
    [anon_sym_bool] = ACTIONS(1570),
    [anon_sym_rune] = ACTIONS(1570),
    [anon_sym_map] = ACTIONS(1570),
    [anon_sym_mapnode] = ACTIONS(1570),
    [anon_sym_size_t] = ACTIONS(1570),
    [anon_sym_usize] = ACTIONS(1570),
    [anon_sym_isize] = ACTIONS(1570),
    [anon_sym_float_literal] = ACTIONS(1570),
    [anon_sym_int_literal] = ACTIONS(1570),
    [anon_sym_IError] = ACTIONS(1570),
    [sym_type_placeholder] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [sym_type_identifier] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_COLON_EQ] = ACTIONS(1568),
    [anon_sym_STAR_EQ] = ACTIONS(1568),
    [anon_sym_SLASH_EQ] = ACTIONS(1568),
    [anon_sym_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_AMP_EQ] = ACTIONS(1568),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_EQ] = ACTIONS(1568),
    [anon_sym_DASH_EQ] = ACTIONS(1568),
    [anon_sym_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_CARET_EQ] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_defer] = ACTIONS(1570),
    [anon_sym_unsafe] = ACTIONS(1570),
    [anon_sym_fn] = ACTIONS(1570),
    [anon_sym_asm] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_continue] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_go] = ACTIONS(1570),
    [anon_sym_spawn] = ACTIONS(1570),
    [anon_sym_goto] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_DOLLARfor] = ACTIONS(1568),
    [anon_sym_DOLLARif] = ACTIONS(1568),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_is] = ACTIONS(1570),
    [anon_sym_BANGis] = ACTIONS(1568),
    [anon_sym_POUND] = ACTIONS(1568),
    [anon_sym_match] = ACTIONS(1570),
    [anon_sym_select] = ACTIONS(1570),
    [anon_sym_lock] = ACTIONS(1570),
    [anon_sym_rlock] = ACTIONS(1570),
    [sym__automatic_separator] = ACTIONS(1568),
    [sym__c_string_opening] = ACTIONS(1568),
    [sym__raw_string_opening] = ACTIONS(1568),
    [sym__string_opening] = ACTIONS(1568),
    [sym__comment] = ACTIONS(3),
  },
  [917] = {
    [sym_comment] = STATE(917),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_GT_GT_GT] = ACTIONS(3214),
    [anon_sym_AMP_CARET] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [918] = {
    [sym_comment] = STATE(918),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_LT_DASH] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_GT_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_BANGin] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1514),
    [anon_sym_as] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [sym_none] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_map_LBRACK] = ACTIONS(1514),
    [anon_sym_chan] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_thread] = ACTIONS(1516),
    [sym_int_literal] = ACTIONS(1516),
    [sym_float_literal] = ACTIONS(1514),
    [sym_rune_literal] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_array] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_char] = ACTIONS(1516),
    [anon_sym_sql] = ACTIONS(1516),
    [anon_sym_mut] = ACTIONS(1516),
    [anon_sym_C] = ACTIONS(1516),
    [anon_sym_JS] = ACTIONS(1516),
    [anon_sym_voidptr] = ACTIONS(1516),
    [anon_sym_byteptr] = ACTIONS(1516),
    [anon_sym_charptr] = ACTIONS(1516),
    [anon_sym_i8] = ACTIONS(1516),
    [anon_sym_i16] = ACTIONS(1516),
    [anon_sym_i32] = ACTIONS(1516),
    [anon_sym_int] = ACTIONS(1516),
    [anon_sym_i64] = ACTIONS(1516),
    [anon_sym_byte] = ACTIONS(1516),
    [anon_sym_u8] = ACTIONS(1516),
    [anon_sym_u16] = ACTIONS(1516),
    [anon_sym_u32] = ACTIONS(1516),
    [anon_sym_u64] = ACTIONS(1516),
    [anon_sym_f32] = ACTIONS(1516),
    [anon_sym_f64] = ACTIONS(1516),
    [anon_sym_bool] = ACTIONS(1516),
    [anon_sym_rune] = ACTIONS(1516),
    [anon_sym_map] = ACTIONS(1516),
    [anon_sym_mapnode] = ACTIONS(1516),
    [anon_sym_size_t] = ACTIONS(1516),
    [anon_sym_usize] = ACTIONS(1516),
    [anon_sym_isize] = ACTIONS(1516),
    [anon_sym_float_literal] = ACTIONS(1516),
    [anon_sym_int_literal] = ACTIONS(1516),
    [anon_sym_IError] = ACTIONS(1516),
    [sym_type_placeholder] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [sym_type_identifier] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_COLON_EQ] = ACTIONS(1514),
    [anon_sym_STAR_EQ] = ACTIONS(1514),
    [anon_sym_SLASH_EQ] = ACTIONS(1514),
    [anon_sym_PERCENT_EQ] = ACTIONS(1514),
    [anon_sym_LT_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT_GT_EQ] = ACTIONS(1514),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1514),
    [anon_sym_AMP_EQ] = ACTIONS(1514),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(1514),
    [anon_sym_DASH_EQ] = ACTIONS(1514),
    [anon_sym_PIPE_EQ] = ACTIONS(1514),
    [anon_sym_CARET_EQ] = ACTIONS(1514),
    [anon_sym_EQ] = ACTIONS(1516),
    [anon_sym_assert] = ACTIONS(1516),
    [anon_sym_defer] = ACTIONS(1516),
    [anon_sym_unsafe] = ACTIONS(1516),
    [anon_sym_fn] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_go] = ACTIONS(1516),
    [anon_sym_spawn] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_DOLLARfor] = ACTIONS(1514),
    [anon_sym_DOLLARif] = ACTIONS(1514),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_is] = ACTIONS(1516),
    [anon_sym_BANGis] = ACTIONS(1514),
    [anon_sym_POUND] = ACTIONS(1514),
    [anon_sym_match] = ACTIONS(1516),
    [anon_sym_select] = ACTIONS(1516),
    [anon_sym_lock] = ACTIONS(1516),
    [anon_sym_rlock] = ACTIONS(1516),
    [sym__automatic_separator] = ACTIONS(1514),
    [sym__c_string_opening] = ACTIONS(1514),
    [sym__raw_string_opening] = ACTIONS(1514),
    [sym__string_opening] = ACTIONS(1514),
    [sym__comment] = ACTIONS(3),
  },
  [919] = {
    [sym_comment] = STATE(919),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1584),
    [anon_sym_AMP_CARET] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_BANGin] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [sym_none] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_map_LBRACK] = ACTIONS(1582),
    [anon_sym_chan] = ACTIONS(1584),
    [anon_sym_shared] = ACTIONS(1584),
    [anon_sym_thread] = ACTIONS(1584),
    [sym_int_literal] = ACTIONS(1584),
    [sym_float_literal] = ACTIONS(1582),
    [sym_rune_literal] = ACTIONS(1582),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_array] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_char] = ACTIONS(1584),
    [anon_sym_sql] = ACTIONS(1584),
    [anon_sym_mut] = ACTIONS(1584),
    [anon_sym_C] = ACTIONS(1584),
    [anon_sym_JS] = ACTIONS(1584),
    [anon_sym_voidptr] = ACTIONS(1584),
    [anon_sym_byteptr] = ACTIONS(1584),
    [anon_sym_charptr] = ACTIONS(1584),
    [anon_sym_i8] = ACTIONS(1584),
    [anon_sym_i16] = ACTIONS(1584),
    [anon_sym_i32] = ACTIONS(1584),
    [anon_sym_int] = ACTIONS(1584),
    [anon_sym_i64] = ACTIONS(1584),
    [anon_sym_byte] = ACTIONS(1584),
    [anon_sym_u8] = ACTIONS(1584),
    [anon_sym_u16] = ACTIONS(1584),
    [anon_sym_u32] = ACTIONS(1584),
    [anon_sym_u64] = ACTIONS(1584),
    [anon_sym_f32] = ACTIONS(1584),
    [anon_sym_f64] = ACTIONS(1584),
    [anon_sym_bool] = ACTIONS(1584),
    [anon_sym_rune] = ACTIONS(1584),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_mapnode] = ACTIONS(1584),
    [anon_sym_size_t] = ACTIONS(1584),
    [anon_sym_usize] = ACTIONS(1584),
    [anon_sym_isize] = ACTIONS(1584),
    [anon_sym_float_literal] = ACTIONS(1584),
    [anon_sym_int_literal] = ACTIONS(1584),
    [anon_sym_IError] = ACTIONS(1584),
    [sym_type_placeholder] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [sym_type_identifier] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_COLON_EQ] = ACTIONS(1582),
    [anon_sym_STAR_EQ] = ACTIONS(1582),
    [anon_sym_SLASH_EQ] = ACTIONS(1582),
    [anon_sym_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_AMP_EQ] = ACTIONS(1582),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_EQ] = ACTIONS(1582),
    [anon_sym_DASH_EQ] = ACTIONS(1582),
    [anon_sym_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_CARET_EQ] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1584),
    [anon_sym_assert] = ACTIONS(1584),
    [anon_sym_defer] = ACTIONS(1584),
    [anon_sym_unsafe] = ACTIONS(1584),
    [anon_sym_fn] = ACTIONS(1584),
    [anon_sym_asm] = ACTIONS(1584),
    [anon_sym_break] = ACTIONS(1584),
    [anon_sym_continue] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1584),
    [anon_sym_go] = ACTIONS(1584),
    [anon_sym_spawn] = ACTIONS(1584),
    [anon_sym_goto] = ACTIONS(1584),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_DOLLARfor] = ACTIONS(1582),
    [anon_sym_DOLLARif] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_is] = ACTIONS(1584),
    [anon_sym_BANGis] = ACTIONS(1582),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_match] = ACTIONS(1584),
    [anon_sym_select] = ACTIONS(1584),
    [anon_sym_lock] = ACTIONS(1584),
    [anon_sym_rlock] = ACTIONS(1584),
    [sym__automatic_separator] = ACTIONS(1582),
    [sym__c_string_opening] = ACTIONS(1582),
    [sym__raw_string_opening] = ACTIONS(1582),
    [sym__string_opening] = ACTIONS(1582),
    [sym__comment] = ACTIONS(3),
  },
  [920] = {
    [sym_comment] = STATE(920),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_LT_DASH] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_AMP_CARET] = ACTIONS(1400),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_BANGin] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1398),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_map_LBRACK] = ACTIONS(1398),
    [anon_sym_chan] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_thread] = ACTIONS(1400),
    [sym_int_literal] = ACTIONS(1400),
    [sym_float_literal] = ACTIONS(1398),
    [sym_rune_literal] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_array] = ACTIONS(1400),
    [anon_sym_string] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_sql] = ACTIONS(1400),
    [anon_sym_mut] = ACTIONS(1400),
    [anon_sym_C] = ACTIONS(1400),
    [anon_sym_JS] = ACTIONS(1400),
    [anon_sym_voidptr] = ACTIONS(1400),
    [anon_sym_byteptr] = ACTIONS(1400),
    [anon_sym_charptr] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_int] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_byte] = ACTIONS(1400),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_rune] = ACTIONS(1400),
    [anon_sym_map] = ACTIONS(1400),
    [anon_sym_mapnode] = ACTIONS(1400),
    [anon_sym_size_t] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_float_literal] = ACTIONS(1400),
    [anon_sym_int_literal] = ACTIONS(1400),
    [anon_sym_IError] = ACTIONS(1400),
    [sym_type_placeholder] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [sym_type_identifier] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_COLON_EQ] = ACTIONS(1398),
    [anon_sym_STAR_EQ] = ACTIONS(1398),
    [anon_sym_SLASH_EQ] = ACTIONS(1398),
    [anon_sym_PERCENT_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT_GT_EQ] = ACTIONS(1398),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1398),
    [anon_sym_AMP_EQ] = ACTIONS(1398),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1398),
    [anon_sym_PLUS_EQ] = ACTIONS(1398),
    [anon_sym_DASH_EQ] = ACTIONS(1398),
    [anon_sym_PIPE_EQ] = ACTIONS(1398),
    [anon_sym_CARET_EQ] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_defer] = ACTIONS(1400),
    [anon_sym_unsafe] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_go] = ACTIONS(1400),
    [anon_sym_spawn] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_DOLLARfor] = ACTIONS(1398),
    [anon_sym_DOLLARif] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_is] = ACTIONS(1400),
    [anon_sym_BANGis] = ACTIONS(1398),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_match] = ACTIONS(1400),
    [anon_sym_select] = ACTIONS(1400),
    [anon_sym_lock] = ACTIONS(1400),
    [anon_sym_rlock] = ACTIONS(1400),
    [sym__automatic_separator] = ACTIONS(1398),
    [sym__c_string_opening] = ACTIONS(1398),
    [sym__raw_string_opening] = ACTIONS(1398),
    [sym__string_opening] = ACTIONS(1398),
    [sym__comment] = ACTIONS(3),
  },
  [921] = {
    [sym_comment] = STATE(921),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_GT_GT_GT] = ACTIONS(3214),
    [anon_sym_AMP_CARET] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_in] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3236),
    [anon_sym_BANGis] = ACTIONS(3238),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [922] = {
    [sym_comment] = STATE(922),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_GT_GT_GT] = ACTIONS(1416),
    [anon_sym_AMP_CARET] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_BANGin] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [sym_none] = ACTIONS(1416),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_map_LBRACK] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_thread] = ACTIONS(1416),
    [sym_int_literal] = ACTIONS(1416),
    [sym_float_literal] = ACTIONS(1414),
    [sym_rune_literal] = ACTIONS(1414),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_array] = ACTIONS(1416),
    [anon_sym_string] = ACTIONS(1416),
    [anon_sym_char] = ACTIONS(1416),
    [anon_sym_sql] = ACTIONS(1416),
    [anon_sym_mut] = ACTIONS(1416),
    [anon_sym_C] = ACTIONS(1416),
    [anon_sym_JS] = ACTIONS(1416),
    [anon_sym_voidptr] = ACTIONS(1416),
    [anon_sym_byteptr] = ACTIONS(1416),
    [anon_sym_charptr] = ACTIONS(1416),
    [anon_sym_i8] = ACTIONS(1416),
    [anon_sym_i16] = ACTIONS(1416),
    [anon_sym_i32] = ACTIONS(1416),
    [anon_sym_int] = ACTIONS(1416),
    [anon_sym_i64] = ACTIONS(1416),
    [anon_sym_byte] = ACTIONS(1416),
    [anon_sym_u8] = ACTIONS(1416),
    [anon_sym_u16] = ACTIONS(1416),
    [anon_sym_u32] = ACTIONS(1416),
    [anon_sym_u64] = ACTIONS(1416),
    [anon_sym_f32] = ACTIONS(1416),
    [anon_sym_f64] = ACTIONS(1416),
    [anon_sym_bool] = ACTIONS(1416),
    [anon_sym_rune] = ACTIONS(1416),
    [anon_sym_map] = ACTIONS(1416),
    [anon_sym_mapnode] = ACTIONS(1416),
    [anon_sym_size_t] = ACTIONS(1416),
    [anon_sym_usize] = ACTIONS(1416),
    [anon_sym_isize] = ACTIONS(1416),
    [anon_sym_float_literal] = ACTIONS(1416),
    [anon_sym_int_literal] = ACTIONS(1416),
    [anon_sym_IError] = ACTIONS(1416),
    [sym_type_placeholder] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym_type_identifier] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_COLON_EQ] = ACTIONS(1414),
    [anon_sym_STAR_EQ] = ACTIONS(1414),
    [anon_sym_SLASH_EQ] = ACTIONS(1414),
    [anon_sym_PERCENT_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT_GT_EQ] = ACTIONS(1414),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1414),
    [anon_sym_AMP_EQ] = ACTIONS(1414),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1414),
    [anon_sym_PLUS_EQ] = ACTIONS(1414),
    [anon_sym_DASH_EQ] = ACTIONS(1414),
    [anon_sym_PIPE_EQ] = ACTIONS(1414),
    [anon_sym_CARET_EQ] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_assert] = ACTIONS(1416),
    [anon_sym_defer] = ACTIONS(1416),
    [anon_sym_unsafe] = ACTIONS(1416),
    [anon_sym_fn] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_go] = ACTIONS(1416),
    [anon_sym_spawn] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_DOLLARfor] = ACTIONS(1414),
    [anon_sym_DOLLARif] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1416),
    [anon_sym_BANGis] = ACTIONS(1414),
    [anon_sym_POUND] = ACTIONS(1414),
    [anon_sym_match] = ACTIONS(1416),
    [anon_sym_select] = ACTIONS(1416),
    [anon_sym_lock] = ACTIONS(1416),
    [anon_sym_rlock] = ACTIONS(1416),
    [sym__automatic_separator] = ACTIONS(1414),
    [sym__c_string_opening] = ACTIONS(1414),
    [sym__raw_string_opening] = ACTIONS(1414),
    [sym__string_opening] = ACTIONS(1414),
    [sym__comment] = ACTIONS(3),
  },
  [923] = {
    [sym_comment] = STATE(923),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_DASH] = ACTIONS(1116),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1114),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1114),
    [anon_sym_AMP_CARET] = ACTIONS(1114),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1116),
    [anon_sym_BANG_EQ] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_BANGin] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [sym_none] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_map_LBRACK] = ACTIONS(1116),
    [anon_sym_chan] = ACTIONS(1114),
    [anon_sym_shared] = ACTIONS(1114),
    [anon_sym_thread] = ACTIONS(1114),
    [sym_int_literal] = ACTIONS(1114),
    [sym_float_literal] = ACTIONS(1116),
    [sym_rune_literal] = ACTIONS(1116),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_array] = ACTIONS(1114),
    [anon_sym_string] = ACTIONS(1114),
    [anon_sym_char] = ACTIONS(1114),
    [anon_sym_sql] = ACTIONS(1114),
    [anon_sym_mut] = ACTIONS(1114),
    [anon_sym_C] = ACTIONS(1114),
    [anon_sym_JS] = ACTIONS(1114),
    [anon_sym_voidptr] = ACTIONS(1114),
    [anon_sym_byteptr] = ACTIONS(1114),
    [anon_sym_charptr] = ACTIONS(1114),
    [anon_sym_i8] = ACTIONS(1114),
    [anon_sym_i16] = ACTIONS(1114),
    [anon_sym_i32] = ACTIONS(1114),
    [anon_sym_int] = ACTIONS(1114),
    [anon_sym_i64] = ACTIONS(1114),
    [anon_sym_byte] = ACTIONS(1114),
    [anon_sym_u8] = ACTIONS(1114),
    [anon_sym_u16] = ACTIONS(1114),
    [anon_sym_u32] = ACTIONS(1114),
    [anon_sym_u64] = ACTIONS(1114),
    [anon_sym_f32] = ACTIONS(1114),
    [anon_sym_f64] = ACTIONS(1114),
    [anon_sym_bool] = ACTIONS(1114),
    [anon_sym_rune] = ACTIONS(1114),
    [anon_sym_map] = ACTIONS(1114),
    [anon_sym_mapnode] = ACTIONS(1114),
    [anon_sym_size_t] = ACTIONS(1114),
    [anon_sym_usize] = ACTIONS(1114),
    [anon_sym_isize] = ACTIONS(1114),
    [anon_sym_float_literal] = ACTIONS(1114),
    [anon_sym_int_literal] = ACTIONS(1114),
    [anon_sym_IError] = ACTIONS(1114),
    [sym_type_placeholder] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [sym_type_identifier] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_COLON_EQ] = ACTIONS(1116),
    [anon_sym_STAR_EQ] = ACTIONS(1116),
    [anon_sym_SLASH_EQ] = ACTIONS(1116),
    [anon_sym_PERCENT_EQ] = ACTIONS(1116),
    [anon_sym_LT_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT_GT_EQ] = ACTIONS(1116),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1116),
    [anon_sym_AMP_EQ] = ACTIONS(1116),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1116),
    [anon_sym_PLUS_EQ] = ACTIONS(1116),
    [anon_sym_DASH_EQ] = ACTIONS(1116),
    [anon_sym_PIPE_EQ] = ACTIONS(1116),
    [anon_sym_CARET_EQ] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1114),
    [anon_sym_assert] = ACTIONS(1114),
    [anon_sym_defer] = ACTIONS(1114),
    [anon_sym_unsafe] = ACTIONS(1114),
    [anon_sym_fn] = ACTIONS(1114),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym_break] = ACTIONS(1114),
    [anon_sym_continue] = ACTIONS(1114),
    [anon_sym_return] = ACTIONS(1114),
    [anon_sym_go] = ACTIONS(1114),
    [anon_sym_spawn] = ACTIONS(1114),
    [anon_sym_goto] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1114),
    [anon_sym_DOLLARfor] = ACTIONS(1116),
    [anon_sym_DOLLARif] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_BANGis] = ACTIONS(1116),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_match] = ACTIONS(1114),
    [anon_sym_select] = ACTIONS(1114),
    [anon_sym_lock] = ACTIONS(1114),
    [anon_sym_rlock] = ACTIONS(1114),
    [sym__automatic_separator] = ACTIONS(1116),
    [sym__c_string_opening] = ACTIONS(1116),
    [sym__raw_string_opening] = ACTIONS(1116),
    [sym__string_opening] = ACTIONS(1116),
    [sym__comment] = ACTIONS(3),
  },
  [924] = {
    [sym_comment] = STATE(924),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_LT_DASH] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1618),
    [anon_sym_PERCENT] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_GT_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_in] = ACTIONS(1618),
    [anon_sym_BANGin] = ACTIONS(1616),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_as] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [sym_none] = ACTIONS(1618),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_map_LBRACK] = ACTIONS(1616),
    [anon_sym_chan] = ACTIONS(1618),
    [anon_sym_shared] = ACTIONS(1618),
    [anon_sym_thread] = ACTIONS(1618),
    [sym_int_literal] = ACTIONS(1618),
    [sym_float_literal] = ACTIONS(1616),
    [sym_rune_literal] = ACTIONS(1616),
    [anon_sym_DOT] = ACTIONS(1618),
    [anon_sym_array] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_char] = ACTIONS(1618),
    [anon_sym_sql] = ACTIONS(1618),
    [anon_sym_mut] = ACTIONS(1618),
    [anon_sym_C] = ACTIONS(1618),
    [anon_sym_JS] = ACTIONS(1618),
    [anon_sym_voidptr] = ACTIONS(1618),
    [anon_sym_byteptr] = ACTIONS(1618),
    [anon_sym_charptr] = ACTIONS(1618),
    [anon_sym_i8] = ACTIONS(1618),
    [anon_sym_i16] = ACTIONS(1618),
    [anon_sym_i32] = ACTIONS(1618),
    [anon_sym_int] = ACTIONS(1618),
    [anon_sym_i64] = ACTIONS(1618),
    [anon_sym_byte] = ACTIONS(1618),
    [anon_sym_u8] = ACTIONS(1618),
    [anon_sym_u16] = ACTIONS(1618),
    [anon_sym_u32] = ACTIONS(1618),
    [anon_sym_u64] = ACTIONS(1618),
    [anon_sym_f32] = ACTIONS(1618),
    [anon_sym_f64] = ACTIONS(1618),
    [anon_sym_bool] = ACTIONS(1618),
    [anon_sym_rune] = ACTIONS(1618),
    [anon_sym_map] = ACTIONS(1618),
    [anon_sym_mapnode] = ACTIONS(1618),
    [anon_sym_size_t] = ACTIONS(1618),
    [anon_sym_usize] = ACTIONS(1618),
    [anon_sym_isize] = ACTIONS(1618),
    [anon_sym_float_literal] = ACTIONS(1618),
    [anon_sym_int_literal] = ACTIONS(1618),
    [anon_sym_IError] = ACTIONS(1618),
    [sym_type_placeholder] = ACTIONS(1618),
    [anon_sym_AT] = ACTIONS(1618),
    [sym_type_identifier] = ACTIONS(1618),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_COLON_EQ] = ACTIONS(1616),
    [anon_sym_STAR_EQ] = ACTIONS(1616),
    [anon_sym_SLASH_EQ] = ACTIONS(1616),
    [anon_sym_PERCENT_EQ] = ACTIONS(1616),
    [anon_sym_LT_LT_EQ] = ACTIONS(1616),
    [anon_sym_GT_GT_EQ] = ACTIONS(1616),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1616),
    [anon_sym_AMP_EQ] = ACTIONS(1616),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1616),
    [anon_sym_PLUS_EQ] = ACTIONS(1616),
    [anon_sym_DASH_EQ] = ACTIONS(1616),
    [anon_sym_PIPE_EQ] = ACTIONS(1616),
    [anon_sym_CARET_EQ] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1618),
    [anon_sym_assert] = ACTIONS(1618),
    [anon_sym_defer] = ACTIONS(1618),
    [anon_sym_unsafe] = ACTIONS(1618),
    [anon_sym_fn] = ACTIONS(1618),
    [anon_sym_asm] = ACTIONS(1618),
    [anon_sym_break] = ACTIONS(1618),
    [anon_sym_continue] = ACTIONS(1618),
    [anon_sym_return] = ACTIONS(1618),
    [anon_sym_go] = ACTIONS(1618),
    [anon_sym_spawn] = ACTIONS(1618),
    [anon_sym_goto] = ACTIONS(1618),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_DOLLARfor] = ACTIONS(1616),
    [anon_sym_DOLLARif] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1618),
    [anon_sym_is] = ACTIONS(1618),
    [anon_sym_BANGis] = ACTIONS(1616),
    [anon_sym_POUND] = ACTIONS(1616),
    [anon_sym_match] = ACTIONS(1618),
    [anon_sym_select] = ACTIONS(1618),
    [anon_sym_lock] = ACTIONS(1618),
    [anon_sym_rlock] = ACTIONS(1618),
    [sym__automatic_separator] = ACTIONS(1616),
    [sym__c_string_opening] = ACTIONS(1616),
    [sym__raw_string_opening] = ACTIONS(1616),
    [sym__string_opening] = ACTIONS(1616),
    [sym__comment] = ACTIONS(3),
  },
  [925] = {
    [sym_comment] = STATE(925),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_GT_GT_GT] = ACTIONS(3214),
    [anon_sym_AMP_CARET] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [926] = {
    [sym_comment] = STATE(926),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_LT_DASH] = ACTIONS(1286),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_GT_GT_GT] = ACTIONS(1288),
    [anon_sym_AMP_CARET] = ACTIONS(1288),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1286),
    [anon_sym_BANG_EQ] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_BANGin] = ACTIONS(1286),
    [anon_sym_AMP_AMP] = ACTIONS(1286),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_as] = ACTIONS(1288),
    [anon_sym_COMMA] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym_none] = ACTIONS(1288),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_map_LBRACK] = ACTIONS(1286),
    [anon_sym_chan] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_thread] = ACTIONS(1288),
    [sym_int_literal] = ACTIONS(1288),
    [sym_float_literal] = ACTIONS(1286),
    [sym_rune_literal] = ACTIONS(1286),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_array] = ACTIONS(1288),
    [anon_sym_string] = ACTIONS(1288),
    [anon_sym_char] = ACTIONS(1288),
    [anon_sym_sql] = ACTIONS(1288),
    [anon_sym_mut] = ACTIONS(1288),
    [anon_sym_C] = ACTIONS(1288),
    [anon_sym_JS] = ACTIONS(1288),
    [anon_sym_voidptr] = ACTIONS(1288),
    [anon_sym_byteptr] = ACTIONS(1288),
    [anon_sym_charptr] = ACTIONS(1288),
    [anon_sym_i8] = ACTIONS(1288),
    [anon_sym_i16] = ACTIONS(1288),
    [anon_sym_i32] = ACTIONS(1288),
    [anon_sym_int] = ACTIONS(1288),
    [anon_sym_i64] = ACTIONS(1288),
    [anon_sym_byte] = ACTIONS(1288),
    [anon_sym_u8] = ACTIONS(1288),
    [anon_sym_u16] = ACTIONS(1288),
    [anon_sym_u32] = ACTIONS(1288),
    [anon_sym_u64] = ACTIONS(1288),
    [anon_sym_f32] = ACTIONS(1288),
    [anon_sym_f64] = ACTIONS(1288),
    [anon_sym_bool] = ACTIONS(1288),
    [anon_sym_rune] = ACTIONS(1288),
    [anon_sym_map] = ACTIONS(1288),
    [anon_sym_mapnode] = ACTIONS(1288),
    [anon_sym_size_t] = ACTIONS(1288),
    [anon_sym_usize] = ACTIONS(1288),
    [anon_sym_isize] = ACTIONS(1288),
    [anon_sym_float_literal] = ACTIONS(1288),
    [anon_sym_int_literal] = ACTIONS(1288),
    [anon_sym_IError] = ACTIONS(1288),
    [sym_type_placeholder] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [sym_type_identifier] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_COLON_EQ] = ACTIONS(1286),
    [anon_sym_STAR_EQ] = ACTIONS(1286),
    [anon_sym_SLASH_EQ] = ACTIONS(1286),
    [anon_sym_PERCENT_EQ] = ACTIONS(1286),
    [anon_sym_LT_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT_GT_EQ] = ACTIONS(1286),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1286),
    [anon_sym_AMP_EQ] = ACTIONS(1286),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1286),
    [anon_sym_PLUS_EQ] = ACTIONS(1286),
    [anon_sym_DASH_EQ] = ACTIONS(1286),
    [anon_sym_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_CARET_EQ] = ACTIONS(1286),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_assert] = ACTIONS(1288),
    [anon_sym_defer] = ACTIONS(1288),
    [anon_sym_unsafe] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_go] = ACTIONS(1288),
    [anon_sym_spawn] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_DOLLARfor] = ACTIONS(1286),
    [anon_sym_DOLLARif] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_is] = ACTIONS(1288),
    [anon_sym_BANGis] = ACTIONS(1286),
    [anon_sym_POUND] = ACTIONS(1286),
    [anon_sym_match] = ACTIONS(1288),
    [anon_sym_select] = ACTIONS(1288),
    [anon_sym_lock] = ACTIONS(1288),
    [anon_sym_rlock] = ACTIONS(1288),
    [sym__automatic_separator] = ACTIONS(1286),
    [sym__c_string_opening] = ACTIONS(1286),
    [sym__raw_string_opening] = ACTIONS(1286),
    [sym__string_opening] = ACTIONS(1286),
    [sym__comment] = ACTIONS(3),
  },
  [927] = {
    [sym_comment] = STATE(927),
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_LT_DASH] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_BANGin] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_as] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [sym_none] = ACTIONS(1450),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_map_LBRACK] = ACTIONS(1448),
    [anon_sym_chan] = ACTIONS(1450),
    [anon_sym_shared] = ACTIONS(1450),
    [anon_sym_thread] = ACTIONS(1450),
    [sym_int_literal] = ACTIONS(1450),
    [sym_float_literal] = ACTIONS(1448),
    [sym_rune_literal] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1450),
    [anon_sym_array] = ACTIONS(1450),
    [anon_sym_string] = ACTIONS(1450),
    [anon_sym_char] = ACTIONS(1450),
    [anon_sym_sql] = ACTIONS(1450),
    [anon_sym_mut] = ACTIONS(1450),
    [anon_sym_C] = ACTIONS(1450),
    [anon_sym_JS] = ACTIONS(1450),
    [anon_sym_voidptr] = ACTIONS(1450),
    [anon_sym_byteptr] = ACTIONS(1450),
    [anon_sym_charptr] = ACTIONS(1450),
    [anon_sym_i8] = ACTIONS(1450),
    [anon_sym_i16] = ACTIONS(1450),
    [anon_sym_i32] = ACTIONS(1450),
    [anon_sym_int] = ACTIONS(1450),
    [anon_sym_i64] = ACTIONS(1450),
    [anon_sym_byte] = ACTIONS(1450),
    [anon_sym_u8] = ACTIONS(1450),
    [anon_sym_u16] = ACTIONS(1450),
    [anon_sym_u32] = ACTIONS(1450),
    [anon_sym_u64] = ACTIONS(1450),
    [anon_sym_f32] = ACTIONS(1450),
    [anon_sym_f64] = ACTIONS(1450),
    [anon_sym_bool] = ACTIONS(1450),
    [anon_sym_rune] = ACTIONS(1450),
    [anon_sym_map] = ACTIONS(1450),
    [anon_sym_mapnode] = ACTIONS(1450),
    [anon_sym_size_t] = ACTIONS(1450),
    [anon_sym_usize] = ACTIONS(1450),
    [anon_sym_isize] = ACTIONS(1450),
    [anon_sym_float_literal] = ACTIONS(1450),
    [anon_sym_int_literal] = ACTIONS(1450),
    [anon_sym_IError] = ACTIONS(1450),
    [sym_type_placeholder] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [sym_type_identifier] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_COLON_EQ] = ACTIONS(1448),
    [anon_sym_STAR_EQ] = ACTIONS(1448),
    [anon_sym_SLASH_EQ] = ACTIONS(1448),
    [anon_sym_PERCENT_EQ] = ACTIONS(1448),
    [anon_sym_LT_LT_EQ] = ACTIONS(1448),
    [anon_sym_GT_GT_EQ] = ACTIONS(1448),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1448),
    [anon_sym_AMP_EQ] = ACTIONS(1448),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1448),
    [anon_sym_PLUS_EQ] = ACTIONS(1448),
    [anon_sym_DASH_EQ] = ACTIONS(1448),
    [anon_sym_PIPE_EQ] = ACTIONS(1448),
    [anon_sym_CARET_EQ] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1450),
    [anon_sym_assert] = ACTIONS(1450),
    [anon_sym_defer] = ACTIONS(1450),
    [anon_sym_unsafe] = ACTIONS(1450),
    [anon_sym_fn] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_go] = ACTIONS(1450),
    [anon_sym_spawn] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_DOLLARfor] = ACTIONS(1448),
    [anon_sym_DOLLARif] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_is] = ACTIONS(1450),
    [anon_sym_BANGis] = ACTIONS(1448),
    [anon_sym_POUND] = ACTIONS(1448),
    [anon_sym_match] = ACTIONS(1450),
    [anon_sym_select] = ACTIONS(1450),
    [anon_sym_lock] = ACTIONS(1450),
    [anon_sym_rlock] = ACTIONS(1450),
    [sym__automatic_separator] = ACTIONS(1448),
    [sym__c_string_opening] = ACTIONS(1448),
    [sym__raw_string_opening] = ACTIONS(1448),
    [sym__string_opening] = ACTIONS(1448),
    [sym__comment] = ACTIONS(3),
  },
  [928] = {
    [sym_comment] = STATE(928),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_GT_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1458),
    [anon_sym_BANGin] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_as] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [sym_none] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_map_LBRACK] = ACTIONS(1456),
    [anon_sym_chan] = ACTIONS(1458),
    [anon_sym_shared] = ACTIONS(1458),
    [anon_sym_thread] = ACTIONS(1458),
    [sym_int_literal] = ACTIONS(1458),
    [sym_float_literal] = ACTIONS(1456),
    [sym_rune_literal] = ACTIONS(1456),
    [anon_sym_DOT] = ACTIONS(1458),
    [anon_sym_array] = ACTIONS(1458),
    [anon_sym_string] = ACTIONS(1458),
    [anon_sym_char] = ACTIONS(1458),
    [anon_sym_sql] = ACTIONS(1458),
    [anon_sym_mut] = ACTIONS(1458),
    [anon_sym_C] = ACTIONS(1458),
    [anon_sym_JS] = ACTIONS(1458),
    [anon_sym_voidptr] = ACTIONS(1458),
    [anon_sym_byteptr] = ACTIONS(1458),
    [anon_sym_charptr] = ACTIONS(1458),
    [anon_sym_i8] = ACTIONS(1458),
    [anon_sym_i16] = ACTIONS(1458),
    [anon_sym_i32] = ACTIONS(1458),
    [anon_sym_int] = ACTIONS(1458),
    [anon_sym_i64] = ACTIONS(1458),
    [anon_sym_byte] = ACTIONS(1458),
    [anon_sym_u8] = ACTIONS(1458),
    [anon_sym_u16] = ACTIONS(1458),
    [anon_sym_u32] = ACTIONS(1458),
    [anon_sym_u64] = ACTIONS(1458),
    [anon_sym_f32] = ACTIONS(1458),
    [anon_sym_f64] = ACTIONS(1458),
    [anon_sym_bool] = ACTIONS(1458),
    [anon_sym_rune] = ACTIONS(1458),
    [anon_sym_map] = ACTIONS(1458),
    [anon_sym_mapnode] = ACTIONS(1458),
    [anon_sym_size_t] = ACTIONS(1458),
    [anon_sym_usize] = ACTIONS(1458),
    [anon_sym_isize] = ACTIONS(1458),
    [anon_sym_float_literal] = ACTIONS(1458),
    [anon_sym_int_literal] = ACTIONS(1458),
    [anon_sym_IError] = ACTIONS(1458),
    [sym_type_placeholder] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [sym_type_identifier] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_STAR_EQ] = ACTIONS(1456),
    [anon_sym_SLASH_EQ] = ACTIONS(1456),
    [anon_sym_PERCENT_EQ] = ACTIONS(1456),
    [anon_sym_LT_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT_GT_EQ] = ACTIONS(1456),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1456),
    [anon_sym_AMP_EQ] = ACTIONS(1456),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1456),
    [anon_sym_PLUS_EQ] = ACTIONS(1456),
    [anon_sym_DASH_EQ] = ACTIONS(1456),
    [anon_sym_PIPE_EQ] = ACTIONS(1456),
    [anon_sym_CARET_EQ] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_assert] = ACTIONS(1458),
    [anon_sym_defer] = ACTIONS(1458),
    [anon_sym_unsafe] = ACTIONS(1458),
    [anon_sym_fn] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_go] = ACTIONS(1458),
    [anon_sym_spawn] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_DOLLARfor] = ACTIONS(1456),
    [anon_sym_DOLLARif] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1458),
    [anon_sym_BANGis] = ACTIONS(1456),
    [anon_sym_POUND] = ACTIONS(1456),
    [anon_sym_match] = ACTIONS(1458),
    [anon_sym_select] = ACTIONS(1458),
    [anon_sym_lock] = ACTIONS(1458),
    [anon_sym_rlock] = ACTIONS(1458),
    [sym__automatic_separator] = ACTIONS(1456),
    [sym__c_string_opening] = ACTIONS(1456),
    [sym__raw_string_opening] = ACTIONS(1456),
    [sym__string_opening] = ACTIONS(1456),
    [sym__comment] = ACTIONS(3),
  },
  [929] = {
    [sym_comment] = STATE(929),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_LT_DASH] = ACTIONS(1620),
    [anon_sym_SLASH] = ACTIONS(1622),
    [anon_sym_PERCENT] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_GT_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_EQ_EQ] = ACTIONS(1620),
    [anon_sym_BANG_EQ] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1620),
    [anon_sym_in] = ACTIONS(1622),
    [anon_sym_BANGin] = ACTIONS(1620),
    [anon_sym_AMP_AMP] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1620),
    [anon_sym_as] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [sym_none] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_RBRACE] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_map_LBRACK] = ACTIONS(1620),
    [anon_sym_chan] = ACTIONS(1622),
    [anon_sym_shared] = ACTIONS(1622),
    [anon_sym_thread] = ACTIONS(1622),
    [sym_int_literal] = ACTIONS(1622),
    [sym_float_literal] = ACTIONS(1620),
    [sym_rune_literal] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_array] = ACTIONS(1622),
    [anon_sym_string] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_sql] = ACTIONS(1622),
    [anon_sym_mut] = ACTIONS(1622),
    [anon_sym_C] = ACTIONS(1622),
    [anon_sym_JS] = ACTIONS(1622),
    [anon_sym_voidptr] = ACTIONS(1622),
    [anon_sym_byteptr] = ACTIONS(1622),
    [anon_sym_charptr] = ACTIONS(1622),
    [anon_sym_i8] = ACTIONS(1622),
    [anon_sym_i16] = ACTIONS(1622),
    [anon_sym_i32] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_i64] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_u8] = ACTIONS(1622),
    [anon_sym_u16] = ACTIONS(1622),
    [anon_sym_u32] = ACTIONS(1622),
    [anon_sym_u64] = ACTIONS(1622),
    [anon_sym_f32] = ACTIONS(1622),
    [anon_sym_f64] = ACTIONS(1622),
    [anon_sym_bool] = ACTIONS(1622),
    [anon_sym_rune] = ACTIONS(1622),
    [anon_sym_map] = ACTIONS(1622),
    [anon_sym_mapnode] = ACTIONS(1622),
    [anon_sym_size_t] = ACTIONS(1622),
    [anon_sym_usize] = ACTIONS(1622),
    [anon_sym_isize] = ACTIONS(1622),
    [anon_sym_float_literal] = ACTIONS(1622),
    [anon_sym_int_literal] = ACTIONS(1622),
    [anon_sym_IError] = ACTIONS(1622),
    [sym_type_placeholder] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [sym_type_identifier] = ACTIONS(1622),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_COLON_EQ] = ACTIONS(1620),
    [anon_sym_STAR_EQ] = ACTIONS(1620),
    [anon_sym_SLASH_EQ] = ACTIONS(1620),
    [anon_sym_PERCENT_EQ] = ACTIONS(1620),
    [anon_sym_LT_LT_EQ] = ACTIONS(1620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1620),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1620),
    [anon_sym_AMP_EQ] = ACTIONS(1620),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1620),
    [anon_sym_PLUS_EQ] = ACTIONS(1620),
    [anon_sym_DASH_EQ] = ACTIONS(1620),
    [anon_sym_PIPE_EQ] = ACTIONS(1620),
    [anon_sym_CARET_EQ] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1622),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_defer] = ACTIONS(1622),
    [anon_sym_unsafe] = ACTIONS(1622),
    [anon_sym_fn] = ACTIONS(1622),
    [anon_sym_asm] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_go] = ACTIONS(1622),
    [anon_sym_spawn] = ACTIONS(1622),
    [anon_sym_goto] = ACTIONS(1622),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_DOLLARfor] = ACTIONS(1620),
    [anon_sym_DOLLARif] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_is] = ACTIONS(1622),
    [anon_sym_BANGis] = ACTIONS(1620),
    [anon_sym_POUND] = ACTIONS(1620),
    [anon_sym_match] = ACTIONS(1622),
    [anon_sym_select] = ACTIONS(1622),
    [anon_sym_lock] = ACTIONS(1622),
    [anon_sym_rlock] = ACTIONS(1622),
    [sym__automatic_separator] = ACTIONS(1620),
    [sym__c_string_opening] = ACTIONS(1620),
    [sym__raw_string_opening] = ACTIONS(1620),
    [sym__string_opening] = ACTIONS(1620),
    [sym__comment] = ACTIONS(3),
  },
  [930] = {
    [sym_comment] = STATE(930),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PERCENT] = ACTIONS(1476),
    [anon_sym_LT_LT] = ACTIONS(1476),
    [anon_sym_GT_GT] = ACTIONS(1476),
    [anon_sym_GT_GT_GT] = ACTIONS(1476),
    [anon_sym_AMP_CARET] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_BANGin] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_as] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [sym_none] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_map_LBRACK] = ACTIONS(1474),
    [anon_sym_chan] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_thread] = ACTIONS(1476),
    [sym_int_literal] = ACTIONS(1476),
    [sym_float_literal] = ACTIONS(1474),
    [sym_rune_literal] = ACTIONS(1474),
    [anon_sym_DOT] = ACTIONS(1476),
    [anon_sym_array] = ACTIONS(1476),
    [anon_sym_string] = ACTIONS(1476),
    [anon_sym_char] = ACTIONS(1476),
    [anon_sym_sql] = ACTIONS(1476),
    [anon_sym_mut] = ACTIONS(1476),
    [anon_sym_C] = ACTIONS(1476),
    [anon_sym_JS] = ACTIONS(1476),
    [anon_sym_voidptr] = ACTIONS(1476),
    [anon_sym_byteptr] = ACTIONS(1476),
    [anon_sym_charptr] = ACTIONS(1476),
    [anon_sym_i8] = ACTIONS(1476),
    [anon_sym_i16] = ACTIONS(1476),
    [anon_sym_i32] = ACTIONS(1476),
    [anon_sym_int] = ACTIONS(1476),
    [anon_sym_i64] = ACTIONS(1476),
    [anon_sym_byte] = ACTIONS(1476),
    [anon_sym_u8] = ACTIONS(1476),
    [anon_sym_u16] = ACTIONS(1476),
    [anon_sym_u32] = ACTIONS(1476),
    [anon_sym_u64] = ACTIONS(1476),
    [anon_sym_f32] = ACTIONS(1476),
    [anon_sym_f64] = ACTIONS(1476),
    [anon_sym_bool] = ACTIONS(1476),
    [anon_sym_rune] = ACTIONS(1476),
    [anon_sym_map] = ACTIONS(1476),
    [anon_sym_mapnode] = ACTIONS(1476),
    [anon_sym_size_t] = ACTIONS(1476),
    [anon_sym_usize] = ACTIONS(1476),
    [anon_sym_isize] = ACTIONS(1476),
    [anon_sym_float_literal] = ACTIONS(1476),
    [anon_sym_int_literal] = ACTIONS(1476),
    [anon_sym_IError] = ACTIONS(1476),
    [sym_type_placeholder] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym_type_identifier] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_STAR_EQ] = ACTIONS(1474),
    [anon_sym_SLASH_EQ] = ACTIONS(1474),
    [anon_sym_PERCENT_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT_GT_EQ] = ACTIONS(1474),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1474),
    [anon_sym_AMP_EQ] = ACTIONS(1474),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1474),
    [anon_sym_PLUS_EQ] = ACTIONS(1474),
    [anon_sym_DASH_EQ] = ACTIONS(1474),
    [anon_sym_PIPE_EQ] = ACTIONS(1474),
    [anon_sym_CARET_EQ] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_assert] = ACTIONS(1476),
    [anon_sym_defer] = ACTIONS(1476),
    [anon_sym_unsafe] = ACTIONS(1476),
    [anon_sym_fn] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_go] = ACTIONS(1476),
    [anon_sym_spawn] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_DOLLARfor] = ACTIONS(1474),
    [anon_sym_DOLLARif] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_is] = ACTIONS(1476),
    [anon_sym_BANGis] = ACTIONS(1474),
    [anon_sym_POUND] = ACTIONS(1474),
    [anon_sym_match] = ACTIONS(1476),
    [anon_sym_select] = ACTIONS(1476),
    [anon_sym_lock] = ACTIONS(1476),
    [anon_sym_rlock] = ACTIONS(1476),
    [sym__automatic_separator] = ACTIONS(1474),
    [sym__c_string_opening] = ACTIONS(1474),
    [sym__raw_string_opening] = ACTIONS(1474),
    [sym__string_opening] = ACTIONS(1474),
    [sym__comment] = ACTIONS(3),
  },
  [931] = {
    [sym_comment] = STATE(931),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_COLON_EQ] = ACTIONS(1110),
    [anon_sym_STAR_EQ] = ACTIONS(1110),
    [anon_sym_SLASH_EQ] = ACTIONS(1110),
    [anon_sym_PERCENT_EQ] = ACTIONS(1110),
    [anon_sym_LT_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_EQ] = ACTIONS(1110),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1110),
    [anon_sym_DASH_EQ] = ACTIONS(1110),
    [anon_sym_PIPE_EQ] = ACTIONS(1110),
    [anon_sym_CARET_EQ] = ACTIONS(1110),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [932] = {
    [sym_comment] = STATE(932),
    [sym_identifier] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_LT_DASH] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1512),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_GT_GT_GT] = ACTIONS(1512),
    [anon_sym_AMP_CARET] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_BANGin] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_as] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [sym_none] = ACTIONS(1512),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_map_LBRACK] = ACTIONS(1510),
    [anon_sym_chan] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_thread] = ACTIONS(1512),
    [sym_int_literal] = ACTIONS(1512),
    [sym_float_literal] = ACTIONS(1510),
    [sym_rune_literal] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_array] = ACTIONS(1512),
    [anon_sym_string] = ACTIONS(1512),
    [anon_sym_char] = ACTIONS(1512),
    [anon_sym_sql] = ACTIONS(1512),
    [anon_sym_mut] = ACTIONS(1512),
    [anon_sym_C] = ACTIONS(1512),
    [anon_sym_JS] = ACTIONS(1512),
    [anon_sym_voidptr] = ACTIONS(1512),
    [anon_sym_byteptr] = ACTIONS(1512),
    [anon_sym_charptr] = ACTIONS(1512),
    [anon_sym_i8] = ACTIONS(1512),
    [anon_sym_i16] = ACTIONS(1512),
    [anon_sym_i32] = ACTIONS(1512),
    [anon_sym_int] = ACTIONS(1512),
    [anon_sym_i64] = ACTIONS(1512),
    [anon_sym_byte] = ACTIONS(1512),
    [anon_sym_u8] = ACTIONS(1512),
    [anon_sym_u16] = ACTIONS(1512),
    [anon_sym_u32] = ACTIONS(1512),
    [anon_sym_u64] = ACTIONS(1512),
    [anon_sym_f32] = ACTIONS(1512),
    [anon_sym_f64] = ACTIONS(1512),
    [anon_sym_bool] = ACTIONS(1512),
    [anon_sym_rune] = ACTIONS(1512),
    [anon_sym_map] = ACTIONS(1512),
    [anon_sym_mapnode] = ACTIONS(1512),
    [anon_sym_size_t] = ACTIONS(1512),
    [anon_sym_usize] = ACTIONS(1512),
    [anon_sym_isize] = ACTIONS(1512),
    [anon_sym_float_literal] = ACTIONS(1512),
    [anon_sym_int_literal] = ACTIONS(1512),
    [anon_sym_IError] = ACTIONS(1512),
    [sym_type_placeholder] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [sym_type_identifier] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_COLON_EQ] = ACTIONS(1510),
    [anon_sym_STAR_EQ] = ACTIONS(1510),
    [anon_sym_SLASH_EQ] = ACTIONS(1510),
    [anon_sym_PERCENT_EQ] = ACTIONS(1510),
    [anon_sym_LT_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT_GT_EQ] = ACTIONS(1510),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_EQ] = ACTIONS(1510),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1510),
    [anon_sym_PLUS_EQ] = ACTIONS(1510),
    [anon_sym_DASH_EQ] = ACTIONS(1510),
    [anon_sym_PIPE_EQ] = ACTIONS(1510),
    [anon_sym_CARET_EQ] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_defer] = ACTIONS(1512),
    [anon_sym_unsafe] = ACTIONS(1512),
    [anon_sym_fn] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_go] = ACTIONS(1512),
    [anon_sym_spawn] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_DOLLARfor] = ACTIONS(1510),
    [anon_sym_DOLLARif] = ACTIONS(1510),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1512),
    [anon_sym_BANGis] = ACTIONS(1510),
    [anon_sym_POUND] = ACTIONS(1510),
    [anon_sym_match] = ACTIONS(1512),
    [anon_sym_select] = ACTIONS(1512),
    [anon_sym_lock] = ACTIONS(1512),
    [anon_sym_rlock] = ACTIONS(1512),
    [sym__automatic_separator] = ACTIONS(1510),
    [sym__c_string_opening] = ACTIONS(1510),
    [sym__raw_string_opening] = ACTIONS(1510),
    [sym__string_opening] = ACTIONS(1510),
    [sym__comment] = ACTIONS(3),
  },
  [933] = {
    [sym_comment] = STATE(933),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_LT_DASH] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_GT_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(1424),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_BANGin] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [sym_none] = ACTIONS(1424),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_map_LBRACK] = ACTIONS(1422),
    [anon_sym_chan] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_thread] = ACTIONS(1424),
    [sym_int_literal] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1422),
    [sym_rune_literal] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_array] = ACTIONS(1424),
    [anon_sym_string] = ACTIONS(1424),
    [anon_sym_char] = ACTIONS(1424),
    [anon_sym_sql] = ACTIONS(1424),
    [anon_sym_mut] = ACTIONS(1424),
    [anon_sym_C] = ACTIONS(1424),
    [anon_sym_JS] = ACTIONS(1424),
    [anon_sym_voidptr] = ACTIONS(1424),
    [anon_sym_byteptr] = ACTIONS(1424),
    [anon_sym_charptr] = ACTIONS(1424),
    [anon_sym_i8] = ACTIONS(1424),
    [anon_sym_i16] = ACTIONS(1424),
    [anon_sym_i32] = ACTIONS(1424),
    [anon_sym_int] = ACTIONS(1424),
    [anon_sym_i64] = ACTIONS(1424),
    [anon_sym_byte] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1424),
    [anon_sym_u16] = ACTIONS(1424),
    [anon_sym_u32] = ACTIONS(1424),
    [anon_sym_u64] = ACTIONS(1424),
    [anon_sym_f32] = ACTIONS(1424),
    [anon_sym_f64] = ACTIONS(1424),
    [anon_sym_bool] = ACTIONS(1424),
    [anon_sym_rune] = ACTIONS(1424),
    [anon_sym_map] = ACTIONS(1424),
    [anon_sym_mapnode] = ACTIONS(1424),
    [anon_sym_size_t] = ACTIONS(1424),
    [anon_sym_usize] = ACTIONS(1424),
    [anon_sym_isize] = ACTIONS(1424),
    [anon_sym_float_literal] = ACTIONS(1424),
    [anon_sym_int_literal] = ACTIONS(1424),
    [anon_sym_IError] = ACTIONS(1424),
    [sym_type_placeholder] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [sym_type_identifier] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_COLON_EQ] = ACTIONS(1422),
    [anon_sym_STAR_EQ] = ACTIONS(1422),
    [anon_sym_SLASH_EQ] = ACTIONS(1422),
    [anon_sym_PERCENT_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT_EQ] = ACTIONS(1422),
    [anon_sym_GT_GT_EQ] = ACTIONS(1422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1422),
    [anon_sym_AMP_EQ] = ACTIONS(1422),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1422),
    [anon_sym_PLUS_EQ] = ACTIONS(1422),
    [anon_sym_DASH_EQ] = ACTIONS(1422),
    [anon_sym_PIPE_EQ] = ACTIONS(1422),
    [anon_sym_CARET_EQ] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1424),
    [anon_sym_assert] = ACTIONS(1424),
    [anon_sym_defer] = ACTIONS(1424),
    [anon_sym_unsafe] = ACTIONS(1424),
    [anon_sym_fn] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_go] = ACTIONS(1424),
    [anon_sym_spawn] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_DOLLARfor] = ACTIONS(1422),
    [anon_sym_DOLLARif] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_is] = ACTIONS(1424),
    [anon_sym_BANGis] = ACTIONS(1422),
    [anon_sym_POUND] = ACTIONS(1422),
    [anon_sym_match] = ACTIONS(1424),
    [anon_sym_select] = ACTIONS(1424),
    [anon_sym_lock] = ACTIONS(1424),
    [anon_sym_rlock] = ACTIONS(1424),
    [sym__automatic_separator] = ACTIONS(1422),
    [sym__c_string_opening] = ACTIONS(1422),
    [sym__raw_string_opening] = ACTIONS(1422),
    [sym__string_opening] = ACTIONS(1422),
    [sym__comment] = ACTIONS(3),
  },
  [934] = {
    [sym_comment] = STATE(934),
    [sym_identifier] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_LT_DASH] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PERCENT] = ACTIONS(1494),
    [anon_sym_LT_LT] = ACTIONS(1494),
    [anon_sym_GT_GT] = ACTIONS(1494),
    [anon_sym_GT_GT_GT] = ACTIONS(1494),
    [anon_sym_AMP_CARET] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1494),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1494),
    [anon_sym_BANGin] = ACTIONS(1492),
    [anon_sym_AMP_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_as] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [sym_none] = ACTIONS(1494),
    [sym_true] = ACTIONS(1494),
    [sym_false] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_map_LBRACK] = ACTIONS(1492),
    [anon_sym_chan] = ACTIONS(1494),
    [anon_sym_shared] = ACTIONS(1494),
    [anon_sym_thread] = ACTIONS(1494),
    [sym_int_literal] = ACTIONS(1494),
    [sym_float_literal] = ACTIONS(1492),
    [sym_rune_literal] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1494),
    [anon_sym_array] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_char] = ACTIONS(1494),
    [anon_sym_sql] = ACTIONS(1494),
    [anon_sym_mut] = ACTIONS(1494),
    [anon_sym_C] = ACTIONS(1494),
    [anon_sym_JS] = ACTIONS(1494),
    [anon_sym_voidptr] = ACTIONS(1494),
    [anon_sym_byteptr] = ACTIONS(1494),
    [anon_sym_charptr] = ACTIONS(1494),
    [anon_sym_i8] = ACTIONS(1494),
    [anon_sym_i16] = ACTIONS(1494),
    [anon_sym_i32] = ACTIONS(1494),
    [anon_sym_int] = ACTIONS(1494),
    [anon_sym_i64] = ACTIONS(1494),
    [anon_sym_byte] = ACTIONS(1494),
    [anon_sym_u8] = ACTIONS(1494),
    [anon_sym_u16] = ACTIONS(1494),
    [anon_sym_u32] = ACTIONS(1494),
    [anon_sym_u64] = ACTIONS(1494),
    [anon_sym_f32] = ACTIONS(1494),
    [anon_sym_f64] = ACTIONS(1494),
    [anon_sym_bool] = ACTIONS(1494),
    [anon_sym_rune] = ACTIONS(1494),
    [anon_sym_map] = ACTIONS(1494),
    [anon_sym_mapnode] = ACTIONS(1494),
    [anon_sym_size_t] = ACTIONS(1494),
    [anon_sym_usize] = ACTIONS(1494),
    [anon_sym_isize] = ACTIONS(1494),
    [anon_sym_float_literal] = ACTIONS(1494),
    [anon_sym_int_literal] = ACTIONS(1494),
    [anon_sym_IError] = ACTIONS(1494),
    [sym_type_placeholder] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym_type_identifier] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_COLON_EQ] = ACTIONS(1492),
    [anon_sym_STAR_EQ] = ACTIONS(1492),
    [anon_sym_SLASH_EQ] = ACTIONS(1492),
    [anon_sym_PERCENT_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT_EQ] = ACTIONS(1492),
    [anon_sym_GT_GT_EQ] = ACTIONS(1492),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1492),
    [anon_sym_AMP_EQ] = ACTIONS(1492),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1492),
    [anon_sym_PLUS_EQ] = ACTIONS(1492),
    [anon_sym_DASH_EQ] = ACTIONS(1492),
    [anon_sym_PIPE_EQ] = ACTIONS(1492),
    [anon_sym_CARET_EQ] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_defer] = ACTIONS(1494),
    [anon_sym_unsafe] = ACTIONS(1494),
    [anon_sym_fn] = ACTIONS(1494),
    [anon_sym_asm] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_continue] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_go] = ACTIONS(1494),
    [anon_sym_spawn] = ACTIONS(1494),
    [anon_sym_goto] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_DOLLARfor] = ACTIONS(1492),
    [anon_sym_DOLLARif] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_is] = ACTIONS(1494),
    [anon_sym_BANGis] = ACTIONS(1492),
    [anon_sym_POUND] = ACTIONS(1492),
    [anon_sym_match] = ACTIONS(1494),
    [anon_sym_select] = ACTIONS(1494),
    [anon_sym_lock] = ACTIONS(1494),
    [anon_sym_rlock] = ACTIONS(1494),
    [sym__automatic_separator] = ACTIONS(1492),
    [sym__c_string_opening] = ACTIONS(1492),
    [sym__raw_string_opening] = ACTIONS(1492),
    [sym__string_opening] = ACTIONS(1492),
    [sym__comment] = ACTIONS(3),
  },
  [935] = {
    [sym_comment] = STATE(935),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_LT_DASH] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1350),
    [anon_sym_PERCENT] = ACTIONS(1350),
    [anon_sym_LT_LT] = ACTIONS(1350),
    [anon_sym_GT_GT] = ACTIONS(1350),
    [anon_sym_GT_GT_GT] = ACTIONS(1350),
    [anon_sym_AMP_CARET] = ACTIONS(1350),
    [anon_sym_PIPE] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1348),
    [anon_sym_BANG_EQ] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1348),
    [anon_sym_in] = ACTIONS(1350),
    [anon_sym_BANGin] = ACTIONS(1348),
    [anon_sym_AMP_AMP] = ACTIONS(1348),
    [anon_sym_PIPE_PIPE] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [sym_none] = ACTIONS(1350),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_map_LBRACK] = ACTIONS(1348),
    [anon_sym_chan] = ACTIONS(1350),
    [anon_sym_shared] = ACTIONS(1350),
    [anon_sym_thread] = ACTIONS(1350),
    [sym_int_literal] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1348),
    [sym_rune_literal] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_array] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_char] = ACTIONS(1350),
    [anon_sym_sql] = ACTIONS(1350),
    [anon_sym_mut] = ACTIONS(1350),
    [anon_sym_C] = ACTIONS(1350),
    [anon_sym_JS] = ACTIONS(1350),
    [anon_sym_voidptr] = ACTIONS(1350),
    [anon_sym_byteptr] = ACTIONS(1350),
    [anon_sym_charptr] = ACTIONS(1350),
    [anon_sym_i8] = ACTIONS(1350),
    [anon_sym_i16] = ACTIONS(1350),
    [anon_sym_i32] = ACTIONS(1350),
    [anon_sym_int] = ACTIONS(1350),
    [anon_sym_i64] = ACTIONS(1350),
    [anon_sym_byte] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1350),
    [anon_sym_u16] = ACTIONS(1350),
    [anon_sym_u32] = ACTIONS(1350),
    [anon_sym_u64] = ACTIONS(1350),
    [anon_sym_f32] = ACTIONS(1350),
    [anon_sym_f64] = ACTIONS(1350),
    [anon_sym_bool] = ACTIONS(1350),
    [anon_sym_rune] = ACTIONS(1350),
    [anon_sym_map] = ACTIONS(1350),
    [anon_sym_mapnode] = ACTIONS(1350),
    [anon_sym_size_t] = ACTIONS(1350),
    [anon_sym_usize] = ACTIONS(1350),
    [anon_sym_isize] = ACTIONS(1350),
    [anon_sym_float_literal] = ACTIONS(1350),
    [anon_sym_int_literal] = ACTIONS(1350),
    [anon_sym_IError] = ACTIONS(1350),
    [sym_type_placeholder] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [sym_type_identifier] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_COLON_EQ] = ACTIONS(1348),
    [anon_sym_STAR_EQ] = ACTIONS(1348),
    [anon_sym_SLASH_EQ] = ACTIONS(1348),
    [anon_sym_PERCENT_EQ] = ACTIONS(1348),
    [anon_sym_LT_LT_EQ] = ACTIONS(1348),
    [anon_sym_GT_GT_EQ] = ACTIONS(1348),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1348),
    [anon_sym_AMP_EQ] = ACTIONS(1348),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1348),
    [anon_sym_PLUS_EQ] = ACTIONS(1348),
    [anon_sym_DASH_EQ] = ACTIONS(1348),
    [anon_sym_PIPE_EQ] = ACTIONS(1348),
    [anon_sym_CARET_EQ] = ACTIONS(1348),
    [anon_sym_EQ] = ACTIONS(1350),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_defer] = ACTIONS(1350),
    [anon_sym_unsafe] = ACTIONS(1350),
    [anon_sym_fn] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_go] = ACTIONS(1350),
    [anon_sym_spawn] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_DOLLARfor] = ACTIONS(1348),
    [anon_sym_DOLLARif] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_is] = ACTIONS(1350),
    [anon_sym_BANGis] = ACTIONS(1348),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_match] = ACTIONS(1350),
    [anon_sym_select] = ACTIONS(1350),
    [anon_sym_lock] = ACTIONS(1350),
    [anon_sym_rlock] = ACTIONS(1350),
    [sym__automatic_separator] = ACTIONS(1348),
    [sym__c_string_opening] = ACTIONS(1348),
    [sym__raw_string_opening] = ACTIONS(1348),
    [sym__string_opening] = ACTIONS(1348),
    [sym__comment] = ACTIONS(3),
  },
  [936] = {
    [sym_comment] = STATE(936),
    [sym_identifier] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_LT_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1378),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_GT_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1376),
    [anon_sym_in] = ACTIONS(1378),
    [anon_sym_BANGin] = ACTIONS(1376),
    [anon_sym_AMP_AMP] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1376),
    [anon_sym_as] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [sym_none] = ACTIONS(1378),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_map_LBRACK] = ACTIONS(1376),
    [anon_sym_chan] = ACTIONS(1378),
    [anon_sym_shared] = ACTIONS(1378),
    [anon_sym_thread] = ACTIONS(1378),
    [sym_int_literal] = ACTIONS(1378),
    [sym_float_literal] = ACTIONS(1376),
    [sym_rune_literal] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_array] = ACTIONS(1378),
    [anon_sym_string] = ACTIONS(1378),
    [anon_sym_char] = ACTIONS(1378),
    [anon_sym_sql] = ACTIONS(1378),
    [anon_sym_mut] = ACTIONS(1378),
    [anon_sym_C] = ACTIONS(1378),
    [anon_sym_JS] = ACTIONS(1378),
    [anon_sym_voidptr] = ACTIONS(1378),
    [anon_sym_byteptr] = ACTIONS(1378),
    [anon_sym_charptr] = ACTIONS(1378),
    [anon_sym_i8] = ACTIONS(1378),
    [anon_sym_i16] = ACTIONS(1378),
    [anon_sym_i32] = ACTIONS(1378),
    [anon_sym_int] = ACTIONS(1378),
    [anon_sym_i64] = ACTIONS(1378),
    [anon_sym_byte] = ACTIONS(1378),
    [anon_sym_u8] = ACTIONS(1378),
    [anon_sym_u16] = ACTIONS(1378),
    [anon_sym_u32] = ACTIONS(1378),
    [anon_sym_u64] = ACTIONS(1378),
    [anon_sym_f32] = ACTIONS(1378),
    [anon_sym_f64] = ACTIONS(1378),
    [anon_sym_bool] = ACTIONS(1378),
    [anon_sym_rune] = ACTIONS(1378),
    [anon_sym_map] = ACTIONS(1378),
    [anon_sym_mapnode] = ACTIONS(1378),
    [anon_sym_size_t] = ACTIONS(1378),
    [anon_sym_usize] = ACTIONS(1378),
    [anon_sym_isize] = ACTIONS(1378),
    [anon_sym_float_literal] = ACTIONS(1378),
    [anon_sym_int_literal] = ACTIONS(1378),
    [anon_sym_IError] = ACTIONS(1378),
    [sym_type_placeholder] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [sym_type_identifier] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_COLON_EQ] = ACTIONS(1376),
    [anon_sym_STAR_EQ] = ACTIONS(1376),
    [anon_sym_SLASH_EQ] = ACTIONS(1376),
    [anon_sym_PERCENT_EQ] = ACTIONS(1376),
    [anon_sym_LT_LT_EQ] = ACTIONS(1376),
    [anon_sym_GT_GT_EQ] = ACTIONS(1376),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1376),
    [anon_sym_AMP_EQ] = ACTIONS(1376),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1376),
    [anon_sym_PLUS_EQ] = ACTIONS(1376),
    [anon_sym_DASH_EQ] = ACTIONS(1376),
    [anon_sym_PIPE_EQ] = ACTIONS(1376),
    [anon_sym_CARET_EQ] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1378),
    [anon_sym_assert] = ACTIONS(1378),
    [anon_sym_defer] = ACTIONS(1378),
    [anon_sym_unsafe] = ACTIONS(1378),
    [anon_sym_fn] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_go] = ACTIONS(1378),
    [anon_sym_spawn] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_DOLLARfor] = ACTIONS(1376),
    [anon_sym_DOLLARif] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_is] = ACTIONS(1378),
    [anon_sym_BANGis] = ACTIONS(1376),
    [anon_sym_POUND] = ACTIONS(1376),
    [anon_sym_match] = ACTIONS(1378),
    [anon_sym_select] = ACTIONS(1378),
    [anon_sym_lock] = ACTIONS(1378),
    [anon_sym_rlock] = ACTIONS(1378),
    [sym__automatic_separator] = ACTIONS(1376),
    [sym__c_string_opening] = ACTIONS(1376),
    [sym__raw_string_opening] = ACTIONS(1376),
    [sym__string_opening] = ACTIONS(1376),
    [sym__comment] = ACTIONS(3),
  },
  [937] = {
    [sym_comment] = STATE(937),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1048),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1048),
    [anon_sym_LT_LT] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1048),
    [anon_sym_AMP_CARET] = ACTIONS(1048),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_COLON_EQ] = ACTIONS(1046),
    [anon_sym_STAR_EQ] = ACTIONS(1046),
    [anon_sym_SLASH_EQ] = ACTIONS(1046),
    [anon_sym_PERCENT_EQ] = ACTIONS(1046),
    [anon_sym_LT_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT_GT_EQ] = ACTIONS(1046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1046),
    [anon_sym_AMP_EQ] = ACTIONS(1046),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1046),
    [anon_sym_PLUS_EQ] = ACTIONS(1046),
    [anon_sym_DASH_EQ] = ACTIONS(1046),
    [anon_sym_PIPE_EQ] = ACTIONS(1046),
    [anon_sym_CARET_EQ] = ACTIONS(1046),
    [anon_sym_EQ] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [938] = {
    [sym_comment] = STATE(938),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [939] = {
    [sym_comment] = STATE(939),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_CARET] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_LT_DASH] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PERCENT] = ACTIONS(1296),
    [anon_sym_LT_LT] = ACTIONS(1296),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1296),
    [anon_sym_AMP_CARET] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_BANGin] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [sym_none] = ACTIONS(1296),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_map_LBRACK] = ACTIONS(1294),
    [anon_sym_chan] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_thread] = ACTIONS(1296),
    [sym_int_literal] = ACTIONS(1296),
    [sym_float_literal] = ACTIONS(1294),
    [sym_rune_literal] = ACTIONS(1294),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_array] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_char] = ACTIONS(1296),
    [anon_sym_sql] = ACTIONS(1296),
    [anon_sym_mut] = ACTIONS(1296),
    [anon_sym_C] = ACTIONS(1296),
    [anon_sym_JS] = ACTIONS(1296),
    [anon_sym_voidptr] = ACTIONS(1296),
    [anon_sym_byteptr] = ACTIONS(1296),
    [anon_sym_charptr] = ACTIONS(1296),
    [anon_sym_i8] = ACTIONS(1296),
    [anon_sym_i16] = ACTIONS(1296),
    [anon_sym_i32] = ACTIONS(1296),
    [anon_sym_int] = ACTIONS(1296),
    [anon_sym_i64] = ACTIONS(1296),
    [anon_sym_byte] = ACTIONS(1296),
    [anon_sym_u8] = ACTIONS(1296),
    [anon_sym_u16] = ACTIONS(1296),
    [anon_sym_u32] = ACTIONS(1296),
    [anon_sym_u64] = ACTIONS(1296),
    [anon_sym_f32] = ACTIONS(1296),
    [anon_sym_f64] = ACTIONS(1296),
    [anon_sym_bool] = ACTIONS(1296),
    [anon_sym_rune] = ACTIONS(1296),
    [anon_sym_map] = ACTIONS(1296),
    [anon_sym_mapnode] = ACTIONS(1296),
    [anon_sym_size_t] = ACTIONS(1296),
    [anon_sym_usize] = ACTIONS(1296),
    [anon_sym_isize] = ACTIONS(1296),
    [anon_sym_float_literal] = ACTIONS(1296),
    [anon_sym_int_literal] = ACTIONS(1296),
    [anon_sym_IError] = ACTIONS(1296),
    [sym_type_placeholder] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [sym_type_identifier] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_COLON_EQ] = ACTIONS(1294),
    [anon_sym_STAR_EQ] = ACTIONS(1294),
    [anon_sym_SLASH_EQ] = ACTIONS(1294),
    [anon_sym_PERCENT_EQ] = ACTIONS(1294),
    [anon_sym_LT_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT_GT_EQ] = ACTIONS(1294),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1294),
    [anon_sym_AMP_EQ] = ACTIONS(1294),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1294),
    [anon_sym_PLUS_EQ] = ACTIONS(1294),
    [anon_sym_DASH_EQ] = ACTIONS(1294),
    [anon_sym_PIPE_EQ] = ACTIONS(1294),
    [anon_sym_CARET_EQ] = ACTIONS(1294),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_assert] = ACTIONS(1296),
    [anon_sym_defer] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1296),
    [anon_sym_fn] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_go] = ACTIONS(1296),
    [anon_sym_spawn] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_DOLLARfor] = ACTIONS(1294),
    [anon_sym_DOLLARif] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_is] = ACTIONS(1296),
    [anon_sym_BANGis] = ACTIONS(1294),
    [anon_sym_POUND] = ACTIONS(1294),
    [anon_sym_match] = ACTIONS(1296),
    [anon_sym_select] = ACTIONS(1296),
    [anon_sym_lock] = ACTIONS(1296),
    [anon_sym_rlock] = ACTIONS(1296),
    [sym__automatic_separator] = ACTIONS(1294),
    [sym__c_string_opening] = ACTIONS(1294),
    [sym__raw_string_opening] = ACTIONS(1294),
    [sym__string_opening] = ACTIONS(1294),
    [sym__comment] = ACTIONS(3),
  },
  [940] = {
    [sym_comment] = STATE(940),
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1562),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_LT_DASH] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_PERCENT] = ACTIONS(1562),
    [anon_sym_LT_LT] = ACTIONS(1562),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1562),
    [anon_sym_AMP_CARET] = ACTIONS(1562),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_BANGin] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1560),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1562),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_none] = ACTIONS(1562),
    [sym_true] = ACTIONS(1562),
    [sym_false] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_map_LBRACK] = ACTIONS(1560),
    [anon_sym_chan] = ACTIONS(1562),
    [anon_sym_shared] = ACTIONS(1562),
    [anon_sym_thread] = ACTIONS(1562),
    [sym_int_literal] = ACTIONS(1562),
    [sym_float_literal] = ACTIONS(1560),
    [sym_rune_literal] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_array] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_char] = ACTIONS(1562),
    [anon_sym_sql] = ACTIONS(1562),
    [anon_sym_mut] = ACTIONS(1562),
    [anon_sym_C] = ACTIONS(1562),
    [anon_sym_JS] = ACTIONS(1562),
    [anon_sym_voidptr] = ACTIONS(1562),
    [anon_sym_byteptr] = ACTIONS(1562),
    [anon_sym_charptr] = ACTIONS(1562),
    [anon_sym_i8] = ACTIONS(1562),
    [anon_sym_i16] = ACTIONS(1562),
    [anon_sym_i32] = ACTIONS(1562),
    [anon_sym_int] = ACTIONS(1562),
    [anon_sym_i64] = ACTIONS(1562),
    [anon_sym_byte] = ACTIONS(1562),
    [anon_sym_u8] = ACTIONS(1562),
    [anon_sym_u16] = ACTIONS(1562),
    [anon_sym_u32] = ACTIONS(1562),
    [anon_sym_u64] = ACTIONS(1562),
    [anon_sym_f32] = ACTIONS(1562),
    [anon_sym_f64] = ACTIONS(1562),
    [anon_sym_bool] = ACTIONS(1562),
    [anon_sym_rune] = ACTIONS(1562),
    [anon_sym_map] = ACTIONS(1562),
    [anon_sym_mapnode] = ACTIONS(1562),
    [anon_sym_size_t] = ACTIONS(1562),
    [anon_sym_usize] = ACTIONS(1562),
    [anon_sym_isize] = ACTIONS(1562),
    [anon_sym_float_literal] = ACTIONS(1562),
    [anon_sym_int_literal] = ACTIONS(1562),
    [anon_sym_IError] = ACTIONS(1562),
    [sym_type_placeholder] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [sym_type_identifier] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_COLON_EQ] = ACTIONS(1560),
    [anon_sym_STAR_EQ] = ACTIONS(1560),
    [anon_sym_SLASH_EQ] = ACTIONS(1560),
    [anon_sym_PERCENT_EQ] = ACTIONS(1560),
    [anon_sym_LT_LT_EQ] = ACTIONS(1560),
    [anon_sym_GT_GT_EQ] = ACTIONS(1560),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1560),
    [anon_sym_AMP_EQ] = ACTIONS(1560),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1560),
    [anon_sym_PLUS_EQ] = ACTIONS(1560),
    [anon_sym_DASH_EQ] = ACTIONS(1560),
    [anon_sym_PIPE_EQ] = ACTIONS(1560),
    [anon_sym_CARET_EQ] = ACTIONS(1560),
    [anon_sym_EQ] = ACTIONS(1562),
    [anon_sym_assert] = ACTIONS(1562),
    [anon_sym_defer] = ACTIONS(1562),
    [anon_sym_unsafe] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym_asm] = ACTIONS(1562),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_continue] = ACTIONS(1562),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_go] = ACTIONS(1562),
    [anon_sym_spawn] = ACTIONS(1562),
    [anon_sym_goto] = ACTIONS(1562),
    [anon_sym_for] = ACTIONS(1562),
    [anon_sym_DOLLARfor] = ACTIONS(1560),
    [anon_sym_DOLLARif] = ACTIONS(1560),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_is] = ACTIONS(1562),
    [anon_sym_BANGis] = ACTIONS(1560),
    [anon_sym_POUND] = ACTIONS(1560),
    [anon_sym_match] = ACTIONS(1562),
    [anon_sym_select] = ACTIONS(1562),
    [anon_sym_lock] = ACTIONS(1562),
    [anon_sym_rlock] = ACTIONS(1562),
    [sym__automatic_separator] = ACTIONS(1560),
    [sym__c_string_opening] = ACTIONS(1560),
    [sym__raw_string_opening] = ACTIONS(1560),
    [sym__string_opening] = ACTIONS(1560),
    [sym__comment] = ACTIONS(3),
  },
  [941] = {
    [sym_comment] = STATE(941),
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_LT_DASH] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1612),
    [anon_sym_LT_LT] = ACTIONS(1612),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1612),
    [anon_sym_AMP_CARET] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_BANGin] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [sym_none] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_map_LBRACK] = ACTIONS(1610),
    [anon_sym_chan] = ACTIONS(1612),
    [anon_sym_shared] = ACTIONS(1612),
    [anon_sym_thread] = ACTIONS(1612),
    [sym_int_literal] = ACTIONS(1612),
    [sym_float_literal] = ACTIONS(1610),
    [sym_rune_literal] = ACTIONS(1610),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_array] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_sql] = ACTIONS(1612),
    [anon_sym_mut] = ACTIONS(1612),
    [anon_sym_C] = ACTIONS(1612),
    [anon_sym_JS] = ACTIONS(1612),
    [anon_sym_voidptr] = ACTIONS(1612),
    [anon_sym_byteptr] = ACTIONS(1612),
    [anon_sym_charptr] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_int] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_byte] = ACTIONS(1612),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_rune] = ACTIONS(1612),
    [anon_sym_map] = ACTIONS(1612),
    [anon_sym_mapnode] = ACTIONS(1612),
    [anon_sym_size_t] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_float_literal] = ACTIONS(1612),
    [anon_sym_int_literal] = ACTIONS(1612),
    [anon_sym_IError] = ACTIONS(1612),
    [sym_type_placeholder] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [sym_type_identifier] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1610),
    [anon_sym_COLON_EQ] = ACTIONS(1610),
    [anon_sym_STAR_EQ] = ACTIONS(1610),
    [anon_sym_SLASH_EQ] = ACTIONS(1610),
    [anon_sym_PERCENT_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT_GT_EQ] = ACTIONS(1610),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1610),
    [anon_sym_AMP_EQ] = ACTIONS(1610),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1610),
    [anon_sym_PLUS_EQ] = ACTIONS(1610),
    [anon_sym_DASH_EQ] = ACTIONS(1610),
    [anon_sym_PIPE_EQ] = ACTIONS(1610),
    [anon_sym_CARET_EQ] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_assert] = ACTIONS(1612),
    [anon_sym_defer] = ACTIONS(1612),
    [anon_sym_unsafe] = ACTIONS(1612),
    [anon_sym_fn] = ACTIONS(1612),
    [anon_sym_asm] = ACTIONS(1612),
    [anon_sym_break] = ACTIONS(1612),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1612),
    [anon_sym_go] = ACTIONS(1612),
    [anon_sym_spawn] = ACTIONS(1612),
    [anon_sym_goto] = ACTIONS(1612),
    [anon_sym_for] = ACTIONS(1612),
    [anon_sym_DOLLARfor] = ACTIONS(1610),
    [anon_sym_DOLLARif] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1612),
    [anon_sym_BANGis] = ACTIONS(1610),
    [anon_sym_POUND] = ACTIONS(1610),
    [anon_sym_match] = ACTIONS(1612),
    [anon_sym_select] = ACTIONS(1612),
    [anon_sym_lock] = ACTIONS(1612),
    [anon_sym_rlock] = ACTIONS(1612),
    [sym__automatic_separator] = ACTIONS(1610),
    [sym__c_string_opening] = ACTIONS(1610),
    [sym__raw_string_opening] = ACTIONS(1610),
    [sym__string_opening] = ACTIONS(1610),
    [sym__comment] = ACTIONS(3),
  },
  [942] = {
    [sym_comment] = STATE(942),
    [sym_identifier] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_CARET] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_LT_DASH] = ACTIONS(1316),
    [anon_sym_SLASH] = ACTIONS(1318),
    [anon_sym_PERCENT] = ACTIONS(1318),
    [anon_sym_LT_LT] = ACTIONS(1318),
    [anon_sym_GT_GT] = ACTIONS(1318),
    [anon_sym_GT_GT_GT] = ACTIONS(1318),
    [anon_sym_AMP_CARET] = ACTIONS(1318),
    [anon_sym_PIPE] = ACTIONS(1318),
    [anon_sym_EQ_EQ] = ACTIONS(1316),
    [anon_sym_BANG_EQ] = ACTIONS(1316),
    [anon_sym_LT] = ACTIONS(1318),
    [anon_sym_LT_EQ] = ACTIONS(1316),
    [anon_sym_GT] = ACTIONS(1318),
    [anon_sym_GT_EQ] = ACTIONS(1316),
    [anon_sym_in] = ACTIONS(1318),
    [anon_sym_BANGin] = ACTIONS(1316),
    [anon_sym_AMP_AMP] = ACTIONS(1316),
    [anon_sym_PIPE_PIPE] = ACTIONS(1316),
    [anon_sym_as] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [sym_none] = ACTIONS(1318),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_map_LBRACK] = ACTIONS(1316),
    [anon_sym_chan] = ACTIONS(1318),
    [anon_sym_shared] = ACTIONS(1318),
    [anon_sym_thread] = ACTIONS(1318),
    [sym_int_literal] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1316),
    [sym_rune_literal] = ACTIONS(1316),
    [anon_sym_DOT] = ACTIONS(1318),
    [anon_sym_array] = ACTIONS(1318),
    [anon_sym_string] = ACTIONS(1318),
    [anon_sym_char] = ACTIONS(1318),
    [anon_sym_sql] = ACTIONS(1318),
    [anon_sym_mut] = ACTIONS(1318),
    [anon_sym_C] = ACTIONS(1318),
    [anon_sym_JS] = ACTIONS(1318),
    [anon_sym_voidptr] = ACTIONS(1318),
    [anon_sym_byteptr] = ACTIONS(1318),
    [anon_sym_charptr] = ACTIONS(1318),
    [anon_sym_i8] = ACTIONS(1318),
    [anon_sym_i16] = ACTIONS(1318),
    [anon_sym_i32] = ACTIONS(1318),
    [anon_sym_int] = ACTIONS(1318),
    [anon_sym_i64] = ACTIONS(1318),
    [anon_sym_byte] = ACTIONS(1318),
    [anon_sym_u8] = ACTIONS(1318),
    [anon_sym_u16] = ACTIONS(1318),
    [anon_sym_u32] = ACTIONS(1318),
    [anon_sym_u64] = ACTIONS(1318),
    [anon_sym_f32] = ACTIONS(1318),
    [anon_sym_f64] = ACTIONS(1318),
    [anon_sym_bool] = ACTIONS(1318),
    [anon_sym_rune] = ACTIONS(1318),
    [anon_sym_map] = ACTIONS(1318),
    [anon_sym_mapnode] = ACTIONS(1318),
    [anon_sym_size_t] = ACTIONS(1318),
    [anon_sym_usize] = ACTIONS(1318),
    [anon_sym_isize] = ACTIONS(1318),
    [anon_sym_float_literal] = ACTIONS(1318),
    [anon_sym_int_literal] = ACTIONS(1318),
    [anon_sym_IError] = ACTIONS(1318),
    [sym_type_placeholder] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [sym_type_identifier] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_COLON_EQ] = ACTIONS(1316),
    [anon_sym_STAR_EQ] = ACTIONS(1316),
    [anon_sym_SLASH_EQ] = ACTIONS(1316),
    [anon_sym_PERCENT_EQ] = ACTIONS(1316),
    [anon_sym_LT_LT_EQ] = ACTIONS(1316),
    [anon_sym_GT_GT_EQ] = ACTIONS(1316),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1316),
    [anon_sym_AMP_EQ] = ACTIONS(1316),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1316),
    [anon_sym_PLUS_EQ] = ACTIONS(1316),
    [anon_sym_DASH_EQ] = ACTIONS(1316),
    [anon_sym_PIPE_EQ] = ACTIONS(1316),
    [anon_sym_CARET_EQ] = ACTIONS(1316),
    [anon_sym_EQ] = ACTIONS(1318),
    [anon_sym_assert] = ACTIONS(1318),
    [anon_sym_defer] = ACTIONS(1318),
    [anon_sym_unsafe] = ACTIONS(1318),
    [anon_sym_fn] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_go] = ACTIONS(1318),
    [anon_sym_spawn] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_DOLLARfor] = ACTIONS(1316),
    [anon_sym_DOLLARif] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_is] = ACTIONS(1318),
    [anon_sym_BANGis] = ACTIONS(1316),
    [anon_sym_POUND] = ACTIONS(1316),
    [anon_sym_match] = ACTIONS(1318),
    [anon_sym_select] = ACTIONS(1318),
    [anon_sym_lock] = ACTIONS(1318),
    [anon_sym_rlock] = ACTIONS(1318),
    [sym__automatic_separator] = ACTIONS(1316),
    [sym__c_string_opening] = ACTIONS(1316),
    [sym__raw_string_opening] = ACTIONS(1316),
    [sym__string_opening] = ACTIONS(1316),
    [sym__comment] = ACTIONS(3),
  },
  [943] = {
    [sym_comment] = STATE(943),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_LT_DASH] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PERCENT] = ACTIONS(1588),
    [anon_sym_LT_LT] = ACTIONS(1588),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(1588),
    [anon_sym_AMP_CARET] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_in] = ACTIONS(1588),
    [anon_sym_BANGin] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1586),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_as] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_none] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_map_LBRACK] = ACTIONS(1586),
    [anon_sym_chan] = ACTIONS(1588),
    [anon_sym_shared] = ACTIONS(1588),
    [anon_sym_thread] = ACTIONS(1588),
    [sym_int_literal] = ACTIONS(1588),
    [sym_float_literal] = ACTIONS(1586),
    [sym_rune_literal] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_array] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_char] = ACTIONS(1588),
    [anon_sym_sql] = ACTIONS(1588),
    [anon_sym_mut] = ACTIONS(1588),
    [anon_sym_C] = ACTIONS(1588),
    [anon_sym_JS] = ACTIONS(1588),
    [anon_sym_voidptr] = ACTIONS(1588),
    [anon_sym_byteptr] = ACTIONS(1588),
    [anon_sym_charptr] = ACTIONS(1588),
    [anon_sym_i8] = ACTIONS(1588),
    [anon_sym_i16] = ACTIONS(1588),
    [anon_sym_i32] = ACTIONS(1588),
    [anon_sym_int] = ACTIONS(1588),
    [anon_sym_i64] = ACTIONS(1588),
    [anon_sym_byte] = ACTIONS(1588),
    [anon_sym_u8] = ACTIONS(1588),
    [anon_sym_u16] = ACTIONS(1588),
    [anon_sym_u32] = ACTIONS(1588),
    [anon_sym_u64] = ACTIONS(1588),
    [anon_sym_f32] = ACTIONS(1588),
    [anon_sym_f64] = ACTIONS(1588),
    [anon_sym_bool] = ACTIONS(1588),
    [anon_sym_rune] = ACTIONS(1588),
    [anon_sym_map] = ACTIONS(1588),
    [anon_sym_mapnode] = ACTIONS(1588),
    [anon_sym_size_t] = ACTIONS(1588),
    [anon_sym_usize] = ACTIONS(1588),
    [anon_sym_isize] = ACTIONS(1588),
    [anon_sym_float_literal] = ACTIONS(1588),
    [anon_sym_int_literal] = ACTIONS(1588),
    [anon_sym_IError] = ACTIONS(1588),
    [sym_type_placeholder] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [sym_type_identifier] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_COLON_EQ] = ACTIONS(1586),
    [anon_sym_STAR_EQ] = ACTIONS(1586),
    [anon_sym_SLASH_EQ] = ACTIONS(1586),
    [anon_sym_PERCENT_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT_EQ] = ACTIONS(1586),
    [anon_sym_GT_GT_EQ] = ACTIONS(1586),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1586),
    [anon_sym_AMP_EQ] = ACTIONS(1586),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1586),
    [anon_sym_PLUS_EQ] = ACTIONS(1586),
    [anon_sym_DASH_EQ] = ACTIONS(1586),
    [anon_sym_PIPE_EQ] = ACTIONS(1586),
    [anon_sym_CARET_EQ] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1588),
    [anon_sym_assert] = ACTIONS(1588),
    [anon_sym_defer] = ACTIONS(1588),
    [anon_sym_unsafe] = ACTIONS(1588),
    [anon_sym_fn] = ACTIONS(1588),
    [anon_sym_asm] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_go] = ACTIONS(1588),
    [anon_sym_spawn] = ACTIONS(1588),
    [anon_sym_goto] = ACTIONS(1588),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_DOLLARfor] = ACTIONS(1586),
    [anon_sym_DOLLARif] = ACTIONS(1586),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_is] = ACTIONS(1588),
    [anon_sym_BANGis] = ACTIONS(1586),
    [anon_sym_POUND] = ACTIONS(1586),
    [anon_sym_match] = ACTIONS(1588),
    [anon_sym_select] = ACTIONS(1588),
    [anon_sym_lock] = ACTIONS(1588),
    [anon_sym_rlock] = ACTIONS(1588),
    [sym__automatic_separator] = ACTIONS(1586),
    [sym__c_string_opening] = ACTIONS(1586),
    [sym__raw_string_opening] = ACTIONS(1586),
    [sym__string_opening] = ACTIONS(1586),
    [sym__comment] = ACTIONS(3),
  },
  [944] = {
    [sym_comment] = STATE(944),
    [sym_identifier] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_LT_DASH] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1250),
    [anon_sym_PERCENT] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1250),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_GT_GT_GT] = ACTIONS(1250),
    [anon_sym_AMP_CARET] = ACTIONS(1250),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_BANGin] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [sym_none] = ACTIONS(1250),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_map_LBRACK] = ACTIONS(1248),
    [anon_sym_chan] = ACTIONS(1250),
    [anon_sym_shared] = ACTIONS(1250),
    [anon_sym_thread] = ACTIONS(1250),
    [sym_int_literal] = ACTIONS(1250),
    [sym_float_literal] = ACTIONS(1248),
    [sym_rune_literal] = ACTIONS(1248),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_array] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_char] = ACTIONS(1250),
    [anon_sym_sql] = ACTIONS(1250),
    [anon_sym_mut] = ACTIONS(1250),
    [anon_sym_C] = ACTIONS(1250),
    [anon_sym_JS] = ACTIONS(1250),
    [anon_sym_voidptr] = ACTIONS(1250),
    [anon_sym_byteptr] = ACTIONS(1250),
    [anon_sym_charptr] = ACTIONS(1250),
    [anon_sym_i8] = ACTIONS(1250),
    [anon_sym_i16] = ACTIONS(1250),
    [anon_sym_i32] = ACTIONS(1250),
    [anon_sym_int] = ACTIONS(1250),
    [anon_sym_i64] = ACTIONS(1250),
    [anon_sym_byte] = ACTIONS(1250),
    [anon_sym_u8] = ACTIONS(1250),
    [anon_sym_u16] = ACTIONS(1250),
    [anon_sym_u32] = ACTIONS(1250),
    [anon_sym_u64] = ACTIONS(1250),
    [anon_sym_f32] = ACTIONS(1250),
    [anon_sym_f64] = ACTIONS(1250),
    [anon_sym_bool] = ACTIONS(1250),
    [anon_sym_rune] = ACTIONS(1250),
    [anon_sym_map] = ACTIONS(1250),
    [anon_sym_mapnode] = ACTIONS(1250),
    [anon_sym_size_t] = ACTIONS(1250),
    [anon_sym_usize] = ACTIONS(1250),
    [anon_sym_isize] = ACTIONS(1250),
    [anon_sym_float_literal] = ACTIONS(1250),
    [anon_sym_int_literal] = ACTIONS(1250),
    [anon_sym_IError] = ACTIONS(1250),
    [sym_type_placeholder] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [sym_type_identifier] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_COLON_EQ] = ACTIONS(1248),
    [anon_sym_STAR_EQ] = ACTIONS(1248),
    [anon_sym_SLASH_EQ] = ACTIONS(1248),
    [anon_sym_PERCENT_EQ] = ACTIONS(1248),
    [anon_sym_LT_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT_GT_EQ] = ACTIONS(1248),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1248),
    [anon_sym_AMP_EQ] = ACTIONS(1248),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1248),
    [anon_sym_PLUS_EQ] = ACTIONS(1248),
    [anon_sym_DASH_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_EQ] = ACTIONS(1248),
    [anon_sym_CARET_EQ] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_assert] = ACTIONS(1250),
    [anon_sym_defer] = ACTIONS(1250),
    [anon_sym_unsafe] = ACTIONS(1250),
    [anon_sym_fn] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_go] = ACTIONS(1250),
    [anon_sym_spawn] = ACTIONS(1250),
    [anon_sym_goto] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_DOLLARfor] = ACTIONS(1248),
    [anon_sym_DOLLARif] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_BANGis] = ACTIONS(1248),
    [anon_sym_POUND] = ACTIONS(1248),
    [anon_sym_match] = ACTIONS(1250),
    [anon_sym_select] = ACTIONS(1250),
    [anon_sym_lock] = ACTIONS(1250),
    [anon_sym_rlock] = ACTIONS(1250),
    [sym__automatic_separator] = ACTIONS(1248),
    [sym__c_string_opening] = ACTIONS(1248),
    [sym__raw_string_opening] = ACTIONS(1248),
    [sym__string_opening] = ACTIONS(1248),
    [sym__comment] = ACTIONS(3),
  },
  [945] = {
    [sym_comment] = STATE(945),
    [sym_identifier] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_LT_DASH] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1254),
    [anon_sym_PERCENT] = ACTIONS(1254),
    [anon_sym_LT_LT] = ACTIONS(1254),
    [anon_sym_GT_GT] = ACTIONS(1254),
    [anon_sym_GT_GT_GT] = ACTIONS(1254),
    [anon_sym_AMP_CARET] = ACTIONS(1254),
    [anon_sym_PIPE] = ACTIONS(1254),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1254),
    [anon_sym_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1254),
    [anon_sym_GT_EQ] = ACTIONS(1252),
    [anon_sym_in] = ACTIONS(1254),
    [anon_sym_BANGin] = ACTIONS(1252),
    [anon_sym_AMP_AMP] = ACTIONS(1252),
    [anon_sym_PIPE_PIPE] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [sym_none] = ACTIONS(1254),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_map_LBRACK] = ACTIONS(1252),
    [anon_sym_chan] = ACTIONS(1254),
    [anon_sym_shared] = ACTIONS(1254),
    [anon_sym_thread] = ACTIONS(1254),
    [sym_int_literal] = ACTIONS(1254),
    [sym_float_literal] = ACTIONS(1252),
    [sym_rune_literal] = ACTIONS(1252),
    [anon_sym_DOT] = ACTIONS(1254),
    [anon_sym_array] = ACTIONS(1254),
    [anon_sym_string] = ACTIONS(1254),
    [anon_sym_char] = ACTIONS(1254),
    [anon_sym_sql] = ACTIONS(1254),
    [anon_sym_mut] = ACTIONS(1254),
    [anon_sym_C] = ACTIONS(1254),
    [anon_sym_JS] = ACTIONS(1254),
    [anon_sym_voidptr] = ACTIONS(1254),
    [anon_sym_byteptr] = ACTIONS(1254),
    [anon_sym_charptr] = ACTIONS(1254),
    [anon_sym_i8] = ACTIONS(1254),
    [anon_sym_i16] = ACTIONS(1254),
    [anon_sym_i32] = ACTIONS(1254),
    [anon_sym_int] = ACTIONS(1254),
    [anon_sym_i64] = ACTIONS(1254),
    [anon_sym_byte] = ACTIONS(1254),
    [anon_sym_u8] = ACTIONS(1254),
    [anon_sym_u16] = ACTIONS(1254),
    [anon_sym_u32] = ACTIONS(1254),
    [anon_sym_u64] = ACTIONS(1254),
    [anon_sym_f32] = ACTIONS(1254),
    [anon_sym_f64] = ACTIONS(1254),
    [anon_sym_bool] = ACTIONS(1254),
    [anon_sym_rune] = ACTIONS(1254),
    [anon_sym_map] = ACTIONS(1254),
    [anon_sym_mapnode] = ACTIONS(1254),
    [anon_sym_size_t] = ACTIONS(1254),
    [anon_sym_usize] = ACTIONS(1254),
    [anon_sym_isize] = ACTIONS(1254),
    [anon_sym_float_literal] = ACTIONS(1254),
    [anon_sym_int_literal] = ACTIONS(1254),
    [anon_sym_IError] = ACTIONS(1254),
    [sym_type_placeholder] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [sym_type_identifier] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_COLON_EQ] = ACTIONS(1252),
    [anon_sym_STAR_EQ] = ACTIONS(1252),
    [anon_sym_SLASH_EQ] = ACTIONS(1252),
    [anon_sym_PERCENT_EQ] = ACTIONS(1252),
    [anon_sym_LT_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT_GT_EQ] = ACTIONS(1252),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1252),
    [anon_sym_AMP_EQ] = ACTIONS(1252),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1252),
    [anon_sym_PLUS_EQ] = ACTIONS(1252),
    [anon_sym_DASH_EQ] = ACTIONS(1252),
    [anon_sym_PIPE_EQ] = ACTIONS(1252),
    [anon_sym_CARET_EQ] = ACTIONS(1252),
    [anon_sym_EQ] = ACTIONS(1254),
    [anon_sym_assert] = ACTIONS(1254),
    [anon_sym_defer] = ACTIONS(1254),
    [anon_sym_unsafe] = ACTIONS(1254),
    [anon_sym_fn] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1254),
    [anon_sym_break] = ACTIONS(1254),
    [anon_sym_continue] = ACTIONS(1254),
    [anon_sym_return] = ACTIONS(1254),
    [anon_sym_go] = ACTIONS(1254),
    [anon_sym_spawn] = ACTIONS(1254),
    [anon_sym_goto] = ACTIONS(1254),
    [anon_sym_for] = ACTIONS(1254),
    [anon_sym_DOLLARfor] = ACTIONS(1252),
    [anon_sym_DOLLARif] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_is] = ACTIONS(1254),
    [anon_sym_BANGis] = ACTIONS(1252),
    [anon_sym_POUND] = ACTIONS(1252),
    [anon_sym_match] = ACTIONS(1254),
    [anon_sym_select] = ACTIONS(1254),
    [anon_sym_lock] = ACTIONS(1254),
    [anon_sym_rlock] = ACTIONS(1254),
    [sym__automatic_separator] = ACTIONS(1252),
    [sym__c_string_opening] = ACTIONS(1252),
    [sym__raw_string_opening] = ACTIONS(1252),
    [sym__string_opening] = ACTIONS(1252),
    [sym__comment] = ACTIONS(3),
  },
  [946] = {
    [sym_comment] = STATE(946),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_LT_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_EQ_EQ] = ACTIONS(1372),
    [anon_sym_BANG_EQ] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1372),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_BANGin] = ACTIONS(1372),
    [anon_sym_AMP_AMP] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1372),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [sym_none] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_map_LBRACK] = ACTIONS(1372),
    [anon_sym_chan] = ACTIONS(1374),
    [anon_sym_shared] = ACTIONS(1374),
    [anon_sym_thread] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1372),
    [sym_rune_literal] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_array] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_char] = ACTIONS(1374),
    [anon_sym_sql] = ACTIONS(1374),
    [anon_sym_mut] = ACTIONS(1374),
    [anon_sym_C] = ACTIONS(1374),
    [anon_sym_JS] = ACTIONS(1374),
    [anon_sym_voidptr] = ACTIONS(1374),
    [anon_sym_byteptr] = ACTIONS(1374),
    [anon_sym_charptr] = ACTIONS(1374),
    [anon_sym_i8] = ACTIONS(1374),
    [anon_sym_i16] = ACTIONS(1374),
    [anon_sym_i32] = ACTIONS(1374),
    [anon_sym_int] = ACTIONS(1374),
    [anon_sym_i64] = ACTIONS(1374),
    [anon_sym_byte] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1374),
    [anon_sym_u16] = ACTIONS(1374),
    [anon_sym_u32] = ACTIONS(1374),
    [anon_sym_u64] = ACTIONS(1374),
    [anon_sym_f32] = ACTIONS(1374),
    [anon_sym_f64] = ACTIONS(1374),
    [anon_sym_bool] = ACTIONS(1374),
    [anon_sym_rune] = ACTIONS(1374),
    [anon_sym_map] = ACTIONS(1374),
    [anon_sym_mapnode] = ACTIONS(1374),
    [anon_sym_size_t] = ACTIONS(1374),
    [anon_sym_usize] = ACTIONS(1374),
    [anon_sym_isize] = ACTIONS(1374),
    [anon_sym_float_literal] = ACTIONS(1374),
    [anon_sym_int_literal] = ACTIONS(1374),
    [anon_sym_IError] = ACTIONS(1374),
    [sym_type_placeholder] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [sym_type_identifier] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_COLON_EQ] = ACTIONS(1372),
    [anon_sym_STAR_EQ] = ACTIONS(1372),
    [anon_sym_SLASH_EQ] = ACTIONS(1372),
    [anon_sym_PERCENT_EQ] = ACTIONS(1372),
    [anon_sym_LT_LT_EQ] = ACTIONS(1372),
    [anon_sym_GT_GT_EQ] = ACTIONS(1372),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1372),
    [anon_sym_AMP_EQ] = ACTIONS(1372),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1372),
    [anon_sym_PLUS_EQ] = ACTIONS(1372),
    [anon_sym_DASH_EQ] = ACTIONS(1372),
    [anon_sym_PIPE_EQ] = ACTIONS(1372),
    [anon_sym_CARET_EQ] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_assert] = ACTIONS(1374),
    [anon_sym_defer] = ACTIONS(1374),
    [anon_sym_unsafe] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_go] = ACTIONS(1374),
    [anon_sym_spawn] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_DOLLARfor] = ACTIONS(1372),
    [anon_sym_DOLLARif] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_is] = ACTIONS(1374),
    [anon_sym_BANGis] = ACTIONS(1372),
    [anon_sym_POUND] = ACTIONS(1372),
    [anon_sym_match] = ACTIONS(1374),
    [anon_sym_select] = ACTIONS(1374),
    [anon_sym_lock] = ACTIONS(1374),
    [anon_sym_rlock] = ACTIONS(1374),
    [sym__automatic_separator] = ACTIONS(1372),
    [sym__c_string_opening] = ACTIONS(1372),
    [sym__raw_string_opening] = ACTIONS(1372),
    [sym__string_opening] = ACTIONS(1372),
    [sym__comment] = ACTIONS(3),
  },
  [947] = {
    [sym_comment] = STATE(947),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_PERCENT] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_GT_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_in] = ACTIONS(1470),
    [anon_sym_BANGin] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_as] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [sym_none] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_map_LBRACK] = ACTIONS(1468),
    [anon_sym_chan] = ACTIONS(1470),
    [anon_sym_shared] = ACTIONS(1470),
    [anon_sym_thread] = ACTIONS(1470),
    [sym_int_literal] = ACTIONS(1470),
    [sym_float_literal] = ACTIONS(1468),
    [sym_rune_literal] = ACTIONS(1468),
    [anon_sym_DOT] = ACTIONS(1470),
    [anon_sym_array] = ACTIONS(1470),
    [anon_sym_string] = ACTIONS(1470),
    [anon_sym_char] = ACTIONS(1470),
    [anon_sym_sql] = ACTIONS(1470),
    [anon_sym_mut] = ACTIONS(1470),
    [anon_sym_C] = ACTIONS(1470),
    [anon_sym_JS] = ACTIONS(1470),
    [anon_sym_voidptr] = ACTIONS(1470),
    [anon_sym_byteptr] = ACTIONS(1470),
    [anon_sym_charptr] = ACTIONS(1470),
    [anon_sym_i8] = ACTIONS(1470),
    [anon_sym_i16] = ACTIONS(1470),
    [anon_sym_i32] = ACTIONS(1470),
    [anon_sym_int] = ACTIONS(1470),
    [anon_sym_i64] = ACTIONS(1470),
    [anon_sym_byte] = ACTIONS(1470),
    [anon_sym_u8] = ACTIONS(1470),
    [anon_sym_u16] = ACTIONS(1470),
    [anon_sym_u32] = ACTIONS(1470),
    [anon_sym_u64] = ACTIONS(1470),
    [anon_sym_f32] = ACTIONS(1470),
    [anon_sym_f64] = ACTIONS(1470),
    [anon_sym_bool] = ACTIONS(1470),
    [anon_sym_rune] = ACTIONS(1470),
    [anon_sym_map] = ACTIONS(1470),
    [anon_sym_mapnode] = ACTIONS(1470),
    [anon_sym_size_t] = ACTIONS(1470),
    [anon_sym_usize] = ACTIONS(1470),
    [anon_sym_isize] = ACTIONS(1470),
    [anon_sym_float_literal] = ACTIONS(1470),
    [anon_sym_int_literal] = ACTIONS(1470),
    [anon_sym_IError] = ACTIONS(1470),
    [sym_type_placeholder] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym_type_identifier] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_STAR_EQ] = ACTIONS(1468),
    [anon_sym_SLASH_EQ] = ACTIONS(1468),
    [anon_sym_PERCENT_EQ] = ACTIONS(1468),
    [anon_sym_LT_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT_GT_EQ] = ACTIONS(1468),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1468),
    [anon_sym_AMP_EQ] = ACTIONS(1468),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1468),
    [anon_sym_PLUS_EQ] = ACTIONS(1468),
    [anon_sym_DASH_EQ] = ACTIONS(1468),
    [anon_sym_PIPE_EQ] = ACTIONS(1468),
    [anon_sym_CARET_EQ] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_assert] = ACTIONS(1470),
    [anon_sym_defer] = ACTIONS(1470),
    [anon_sym_unsafe] = ACTIONS(1470),
    [anon_sym_fn] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_go] = ACTIONS(1470),
    [anon_sym_spawn] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_DOLLARfor] = ACTIONS(1468),
    [anon_sym_DOLLARif] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_is] = ACTIONS(1470),
    [anon_sym_BANGis] = ACTIONS(1468),
    [anon_sym_POUND] = ACTIONS(1468),
    [anon_sym_match] = ACTIONS(1470),
    [anon_sym_select] = ACTIONS(1470),
    [anon_sym_lock] = ACTIONS(1470),
    [anon_sym_rlock] = ACTIONS(1470),
    [sym__automatic_separator] = ACTIONS(1468),
    [sym__c_string_opening] = ACTIONS(1468),
    [sym__raw_string_opening] = ACTIONS(1468),
    [sym__string_opening] = ACTIONS(1468),
    [sym__comment] = ACTIONS(3),
  },
  [948] = {
    [sym_comment] = STATE(948),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_LT_DASH] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_PERCENT] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_GT_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1438),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_in] = ACTIONS(1438),
    [anon_sym_BANGin] = ACTIONS(1436),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_as] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [sym_none] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_map_LBRACK] = ACTIONS(1436),
    [anon_sym_chan] = ACTIONS(1438),
    [anon_sym_shared] = ACTIONS(1438),
    [anon_sym_thread] = ACTIONS(1438),
    [sym_int_literal] = ACTIONS(1438),
    [sym_float_literal] = ACTIONS(1436),
    [sym_rune_literal] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1438),
    [anon_sym_array] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_char] = ACTIONS(1438),
    [anon_sym_sql] = ACTIONS(1438),
    [anon_sym_mut] = ACTIONS(1438),
    [anon_sym_C] = ACTIONS(1438),
    [anon_sym_JS] = ACTIONS(1438),
    [anon_sym_voidptr] = ACTIONS(1438),
    [anon_sym_byteptr] = ACTIONS(1438),
    [anon_sym_charptr] = ACTIONS(1438),
    [anon_sym_i8] = ACTIONS(1438),
    [anon_sym_i16] = ACTIONS(1438),
    [anon_sym_i32] = ACTIONS(1438),
    [anon_sym_int] = ACTIONS(1438),
    [anon_sym_i64] = ACTIONS(1438),
    [anon_sym_byte] = ACTIONS(1438),
    [anon_sym_u8] = ACTIONS(1438),
    [anon_sym_u16] = ACTIONS(1438),
    [anon_sym_u32] = ACTIONS(1438),
    [anon_sym_u64] = ACTIONS(1438),
    [anon_sym_f32] = ACTIONS(1438),
    [anon_sym_f64] = ACTIONS(1438),
    [anon_sym_bool] = ACTIONS(1438),
    [anon_sym_rune] = ACTIONS(1438),
    [anon_sym_map] = ACTIONS(1438),
    [anon_sym_mapnode] = ACTIONS(1438),
    [anon_sym_size_t] = ACTIONS(1438),
    [anon_sym_usize] = ACTIONS(1438),
    [anon_sym_isize] = ACTIONS(1438),
    [anon_sym_float_literal] = ACTIONS(1438),
    [anon_sym_int_literal] = ACTIONS(1438),
    [anon_sym_IError] = ACTIONS(1438),
    [sym_type_placeholder] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [sym_type_identifier] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_COLON_EQ] = ACTIONS(1436),
    [anon_sym_STAR_EQ] = ACTIONS(1436),
    [anon_sym_SLASH_EQ] = ACTIONS(1436),
    [anon_sym_PERCENT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_GT_EQ] = ACTIONS(1436),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1436),
    [anon_sym_AMP_EQ] = ACTIONS(1436),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1436),
    [anon_sym_PLUS_EQ] = ACTIONS(1436),
    [anon_sym_DASH_EQ] = ACTIONS(1436),
    [anon_sym_PIPE_EQ] = ACTIONS(1436),
    [anon_sym_CARET_EQ] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1438),
    [anon_sym_assert] = ACTIONS(1438),
    [anon_sym_defer] = ACTIONS(1438),
    [anon_sym_unsafe] = ACTIONS(1438),
    [anon_sym_fn] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_go] = ACTIONS(1438),
    [anon_sym_spawn] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_DOLLARfor] = ACTIONS(1436),
    [anon_sym_DOLLARif] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_is] = ACTIONS(1438),
    [anon_sym_BANGis] = ACTIONS(1436),
    [anon_sym_POUND] = ACTIONS(1436),
    [anon_sym_match] = ACTIONS(1438),
    [anon_sym_select] = ACTIONS(1438),
    [anon_sym_lock] = ACTIONS(1438),
    [anon_sym_rlock] = ACTIONS(1438),
    [sym__automatic_separator] = ACTIONS(1436),
    [sym__c_string_opening] = ACTIONS(1436),
    [sym__raw_string_opening] = ACTIONS(1436),
    [sym__string_opening] = ACTIONS(1436),
    [sym__comment] = ACTIONS(3),
  },
  [949] = {
    [sym_comment] = STATE(949),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_LT_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_GT_GT_GT] = ACTIONS(1284),
    [anon_sym_AMP_CARET] = ACTIONS(1284),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1282),
    [anon_sym_BANG_EQ] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_BANGin] = ACTIONS(1282),
    [anon_sym_AMP_AMP] = ACTIONS(1282),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_as] = ACTIONS(1284),
    [anon_sym_COMMA] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym_none] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_map_LBRACK] = ACTIONS(1282),
    [anon_sym_chan] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_thread] = ACTIONS(1284),
    [sym_int_literal] = ACTIONS(1284),
    [sym_float_literal] = ACTIONS(1282),
    [sym_rune_literal] = ACTIONS(1282),
    [anon_sym_DOT] = ACTIONS(1284),
    [anon_sym_array] = ACTIONS(1284),
    [anon_sym_string] = ACTIONS(1284),
    [anon_sym_char] = ACTIONS(1284),
    [anon_sym_sql] = ACTIONS(1284),
    [anon_sym_mut] = ACTIONS(1284),
    [anon_sym_C] = ACTIONS(1284),
    [anon_sym_JS] = ACTIONS(1284),
    [anon_sym_voidptr] = ACTIONS(1284),
    [anon_sym_byteptr] = ACTIONS(1284),
    [anon_sym_charptr] = ACTIONS(1284),
    [anon_sym_i8] = ACTIONS(1284),
    [anon_sym_i16] = ACTIONS(1284),
    [anon_sym_i32] = ACTIONS(1284),
    [anon_sym_int] = ACTIONS(1284),
    [anon_sym_i64] = ACTIONS(1284),
    [anon_sym_byte] = ACTIONS(1284),
    [anon_sym_u8] = ACTIONS(1284),
    [anon_sym_u16] = ACTIONS(1284),
    [anon_sym_u32] = ACTIONS(1284),
    [anon_sym_u64] = ACTIONS(1284),
    [anon_sym_f32] = ACTIONS(1284),
    [anon_sym_f64] = ACTIONS(1284),
    [anon_sym_bool] = ACTIONS(1284),
    [anon_sym_rune] = ACTIONS(1284),
    [anon_sym_map] = ACTIONS(1284),
    [anon_sym_mapnode] = ACTIONS(1284),
    [anon_sym_size_t] = ACTIONS(1284),
    [anon_sym_usize] = ACTIONS(1284),
    [anon_sym_isize] = ACTIONS(1284),
    [anon_sym_float_literal] = ACTIONS(1284),
    [anon_sym_int_literal] = ACTIONS(1284),
    [anon_sym_IError] = ACTIONS(1284),
    [sym_type_placeholder] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [sym_type_identifier] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_COLON_EQ] = ACTIONS(1282),
    [anon_sym_STAR_EQ] = ACTIONS(1282),
    [anon_sym_SLASH_EQ] = ACTIONS(1282),
    [anon_sym_PERCENT_EQ] = ACTIONS(1282),
    [anon_sym_LT_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT_GT_EQ] = ACTIONS(1282),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1282),
    [anon_sym_AMP_EQ] = ACTIONS(1282),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1282),
    [anon_sym_PLUS_EQ] = ACTIONS(1282),
    [anon_sym_DASH_EQ] = ACTIONS(1282),
    [anon_sym_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_CARET_EQ] = ACTIONS(1282),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_assert] = ACTIONS(1284),
    [anon_sym_defer] = ACTIONS(1284),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_fn] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_go] = ACTIONS(1284),
    [anon_sym_spawn] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_DOLLARfor] = ACTIONS(1282),
    [anon_sym_DOLLARif] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_is] = ACTIONS(1284),
    [anon_sym_BANGis] = ACTIONS(1282),
    [anon_sym_POUND] = ACTIONS(1282),
    [anon_sym_match] = ACTIONS(1284),
    [anon_sym_select] = ACTIONS(1284),
    [anon_sym_lock] = ACTIONS(1284),
    [anon_sym_rlock] = ACTIONS(1284),
    [sym__automatic_separator] = ACTIONS(1282),
    [sym__c_string_opening] = ACTIONS(1282),
    [sym__raw_string_opening] = ACTIONS(1282),
    [sym__string_opening] = ACTIONS(1282),
    [sym__comment] = ACTIONS(3),
  },
  [950] = {
    [sym_comment] = STATE(950),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [951] = {
    [sym_comment] = STATE(951),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_GT_GT_GT] = ACTIONS(3214),
    [anon_sym_AMP_CARET] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_in] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_COLON_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3236),
    [anon_sym_BANGis] = ACTIONS(3238),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [952] = {
    [sym_comment] = STATE(952),
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_LT_DASH] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1600),
    [anon_sym_LT_LT] = ACTIONS(1600),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_GT_GT_GT] = ACTIONS(1600),
    [anon_sym_AMP_CARET] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_BANGin] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_as] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [sym_none] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_map_LBRACK] = ACTIONS(1598),
    [anon_sym_chan] = ACTIONS(1600),
    [anon_sym_shared] = ACTIONS(1600),
    [anon_sym_thread] = ACTIONS(1600),
    [sym_int_literal] = ACTIONS(1600),
    [sym_float_literal] = ACTIONS(1598),
    [sym_rune_literal] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_array] = ACTIONS(1600),
    [anon_sym_string] = ACTIONS(1600),
    [anon_sym_char] = ACTIONS(1600),
    [anon_sym_sql] = ACTIONS(1600),
    [anon_sym_mut] = ACTIONS(1600),
    [anon_sym_C] = ACTIONS(1600),
    [anon_sym_JS] = ACTIONS(1600),
    [anon_sym_voidptr] = ACTIONS(1600),
    [anon_sym_byteptr] = ACTIONS(1600),
    [anon_sym_charptr] = ACTIONS(1600),
    [anon_sym_i8] = ACTIONS(1600),
    [anon_sym_i16] = ACTIONS(1600),
    [anon_sym_i32] = ACTIONS(1600),
    [anon_sym_int] = ACTIONS(1600),
    [anon_sym_i64] = ACTIONS(1600),
    [anon_sym_byte] = ACTIONS(1600),
    [anon_sym_u8] = ACTIONS(1600),
    [anon_sym_u16] = ACTIONS(1600),
    [anon_sym_u32] = ACTIONS(1600),
    [anon_sym_u64] = ACTIONS(1600),
    [anon_sym_f32] = ACTIONS(1600),
    [anon_sym_f64] = ACTIONS(1600),
    [anon_sym_bool] = ACTIONS(1600),
    [anon_sym_rune] = ACTIONS(1600),
    [anon_sym_map] = ACTIONS(1600),
    [anon_sym_mapnode] = ACTIONS(1600),
    [anon_sym_size_t] = ACTIONS(1600),
    [anon_sym_usize] = ACTIONS(1600),
    [anon_sym_isize] = ACTIONS(1600),
    [anon_sym_float_literal] = ACTIONS(1600),
    [anon_sym_int_literal] = ACTIONS(1600),
    [anon_sym_IError] = ACTIONS(1600),
    [sym_type_placeholder] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [sym_type_identifier] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [anon_sym_COLON_EQ] = ACTIONS(1598),
    [anon_sym_STAR_EQ] = ACTIONS(1598),
    [anon_sym_SLASH_EQ] = ACTIONS(1598),
    [anon_sym_PERCENT_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT_GT_EQ] = ACTIONS(1598),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1598),
    [anon_sym_AMP_EQ] = ACTIONS(1598),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1598),
    [anon_sym_PLUS_EQ] = ACTIONS(1598),
    [anon_sym_DASH_EQ] = ACTIONS(1598),
    [anon_sym_PIPE_EQ] = ACTIONS(1598),
    [anon_sym_CARET_EQ] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1600),
    [anon_sym_assert] = ACTIONS(1600),
    [anon_sym_defer] = ACTIONS(1600),
    [anon_sym_unsafe] = ACTIONS(1600),
    [anon_sym_fn] = ACTIONS(1600),
    [anon_sym_asm] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_go] = ACTIONS(1600),
    [anon_sym_spawn] = ACTIONS(1600),
    [anon_sym_goto] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_DOLLARfor] = ACTIONS(1598),
    [anon_sym_DOLLARif] = ACTIONS(1598),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_is] = ACTIONS(1600),
    [anon_sym_BANGis] = ACTIONS(1598),
    [anon_sym_POUND] = ACTIONS(1598),
    [anon_sym_match] = ACTIONS(1600),
    [anon_sym_select] = ACTIONS(1600),
    [anon_sym_lock] = ACTIONS(1600),
    [anon_sym_rlock] = ACTIONS(1600),
    [sym__automatic_separator] = ACTIONS(1598),
    [sym__c_string_opening] = ACTIONS(1598),
    [sym__raw_string_opening] = ACTIONS(1598),
    [sym__string_opening] = ACTIONS(1598),
    [sym__comment] = ACTIONS(3),
  },
  [953] = {
    [sym_comment] = STATE(953),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_LT_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1396),
    [anon_sym_LT_LT] = ACTIONS(1396),
    [anon_sym_GT_GT] = ACTIONS(1396),
    [anon_sym_GT_GT_GT] = ACTIONS(1396),
    [anon_sym_AMP_CARET] = ACTIONS(1396),
    [anon_sym_PIPE] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT] = ACTIONS(1396),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_BANGin] = ACTIONS(1394),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_as] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [sym_none] = ACTIONS(1396),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_map_LBRACK] = ACTIONS(1394),
    [anon_sym_chan] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_thread] = ACTIONS(1396),
    [sym_int_literal] = ACTIONS(1396),
    [sym_float_literal] = ACTIONS(1394),
    [sym_rune_literal] = ACTIONS(1394),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_array] = ACTIONS(1396),
    [anon_sym_string] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_sql] = ACTIONS(1396),
    [anon_sym_mut] = ACTIONS(1396),
    [anon_sym_C] = ACTIONS(1396),
    [anon_sym_JS] = ACTIONS(1396),
    [anon_sym_voidptr] = ACTIONS(1396),
    [anon_sym_byteptr] = ACTIONS(1396),
    [anon_sym_charptr] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_int] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_byte] = ACTIONS(1396),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_rune] = ACTIONS(1396),
    [anon_sym_map] = ACTIONS(1396),
    [anon_sym_mapnode] = ACTIONS(1396),
    [anon_sym_size_t] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_float_literal] = ACTIONS(1396),
    [anon_sym_int_literal] = ACTIONS(1396),
    [anon_sym_IError] = ACTIONS(1396),
    [sym_type_placeholder] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [sym_type_identifier] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_COLON_EQ] = ACTIONS(1394),
    [anon_sym_STAR_EQ] = ACTIONS(1394),
    [anon_sym_SLASH_EQ] = ACTIONS(1394),
    [anon_sym_PERCENT_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT_GT_EQ] = ACTIONS(1394),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1394),
    [anon_sym_AMP_EQ] = ACTIONS(1394),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1394),
    [anon_sym_PLUS_EQ] = ACTIONS(1394),
    [anon_sym_DASH_EQ] = ACTIONS(1394),
    [anon_sym_PIPE_EQ] = ACTIONS(1394),
    [anon_sym_CARET_EQ] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1396),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_defer] = ACTIONS(1396),
    [anon_sym_unsafe] = ACTIONS(1396),
    [anon_sym_fn] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_go] = ACTIONS(1396),
    [anon_sym_spawn] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_DOLLARfor] = ACTIONS(1394),
    [anon_sym_DOLLARif] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_is] = ACTIONS(1396),
    [anon_sym_BANGis] = ACTIONS(1394),
    [anon_sym_POUND] = ACTIONS(1394),
    [anon_sym_match] = ACTIONS(1396),
    [anon_sym_select] = ACTIONS(1396),
    [anon_sym_lock] = ACTIONS(1396),
    [anon_sym_rlock] = ACTIONS(1396),
    [sym__automatic_separator] = ACTIONS(1394),
    [sym__c_string_opening] = ACTIONS(1394),
    [sym__raw_string_opening] = ACTIONS(1394),
    [sym__string_opening] = ACTIONS(1394),
    [sym__comment] = ACTIONS(3),
  },
  [954] = {
    [sym_comment] = STATE(954),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1198),
    [anon_sym_AMP_CARET] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_COLON_EQ] = ACTIONS(1196),
    [anon_sym_STAR_EQ] = ACTIONS(1196),
    [anon_sym_SLASH_EQ] = ACTIONS(1196),
    [anon_sym_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_LT_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_AMP_EQ] = ACTIONS(1196),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1196),
    [anon_sym_DASH_EQ] = ACTIONS(1196),
    [anon_sym_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_CARET_EQ] = ACTIONS(1196),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [955] = {
    [sym_comment] = STATE(955),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_LT_DASH] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_BANGin] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_none] = ACTIONS(1524),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_map_LBRACK] = ACTIONS(1522),
    [anon_sym_chan] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_thread] = ACTIONS(1524),
    [sym_int_literal] = ACTIONS(1524),
    [sym_float_literal] = ACTIONS(1522),
    [sym_rune_literal] = ACTIONS(1522),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_array] = ACTIONS(1524),
    [anon_sym_string] = ACTIONS(1524),
    [anon_sym_char] = ACTIONS(1524),
    [anon_sym_sql] = ACTIONS(1524),
    [anon_sym_mut] = ACTIONS(1524),
    [anon_sym_C] = ACTIONS(1524),
    [anon_sym_JS] = ACTIONS(1524),
    [anon_sym_voidptr] = ACTIONS(1524),
    [anon_sym_byteptr] = ACTIONS(1524),
    [anon_sym_charptr] = ACTIONS(1524),
    [anon_sym_i8] = ACTIONS(1524),
    [anon_sym_i16] = ACTIONS(1524),
    [anon_sym_i32] = ACTIONS(1524),
    [anon_sym_int] = ACTIONS(1524),
    [anon_sym_i64] = ACTIONS(1524),
    [anon_sym_byte] = ACTIONS(1524),
    [anon_sym_u8] = ACTIONS(1524),
    [anon_sym_u16] = ACTIONS(1524),
    [anon_sym_u32] = ACTIONS(1524),
    [anon_sym_u64] = ACTIONS(1524),
    [anon_sym_f32] = ACTIONS(1524),
    [anon_sym_f64] = ACTIONS(1524),
    [anon_sym_bool] = ACTIONS(1524),
    [anon_sym_rune] = ACTIONS(1524),
    [anon_sym_map] = ACTIONS(1524),
    [anon_sym_mapnode] = ACTIONS(1524),
    [anon_sym_size_t] = ACTIONS(1524),
    [anon_sym_usize] = ACTIONS(1524),
    [anon_sym_isize] = ACTIONS(1524),
    [anon_sym_float_literal] = ACTIONS(1524),
    [anon_sym_int_literal] = ACTIONS(1524),
    [anon_sym_IError] = ACTIONS(1524),
    [sym_type_placeholder] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [sym_type_identifier] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_COLON_EQ] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_EQ] = ACTIONS(1524),
    [anon_sym_assert] = ACTIONS(1524),
    [anon_sym_defer] = ACTIONS(1524),
    [anon_sym_unsafe] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym_asm] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_go] = ACTIONS(1524),
    [anon_sym_spawn] = ACTIONS(1524),
    [anon_sym_goto] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_DOLLARfor] = ACTIONS(1522),
    [anon_sym_DOLLARif] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_is] = ACTIONS(1524),
    [anon_sym_BANGis] = ACTIONS(1522),
    [anon_sym_POUND] = ACTIONS(1522),
    [anon_sym_match] = ACTIONS(1524),
    [anon_sym_select] = ACTIONS(1524),
    [anon_sym_lock] = ACTIONS(1524),
    [anon_sym_rlock] = ACTIONS(1524),
    [sym__automatic_separator] = ACTIONS(1522),
    [sym__c_string_opening] = ACTIONS(1522),
    [sym__raw_string_opening] = ACTIONS(1522),
    [sym__string_opening] = ACTIONS(1522),
    [sym__comment] = ACTIONS(3),
  },
  [956] = {
    [sym_comment] = STATE(956),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_LT_DASH] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PERCENT] = ACTIONS(1412),
    [anon_sym_LT_LT] = ACTIONS(1412),
    [anon_sym_GT_GT] = ACTIONS(1412),
    [anon_sym_GT_GT_GT] = ACTIONS(1412),
    [anon_sym_AMP_CARET] = ACTIONS(1412),
    [anon_sym_PIPE] = ACTIONS(1412),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1412),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_BANGin] = ACTIONS(1410),
    [anon_sym_AMP_AMP] = ACTIONS(1410),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_as] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [sym_none] = ACTIONS(1412),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_map_LBRACK] = ACTIONS(1410),
    [anon_sym_chan] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_thread] = ACTIONS(1412),
    [sym_int_literal] = ACTIONS(1412),
    [sym_float_literal] = ACTIONS(1410),
    [sym_rune_literal] = ACTIONS(1410),
    [anon_sym_DOT] = ACTIONS(1412),
    [anon_sym_array] = ACTIONS(1412),
    [anon_sym_string] = ACTIONS(1412),
    [anon_sym_char] = ACTIONS(1412),
    [anon_sym_sql] = ACTIONS(1412),
    [anon_sym_mut] = ACTIONS(1412),
    [anon_sym_C] = ACTIONS(1412),
    [anon_sym_JS] = ACTIONS(1412),
    [anon_sym_voidptr] = ACTIONS(1412),
    [anon_sym_byteptr] = ACTIONS(1412),
    [anon_sym_charptr] = ACTIONS(1412),
    [anon_sym_i8] = ACTIONS(1412),
    [anon_sym_i16] = ACTIONS(1412),
    [anon_sym_i32] = ACTIONS(1412),
    [anon_sym_int] = ACTIONS(1412),
    [anon_sym_i64] = ACTIONS(1412),
    [anon_sym_byte] = ACTIONS(1412),
    [anon_sym_u8] = ACTIONS(1412),
    [anon_sym_u16] = ACTIONS(1412),
    [anon_sym_u32] = ACTIONS(1412),
    [anon_sym_u64] = ACTIONS(1412),
    [anon_sym_f32] = ACTIONS(1412),
    [anon_sym_f64] = ACTIONS(1412),
    [anon_sym_bool] = ACTIONS(1412),
    [anon_sym_rune] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1412),
    [anon_sym_mapnode] = ACTIONS(1412),
    [anon_sym_size_t] = ACTIONS(1412),
    [anon_sym_usize] = ACTIONS(1412),
    [anon_sym_isize] = ACTIONS(1412),
    [anon_sym_float_literal] = ACTIONS(1412),
    [anon_sym_int_literal] = ACTIONS(1412),
    [anon_sym_IError] = ACTIONS(1412),
    [sym_type_placeholder] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [sym_type_identifier] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_COLON_EQ] = ACTIONS(1410),
    [anon_sym_STAR_EQ] = ACTIONS(1410),
    [anon_sym_SLASH_EQ] = ACTIONS(1410),
    [anon_sym_PERCENT_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT_EQ] = ACTIONS(1410),
    [anon_sym_GT_GT_EQ] = ACTIONS(1410),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1410),
    [anon_sym_AMP_EQ] = ACTIONS(1410),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1410),
    [anon_sym_DASH_EQ] = ACTIONS(1410),
    [anon_sym_PIPE_EQ] = ACTIONS(1410),
    [anon_sym_CARET_EQ] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1412),
    [anon_sym_assert] = ACTIONS(1412),
    [anon_sym_defer] = ACTIONS(1412),
    [anon_sym_unsafe] = ACTIONS(1412),
    [anon_sym_fn] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_go] = ACTIONS(1412),
    [anon_sym_spawn] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_DOLLARfor] = ACTIONS(1410),
    [anon_sym_DOLLARif] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_is] = ACTIONS(1412),
    [anon_sym_BANGis] = ACTIONS(1410),
    [anon_sym_POUND] = ACTIONS(1410),
    [anon_sym_match] = ACTIONS(1412),
    [anon_sym_select] = ACTIONS(1412),
    [anon_sym_lock] = ACTIONS(1412),
    [anon_sym_rlock] = ACTIONS(1412),
    [sym__automatic_separator] = ACTIONS(1410),
    [sym__c_string_opening] = ACTIONS(1410),
    [sym__raw_string_opening] = ACTIONS(1410),
    [sym__string_opening] = ACTIONS(1410),
    [sym__comment] = ACTIONS(3),
  },
  [957] = {
    [sym_comment] = STATE(957),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_LT_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1388),
    [anon_sym_LT_LT] = ACTIONS(1388),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_GT_GT_GT] = ACTIONS(1388),
    [anon_sym_AMP_CARET] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_BANGin] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_as] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [sym_none] = ACTIONS(1388),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_map_LBRACK] = ACTIONS(1386),
    [anon_sym_chan] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_thread] = ACTIONS(1388),
    [sym_int_literal] = ACTIONS(1388),
    [sym_float_literal] = ACTIONS(1386),
    [sym_rune_literal] = ACTIONS(1386),
    [anon_sym_DOT] = ACTIONS(1388),
    [anon_sym_array] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_char] = ACTIONS(1388),
    [anon_sym_sql] = ACTIONS(1388),
    [anon_sym_mut] = ACTIONS(1388),
    [anon_sym_C] = ACTIONS(1388),
    [anon_sym_JS] = ACTIONS(1388),
    [anon_sym_voidptr] = ACTIONS(1388),
    [anon_sym_byteptr] = ACTIONS(1388),
    [anon_sym_charptr] = ACTIONS(1388),
    [anon_sym_i8] = ACTIONS(1388),
    [anon_sym_i16] = ACTIONS(1388),
    [anon_sym_i32] = ACTIONS(1388),
    [anon_sym_int] = ACTIONS(1388),
    [anon_sym_i64] = ACTIONS(1388),
    [anon_sym_byte] = ACTIONS(1388),
    [anon_sym_u8] = ACTIONS(1388),
    [anon_sym_u16] = ACTIONS(1388),
    [anon_sym_u32] = ACTIONS(1388),
    [anon_sym_u64] = ACTIONS(1388),
    [anon_sym_f32] = ACTIONS(1388),
    [anon_sym_f64] = ACTIONS(1388),
    [anon_sym_bool] = ACTIONS(1388),
    [anon_sym_rune] = ACTIONS(1388),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_mapnode] = ACTIONS(1388),
    [anon_sym_size_t] = ACTIONS(1388),
    [anon_sym_usize] = ACTIONS(1388),
    [anon_sym_isize] = ACTIONS(1388),
    [anon_sym_float_literal] = ACTIONS(1388),
    [anon_sym_int_literal] = ACTIONS(1388),
    [anon_sym_IError] = ACTIONS(1388),
    [sym_type_placeholder] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [sym_type_identifier] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_COLON_EQ] = ACTIONS(1386),
    [anon_sym_STAR_EQ] = ACTIONS(1386),
    [anon_sym_SLASH_EQ] = ACTIONS(1386),
    [anon_sym_PERCENT_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT_GT_EQ] = ACTIONS(1386),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_EQ] = ACTIONS(1386),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1386),
    [anon_sym_PLUS_EQ] = ACTIONS(1386),
    [anon_sym_DASH_EQ] = ACTIONS(1386),
    [anon_sym_PIPE_EQ] = ACTIONS(1386),
    [anon_sym_CARET_EQ] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1388),
    [anon_sym_assert] = ACTIONS(1388),
    [anon_sym_defer] = ACTIONS(1388),
    [anon_sym_unsafe] = ACTIONS(1388),
    [anon_sym_fn] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_go] = ACTIONS(1388),
    [anon_sym_spawn] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_DOLLARfor] = ACTIONS(1386),
    [anon_sym_DOLLARif] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_is] = ACTIONS(1388),
    [anon_sym_BANGis] = ACTIONS(1386),
    [anon_sym_POUND] = ACTIONS(1386),
    [anon_sym_match] = ACTIONS(1388),
    [anon_sym_select] = ACTIONS(1388),
    [anon_sym_lock] = ACTIONS(1388),
    [anon_sym_rlock] = ACTIONS(1388),
    [sym__automatic_separator] = ACTIONS(1386),
    [sym__c_string_opening] = ACTIONS(1386),
    [sym__raw_string_opening] = ACTIONS(1386),
    [sym__string_opening] = ACTIONS(1386),
    [sym__comment] = ACTIONS(3),
  },
  [958] = {
    [sym_comment] = STATE(958),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_CARET] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_LT_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1358),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_GT_GT_GT] = ACTIONS(1358),
    [anon_sym_AMP_CARET] = ACTIONS(1358),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_in] = ACTIONS(1358),
    [anon_sym_BANGin] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [sym_none] = ACTIONS(1358),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_map_LBRACK] = ACTIONS(1356),
    [anon_sym_chan] = ACTIONS(1358),
    [anon_sym_shared] = ACTIONS(1358),
    [anon_sym_thread] = ACTIONS(1358),
    [sym_int_literal] = ACTIONS(1358),
    [sym_float_literal] = ACTIONS(1356),
    [sym_rune_literal] = ACTIONS(1356),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_array] = ACTIONS(1358),
    [anon_sym_string] = ACTIONS(1358),
    [anon_sym_char] = ACTIONS(1358),
    [anon_sym_sql] = ACTIONS(1358),
    [anon_sym_mut] = ACTIONS(1358),
    [anon_sym_C] = ACTIONS(1358),
    [anon_sym_JS] = ACTIONS(1358),
    [anon_sym_voidptr] = ACTIONS(1358),
    [anon_sym_byteptr] = ACTIONS(1358),
    [anon_sym_charptr] = ACTIONS(1358),
    [anon_sym_i8] = ACTIONS(1358),
    [anon_sym_i16] = ACTIONS(1358),
    [anon_sym_i32] = ACTIONS(1358),
    [anon_sym_int] = ACTIONS(1358),
    [anon_sym_i64] = ACTIONS(1358),
    [anon_sym_byte] = ACTIONS(1358),
    [anon_sym_u8] = ACTIONS(1358),
    [anon_sym_u16] = ACTIONS(1358),
    [anon_sym_u32] = ACTIONS(1358),
    [anon_sym_u64] = ACTIONS(1358),
    [anon_sym_f32] = ACTIONS(1358),
    [anon_sym_f64] = ACTIONS(1358),
    [anon_sym_bool] = ACTIONS(1358),
    [anon_sym_rune] = ACTIONS(1358),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_mapnode] = ACTIONS(1358),
    [anon_sym_size_t] = ACTIONS(1358),
    [anon_sym_usize] = ACTIONS(1358),
    [anon_sym_isize] = ACTIONS(1358),
    [anon_sym_float_literal] = ACTIONS(1358),
    [anon_sym_int_literal] = ACTIONS(1358),
    [anon_sym_IError] = ACTIONS(1358),
    [sym_type_placeholder] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [sym_type_identifier] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_COLON_EQ] = ACTIONS(1356),
    [anon_sym_STAR_EQ] = ACTIONS(1356),
    [anon_sym_SLASH_EQ] = ACTIONS(1356),
    [anon_sym_PERCENT_EQ] = ACTIONS(1356),
    [anon_sym_LT_LT_EQ] = ACTIONS(1356),
    [anon_sym_GT_GT_EQ] = ACTIONS(1356),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1356),
    [anon_sym_AMP_EQ] = ACTIONS(1356),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1356),
    [anon_sym_PLUS_EQ] = ACTIONS(1356),
    [anon_sym_DASH_EQ] = ACTIONS(1356),
    [anon_sym_PIPE_EQ] = ACTIONS(1356),
    [anon_sym_CARET_EQ] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_assert] = ACTIONS(1358),
    [anon_sym_defer] = ACTIONS(1358),
    [anon_sym_unsafe] = ACTIONS(1358),
    [anon_sym_fn] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_go] = ACTIONS(1358),
    [anon_sym_spawn] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_DOLLARfor] = ACTIONS(1356),
    [anon_sym_DOLLARif] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_is] = ACTIONS(1358),
    [anon_sym_BANGis] = ACTIONS(1356),
    [anon_sym_POUND] = ACTIONS(1356),
    [anon_sym_match] = ACTIONS(1358),
    [anon_sym_select] = ACTIONS(1358),
    [anon_sym_lock] = ACTIONS(1358),
    [anon_sym_rlock] = ACTIONS(1358),
    [sym__automatic_separator] = ACTIONS(1356),
    [sym__c_string_opening] = ACTIONS(1356),
    [sym__raw_string_opening] = ACTIONS(1356),
    [sym__string_opening] = ACTIONS(1356),
    [sym__comment] = ACTIONS(3),
  },
  [959] = {
    [sym_comment] = STATE(959),
    [sym_identifier] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_LT_DASH] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_GT_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_BANGin] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_none] = ACTIONS(1354),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_map_LBRACK] = ACTIONS(1352),
    [anon_sym_chan] = ACTIONS(1354),
    [anon_sym_shared] = ACTIONS(1354),
    [anon_sym_thread] = ACTIONS(1354),
    [sym_int_literal] = ACTIONS(1354),
    [sym_float_literal] = ACTIONS(1352),
    [sym_rune_literal] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1354),
    [anon_sym_array] = ACTIONS(1354),
    [anon_sym_string] = ACTIONS(1354),
    [anon_sym_char] = ACTIONS(1354),
    [anon_sym_sql] = ACTIONS(1354),
    [anon_sym_mut] = ACTIONS(1354),
    [anon_sym_C] = ACTIONS(1354),
    [anon_sym_JS] = ACTIONS(1354),
    [anon_sym_voidptr] = ACTIONS(1354),
    [anon_sym_byteptr] = ACTIONS(1354),
    [anon_sym_charptr] = ACTIONS(1354),
    [anon_sym_i8] = ACTIONS(1354),
    [anon_sym_i16] = ACTIONS(1354),
    [anon_sym_i32] = ACTIONS(1354),
    [anon_sym_int] = ACTIONS(1354),
    [anon_sym_i64] = ACTIONS(1354),
    [anon_sym_byte] = ACTIONS(1354),
    [anon_sym_u8] = ACTIONS(1354),
    [anon_sym_u16] = ACTIONS(1354),
    [anon_sym_u32] = ACTIONS(1354),
    [anon_sym_u64] = ACTIONS(1354),
    [anon_sym_f32] = ACTIONS(1354),
    [anon_sym_f64] = ACTIONS(1354),
    [anon_sym_bool] = ACTIONS(1354),
    [anon_sym_rune] = ACTIONS(1354),
    [anon_sym_map] = ACTIONS(1354),
    [anon_sym_mapnode] = ACTIONS(1354),
    [anon_sym_size_t] = ACTIONS(1354),
    [anon_sym_usize] = ACTIONS(1354),
    [anon_sym_isize] = ACTIONS(1354),
    [anon_sym_float_literal] = ACTIONS(1354),
    [anon_sym_int_literal] = ACTIONS(1354),
    [anon_sym_IError] = ACTIONS(1354),
    [sym_type_placeholder] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [sym_type_identifier] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_COLON_EQ] = ACTIONS(1352),
    [anon_sym_STAR_EQ] = ACTIONS(1352),
    [anon_sym_SLASH_EQ] = ACTIONS(1352),
    [anon_sym_PERCENT_EQ] = ACTIONS(1352),
    [anon_sym_LT_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT_GT_EQ] = ACTIONS(1352),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1352),
    [anon_sym_AMP_EQ] = ACTIONS(1352),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(1352),
    [anon_sym_DASH_EQ] = ACTIONS(1352),
    [anon_sym_PIPE_EQ] = ACTIONS(1352),
    [anon_sym_CARET_EQ] = ACTIONS(1352),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_assert] = ACTIONS(1354),
    [anon_sym_defer] = ACTIONS(1354),
    [anon_sym_unsafe] = ACTIONS(1354),
    [anon_sym_fn] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_go] = ACTIONS(1354),
    [anon_sym_spawn] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_DOLLARfor] = ACTIONS(1352),
    [anon_sym_DOLLARif] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_is] = ACTIONS(1354),
    [anon_sym_BANGis] = ACTIONS(1352),
    [anon_sym_POUND] = ACTIONS(1352),
    [anon_sym_match] = ACTIONS(1354),
    [anon_sym_select] = ACTIONS(1354),
    [anon_sym_lock] = ACTIONS(1354),
    [anon_sym_rlock] = ACTIONS(1354),
    [sym__automatic_separator] = ACTIONS(1352),
    [sym__c_string_opening] = ACTIONS(1352),
    [sym__raw_string_opening] = ACTIONS(1352),
    [sym__string_opening] = ACTIONS(1352),
    [sym__comment] = ACTIONS(3),
  },
  [960] = {
    [sym_comment] = STATE(960),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_CARET] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_LT_DASH] = ACTIONS(1270),
    [anon_sym_SLASH] = ACTIONS(1272),
    [anon_sym_PERCENT] = ACTIONS(1272),
    [anon_sym_LT_LT] = ACTIONS(1272),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_GT_GT_GT] = ACTIONS(1272),
    [anon_sym_AMP_CARET] = ACTIONS(1272),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1270),
    [anon_sym_BANG_EQ] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_GT_EQ] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_BANGin] = ACTIONS(1270),
    [anon_sym_AMP_AMP] = ACTIONS(1270),
    [anon_sym_PIPE_PIPE] = ACTIONS(1270),
    [anon_sym_as] = ACTIONS(1272),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym_none] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_map_LBRACK] = ACTIONS(1270),
    [anon_sym_chan] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_thread] = ACTIONS(1272),
    [sym_int_literal] = ACTIONS(1272),
    [sym_float_literal] = ACTIONS(1270),
    [sym_rune_literal] = ACTIONS(1270),
    [anon_sym_DOT] = ACTIONS(1272),
    [anon_sym_array] = ACTIONS(1272),
    [anon_sym_string] = ACTIONS(1272),
    [anon_sym_char] = ACTIONS(1272),
    [anon_sym_sql] = ACTIONS(1272),
    [anon_sym_mut] = ACTIONS(1272),
    [anon_sym_C] = ACTIONS(1272),
    [anon_sym_JS] = ACTIONS(1272),
    [anon_sym_voidptr] = ACTIONS(1272),
    [anon_sym_byteptr] = ACTIONS(1272),
    [anon_sym_charptr] = ACTIONS(1272),
    [anon_sym_i8] = ACTIONS(1272),
    [anon_sym_i16] = ACTIONS(1272),
    [anon_sym_i32] = ACTIONS(1272),
    [anon_sym_int] = ACTIONS(1272),
    [anon_sym_i64] = ACTIONS(1272),
    [anon_sym_byte] = ACTIONS(1272),
    [anon_sym_u8] = ACTIONS(1272),
    [anon_sym_u16] = ACTIONS(1272),
    [anon_sym_u32] = ACTIONS(1272),
    [anon_sym_u64] = ACTIONS(1272),
    [anon_sym_f32] = ACTIONS(1272),
    [anon_sym_f64] = ACTIONS(1272),
    [anon_sym_bool] = ACTIONS(1272),
    [anon_sym_rune] = ACTIONS(1272),
    [anon_sym_map] = ACTIONS(1272),
    [anon_sym_mapnode] = ACTIONS(1272),
    [anon_sym_size_t] = ACTIONS(1272),
    [anon_sym_usize] = ACTIONS(1272),
    [anon_sym_isize] = ACTIONS(1272),
    [anon_sym_float_literal] = ACTIONS(1272),
    [anon_sym_int_literal] = ACTIONS(1272),
    [anon_sym_IError] = ACTIONS(1272),
    [sym_type_placeholder] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [sym_type_identifier] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_COLON_EQ] = ACTIONS(1270),
    [anon_sym_STAR_EQ] = ACTIONS(1270),
    [anon_sym_SLASH_EQ] = ACTIONS(1270),
    [anon_sym_PERCENT_EQ] = ACTIONS(1270),
    [anon_sym_LT_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT_GT_EQ] = ACTIONS(1270),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1270),
    [anon_sym_AMP_EQ] = ACTIONS(1270),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1270),
    [anon_sym_PLUS_EQ] = ACTIONS(1270),
    [anon_sym_DASH_EQ] = ACTIONS(1270),
    [anon_sym_PIPE_EQ] = ACTIONS(1270),
    [anon_sym_CARET_EQ] = ACTIONS(1270),
    [anon_sym_EQ] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1272),
    [anon_sym_defer] = ACTIONS(1272),
    [anon_sym_unsafe] = ACTIONS(1272),
    [anon_sym_fn] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_go] = ACTIONS(1272),
    [anon_sym_spawn] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_DOLLARfor] = ACTIONS(1270),
    [anon_sym_DOLLARif] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_is] = ACTIONS(1272),
    [anon_sym_BANGis] = ACTIONS(1270),
    [anon_sym_POUND] = ACTIONS(1270),
    [anon_sym_match] = ACTIONS(1272),
    [anon_sym_select] = ACTIONS(1272),
    [anon_sym_lock] = ACTIONS(1272),
    [anon_sym_rlock] = ACTIONS(1272),
    [sym__automatic_separator] = ACTIONS(1270),
    [sym__c_string_opening] = ACTIONS(1270),
    [sym__raw_string_opening] = ACTIONS(1270),
    [sym__string_opening] = ACTIONS(1270),
    [sym__comment] = ACTIONS(3),
  },
  [961] = {
    [sym_comment] = STATE(961),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_LT_DASH] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1322),
    [anon_sym_PERCENT] = ACTIONS(1322),
    [anon_sym_LT_LT] = ACTIONS(1322),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_GT_GT_GT] = ACTIONS(1322),
    [anon_sym_AMP_CARET] = ACTIONS(1322),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1320),
    [anon_sym_BANG_EQ] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1320),
    [anon_sym_in] = ACTIONS(1322),
    [anon_sym_BANGin] = ACTIONS(1320),
    [anon_sym_AMP_AMP] = ACTIONS(1320),
    [anon_sym_PIPE_PIPE] = ACTIONS(1320),
    [anon_sym_as] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [sym_none] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_map_LBRACK] = ACTIONS(1320),
    [anon_sym_chan] = ACTIONS(1322),
    [anon_sym_shared] = ACTIONS(1322),
    [anon_sym_thread] = ACTIONS(1322),
    [sym_int_literal] = ACTIONS(1322),
    [sym_float_literal] = ACTIONS(1320),
    [sym_rune_literal] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1322),
    [anon_sym_array] = ACTIONS(1322),
    [anon_sym_string] = ACTIONS(1322),
    [anon_sym_char] = ACTIONS(1322),
    [anon_sym_sql] = ACTIONS(1322),
    [anon_sym_mut] = ACTIONS(1322),
    [anon_sym_C] = ACTIONS(1322),
    [anon_sym_JS] = ACTIONS(1322),
    [anon_sym_voidptr] = ACTIONS(1322),
    [anon_sym_byteptr] = ACTIONS(1322),
    [anon_sym_charptr] = ACTIONS(1322),
    [anon_sym_i8] = ACTIONS(1322),
    [anon_sym_i16] = ACTIONS(1322),
    [anon_sym_i32] = ACTIONS(1322),
    [anon_sym_int] = ACTIONS(1322),
    [anon_sym_i64] = ACTIONS(1322),
    [anon_sym_byte] = ACTIONS(1322),
    [anon_sym_u8] = ACTIONS(1322),
    [anon_sym_u16] = ACTIONS(1322),
    [anon_sym_u32] = ACTIONS(1322),
    [anon_sym_u64] = ACTIONS(1322),
    [anon_sym_f32] = ACTIONS(1322),
    [anon_sym_f64] = ACTIONS(1322),
    [anon_sym_bool] = ACTIONS(1322),
    [anon_sym_rune] = ACTIONS(1322),
    [anon_sym_map] = ACTIONS(1322),
    [anon_sym_mapnode] = ACTIONS(1322),
    [anon_sym_size_t] = ACTIONS(1322),
    [anon_sym_usize] = ACTIONS(1322),
    [anon_sym_isize] = ACTIONS(1322),
    [anon_sym_float_literal] = ACTIONS(1322),
    [anon_sym_int_literal] = ACTIONS(1322),
    [anon_sym_IError] = ACTIONS(1322),
    [sym_type_placeholder] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [sym_type_identifier] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_COLON_EQ] = ACTIONS(1320),
    [anon_sym_STAR_EQ] = ACTIONS(1320),
    [anon_sym_SLASH_EQ] = ACTIONS(1320),
    [anon_sym_PERCENT_EQ] = ACTIONS(1320),
    [anon_sym_LT_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_AMP_EQ] = ACTIONS(1320),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1320),
    [anon_sym_DASH_EQ] = ACTIONS(1320),
    [anon_sym_PIPE_EQ] = ACTIONS(1320),
    [anon_sym_CARET_EQ] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1322),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_defer] = ACTIONS(1322),
    [anon_sym_unsafe] = ACTIONS(1322),
    [anon_sym_fn] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_go] = ACTIONS(1322),
    [anon_sym_spawn] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_DOLLARfor] = ACTIONS(1320),
    [anon_sym_DOLLARif] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_is] = ACTIONS(1322),
    [anon_sym_BANGis] = ACTIONS(1320),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_match] = ACTIONS(1322),
    [anon_sym_select] = ACTIONS(1322),
    [anon_sym_lock] = ACTIONS(1322),
    [anon_sym_rlock] = ACTIONS(1322),
    [sym__automatic_separator] = ACTIONS(1320),
    [sym__c_string_opening] = ACTIONS(1320),
    [sym__raw_string_opening] = ACTIONS(1320),
    [sym__string_opening] = ACTIONS(1320),
    [sym__comment] = ACTIONS(3),
  },
  [962] = {
    [sym_comment] = STATE(962),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_BANGin] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [sym_none] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_map_LBRACK] = ACTIONS(1464),
    [anon_sym_chan] = ACTIONS(1466),
    [anon_sym_shared] = ACTIONS(1466),
    [anon_sym_thread] = ACTIONS(1466),
    [sym_int_literal] = ACTIONS(1466),
    [sym_float_literal] = ACTIONS(1464),
    [sym_rune_literal] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_array] = ACTIONS(1466),
    [anon_sym_string] = ACTIONS(1466),
    [anon_sym_char] = ACTIONS(1466),
    [anon_sym_sql] = ACTIONS(1466),
    [anon_sym_mut] = ACTIONS(1466),
    [anon_sym_C] = ACTIONS(1466),
    [anon_sym_JS] = ACTIONS(1466),
    [anon_sym_voidptr] = ACTIONS(1466),
    [anon_sym_byteptr] = ACTIONS(1466),
    [anon_sym_charptr] = ACTIONS(1466),
    [anon_sym_i8] = ACTIONS(1466),
    [anon_sym_i16] = ACTIONS(1466),
    [anon_sym_i32] = ACTIONS(1466),
    [anon_sym_int] = ACTIONS(1466),
    [anon_sym_i64] = ACTIONS(1466),
    [anon_sym_byte] = ACTIONS(1466),
    [anon_sym_u8] = ACTIONS(1466),
    [anon_sym_u16] = ACTIONS(1466),
    [anon_sym_u32] = ACTIONS(1466),
    [anon_sym_u64] = ACTIONS(1466),
    [anon_sym_f32] = ACTIONS(1466),
    [anon_sym_f64] = ACTIONS(1466),
    [anon_sym_bool] = ACTIONS(1466),
    [anon_sym_rune] = ACTIONS(1466),
    [anon_sym_map] = ACTIONS(1466),
    [anon_sym_mapnode] = ACTIONS(1466),
    [anon_sym_size_t] = ACTIONS(1466),
    [anon_sym_usize] = ACTIONS(1466),
    [anon_sym_isize] = ACTIONS(1466),
    [anon_sym_float_literal] = ACTIONS(1466),
    [anon_sym_int_literal] = ACTIONS(1466),
    [anon_sym_IError] = ACTIONS(1466),
    [sym_type_placeholder] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym_type_identifier] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_STAR_EQ] = ACTIONS(1464),
    [anon_sym_SLASH_EQ] = ACTIONS(1464),
    [anon_sym_PERCENT_EQ] = ACTIONS(1464),
    [anon_sym_LT_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT_GT_EQ] = ACTIONS(1464),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1464),
    [anon_sym_AMP_EQ] = ACTIONS(1464),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1464),
    [anon_sym_PLUS_EQ] = ACTIONS(1464),
    [anon_sym_DASH_EQ] = ACTIONS(1464),
    [anon_sym_PIPE_EQ] = ACTIONS(1464),
    [anon_sym_CARET_EQ] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_assert] = ACTIONS(1466),
    [anon_sym_defer] = ACTIONS(1466),
    [anon_sym_unsafe] = ACTIONS(1466),
    [anon_sym_fn] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_go] = ACTIONS(1466),
    [anon_sym_spawn] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_DOLLARfor] = ACTIONS(1464),
    [anon_sym_DOLLARif] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_is] = ACTIONS(1466),
    [anon_sym_BANGis] = ACTIONS(1464),
    [anon_sym_POUND] = ACTIONS(1464),
    [anon_sym_match] = ACTIONS(1466),
    [anon_sym_select] = ACTIONS(1466),
    [anon_sym_lock] = ACTIONS(1466),
    [anon_sym_rlock] = ACTIONS(1466),
    [sym__automatic_separator] = ACTIONS(1464),
    [sym__c_string_opening] = ACTIONS(1464),
    [sym__raw_string_opening] = ACTIONS(1464),
    [sym__string_opening] = ACTIONS(1464),
    [sym__comment] = ACTIONS(3),
  },
  [963] = {
    [sym_comment] = STATE(963),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_LT_DASH] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PERCENT] = ACTIONS(1392),
    [anon_sym_LT_LT] = ACTIONS(1392),
    [anon_sym_GT_GT] = ACTIONS(1392),
    [anon_sym_GT_GT_GT] = ACTIONS(1392),
    [anon_sym_AMP_CARET] = ACTIONS(1392),
    [anon_sym_PIPE] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_BANGin] = ACTIONS(1390),
    [anon_sym_AMP_AMP] = ACTIONS(1390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_as] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [sym_none] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_map_LBRACK] = ACTIONS(1390),
    [anon_sym_chan] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_thread] = ACTIONS(1392),
    [sym_int_literal] = ACTIONS(1392),
    [sym_float_literal] = ACTIONS(1390),
    [sym_rune_literal] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1392),
    [anon_sym_array] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_char] = ACTIONS(1392),
    [anon_sym_sql] = ACTIONS(1392),
    [anon_sym_mut] = ACTIONS(1392),
    [anon_sym_C] = ACTIONS(1392),
    [anon_sym_JS] = ACTIONS(1392),
    [anon_sym_voidptr] = ACTIONS(1392),
    [anon_sym_byteptr] = ACTIONS(1392),
    [anon_sym_charptr] = ACTIONS(1392),
    [anon_sym_i8] = ACTIONS(1392),
    [anon_sym_i16] = ACTIONS(1392),
    [anon_sym_i32] = ACTIONS(1392),
    [anon_sym_int] = ACTIONS(1392),
    [anon_sym_i64] = ACTIONS(1392),
    [anon_sym_byte] = ACTIONS(1392),
    [anon_sym_u8] = ACTIONS(1392),
    [anon_sym_u16] = ACTIONS(1392),
    [anon_sym_u32] = ACTIONS(1392),
    [anon_sym_u64] = ACTIONS(1392),
    [anon_sym_f32] = ACTIONS(1392),
    [anon_sym_f64] = ACTIONS(1392),
    [anon_sym_bool] = ACTIONS(1392),
    [anon_sym_rune] = ACTIONS(1392),
    [anon_sym_map] = ACTIONS(1392),
    [anon_sym_mapnode] = ACTIONS(1392),
    [anon_sym_size_t] = ACTIONS(1392),
    [anon_sym_usize] = ACTIONS(1392),
    [anon_sym_isize] = ACTIONS(1392),
    [anon_sym_float_literal] = ACTIONS(1392),
    [anon_sym_int_literal] = ACTIONS(1392),
    [anon_sym_IError] = ACTIONS(1392),
    [sym_type_placeholder] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [sym_type_identifier] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_COLON_EQ] = ACTIONS(1390),
    [anon_sym_STAR_EQ] = ACTIONS(1390),
    [anon_sym_SLASH_EQ] = ACTIONS(1390),
    [anon_sym_PERCENT_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT_GT_EQ] = ACTIONS(1390),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1390),
    [anon_sym_AMP_EQ] = ACTIONS(1390),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1390),
    [anon_sym_PLUS_EQ] = ACTIONS(1390),
    [anon_sym_DASH_EQ] = ACTIONS(1390),
    [anon_sym_PIPE_EQ] = ACTIONS(1390),
    [anon_sym_CARET_EQ] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1392),
    [anon_sym_assert] = ACTIONS(1392),
    [anon_sym_defer] = ACTIONS(1392),
    [anon_sym_unsafe] = ACTIONS(1392),
    [anon_sym_fn] = ACTIONS(1392),
    [anon_sym_asm] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_go] = ACTIONS(1392),
    [anon_sym_spawn] = ACTIONS(1392),
    [anon_sym_goto] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_DOLLARfor] = ACTIONS(1390),
    [anon_sym_DOLLARif] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_is] = ACTIONS(1392),
    [anon_sym_BANGis] = ACTIONS(1390),
    [anon_sym_POUND] = ACTIONS(1390),
    [anon_sym_match] = ACTIONS(1392),
    [anon_sym_select] = ACTIONS(1392),
    [anon_sym_lock] = ACTIONS(1392),
    [anon_sym_rlock] = ACTIONS(1392),
    [sym__automatic_separator] = ACTIONS(1390),
    [sym__c_string_opening] = ACTIONS(1390),
    [sym__raw_string_opening] = ACTIONS(1390),
    [sym__string_opening] = ACTIONS(1390),
    [sym__comment] = ACTIONS(3),
  },
  [964] = {
    [sym_comment] = STATE(964),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_CARET] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_LT_DASH] = ACTIONS(1274),
    [anon_sym_SLASH] = ACTIONS(1276),
    [anon_sym_PERCENT] = ACTIONS(1276),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_GT_GT_GT] = ACTIONS(1276),
    [anon_sym_AMP_CARET] = ACTIONS(1276),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1274),
    [anon_sym_BANG_EQ] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_GT_EQ] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_BANGin] = ACTIONS(1274),
    [anon_sym_AMP_AMP] = ACTIONS(1274),
    [anon_sym_PIPE_PIPE] = ACTIONS(1274),
    [anon_sym_as] = ACTIONS(1276),
    [anon_sym_COMMA] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym_none] = ACTIONS(1276),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_map_LBRACK] = ACTIONS(1274),
    [anon_sym_chan] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_thread] = ACTIONS(1276),
    [sym_int_literal] = ACTIONS(1276),
    [sym_float_literal] = ACTIONS(1274),
    [sym_rune_literal] = ACTIONS(1274),
    [anon_sym_DOT] = ACTIONS(1276),
    [anon_sym_array] = ACTIONS(1276),
    [anon_sym_string] = ACTIONS(1276),
    [anon_sym_char] = ACTIONS(1276),
    [anon_sym_sql] = ACTIONS(1276),
    [anon_sym_mut] = ACTIONS(1276),
    [anon_sym_C] = ACTIONS(1276),
    [anon_sym_JS] = ACTIONS(1276),
    [anon_sym_voidptr] = ACTIONS(1276),
    [anon_sym_byteptr] = ACTIONS(1276),
    [anon_sym_charptr] = ACTIONS(1276),
    [anon_sym_i8] = ACTIONS(1276),
    [anon_sym_i16] = ACTIONS(1276),
    [anon_sym_i32] = ACTIONS(1276),
    [anon_sym_int] = ACTIONS(1276),
    [anon_sym_i64] = ACTIONS(1276),
    [anon_sym_byte] = ACTIONS(1276),
    [anon_sym_u8] = ACTIONS(1276),
    [anon_sym_u16] = ACTIONS(1276),
    [anon_sym_u32] = ACTIONS(1276),
    [anon_sym_u64] = ACTIONS(1276),
    [anon_sym_f32] = ACTIONS(1276),
    [anon_sym_f64] = ACTIONS(1276),
    [anon_sym_bool] = ACTIONS(1276),
    [anon_sym_rune] = ACTIONS(1276),
    [anon_sym_map] = ACTIONS(1276),
    [anon_sym_mapnode] = ACTIONS(1276),
    [anon_sym_size_t] = ACTIONS(1276),
    [anon_sym_usize] = ACTIONS(1276),
    [anon_sym_isize] = ACTIONS(1276),
    [anon_sym_float_literal] = ACTIONS(1276),
    [anon_sym_int_literal] = ACTIONS(1276),
    [anon_sym_IError] = ACTIONS(1276),
    [sym_type_placeholder] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [sym_type_identifier] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_COLON_EQ] = ACTIONS(1274),
    [anon_sym_STAR_EQ] = ACTIONS(1274),
    [anon_sym_SLASH_EQ] = ACTIONS(1274),
    [anon_sym_PERCENT_EQ] = ACTIONS(1274),
    [anon_sym_LT_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT_GT_EQ] = ACTIONS(1274),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1274),
    [anon_sym_AMP_EQ] = ACTIONS(1274),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1274),
    [anon_sym_PLUS_EQ] = ACTIONS(1274),
    [anon_sym_DASH_EQ] = ACTIONS(1274),
    [anon_sym_PIPE_EQ] = ACTIONS(1274),
    [anon_sym_CARET_EQ] = ACTIONS(1274),
    [anon_sym_EQ] = ACTIONS(1276),
    [anon_sym_assert] = ACTIONS(1276),
    [anon_sym_defer] = ACTIONS(1276),
    [anon_sym_unsafe] = ACTIONS(1276),
    [anon_sym_fn] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_go] = ACTIONS(1276),
    [anon_sym_spawn] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_DOLLARfor] = ACTIONS(1274),
    [anon_sym_DOLLARif] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_is] = ACTIONS(1276),
    [anon_sym_BANGis] = ACTIONS(1274),
    [anon_sym_POUND] = ACTIONS(1274),
    [anon_sym_match] = ACTIONS(1276),
    [anon_sym_select] = ACTIONS(1276),
    [anon_sym_lock] = ACTIONS(1276),
    [anon_sym_rlock] = ACTIONS(1276),
    [sym__automatic_separator] = ACTIONS(1274),
    [sym__c_string_opening] = ACTIONS(1274),
    [sym__raw_string_opening] = ACTIONS(1274),
    [sym__string_opening] = ACTIONS(1274),
    [sym__comment] = ACTIONS(3),
  },
  [965] = {
    [sym_comment] = STATE(965),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(1550),
    [anon_sym_AMP] = ACTIONS(1550),
    [anon_sym_LT_DASH] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1550),
    [anon_sym_PERCENT] = ACTIONS(1550),
    [anon_sym_LT_LT] = ACTIONS(1550),
    [anon_sym_GT_GT] = ACTIONS(1550),
    [anon_sym_GT_GT_GT] = ACTIONS(1550),
    [anon_sym_AMP_CARET] = ACTIONS(1550),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1550),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1550),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1550),
    [anon_sym_BANGin] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_as] = ACTIONS(1550),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [sym_none] = ACTIONS(1550),
    [sym_true] = ACTIONS(1550),
    [sym_false] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_map_LBRACK] = ACTIONS(1548),
    [anon_sym_chan] = ACTIONS(1550),
    [anon_sym_shared] = ACTIONS(1550),
    [anon_sym_thread] = ACTIONS(1550),
    [sym_int_literal] = ACTIONS(1550),
    [sym_float_literal] = ACTIONS(1548),
    [sym_rune_literal] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_array] = ACTIONS(1550),
    [anon_sym_string] = ACTIONS(1550),
    [anon_sym_char] = ACTIONS(1550),
    [anon_sym_sql] = ACTIONS(1550),
    [anon_sym_mut] = ACTIONS(1550),
    [anon_sym_C] = ACTIONS(1550),
    [anon_sym_JS] = ACTIONS(1550),
    [anon_sym_voidptr] = ACTIONS(1550),
    [anon_sym_byteptr] = ACTIONS(1550),
    [anon_sym_charptr] = ACTIONS(1550),
    [anon_sym_i8] = ACTIONS(1550),
    [anon_sym_i16] = ACTIONS(1550),
    [anon_sym_i32] = ACTIONS(1550),
    [anon_sym_int] = ACTIONS(1550),
    [anon_sym_i64] = ACTIONS(1550),
    [anon_sym_byte] = ACTIONS(1550),
    [anon_sym_u8] = ACTIONS(1550),
    [anon_sym_u16] = ACTIONS(1550),
    [anon_sym_u32] = ACTIONS(1550),
    [anon_sym_u64] = ACTIONS(1550),
    [anon_sym_f32] = ACTIONS(1550),
    [anon_sym_f64] = ACTIONS(1550),
    [anon_sym_bool] = ACTIONS(1550),
    [anon_sym_rune] = ACTIONS(1550),
    [anon_sym_map] = ACTIONS(1550),
    [anon_sym_mapnode] = ACTIONS(1550),
    [anon_sym_size_t] = ACTIONS(1550),
    [anon_sym_usize] = ACTIONS(1550),
    [anon_sym_isize] = ACTIONS(1550),
    [anon_sym_float_literal] = ACTIONS(1550),
    [anon_sym_int_literal] = ACTIONS(1550),
    [anon_sym_IError] = ACTIONS(1550),
    [sym_type_placeholder] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [sym_type_identifier] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_COLON_EQ] = ACTIONS(1548),
    [anon_sym_STAR_EQ] = ACTIONS(1548),
    [anon_sym_SLASH_EQ] = ACTIONS(1548),
    [anon_sym_PERCENT_EQ] = ACTIONS(1548),
    [anon_sym_LT_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT_GT_EQ] = ACTIONS(1548),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1548),
    [anon_sym_AMP_EQ] = ACTIONS(1548),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1548),
    [anon_sym_PLUS_EQ] = ACTIONS(1548),
    [anon_sym_DASH_EQ] = ACTIONS(1548),
    [anon_sym_PIPE_EQ] = ACTIONS(1548),
    [anon_sym_CARET_EQ] = ACTIONS(1548),
    [anon_sym_EQ] = ACTIONS(1550),
    [anon_sym_assert] = ACTIONS(1550),
    [anon_sym_defer] = ACTIONS(1550),
    [anon_sym_unsafe] = ACTIONS(1550),
    [anon_sym_fn] = ACTIONS(1550),
    [anon_sym_asm] = ACTIONS(1550),
    [anon_sym_break] = ACTIONS(1550),
    [anon_sym_continue] = ACTIONS(1550),
    [anon_sym_return] = ACTIONS(1550),
    [anon_sym_go] = ACTIONS(1550),
    [anon_sym_spawn] = ACTIONS(1550),
    [anon_sym_goto] = ACTIONS(1550),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_DOLLARfor] = ACTIONS(1548),
    [anon_sym_DOLLARif] = ACTIONS(1548),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_is] = ACTIONS(1550),
    [anon_sym_BANGis] = ACTIONS(1548),
    [anon_sym_POUND] = ACTIONS(1548),
    [anon_sym_match] = ACTIONS(1550),
    [anon_sym_select] = ACTIONS(1550),
    [anon_sym_lock] = ACTIONS(1550),
    [anon_sym_rlock] = ACTIONS(1550),
    [sym__automatic_separator] = ACTIONS(1548),
    [sym__c_string_opening] = ACTIONS(1548),
    [sym__raw_string_opening] = ACTIONS(1548),
    [sym__string_opening] = ACTIONS(1548),
    [sym__comment] = ACTIONS(3),
  },
  [966] = {
    [sym_comment] = STATE(966),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_LT_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1592),
    [anon_sym_LT_LT] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1592),
    [anon_sym_AMP_CARET] = ACTIONS(1592),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_EQ_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_BANGin] = ACTIONS(1590),
    [anon_sym_AMP_AMP] = ACTIONS(1590),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_none] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_RBRACE] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_map_LBRACK] = ACTIONS(1590),
    [anon_sym_chan] = ACTIONS(1592),
    [anon_sym_shared] = ACTIONS(1592),
    [anon_sym_thread] = ACTIONS(1592),
    [sym_int_literal] = ACTIONS(1592),
    [sym_float_literal] = ACTIONS(1590),
    [sym_rune_literal] = ACTIONS(1590),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_array] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_char] = ACTIONS(1592),
    [anon_sym_sql] = ACTIONS(1592),
    [anon_sym_mut] = ACTIONS(1592),
    [anon_sym_C] = ACTIONS(1592),
    [anon_sym_JS] = ACTIONS(1592),
    [anon_sym_voidptr] = ACTIONS(1592),
    [anon_sym_byteptr] = ACTIONS(1592),
    [anon_sym_charptr] = ACTIONS(1592),
    [anon_sym_i8] = ACTIONS(1592),
    [anon_sym_i16] = ACTIONS(1592),
    [anon_sym_i32] = ACTIONS(1592),
    [anon_sym_int] = ACTIONS(1592),
    [anon_sym_i64] = ACTIONS(1592),
    [anon_sym_byte] = ACTIONS(1592),
    [anon_sym_u8] = ACTIONS(1592),
    [anon_sym_u16] = ACTIONS(1592),
    [anon_sym_u32] = ACTIONS(1592),
    [anon_sym_u64] = ACTIONS(1592),
    [anon_sym_f32] = ACTIONS(1592),
    [anon_sym_f64] = ACTIONS(1592),
    [anon_sym_bool] = ACTIONS(1592),
    [anon_sym_rune] = ACTIONS(1592),
    [anon_sym_map] = ACTIONS(1592),
    [anon_sym_mapnode] = ACTIONS(1592),
    [anon_sym_size_t] = ACTIONS(1592),
    [anon_sym_usize] = ACTIONS(1592),
    [anon_sym_isize] = ACTIONS(1592),
    [anon_sym_float_literal] = ACTIONS(1592),
    [anon_sym_int_literal] = ACTIONS(1592),
    [anon_sym_IError] = ACTIONS(1592),
    [sym_type_placeholder] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [sym_type_identifier] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1590),
    [anon_sym_DASH_DASH] = ACTIONS(1590),
    [anon_sym_COLON_EQ] = ACTIONS(1590),
    [anon_sym_STAR_EQ] = ACTIONS(1590),
    [anon_sym_SLASH_EQ] = ACTIONS(1590),
    [anon_sym_PERCENT_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT_EQ] = ACTIONS(1590),
    [anon_sym_GT_GT_EQ] = ACTIONS(1590),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1590),
    [anon_sym_AMP_EQ] = ACTIONS(1590),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1590),
    [anon_sym_PLUS_EQ] = ACTIONS(1590),
    [anon_sym_DASH_EQ] = ACTIONS(1590),
    [anon_sym_PIPE_EQ] = ACTIONS(1590),
    [anon_sym_CARET_EQ] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1592),
    [anon_sym_assert] = ACTIONS(1592),
    [anon_sym_defer] = ACTIONS(1592),
    [anon_sym_unsafe] = ACTIONS(1592),
    [anon_sym_fn] = ACTIONS(1592),
    [anon_sym_asm] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_go] = ACTIONS(1592),
    [anon_sym_spawn] = ACTIONS(1592),
    [anon_sym_goto] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_DOLLARfor] = ACTIONS(1590),
    [anon_sym_DOLLARif] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_is] = ACTIONS(1592),
    [anon_sym_BANGis] = ACTIONS(1590),
    [anon_sym_POUND] = ACTIONS(1590),
    [anon_sym_match] = ACTIONS(1592),
    [anon_sym_select] = ACTIONS(1592),
    [anon_sym_lock] = ACTIONS(1592),
    [anon_sym_rlock] = ACTIONS(1592),
    [sym__automatic_separator] = ACTIONS(1590),
    [sym__c_string_opening] = ACTIONS(1590),
    [sym__raw_string_opening] = ACTIONS(1590),
    [sym__string_opening] = ACTIONS(1590),
    [sym__comment] = ACTIONS(3),
  },
  [967] = {
    [sym_comment] = STATE(967),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1556),
    [anon_sym_STAR] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_LT_DASH] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(1556),
    [anon_sym_PERCENT] = ACTIONS(1556),
    [anon_sym_LT_LT] = ACTIONS(1556),
    [anon_sym_GT_GT] = ACTIONS(1556),
    [anon_sym_GT_GT_GT] = ACTIONS(1556),
    [anon_sym_AMP_CARET] = ACTIONS(1556),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_EQ_EQ] = ACTIONS(1554),
    [anon_sym_BANG_EQ] = ACTIONS(1554),
    [anon_sym_LT] = ACTIONS(1556),
    [anon_sym_LT_EQ] = ACTIONS(1554),
    [anon_sym_GT] = ACTIONS(1556),
    [anon_sym_GT_EQ] = ACTIONS(1554),
    [anon_sym_in] = ACTIONS(1556),
    [anon_sym_BANGin] = ACTIONS(1554),
    [anon_sym_AMP_AMP] = ACTIONS(1554),
    [anon_sym_PIPE_PIPE] = ACTIONS(1554),
    [anon_sym_as] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_none] = ACTIONS(1556),
    [sym_true] = ACTIONS(1556),
    [sym_false] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_map_LBRACK] = ACTIONS(1554),
    [anon_sym_chan] = ACTIONS(1556),
    [anon_sym_shared] = ACTIONS(1556),
    [anon_sym_thread] = ACTIONS(1556),
    [sym_int_literal] = ACTIONS(1556),
    [sym_float_literal] = ACTIONS(1554),
    [sym_rune_literal] = ACTIONS(1554),
    [anon_sym_DOT] = ACTIONS(1556),
    [anon_sym_array] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_char] = ACTIONS(1556),
    [anon_sym_sql] = ACTIONS(1556),
    [anon_sym_mut] = ACTIONS(1556),
    [anon_sym_C] = ACTIONS(1556),
    [anon_sym_JS] = ACTIONS(1556),
    [anon_sym_voidptr] = ACTIONS(1556),
    [anon_sym_byteptr] = ACTIONS(1556),
    [anon_sym_charptr] = ACTIONS(1556),
    [anon_sym_i8] = ACTIONS(1556),
    [anon_sym_i16] = ACTIONS(1556),
    [anon_sym_i32] = ACTIONS(1556),
    [anon_sym_int] = ACTIONS(1556),
    [anon_sym_i64] = ACTIONS(1556),
    [anon_sym_byte] = ACTIONS(1556),
    [anon_sym_u8] = ACTIONS(1556),
    [anon_sym_u16] = ACTIONS(1556),
    [anon_sym_u32] = ACTIONS(1556),
    [anon_sym_u64] = ACTIONS(1556),
    [anon_sym_f32] = ACTIONS(1556),
    [anon_sym_f64] = ACTIONS(1556),
    [anon_sym_bool] = ACTIONS(1556),
    [anon_sym_rune] = ACTIONS(1556),
    [anon_sym_map] = ACTIONS(1556),
    [anon_sym_mapnode] = ACTIONS(1556),
    [anon_sym_size_t] = ACTIONS(1556),
    [anon_sym_usize] = ACTIONS(1556),
    [anon_sym_isize] = ACTIONS(1556),
    [anon_sym_float_literal] = ACTIONS(1556),
    [anon_sym_int_literal] = ACTIONS(1556),
    [anon_sym_IError] = ACTIONS(1556),
    [sym_type_placeholder] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [sym_type_identifier] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_COLON_EQ] = ACTIONS(1554),
    [anon_sym_STAR_EQ] = ACTIONS(1554),
    [anon_sym_SLASH_EQ] = ACTIONS(1554),
    [anon_sym_PERCENT_EQ] = ACTIONS(1554),
    [anon_sym_LT_LT_EQ] = ACTIONS(1554),
    [anon_sym_GT_GT_EQ] = ACTIONS(1554),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1554),
    [anon_sym_AMP_EQ] = ACTIONS(1554),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1554),
    [anon_sym_PLUS_EQ] = ACTIONS(1554),
    [anon_sym_DASH_EQ] = ACTIONS(1554),
    [anon_sym_PIPE_EQ] = ACTIONS(1554),
    [anon_sym_CARET_EQ] = ACTIONS(1554),
    [anon_sym_EQ] = ACTIONS(1556),
    [anon_sym_assert] = ACTIONS(1556),
    [anon_sym_defer] = ACTIONS(1556),
    [anon_sym_unsafe] = ACTIONS(1556),
    [anon_sym_fn] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1556),
    [anon_sym_break] = ACTIONS(1556),
    [anon_sym_continue] = ACTIONS(1556),
    [anon_sym_return] = ACTIONS(1556),
    [anon_sym_go] = ACTIONS(1556),
    [anon_sym_spawn] = ACTIONS(1556),
    [anon_sym_goto] = ACTIONS(1556),
    [anon_sym_for] = ACTIONS(1556),
    [anon_sym_DOLLARfor] = ACTIONS(1554),
    [anon_sym_DOLLARif] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_is] = ACTIONS(1556),
    [anon_sym_BANGis] = ACTIONS(1554),
    [anon_sym_POUND] = ACTIONS(1554),
    [anon_sym_match] = ACTIONS(1556),
    [anon_sym_select] = ACTIONS(1556),
    [anon_sym_lock] = ACTIONS(1556),
    [anon_sym_rlock] = ACTIONS(1556),
    [sym__automatic_separator] = ACTIONS(1554),
    [sym__c_string_opening] = ACTIONS(1554),
    [sym__raw_string_opening] = ACTIONS(1554),
    [sym__string_opening] = ACTIONS(1554),
    [sym__comment] = ACTIONS(3),
  },
  [968] = {
    [sym_comment] = STATE(968),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_AMP_CARET] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_COLON_EQ] = ACTIONS(1200),
    [anon_sym_STAR_EQ] = ACTIONS(1200),
    [anon_sym_SLASH_EQ] = ACTIONS(1200),
    [anon_sym_PERCENT_EQ] = ACTIONS(1200),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1200),
    [anon_sym_PLUS_EQ] = ACTIONS(1200),
    [anon_sym_DASH_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [969] = {
    [sym_comment] = STATE(969),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_LT_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_GT_GT_GT] = ACTIONS(1538),
    [anon_sym_AMP_CARET] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_in] = ACTIONS(1538),
    [anon_sym_BANGin] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_as] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [sym_none] = ACTIONS(1538),
    [sym_true] = ACTIONS(1538),
    [sym_false] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_map_LBRACK] = ACTIONS(1536),
    [anon_sym_chan] = ACTIONS(1538),
    [anon_sym_shared] = ACTIONS(1538),
    [anon_sym_thread] = ACTIONS(1538),
    [sym_int_literal] = ACTIONS(1538),
    [sym_float_literal] = ACTIONS(1536),
    [sym_rune_literal] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_array] = ACTIONS(1538),
    [anon_sym_string] = ACTIONS(1538),
    [anon_sym_char] = ACTIONS(1538),
    [anon_sym_sql] = ACTIONS(1538),
    [anon_sym_mut] = ACTIONS(1538),
    [anon_sym_C] = ACTIONS(1538),
    [anon_sym_JS] = ACTIONS(1538),
    [anon_sym_voidptr] = ACTIONS(1538),
    [anon_sym_byteptr] = ACTIONS(1538),
    [anon_sym_charptr] = ACTIONS(1538),
    [anon_sym_i8] = ACTIONS(1538),
    [anon_sym_i16] = ACTIONS(1538),
    [anon_sym_i32] = ACTIONS(1538),
    [anon_sym_int] = ACTIONS(1538),
    [anon_sym_i64] = ACTIONS(1538),
    [anon_sym_byte] = ACTIONS(1538),
    [anon_sym_u8] = ACTIONS(1538),
    [anon_sym_u16] = ACTIONS(1538),
    [anon_sym_u32] = ACTIONS(1538),
    [anon_sym_u64] = ACTIONS(1538),
    [anon_sym_f32] = ACTIONS(1538),
    [anon_sym_f64] = ACTIONS(1538),
    [anon_sym_bool] = ACTIONS(1538),
    [anon_sym_rune] = ACTIONS(1538),
    [anon_sym_map] = ACTIONS(1538),
    [anon_sym_mapnode] = ACTIONS(1538),
    [anon_sym_size_t] = ACTIONS(1538),
    [anon_sym_usize] = ACTIONS(1538),
    [anon_sym_isize] = ACTIONS(1538),
    [anon_sym_float_literal] = ACTIONS(1538),
    [anon_sym_int_literal] = ACTIONS(1538),
    [anon_sym_IError] = ACTIONS(1538),
    [sym_type_placeholder] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [sym_type_identifier] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_COLON_EQ] = ACTIONS(1536),
    [anon_sym_STAR_EQ] = ACTIONS(1536),
    [anon_sym_SLASH_EQ] = ACTIONS(1536),
    [anon_sym_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_LT_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT_GT_EQ] = ACTIONS(1536),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1536),
    [anon_sym_AMP_EQ] = ACTIONS(1536),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1536),
    [anon_sym_PLUS_EQ] = ACTIONS(1536),
    [anon_sym_DASH_EQ] = ACTIONS(1536),
    [anon_sym_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_CARET_EQ] = ACTIONS(1536),
    [anon_sym_EQ] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_defer] = ACTIONS(1538),
    [anon_sym_unsafe] = ACTIONS(1538),
    [anon_sym_fn] = ACTIONS(1538),
    [anon_sym_asm] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_continue] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_go] = ACTIONS(1538),
    [anon_sym_spawn] = ACTIONS(1538),
    [anon_sym_goto] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_DOLLARfor] = ACTIONS(1536),
    [anon_sym_DOLLARif] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_is] = ACTIONS(1538),
    [anon_sym_BANGis] = ACTIONS(1536),
    [anon_sym_POUND] = ACTIONS(1536),
    [anon_sym_match] = ACTIONS(1538),
    [anon_sym_select] = ACTIONS(1538),
    [anon_sym_lock] = ACTIONS(1538),
    [anon_sym_rlock] = ACTIONS(1538),
    [sym__automatic_separator] = ACTIONS(1536),
    [sym__c_string_opening] = ACTIONS(1536),
    [sym__raw_string_opening] = ACTIONS(1536),
    [sym__string_opening] = ACTIONS(1536),
    [sym__comment] = ACTIONS(3),
  },
  [970] = {
    [sym_comment] = STATE(970),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_PERCENT] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_BANGin] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_as] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [sym_none] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_map_LBRACK] = ACTIONS(1478),
    [anon_sym_chan] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_thread] = ACTIONS(1480),
    [sym_int_literal] = ACTIONS(1480),
    [sym_float_literal] = ACTIONS(1478),
    [sym_rune_literal] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_array] = ACTIONS(1480),
    [anon_sym_string] = ACTIONS(1480),
    [anon_sym_char] = ACTIONS(1480),
    [anon_sym_sql] = ACTIONS(1480),
    [anon_sym_mut] = ACTIONS(1480),
    [anon_sym_C] = ACTIONS(1480),
    [anon_sym_JS] = ACTIONS(1480),
    [anon_sym_voidptr] = ACTIONS(1480),
    [anon_sym_byteptr] = ACTIONS(1480),
    [anon_sym_charptr] = ACTIONS(1480),
    [anon_sym_i8] = ACTIONS(1480),
    [anon_sym_i16] = ACTIONS(1480),
    [anon_sym_i32] = ACTIONS(1480),
    [anon_sym_int] = ACTIONS(1480),
    [anon_sym_i64] = ACTIONS(1480),
    [anon_sym_byte] = ACTIONS(1480),
    [anon_sym_u8] = ACTIONS(1480),
    [anon_sym_u16] = ACTIONS(1480),
    [anon_sym_u32] = ACTIONS(1480),
    [anon_sym_u64] = ACTIONS(1480),
    [anon_sym_f32] = ACTIONS(1480),
    [anon_sym_f64] = ACTIONS(1480),
    [anon_sym_bool] = ACTIONS(1480),
    [anon_sym_rune] = ACTIONS(1480),
    [anon_sym_map] = ACTIONS(1480),
    [anon_sym_mapnode] = ACTIONS(1480),
    [anon_sym_size_t] = ACTIONS(1480),
    [anon_sym_usize] = ACTIONS(1480),
    [anon_sym_isize] = ACTIONS(1480),
    [anon_sym_float_literal] = ACTIONS(1480),
    [anon_sym_int_literal] = ACTIONS(1480),
    [anon_sym_IError] = ACTIONS(1480),
    [sym_type_placeholder] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym_type_identifier] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_STAR_EQ] = ACTIONS(1478),
    [anon_sym_SLASH_EQ] = ACTIONS(1478),
    [anon_sym_PERCENT_EQ] = ACTIONS(1478),
    [anon_sym_LT_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT_GT_EQ] = ACTIONS(1478),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1478),
    [anon_sym_AMP_EQ] = ACTIONS(1478),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1478),
    [anon_sym_PLUS_EQ] = ACTIONS(1478),
    [anon_sym_DASH_EQ] = ACTIONS(1478),
    [anon_sym_PIPE_EQ] = ACTIONS(1478),
    [anon_sym_CARET_EQ] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_assert] = ACTIONS(1480),
    [anon_sym_defer] = ACTIONS(1480),
    [anon_sym_unsafe] = ACTIONS(1480),
    [anon_sym_fn] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_go] = ACTIONS(1480),
    [anon_sym_spawn] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_DOLLARfor] = ACTIONS(1478),
    [anon_sym_DOLLARif] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1480),
    [anon_sym_BANGis] = ACTIONS(1478),
    [anon_sym_POUND] = ACTIONS(1478),
    [anon_sym_match] = ACTIONS(1480),
    [anon_sym_select] = ACTIONS(1480),
    [anon_sym_lock] = ACTIONS(1480),
    [anon_sym_rlock] = ACTIONS(1480),
    [sym__automatic_separator] = ACTIONS(1478),
    [sym__c_string_opening] = ACTIONS(1478),
    [sym__raw_string_opening] = ACTIONS(1478),
    [sym__string_opening] = ACTIONS(1478),
    [sym__comment] = ACTIONS(3),
  },
  [971] = {
    [sym_comment] = STATE(971),
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_LT_DASH] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PERCENT] = ACTIONS(1608),
    [anon_sym_LT_LT] = ACTIONS(1608),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_GT_GT_GT] = ACTIONS(1608),
    [anon_sym_AMP_CARET] = ACTIONS(1608),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_in] = ACTIONS(1608),
    [anon_sym_BANGin] = ACTIONS(1606),
    [anon_sym_AMP_AMP] = ACTIONS(1606),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_as] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [sym_none] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_map_LBRACK] = ACTIONS(1606),
    [anon_sym_chan] = ACTIONS(1608),
    [anon_sym_shared] = ACTIONS(1608),
    [anon_sym_thread] = ACTIONS(1608),
    [sym_int_literal] = ACTIONS(1608),
    [sym_float_literal] = ACTIONS(1606),
    [sym_rune_literal] = ACTIONS(1606),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_array] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_char] = ACTIONS(1608),
    [anon_sym_sql] = ACTIONS(1608),
    [anon_sym_mut] = ACTIONS(1608),
    [anon_sym_C] = ACTIONS(1608),
    [anon_sym_JS] = ACTIONS(1608),
    [anon_sym_voidptr] = ACTIONS(1608),
    [anon_sym_byteptr] = ACTIONS(1608),
    [anon_sym_charptr] = ACTIONS(1608),
    [anon_sym_i8] = ACTIONS(1608),
    [anon_sym_i16] = ACTIONS(1608),
    [anon_sym_i32] = ACTIONS(1608),
    [anon_sym_int] = ACTIONS(1608),
    [anon_sym_i64] = ACTIONS(1608),
    [anon_sym_byte] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1608),
    [anon_sym_u16] = ACTIONS(1608),
    [anon_sym_u32] = ACTIONS(1608),
    [anon_sym_u64] = ACTIONS(1608),
    [anon_sym_f32] = ACTIONS(1608),
    [anon_sym_f64] = ACTIONS(1608),
    [anon_sym_bool] = ACTIONS(1608),
    [anon_sym_rune] = ACTIONS(1608),
    [anon_sym_map] = ACTIONS(1608),
    [anon_sym_mapnode] = ACTIONS(1608),
    [anon_sym_size_t] = ACTIONS(1608),
    [anon_sym_usize] = ACTIONS(1608),
    [anon_sym_isize] = ACTIONS(1608),
    [anon_sym_float_literal] = ACTIONS(1608),
    [anon_sym_int_literal] = ACTIONS(1608),
    [anon_sym_IError] = ACTIONS(1608),
    [sym_type_placeholder] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [sym_type_identifier] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_COLON_EQ] = ACTIONS(1606),
    [anon_sym_STAR_EQ] = ACTIONS(1606),
    [anon_sym_SLASH_EQ] = ACTIONS(1606),
    [anon_sym_PERCENT_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT_EQ] = ACTIONS(1606),
    [anon_sym_GT_GT_EQ] = ACTIONS(1606),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1606),
    [anon_sym_AMP_EQ] = ACTIONS(1606),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1606),
    [anon_sym_PLUS_EQ] = ACTIONS(1606),
    [anon_sym_DASH_EQ] = ACTIONS(1606),
    [anon_sym_PIPE_EQ] = ACTIONS(1606),
    [anon_sym_CARET_EQ] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_defer] = ACTIONS(1608),
    [anon_sym_unsafe] = ACTIONS(1608),
    [anon_sym_fn] = ACTIONS(1608),
    [anon_sym_asm] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_go] = ACTIONS(1608),
    [anon_sym_spawn] = ACTIONS(1608),
    [anon_sym_goto] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_DOLLARfor] = ACTIONS(1606),
    [anon_sym_DOLLARif] = ACTIONS(1606),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_is] = ACTIONS(1608),
    [anon_sym_BANGis] = ACTIONS(1606),
    [anon_sym_POUND] = ACTIONS(1606),
    [anon_sym_match] = ACTIONS(1608),
    [anon_sym_select] = ACTIONS(1608),
    [anon_sym_lock] = ACTIONS(1608),
    [anon_sym_rlock] = ACTIONS(1608),
    [sym__automatic_separator] = ACTIONS(1606),
    [sym__c_string_opening] = ACTIONS(1606),
    [sym__raw_string_opening] = ACTIONS(1606),
    [sym__string_opening] = ACTIONS(1606),
    [sym__comment] = ACTIONS(3),
  },
  [972] = {
    [sym_comment] = STATE(972),
    [sym_identifier] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_LT_DASH] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_LT_LT] = ACTIONS(1362),
    [anon_sym_GT_GT] = ACTIONS(1362),
    [anon_sym_GT_GT_GT] = ACTIONS(1362),
    [anon_sym_AMP_CARET] = ACTIONS(1362),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_EQ_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_in] = ACTIONS(1362),
    [anon_sym_BANGin] = ACTIONS(1360),
    [anon_sym_AMP_AMP] = ACTIONS(1360),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_as] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [sym_none] = ACTIONS(1362),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_map_LBRACK] = ACTIONS(1360),
    [anon_sym_chan] = ACTIONS(1362),
    [anon_sym_shared] = ACTIONS(1362),
    [anon_sym_thread] = ACTIONS(1362),
    [sym_int_literal] = ACTIONS(1362),
    [sym_float_literal] = ACTIONS(1360),
    [sym_rune_literal] = ACTIONS(1360),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_array] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_char] = ACTIONS(1362),
    [anon_sym_sql] = ACTIONS(1362),
    [anon_sym_mut] = ACTIONS(1362),
    [anon_sym_C] = ACTIONS(1362),
    [anon_sym_JS] = ACTIONS(1362),
    [anon_sym_voidptr] = ACTIONS(1362),
    [anon_sym_byteptr] = ACTIONS(1362),
    [anon_sym_charptr] = ACTIONS(1362),
    [anon_sym_i8] = ACTIONS(1362),
    [anon_sym_i16] = ACTIONS(1362),
    [anon_sym_i32] = ACTIONS(1362),
    [anon_sym_int] = ACTIONS(1362),
    [anon_sym_i64] = ACTIONS(1362),
    [anon_sym_byte] = ACTIONS(1362),
    [anon_sym_u8] = ACTIONS(1362),
    [anon_sym_u16] = ACTIONS(1362),
    [anon_sym_u32] = ACTIONS(1362),
    [anon_sym_u64] = ACTIONS(1362),
    [anon_sym_f32] = ACTIONS(1362),
    [anon_sym_f64] = ACTIONS(1362),
    [anon_sym_bool] = ACTIONS(1362),
    [anon_sym_rune] = ACTIONS(1362),
    [anon_sym_map] = ACTIONS(1362),
    [anon_sym_mapnode] = ACTIONS(1362),
    [anon_sym_size_t] = ACTIONS(1362),
    [anon_sym_usize] = ACTIONS(1362),
    [anon_sym_isize] = ACTIONS(1362),
    [anon_sym_float_literal] = ACTIONS(1362),
    [anon_sym_int_literal] = ACTIONS(1362),
    [anon_sym_IError] = ACTIONS(1362),
    [sym_type_placeholder] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [sym_type_identifier] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_COLON_EQ] = ACTIONS(1360),
    [anon_sym_STAR_EQ] = ACTIONS(1360),
    [anon_sym_SLASH_EQ] = ACTIONS(1360),
    [anon_sym_PERCENT_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT_EQ] = ACTIONS(1360),
    [anon_sym_GT_GT_EQ] = ACTIONS(1360),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1360),
    [anon_sym_AMP_EQ] = ACTIONS(1360),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1360),
    [anon_sym_PLUS_EQ] = ACTIONS(1360),
    [anon_sym_DASH_EQ] = ACTIONS(1360),
    [anon_sym_PIPE_EQ] = ACTIONS(1360),
    [anon_sym_CARET_EQ] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1362),
    [anon_sym_assert] = ACTIONS(1362),
    [anon_sym_defer] = ACTIONS(1362),
    [anon_sym_unsafe] = ACTIONS(1362),
    [anon_sym_fn] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_go] = ACTIONS(1362),
    [anon_sym_spawn] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_DOLLARfor] = ACTIONS(1360),
    [anon_sym_DOLLARif] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_is] = ACTIONS(1362),
    [anon_sym_BANGis] = ACTIONS(1360),
    [anon_sym_POUND] = ACTIONS(1360),
    [anon_sym_match] = ACTIONS(1362),
    [anon_sym_select] = ACTIONS(1362),
    [anon_sym_lock] = ACTIONS(1362),
    [anon_sym_rlock] = ACTIONS(1362),
    [sym__automatic_separator] = ACTIONS(1360),
    [sym__c_string_opening] = ACTIONS(1360),
    [sym__raw_string_opening] = ACTIONS(1360),
    [sym__string_opening] = ACTIONS(1360),
    [sym__comment] = ACTIONS(3),
  },
  [973] = {
    [sym_comment] = STATE(973),
    [sym_identifier] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_LT_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1346),
    [anon_sym_PERCENT] = ACTIONS(1346),
    [anon_sym_LT_LT] = ACTIONS(1346),
    [anon_sym_GT_GT] = ACTIONS(1346),
    [anon_sym_GT_GT_GT] = ACTIONS(1346),
    [anon_sym_AMP_CARET] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_EQ_EQ] = ACTIONS(1344),
    [anon_sym_BANG_EQ] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1346),
    [anon_sym_LT_EQ] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1346),
    [anon_sym_GT_EQ] = ACTIONS(1344),
    [anon_sym_in] = ACTIONS(1346),
    [anon_sym_BANGin] = ACTIONS(1344),
    [anon_sym_AMP_AMP] = ACTIONS(1344),
    [anon_sym_PIPE_PIPE] = ACTIONS(1344),
    [anon_sym_as] = ACTIONS(1346),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [sym_none] = ACTIONS(1346),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_map_LBRACK] = ACTIONS(1344),
    [anon_sym_chan] = ACTIONS(1346),
    [anon_sym_shared] = ACTIONS(1346),
    [anon_sym_thread] = ACTIONS(1346),
    [sym_int_literal] = ACTIONS(1346),
    [sym_float_literal] = ACTIONS(1344),
    [sym_rune_literal] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1346),
    [anon_sym_array] = ACTIONS(1346),
    [anon_sym_string] = ACTIONS(1346),
    [anon_sym_char] = ACTIONS(1346),
    [anon_sym_sql] = ACTIONS(1346),
    [anon_sym_mut] = ACTIONS(1346),
    [anon_sym_C] = ACTIONS(1346),
    [anon_sym_JS] = ACTIONS(1346),
    [anon_sym_voidptr] = ACTIONS(1346),
    [anon_sym_byteptr] = ACTIONS(1346),
    [anon_sym_charptr] = ACTIONS(1346),
    [anon_sym_i8] = ACTIONS(1346),
    [anon_sym_i16] = ACTIONS(1346),
    [anon_sym_i32] = ACTIONS(1346),
    [anon_sym_int] = ACTIONS(1346),
    [anon_sym_i64] = ACTIONS(1346),
    [anon_sym_byte] = ACTIONS(1346),
    [anon_sym_u8] = ACTIONS(1346),
    [anon_sym_u16] = ACTIONS(1346),
    [anon_sym_u32] = ACTIONS(1346),
    [anon_sym_u64] = ACTIONS(1346),
    [anon_sym_f32] = ACTIONS(1346),
    [anon_sym_f64] = ACTIONS(1346),
    [anon_sym_bool] = ACTIONS(1346),
    [anon_sym_rune] = ACTIONS(1346),
    [anon_sym_map] = ACTIONS(1346),
    [anon_sym_mapnode] = ACTIONS(1346),
    [anon_sym_size_t] = ACTIONS(1346),
    [anon_sym_usize] = ACTIONS(1346),
    [anon_sym_isize] = ACTIONS(1346),
    [anon_sym_float_literal] = ACTIONS(1346),
    [anon_sym_int_literal] = ACTIONS(1346),
    [anon_sym_IError] = ACTIONS(1346),
    [sym_type_placeholder] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [sym_type_identifier] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_COLON_EQ] = ACTIONS(1344),
    [anon_sym_STAR_EQ] = ACTIONS(1344),
    [anon_sym_SLASH_EQ] = ACTIONS(1344),
    [anon_sym_PERCENT_EQ] = ACTIONS(1344),
    [anon_sym_LT_LT_EQ] = ACTIONS(1344),
    [anon_sym_GT_GT_EQ] = ACTIONS(1344),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1344),
    [anon_sym_AMP_EQ] = ACTIONS(1344),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(1344),
    [anon_sym_DASH_EQ] = ACTIONS(1344),
    [anon_sym_PIPE_EQ] = ACTIONS(1344),
    [anon_sym_CARET_EQ] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1346),
    [anon_sym_assert] = ACTIONS(1346),
    [anon_sym_defer] = ACTIONS(1346),
    [anon_sym_unsafe] = ACTIONS(1346),
    [anon_sym_fn] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_go] = ACTIONS(1346),
    [anon_sym_spawn] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_DOLLARfor] = ACTIONS(1344),
    [anon_sym_DOLLARif] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_is] = ACTIONS(1346),
    [anon_sym_BANGis] = ACTIONS(1344),
    [anon_sym_POUND] = ACTIONS(1344),
    [anon_sym_match] = ACTIONS(1346),
    [anon_sym_select] = ACTIONS(1346),
    [anon_sym_lock] = ACTIONS(1346),
    [anon_sym_rlock] = ACTIONS(1346),
    [sym__automatic_separator] = ACTIONS(1344),
    [sym__c_string_opening] = ACTIONS(1344),
    [sym__raw_string_opening] = ACTIONS(1344),
    [sym__string_opening] = ACTIONS(1344),
    [sym__comment] = ACTIONS(3),
  },
  [974] = {
    [sym_comment] = STATE(974),
    [sym_identifier] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_LT_DASH] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PERCENT] = ACTIONS(1342),
    [anon_sym_LT_LT] = ACTIONS(1342),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_GT_GT_GT] = ACTIONS(1342),
    [anon_sym_AMP_CARET] = ACTIONS(1342),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_in] = ACTIONS(1342),
    [anon_sym_BANGin] = ACTIONS(1340),
    [anon_sym_AMP_AMP] = ACTIONS(1340),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_as] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [sym_none] = ACTIONS(1342),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_map_LBRACK] = ACTIONS(1340),
    [anon_sym_chan] = ACTIONS(1342),
    [anon_sym_shared] = ACTIONS(1342),
    [anon_sym_thread] = ACTIONS(1342),
    [sym_int_literal] = ACTIONS(1342),
    [sym_float_literal] = ACTIONS(1340),
    [sym_rune_literal] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_array] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_char] = ACTIONS(1342),
    [anon_sym_sql] = ACTIONS(1342),
    [anon_sym_mut] = ACTIONS(1342),
    [anon_sym_C] = ACTIONS(1342),
    [anon_sym_JS] = ACTIONS(1342),
    [anon_sym_voidptr] = ACTIONS(1342),
    [anon_sym_byteptr] = ACTIONS(1342),
    [anon_sym_charptr] = ACTIONS(1342),
    [anon_sym_i8] = ACTIONS(1342),
    [anon_sym_i16] = ACTIONS(1342),
    [anon_sym_i32] = ACTIONS(1342),
    [anon_sym_int] = ACTIONS(1342),
    [anon_sym_i64] = ACTIONS(1342),
    [anon_sym_byte] = ACTIONS(1342),
    [anon_sym_u8] = ACTIONS(1342),
    [anon_sym_u16] = ACTIONS(1342),
    [anon_sym_u32] = ACTIONS(1342),
    [anon_sym_u64] = ACTIONS(1342),
    [anon_sym_f32] = ACTIONS(1342),
    [anon_sym_f64] = ACTIONS(1342),
    [anon_sym_bool] = ACTIONS(1342),
    [anon_sym_rune] = ACTIONS(1342),
    [anon_sym_map] = ACTIONS(1342),
    [anon_sym_mapnode] = ACTIONS(1342),
    [anon_sym_size_t] = ACTIONS(1342),
    [anon_sym_usize] = ACTIONS(1342),
    [anon_sym_isize] = ACTIONS(1342),
    [anon_sym_float_literal] = ACTIONS(1342),
    [anon_sym_int_literal] = ACTIONS(1342),
    [anon_sym_IError] = ACTIONS(1342),
    [sym_type_placeholder] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [sym_type_identifier] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_COLON_EQ] = ACTIONS(1340),
    [anon_sym_STAR_EQ] = ACTIONS(1340),
    [anon_sym_SLASH_EQ] = ACTIONS(1340),
    [anon_sym_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_EQ] = ACTIONS(1340),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_EQ] = ACTIONS(1340),
    [anon_sym_DASH_EQ] = ACTIONS(1340),
    [anon_sym_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_CARET_EQ] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1342),
    [anon_sym_assert] = ACTIONS(1342),
    [anon_sym_defer] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1342),
    [anon_sym_fn] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_go] = ACTIONS(1342),
    [anon_sym_spawn] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_DOLLARfor] = ACTIONS(1340),
    [anon_sym_DOLLARif] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_is] = ACTIONS(1342),
    [anon_sym_BANGis] = ACTIONS(1340),
    [anon_sym_POUND] = ACTIONS(1340),
    [anon_sym_match] = ACTIONS(1342),
    [anon_sym_select] = ACTIONS(1342),
    [anon_sym_lock] = ACTIONS(1342),
    [anon_sym_rlock] = ACTIONS(1342),
    [sym__automatic_separator] = ACTIONS(1340),
    [sym__c_string_opening] = ACTIONS(1340),
    [sym__raw_string_opening] = ACTIONS(1340),
    [sym__string_opening] = ACTIONS(1340),
    [sym__comment] = ACTIONS(3),
  },
  [975] = {
    [sym_comment] = STATE(975),
    [sym_identifier] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_LT_DASH] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1370),
    [anon_sym_PERCENT] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1370),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_LT] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1370),
    [anon_sym_BANGin] = ACTIONS(1368),
    [anon_sym_AMP_AMP] = ACTIONS(1368),
    [anon_sym_PIPE_PIPE] = ACTIONS(1368),
    [anon_sym_as] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [sym_none] = ACTIONS(1370),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_map_LBRACK] = ACTIONS(1368),
    [anon_sym_chan] = ACTIONS(1370),
    [anon_sym_shared] = ACTIONS(1370),
    [anon_sym_thread] = ACTIONS(1370),
    [sym_int_literal] = ACTIONS(1370),
    [sym_float_literal] = ACTIONS(1368),
    [sym_rune_literal] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1370),
    [anon_sym_array] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_char] = ACTIONS(1370),
    [anon_sym_sql] = ACTIONS(1370),
    [anon_sym_mut] = ACTIONS(1370),
    [anon_sym_C] = ACTIONS(1370),
    [anon_sym_JS] = ACTIONS(1370),
    [anon_sym_voidptr] = ACTIONS(1370),
    [anon_sym_byteptr] = ACTIONS(1370),
    [anon_sym_charptr] = ACTIONS(1370),
    [anon_sym_i8] = ACTIONS(1370),
    [anon_sym_i16] = ACTIONS(1370),
    [anon_sym_i32] = ACTIONS(1370),
    [anon_sym_int] = ACTIONS(1370),
    [anon_sym_i64] = ACTIONS(1370),
    [anon_sym_byte] = ACTIONS(1370),
    [anon_sym_u8] = ACTIONS(1370),
    [anon_sym_u16] = ACTIONS(1370),
    [anon_sym_u32] = ACTIONS(1370),
    [anon_sym_u64] = ACTIONS(1370),
    [anon_sym_f32] = ACTIONS(1370),
    [anon_sym_f64] = ACTIONS(1370),
    [anon_sym_bool] = ACTIONS(1370),
    [anon_sym_rune] = ACTIONS(1370),
    [anon_sym_map] = ACTIONS(1370),
    [anon_sym_mapnode] = ACTIONS(1370),
    [anon_sym_size_t] = ACTIONS(1370),
    [anon_sym_usize] = ACTIONS(1370),
    [anon_sym_isize] = ACTIONS(1370),
    [anon_sym_float_literal] = ACTIONS(1370),
    [anon_sym_int_literal] = ACTIONS(1370),
    [anon_sym_IError] = ACTIONS(1370),
    [sym_type_placeholder] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [sym_type_identifier] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_COLON_EQ] = ACTIONS(1368),
    [anon_sym_STAR_EQ] = ACTIONS(1368),
    [anon_sym_SLASH_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT_EQ] = ACTIONS(1368),
    [anon_sym_LT_LT_EQ] = ACTIONS(1368),
    [anon_sym_GT_GT_EQ] = ACTIONS(1368),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1368),
    [anon_sym_AMP_EQ] = ACTIONS(1368),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1368),
    [anon_sym_PLUS_EQ] = ACTIONS(1368),
    [anon_sym_DASH_EQ] = ACTIONS(1368),
    [anon_sym_PIPE_EQ] = ACTIONS(1368),
    [anon_sym_CARET_EQ] = ACTIONS(1368),
    [anon_sym_EQ] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1370),
    [anon_sym_defer] = ACTIONS(1370),
    [anon_sym_unsafe] = ACTIONS(1370),
    [anon_sym_fn] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_go] = ACTIONS(1370),
    [anon_sym_spawn] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_DOLLARfor] = ACTIONS(1368),
    [anon_sym_DOLLARif] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_is] = ACTIONS(1370),
    [anon_sym_BANGis] = ACTIONS(1368),
    [anon_sym_POUND] = ACTIONS(1368),
    [anon_sym_match] = ACTIONS(1370),
    [anon_sym_select] = ACTIONS(1370),
    [anon_sym_lock] = ACTIONS(1370),
    [anon_sym_rlock] = ACTIONS(1370),
    [sym__automatic_separator] = ACTIONS(1368),
    [sym__c_string_opening] = ACTIONS(1368),
    [sym__raw_string_opening] = ACTIONS(1368),
    [sym__string_opening] = ACTIONS(1368),
    [sym__comment] = ACTIONS(3),
  },
  [976] = {
    [sym_comment] = STATE(976),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_COLON_EQ] = ACTIONS(1102),
    [anon_sym_STAR_EQ] = ACTIONS(1102),
    [anon_sym_SLASH_EQ] = ACTIONS(1102),
    [anon_sym_PERCENT_EQ] = ACTIONS(1102),
    [anon_sym_LT_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1102),
    [anon_sym_AMP_EQ] = ACTIONS(1102),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1102),
    [anon_sym_PLUS_EQ] = ACTIONS(1102),
    [anon_sym_DASH_EQ] = ACTIONS(1102),
    [anon_sym_PIPE_EQ] = ACTIONS(1102),
    [anon_sym_CARET_EQ] = ACTIONS(1102),
    [anon_sym_EQ] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [977] = {
    [sym_comment] = STATE(977),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_COLON_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [978] = {
    [sym_comment] = STATE(978),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_CARET] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_LT_DASH] = ACTIONS(1278),
    [anon_sym_SLASH] = ACTIONS(1280),
    [anon_sym_PERCENT] = ACTIONS(1280),
    [anon_sym_LT_LT] = ACTIONS(1280),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_GT_GT_GT] = ACTIONS(1280),
    [anon_sym_AMP_CARET] = ACTIONS(1280),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1278),
    [anon_sym_BANG_EQ] = ACTIONS(1278),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_BANGin] = ACTIONS(1278),
    [anon_sym_AMP_AMP] = ACTIONS(1278),
    [anon_sym_PIPE_PIPE] = ACTIONS(1278),
    [anon_sym_as] = ACTIONS(1280),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym_none] = ACTIONS(1280),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_map_LBRACK] = ACTIONS(1278),
    [anon_sym_chan] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_thread] = ACTIONS(1280),
    [sym_int_literal] = ACTIONS(1280),
    [sym_float_literal] = ACTIONS(1278),
    [sym_rune_literal] = ACTIONS(1278),
    [anon_sym_DOT] = ACTIONS(1280),
    [anon_sym_array] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_char] = ACTIONS(1280),
    [anon_sym_sql] = ACTIONS(1280),
    [anon_sym_mut] = ACTIONS(1280),
    [anon_sym_C] = ACTIONS(1280),
    [anon_sym_JS] = ACTIONS(1280),
    [anon_sym_voidptr] = ACTIONS(1280),
    [anon_sym_byteptr] = ACTIONS(1280),
    [anon_sym_charptr] = ACTIONS(1280),
    [anon_sym_i8] = ACTIONS(1280),
    [anon_sym_i16] = ACTIONS(1280),
    [anon_sym_i32] = ACTIONS(1280),
    [anon_sym_int] = ACTIONS(1280),
    [anon_sym_i64] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_u8] = ACTIONS(1280),
    [anon_sym_u16] = ACTIONS(1280),
    [anon_sym_u32] = ACTIONS(1280),
    [anon_sym_u64] = ACTIONS(1280),
    [anon_sym_f32] = ACTIONS(1280),
    [anon_sym_f64] = ACTIONS(1280),
    [anon_sym_bool] = ACTIONS(1280),
    [anon_sym_rune] = ACTIONS(1280),
    [anon_sym_map] = ACTIONS(1280),
    [anon_sym_mapnode] = ACTIONS(1280),
    [anon_sym_size_t] = ACTIONS(1280),
    [anon_sym_usize] = ACTIONS(1280),
    [anon_sym_isize] = ACTIONS(1280),
    [anon_sym_float_literal] = ACTIONS(1280),
    [anon_sym_int_literal] = ACTIONS(1280),
    [anon_sym_IError] = ACTIONS(1280),
    [sym_type_placeholder] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [sym_type_identifier] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_COLON_EQ] = ACTIONS(1278),
    [anon_sym_STAR_EQ] = ACTIONS(1278),
    [anon_sym_SLASH_EQ] = ACTIONS(1278),
    [anon_sym_PERCENT_EQ] = ACTIONS(1278),
    [anon_sym_LT_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT_GT_EQ] = ACTIONS(1278),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1278),
    [anon_sym_AMP_EQ] = ACTIONS(1278),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1278),
    [anon_sym_PLUS_EQ] = ACTIONS(1278),
    [anon_sym_DASH_EQ] = ACTIONS(1278),
    [anon_sym_PIPE_EQ] = ACTIONS(1278),
    [anon_sym_CARET_EQ] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_assert] = ACTIONS(1280),
    [anon_sym_defer] = ACTIONS(1280),
    [anon_sym_unsafe] = ACTIONS(1280),
    [anon_sym_fn] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_go] = ACTIONS(1280),
    [anon_sym_spawn] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_DOLLARfor] = ACTIONS(1278),
    [anon_sym_DOLLARif] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_is] = ACTIONS(1280),
    [anon_sym_BANGis] = ACTIONS(1278),
    [anon_sym_POUND] = ACTIONS(1278),
    [anon_sym_match] = ACTIONS(1280),
    [anon_sym_select] = ACTIONS(1280),
    [anon_sym_lock] = ACTIONS(1280),
    [anon_sym_rlock] = ACTIONS(1280),
    [sym__automatic_separator] = ACTIONS(1278),
    [sym__c_string_opening] = ACTIONS(1278),
    [sym__raw_string_opening] = ACTIONS(1278),
    [sym__string_opening] = ACTIONS(1278),
    [sym__comment] = ACTIONS(3),
  },
  [979] = {
    [sym_comment] = STATE(979),
    [sym_identifier] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_LT_DASH] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1336),
    [anon_sym_PERCENT] = ACTIONS(1336),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_GT_GT_GT] = ACTIONS(1336),
    [anon_sym_AMP_CARET] = ACTIONS(1336),
    [anon_sym_PIPE] = ACTIONS(1336),
    [anon_sym_EQ_EQ] = ACTIONS(1334),
    [anon_sym_BANG_EQ] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1336),
    [anon_sym_LT_EQ] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1336),
    [anon_sym_GT_EQ] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_BANGin] = ACTIONS(1334),
    [anon_sym_AMP_AMP] = ACTIONS(1334),
    [anon_sym_PIPE_PIPE] = ACTIONS(1334),
    [anon_sym_as] = ACTIONS(1336),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [sym_none] = ACTIONS(1336),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_map_LBRACK] = ACTIONS(1334),
    [anon_sym_chan] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_thread] = ACTIONS(1336),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1336),
    [anon_sym_array] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_char] = ACTIONS(1336),
    [anon_sym_sql] = ACTIONS(1336),
    [anon_sym_mut] = ACTIONS(1336),
    [anon_sym_C] = ACTIONS(1336),
    [anon_sym_JS] = ACTIONS(1336),
    [anon_sym_voidptr] = ACTIONS(1336),
    [anon_sym_byteptr] = ACTIONS(1336),
    [anon_sym_charptr] = ACTIONS(1336),
    [anon_sym_i8] = ACTIONS(1336),
    [anon_sym_i16] = ACTIONS(1336),
    [anon_sym_i32] = ACTIONS(1336),
    [anon_sym_int] = ACTIONS(1336),
    [anon_sym_i64] = ACTIONS(1336),
    [anon_sym_byte] = ACTIONS(1336),
    [anon_sym_u8] = ACTIONS(1336),
    [anon_sym_u16] = ACTIONS(1336),
    [anon_sym_u32] = ACTIONS(1336),
    [anon_sym_u64] = ACTIONS(1336),
    [anon_sym_f32] = ACTIONS(1336),
    [anon_sym_f64] = ACTIONS(1336),
    [anon_sym_bool] = ACTIONS(1336),
    [anon_sym_rune] = ACTIONS(1336),
    [anon_sym_map] = ACTIONS(1336),
    [anon_sym_mapnode] = ACTIONS(1336),
    [anon_sym_size_t] = ACTIONS(1336),
    [anon_sym_usize] = ACTIONS(1336),
    [anon_sym_isize] = ACTIONS(1336),
    [anon_sym_float_literal] = ACTIONS(1336),
    [anon_sym_int_literal] = ACTIONS(1336),
    [anon_sym_IError] = ACTIONS(1336),
    [sym_type_placeholder] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [sym_type_identifier] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_COLON_EQ] = ACTIONS(1334),
    [anon_sym_STAR_EQ] = ACTIONS(1334),
    [anon_sym_SLASH_EQ] = ACTIONS(1334),
    [anon_sym_PERCENT_EQ] = ACTIONS(1334),
    [anon_sym_LT_LT_EQ] = ACTIONS(1334),
    [anon_sym_GT_GT_EQ] = ACTIONS(1334),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1334),
    [anon_sym_AMP_EQ] = ACTIONS(1334),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1334),
    [anon_sym_PLUS_EQ] = ACTIONS(1334),
    [anon_sym_DASH_EQ] = ACTIONS(1334),
    [anon_sym_PIPE_EQ] = ACTIONS(1334),
    [anon_sym_CARET_EQ] = ACTIONS(1334),
    [anon_sym_EQ] = ACTIONS(1336),
    [anon_sym_assert] = ACTIONS(1336),
    [anon_sym_defer] = ACTIONS(1336),
    [anon_sym_unsafe] = ACTIONS(1336),
    [anon_sym_fn] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_go] = ACTIONS(1336),
    [anon_sym_spawn] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_DOLLARfor] = ACTIONS(1334),
    [anon_sym_DOLLARif] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_is] = ACTIONS(1336),
    [anon_sym_BANGis] = ACTIONS(1334),
    [anon_sym_POUND] = ACTIONS(1334),
    [anon_sym_match] = ACTIONS(1336),
    [anon_sym_select] = ACTIONS(1336),
    [anon_sym_lock] = ACTIONS(1336),
    [anon_sym_rlock] = ACTIONS(1336),
    [sym__automatic_separator] = ACTIONS(1334),
    [sym__c_string_opening] = ACTIONS(1334),
    [sym__raw_string_opening] = ACTIONS(1334),
    [sym__string_opening] = ACTIONS(1334),
    [sym__comment] = ACTIONS(3),
  },
  [980] = {
    [sym_comment] = STATE(980),
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_LT_DASH] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PERCENT] = ACTIONS(1420),
    [anon_sym_LT_LT] = ACTIONS(1420),
    [anon_sym_GT_GT] = ACTIONS(1420),
    [anon_sym_GT_GT_GT] = ACTIONS(1420),
    [anon_sym_AMP_CARET] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_BANGin] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_as] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [sym_none] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_map_LBRACK] = ACTIONS(1418),
    [anon_sym_chan] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_thread] = ACTIONS(1420),
    [sym_int_literal] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1418),
    [sym_rune_literal] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_array] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_char] = ACTIONS(1420),
    [anon_sym_sql] = ACTIONS(1420),
    [anon_sym_mut] = ACTIONS(1420),
    [anon_sym_C] = ACTIONS(1420),
    [anon_sym_JS] = ACTIONS(1420),
    [anon_sym_voidptr] = ACTIONS(1420),
    [anon_sym_byteptr] = ACTIONS(1420),
    [anon_sym_charptr] = ACTIONS(1420),
    [anon_sym_i8] = ACTIONS(1420),
    [anon_sym_i16] = ACTIONS(1420),
    [anon_sym_i32] = ACTIONS(1420),
    [anon_sym_int] = ACTIONS(1420),
    [anon_sym_i64] = ACTIONS(1420),
    [anon_sym_byte] = ACTIONS(1420),
    [anon_sym_u8] = ACTIONS(1420),
    [anon_sym_u16] = ACTIONS(1420),
    [anon_sym_u32] = ACTIONS(1420),
    [anon_sym_u64] = ACTIONS(1420),
    [anon_sym_f32] = ACTIONS(1420),
    [anon_sym_f64] = ACTIONS(1420),
    [anon_sym_bool] = ACTIONS(1420),
    [anon_sym_rune] = ACTIONS(1420),
    [anon_sym_map] = ACTIONS(1420),
    [anon_sym_mapnode] = ACTIONS(1420),
    [anon_sym_size_t] = ACTIONS(1420),
    [anon_sym_usize] = ACTIONS(1420),
    [anon_sym_isize] = ACTIONS(1420),
    [anon_sym_float_literal] = ACTIONS(1420),
    [anon_sym_int_literal] = ACTIONS(1420),
    [anon_sym_IError] = ACTIONS(1420),
    [sym_type_placeholder] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [sym_type_identifier] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_COLON_EQ] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1418),
    [anon_sym_SLASH_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_AMP_EQ] = ACTIONS(1418),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1418),
    [anon_sym_PLUS_EQ] = ACTIONS(1418),
    [anon_sym_DASH_EQ] = ACTIONS(1418),
    [anon_sym_PIPE_EQ] = ACTIONS(1418),
    [anon_sym_CARET_EQ] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1420),
    [anon_sym_assert] = ACTIONS(1420),
    [anon_sym_defer] = ACTIONS(1420),
    [anon_sym_unsafe] = ACTIONS(1420),
    [anon_sym_fn] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_go] = ACTIONS(1420),
    [anon_sym_spawn] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_DOLLARfor] = ACTIONS(1418),
    [anon_sym_DOLLARif] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_is] = ACTIONS(1420),
    [anon_sym_BANGis] = ACTIONS(1418),
    [anon_sym_POUND] = ACTIONS(1418),
    [anon_sym_match] = ACTIONS(1420),
    [anon_sym_select] = ACTIONS(1420),
    [anon_sym_lock] = ACTIONS(1420),
    [anon_sym_rlock] = ACTIONS(1420),
    [sym__automatic_separator] = ACTIONS(1418),
    [sym__c_string_opening] = ACTIONS(1418),
    [sym__raw_string_opening] = ACTIONS(1418),
    [sym__string_opening] = ACTIONS(1418),
    [sym__comment] = ACTIONS(3),
  },
  [981] = {
    [sym_comment] = STATE(981),
    [sym_identifier] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_LT_DASH] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1366),
    [anon_sym_AMP_CARET] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_EQ_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_in] = ACTIONS(1366),
    [anon_sym_BANGin] = ACTIONS(1364),
    [anon_sym_AMP_AMP] = ACTIONS(1364),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_as] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [sym_none] = ACTIONS(1366),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_map_LBRACK] = ACTIONS(1364),
    [anon_sym_chan] = ACTIONS(1366),
    [anon_sym_shared] = ACTIONS(1366),
    [anon_sym_thread] = ACTIONS(1366),
    [sym_int_literal] = ACTIONS(1366),
    [sym_float_literal] = ACTIONS(1364),
    [sym_rune_literal] = ACTIONS(1364),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_array] = ACTIONS(1366),
    [anon_sym_string] = ACTIONS(1366),
    [anon_sym_char] = ACTIONS(1366),
    [anon_sym_sql] = ACTIONS(1366),
    [anon_sym_mut] = ACTIONS(1366),
    [anon_sym_C] = ACTIONS(1366),
    [anon_sym_JS] = ACTIONS(1366),
    [anon_sym_voidptr] = ACTIONS(1366),
    [anon_sym_byteptr] = ACTIONS(1366),
    [anon_sym_charptr] = ACTIONS(1366),
    [anon_sym_i8] = ACTIONS(1366),
    [anon_sym_i16] = ACTIONS(1366),
    [anon_sym_i32] = ACTIONS(1366),
    [anon_sym_int] = ACTIONS(1366),
    [anon_sym_i64] = ACTIONS(1366),
    [anon_sym_byte] = ACTIONS(1366),
    [anon_sym_u8] = ACTIONS(1366),
    [anon_sym_u16] = ACTIONS(1366),
    [anon_sym_u32] = ACTIONS(1366),
    [anon_sym_u64] = ACTIONS(1366),
    [anon_sym_f32] = ACTIONS(1366),
    [anon_sym_f64] = ACTIONS(1366),
    [anon_sym_bool] = ACTIONS(1366),
    [anon_sym_rune] = ACTIONS(1366),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_mapnode] = ACTIONS(1366),
    [anon_sym_size_t] = ACTIONS(1366),
    [anon_sym_usize] = ACTIONS(1366),
    [anon_sym_isize] = ACTIONS(1366),
    [anon_sym_float_literal] = ACTIONS(1366),
    [anon_sym_int_literal] = ACTIONS(1366),
    [anon_sym_IError] = ACTIONS(1366),
    [sym_type_placeholder] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [sym_type_identifier] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_COLON_EQ] = ACTIONS(1364),
    [anon_sym_STAR_EQ] = ACTIONS(1364),
    [anon_sym_SLASH_EQ] = ACTIONS(1364),
    [anon_sym_PERCENT_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT_GT_EQ] = ACTIONS(1364),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1364),
    [anon_sym_AMP_EQ] = ACTIONS(1364),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1364),
    [anon_sym_PLUS_EQ] = ACTIONS(1364),
    [anon_sym_DASH_EQ] = ACTIONS(1364),
    [anon_sym_PIPE_EQ] = ACTIONS(1364),
    [anon_sym_CARET_EQ] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1366),
    [anon_sym_assert] = ACTIONS(1366),
    [anon_sym_defer] = ACTIONS(1366),
    [anon_sym_unsafe] = ACTIONS(1366),
    [anon_sym_fn] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_go] = ACTIONS(1366),
    [anon_sym_spawn] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_DOLLARfor] = ACTIONS(1364),
    [anon_sym_DOLLARif] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_is] = ACTIONS(1366),
    [anon_sym_BANGis] = ACTIONS(1364),
    [anon_sym_POUND] = ACTIONS(1364),
    [anon_sym_match] = ACTIONS(1366),
    [anon_sym_select] = ACTIONS(1366),
    [anon_sym_lock] = ACTIONS(1366),
    [anon_sym_rlock] = ACTIONS(1366),
    [sym__automatic_separator] = ACTIONS(1364),
    [sym__c_string_opening] = ACTIONS(1364),
    [sym__raw_string_opening] = ACTIONS(1364),
    [sym__string_opening] = ACTIONS(1364),
    [sym__comment] = ACTIONS(3),
  },
  [982] = {
    [sym_comment] = STATE(982),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_CARET] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_LT_DASH] = ACTIONS(1290),
    [anon_sym_SLASH] = ACTIONS(1292),
    [anon_sym_PERCENT] = ACTIONS(1292),
    [anon_sym_LT_LT] = ACTIONS(1292),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_GT_GT_GT] = ACTIONS(1292),
    [anon_sym_AMP_CARET] = ACTIONS(1292),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_EQ_EQ] = ACTIONS(1290),
    [anon_sym_BANG_EQ] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_BANGin] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_as] = ACTIONS(1292),
    [anon_sym_COMMA] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [sym_none] = ACTIONS(1292),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_map_LBRACK] = ACTIONS(1290),
    [anon_sym_chan] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_thread] = ACTIONS(1292),
    [sym_int_literal] = ACTIONS(1292),
    [sym_float_literal] = ACTIONS(1290),
    [sym_rune_literal] = ACTIONS(1290),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_array] = ACTIONS(1292),
    [anon_sym_string] = ACTIONS(1292),
    [anon_sym_char] = ACTIONS(1292),
    [anon_sym_sql] = ACTIONS(1292),
    [anon_sym_mut] = ACTIONS(1292),
    [anon_sym_C] = ACTIONS(1292),
    [anon_sym_JS] = ACTIONS(1292),
    [anon_sym_voidptr] = ACTIONS(1292),
    [anon_sym_byteptr] = ACTIONS(1292),
    [anon_sym_charptr] = ACTIONS(1292),
    [anon_sym_i8] = ACTIONS(1292),
    [anon_sym_i16] = ACTIONS(1292),
    [anon_sym_i32] = ACTIONS(1292),
    [anon_sym_int] = ACTIONS(1292),
    [anon_sym_i64] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(1292),
    [anon_sym_u8] = ACTIONS(1292),
    [anon_sym_u16] = ACTIONS(1292),
    [anon_sym_u32] = ACTIONS(1292),
    [anon_sym_u64] = ACTIONS(1292),
    [anon_sym_f32] = ACTIONS(1292),
    [anon_sym_f64] = ACTIONS(1292),
    [anon_sym_bool] = ACTIONS(1292),
    [anon_sym_rune] = ACTIONS(1292),
    [anon_sym_map] = ACTIONS(1292),
    [anon_sym_mapnode] = ACTIONS(1292),
    [anon_sym_size_t] = ACTIONS(1292),
    [anon_sym_usize] = ACTIONS(1292),
    [anon_sym_isize] = ACTIONS(1292),
    [anon_sym_float_literal] = ACTIONS(1292),
    [anon_sym_int_literal] = ACTIONS(1292),
    [anon_sym_IError] = ACTIONS(1292),
    [sym_type_placeholder] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [sym_type_identifier] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_COLON_EQ] = ACTIONS(1290),
    [anon_sym_STAR_EQ] = ACTIONS(1290),
    [anon_sym_SLASH_EQ] = ACTIONS(1290),
    [anon_sym_PERCENT_EQ] = ACTIONS(1290),
    [anon_sym_LT_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT_GT_EQ] = ACTIONS(1290),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1290),
    [anon_sym_AMP_EQ] = ACTIONS(1290),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1290),
    [anon_sym_PLUS_EQ] = ACTIONS(1290),
    [anon_sym_DASH_EQ] = ACTIONS(1290),
    [anon_sym_PIPE_EQ] = ACTIONS(1290),
    [anon_sym_CARET_EQ] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_assert] = ACTIONS(1292),
    [anon_sym_defer] = ACTIONS(1292),
    [anon_sym_unsafe] = ACTIONS(1292),
    [anon_sym_fn] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_go] = ACTIONS(1292),
    [anon_sym_spawn] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_DOLLARfor] = ACTIONS(1290),
    [anon_sym_DOLLARif] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_is] = ACTIONS(1292),
    [anon_sym_BANGis] = ACTIONS(1290),
    [anon_sym_POUND] = ACTIONS(1290),
    [anon_sym_match] = ACTIONS(1292),
    [anon_sym_select] = ACTIONS(1292),
    [anon_sym_lock] = ACTIONS(1292),
    [anon_sym_rlock] = ACTIONS(1292),
    [sym__automatic_separator] = ACTIONS(1290),
    [sym__c_string_opening] = ACTIONS(1290),
    [sym__raw_string_opening] = ACTIONS(1290),
    [sym__string_opening] = ACTIONS(1290),
    [sym__comment] = ACTIONS(3),
  },
  [983] = {
    [sym_comment] = STATE(983),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1566),
    [anon_sym_STAR] = ACTIONS(1566),
    [anon_sym_AMP] = ACTIONS(1566),
    [anon_sym_LT_DASH] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1566),
    [anon_sym_PERCENT] = ACTIONS(1566),
    [anon_sym_LT_LT] = ACTIONS(1566),
    [anon_sym_GT_GT] = ACTIONS(1566),
    [anon_sym_GT_GT_GT] = ACTIONS(1566),
    [anon_sym_AMP_CARET] = ACTIONS(1566),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_LT_EQ] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1566),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_in] = ACTIONS(1566),
    [anon_sym_BANGin] = ACTIONS(1564),
    [anon_sym_AMP_AMP] = ACTIONS(1564),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_as] = ACTIONS(1566),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [sym_none] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_map_LBRACK] = ACTIONS(1564),
    [anon_sym_chan] = ACTIONS(1566),
    [anon_sym_shared] = ACTIONS(1566),
    [anon_sym_thread] = ACTIONS(1566),
    [sym_int_literal] = ACTIONS(1566),
    [sym_float_literal] = ACTIONS(1564),
    [sym_rune_literal] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_array] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_sql] = ACTIONS(1566),
    [anon_sym_mut] = ACTIONS(1566),
    [anon_sym_C] = ACTIONS(1566),
    [anon_sym_JS] = ACTIONS(1566),
    [anon_sym_voidptr] = ACTIONS(1566),
    [anon_sym_byteptr] = ACTIONS(1566),
    [anon_sym_charptr] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_int] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_byte] = ACTIONS(1566),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_rune] = ACTIONS(1566),
    [anon_sym_map] = ACTIONS(1566),
    [anon_sym_mapnode] = ACTIONS(1566),
    [anon_sym_size_t] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_float_literal] = ACTIONS(1566),
    [anon_sym_int_literal] = ACTIONS(1566),
    [anon_sym_IError] = ACTIONS(1566),
    [sym_type_placeholder] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [sym_type_identifier] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_COLON_EQ] = ACTIONS(1564),
    [anon_sym_STAR_EQ] = ACTIONS(1564),
    [anon_sym_SLASH_EQ] = ACTIONS(1564),
    [anon_sym_PERCENT_EQ] = ACTIONS(1564),
    [anon_sym_LT_LT_EQ] = ACTIONS(1564),
    [anon_sym_GT_GT_EQ] = ACTIONS(1564),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1564),
    [anon_sym_AMP_EQ] = ACTIONS(1564),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1564),
    [anon_sym_PLUS_EQ] = ACTIONS(1564),
    [anon_sym_DASH_EQ] = ACTIONS(1564),
    [anon_sym_PIPE_EQ] = ACTIONS(1564),
    [anon_sym_CARET_EQ] = ACTIONS(1564),
    [anon_sym_EQ] = ACTIONS(1566),
    [anon_sym_assert] = ACTIONS(1566),
    [anon_sym_defer] = ACTIONS(1566),
    [anon_sym_unsafe] = ACTIONS(1566),
    [anon_sym_fn] = ACTIONS(1566),
    [anon_sym_asm] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_continue] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_go] = ACTIONS(1566),
    [anon_sym_spawn] = ACTIONS(1566),
    [anon_sym_goto] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_DOLLARfor] = ACTIONS(1564),
    [anon_sym_DOLLARif] = ACTIONS(1564),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_is] = ACTIONS(1566),
    [anon_sym_BANGis] = ACTIONS(1564),
    [anon_sym_POUND] = ACTIONS(1564),
    [anon_sym_match] = ACTIONS(1566),
    [anon_sym_select] = ACTIONS(1566),
    [anon_sym_lock] = ACTIONS(1566),
    [anon_sym_rlock] = ACTIONS(1566),
    [sym__automatic_separator] = ACTIONS(1564),
    [sym__c_string_opening] = ACTIONS(1564),
    [sym__raw_string_opening] = ACTIONS(1564),
    [sym__string_opening] = ACTIONS(1564),
    [sym__comment] = ACTIONS(3),
  },
  [984] = {
    [sym_comment] = STATE(984),
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LT_DASH] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1490),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_AMP_CARET] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_in] = ACTIONS(1490),
    [anon_sym_BANGin] = ACTIONS(1488),
    [anon_sym_AMP_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_as] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [sym_none] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_map_LBRACK] = ACTIONS(1488),
    [anon_sym_chan] = ACTIONS(1490),
    [anon_sym_shared] = ACTIONS(1490),
    [anon_sym_thread] = ACTIONS(1490),
    [sym_int_literal] = ACTIONS(1490),
    [sym_float_literal] = ACTIONS(1488),
    [sym_rune_literal] = ACTIONS(1488),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_array] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_char] = ACTIONS(1490),
    [anon_sym_sql] = ACTIONS(1490),
    [anon_sym_mut] = ACTIONS(1490),
    [anon_sym_C] = ACTIONS(1490),
    [anon_sym_JS] = ACTIONS(1490),
    [anon_sym_voidptr] = ACTIONS(1490),
    [anon_sym_byteptr] = ACTIONS(1490),
    [anon_sym_charptr] = ACTIONS(1490),
    [anon_sym_i8] = ACTIONS(1490),
    [anon_sym_i16] = ACTIONS(1490),
    [anon_sym_i32] = ACTIONS(1490),
    [anon_sym_int] = ACTIONS(1490),
    [anon_sym_i64] = ACTIONS(1490),
    [anon_sym_byte] = ACTIONS(1490),
    [anon_sym_u8] = ACTIONS(1490),
    [anon_sym_u16] = ACTIONS(1490),
    [anon_sym_u32] = ACTIONS(1490),
    [anon_sym_u64] = ACTIONS(1490),
    [anon_sym_f32] = ACTIONS(1490),
    [anon_sym_f64] = ACTIONS(1490),
    [anon_sym_bool] = ACTIONS(1490),
    [anon_sym_rune] = ACTIONS(1490),
    [anon_sym_map] = ACTIONS(1490),
    [anon_sym_mapnode] = ACTIONS(1490),
    [anon_sym_size_t] = ACTIONS(1490),
    [anon_sym_usize] = ACTIONS(1490),
    [anon_sym_isize] = ACTIONS(1490),
    [anon_sym_float_literal] = ACTIONS(1490),
    [anon_sym_int_literal] = ACTIONS(1490),
    [anon_sym_IError] = ACTIONS(1490),
    [sym_type_placeholder] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym_type_identifier] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_COLON_EQ] = ACTIONS(1488),
    [anon_sym_STAR_EQ] = ACTIONS(1488),
    [anon_sym_SLASH_EQ] = ACTIONS(1488),
    [anon_sym_PERCENT_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT_EQ] = ACTIONS(1488),
    [anon_sym_GT_GT_EQ] = ACTIONS(1488),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1488),
    [anon_sym_AMP_EQ] = ACTIONS(1488),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1488),
    [anon_sym_PLUS_EQ] = ACTIONS(1488),
    [anon_sym_DASH_EQ] = ACTIONS(1488),
    [anon_sym_PIPE_EQ] = ACTIONS(1488),
    [anon_sym_CARET_EQ] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1490),
    [anon_sym_assert] = ACTIONS(1490),
    [anon_sym_defer] = ACTIONS(1490),
    [anon_sym_unsafe] = ACTIONS(1490),
    [anon_sym_fn] = ACTIONS(1490),
    [anon_sym_asm] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_continue] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_go] = ACTIONS(1490),
    [anon_sym_spawn] = ACTIONS(1490),
    [anon_sym_goto] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [anon_sym_DOLLARfor] = ACTIONS(1488),
    [anon_sym_DOLLARif] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_is] = ACTIONS(1490),
    [anon_sym_BANGis] = ACTIONS(1488),
    [anon_sym_POUND] = ACTIONS(1488),
    [anon_sym_match] = ACTIONS(1490),
    [anon_sym_select] = ACTIONS(1490),
    [anon_sym_lock] = ACTIONS(1490),
    [anon_sym_rlock] = ACTIONS(1490),
    [sym__automatic_separator] = ACTIONS(1488),
    [sym__c_string_opening] = ACTIONS(1488),
    [sym__raw_string_opening] = ACTIONS(1488),
    [sym__string_opening] = ACTIONS(1488),
    [sym__comment] = ACTIONS(3),
  },
  [985] = {
    [sym_comment] = STATE(985),
    [sym_fixed_array_type] = STATE(1237),
    [sym_array_type] = STATE(1237),
    [sym_pointer_type] = STATE(1237),
    [sym_map_type] = STATE(1237),
    [sym_channel_type] = STATE(1237),
    [sym_shared_type] = STATE(1237),
    [sym_thread_type] = STATE(1237),
    [sym_binded_identifier] = STATE(1246),
    [sym_multi_return_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_builtin_type] = STATE(1237),
    [sym__binded_type] = STATE(1237),
    [sym_generic_type] = STATE(1237),
    [sym_qualified_type] = STATE(1191),
    [sym_function_type] = STATE(1237),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(736),
    [anon_sym_TILDE] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_LT_DASH] = ACTIONS(734),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(734),
    [anon_sym_AMP_CARET] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_DOLLAR] = ACTIONS(736),
    [sym_none] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_map_LBRACK] = ACTIONS(3178),
    [anon_sym_chan] = ACTIONS(3180),
    [anon_sym_shared] = ACTIONS(3182),
    [anon_sym_thread] = ACTIONS(3184),
    [sym_int_literal] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(734),
    [sym_rune_literal] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_char] = ACTIONS(3186),
    [anon_sym_sql] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(3188),
    [anon_sym_JS] = ACTIONS(3188),
    [anon_sym_voidptr] = ACTIONS(3186),
    [anon_sym_byteptr] = ACTIONS(3186),
    [anon_sym_charptr] = ACTIONS(3186),
    [anon_sym_i8] = ACTIONS(3186),
    [anon_sym_i16] = ACTIONS(3186),
    [anon_sym_i32] = ACTIONS(3186),
    [anon_sym_int] = ACTIONS(3186),
    [anon_sym_i64] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_u8] = ACTIONS(3186),
    [anon_sym_u16] = ACTIONS(3186),
    [anon_sym_u32] = ACTIONS(3186),
    [anon_sym_u64] = ACTIONS(3186),
    [anon_sym_f32] = ACTIONS(3186),
    [anon_sym_f64] = ACTIONS(3186),
    [anon_sym_bool] = ACTIONS(3186),
    [anon_sym_rune] = ACTIONS(3186),
    [anon_sym_map] = ACTIONS(3186),
    [anon_sym_mapnode] = ACTIONS(3186),
    [anon_sym_size_t] = ACTIONS(3186),
    [anon_sym_usize] = ACTIONS(3186),
    [anon_sym_isize] = ACTIONS(3186),
    [anon_sym_float_literal] = ACTIONS(3186),
    [anon_sym_int_literal] = ACTIONS(3186),
    [anon_sym_IError] = ACTIONS(3186),
    [sym_type_placeholder] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(736),
    [sym_type_identifier] = ACTIONS(3192),
    [anon_sym_assert] = ACTIONS(736),
    [anon_sym_defer] = ACTIONS(736),
    [anon_sym_unsafe] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(3194),
    [anon_sym_asm] = ACTIONS(736),
    [anon_sym_break] = ACTIONS(736),
    [anon_sym_continue] = ACTIONS(736),
    [anon_sym_return] = ACTIONS(736),
    [anon_sym_go] = ACTIONS(736),
    [anon_sym_spawn] = ACTIONS(736),
    [anon_sym_goto] = ACTIONS(736),
    [anon_sym_for] = ACTIONS(736),
    [anon_sym_DOLLARfor] = ACTIONS(734),
    [anon_sym_DOLLARif] = ACTIONS(734),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [anon_sym_POUND] = ACTIONS(734),
    [anon_sym_match] = ACTIONS(736),
    [anon_sym_select] = ACTIONS(736),
    [anon_sym_lock] = ACTIONS(736),
    [anon_sym_rlock] = ACTIONS(736),
    [sym__automatic_separator] = ACTIONS(734),
    [sym__c_string_opening] = ACTIONS(734),
    [sym__raw_string_opening] = ACTIONS(734),
    [sym__string_opening] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [986] = {
    [sym_comment] = STATE(986),
    [sym_fixed_array_type] = STATE(1237),
    [sym_array_type] = STATE(1237),
    [sym_pointer_type] = STATE(1237),
    [sym_map_type] = STATE(1237),
    [sym_channel_type] = STATE(1237),
    [sym_shared_type] = STATE(1237),
    [sym_thread_type] = STATE(1237),
    [sym_binded_identifier] = STATE(1246),
    [sym_multi_return_type] = STATE(1299),
    [sym__simple_type] = STATE(1299),
    [sym_builtin_type] = STATE(1237),
    [sym__binded_type] = STATE(1237),
    [sym_generic_type] = STATE(1237),
    [sym_qualified_type] = STATE(1191),
    [sym_function_type] = STATE(1237),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_LT_DASH] = ACTIONS(738),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(738),
    [anon_sym_AMP_CARET] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_DOLLAR] = ACTIONS(740),
    [sym_none] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_map_LBRACK] = ACTIONS(3178),
    [anon_sym_chan] = ACTIONS(3180),
    [anon_sym_shared] = ACTIONS(3182),
    [anon_sym_thread] = ACTIONS(3184),
    [sym_int_literal] = ACTIONS(740),
    [sym_float_literal] = ACTIONS(738),
    [sym_rune_literal] = ACTIONS(738),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_char] = ACTIONS(3186),
    [anon_sym_sql] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(3188),
    [anon_sym_JS] = ACTIONS(3188),
    [anon_sym_voidptr] = ACTIONS(3186),
    [anon_sym_byteptr] = ACTIONS(3186),
    [anon_sym_charptr] = ACTIONS(3186),
    [anon_sym_i8] = ACTIONS(3186),
    [anon_sym_i16] = ACTIONS(3186),
    [anon_sym_i32] = ACTIONS(3186),
    [anon_sym_int] = ACTIONS(3186),
    [anon_sym_i64] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_u8] = ACTIONS(3186),
    [anon_sym_u16] = ACTIONS(3186),
    [anon_sym_u32] = ACTIONS(3186),
    [anon_sym_u64] = ACTIONS(3186),
    [anon_sym_f32] = ACTIONS(3186),
    [anon_sym_f64] = ACTIONS(3186),
    [anon_sym_bool] = ACTIONS(3186),
    [anon_sym_rune] = ACTIONS(3186),
    [anon_sym_map] = ACTIONS(3186),
    [anon_sym_mapnode] = ACTIONS(3186),
    [anon_sym_size_t] = ACTIONS(3186),
    [anon_sym_usize] = ACTIONS(3186),
    [anon_sym_isize] = ACTIONS(3186),
    [anon_sym_float_literal] = ACTIONS(3186),
    [anon_sym_int_literal] = ACTIONS(3186),
    [anon_sym_IError] = ACTIONS(3186),
    [sym_type_placeholder] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(740),
    [sym_type_identifier] = ACTIONS(3192),
    [anon_sym_assert] = ACTIONS(740),
    [anon_sym_defer] = ACTIONS(740),
    [anon_sym_unsafe] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(3194),
    [anon_sym_asm] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_go] = ACTIONS(740),
    [anon_sym_spawn] = ACTIONS(740),
    [anon_sym_goto] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_DOLLARfor] = ACTIONS(738),
    [anon_sym_DOLLARif] = ACTIONS(738),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [anon_sym_POUND] = ACTIONS(738),
    [anon_sym_match] = ACTIONS(740),
    [anon_sym_select] = ACTIONS(740),
    [anon_sym_lock] = ACTIONS(740),
    [anon_sym_rlock] = ACTIONS(740),
    [sym__automatic_separator] = ACTIONS(738),
    [sym__c_string_opening] = ACTIONS(738),
    [sym__raw_string_opening] = ACTIONS(738),
    [sym__string_opening] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [987] = {
    [sym_special_argument_list] = STATE(991),
    [sym_comment] = STATE(987),
    [sym_argument_list] = STATE(988),
    [sym_type_parameters] = STATE(4502),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(3250),
    [anon_sym_BANGis] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [988] = {
    [sym_option_propagator] = STATE(1093),
    [sym_or_block] = STATE(1090),
    [sym_comment] = STATE(988),
    [ts_builtin_sym_end] = ACTIONS(873),
    [sym_identifier] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(873),
    [anon_sym_PLUS] = ACTIONS(873),
    [anon_sym_DASH] = ACTIONS(873),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(873),
    [anon_sym_CARET] = ACTIONS(873),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_GT_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(873),
    [anon_sym_BANG_EQ] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(873),
    [anon_sym_GT] = ACTIONS(875),
    [anon_sym_GT_EQ] = ACTIONS(873),
    [anon_sym_in] = ACTIONS(875),
    [anon_sym_BANGin] = ACTIONS(873),
    [anon_sym_AMP_AMP] = ACTIONS(873),
    [anon_sym_PIPE_PIPE] = ACTIONS(873),
    [anon_sym_as] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(873),
    [anon_sym_DOLLAR] = ACTIONS(875),
    [anon_sym_QMARK] = ACTIONS(3256),
    [anon_sym_or] = ACTIONS(3258),
    [sym_none] = ACTIONS(875),
    [sym_true] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_map_LBRACK] = ACTIONS(873),
    [anon_sym_chan] = ACTIONS(875),
    [anon_sym_shared] = ACTIONS(875),
    [anon_sym_thread] = ACTIONS(875),
    [sym_int_literal] = ACTIONS(875),
    [sym_float_literal] = ACTIONS(873),
    [sym_rune_literal] = ACTIONS(873),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_array] = ACTIONS(875),
    [anon_sym_string] = ACTIONS(875),
    [anon_sym_char] = ACTIONS(875),
    [anon_sym_sql] = ACTIONS(875),
    [anon_sym_mut] = ACTIONS(875),
    [anon_sym_C] = ACTIONS(875),
    [anon_sym_JS] = ACTIONS(875),
    [anon_sym_voidptr] = ACTIONS(875),
    [anon_sym_byteptr] = ACTIONS(875),
    [anon_sym_charptr] = ACTIONS(875),
    [anon_sym_i8] = ACTIONS(875),
    [anon_sym_i16] = ACTIONS(875),
    [anon_sym_i32] = ACTIONS(875),
    [anon_sym_int] = ACTIONS(875),
    [anon_sym_i64] = ACTIONS(875),
    [anon_sym_byte] = ACTIONS(875),
    [anon_sym_u8] = ACTIONS(875),
    [anon_sym_u16] = ACTIONS(875),
    [anon_sym_u32] = ACTIONS(875),
    [anon_sym_u64] = ACTIONS(875),
    [anon_sym_f32] = ACTIONS(875),
    [anon_sym_f64] = ACTIONS(875),
    [anon_sym_bool] = ACTIONS(875),
    [anon_sym_rune] = ACTIONS(875),
    [anon_sym_map] = ACTIONS(875),
    [anon_sym_mapnode] = ACTIONS(875),
    [anon_sym_size_t] = ACTIONS(875),
    [anon_sym_usize] = ACTIONS(875),
    [anon_sym_isize] = ACTIONS(875),
    [anon_sym_float_literal] = ACTIONS(875),
    [anon_sym_int_literal] = ACTIONS(875),
    [anon_sym_IError] = ACTIONS(875),
    [sym_type_placeholder] = ACTIONS(875),
    [anon_sym_AT] = ACTIONS(875),
    [sym_type_identifier] = ACTIONS(875),
    [anon_sym_assert] = ACTIONS(875),
    [anon_sym_defer] = ACTIONS(875),
    [anon_sym_unsafe] = ACTIONS(875),
    [anon_sym_pub] = ACTIONS(875),
    [anon_sym_fn] = ACTIONS(875),
    [anon_sym___global] = ACTIONS(875),
    [anon_sym_const] = ACTIONS(875),
    [anon_sym_asm] = ACTIONS(875),
    [anon_sym_break] = ACTIONS(875),
    [anon_sym_continue] = ACTIONS(875),
    [anon_sym_return] = ACTIONS(875),
    [anon_sym_type] = ACTIONS(875),
    [anon_sym_go] = ACTIONS(875),
    [anon_sym_spawn] = ACTIONS(875),
    [anon_sym_goto] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(875),
    [anon_sym_DOLLARfor] = ACTIONS(873),
    [anon_sym_DOLLARif] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_is] = ACTIONS(875),
    [anon_sym_BANGis] = ACTIONS(873),
    [anon_sym_struct] = ACTIONS(875),
    [anon_sym_union] = ACTIONS(875),
    [anon_sym_enum] = ACTIONS(875),
    [anon_sym_interface] = ACTIONS(875),
    [anon_sym_POUND] = ACTIONS(873),
    [anon_sym_module] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(875),
    [anon_sym_match] = ACTIONS(875),
    [anon_sym_select] = ACTIONS(875),
    [anon_sym_lock] = ACTIONS(875),
    [anon_sym_rlock] = ACTIONS(875),
    [sym__automatic_separator] = ACTIONS(873),
    [sym__c_string_opening] = ACTIONS(873),
    [sym__raw_string_opening] = ACTIONS(873),
    [sym__string_opening] = ACTIONS(873),
    [sym__comment] = ACTIONS(3),
  },
  [989] = {
    [sym_option_propagator] = STATE(1064),
    [sym_or_block] = STATE(1090),
    [sym_comment] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(877),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_AMP] = ACTIONS(879),
    [anon_sym_LT_DASH] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(879),
    [anon_sym_GT_GT_GT] = ACTIONS(877),
    [anon_sym_AMP_CARET] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(879),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(879),
    [anon_sym_BANGin] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(879),
    [anon_sym_COMMA] = ACTIONS(877),
    [anon_sym_DOLLAR] = ACTIONS(879),
    [anon_sym_QMARK] = ACTIONS(3256),
    [anon_sym_or] = ACTIONS(3258),
    [sym_none] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_map_LBRACK] = ACTIONS(877),
    [anon_sym_chan] = ACTIONS(879),
    [anon_sym_shared] = ACTIONS(879),
    [anon_sym_thread] = ACTIONS(879),
    [sym_int_literal] = ACTIONS(879),
    [sym_float_literal] = ACTIONS(877),
    [sym_rune_literal] = ACTIONS(877),
    [anon_sym_DOT] = ACTIONS(879),
    [anon_sym_array] = ACTIONS(879),
    [anon_sym_string] = ACTIONS(879),
    [anon_sym_char] = ACTIONS(879),
    [anon_sym_sql] = ACTIONS(879),
    [anon_sym_mut] = ACTIONS(879),
    [anon_sym_C] = ACTIONS(879),
    [anon_sym_JS] = ACTIONS(879),
    [anon_sym_voidptr] = ACTIONS(879),
    [anon_sym_byteptr] = ACTIONS(879),
    [anon_sym_charptr] = ACTIONS(879),
    [anon_sym_i8] = ACTIONS(879),
    [anon_sym_i16] = ACTIONS(879),
    [anon_sym_i32] = ACTIONS(879),
    [anon_sym_int] = ACTIONS(879),
    [anon_sym_i64] = ACTIONS(879),
    [anon_sym_byte] = ACTIONS(879),
    [anon_sym_u8] = ACTIONS(879),
    [anon_sym_u16] = ACTIONS(879),
    [anon_sym_u32] = ACTIONS(879),
    [anon_sym_u64] = ACTIONS(879),
    [anon_sym_f32] = ACTIONS(879),
    [anon_sym_f64] = ACTIONS(879),
    [anon_sym_bool] = ACTIONS(879),
    [anon_sym_rune] = ACTIONS(879),
    [anon_sym_map] = ACTIONS(879),
    [anon_sym_mapnode] = ACTIONS(879),
    [anon_sym_size_t] = ACTIONS(879),
    [anon_sym_usize] = ACTIONS(879),
    [anon_sym_isize] = ACTIONS(879),
    [anon_sym_float_literal] = ACTIONS(879),
    [anon_sym_int_literal] = ACTIONS(879),
    [anon_sym_IError] = ACTIONS(879),
    [sym_type_placeholder] = ACTIONS(879),
    [anon_sym_AT] = ACTIONS(879),
    [sym_type_identifier] = ACTIONS(879),
    [anon_sym_assert] = ACTIONS(879),
    [anon_sym_defer] = ACTIONS(879),
    [anon_sym_unsafe] = ACTIONS(879),
    [anon_sym_pub] = ACTIONS(879),
    [anon_sym_fn] = ACTIONS(879),
    [anon_sym___global] = ACTIONS(879),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_asm] = ACTIONS(879),
    [anon_sym_break] = ACTIONS(879),
    [anon_sym_continue] = ACTIONS(879),
    [anon_sym_return] = ACTIONS(879),
    [anon_sym_type] = ACTIONS(879),
    [anon_sym_go] = ACTIONS(879),
    [anon_sym_spawn] = ACTIONS(879),
    [anon_sym_goto] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_DOLLARfor] = ACTIONS(877),
    [anon_sym_DOLLARif] = ACTIONS(877),
    [anon_sym_if] = ACTIONS(879),
    [anon_sym_is] = ACTIONS(879),
    [anon_sym_BANGis] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(879),
    [anon_sym_union] = ACTIONS(879),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_interface] = ACTIONS(879),
    [anon_sym_POUND] = ACTIONS(877),
    [anon_sym_module] = ACTIONS(879),
    [anon_sym_import] = ACTIONS(879),
    [anon_sym_match] = ACTIONS(879),
    [anon_sym_select] = ACTIONS(879),
    [anon_sym_lock] = ACTIONS(879),
    [anon_sym_rlock] = ACTIONS(879),
    [sym__automatic_separator] = ACTIONS(877),
    [sym__c_string_opening] = ACTIONS(877),
    [sym__raw_string_opening] = ACTIONS(877),
    [sym__string_opening] = ACTIONS(877),
    [sym__comment] = ACTIONS(3),
  },
  [990] = {
    [sym_comment] = STATE(990),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_LT_DASH] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(746),
    [anon_sym_AMP_CARET] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_DOLLAR] = ACTIONS(750),
    [sym_none] = ACTIONS(750),
    [sym_true] = ACTIONS(750),
    [sym_false] = ACTIONS(750),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(750),
    [sym_float_literal] = ACTIONS(746),
    [sym_rune_literal] = ACTIONS(746),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_sql] = ACTIONS(750),
    [anon_sym_mut] = ACTIONS(750),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [anon_sym_AT] = ACTIONS(750),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_assert] = ACTIONS(750),
    [anon_sym_defer] = ACTIONS(750),
    [anon_sym_unsafe] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_asm] = ACTIONS(750),
    [anon_sym_break] = ACTIONS(750),
    [anon_sym_continue] = ACTIONS(750),
    [anon_sym_return] = ACTIONS(750),
    [anon_sym_go] = ACTIONS(750),
    [anon_sym_spawn] = ACTIONS(750),
    [anon_sym_goto] = ACTIONS(750),
    [anon_sym_for] = ACTIONS(750),
    [anon_sym_DOLLARfor] = ACTIONS(746),
    [anon_sym_DOLLARif] = ACTIONS(746),
    [anon_sym_if] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [anon_sym_POUND] = ACTIONS(746),
    [anon_sym_match] = ACTIONS(750),
    [anon_sym_select] = ACTIONS(750),
    [anon_sym_lock] = ACTIONS(750),
    [anon_sym_rlock] = ACTIONS(750),
    [sym__automatic_separator] = ACTIONS(746),
    [sym__c_string_opening] = ACTIONS(746),
    [sym__raw_string_opening] = ACTIONS(746),
    [sym__string_opening] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [991] = {
    [sym_option_propagator] = STATE(1091),
    [sym_or_block] = STATE(1090),
    [sym_comment] = STATE(991),
    [ts_builtin_sym_end] = ACTIONS(863),
    [sym_identifier] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_STAR] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_LT_DASH] = ACTIONS(863),
    [anon_sym_SLASH] = ACTIONS(863),
    [anon_sym_PERCENT] = ACTIONS(863),
    [anon_sym_LT_LT] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(865),
    [anon_sym_GT_GT_GT] = ACTIONS(863),
    [anon_sym_AMP_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(863),
    [anon_sym_BANG_EQ] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(863),
    [anon_sym_in] = ACTIONS(865),
    [anon_sym_BANGin] = ACTIONS(863),
    [anon_sym_AMP_AMP] = ACTIONS(863),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_as] = ACTIONS(865),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOLLAR] = ACTIONS(865),
    [anon_sym_QMARK] = ACTIONS(3256),
    [anon_sym_or] = ACTIONS(3258),
    [sym_none] = ACTIONS(865),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_map_LBRACK] = ACTIONS(863),
    [anon_sym_chan] = ACTIONS(865),
    [anon_sym_shared] = ACTIONS(865),
    [anon_sym_thread] = ACTIONS(865),
    [sym_int_literal] = ACTIONS(865),
    [sym_float_literal] = ACTIONS(863),
    [sym_rune_literal] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_array] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_char] = ACTIONS(865),
    [anon_sym_sql] = ACTIONS(865),
    [anon_sym_mut] = ACTIONS(865),
    [anon_sym_C] = ACTIONS(865),
    [anon_sym_JS] = ACTIONS(865),
    [anon_sym_voidptr] = ACTIONS(865),
    [anon_sym_byteptr] = ACTIONS(865),
    [anon_sym_charptr] = ACTIONS(865),
    [anon_sym_i8] = ACTIONS(865),
    [anon_sym_i16] = ACTIONS(865),
    [anon_sym_i32] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_i64] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_u8] = ACTIONS(865),
    [anon_sym_u16] = ACTIONS(865),
    [anon_sym_u32] = ACTIONS(865),
    [anon_sym_u64] = ACTIONS(865),
    [anon_sym_f32] = ACTIONS(865),
    [anon_sym_f64] = ACTIONS(865),
    [anon_sym_bool] = ACTIONS(865),
    [anon_sym_rune] = ACTIONS(865),
    [anon_sym_map] = ACTIONS(865),
    [anon_sym_mapnode] = ACTIONS(865),
    [anon_sym_size_t] = ACTIONS(865),
    [anon_sym_usize] = ACTIONS(865),
    [anon_sym_isize] = ACTIONS(865),
    [anon_sym_float_literal] = ACTIONS(865),
    [anon_sym_int_literal] = ACTIONS(865),
    [anon_sym_IError] = ACTIONS(865),
    [sym_type_placeholder] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(865),
    [sym_type_identifier] = ACTIONS(865),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_defer] = ACTIONS(865),
    [anon_sym_unsafe] = ACTIONS(865),
    [anon_sym_pub] = ACTIONS(865),
    [anon_sym_fn] = ACTIONS(865),
    [anon_sym___global] = ACTIONS(865),
    [anon_sym_const] = ACTIONS(865),
    [anon_sym_asm] = ACTIONS(865),
    [anon_sym_break] = ACTIONS(865),
    [anon_sym_continue] = ACTIONS(865),
    [anon_sym_return] = ACTIONS(865),
    [anon_sym_type] = ACTIONS(865),
    [anon_sym_go] = ACTIONS(865),
    [anon_sym_spawn] = ACTIONS(865),
    [anon_sym_goto] = ACTIONS(865),
    [anon_sym_for] = ACTIONS(865),
    [anon_sym_DOLLARfor] = ACTIONS(863),
    [anon_sym_DOLLARif] = ACTIONS(863),
    [anon_sym_if] = ACTIONS(865),
    [anon_sym_is] = ACTIONS(865),
    [anon_sym_BANGis] = ACTIONS(863),
    [anon_sym_struct] = ACTIONS(865),
    [anon_sym_union] = ACTIONS(865),
    [anon_sym_enum] = ACTIONS(865),
    [anon_sym_interface] = ACTIONS(865),
    [anon_sym_POUND] = ACTIONS(863),
    [anon_sym_module] = ACTIONS(865),
    [anon_sym_import] = ACTIONS(865),
    [anon_sym_match] = ACTIONS(865),
    [anon_sym_select] = ACTIONS(865),
    [anon_sym_lock] = ACTIONS(865),
    [anon_sym_rlock] = ACTIONS(865),
    [sym__automatic_separator] = ACTIONS(863),
    [sym__c_string_opening] = ACTIONS(863),
    [sym__raw_string_opening] = ACTIONS(863),
    [sym__string_opening] = ACTIONS(863),
    [sym__comment] = ACTIONS(3),
  },
  [992] = {
    [sym_special_argument_list] = STATE(991),
    [sym_comment] = STATE(992),
    [sym_argument_list] = STATE(988),
    [sym_type_parameters] = STATE(4502),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [993] = {
    [sym_comment] = STATE(993),
    [sym_fixed_array_type] = STATE(1237),
    [sym_array_type] = STATE(1237),
    [sym_pointer_type] = STATE(1237),
    [sym_map_type] = STATE(1237),
    [sym_channel_type] = STATE(1237),
    [sym_shared_type] = STATE(1237),
    [sym_thread_type] = STATE(1237),
    [sym_binded_identifier] = STATE(1246),
    [sym__simple_type] = STATE(1233),
    [sym_builtin_type] = STATE(1237),
    [sym__binded_type] = STATE(1237),
    [sym_generic_type] = STATE(1237),
    [sym_qualified_type] = STATE(1191),
    [sym_function_type] = STATE(1237),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [994] = {
    [sym_comment] = STATE(994),
    [sym_fixed_array_type] = STATE(1237),
    [sym_array_type] = STATE(1237),
    [sym_pointer_type] = STATE(1237),
    [sym_map_type] = STATE(1237),
    [sym_channel_type] = STATE(1237),
    [sym_shared_type] = STATE(1237),
    [sym_thread_type] = STATE(1237),
    [sym_binded_identifier] = STATE(1246),
    [sym__simple_type] = STATE(1245),
    [sym_builtin_type] = STATE(1237),
    [sym__binded_type] = STATE(1237),
    [sym_generic_type] = STATE(1237),
    [sym_qualified_type] = STATE(1191),
    [sym_function_type] = STATE(1237),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_map_LBRACK] = ACTIONS(3178),
    [anon_sym_chan] = ACTIONS(3180),
    [anon_sym_shared] = ACTIONS(3182),
    [anon_sym_thread] = ACTIONS(3184),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_char] = ACTIONS(3186),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(3188),
    [anon_sym_JS] = ACTIONS(3188),
    [anon_sym_voidptr] = ACTIONS(3186),
    [anon_sym_byteptr] = ACTIONS(3186),
    [anon_sym_charptr] = ACTIONS(3186),
    [anon_sym_i8] = ACTIONS(3186),
    [anon_sym_i16] = ACTIONS(3186),
    [anon_sym_i32] = ACTIONS(3186),
    [anon_sym_int] = ACTIONS(3186),
    [anon_sym_i64] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_u8] = ACTIONS(3186),
    [anon_sym_u16] = ACTIONS(3186),
    [anon_sym_u32] = ACTIONS(3186),
    [anon_sym_u64] = ACTIONS(3186),
    [anon_sym_f32] = ACTIONS(3186),
    [anon_sym_f64] = ACTIONS(3186),
    [anon_sym_bool] = ACTIONS(3186),
    [anon_sym_rune] = ACTIONS(3186),
    [anon_sym_map] = ACTIONS(3186),
    [anon_sym_mapnode] = ACTIONS(3186),
    [anon_sym_size_t] = ACTIONS(3186),
    [anon_sym_usize] = ACTIONS(3186),
    [anon_sym_isize] = ACTIONS(3186),
    [anon_sym_float_literal] = ACTIONS(3186),
    [anon_sym_int_literal] = ACTIONS(3186),
    [anon_sym_IError] = ACTIONS(3186),
    [sym_type_placeholder] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(3192),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(3194),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [995] = {
    [sym_option_propagator] = STATE(1048),
    [sym_or_block] = STATE(1090),
    [sym_comment] = STATE(995),
    [ts_builtin_sym_end] = ACTIONS(881),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(881),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_LT_DASH] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(881),
    [anon_sym_PERCENT] = ACTIONS(881),
    [anon_sym_LT_LT] = ACTIONS(881),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_GT_GT_GT] = ACTIONS(881),
    [anon_sym_AMP_CARET] = ACTIONS(881),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_BANGin] = ACTIONS(881),
    [anon_sym_AMP_AMP] = ACTIONS(881),
    [anon_sym_PIPE_PIPE] = ACTIONS(881),
    [anon_sym_as] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(3256),
    [anon_sym_or] = ACTIONS(3258),
    [sym_none] = ACTIONS(883),
    [sym_true] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_map_LBRACK] = ACTIONS(881),
    [anon_sym_chan] = ACTIONS(883),
    [anon_sym_shared] = ACTIONS(883),
    [anon_sym_thread] = ACTIONS(883),
    [sym_int_literal] = ACTIONS(883),
    [sym_float_literal] = ACTIONS(881),
    [sym_rune_literal] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_array] = ACTIONS(883),
    [anon_sym_string] = ACTIONS(883),
    [anon_sym_char] = ACTIONS(883),
    [anon_sym_sql] = ACTIONS(883),
    [anon_sym_mut] = ACTIONS(883),
    [anon_sym_C] = ACTIONS(883),
    [anon_sym_JS] = ACTIONS(883),
    [anon_sym_voidptr] = ACTIONS(883),
    [anon_sym_byteptr] = ACTIONS(883),
    [anon_sym_charptr] = ACTIONS(883),
    [anon_sym_i8] = ACTIONS(883),
    [anon_sym_i16] = ACTIONS(883),
    [anon_sym_i32] = ACTIONS(883),
    [anon_sym_int] = ACTIONS(883),
    [anon_sym_i64] = ACTIONS(883),
    [anon_sym_byte] = ACTIONS(883),
    [anon_sym_u8] = ACTIONS(883),
    [anon_sym_u16] = ACTIONS(883),
    [anon_sym_u32] = ACTIONS(883),
    [anon_sym_u64] = ACTIONS(883),
    [anon_sym_f32] = ACTIONS(883),
    [anon_sym_f64] = ACTIONS(883),
    [anon_sym_bool] = ACTIONS(883),
    [anon_sym_rune] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(883),
    [anon_sym_mapnode] = ACTIONS(883),
    [anon_sym_size_t] = ACTIONS(883),
    [anon_sym_usize] = ACTIONS(883),
    [anon_sym_isize] = ACTIONS(883),
    [anon_sym_float_literal] = ACTIONS(883),
    [anon_sym_int_literal] = ACTIONS(883),
    [anon_sym_IError] = ACTIONS(883),
    [sym_type_placeholder] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [sym_type_identifier] = ACTIONS(883),
    [anon_sym_assert] = ACTIONS(883),
    [anon_sym_defer] = ACTIONS(883),
    [anon_sym_unsafe] = ACTIONS(883),
    [anon_sym_pub] = ACTIONS(883),
    [anon_sym_fn] = ACTIONS(883),
    [anon_sym___global] = ACTIONS(883),
    [anon_sym_const] = ACTIONS(883),
    [anon_sym_asm] = ACTIONS(883),
    [anon_sym_break] = ACTIONS(883),
    [anon_sym_continue] = ACTIONS(883),
    [anon_sym_return] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(883),
    [anon_sym_go] = ACTIONS(883),
    [anon_sym_spawn] = ACTIONS(883),
    [anon_sym_goto] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_DOLLARfor] = ACTIONS(881),
    [anon_sym_DOLLARif] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_BANGis] = ACTIONS(881),
    [anon_sym_struct] = ACTIONS(883),
    [anon_sym_union] = ACTIONS(883),
    [anon_sym_enum] = ACTIONS(883),
    [anon_sym_interface] = ACTIONS(883),
    [anon_sym_POUND] = ACTIONS(881),
    [anon_sym_module] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(883),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_select] = ACTIONS(883),
    [anon_sym_lock] = ACTIONS(883),
    [anon_sym_rlock] = ACTIONS(883),
    [sym__automatic_separator] = ACTIONS(881),
    [sym__c_string_opening] = ACTIONS(881),
    [sym__raw_string_opening] = ACTIONS(881),
    [sym__string_opening] = ACTIONS(881),
    [sym__comment] = ACTIONS(3),
  },
  [996] = {
    [sym_special_argument_list] = STATE(991),
    [sym_comment] = STATE(996),
    [sym_argument_list] = STATE(988),
    [sym_type_parameters] = STATE(4502),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(3262),
    [anon_sym_BANGis] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [997] = {
    [sym_special_argument_list] = STATE(991),
    [sym_comment] = STATE(997),
    [sym_argument_list] = STATE(988),
    [sym_type_parameters] = STATE(4502),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [998] = {
    [sym_comment] = STATE(998),
    [sym_argument_list] = STATE(988),
    [sym_type_parameters] = STATE(4502),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [999] = {
    [sym_comment] = STATE(999),
    [sym_type_parameters] = STATE(1108),
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1046),
    [anon_sym_PERCENT] = ACTIONS(1046),
    [anon_sym_LT_LT] = ACTIONS(1046),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1046),
    [anon_sym_AMP_CARET] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_LT2] = ACTIONS(3268),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_pub] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym___global] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_type] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_struct] = ACTIONS(1048),
    [anon_sym_union] = ACTIONS(1048),
    [anon_sym_enum] = ACTIONS(1048),
    [anon_sym_interface] = ACTIONS(1048),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1048),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1000] = {
    [sym_comment] = STATE(1000),
    [ts_builtin_sym_end] = ACTIONS(1038),
    [sym_identifier] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_CARET] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_LT_DASH] = ACTIONS(1038),
    [anon_sym_SLASH] = ACTIONS(1038),
    [anon_sym_PERCENT] = ACTIONS(1038),
    [anon_sym_LT_LT] = ACTIONS(1038),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_BANGin] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_or] = ACTIONS(1040),
    [sym_none] = ACTIONS(1040),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_map_LBRACK] = ACTIONS(1038),
    [anon_sym_chan] = ACTIONS(1040),
    [anon_sym_shared] = ACTIONS(1040),
    [anon_sym_thread] = ACTIONS(1040),
    [sym_int_literal] = ACTIONS(1040),
    [sym_float_literal] = ACTIONS(1038),
    [sym_rune_literal] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_array] = ACTIONS(1040),
    [anon_sym_string] = ACTIONS(1040),
    [anon_sym_char] = ACTIONS(1040),
    [anon_sym_sql] = ACTIONS(1040),
    [anon_sym_mut] = ACTIONS(1040),
    [anon_sym_C] = ACTIONS(1040),
    [anon_sym_JS] = ACTIONS(1040),
    [anon_sym_voidptr] = ACTIONS(1040),
    [anon_sym_byteptr] = ACTIONS(1040),
    [anon_sym_charptr] = ACTIONS(1040),
    [anon_sym_i8] = ACTIONS(1040),
    [anon_sym_i16] = ACTIONS(1040),
    [anon_sym_i32] = ACTIONS(1040),
    [anon_sym_int] = ACTIONS(1040),
    [anon_sym_i64] = ACTIONS(1040),
    [anon_sym_byte] = ACTIONS(1040),
    [anon_sym_u8] = ACTIONS(1040),
    [anon_sym_u16] = ACTIONS(1040),
    [anon_sym_u32] = ACTIONS(1040),
    [anon_sym_u64] = ACTIONS(1040),
    [anon_sym_f32] = ACTIONS(1040),
    [anon_sym_f64] = ACTIONS(1040),
    [anon_sym_bool] = ACTIONS(1040),
    [anon_sym_rune] = ACTIONS(1040),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_mapnode] = ACTIONS(1040),
    [anon_sym_size_t] = ACTIONS(1040),
    [anon_sym_usize] = ACTIONS(1040),
    [anon_sym_isize] = ACTIONS(1040),
    [anon_sym_float_literal] = ACTIONS(1040),
    [anon_sym_int_literal] = ACTIONS(1040),
    [anon_sym_IError] = ACTIONS(1040),
    [sym_type_placeholder] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [sym_type_identifier] = ACTIONS(1040),
    [anon_sym_assert] = ACTIONS(1040),
    [anon_sym_defer] = ACTIONS(1040),
    [anon_sym_unsafe] = ACTIONS(1040),
    [anon_sym_pub] = ACTIONS(1040),
    [anon_sym_fn] = ACTIONS(1040),
    [anon_sym___global] = ACTIONS(1040),
    [anon_sym_const] = ACTIONS(1040),
    [anon_sym_asm] = ACTIONS(1040),
    [anon_sym_break] = ACTIONS(1040),
    [anon_sym_continue] = ACTIONS(1040),
    [anon_sym_return] = ACTIONS(1040),
    [anon_sym_type] = ACTIONS(1040),
    [anon_sym_go] = ACTIONS(1040),
    [anon_sym_spawn] = ACTIONS(1040),
    [anon_sym_goto] = ACTIONS(1040),
    [anon_sym_for] = ACTIONS(1040),
    [anon_sym_DOLLARfor] = ACTIONS(1038),
    [anon_sym_DOLLARif] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_is] = ACTIONS(1040),
    [anon_sym_BANGis] = ACTIONS(1038),
    [anon_sym_struct] = ACTIONS(1040),
    [anon_sym_union] = ACTIONS(1040),
    [anon_sym_enum] = ACTIONS(1040),
    [anon_sym_interface] = ACTIONS(1040),
    [anon_sym_POUND] = ACTIONS(1038),
    [anon_sym_module] = ACTIONS(1040),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_match] = ACTIONS(1040),
    [anon_sym_select] = ACTIONS(1040),
    [anon_sym_lock] = ACTIONS(1040),
    [anon_sym_rlock] = ACTIONS(1040),
    [sym__automatic_separator] = ACTIONS(1038),
    [sym__c_string_opening] = ACTIONS(1038),
    [sym__raw_string_opening] = ACTIONS(1038),
    [sym__string_opening] = ACTIONS(1038),
    [sym__comment] = ACTIONS(3),
  },
  [1001] = {
    [sym_comment] = STATE(1001),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_identifier] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_CARET] = ACTIONS(1060),
    [anon_sym_STAR] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1062),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_PERCENT] = ACTIONS(1060),
    [anon_sym_LT_LT] = ACTIONS(1060),
    [anon_sym_GT_GT] = ACTIONS(1062),
    [anon_sym_GT_GT_GT] = ACTIONS(1060),
    [anon_sym_AMP_CARET] = ACTIONS(1060),
    [anon_sym_PIPE] = ACTIONS(1062),
    [anon_sym_EQ_EQ] = ACTIONS(1060),
    [anon_sym_BANG_EQ] = ACTIONS(1060),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_LT_EQ] = ACTIONS(1060),
    [anon_sym_GT] = ACTIONS(1062),
    [anon_sym_GT_EQ] = ACTIONS(1060),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_BANGin] = ACTIONS(1060),
    [anon_sym_AMP_AMP] = ACTIONS(1060),
    [anon_sym_PIPE_PIPE] = ACTIONS(1060),
    [anon_sym_as] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_or] = ACTIONS(1062),
    [sym_none] = ACTIONS(1062),
    [sym_true] = ACTIONS(1062),
    [sym_false] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_map_LBRACK] = ACTIONS(1060),
    [anon_sym_chan] = ACTIONS(1062),
    [anon_sym_shared] = ACTIONS(1062),
    [anon_sym_thread] = ACTIONS(1062),
    [sym_int_literal] = ACTIONS(1062),
    [sym_float_literal] = ACTIONS(1060),
    [sym_rune_literal] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1062),
    [anon_sym_array] = ACTIONS(1062),
    [anon_sym_string] = ACTIONS(1062),
    [anon_sym_char] = ACTIONS(1062),
    [anon_sym_sql] = ACTIONS(1062),
    [anon_sym_mut] = ACTIONS(1062),
    [anon_sym_C] = ACTIONS(1062),
    [anon_sym_JS] = ACTIONS(1062),
    [anon_sym_voidptr] = ACTIONS(1062),
    [anon_sym_byteptr] = ACTIONS(1062),
    [anon_sym_charptr] = ACTIONS(1062),
    [anon_sym_i8] = ACTIONS(1062),
    [anon_sym_i16] = ACTIONS(1062),
    [anon_sym_i32] = ACTIONS(1062),
    [anon_sym_int] = ACTIONS(1062),
    [anon_sym_i64] = ACTIONS(1062),
    [anon_sym_byte] = ACTIONS(1062),
    [anon_sym_u8] = ACTIONS(1062),
    [anon_sym_u16] = ACTIONS(1062),
    [anon_sym_u32] = ACTIONS(1062),
    [anon_sym_u64] = ACTIONS(1062),
    [anon_sym_f32] = ACTIONS(1062),
    [anon_sym_f64] = ACTIONS(1062),
    [anon_sym_bool] = ACTIONS(1062),
    [anon_sym_rune] = ACTIONS(1062),
    [anon_sym_map] = ACTIONS(1062),
    [anon_sym_mapnode] = ACTIONS(1062),
    [anon_sym_size_t] = ACTIONS(1062),
    [anon_sym_usize] = ACTIONS(1062),
    [anon_sym_isize] = ACTIONS(1062),
    [anon_sym_float_literal] = ACTIONS(1062),
    [anon_sym_int_literal] = ACTIONS(1062),
    [anon_sym_IError] = ACTIONS(1062),
    [sym_type_placeholder] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [sym_type_identifier] = ACTIONS(1062),
    [anon_sym_assert] = ACTIONS(1062),
    [anon_sym_defer] = ACTIONS(1062),
    [anon_sym_unsafe] = ACTIONS(1062),
    [anon_sym_pub] = ACTIONS(1062),
    [anon_sym_fn] = ACTIONS(1062),
    [anon_sym___global] = ACTIONS(1062),
    [anon_sym_const] = ACTIONS(1062),
    [anon_sym_asm] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1062),
    [anon_sym_continue] = ACTIONS(1062),
    [anon_sym_return] = ACTIONS(1062),
    [anon_sym_type] = ACTIONS(1062),
    [anon_sym_go] = ACTIONS(1062),
    [anon_sym_spawn] = ACTIONS(1062),
    [anon_sym_goto] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1062),
    [anon_sym_DOLLARfor] = ACTIONS(1060),
    [anon_sym_DOLLARif] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_is] = ACTIONS(1062),
    [anon_sym_BANGis] = ACTIONS(1060),
    [anon_sym_struct] = ACTIONS(1062),
    [anon_sym_union] = ACTIONS(1062),
    [anon_sym_enum] = ACTIONS(1062),
    [anon_sym_interface] = ACTIONS(1062),
    [anon_sym_POUND] = ACTIONS(1060),
    [anon_sym_module] = ACTIONS(1062),
    [anon_sym_import] = ACTIONS(1062),
    [anon_sym_match] = ACTIONS(1062),
    [anon_sym_select] = ACTIONS(1062),
    [anon_sym_lock] = ACTIONS(1062),
    [anon_sym_rlock] = ACTIONS(1062),
    [sym__automatic_separator] = ACTIONS(1060),
    [sym__c_string_opening] = ACTIONS(1060),
    [sym__raw_string_opening] = ACTIONS(1060),
    [sym__string_opening] = ACTIONS(1060),
    [sym__comment] = ACTIONS(3),
  },
  [1002] = {
    [sym_comment] = STATE(1002),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_identifier] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_CARET] = ACTIONS(1064),
    [anon_sym_STAR] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(1066),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_SLASH] = ACTIONS(1064),
    [anon_sym_PERCENT] = ACTIONS(1064),
    [anon_sym_LT_LT] = ACTIONS(1064),
    [anon_sym_GT_GT] = ACTIONS(1066),
    [anon_sym_GT_GT_GT] = ACTIONS(1064),
    [anon_sym_AMP_CARET] = ACTIONS(1064),
    [anon_sym_PIPE] = ACTIONS(1066),
    [anon_sym_EQ_EQ] = ACTIONS(1064),
    [anon_sym_BANG_EQ] = ACTIONS(1064),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_LT_EQ] = ACTIONS(1064),
    [anon_sym_GT] = ACTIONS(1066),
    [anon_sym_GT_EQ] = ACTIONS(1064),
    [anon_sym_in] = ACTIONS(1066),
    [anon_sym_BANGin] = ACTIONS(1064),
    [anon_sym_AMP_AMP] = ACTIONS(1064),
    [anon_sym_PIPE_PIPE] = ACTIONS(1064),
    [anon_sym_as] = ACTIONS(1066),
    [anon_sym_COMMA] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(1064),
    [anon_sym_or] = ACTIONS(1066),
    [sym_none] = ACTIONS(1066),
    [sym_true] = ACTIONS(1066),
    [sym_false] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_map_LBRACK] = ACTIONS(1064),
    [anon_sym_chan] = ACTIONS(1066),
    [anon_sym_shared] = ACTIONS(1066),
    [anon_sym_thread] = ACTIONS(1066),
    [sym_int_literal] = ACTIONS(1066),
    [sym_float_literal] = ACTIONS(1064),
    [sym_rune_literal] = ACTIONS(1064),
    [anon_sym_DOT] = ACTIONS(1066),
    [anon_sym_array] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_char] = ACTIONS(1066),
    [anon_sym_sql] = ACTIONS(1066),
    [anon_sym_mut] = ACTIONS(1066),
    [anon_sym_C] = ACTIONS(1066),
    [anon_sym_JS] = ACTIONS(1066),
    [anon_sym_voidptr] = ACTIONS(1066),
    [anon_sym_byteptr] = ACTIONS(1066),
    [anon_sym_charptr] = ACTIONS(1066),
    [anon_sym_i8] = ACTIONS(1066),
    [anon_sym_i16] = ACTIONS(1066),
    [anon_sym_i32] = ACTIONS(1066),
    [anon_sym_int] = ACTIONS(1066),
    [anon_sym_i64] = ACTIONS(1066),
    [anon_sym_byte] = ACTIONS(1066),
    [anon_sym_u8] = ACTIONS(1066),
    [anon_sym_u16] = ACTIONS(1066),
    [anon_sym_u32] = ACTIONS(1066),
    [anon_sym_u64] = ACTIONS(1066),
    [anon_sym_f32] = ACTIONS(1066),
    [anon_sym_f64] = ACTIONS(1066),
    [anon_sym_bool] = ACTIONS(1066),
    [anon_sym_rune] = ACTIONS(1066),
    [anon_sym_map] = ACTIONS(1066),
    [anon_sym_mapnode] = ACTIONS(1066),
    [anon_sym_size_t] = ACTIONS(1066),
    [anon_sym_usize] = ACTIONS(1066),
    [anon_sym_isize] = ACTIONS(1066),
    [anon_sym_float_literal] = ACTIONS(1066),
    [anon_sym_int_literal] = ACTIONS(1066),
    [anon_sym_IError] = ACTIONS(1066),
    [sym_type_placeholder] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [sym_type_identifier] = ACTIONS(1066),
    [anon_sym_assert] = ACTIONS(1066),
    [anon_sym_defer] = ACTIONS(1066),
    [anon_sym_unsafe] = ACTIONS(1066),
    [anon_sym_pub] = ACTIONS(1066),
    [anon_sym_fn] = ACTIONS(1066),
    [anon_sym___global] = ACTIONS(1066),
    [anon_sym_const] = ACTIONS(1066),
    [anon_sym_asm] = ACTIONS(1066),
    [anon_sym_break] = ACTIONS(1066),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_go] = ACTIONS(1066),
    [anon_sym_spawn] = ACTIONS(1066),
    [anon_sym_goto] = ACTIONS(1066),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_DOLLARfor] = ACTIONS(1064),
    [anon_sym_DOLLARif] = ACTIONS(1064),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_is] = ACTIONS(1066),
    [anon_sym_BANGis] = ACTIONS(1064),
    [anon_sym_struct] = ACTIONS(1066),
    [anon_sym_union] = ACTIONS(1066),
    [anon_sym_enum] = ACTIONS(1066),
    [anon_sym_interface] = ACTIONS(1066),
    [anon_sym_POUND] = ACTIONS(1064),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_import] = ACTIONS(1066),
    [anon_sym_match] = ACTIONS(1066),
    [anon_sym_select] = ACTIONS(1066),
    [anon_sym_lock] = ACTIONS(1066),
    [anon_sym_rlock] = ACTIONS(1066),
    [sym__automatic_separator] = ACTIONS(1064),
    [sym__c_string_opening] = ACTIONS(1064),
    [sym__raw_string_opening] = ACTIONS(1064),
    [sym__string_opening] = ACTIONS(1064),
    [sym__comment] = ACTIONS(3),
  },
  [1003] = {
    [sym_comment] = STATE(1003),
    [ts_builtin_sym_end] = ACTIONS(1042),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_CARET] = ACTIONS(1042),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1044),
    [anon_sym_LT_DASH] = ACTIONS(1042),
    [anon_sym_SLASH] = ACTIONS(1042),
    [anon_sym_PERCENT] = ACTIONS(1042),
    [anon_sym_LT_LT] = ACTIONS(1042),
    [anon_sym_GT_GT] = ACTIONS(1044),
    [anon_sym_GT_GT_GT] = ACTIONS(1042),
    [anon_sym_AMP_CARET] = ACTIONS(1042),
    [anon_sym_PIPE] = ACTIONS(1044),
    [anon_sym_EQ_EQ] = ACTIONS(1042),
    [anon_sym_BANG_EQ] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1044),
    [anon_sym_LT_EQ] = ACTIONS(1042),
    [anon_sym_GT] = ACTIONS(1044),
    [anon_sym_GT_EQ] = ACTIONS(1042),
    [anon_sym_in] = ACTIONS(1044),
    [anon_sym_BANGin] = ACTIONS(1042),
    [anon_sym_AMP_AMP] = ACTIONS(1042),
    [anon_sym_PIPE_PIPE] = ACTIONS(1042),
    [anon_sym_as] = ACTIONS(1044),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(1042),
    [anon_sym_or] = ACTIONS(1044),
    [sym_none] = ACTIONS(1044),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_map_LBRACK] = ACTIONS(1042),
    [anon_sym_chan] = ACTIONS(1044),
    [anon_sym_shared] = ACTIONS(1044),
    [anon_sym_thread] = ACTIONS(1044),
    [sym_int_literal] = ACTIONS(1044),
    [sym_float_literal] = ACTIONS(1042),
    [sym_rune_literal] = ACTIONS(1042),
    [anon_sym_DOT] = ACTIONS(1044),
    [anon_sym_array] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_char] = ACTIONS(1044),
    [anon_sym_sql] = ACTIONS(1044),
    [anon_sym_mut] = ACTIONS(1044),
    [anon_sym_C] = ACTIONS(1044),
    [anon_sym_JS] = ACTIONS(1044),
    [anon_sym_voidptr] = ACTIONS(1044),
    [anon_sym_byteptr] = ACTIONS(1044),
    [anon_sym_charptr] = ACTIONS(1044),
    [anon_sym_i8] = ACTIONS(1044),
    [anon_sym_i16] = ACTIONS(1044),
    [anon_sym_i32] = ACTIONS(1044),
    [anon_sym_int] = ACTIONS(1044),
    [anon_sym_i64] = ACTIONS(1044),
    [anon_sym_byte] = ACTIONS(1044),
    [anon_sym_u8] = ACTIONS(1044),
    [anon_sym_u16] = ACTIONS(1044),
    [anon_sym_u32] = ACTIONS(1044),
    [anon_sym_u64] = ACTIONS(1044),
    [anon_sym_f32] = ACTIONS(1044),
    [anon_sym_f64] = ACTIONS(1044),
    [anon_sym_bool] = ACTIONS(1044),
    [anon_sym_rune] = ACTIONS(1044),
    [anon_sym_map] = ACTIONS(1044),
    [anon_sym_mapnode] = ACTIONS(1044),
    [anon_sym_size_t] = ACTIONS(1044),
    [anon_sym_usize] = ACTIONS(1044),
    [anon_sym_isize] = ACTIONS(1044),
    [anon_sym_float_literal] = ACTIONS(1044),
    [anon_sym_int_literal] = ACTIONS(1044),
    [anon_sym_IError] = ACTIONS(1044),
    [sym_type_placeholder] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [sym_type_identifier] = ACTIONS(1044),
    [anon_sym_assert] = ACTIONS(1044),
    [anon_sym_defer] = ACTIONS(1044),
    [anon_sym_unsafe] = ACTIONS(1044),
    [anon_sym_pub] = ACTIONS(1044),
    [anon_sym_fn] = ACTIONS(1044),
    [anon_sym___global] = ACTIONS(1044),
    [anon_sym_const] = ACTIONS(1044),
    [anon_sym_asm] = ACTIONS(1044),
    [anon_sym_break] = ACTIONS(1044),
    [anon_sym_continue] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_go] = ACTIONS(1044),
    [anon_sym_spawn] = ACTIONS(1044),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_for] = ACTIONS(1044),
    [anon_sym_DOLLARfor] = ACTIONS(1042),
    [anon_sym_DOLLARif] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1044),
    [anon_sym_is] = ACTIONS(1044),
    [anon_sym_BANGis] = ACTIONS(1042),
    [anon_sym_struct] = ACTIONS(1044),
    [anon_sym_union] = ACTIONS(1044),
    [anon_sym_enum] = ACTIONS(1044),
    [anon_sym_interface] = ACTIONS(1044),
    [anon_sym_POUND] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_import] = ACTIONS(1044),
    [anon_sym_match] = ACTIONS(1044),
    [anon_sym_select] = ACTIONS(1044),
    [anon_sym_lock] = ACTIONS(1044),
    [anon_sym_rlock] = ACTIONS(1044),
    [sym__automatic_separator] = ACTIONS(1042),
    [sym__c_string_opening] = ACTIONS(1042),
    [sym__raw_string_opening] = ACTIONS(1042),
    [sym__string_opening] = ACTIONS(1042),
    [sym__comment] = ACTIONS(3),
  },
  [1004] = {
    [sym_comment] = STATE(1004),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_PLUS] = ACTIONS(1056),
    [anon_sym_DASH] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_CARET] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_LT_DASH] = ACTIONS(1056),
    [anon_sym_SLASH] = ACTIONS(1056),
    [anon_sym_PERCENT] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1056),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_GT_GT_GT] = ACTIONS(1056),
    [anon_sym_AMP_CARET] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_in] = ACTIONS(1058),
    [anon_sym_BANGin] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_as] = ACTIONS(1058),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_or] = ACTIONS(1058),
    [sym_none] = ACTIONS(1058),
    [sym_true] = ACTIONS(1058),
    [sym_false] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_map_LBRACK] = ACTIONS(1056),
    [anon_sym_chan] = ACTIONS(1058),
    [anon_sym_shared] = ACTIONS(1058),
    [anon_sym_thread] = ACTIONS(1058),
    [sym_int_literal] = ACTIONS(1058),
    [sym_float_literal] = ACTIONS(1056),
    [sym_rune_literal] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1058),
    [anon_sym_array] = ACTIONS(1058),
    [anon_sym_string] = ACTIONS(1058),
    [anon_sym_char] = ACTIONS(1058),
    [anon_sym_sql] = ACTIONS(1058),
    [anon_sym_mut] = ACTIONS(1058),
    [anon_sym_C] = ACTIONS(1058),
    [anon_sym_JS] = ACTIONS(1058),
    [anon_sym_voidptr] = ACTIONS(1058),
    [anon_sym_byteptr] = ACTIONS(1058),
    [anon_sym_charptr] = ACTIONS(1058),
    [anon_sym_i8] = ACTIONS(1058),
    [anon_sym_i16] = ACTIONS(1058),
    [anon_sym_i32] = ACTIONS(1058),
    [anon_sym_int] = ACTIONS(1058),
    [anon_sym_i64] = ACTIONS(1058),
    [anon_sym_byte] = ACTIONS(1058),
    [anon_sym_u8] = ACTIONS(1058),
    [anon_sym_u16] = ACTIONS(1058),
    [anon_sym_u32] = ACTIONS(1058),
    [anon_sym_u64] = ACTIONS(1058),
    [anon_sym_f32] = ACTIONS(1058),
    [anon_sym_f64] = ACTIONS(1058),
    [anon_sym_bool] = ACTIONS(1058),
    [anon_sym_rune] = ACTIONS(1058),
    [anon_sym_map] = ACTIONS(1058),
    [anon_sym_mapnode] = ACTIONS(1058),
    [anon_sym_size_t] = ACTIONS(1058),
    [anon_sym_usize] = ACTIONS(1058),
    [anon_sym_isize] = ACTIONS(1058),
    [anon_sym_float_literal] = ACTIONS(1058),
    [anon_sym_int_literal] = ACTIONS(1058),
    [anon_sym_IError] = ACTIONS(1058),
    [sym_type_placeholder] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1058),
    [sym_type_identifier] = ACTIONS(1058),
    [anon_sym_assert] = ACTIONS(1058),
    [anon_sym_defer] = ACTIONS(1058),
    [anon_sym_unsafe] = ACTIONS(1058),
    [anon_sym_pub] = ACTIONS(1058),
    [anon_sym_fn] = ACTIONS(1058),
    [anon_sym___global] = ACTIONS(1058),
    [anon_sym_const] = ACTIONS(1058),
    [anon_sym_asm] = ACTIONS(1058),
    [anon_sym_break] = ACTIONS(1058),
    [anon_sym_continue] = ACTIONS(1058),
    [anon_sym_return] = ACTIONS(1058),
    [anon_sym_type] = ACTIONS(1058),
    [anon_sym_go] = ACTIONS(1058),
    [anon_sym_spawn] = ACTIONS(1058),
    [anon_sym_goto] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1058),
    [anon_sym_DOLLARfor] = ACTIONS(1056),
    [anon_sym_DOLLARif] = ACTIONS(1056),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_is] = ACTIONS(1058),
    [anon_sym_BANGis] = ACTIONS(1056),
    [anon_sym_struct] = ACTIONS(1058),
    [anon_sym_union] = ACTIONS(1058),
    [anon_sym_enum] = ACTIONS(1058),
    [anon_sym_interface] = ACTIONS(1058),
    [anon_sym_POUND] = ACTIONS(1056),
    [anon_sym_module] = ACTIONS(1058),
    [anon_sym_import] = ACTIONS(1058),
    [anon_sym_match] = ACTIONS(1058),
    [anon_sym_select] = ACTIONS(1058),
    [anon_sym_lock] = ACTIONS(1058),
    [anon_sym_rlock] = ACTIONS(1058),
    [sym__automatic_separator] = ACTIONS(1056),
    [sym__c_string_opening] = ACTIONS(1056),
    [sym__raw_string_opening] = ACTIONS(1056),
    [sym__string_opening] = ACTIONS(1056),
    [sym__comment] = ACTIONS(3),
  },
  [1005] = {
    [sym_comment] = STATE(1005),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_CARET] = ACTIONS(1052),
    [anon_sym_STAR] = ACTIONS(1052),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1052),
    [anon_sym_SLASH] = ACTIONS(1052),
    [anon_sym_PERCENT] = ACTIONS(1052),
    [anon_sym_LT_LT] = ACTIONS(1052),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_GT_GT_GT] = ACTIONS(1052),
    [anon_sym_AMP_CARET] = ACTIONS(1052),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1052),
    [anon_sym_BANG_EQ] = ACTIONS(1052),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1052),
    [anon_sym_in] = ACTIONS(1054),
    [anon_sym_BANGin] = ACTIONS(1052),
    [anon_sym_AMP_AMP] = ACTIONS(1052),
    [anon_sym_PIPE_PIPE] = ACTIONS(1052),
    [anon_sym_as] = ACTIONS(1054),
    [anon_sym_COMMA] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1054),
    [anon_sym_QMARK] = ACTIONS(1052),
    [anon_sym_or] = ACTIONS(1054),
    [sym_none] = ACTIONS(1054),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_map_LBRACK] = ACTIONS(1052),
    [anon_sym_chan] = ACTIONS(1054),
    [anon_sym_shared] = ACTIONS(1054),
    [anon_sym_thread] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(1054),
    [sym_float_literal] = ACTIONS(1052),
    [sym_rune_literal] = ACTIONS(1052),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_array] = ACTIONS(1054),
    [anon_sym_string] = ACTIONS(1054),
    [anon_sym_char] = ACTIONS(1054),
    [anon_sym_sql] = ACTIONS(1054),
    [anon_sym_mut] = ACTIONS(1054),
    [anon_sym_C] = ACTIONS(1054),
    [anon_sym_JS] = ACTIONS(1054),
    [anon_sym_voidptr] = ACTIONS(1054),
    [anon_sym_byteptr] = ACTIONS(1054),
    [anon_sym_charptr] = ACTIONS(1054),
    [anon_sym_i8] = ACTIONS(1054),
    [anon_sym_i16] = ACTIONS(1054),
    [anon_sym_i32] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_i64] = ACTIONS(1054),
    [anon_sym_byte] = ACTIONS(1054),
    [anon_sym_u8] = ACTIONS(1054),
    [anon_sym_u16] = ACTIONS(1054),
    [anon_sym_u32] = ACTIONS(1054),
    [anon_sym_u64] = ACTIONS(1054),
    [anon_sym_f32] = ACTIONS(1054),
    [anon_sym_f64] = ACTIONS(1054),
    [anon_sym_bool] = ACTIONS(1054),
    [anon_sym_rune] = ACTIONS(1054),
    [anon_sym_map] = ACTIONS(1054),
    [anon_sym_mapnode] = ACTIONS(1054),
    [anon_sym_size_t] = ACTIONS(1054),
    [anon_sym_usize] = ACTIONS(1054),
    [anon_sym_isize] = ACTIONS(1054),
    [anon_sym_float_literal] = ACTIONS(1054),
    [anon_sym_int_literal] = ACTIONS(1054),
    [anon_sym_IError] = ACTIONS(1054),
    [sym_type_placeholder] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1054),
    [sym_type_identifier] = ACTIONS(1054),
    [anon_sym_assert] = ACTIONS(1054),
    [anon_sym_defer] = ACTIONS(1054),
    [anon_sym_unsafe] = ACTIONS(1054),
    [anon_sym_pub] = ACTIONS(1054),
    [anon_sym_fn] = ACTIONS(1054),
    [anon_sym___global] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1054),
    [anon_sym_asm] = ACTIONS(1054),
    [anon_sym_break] = ACTIONS(1054),
    [anon_sym_continue] = ACTIONS(1054),
    [anon_sym_return] = ACTIONS(1054),
    [anon_sym_type] = ACTIONS(1054),
    [anon_sym_go] = ACTIONS(1054),
    [anon_sym_spawn] = ACTIONS(1054),
    [anon_sym_goto] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1054),
    [anon_sym_DOLLARfor] = ACTIONS(1052),
    [anon_sym_DOLLARif] = ACTIONS(1052),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_is] = ACTIONS(1054),
    [anon_sym_BANGis] = ACTIONS(1052),
    [anon_sym_struct] = ACTIONS(1054),
    [anon_sym_union] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1054),
    [anon_sym_interface] = ACTIONS(1054),
    [anon_sym_POUND] = ACTIONS(1052),
    [anon_sym_module] = ACTIONS(1054),
    [anon_sym_import] = ACTIONS(1054),
    [anon_sym_match] = ACTIONS(1054),
    [anon_sym_select] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_rlock] = ACTIONS(1054),
    [sym__automatic_separator] = ACTIONS(1052),
    [sym__c_string_opening] = ACTIONS(1052),
    [sym__raw_string_opening] = ACTIONS(1052),
    [sym__string_opening] = ACTIONS(1052),
    [sym__comment] = ACTIONS(3),
  },
  [1006] = {
    [sym_comment] = STATE(1006),
    [aux_sym_expression_list_repeat1] = STATE(1469),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_CARET] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_LT_DASH] = ACTIONS(1172),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_GT_GT_GT] = ACTIONS(3272),
    [anon_sym_AMP_CARET] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_EQ_EQ] = ACTIONS(3278),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_in] = ACTIONS(3280),
    [anon_sym_BANGin] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3288),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [sym_none] = ACTIONS(1174),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1172),
    [anon_sym_chan] = ACTIONS(1174),
    [anon_sym_shared] = ACTIONS(1174),
    [anon_sym_thread] = ACTIONS(1174),
    [sym_int_literal] = ACTIONS(1174),
    [sym_float_literal] = ACTIONS(1172),
    [sym_rune_literal] = ACTIONS(1172),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_char] = ACTIONS(1174),
    [anon_sym_sql] = ACTIONS(1174),
    [anon_sym_mut] = ACTIONS(1174),
    [anon_sym_C] = ACTIONS(1174),
    [anon_sym_JS] = ACTIONS(1174),
    [anon_sym_voidptr] = ACTIONS(1174),
    [anon_sym_byteptr] = ACTIONS(1174),
    [anon_sym_charptr] = ACTIONS(1174),
    [anon_sym_i8] = ACTIONS(1174),
    [anon_sym_i16] = ACTIONS(1174),
    [anon_sym_i32] = ACTIONS(1174),
    [anon_sym_int] = ACTIONS(1174),
    [anon_sym_i64] = ACTIONS(1174),
    [anon_sym_byte] = ACTIONS(1174),
    [anon_sym_u8] = ACTIONS(1174),
    [anon_sym_u16] = ACTIONS(1174),
    [anon_sym_u32] = ACTIONS(1174),
    [anon_sym_u64] = ACTIONS(1174),
    [anon_sym_f32] = ACTIONS(1174),
    [anon_sym_f64] = ACTIONS(1174),
    [anon_sym_bool] = ACTIONS(1174),
    [anon_sym_rune] = ACTIONS(1174),
    [anon_sym_map] = ACTIONS(1174),
    [anon_sym_mapnode] = ACTIONS(1174),
    [anon_sym_size_t] = ACTIONS(1174),
    [anon_sym_usize] = ACTIONS(1174),
    [anon_sym_isize] = ACTIONS(1174),
    [anon_sym_float_literal] = ACTIONS(1174),
    [anon_sym_int_literal] = ACTIONS(1174),
    [anon_sym_IError] = ACTIONS(1174),
    [sym_type_placeholder] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [sym_type_identifier] = ACTIONS(1174),
    [anon_sym_assert] = ACTIONS(1174),
    [anon_sym_defer] = ACTIONS(1174),
    [anon_sym_unsafe] = ACTIONS(1174),
    [anon_sym_pub] = ACTIONS(1174),
    [anon_sym_fn] = ACTIONS(1174),
    [anon_sym___global] = ACTIONS(1174),
    [anon_sym_const] = ACTIONS(1174),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_go] = ACTIONS(1174),
    [anon_sym_spawn] = ACTIONS(1174),
    [anon_sym_goto] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_DOLLARfor] = ACTIONS(1172),
    [anon_sym_DOLLARif] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(1174),
    [anon_sym_union] = ACTIONS(1174),
    [anon_sym_enum] = ACTIONS(1174),
    [anon_sym_interface] = ACTIONS(1174),
    [anon_sym_POUND] = ACTIONS(1172),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_import] = ACTIONS(1174),
    [anon_sym_match] = ACTIONS(1174),
    [anon_sym_select] = ACTIONS(1174),
    [anon_sym_lock] = ACTIONS(1174),
    [anon_sym_rlock] = ACTIONS(1174),
    [sym__automatic_separator] = ACTIONS(1172),
    [sym__c_string_opening] = ACTIONS(1172),
    [sym__raw_string_opening] = ACTIONS(1172),
    [sym__string_opening] = ACTIONS(1172),
    [sym__comment] = ACTIONS(3),
  },
  [1007] = {
    [sym_comment] = STATE(1007),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_identifier] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_LT_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(1212),
    [anon_sym_PERCENT] = ACTIONS(1212),
    [anon_sym_LT_LT] = ACTIONS(1212),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_GT_GT_GT] = ACTIONS(1212),
    [anon_sym_AMP_CARET] = ACTIONS(1212),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_in] = ACTIONS(1214),
    [anon_sym_BANGin] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_map_LBRACK] = ACTIONS(1212),
    [anon_sym_chan] = ACTIONS(1214),
    [anon_sym_shared] = ACTIONS(1214),
    [anon_sym_thread] = ACTIONS(1214),
    [sym_int_literal] = ACTIONS(1214),
    [sym_float_literal] = ACTIONS(1212),
    [sym_rune_literal] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_array] = ACTIONS(1214),
    [anon_sym_string] = ACTIONS(1214),
    [anon_sym_char] = ACTIONS(1214),
    [anon_sym_sql] = ACTIONS(1214),
    [anon_sym_mut] = ACTIONS(1214),
    [anon_sym_C] = ACTIONS(1214),
    [anon_sym_JS] = ACTIONS(1214),
    [anon_sym_LT2] = ACTIONS(1214),
    [anon_sym_voidptr] = ACTIONS(1214),
    [anon_sym_byteptr] = ACTIONS(1214),
    [anon_sym_charptr] = ACTIONS(1214),
    [anon_sym_i8] = ACTIONS(1214),
    [anon_sym_i16] = ACTIONS(1214),
    [anon_sym_i32] = ACTIONS(1214),
    [anon_sym_int] = ACTIONS(1214),
    [anon_sym_i64] = ACTIONS(1214),
    [anon_sym_byte] = ACTIONS(1214),
    [anon_sym_u8] = ACTIONS(1214),
    [anon_sym_u16] = ACTIONS(1214),
    [anon_sym_u32] = ACTIONS(1214),
    [anon_sym_u64] = ACTIONS(1214),
    [anon_sym_f32] = ACTIONS(1214),
    [anon_sym_f64] = ACTIONS(1214),
    [anon_sym_bool] = ACTIONS(1214),
    [anon_sym_rune] = ACTIONS(1214),
    [anon_sym_map] = ACTIONS(1214),
    [anon_sym_mapnode] = ACTIONS(1214),
    [anon_sym_size_t] = ACTIONS(1214),
    [anon_sym_usize] = ACTIONS(1214),
    [anon_sym_isize] = ACTIONS(1214),
    [anon_sym_float_literal] = ACTIONS(1214),
    [anon_sym_int_literal] = ACTIONS(1214),
    [anon_sym_IError] = ACTIONS(1214),
    [sym_type_placeholder] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [sym_type_identifier] = ACTIONS(1214),
    [anon_sym_assert] = ACTIONS(1214),
    [anon_sym_defer] = ACTIONS(1214),
    [anon_sym_unsafe] = ACTIONS(1214),
    [anon_sym_pub] = ACTIONS(1214),
    [anon_sym_fn] = ACTIONS(1214),
    [anon_sym___global] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_type] = ACTIONS(1214),
    [anon_sym_go] = ACTIONS(1214),
    [anon_sym_spawn] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_DOLLARfor] = ACTIONS(1212),
    [anon_sym_DOLLARif] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_is] = ACTIONS(1214),
    [anon_sym_BANGis] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1214),
    [anon_sym_union] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1214),
    [anon_sym_interface] = ACTIONS(1214),
    [anon_sym_POUND] = ACTIONS(1212),
    [anon_sym_module] = ACTIONS(1214),
    [anon_sym_import] = ACTIONS(1214),
    [anon_sym_match] = ACTIONS(1214),
    [anon_sym_select] = ACTIONS(1214),
    [anon_sym_lock] = ACTIONS(1214),
    [anon_sym_rlock] = ACTIONS(1214),
    [sym__automatic_separator] = ACTIONS(1212),
    [sym__c_string_opening] = ACTIONS(1212),
    [sym__raw_string_opening] = ACTIONS(1212),
    [sym__string_opening] = ACTIONS(1212),
    [sym__comment] = ACTIONS(3),
  },
  [1008] = {
    [sym_comment] = STATE(1008),
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1106),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_LT_DASH] = ACTIONS(1106),
    [anon_sym_SLASH] = ACTIONS(1106),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_LT_LT] = ACTIONS(1106),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1106),
    [anon_sym_AMP_CARET] = ACTIONS(1106),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1106),
    [anon_sym_BANG_EQ] = ACTIONS(1106),
    [anon_sym_LT] = ACTIONS(1108),
    [anon_sym_LT_EQ] = ACTIONS(1106),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_GT_EQ] = ACTIONS(1106),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_BANGin] = ACTIONS(1106),
    [anon_sym_AMP_AMP] = ACTIONS(1106),
    [anon_sym_PIPE_PIPE] = ACTIONS(1106),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [sym_none] = ACTIONS(1108),
    [sym_true] = ACTIONS(1108),
    [sym_false] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_map_LBRACK] = ACTIONS(1106),
    [anon_sym_chan] = ACTIONS(1108),
    [anon_sym_shared] = ACTIONS(1108),
    [anon_sym_thread] = ACTIONS(1108),
    [sym_int_literal] = ACTIONS(1108),
    [sym_float_literal] = ACTIONS(1106),
    [sym_rune_literal] = ACTIONS(1106),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_array] = ACTIONS(1108),
    [anon_sym_string] = ACTIONS(1108),
    [anon_sym_char] = ACTIONS(1108),
    [anon_sym_sql] = ACTIONS(1108),
    [anon_sym_mut] = ACTIONS(1108),
    [anon_sym_C] = ACTIONS(1108),
    [anon_sym_JS] = ACTIONS(1108),
    [anon_sym_LT2] = ACTIONS(1108),
    [anon_sym_voidptr] = ACTIONS(1108),
    [anon_sym_byteptr] = ACTIONS(1108),
    [anon_sym_charptr] = ACTIONS(1108),
    [anon_sym_i8] = ACTIONS(1108),
    [anon_sym_i16] = ACTIONS(1108),
    [anon_sym_i32] = ACTIONS(1108),
    [anon_sym_int] = ACTIONS(1108),
    [anon_sym_i64] = ACTIONS(1108),
    [anon_sym_byte] = ACTIONS(1108),
    [anon_sym_u8] = ACTIONS(1108),
    [anon_sym_u16] = ACTIONS(1108),
    [anon_sym_u32] = ACTIONS(1108),
    [anon_sym_u64] = ACTIONS(1108),
    [anon_sym_f32] = ACTIONS(1108),
    [anon_sym_f64] = ACTIONS(1108),
    [anon_sym_bool] = ACTIONS(1108),
    [anon_sym_rune] = ACTIONS(1108),
    [anon_sym_map] = ACTIONS(1108),
    [anon_sym_mapnode] = ACTIONS(1108),
    [anon_sym_size_t] = ACTIONS(1108),
    [anon_sym_usize] = ACTIONS(1108),
    [anon_sym_isize] = ACTIONS(1108),
    [anon_sym_float_literal] = ACTIONS(1108),
    [anon_sym_int_literal] = ACTIONS(1108),
    [anon_sym_IError] = ACTIONS(1108),
    [sym_type_placeholder] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [sym_type_identifier] = ACTIONS(1108),
    [anon_sym_assert] = ACTIONS(1108),
    [anon_sym_defer] = ACTIONS(1108),
    [anon_sym_unsafe] = ACTIONS(1108),
    [anon_sym_pub] = ACTIONS(1108),
    [anon_sym_fn] = ACTIONS(1108),
    [anon_sym___global] = ACTIONS(1108),
    [anon_sym_const] = ACTIONS(1108),
    [anon_sym_asm] = ACTIONS(1108),
    [anon_sym_break] = ACTIONS(1108),
    [anon_sym_continue] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1108),
    [anon_sym_type] = ACTIONS(1108),
    [anon_sym_go] = ACTIONS(1108),
    [anon_sym_spawn] = ACTIONS(1108),
    [anon_sym_goto] = ACTIONS(1108),
    [anon_sym_for] = ACTIONS(1108),
    [anon_sym_DOLLARfor] = ACTIONS(1106),
    [anon_sym_DOLLARif] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_is] = ACTIONS(1108),
    [anon_sym_BANGis] = ACTIONS(1106),
    [anon_sym_struct] = ACTIONS(1108),
    [anon_sym_union] = ACTIONS(1108),
    [anon_sym_enum] = ACTIONS(1108),
    [anon_sym_interface] = ACTIONS(1108),
    [anon_sym_POUND] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1108),
    [anon_sym_import] = ACTIONS(1108),
    [anon_sym_match] = ACTIONS(1108),
    [anon_sym_select] = ACTIONS(1108),
    [anon_sym_lock] = ACTIONS(1108),
    [anon_sym_rlock] = ACTIONS(1108),
    [sym__automatic_separator] = ACTIONS(1106),
    [sym__c_string_opening] = ACTIONS(1106),
    [sym__raw_string_opening] = ACTIONS(1106),
    [sym__string_opening] = ACTIONS(1106),
    [sym__comment] = ACTIONS(3),
  },
  [1009] = {
    [sym_comment] = STATE(1009),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_identifier] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_LT_DASH] = ACTIONS(1204),
    [anon_sym_SLASH] = ACTIONS(1204),
    [anon_sym_PERCENT] = ACTIONS(1204),
    [anon_sym_LT_LT] = ACTIONS(1204),
    [anon_sym_GT_GT] = ACTIONS(1206),
    [anon_sym_GT_GT_GT] = ACTIONS(1204),
    [anon_sym_AMP_CARET] = ACTIONS(1204),
    [anon_sym_PIPE] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1204),
    [anon_sym_BANG_EQ] = ACTIONS(1204),
    [anon_sym_LT] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1204),
    [anon_sym_in] = ACTIONS(1206),
    [anon_sym_BANGin] = ACTIONS(1204),
    [anon_sym_AMP_AMP] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1204),
    [anon_sym_as] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [sym_none] = ACTIONS(1206),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_map_LBRACK] = ACTIONS(1204),
    [anon_sym_chan] = ACTIONS(1206),
    [anon_sym_shared] = ACTIONS(1206),
    [anon_sym_thread] = ACTIONS(1206),
    [sym_int_literal] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1204),
    [sym_rune_literal] = ACTIONS(1204),
    [anon_sym_DOT] = ACTIONS(1206),
    [anon_sym_array] = ACTIONS(1206),
    [anon_sym_string] = ACTIONS(1206),
    [anon_sym_char] = ACTIONS(1206),
    [anon_sym_sql] = ACTIONS(1206),
    [anon_sym_mut] = ACTIONS(1206),
    [anon_sym_C] = ACTIONS(1206),
    [anon_sym_JS] = ACTIONS(1206),
    [anon_sym_LT2] = ACTIONS(1206),
    [anon_sym_voidptr] = ACTIONS(1206),
    [anon_sym_byteptr] = ACTIONS(1206),
    [anon_sym_charptr] = ACTIONS(1206),
    [anon_sym_i8] = ACTIONS(1206),
    [anon_sym_i16] = ACTIONS(1206),
    [anon_sym_i32] = ACTIONS(1206),
    [anon_sym_int] = ACTIONS(1206),
    [anon_sym_i64] = ACTIONS(1206),
    [anon_sym_byte] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1206),
    [anon_sym_u16] = ACTIONS(1206),
    [anon_sym_u32] = ACTIONS(1206),
    [anon_sym_u64] = ACTIONS(1206),
    [anon_sym_f32] = ACTIONS(1206),
    [anon_sym_f64] = ACTIONS(1206),
    [anon_sym_bool] = ACTIONS(1206),
    [anon_sym_rune] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1206),
    [anon_sym_mapnode] = ACTIONS(1206),
    [anon_sym_size_t] = ACTIONS(1206),
    [anon_sym_usize] = ACTIONS(1206),
    [anon_sym_isize] = ACTIONS(1206),
    [anon_sym_float_literal] = ACTIONS(1206),
    [anon_sym_int_literal] = ACTIONS(1206),
    [anon_sym_IError] = ACTIONS(1206),
    [sym_type_placeholder] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [sym_type_identifier] = ACTIONS(1206),
    [anon_sym_assert] = ACTIONS(1206),
    [anon_sym_defer] = ACTIONS(1206),
    [anon_sym_unsafe] = ACTIONS(1206),
    [anon_sym_pub] = ACTIONS(1206),
    [anon_sym_fn] = ACTIONS(1206),
    [anon_sym___global] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_type] = ACTIONS(1206),
    [anon_sym_go] = ACTIONS(1206),
    [anon_sym_spawn] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_DOLLARfor] = ACTIONS(1204),
    [anon_sym_DOLLARif] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_is] = ACTIONS(1206),
    [anon_sym_BANGis] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_interface] = ACTIONS(1206),
    [anon_sym_POUND] = ACTIONS(1204),
    [anon_sym_module] = ACTIONS(1206),
    [anon_sym_import] = ACTIONS(1206),
    [anon_sym_match] = ACTIONS(1206),
    [anon_sym_select] = ACTIONS(1206),
    [anon_sym_lock] = ACTIONS(1206),
    [anon_sym_rlock] = ACTIONS(1206),
    [sym__automatic_separator] = ACTIONS(1204),
    [sym__c_string_opening] = ACTIONS(1204),
    [sym__raw_string_opening] = ACTIONS(1204),
    [sym__string_opening] = ACTIONS(1204),
    [sym__comment] = ACTIONS(3),
  },
  [1010] = {
    [sym_comment] = STATE(1010),
    [sym__content_block] = STATE(1073),
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_pub] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym___global] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_type] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_struct] = ACTIONS(1104),
    [anon_sym_union] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1011] = {
    [sym_comment] = STATE(1011),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_LT_DASH] = ACTIONS(1122),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PERCENT] = ACTIONS(1122),
    [anon_sym_LT_LT] = ACTIONS(1122),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1122),
    [anon_sym_AMP_CARET] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1122),
    [sym_none] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [sym_int_literal] = ACTIONS(1124),
    [sym_float_literal] = ACTIONS(1122),
    [sym_rune_literal] = ACTIONS(1122),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_sql] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_assert] = ACTIONS(1124),
    [anon_sym_defer] = ACTIONS(1124),
    [anon_sym_unsafe] = ACTIONS(1124),
    [anon_sym_pub] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym___global] = ACTIONS(1124),
    [anon_sym_const] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_type] = ACTIONS(1124),
    [anon_sym_go] = ACTIONS(1124),
    [anon_sym_spawn] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_DOLLARfor] = ACTIONS(1122),
    [anon_sym_DOLLARif] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [anon_sym_struct] = ACTIONS(1124),
    [anon_sym_union] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1124),
    [anon_sym_interface] = ACTIONS(1124),
    [anon_sym_POUND] = ACTIONS(1122),
    [anon_sym_module] = ACTIONS(1124),
    [anon_sym_import] = ACTIONS(1124),
    [anon_sym_match] = ACTIONS(1124),
    [anon_sym_select] = ACTIONS(1124),
    [anon_sym_lock] = ACTIONS(1124),
    [anon_sym_rlock] = ACTIONS(1124),
    [sym__automatic_separator] = ACTIONS(1122),
    [sym__c_string_opening] = ACTIONS(1122),
    [sym__raw_string_opening] = ACTIONS(1122),
    [sym__string_opening] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1012] = {
    [sym_comment] = STATE(1012),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_PERCENT] = ACTIONS(1188),
    [anon_sym_LT_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1188),
    [anon_sym_AMP_CARET] = ACTIONS(1188),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_pub] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym___global] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_type] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_DOLLARelse] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_interface] = ACTIONS(1190),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_module] = ACTIONS(1190),
    [anon_sym_import] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1013] = {
    [sym_comment] = STATE(1013),
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_LT_DASH] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_AMP_CARET] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1138),
    [sym_none] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [sym_int_literal] = ACTIONS(1140),
    [sym_float_literal] = ACTIONS(1138),
    [sym_rune_literal] = ACTIONS(1138),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_sql] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_assert] = ACTIONS(1140),
    [anon_sym_defer] = ACTIONS(1140),
    [anon_sym_unsafe] = ACTIONS(1140),
    [anon_sym_pub] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym___global] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_type] = ACTIONS(1140),
    [anon_sym_go] = ACTIONS(1140),
    [anon_sym_spawn] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_DOLLARfor] = ACTIONS(1138),
    [anon_sym_DOLLARif] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [anon_sym_struct] = ACTIONS(1140),
    [anon_sym_union] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1140),
    [anon_sym_interface] = ACTIONS(1140),
    [anon_sym_POUND] = ACTIONS(1138),
    [anon_sym_module] = ACTIONS(1140),
    [anon_sym_import] = ACTIONS(1140),
    [anon_sym_match] = ACTIONS(1140),
    [anon_sym_select] = ACTIONS(1140),
    [anon_sym_lock] = ACTIONS(1140),
    [anon_sym_rlock] = ACTIONS(1140),
    [sym__automatic_separator] = ACTIONS(1138),
    [sym__c_string_opening] = ACTIONS(1138),
    [sym__raw_string_opening] = ACTIONS(1138),
    [sym__string_opening] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1014] = {
    [sym_comment] = STATE(1014),
    [sym_argument_list] = STATE(1066),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1210),
    [anon_sym_GT_GT_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1210),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_in] = ACTIONS(1210),
    [anon_sym_BANGin] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_as] = ACTIONS(1210),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [sym_none] = ACTIONS(1210),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_map_LBRACK] = ACTIONS(1208),
    [anon_sym_chan] = ACTIONS(1210),
    [anon_sym_shared] = ACTIONS(1210),
    [anon_sym_thread] = ACTIONS(1210),
    [sym_int_literal] = ACTIONS(1210),
    [sym_float_literal] = ACTIONS(1208),
    [sym_rune_literal] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1210),
    [anon_sym_array] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_char] = ACTIONS(1210),
    [anon_sym_sql] = ACTIONS(1210),
    [anon_sym_mut] = ACTIONS(1210),
    [anon_sym_C] = ACTIONS(1210),
    [anon_sym_JS] = ACTIONS(1210),
    [anon_sym_voidptr] = ACTIONS(1210),
    [anon_sym_byteptr] = ACTIONS(1210),
    [anon_sym_charptr] = ACTIONS(1210),
    [anon_sym_i8] = ACTIONS(1210),
    [anon_sym_i16] = ACTIONS(1210),
    [anon_sym_i32] = ACTIONS(1210),
    [anon_sym_int] = ACTIONS(1210),
    [anon_sym_i64] = ACTIONS(1210),
    [anon_sym_byte] = ACTIONS(1210),
    [anon_sym_u8] = ACTIONS(1210),
    [anon_sym_u16] = ACTIONS(1210),
    [anon_sym_u32] = ACTIONS(1210),
    [anon_sym_u64] = ACTIONS(1210),
    [anon_sym_f32] = ACTIONS(1210),
    [anon_sym_f64] = ACTIONS(1210),
    [anon_sym_bool] = ACTIONS(1210),
    [anon_sym_rune] = ACTIONS(1210),
    [anon_sym_map] = ACTIONS(1210),
    [anon_sym_mapnode] = ACTIONS(1210),
    [anon_sym_size_t] = ACTIONS(1210),
    [anon_sym_usize] = ACTIONS(1210),
    [anon_sym_isize] = ACTIONS(1210),
    [anon_sym_float_literal] = ACTIONS(1210),
    [anon_sym_int_literal] = ACTIONS(1210),
    [anon_sym_IError] = ACTIONS(1210),
    [sym_type_placeholder] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [sym_type_identifier] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1210),
    [anon_sym_defer] = ACTIONS(1210),
    [anon_sym_unsafe] = ACTIONS(1210),
    [anon_sym_pub] = ACTIONS(1210),
    [anon_sym_fn] = ACTIONS(1210),
    [anon_sym___global] = ACTIONS(1210),
    [anon_sym_const] = ACTIONS(1210),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_go] = ACTIONS(1210),
    [anon_sym_spawn] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_DOLLARfor] = ACTIONS(1208),
    [anon_sym_DOLLARif] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_is] = ACTIONS(1210),
    [anon_sym_BANGis] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1210),
    [anon_sym_union] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_interface] = ACTIONS(1210),
    [anon_sym_POUND] = ACTIONS(1208),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_import] = ACTIONS(1210),
    [anon_sym_match] = ACTIONS(1210),
    [anon_sym_select] = ACTIONS(1210),
    [anon_sym_lock] = ACTIONS(1210),
    [anon_sym_rlock] = ACTIONS(1210),
    [sym__automatic_separator] = ACTIONS(1208),
    [sym__c_string_opening] = ACTIONS(1208),
    [sym__raw_string_opening] = ACTIONS(1208),
    [sym__string_opening] = ACTIONS(1208),
    [sym__comment] = ACTIONS(3),
  },
  [1015] = {
    [sym_comment] = STATE(1015),
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_LT_DASH] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1130),
    [anon_sym_LT_LT] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1130),
    [anon_sym_AMP_CARET] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1130),
    [sym_none] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [sym_int_literal] = ACTIONS(1132),
    [sym_float_literal] = ACTIONS(1130),
    [sym_rune_literal] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_sql] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_assert] = ACTIONS(1132),
    [anon_sym_defer] = ACTIONS(1132),
    [anon_sym_unsafe] = ACTIONS(1132),
    [anon_sym_pub] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym___global] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_type] = ACTIONS(1132),
    [anon_sym_go] = ACTIONS(1132),
    [anon_sym_spawn] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_DOLLARfor] = ACTIONS(1130),
    [anon_sym_DOLLARif] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_interface] = ACTIONS(1132),
    [anon_sym_POUND] = ACTIONS(1130),
    [anon_sym_module] = ACTIONS(1132),
    [anon_sym_import] = ACTIONS(1132),
    [anon_sym_match] = ACTIONS(1132),
    [anon_sym_select] = ACTIONS(1132),
    [anon_sym_lock] = ACTIONS(1132),
    [anon_sym_rlock] = ACTIONS(1132),
    [sym__automatic_separator] = ACTIONS(1130),
    [sym__c_string_opening] = ACTIONS(1130),
    [sym__raw_string_opening] = ACTIONS(1130),
    [sym__string_opening] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1016] = {
    [sym_comment] = STATE(1016),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_DOLLARelse] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1017] = {
    [sym_comment] = STATE(1017),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1192),
    [anon_sym_AMP_CARET] = ACTIONS(1192),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_pub] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym___global] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_type] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1018] = {
    [sym_comment] = STATE(1018),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1192),
    [anon_sym_AMP_CARET] = ACTIONS(1192),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_pub] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym___global] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_type] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_DOLLARelse] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1019] = {
    [sym_comment] = STATE(1019),
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_LT2] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_pub] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym___global] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_type] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_struct] = ACTIONS(1104),
    [anon_sym_union] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1020] = {
    [sym_comment] = STATE(1020),
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_LT_DASH] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP_CARET] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1134),
    [sym_none] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [sym_int_literal] = ACTIONS(1136),
    [sym_float_literal] = ACTIONS(1134),
    [sym_rune_literal] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_sql] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_assert] = ACTIONS(1136),
    [anon_sym_defer] = ACTIONS(1136),
    [anon_sym_unsafe] = ACTIONS(1136),
    [anon_sym_pub] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym___global] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_type] = ACTIONS(1136),
    [anon_sym_go] = ACTIONS(1136),
    [anon_sym_spawn] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_DOLLARfor] = ACTIONS(1134),
    [anon_sym_DOLLARif] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_interface] = ACTIONS(1136),
    [anon_sym_POUND] = ACTIONS(1134),
    [anon_sym_module] = ACTIONS(1136),
    [anon_sym_import] = ACTIONS(1136),
    [anon_sym_match] = ACTIONS(1136),
    [anon_sym_select] = ACTIONS(1136),
    [anon_sym_lock] = ACTIONS(1136),
    [anon_sym_rlock] = ACTIONS(1136),
    [sym__automatic_separator] = ACTIONS(1134),
    [sym__c_string_opening] = ACTIONS(1134),
    [sym__raw_string_opening] = ACTIONS(1134),
    [sym__string_opening] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1021] = {
    [sym_comment] = STATE(1021),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_LT2] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_pub] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym___global] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_type] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_interface] = ACTIONS(1198),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_module] = ACTIONS(1198),
    [anon_sym_import] = ACTIONS(1198),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1022] = {
    [sym_comment] = STATE(1022),
    [sym_argument_list] = STATE(1122),
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_CARET] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_LT_DASH] = ACTIONS(1126),
    [anon_sym_SLASH] = ACTIONS(1126),
    [anon_sym_PERCENT] = ACTIONS(1126),
    [anon_sym_LT_LT] = ACTIONS(1126),
    [anon_sym_GT_GT] = ACTIONS(1128),
    [anon_sym_GT_GT_GT] = ACTIONS(1126),
    [anon_sym_AMP_CARET] = ACTIONS(1126),
    [anon_sym_PIPE] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1126),
    [anon_sym_BANG_EQ] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1126),
    [anon_sym_GT] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1126),
    [anon_sym_in] = ACTIONS(1128),
    [anon_sym_BANGin] = ACTIONS(1126),
    [anon_sym_AMP_AMP] = ACTIONS(1126),
    [anon_sym_PIPE_PIPE] = ACTIONS(1126),
    [anon_sym_as] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [sym_none] = ACTIONS(1128),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_map_LBRACK] = ACTIONS(1126),
    [anon_sym_chan] = ACTIONS(1128),
    [anon_sym_shared] = ACTIONS(1128),
    [anon_sym_thread] = ACTIONS(1128),
    [sym_int_literal] = ACTIONS(1128),
    [sym_float_literal] = ACTIONS(1126),
    [sym_rune_literal] = ACTIONS(1126),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_array] = ACTIONS(1128),
    [anon_sym_string] = ACTIONS(1128),
    [anon_sym_char] = ACTIONS(1128),
    [anon_sym_sql] = ACTIONS(1128),
    [anon_sym_mut] = ACTIONS(1128),
    [anon_sym_C] = ACTIONS(1128),
    [anon_sym_JS] = ACTIONS(1128),
    [anon_sym_voidptr] = ACTIONS(1128),
    [anon_sym_byteptr] = ACTIONS(1128),
    [anon_sym_charptr] = ACTIONS(1128),
    [anon_sym_i8] = ACTIONS(1128),
    [anon_sym_i16] = ACTIONS(1128),
    [anon_sym_i32] = ACTIONS(1128),
    [anon_sym_int] = ACTIONS(1128),
    [anon_sym_i64] = ACTIONS(1128),
    [anon_sym_byte] = ACTIONS(1128),
    [anon_sym_u8] = ACTIONS(1128),
    [anon_sym_u16] = ACTIONS(1128),
    [anon_sym_u32] = ACTIONS(1128),
    [anon_sym_u64] = ACTIONS(1128),
    [anon_sym_f32] = ACTIONS(1128),
    [anon_sym_f64] = ACTIONS(1128),
    [anon_sym_bool] = ACTIONS(1128),
    [anon_sym_rune] = ACTIONS(1128),
    [anon_sym_map] = ACTIONS(1128),
    [anon_sym_mapnode] = ACTIONS(1128),
    [anon_sym_size_t] = ACTIONS(1128),
    [anon_sym_usize] = ACTIONS(1128),
    [anon_sym_isize] = ACTIONS(1128),
    [anon_sym_float_literal] = ACTIONS(1128),
    [anon_sym_int_literal] = ACTIONS(1128),
    [anon_sym_IError] = ACTIONS(1128),
    [sym_type_placeholder] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [sym_type_identifier] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1128),
    [anon_sym_defer] = ACTIONS(1128),
    [anon_sym_unsafe] = ACTIONS(1128),
    [anon_sym_pub] = ACTIONS(1128),
    [anon_sym_fn] = ACTIONS(1128),
    [anon_sym___global] = ACTIONS(1128),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_type] = ACTIONS(1128),
    [anon_sym_go] = ACTIONS(1128),
    [anon_sym_spawn] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_DOLLARfor] = ACTIONS(1126),
    [anon_sym_DOLLARif] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_is] = ACTIONS(1128),
    [anon_sym_BANGis] = ACTIONS(1126),
    [anon_sym_struct] = ACTIONS(1128),
    [anon_sym_union] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1128),
    [anon_sym_interface] = ACTIONS(1128),
    [anon_sym_POUND] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1128),
    [anon_sym_import] = ACTIONS(1128),
    [anon_sym_match] = ACTIONS(1128),
    [anon_sym_select] = ACTIONS(1128),
    [anon_sym_lock] = ACTIONS(1128),
    [anon_sym_rlock] = ACTIONS(1128),
    [sym__automatic_separator] = ACTIONS(1126),
    [sym__c_string_opening] = ACTIONS(1126),
    [sym__raw_string_opening] = ACTIONS(1126),
    [sym__string_opening] = ACTIONS(1126),
    [sym__comment] = ACTIONS(3),
  },
  [1023] = {
    [sym_comment] = STATE(1023),
    [sym_argument_list] = STATE(1039),
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1098),
    [anon_sym_STAR] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_LT_DASH] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1098),
    [anon_sym_PERCENT] = ACTIONS(1098),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_GT_GT] = ACTIONS(1100),
    [anon_sym_GT_GT_GT] = ACTIONS(1098),
    [anon_sym_AMP_CARET] = ACTIONS(1098),
    [anon_sym_PIPE] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1098),
    [anon_sym_BANG_EQ] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1100),
    [anon_sym_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1100),
    [anon_sym_GT_EQ] = ACTIONS(1098),
    [anon_sym_in] = ACTIONS(1100),
    [anon_sym_BANGin] = ACTIONS(1098),
    [anon_sym_AMP_AMP] = ACTIONS(1098),
    [anon_sym_PIPE_PIPE] = ACTIONS(1098),
    [anon_sym_as] = ACTIONS(1100),
    [anon_sym_COMMA] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [sym_none] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [sym_false] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_map_LBRACK] = ACTIONS(1098),
    [anon_sym_chan] = ACTIONS(1100),
    [anon_sym_shared] = ACTIONS(1100),
    [anon_sym_thread] = ACTIONS(1100),
    [sym_int_literal] = ACTIONS(1100),
    [sym_float_literal] = ACTIONS(1098),
    [sym_rune_literal] = ACTIONS(1098),
    [anon_sym_DOT] = ACTIONS(1100),
    [anon_sym_array] = ACTIONS(1100),
    [anon_sym_string] = ACTIONS(1100),
    [anon_sym_char] = ACTIONS(1100),
    [anon_sym_sql] = ACTIONS(1100),
    [anon_sym_mut] = ACTIONS(1100),
    [anon_sym_C] = ACTIONS(1100),
    [anon_sym_JS] = ACTIONS(1100),
    [anon_sym_voidptr] = ACTIONS(1100),
    [anon_sym_byteptr] = ACTIONS(1100),
    [anon_sym_charptr] = ACTIONS(1100),
    [anon_sym_i8] = ACTIONS(1100),
    [anon_sym_i16] = ACTIONS(1100),
    [anon_sym_i32] = ACTIONS(1100),
    [anon_sym_int] = ACTIONS(1100),
    [anon_sym_i64] = ACTIONS(1100),
    [anon_sym_byte] = ACTIONS(1100),
    [anon_sym_u8] = ACTIONS(1100),
    [anon_sym_u16] = ACTIONS(1100),
    [anon_sym_u32] = ACTIONS(1100),
    [anon_sym_u64] = ACTIONS(1100),
    [anon_sym_f32] = ACTIONS(1100),
    [anon_sym_f64] = ACTIONS(1100),
    [anon_sym_bool] = ACTIONS(1100),
    [anon_sym_rune] = ACTIONS(1100),
    [anon_sym_map] = ACTIONS(1100),
    [anon_sym_mapnode] = ACTIONS(1100),
    [anon_sym_size_t] = ACTIONS(1100),
    [anon_sym_usize] = ACTIONS(1100),
    [anon_sym_isize] = ACTIONS(1100),
    [anon_sym_float_literal] = ACTIONS(1100),
    [anon_sym_int_literal] = ACTIONS(1100),
    [anon_sym_IError] = ACTIONS(1100),
    [sym_type_placeholder] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [sym_type_identifier] = ACTIONS(1100),
    [anon_sym_assert] = ACTIONS(1100),
    [anon_sym_defer] = ACTIONS(1100),
    [anon_sym_unsafe] = ACTIONS(1100),
    [anon_sym_pub] = ACTIONS(1100),
    [anon_sym_fn] = ACTIONS(1100),
    [anon_sym___global] = ACTIONS(1100),
    [anon_sym_const] = ACTIONS(1100),
    [anon_sym_asm] = ACTIONS(1100),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_return] = ACTIONS(1100),
    [anon_sym_type] = ACTIONS(1100),
    [anon_sym_go] = ACTIONS(1100),
    [anon_sym_spawn] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1100),
    [anon_sym_for] = ACTIONS(1100),
    [anon_sym_DOLLARfor] = ACTIONS(1098),
    [anon_sym_DOLLARif] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1100),
    [anon_sym_is] = ACTIONS(1100),
    [anon_sym_BANGis] = ACTIONS(1098),
    [anon_sym_struct] = ACTIONS(1100),
    [anon_sym_union] = ACTIONS(1100),
    [anon_sym_enum] = ACTIONS(1100),
    [anon_sym_interface] = ACTIONS(1100),
    [anon_sym_POUND] = ACTIONS(1098),
    [anon_sym_module] = ACTIONS(1100),
    [anon_sym_import] = ACTIONS(1100),
    [anon_sym_match] = ACTIONS(1100),
    [anon_sym_select] = ACTIONS(1100),
    [anon_sym_lock] = ACTIONS(1100),
    [anon_sym_rlock] = ACTIONS(1100),
    [sym__automatic_separator] = ACTIONS(1098),
    [sym__c_string_opening] = ACTIONS(1098),
    [sym__raw_string_opening] = ACTIONS(1098),
    [sym__string_opening] = ACTIONS(1098),
    [sym__comment] = ACTIONS(3),
  },
  [1024] = {
    [sym_comment] = STATE(1024),
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_identifier] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_CARET] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_LT_DASH] = ACTIONS(1230),
    [anon_sym_SLASH] = ACTIONS(1230),
    [anon_sym_PERCENT] = ACTIONS(1230),
    [anon_sym_LT_LT] = ACTIONS(1230),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_GT_GT_GT] = ACTIONS(1230),
    [anon_sym_AMP_CARET] = ACTIONS(1230),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1230),
    [anon_sym_BANG_EQ] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_GT_EQ] = ACTIONS(1230),
    [anon_sym_in] = ACTIONS(1232),
    [anon_sym_BANGin] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1230),
    [anon_sym_PIPE_PIPE] = ACTIONS(1230),
    [anon_sym_as] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_map_LBRACK] = ACTIONS(1230),
    [anon_sym_chan] = ACTIONS(1232),
    [anon_sym_shared] = ACTIONS(1232),
    [anon_sym_thread] = ACTIONS(1232),
    [sym_int_literal] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1230),
    [sym_rune_literal] = ACTIONS(1230),
    [anon_sym_DOT] = ACTIONS(1232),
    [anon_sym_array] = ACTIONS(1232),
    [anon_sym_string] = ACTIONS(1232),
    [anon_sym_char] = ACTIONS(1232),
    [anon_sym_sql] = ACTIONS(1232),
    [anon_sym_mut] = ACTIONS(1232),
    [anon_sym_C] = ACTIONS(1232),
    [anon_sym_JS] = ACTIONS(1232),
    [anon_sym_voidptr] = ACTIONS(1232),
    [anon_sym_byteptr] = ACTIONS(1232),
    [anon_sym_charptr] = ACTIONS(1232),
    [anon_sym_i8] = ACTIONS(1232),
    [anon_sym_i16] = ACTIONS(1232),
    [anon_sym_i32] = ACTIONS(1232),
    [anon_sym_int] = ACTIONS(1232),
    [anon_sym_i64] = ACTIONS(1232),
    [anon_sym_byte] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1232),
    [anon_sym_u16] = ACTIONS(1232),
    [anon_sym_u32] = ACTIONS(1232),
    [anon_sym_u64] = ACTIONS(1232),
    [anon_sym_f32] = ACTIONS(1232),
    [anon_sym_f64] = ACTIONS(1232),
    [anon_sym_bool] = ACTIONS(1232),
    [anon_sym_rune] = ACTIONS(1232),
    [anon_sym_map] = ACTIONS(1232),
    [anon_sym_mapnode] = ACTIONS(1232),
    [anon_sym_size_t] = ACTIONS(1232),
    [anon_sym_usize] = ACTIONS(1232),
    [anon_sym_isize] = ACTIONS(1232),
    [anon_sym_float_literal] = ACTIONS(1232),
    [anon_sym_int_literal] = ACTIONS(1232),
    [anon_sym_IError] = ACTIONS(1232),
    [sym_type_placeholder] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [sym_type_identifier] = ACTIONS(1232),
    [anon_sym_assert] = ACTIONS(1232),
    [anon_sym_defer] = ACTIONS(1232),
    [anon_sym_unsafe] = ACTIONS(1232),
    [anon_sym_pub] = ACTIONS(1232),
    [anon_sym_fn] = ACTIONS(1232),
    [anon_sym___global] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_type] = ACTIONS(1232),
    [anon_sym_go] = ACTIONS(1232),
    [anon_sym_spawn] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_DOLLARfor] = ACTIONS(1230),
    [anon_sym_DOLLARif] = ACTIONS(1230),
    [anon_sym_DOLLARelse] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_is] = ACTIONS(1232),
    [anon_sym_BANGis] = ACTIONS(1230),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_interface] = ACTIONS(1232),
    [anon_sym_POUND] = ACTIONS(1230),
    [anon_sym_module] = ACTIONS(1232),
    [anon_sym_import] = ACTIONS(1232),
    [anon_sym_match] = ACTIONS(1232),
    [anon_sym_select] = ACTIONS(1232),
    [anon_sym_lock] = ACTIONS(1232),
    [anon_sym_rlock] = ACTIONS(1232),
    [sym__automatic_separator] = ACTIONS(1230),
    [sym__c_string_opening] = ACTIONS(1230),
    [sym__raw_string_opening] = ACTIONS(1230),
    [sym__string_opening] = ACTIONS(1230),
    [sym__comment] = ACTIONS(3),
  },
  [1025] = {
    [sym_comment] = STATE(1025),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_identifier] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_CARET] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_LT_DASH] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(1216),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_GT_GT_GT] = ACTIONS(1216),
    [anon_sym_AMP_CARET] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1216),
    [anon_sym_BANG_EQ] = ACTIONS(1216),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1216),
    [anon_sym_in] = ACTIONS(1218),
    [anon_sym_BANGin] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1216),
    [anon_sym_as] = ACTIONS(1218),
    [anon_sym_COMMA] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [sym_none] = ACTIONS(1218),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_map_LBRACK] = ACTIONS(1216),
    [anon_sym_chan] = ACTIONS(1218),
    [anon_sym_shared] = ACTIONS(1218),
    [anon_sym_thread] = ACTIONS(1218),
    [sym_int_literal] = ACTIONS(1218),
    [sym_float_literal] = ACTIONS(1216),
    [sym_rune_literal] = ACTIONS(1216),
    [anon_sym_DOT] = ACTIONS(1218),
    [anon_sym_array] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_char] = ACTIONS(1218),
    [anon_sym_sql] = ACTIONS(1218),
    [anon_sym_mut] = ACTIONS(1218),
    [anon_sym_C] = ACTIONS(1218),
    [anon_sym_JS] = ACTIONS(1218),
    [anon_sym_voidptr] = ACTIONS(1218),
    [anon_sym_byteptr] = ACTIONS(1218),
    [anon_sym_charptr] = ACTIONS(1218),
    [anon_sym_i8] = ACTIONS(1218),
    [anon_sym_i16] = ACTIONS(1218),
    [anon_sym_i32] = ACTIONS(1218),
    [anon_sym_int] = ACTIONS(1218),
    [anon_sym_i64] = ACTIONS(1218),
    [anon_sym_byte] = ACTIONS(1218),
    [anon_sym_u8] = ACTIONS(1218),
    [anon_sym_u16] = ACTIONS(1218),
    [anon_sym_u32] = ACTIONS(1218),
    [anon_sym_u64] = ACTIONS(1218),
    [anon_sym_f32] = ACTIONS(1218),
    [anon_sym_f64] = ACTIONS(1218),
    [anon_sym_bool] = ACTIONS(1218),
    [anon_sym_rune] = ACTIONS(1218),
    [anon_sym_map] = ACTIONS(1218),
    [anon_sym_mapnode] = ACTIONS(1218),
    [anon_sym_size_t] = ACTIONS(1218),
    [anon_sym_usize] = ACTIONS(1218),
    [anon_sym_isize] = ACTIONS(1218),
    [anon_sym_float_literal] = ACTIONS(1218),
    [anon_sym_int_literal] = ACTIONS(1218),
    [anon_sym_IError] = ACTIONS(1218),
    [sym_type_placeholder] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [sym_type_identifier] = ACTIONS(1218),
    [anon_sym_assert] = ACTIONS(1218),
    [anon_sym_defer] = ACTIONS(1218),
    [anon_sym_unsafe] = ACTIONS(1218),
    [anon_sym_pub] = ACTIONS(1218),
    [anon_sym_fn] = ACTIONS(1218),
    [anon_sym___global] = ACTIONS(1218),
    [anon_sym_const] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_go] = ACTIONS(1218),
    [anon_sym_spawn] = ACTIONS(1218),
    [anon_sym_goto] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_DOLLARfor] = ACTIONS(1216),
    [anon_sym_DOLLARif] = ACTIONS(1216),
    [anon_sym_DOLLARelse] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_is] = ACTIONS(1218),
    [anon_sym_BANGis] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1218),
    [anon_sym_union] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1218),
    [anon_sym_interface] = ACTIONS(1218),
    [anon_sym_POUND] = ACTIONS(1216),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_import] = ACTIONS(1218),
    [anon_sym_match] = ACTIONS(1218),
    [anon_sym_select] = ACTIONS(1218),
    [anon_sym_lock] = ACTIONS(1218),
    [anon_sym_rlock] = ACTIONS(1218),
    [sym__automatic_separator] = ACTIONS(1216),
    [sym__c_string_opening] = ACTIONS(1216),
    [sym__raw_string_opening] = ACTIONS(1216),
    [sym__string_opening] = ACTIONS(1216),
    [sym__comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_comment] = STATE(1026),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_LT_DASH] = ACTIONS(1184),
    [anon_sym_SLASH] = ACTIONS(1184),
    [anon_sym_PERCENT] = ACTIONS(1184),
    [anon_sym_LT_LT] = ACTIONS(1184),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1184),
    [anon_sym_AMP_CARET] = ACTIONS(1184),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1184),
    [sym_none] = ACTIONS(1186),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [sym_int_literal] = ACTIONS(1186),
    [sym_float_literal] = ACTIONS(1184),
    [sym_rune_literal] = ACTIONS(1184),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_sql] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_assert] = ACTIONS(1186),
    [anon_sym_defer] = ACTIONS(1186),
    [anon_sym_unsafe] = ACTIONS(1186),
    [anon_sym_pub] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym___global] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_go] = ACTIONS(1186),
    [anon_sym_spawn] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_DOLLARfor] = ACTIONS(1184),
    [anon_sym_DOLLARif] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [anon_sym_struct] = ACTIONS(1186),
    [anon_sym_union] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1186),
    [anon_sym_interface] = ACTIONS(1186),
    [anon_sym_POUND] = ACTIONS(1184),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1186),
    [anon_sym_match] = ACTIONS(1186),
    [anon_sym_select] = ACTIONS(1186),
    [anon_sym_lock] = ACTIONS(1186),
    [anon_sym_rlock] = ACTIONS(1186),
    [sym__automatic_separator] = ACTIONS(1184),
    [sym__c_string_opening] = ACTIONS(1184),
    [sym__raw_string_opening] = ACTIONS(1184),
    [sym__string_opening] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1027] = {
    [sym_comment] = STATE(1027),
    [sym_argument_list] = STATE(1037),
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_LT_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_AMP_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1224),
    [anon_sym_BANGin] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym_none] = ACTIONS(1224),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_map_LBRACK] = ACTIONS(1222),
    [anon_sym_chan] = ACTIONS(1224),
    [anon_sym_shared] = ACTIONS(1224),
    [anon_sym_thread] = ACTIONS(1224),
    [sym_int_literal] = ACTIONS(1224),
    [sym_float_literal] = ACTIONS(1222),
    [sym_rune_literal] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1224),
    [anon_sym_array] = ACTIONS(1224),
    [anon_sym_string] = ACTIONS(1224),
    [anon_sym_char] = ACTIONS(1224),
    [anon_sym_sql] = ACTIONS(1224),
    [anon_sym_mut] = ACTIONS(1224),
    [anon_sym_C] = ACTIONS(1224),
    [anon_sym_JS] = ACTIONS(1224),
    [anon_sym_voidptr] = ACTIONS(1224),
    [anon_sym_byteptr] = ACTIONS(1224),
    [anon_sym_charptr] = ACTIONS(1224),
    [anon_sym_i8] = ACTIONS(1224),
    [anon_sym_i16] = ACTIONS(1224),
    [anon_sym_i32] = ACTIONS(1224),
    [anon_sym_int] = ACTIONS(1224),
    [anon_sym_i64] = ACTIONS(1224),
    [anon_sym_byte] = ACTIONS(1224),
    [anon_sym_u8] = ACTIONS(1224),
    [anon_sym_u16] = ACTIONS(1224),
    [anon_sym_u32] = ACTIONS(1224),
    [anon_sym_u64] = ACTIONS(1224),
    [anon_sym_f32] = ACTIONS(1224),
    [anon_sym_f64] = ACTIONS(1224),
    [anon_sym_bool] = ACTIONS(1224),
    [anon_sym_rune] = ACTIONS(1224),
    [anon_sym_map] = ACTIONS(1224),
    [anon_sym_mapnode] = ACTIONS(1224),
    [anon_sym_size_t] = ACTIONS(1224),
    [anon_sym_usize] = ACTIONS(1224),
    [anon_sym_isize] = ACTIONS(1224),
    [anon_sym_float_literal] = ACTIONS(1224),
    [anon_sym_int_literal] = ACTIONS(1224),
    [anon_sym_IError] = ACTIONS(1224),
    [sym_type_placeholder] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [sym_type_identifier] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1224),
    [anon_sym_defer] = ACTIONS(1224),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_pub] = ACTIONS(1224),
    [anon_sym_fn] = ACTIONS(1224),
    [anon_sym___global] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_type] = ACTIONS(1224),
    [anon_sym_go] = ACTIONS(1224),
    [anon_sym_spawn] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_DOLLARfor] = ACTIONS(1222),
    [anon_sym_DOLLARif] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_is] = ACTIONS(1224),
    [anon_sym_BANGis] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_interface] = ACTIONS(1224),
    [anon_sym_POUND] = ACTIONS(1222),
    [anon_sym_module] = ACTIONS(1224),
    [anon_sym_import] = ACTIONS(1224),
    [anon_sym_match] = ACTIONS(1224),
    [anon_sym_select] = ACTIONS(1224),
    [anon_sym_lock] = ACTIONS(1224),
    [anon_sym_rlock] = ACTIONS(1224),
    [sym__automatic_separator] = ACTIONS(1222),
    [sym__c_string_opening] = ACTIONS(1222),
    [sym__raw_string_opening] = ACTIONS(1222),
    [sym__string_opening] = ACTIONS(1222),
    [sym__comment] = ACTIONS(3),
  },
  [1028] = {
    [sym_comment] = STATE(1028),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_identifier] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_CARET] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_LT_DASH] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1180),
    [anon_sym_PERCENT] = ACTIONS(1180),
    [anon_sym_LT_LT] = ACTIONS(1180),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_GT_GT_GT] = ACTIONS(1180),
    [anon_sym_AMP_CARET] = ACTIONS(1180),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_in] = ACTIONS(1182),
    [anon_sym_BANGin] = ACTIONS(1180),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_as] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [sym_none] = ACTIONS(1182),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_map_LBRACK] = ACTIONS(1180),
    [anon_sym_chan] = ACTIONS(1182),
    [anon_sym_shared] = ACTIONS(1182),
    [anon_sym_thread] = ACTIONS(1182),
    [sym_int_literal] = ACTIONS(1182),
    [sym_float_literal] = ACTIONS(1180),
    [sym_rune_literal] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_array] = ACTIONS(1182),
    [anon_sym_string] = ACTIONS(1182),
    [anon_sym_char] = ACTIONS(1182),
    [anon_sym_sql] = ACTIONS(1182),
    [anon_sym_mut] = ACTIONS(1182),
    [anon_sym_C] = ACTIONS(1182),
    [anon_sym_JS] = ACTIONS(1182),
    [anon_sym_LT2] = ACTIONS(1182),
    [anon_sym_voidptr] = ACTIONS(1182),
    [anon_sym_byteptr] = ACTIONS(1182),
    [anon_sym_charptr] = ACTIONS(1182),
    [anon_sym_i8] = ACTIONS(1182),
    [anon_sym_i16] = ACTIONS(1182),
    [anon_sym_i32] = ACTIONS(1182),
    [anon_sym_int] = ACTIONS(1182),
    [anon_sym_i64] = ACTIONS(1182),
    [anon_sym_byte] = ACTIONS(1182),
    [anon_sym_u8] = ACTIONS(1182),
    [anon_sym_u16] = ACTIONS(1182),
    [anon_sym_u32] = ACTIONS(1182),
    [anon_sym_u64] = ACTIONS(1182),
    [anon_sym_f32] = ACTIONS(1182),
    [anon_sym_f64] = ACTIONS(1182),
    [anon_sym_bool] = ACTIONS(1182),
    [anon_sym_rune] = ACTIONS(1182),
    [anon_sym_map] = ACTIONS(1182),
    [anon_sym_mapnode] = ACTIONS(1182),
    [anon_sym_size_t] = ACTIONS(1182),
    [anon_sym_usize] = ACTIONS(1182),
    [anon_sym_isize] = ACTIONS(1182),
    [anon_sym_float_literal] = ACTIONS(1182),
    [anon_sym_int_literal] = ACTIONS(1182),
    [anon_sym_IError] = ACTIONS(1182),
    [sym_type_placeholder] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [sym_type_identifier] = ACTIONS(1182),
    [anon_sym_assert] = ACTIONS(1182),
    [anon_sym_defer] = ACTIONS(1182),
    [anon_sym_unsafe] = ACTIONS(1182),
    [anon_sym_pub] = ACTIONS(1182),
    [anon_sym_fn] = ACTIONS(1182),
    [anon_sym___global] = ACTIONS(1182),
    [anon_sym_const] = ACTIONS(1182),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_type] = ACTIONS(1182),
    [anon_sym_go] = ACTIONS(1182),
    [anon_sym_spawn] = ACTIONS(1182),
    [anon_sym_goto] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_DOLLARfor] = ACTIONS(1180),
    [anon_sym_DOLLARif] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_is] = ACTIONS(1182),
    [anon_sym_BANGis] = ACTIONS(1180),
    [anon_sym_struct] = ACTIONS(1182),
    [anon_sym_union] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1182),
    [anon_sym_interface] = ACTIONS(1182),
    [anon_sym_POUND] = ACTIONS(1180),
    [anon_sym_module] = ACTIONS(1182),
    [anon_sym_import] = ACTIONS(1182),
    [anon_sym_match] = ACTIONS(1182),
    [anon_sym_select] = ACTIONS(1182),
    [anon_sym_lock] = ACTIONS(1182),
    [anon_sym_rlock] = ACTIONS(1182),
    [sym__automatic_separator] = ACTIONS(1180),
    [sym__c_string_opening] = ACTIONS(1180),
    [sym__raw_string_opening] = ACTIONS(1180),
    [sym__string_opening] = ACTIONS(1180),
    [sym__comment] = ACTIONS(3),
  },
  [1029] = {
    [sym_comment] = STATE(1029),
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_identifier] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1120),
    [anon_sym_LT_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PERCENT] = ACTIONS(1118),
    [anon_sym_LT_LT] = ACTIONS(1118),
    [anon_sym_GT_GT] = ACTIONS(1120),
    [anon_sym_GT_GT_GT] = ACTIONS(1118),
    [anon_sym_AMP_CARET] = ACTIONS(1118),
    [anon_sym_PIPE] = ACTIONS(1120),
    [anon_sym_EQ_EQ] = ACTIONS(1118),
    [anon_sym_BANG_EQ] = ACTIONS(1118),
    [anon_sym_LT] = ACTIONS(1120),
    [anon_sym_LT_EQ] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1120),
    [anon_sym_GT_EQ] = ACTIONS(1118),
    [anon_sym_in] = ACTIONS(1120),
    [anon_sym_BANGin] = ACTIONS(1118),
    [anon_sym_AMP_AMP] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1118),
    [anon_sym_as] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [sym_none] = ACTIONS(1120),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_map_LBRACK] = ACTIONS(1118),
    [anon_sym_chan] = ACTIONS(1120),
    [anon_sym_shared] = ACTIONS(1120),
    [anon_sym_thread] = ACTIONS(1120),
    [sym_int_literal] = ACTIONS(1120),
    [sym_float_literal] = ACTIONS(1118),
    [sym_rune_literal] = ACTIONS(1118),
    [anon_sym_DOT] = ACTIONS(1120),
    [anon_sym_array] = ACTIONS(1120),
    [anon_sym_string] = ACTIONS(1120),
    [anon_sym_char] = ACTIONS(1120),
    [anon_sym_sql] = ACTIONS(1120),
    [anon_sym_mut] = ACTIONS(1120),
    [anon_sym_C] = ACTIONS(1120),
    [anon_sym_JS] = ACTIONS(1120),
    [anon_sym_LT2] = ACTIONS(1120),
    [anon_sym_voidptr] = ACTIONS(1120),
    [anon_sym_byteptr] = ACTIONS(1120),
    [anon_sym_charptr] = ACTIONS(1120),
    [anon_sym_i8] = ACTIONS(1120),
    [anon_sym_i16] = ACTIONS(1120),
    [anon_sym_i32] = ACTIONS(1120),
    [anon_sym_int] = ACTIONS(1120),
    [anon_sym_i64] = ACTIONS(1120),
    [anon_sym_byte] = ACTIONS(1120),
    [anon_sym_u8] = ACTIONS(1120),
    [anon_sym_u16] = ACTIONS(1120),
    [anon_sym_u32] = ACTIONS(1120),
    [anon_sym_u64] = ACTIONS(1120),
    [anon_sym_f32] = ACTIONS(1120),
    [anon_sym_f64] = ACTIONS(1120),
    [anon_sym_bool] = ACTIONS(1120),
    [anon_sym_rune] = ACTIONS(1120),
    [anon_sym_map] = ACTIONS(1120),
    [anon_sym_mapnode] = ACTIONS(1120),
    [anon_sym_size_t] = ACTIONS(1120),
    [anon_sym_usize] = ACTIONS(1120),
    [anon_sym_isize] = ACTIONS(1120),
    [anon_sym_float_literal] = ACTIONS(1120),
    [anon_sym_int_literal] = ACTIONS(1120),
    [anon_sym_IError] = ACTIONS(1120),
    [sym_type_placeholder] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [sym_type_identifier] = ACTIONS(1120),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_defer] = ACTIONS(1120),
    [anon_sym_unsafe] = ACTIONS(1120),
    [anon_sym_pub] = ACTIONS(1120),
    [anon_sym_fn] = ACTIONS(1120),
    [anon_sym___global] = ACTIONS(1120),
    [anon_sym_const] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_type] = ACTIONS(1120),
    [anon_sym_go] = ACTIONS(1120),
    [anon_sym_spawn] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_DOLLARfor] = ACTIONS(1118),
    [anon_sym_DOLLARif] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_is] = ACTIONS(1120),
    [anon_sym_BANGis] = ACTIONS(1118),
    [anon_sym_struct] = ACTIONS(1120),
    [anon_sym_union] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1120),
    [anon_sym_interface] = ACTIONS(1120),
    [anon_sym_POUND] = ACTIONS(1118),
    [anon_sym_module] = ACTIONS(1120),
    [anon_sym_import] = ACTIONS(1120),
    [anon_sym_match] = ACTIONS(1120),
    [anon_sym_select] = ACTIONS(1120),
    [anon_sym_lock] = ACTIONS(1120),
    [anon_sym_rlock] = ACTIONS(1120),
    [sym__automatic_separator] = ACTIONS(1118),
    [sym__c_string_opening] = ACTIONS(1118),
    [sym__raw_string_opening] = ACTIONS(1118),
    [sym__string_opening] = ACTIONS(1118),
    [sym__comment] = ACTIONS(3),
  },
  [1030] = {
    [sym_comment] = STATE(1030),
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_CARET] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_LT_DASH] = ACTIONS(1242),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(1242),
    [anon_sym_LT_LT] = ACTIONS(1242),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_GT_GT_GT] = ACTIONS(1242),
    [anon_sym_AMP_CARET] = ACTIONS(1242),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1242),
    [anon_sym_BANG_EQ] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(1242),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_BANGin] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1242),
    [anon_sym_as] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym_none] = ACTIONS(1244),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_map_LBRACK] = ACTIONS(1242),
    [anon_sym_chan] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_thread] = ACTIONS(1244),
    [sym_int_literal] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1242),
    [sym_rune_literal] = ACTIONS(1242),
    [anon_sym_DOT] = ACTIONS(1244),
    [anon_sym_array] = ACTIONS(1244),
    [anon_sym_string] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_sql] = ACTIONS(1244),
    [anon_sym_mut] = ACTIONS(1244),
    [anon_sym_C] = ACTIONS(1244),
    [anon_sym_JS] = ACTIONS(1244),
    [anon_sym_voidptr] = ACTIONS(1244),
    [anon_sym_byteptr] = ACTIONS(1244),
    [anon_sym_charptr] = ACTIONS(1244),
    [anon_sym_i8] = ACTIONS(1244),
    [anon_sym_i16] = ACTIONS(1244),
    [anon_sym_i32] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_i64] = ACTIONS(1244),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1244),
    [anon_sym_u16] = ACTIONS(1244),
    [anon_sym_u32] = ACTIONS(1244),
    [anon_sym_u64] = ACTIONS(1244),
    [anon_sym_f32] = ACTIONS(1244),
    [anon_sym_f64] = ACTIONS(1244),
    [anon_sym_bool] = ACTIONS(1244),
    [anon_sym_rune] = ACTIONS(1244),
    [anon_sym_map] = ACTIONS(1244),
    [anon_sym_mapnode] = ACTIONS(1244),
    [anon_sym_size_t] = ACTIONS(1244),
    [anon_sym_usize] = ACTIONS(1244),
    [anon_sym_isize] = ACTIONS(1244),
    [anon_sym_float_literal] = ACTIONS(1244),
    [anon_sym_int_literal] = ACTIONS(1244),
    [anon_sym_IError] = ACTIONS(1244),
    [sym_type_placeholder] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [sym_type_identifier] = ACTIONS(1244),
    [anon_sym_assert] = ACTIONS(1244),
    [anon_sym_defer] = ACTIONS(1244),
    [anon_sym_unsafe] = ACTIONS(1244),
    [anon_sym_pub] = ACTIONS(1244),
    [anon_sym_fn] = ACTIONS(1244),
    [anon_sym___global] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_type] = ACTIONS(1244),
    [anon_sym_go] = ACTIONS(1244),
    [anon_sym_spawn] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_DOLLARfor] = ACTIONS(1242),
    [anon_sym_DOLLARif] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(3306),
    [anon_sym_is] = ACTIONS(1244),
    [anon_sym_BANGis] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_interface] = ACTIONS(1244),
    [anon_sym_POUND] = ACTIONS(1242),
    [anon_sym_module] = ACTIONS(1244),
    [anon_sym_import] = ACTIONS(1244),
    [anon_sym_match] = ACTIONS(1244),
    [anon_sym_select] = ACTIONS(1244),
    [anon_sym_lock] = ACTIONS(1244),
    [anon_sym_rlock] = ACTIONS(1244),
    [sym__automatic_separator] = ACTIONS(1242),
    [sym__c_string_opening] = ACTIONS(1242),
    [sym__raw_string_opening] = ACTIONS(1242),
    [sym__string_opening] = ACTIONS(1242),
    [sym__comment] = ACTIONS(3),
  },
  [1031] = {
    [sym_comment] = STATE(1031),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_comment] = STATE(1032),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_PERCENT] = ACTIONS(1188),
    [anon_sym_LT_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1188),
    [anon_sym_AMP_CARET] = ACTIONS(1188),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_pub] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym___global] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_type] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_interface] = ACTIONS(1190),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_module] = ACTIONS(1190),
    [anon_sym_import] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1033] = {
    [sym_comment] = STATE(1033),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_LT_DASH] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(1236),
    [anon_sym_LT_LT] = ACTIONS(1236),
    [anon_sym_GT_GT] = ACTIONS(1238),
    [anon_sym_GT_GT_GT] = ACTIONS(1236),
    [anon_sym_AMP_CARET] = ACTIONS(1236),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1238),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_BANGin] = ACTIONS(1236),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_as] = ACTIONS(1238),
    [anon_sym_COMMA] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [sym_none] = ACTIONS(1238),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_map_LBRACK] = ACTIONS(1236),
    [anon_sym_chan] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_thread] = ACTIONS(1238),
    [sym_int_literal] = ACTIONS(1238),
    [sym_float_literal] = ACTIONS(1236),
    [sym_rune_literal] = ACTIONS(1236),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_array] = ACTIONS(1238),
    [anon_sym_string] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_sql] = ACTIONS(1238),
    [anon_sym_mut] = ACTIONS(1238),
    [anon_sym_C] = ACTIONS(1238),
    [anon_sym_JS] = ACTIONS(1238),
    [anon_sym_voidptr] = ACTIONS(1238),
    [anon_sym_byteptr] = ACTIONS(1238),
    [anon_sym_charptr] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_int] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_byte] = ACTIONS(1238),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_rune] = ACTIONS(1238),
    [anon_sym_map] = ACTIONS(1238),
    [anon_sym_mapnode] = ACTIONS(1238),
    [anon_sym_size_t] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_float_literal] = ACTIONS(1238),
    [anon_sym_int_literal] = ACTIONS(1238),
    [anon_sym_IError] = ACTIONS(1238),
    [sym_type_placeholder] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [sym_type_identifier] = ACTIONS(1238),
    [anon_sym_assert] = ACTIONS(1238),
    [anon_sym_defer] = ACTIONS(1238),
    [anon_sym_unsafe] = ACTIONS(1238),
    [anon_sym_pub] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym___global] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_type] = ACTIONS(1238),
    [anon_sym_go] = ACTIONS(1238),
    [anon_sym_spawn] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_DOLLARfor] = ACTIONS(1236),
    [anon_sym_DOLLARif] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(3308),
    [anon_sym_is] = ACTIONS(1238),
    [anon_sym_BANGis] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_interface] = ACTIONS(1238),
    [anon_sym_POUND] = ACTIONS(1236),
    [anon_sym_module] = ACTIONS(1238),
    [anon_sym_import] = ACTIONS(1238),
    [anon_sym_match] = ACTIONS(1238),
    [anon_sym_select] = ACTIONS(1238),
    [anon_sym_lock] = ACTIONS(1238),
    [anon_sym_rlock] = ACTIONS(1238),
    [sym__automatic_separator] = ACTIONS(1236),
    [sym__c_string_opening] = ACTIONS(1236),
    [sym__raw_string_opening] = ACTIONS(1236),
    [sym__string_opening] = ACTIONS(1236),
    [sym__comment] = ACTIONS(3),
  },
  [1034] = {
    [sym_comment] = STATE(1034),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_LT2] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_pub] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym___global] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_type] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_comment] = STATE(1035),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_LT_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1536),
    [anon_sym_LT_LT] = ACTIONS(1536),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_GT_GT_GT] = ACTIONS(1536),
    [anon_sym_AMP_CARET] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_in] = ACTIONS(1538),
    [anon_sym_BANGin] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_as] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [sym_none] = ACTIONS(1538),
    [sym_true] = ACTIONS(1538),
    [sym_false] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_map_LBRACK] = ACTIONS(1536),
    [anon_sym_chan] = ACTIONS(1538),
    [anon_sym_shared] = ACTIONS(1538),
    [anon_sym_thread] = ACTIONS(1538),
    [sym_int_literal] = ACTIONS(1538),
    [sym_float_literal] = ACTIONS(1536),
    [sym_rune_literal] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_array] = ACTIONS(1538),
    [anon_sym_string] = ACTIONS(1538),
    [anon_sym_char] = ACTIONS(1538),
    [anon_sym_sql] = ACTIONS(1538),
    [anon_sym_mut] = ACTIONS(1538),
    [anon_sym_C] = ACTIONS(1538),
    [anon_sym_JS] = ACTIONS(1538),
    [anon_sym_voidptr] = ACTIONS(1538),
    [anon_sym_byteptr] = ACTIONS(1538),
    [anon_sym_charptr] = ACTIONS(1538),
    [anon_sym_i8] = ACTIONS(1538),
    [anon_sym_i16] = ACTIONS(1538),
    [anon_sym_i32] = ACTIONS(1538),
    [anon_sym_int] = ACTIONS(1538),
    [anon_sym_i64] = ACTIONS(1538),
    [anon_sym_byte] = ACTIONS(1538),
    [anon_sym_u8] = ACTIONS(1538),
    [anon_sym_u16] = ACTIONS(1538),
    [anon_sym_u32] = ACTIONS(1538),
    [anon_sym_u64] = ACTIONS(1538),
    [anon_sym_f32] = ACTIONS(1538),
    [anon_sym_f64] = ACTIONS(1538),
    [anon_sym_bool] = ACTIONS(1538),
    [anon_sym_rune] = ACTIONS(1538),
    [anon_sym_map] = ACTIONS(1538),
    [anon_sym_mapnode] = ACTIONS(1538),
    [anon_sym_size_t] = ACTIONS(1538),
    [anon_sym_usize] = ACTIONS(1538),
    [anon_sym_isize] = ACTIONS(1538),
    [anon_sym_float_literal] = ACTIONS(1538),
    [anon_sym_int_literal] = ACTIONS(1538),
    [anon_sym_IError] = ACTIONS(1538),
    [sym_type_placeholder] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [sym_type_identifier] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_defer] = ACTIONS(1538),
    [anon_sym_unsafe] = ACTIONS(1538),
    [anon_sym_pub] = ACTIONS(1538),
    [anon_sym_fn] = ACTIONS(1538),
    [anon_sym___global] = ACTIONS(1538),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_asm] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_continue] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_type] = ACTIONS(1538),
    [anon_sym_go] = ACTIONS(1538),
    [anon_sym_spawn] = ACTIONS(1538),
    [anon_sym_goto] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_DOLLARfor] = ACTIONS(1536),
    [anon_sym_DOLLARif] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_is] = ACTIONS(1538),
    [anon_sym_BANGis] = ACTIONS(1536),
    [anon_sym_struct] = ACTIONS(1538),
    [anon_sym_union] = ACTIONS(1538),
    [anon_sym_enum] = ACTIONS(1538),
    [anon_sym_interface] = ACTIONS(1538),
    [anon_sym_POUND] = ACTIONS(1536),
    [anon_sym_module] = ACTIONS(1538),
    [anon_sym_import] = ACTIONS(1538),
    [anon_sym_match] = ACTIONS(1538),
    [anon_sym_select] = ACTIONS(1538),
    [anon_sym_lock] = ACTIONS(1538),
    [anon_sym_rlock] = ACTIONS(1538),
    [sym__automatic_separator] = ACTIONS(1536),
    [sym__c_string_opening] = ACTIONS(1536),
    [sym__raw_string_opening] = ACTIONS(1536),
    [sym__string_opening] = ACTIONS(1536),
    [sym__comment] = ACTIONS(3),
  },
  [1036] = {
    [sym_comment] = STATE(1036),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_GT_GT_GT] = ACTIONS(3272),
    [anon_sym_AMP_CARET] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_EQ_EQ] = ACTIONS(3278),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_in] = ACTIONS(3280),
    [anon_sym_BANGin] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1037] = {
    [sym_comment] = STATE(1037),
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_CARET] = ACTIONS(1274),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_LT_DASH] = ACTIONS(1274),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(1274),
    [anon_sym_LT_LT] = ACTIONS(1274),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_GT_GT_GT] = ACTIONS(1274),
    [anon_sym_AMP_CARET] = ACTIONS(1274),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1274),
    [anon_sym_BANG_EQ] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_GT_EQ] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_BANGin] = ACTIONS(1274),
    [anon_sym_AMP_AMP] = ACTIONS(1274),
    [anon_sym_PIPE_PIPE] = ACTIONS(1274),
    [anon_sym_as] = ACTIONS(1276),
    [anon_sym_COMMA] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym_none] = ACTIONS(1276),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_map_LBRACK] = ACTIONS(1274),
    [anon_sym_chan] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_thread] = ACTIONS(1276),
    [sym_int_literal] = ACTIONS(1276),
    [sym_float_literal] = ACTIONS(1274),
    [sym_rune_literal] = ACTIONS(1274),
    [anon_sym_DOT] = ACTIONS(1276),
    [anon_sym_array] = ACTIONS(1276),
    [anon_sym_string] = ACTIONS(1276),
    [anon_sym_char] = ACTIONS(1276),
    [anon_sym_sql] = ACTIONS(1276),
    [anon_sym_mut] = ACTIONS(1276),
    [anon_sym_C] = ACTIONS(1276),
    [anon_sym_JS] = ACTIONS(1276),
    [anon_sym_voidptr] = ACTIONS(1276),
    [anon_sym_byteptr] = ACTIONS(1276),
    [anon_sym_charptr] = ACTIONS(1276),
    [anon_sym_i8] = ACTIONS(1276),
    [anon_sym_i16] = ACTIONS(1276),
    [anon_sym_i32] = ACTIONS(1276),
    [anon_sym_int] = ACTIONS(1276),
    [anon_sym_i64] = ACTIONS(1276),
    [anon_sym_byte] = ACTIONS(1276),
    [anon_sym_u8] = ACTIONS(1276),
    [anon_sym_u16] = ACTIONS(1276),
    [anon_sym_u32] = ACTIONS(1276),
    [anon_sym_u64] = ACTIONS(1276),
    [anon_sym_f32] = ACTIONS(1276),
    [anon_sym_f64] = ACTIONS(1276),
    [anon_sym_bool] = ACTIONS(1276),
    [anon_sym_rune] = ACTIONS(1276),
    [anon_sym_map] = ACTIONS(1276),
    [anon_sym_mapnode] = ACTIONS(1276),
    [anon_sym_size_t] = ACTIONS(1276),
    [anon_sym_usize] = ACTIONS(1276),
    [anon_sym_isize] = ACTIONS(1276),
    [anon_sym_float_literal] = ACTIONS(1276),
    [anon_sym_int_literal] = ACTIONS(1276),
    [anon_sym_IError] = ACTIONS(1276),
    [sym_type_placeholder] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [sym_type_identifier] = ACTIONS(1276),
    [anon_sym_assert] = ACTIONS(1276),
    [anon_sym_defer] = ACTIONS(1276),
    [anon_sym_unsafe] = ACTIONS(1276),
    [anon_sym_pub] = ACTIONS(1276),
    [anon_sym_fn] = ACTIONS(1276),
    [anon_sym___global] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_type] = ACTIONS(1276),
    [anon_sym_go] = ACTIONS(1276),
    [anon_sym_spawn] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_DOLLARfor] = ACTIONS(1274),
    [anon_sym_DOLLARif] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_is] = ACTIONS(1276),
    [anon_sym_BANGis] = ACTIONS(1274),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_interface] = ACTIONS(1276),
    [anon_sym_POUND] = ACTIONS(1274),
    [anon_sym_module] = ACTIONS(1276),
    [anon_sym_import] = ACTIONS(1276),
    [anon_sym_match] = ACTIONS(1276),
    [anon_sym_select] = ACTIONS(1276),
    [anon_sym_lock] = ACTIONS(1276),
    [anon_sym_rlock] = ACTIONS(1276),
    [sym__automatic_separator] = ACTIONS(1274),
    [sym__c_string_opening] = ACTIONS(1274),
    [sym__raw_string_opening] = ACTIONS(1274),
    [sym__string_opening] = ACTIONS(1274),
    [sym__comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_comment] = STATE(1038),
    [ts_builtin_sym_end] = ACTIONS(3310),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_CARET] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_LT_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_GT_GT_GT] = ACTIONS(3272),
    [anon_sym_AMP_CARET] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_EQ_EQ] = ACTIONS(3278),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_in] = ACTIONS(3280),
    [anon_sym_BANGin] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_DOLLAR] = ACTIONS(3312),
    [sym_none] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(3310),
    [anon_sym_chan] = ACTIONS(3312),
    [anon_sym_shared] = ACTIONS(3312),
    [anon_sym_thread] = ACTIONS(3312),
    [sym_int_literal] = ACTIONS(3312),
    [sym_float_literal] = ACTIONS(3310),
    [sym_rune_literal] = ACTIONS(3310),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_char] = ACTIONS(3312),
    [anon_sym_sql] = ACTIONS(3312),
    [anon_sym_mut] = ACTIONS(3312),
    [anon_sym_C] = ACTIONS(3312),
    [anon_sym_JS] = ACTIONS(3312),
    [anon_sym_voidptr] = ACTIONS(3312),
    [anon_sym_byteptr] = ACTIONS(3312),
    [anon_sym_charptr] = ACTIONS(3312),
    [anon_sym_i8] = ACTIONS(3312),
    [anon_sym_i16] = ACTIONS(3312),
    [anon_sym_i32] = ACTIONS(3312),
    [anon_sym_int] = ACTIONS(3312),
    [anon_sym_i64] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_u8] = ACTIONS(3312),
    [anon_sym_u16] = ACTIONS(3312),
    [anon_sym_u32] = ACTIONS(3312),
    [anon_sym_u64] = ACTIONS(3312),
    [anon_sym_f32] = ACTIONS(3312),
    [anon_sym_f64] = ACTIONS(3312),
    [anon_sym_bool] = ACTIONS(3312),
    [anon_sym_rune] = ACTIONS(3312),
    [anon_sym_map] = ACTIONS(3312),
    [anon_sym_mapnode] = ACTIONS(3312),
    [anon_sym_size_t] = ACTIONS(3312),
    [anon_sym_usize] = ACTIONS(3312),
    [anon_sym_isize] = ACTIONS(3312),
    [anon_sym_float_literal] = ACTIONS(3312),
    [anon_sym_int_literal] = ACTIONS(3312),
    [anon_sym_IError] = ACTIONS(3312),
    [sym_type_placeholder] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [sym_type_identifier] = ACTIONS(3312),
    [anon_sym_assert] = ACTIONS(3312),
    [anon_sym_defer] = ACTIONS(3312),
    [anon_sym_unsafe] = ACTIONS(3312),
    [anon_sym_pub] = ACTIONS(3312),
    [anon_sym_fn] = ACTIONS(3312),
    [anon_sym___global] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_go] = ACTIONS(3312),
    [anon_sym_spawn] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_DOLLARfor] = ACTIONS(3310),
    [anon_sym_DOLLARif] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_POUND] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_match] = ACTIONS(3312),
    [anon_sym_select] = ACTIONS(3312),
    [anon_sym_lock] = ACTIONS(3312),
    [anon_sym_rlock] = ACTIONS(3312),
    [sym__automatic_separator] = ACTIONS(3310),
    [sym__c_string_opening] = ACTIONS(3310),
    [sym__raw_string_opening] = ACTIONS(3310),
    [sym__string_opening] = ACTIONS(3310),
    [sym__comment] = ACTIONS(3),
  },
  [1039] = {
    [sym_comment] = STATE(1039),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_identifier] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_LT_DASH] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1362),
    [anon_sym_GT_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_EQ_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_in] = ACTIONS(1362),
    [anon_sym_BANGin] = ACTIONS(1360),
    [anon_sym_AMP_AMP] = ACTIONS(1360),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_as] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [sym_none] = ACTIONS(1362),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_map_LBRACK] = ACTIONS(1360),
    [anon_sym_chan] = ACTIONS(1362),
    [anon_sym_shared] = ACTIONS(1362),
    [anon_sym_thread] = ACTIONS(1362),
    [sym_int_literal] = ACTIONS(1362),
    [sym_float_literal] = ACTIONS(1360),
    [sym_rune_literal] = ACTIONS(1360),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_array] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_char] = ACTIONS(1362),
    [anon_sym_sql] = ACTIONS(1362),
    [anon_sym_mut] = ACTIONS(1362),
    [anon_sym_C] = ACTIONS(1362),
    [anon_sym_JS] = ACTIONS(1362),
    [anon_sym_voidptr] = ACTIONS(1362),
    [anon_sym_byteptr] = ACTIONS(1362),
    [anon_sym_charptr] = ACTIONS(1362),
    [anon_sym_i8] = ACTIONS(1362),
    [anon_sym_i16] = ACTIONS(1362),
    [anon_sym_i32] = ACTIONS(1362),
    [anon_sym_int] = ACTIONS(1362),
    [anon_sym_i64] = ACTIONS(1362),
    [anon_sym_byte] = ACTIONS(1362),
    [anon_sym_u8] = ACTIONS(1362),
    [anon_sym_u16] = ACTIONS(1362),
    [anon_sym_u32] = ACTIONS(1362),
    [anon_sym_u64] = ACTIONS(1362),
    [anon_sym_f32] = ACTIONS(1362),
    [anon_sym_f64] = ACTIONS(1362),
    [anon_sym_bool] = ACTIONS(1362),
    [anon_sym_rune] = ACTIONS(1362),
    [anon_sym_map] = ACTIONS(1362),
    [anon_sym_mapnode] = ACTIONS(1362),
    [anon_sym_size_t] = ACTIONS(1362),
    [anon_sym_usize] = ACTIONS(1362),
    [anon_sym_isize] = ACTIONS(1362),
    [anon_sym_float_literal] = ACTIONS(1362),
    [anon_sym_int_literal] = ACTIONS(1362),
    [anon_sym_IError] = ACTIONS(1362),
    [sym_type_placeholder] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [sym_type_identifier] = ACTIONS(1362),
    [anon_sym_assert] = ACTIONS(1362),
    [anon_sym_defer] = ACTIONS(1362),
    [anon_sym_unsafe] = ACTIONS(1362),
    [anon_sym_pub] = ACTIONS(1362),
    [anon_sym_fn] = ACTIONS(1362),
    [anon_sym___global] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_go] = ACTIONS(1362),
    [anon_sym_spawn] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_DOLLARfor] = ACTIONS(1360),
    [anon_sym_DOLLARif] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_is] = ACTIONS(1362),
    [anon_sym_BANGis] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_interface] = ACTIONS(1362),
    [anon_sym_POUND] = ACTIONS(1360),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_import] = ACTIONS(1362),
    [anon_sym_match] = ACTIONS(1362),
    [anon_sym_select] = ACTIONS(1362),
    [anon_sym_lock] = ACTIONS(1362),
    [anon_sym_rlock] = ACTIONS(1362),
    [sym__automatic_separator] = ACTIONS(1360),
    [sym__c_string_opening] = ACTIONS(1360),
    [sym__raw_string_opening] = ACTIONS(1360),
    [sym__string_opening] = ACTIONS(1360),
    [sym__comment] = ACTIONS(3),
  },
  [1040] = {
    [sym_comment] = STATE(1040),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_LT_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1376),
    [anon_sym_LT_LT] = ACTIONS(1376),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_GT_GT_GT] = ACTIONS(1376),
    [anon_sym_AMP_CARET] = ACTIONS(1376),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1376),
    [anon_sym_in] = ACTIONS(1378),
    [anon_sym_BANGin] = ACTIONS(1376),
    [anon_sym_AMP_AMP] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1376),
    [anon_sym_as] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [sym_none] = ACTIONS(1378),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_map_LBRACK] = ACTIONS(1376),
    [anon_sym_chan] = ACTIONS(1378),
    [anon_sym_shared] = ACTIONS(1378),
    [anon_sym_thread] = ACTIONS(1378),
    [sym_int_literal] = ACTIONS(1378),
    [sym_float_literal] = ACTIONS(1376),
    [sym_rune_literal] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_array] = ACTIONS(1378),
    [anon_sym_string] = ACTIONS(1378),
    [anon_sym_char] = ACTIONS(1378),
    [anon_sym_sql] = ACTIONS(1378),
    [anon_sym_mut] = ACTIONS(1378),
    [anon_sym_C] = ACTIONS(1378),
    [anon_sym_JS] = ACTIONS(1378),
    [anon_sym_voidptr] = ACTIONS(1378),
    [anon_sym_byteptr] = ACTIONS(1378),
    [anon_sym_charptr] = ACTIONS(1378),
    [anon_sym_i8] = ACTIONS(1378),
    [anon_sym_i16] = ACTIONS(1378),
    [anon_sym_i32] = ACTIONS(1378),
    [anon_sym_int] = ACTIONS(1378),
    [anon_sym_i64] = ACTIONS(1378),
    [anon_sym_byte] = ACTIONS(1378),
    [anon_sym_u8] = ACTIONS(1378),
    [anon_sym_u16] = ACTIONS(1378),
    [anon_sym_u32] = ACTIONS(1378),
    [anon_sym_u64] = ACTIONS(1378),
    [anon_sym_f32] = ACTIONS(1378),
    [anon_sym_f64] = ACTIONS(1378),
    [anon_sym_bool] = ACTIONS(1378),
    [anon_sym_rune] = ACTIONS(1378),
    [anon_sym_map] = ACTIONS(1378),
    [anon_sym_mapnode] = ACTIONS(1378),
    [anon_sym_size_t] = ACTIONS(1378),
    [anon_sym_usize] = ACTIONS(1378),
    [anon_sym_isize] = ACTIONS(1378),
    [anon_sym_float_literal] = ACTIONS(1378),
    [anon_sym_int_literal] = ACTIONS(1378),
    [anon_sym_IError] = ACTIONS(1378),
    [sym_type_placeholder] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [sym_type_identifier] = ACTIONS(1378),
    [anon_sym_assert] = ACTIONS(1378),
    [anon_sym_defer] = ACTIONS(1378),
    [anon_sym_unsafe] = ACTIONS(1378),
    [anon_sym_pub] = ACTIONS(1378),
    [anon_sym_fn] = ACTIONS(1378),
    [anon_sym___global] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_type] = ACTIONS(1378),
    [anon_sym_go] = ACTIONS(1378),
    [anon_sym_spawn] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_DOLLARfor] = ACTIONS(1376),
    [anon_sym_DOLLARif] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_is] = ACTIONS(1378),
    [anon_sym_BANGis] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_interface] = ACTIONS(1378),
    [anon_sym_POUND] = ACTIONS(1376),
    [anon_sym_module] = ACTIONS(1378),
    [anon_sym_import] = ACTIONS(1378),
    [anon_sym_match] = ACTIONS(1378),
    [anon_sym_select] = ACTIONS(1378),
    [anon_sym_lock] = ACTIONS(1378),
    [anon_sym_rlock] = ACTIONS(1378),
    [sym__automatic_separator] = ACTIONS(1376),
    [sym__c_string_opening] = ACTIONS(1376),
    [sym__raw_string_opening] = ACTIONS(1376),
    [sym__string_opening] = ACTIONS(1376),
    [sym__comment] = ACTIONS(3),
  },
  [1041] = {
    [sym_comment] = STATE(1041),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_identifier] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_LT_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_PERCENT] = ACTIONS(1344),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1346),
    [anon_sym_GT_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP_CARET] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_EQ_EQ] = ACTIONS(1344),
    [anon_sym_BANG_EQ] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1346),
    [anon_sym_LT_EQ] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1346),
    [anon_sym_GT_EQ] = ACTIONS(1344),
    [anon_sym_in] = ACTIONS(1346),
    [anon_sym_BANGin] = ACTIONS(1344),
    [anon_sym_AMP_AMP] = ACTIONS(1344),
    [anon_sym_PIPE_PIPE] = ACTIONS(1344),
    [anon_sym_as] = ACTIONS(1346),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [sym_none] = ACTIONS(1346),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_map_LBRACK] = ACTIONS(1344),
    [anon_sym_chan] = ACTIONS(1346),
    [anon_sym_shared] = ACTIONS(1346),
    [anon_sym_thread] = ACTIONS(1346),
    [sym_int_literal] = ACTIONS(1346),
    [sym_float_literal] = ACTIONS(1344),
    [sym_rune_literal] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1346),
    [anon_sym_array] = ACTIONS(1346),
    [anon_sym_string] = ACTIONS(1346),
    [anon_sym_char] = ACTIONS(1346),
    [anon_sym_sql] = ACTIONS(1346),
    [anon_sym_mut] = ACTIONS(1346),
    [anon_sym_C] = ACTIONS(1346),
    [anon_sym_JS] = ACTIONS(1346),
    [anon_sym_voidptr] = ACTIONS(1346),
    [anon_sym_byteptr] = ACTIONS(1346),
    [anon_sym_charptr] = ACTIONS(1346),
    [anon_sym_i8] = ACTIONS(1346),
    [anon_sym_i16] = ACTIONS(1346),
    [anon_sym_i32] = ACTIONS(1346),
    [anon_sym_int] = ACTIONS(1346),
    [anon_sym_i64] = ACTIONS(1346),
    [anon_sym_byte] = ACTIONS(1346),
    [anon_sym_u8] = ACTIONS(1346),
    [anon_sym_u16] = ACTIONS(1346),
    [anon_sym_u32] = ACTIONS(1346),
    [anon_sym_u64] = ACTIONS(1346),
    [anon_sym_f32] = ACTIONS(1346),
    [anon_sym_f64] = ACTIONS(1346),
    [anon_sym_bool] = ACTIONS(1346),
    [anon_sym_rune] = ACTIONS(1346),
    [anon_sym_map] = ACTIONS(1346),
    [anon_sym_mapnode] = ACTIONS(1346),
    [anon_sym_size_t] = ACTIONS(1346),
    [anon_sym_usize] = ACTIONS(1346),
    [anon_sym_isize] = ACTIONS(1346),
    [anon_sym_float_literal] = ACTIONS(1346),
    [anon_sym_int_literal] = ACTIONS(1346),
    [anon_sym_IError] = ACTIONS(1346),
    [sym_type_placeholder] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [sym_type_identifier] = ACTIONS(1346),
    [anon_sym_assert] = ACTIONS(1346),
    [anon_sym_defer] = ACTIONS(1346),
    [anon_sym_unsafe] = ACTIONS(1346),
    [anon_sym_pub] = ACTIONS(1346),
    [anon_sym_fn] = ACTIONS(1346),
    [anon_sym___global] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_type] = ACTIONS(1346),
    [anon_sym_go] = ACTIONS(1346),
    [anon_sym_spawn] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_DOLLARfor] = ACTIONS(1344),
    [anon_sym_DOLLARif] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_is] = ACTIONS(1346),
    [anon_sym_BANGis] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_interface] = ACTIONS(1346),
    [anon_sym_POUND] = ACTIONS(1344),
    [anon_sym_module] = ACTIONS(1346),
    [anon_sym_import] = ACTIONS(1346),
    [anon_sym_match] = ACTIONS(1346),
    [anon_sym_select] = ACTIONS(1346),
    [anon_sym_lock] = ACTIONS(1346),
    [anon_sym_rlock] = ACTIONS(1346),
    [sym__automatic_separator] = ACTIONS(1344),
    [sym__c_string_opening] = ACTIONS(1344),
    [sym__raw_string_opening] = ACTIONS(1344),
    [sym__string_opening] = ACTIONS(1344),
    [sym__comment] = ACTIONS(3),
  },
  [1042] = {
    [sym_comment] = STATE(1042),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1043] = {
    [sym_comment] = STATE(1043),
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_CARET] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_LT_DASH] = ACTIONS(1330),
    [anon_sym_SLASH] = ACTIONS(1330),
    [anon_sym_PERCENT] = ACTIONS(1330),
    [anon_sym_LT_LT] = ACTIONS(1330),
    [anon_sym_GT_GT] = ACTIONS(1332),
    [anon_sym_GT_GT_GT] = ACTIONS(1330),
    [anon_sym_AMP_CARET] = ACTIONS(1330),
    [anon_sym_PIPE] = ACTIONS(1332),
    [anon_sym_EQ_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT] = ACTIONS(1332),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_GT] = ACTIONS(1332),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_BANGin] = ACTIONS(1330),
    [anon_sym_AMP_AMP] = ACTIONS(1330),
    [anon_sym_PIPE_PIPE] = ACTIONS(1330),
    [anon_sym_as] = ACTIONS(1332),
    [anon_sym_COMMA] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [sym_none] = ACTIONS(1332),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_map_LBRACK] = ACTIONS(1330),
    [anon_sym_chan] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_thread] = ACTIONS(1332),
    [sym_int_literal] = ACTIONS(1332),
    [sym_float_literal] = ACTIONS(1330),
    [sym_rune_literal] = ACTIONS(1330),
    [anon_sym_DOT] = ACTIONS(1332),
    [anon_sym_array] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_char] = ACTIONS(1332),
    [anon_sym_sql] = ACTIONS(1332),
    [anon_sym_mut] = ACTIONS(1332),
    [anon_sym_C] = ACTIONS(1332),
    [anon_sym_JS] = ACTIONS(1332),
    [anon_sym_voidptr] = ACTIONS(1332),
    [anon_sym_byteptr] = ACTIONS(1332),
    [anon_sym_charptr] = ACTIONS(1332),
    [anon_sym_i8] = ACTIONS(1332),
    [anon_sym_i16] = ACTIONS(1332),
    [anon_sym_i32] = ACTIONS(1332),
    [anon_sym_int] = ACTIONS(1332),
    [anon_sym_i64] = ACTIONS(1332),
    [anon_sym_byte] = ACTIONS(1332),
    [anon_sym_u8] = ACTIONS(1332),
    [anon_sym_u16] = ACTIONS(1332),
    [anon_sym_u32] = ACTIONS(1332),
    [anon_sym_u64] = ACTIONS(1332),
    [anon_sym_f32] = ACTIONS(1332),
    [anon_sym_f64] = ACTIONS(1332),
    [anon_sym_bool] = ACTIONS(1332),
    [anon_sym_rune] = ACTIONS(1332),
    [anon_sym_map] = ACTIONS(1332),
    [anon_sym_mapnode] = ACTIONS(1332),
    [anon_sym_size_t] = ACTIONS(1332),
    [anon_sym_usize] = ACTIONS(1332),
    [anon_sym_isize] = ACTIONS(1332),
    [anon_sym_float_literal] = ACTIONS(1332),
    [anon_sym_int_literal] = ACTIONS(1332),
    [anon_sym_IError] = ACTIONS(1332),
    [sym_type_placeholder] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [sym_type_identifier] = ACTIONS(1332),
    [anon_sym_assert] = ACTIONS(1332),
    [anon_sym_defer] = ACTIONS(1332),
    [anon_sym_unsafe] = ACTIONS(1332),
    [anon_sym_pub] = ACTIONS(1332),
    [anon_sym_fn] = ACTIONS(1332),
    [anon_sym___global] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_go] = ACTIONS(1332),
    [anon_sym_spawn] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_DOLLARfor] = ACTIONS(1330),
    [anon_sym_DOLLARif] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_is] = ACTIONS(1332),
    [anon_sym_BANGis] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_interface] = ACTIONS(1332),
    [anon_sym_POUND] = ACTIONS(1330),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_import] = ACTIONS(1332),
    [anon_sym_match] = ACTIONS(1332),
    [anon_sym_select] = ACTIONS(1332),
    [anon_sym_lock] = ACTIONS(1332),
    [anon_sym_rlock] = ACTIONS(1332),
    [sym__automatic_separator] = ACTIONS(1330),
    [sym__c_string_opening] = ACTIONS(1330),
    [sym__raw_string_opening] = ACTIONS(1330),
    [sym__string_opening] = ACTIONS(1330),
    [sym__comment] = ACTIONS(3),
  },
  [1044] = {
    [sym_comment] = STATE(1044),
    [ts_builtin_sym_end] = ACTIONS(1616),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_LT_DASH] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_LT_LT] = ACTIONS(1616),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_GT_GT_GT] = ACTIONS(1616),
    [anon_sym_AMP_CARET] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_in] = ACTIONS(1618),
    [anon_sym_BANGin] = ACTIONS(1616),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_as] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [sym_none] = ACTIONS(1618),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_map_LBRACK] = ACTIONS(1616),
    [anon_sym_chan] = ACTIONS(1618),
    [anon_sym_shared] = ACTIONS(1618),
    [anon_sym_thread] = ACTIONS(1618),
    [sym_int_literal] = ACTIONS(1618),
    [sym_float_literal] = ACTIONS(1616),
    [sym_rune_literal] = ACTIONS(1616),
    [anon_sym_DOT] = ACTIONS(1618),
    [anon_sym_array] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_char] = ACTIONS(1618),
    [anon_sym_sql] = ACTIONS(1618),
    [anon_sym_mut] = ACTIONS(1618),
    [anon_sym_C] = ACTIONS(1618),
    [anon_sym_JS] = ACTIONS(1618),
    [anon_sym_voidptr] = ACTIONS(1618),
    [anon_sym_byteptr] = ACTIONS(1618),
    [anon_sym_charptr] = ACTIONS(1618),
    [anon_sym_i8] = ACTIONS(1618),
    [anon_sym_i16] = ACTIONS(1618),
    [anon_sym_i32] = ACTIONS(1618),
    [anon_sym_int] = ACTIONS(1618),
    [anon_sym_i64] = ACTIONS(1618),
    [anon_sym_byte] = ACTIONS(1618),
    [anon_sym_u8] = ACTIONS(1618),
    [anon_sym_u16] = ACTIONS(1618),
    [anon_sym_u32] = ACTIONS(1618),
    [anon_sym_u64] = ACTIONS(1618),
    [anon_sym_f32] = ACTIONS(1618),
    [anon_sym_f64] = ACTIONS(1618),
    [anon_sym_bool] = ACTIONS(1618),
    [anon_sym_rune] = ACTIONS(1618),
    [anon_sym_map] = ACTIONS(1618),
    [anon_sym_mapnode] = ACTIONS(1618),
    [anon_sym_size_t] = ACTIONS(1618),
    [anon_sym_usize] = ACTIONS(1618),
    [anon_sym_isize] = ACTIONS(1618),
    [anon_sym_float_literal] = ACTIONS(1618),
    [anon_sym_int_literal] = ACTIONS(1618),
    [anon_sym_IError] = ACTIONS(1618),
    [sym_type_placeholder] = ACTIONS(1618),
    [anon_sym_AT] = ACTIONS(1618),
    [sym_type_identifier] = ACTIONS(1618),
    [anon_sym_assert] = ACTIONS(1618),
    [anon_sym_defer] = ACTIONS(1618),
    [anon_sym_unsafe] = ACTIONS(1618),
    [anon_sym_pub] = ACTIONS(1618),
    [anon_sym_fn] = ACTIONS(1618),
    [anon_sym___global] = ACTIONS(1618),
    [anon_sym_const] = ACTIONS(1618),
    [anon_sym_asm] = ACTIONS(1618),
    [anon_sym_break] = ACTIONS(1618),
    [anon_sym_continue] = ACTIONS(1618),
    [anon_sym_return] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_go] = ACTIONS(1618),
    [anon_sym_spawn] = ACTIONS(1618),
    [anon_sym_goto] = ACTIONS(1618),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_DOLLARfor] = ACTIONS(1616),
    [anon_sym_DOLLARif] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1618),
    [anon_sym_is] = ACTIONS(1618),
    [anon_sym_BANGis] = ACTIONS(1616),
    [anon_sym_struct] = ACTIONS(1618),
    [anon_sym_union] = ACTIONS(1618),
    [anon_sym_enum] = ACTIONS(1618),
    [anon_sym_interface] = ACTIONS(1618),
    [anon_sym_POUND] = ACTIONS(1616),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_import] = ACTIONS(1618),
    [anon_sym_match] = ACTIONS(1618),
    [anon_sym_select] = ACTIONS(1618),
    [anon_sym_lock] = ACTIONS(1618),
    [anon_sym_rlock] = ACTIONS(1618),
    [sym__automatic_separator] = ACTIONS(1616),
    [sym__c_string_opening] = ACTIONS(1616),
    [sym__raw_string_opening] = ACTIONS(1616),
    [sym__string_opening] = ACTIONS(1616),
    [sym__comment] = ACTIONS(3),
  },
  [1045] = {
    [sym_comment] = STATE(1045),
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_pub] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym___global] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_type] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_struct] = ACTIONS(1104),
    [anon_sym_union] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1046] = {
    [sym_comment] = STATE(1046),
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_LT_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1590),
    [anon_sym_PERCENT] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_EQ_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_BANGin] = ACTIONS(1590),
    [anon_sym_AMP_AMP] = ACTIONS(1590),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_none] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_map_LBRACK] = ACTIONS(1590),
    [anon_sym_chan] = ACTIONS(1592),
    [anon_sym_shared] = ACTIONS(1592),
    [anon_sym_thread] = ACTIONS(1592),
    [sym_int_literal] = ACTIONS(1592),
    [sym_float_literal] = ACTIONS(1590),
    [sym_rune_literal] = ACTIONS(1590),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_array] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_char] = ACTIONS(1592),
    [anon_sym_sql] = ACTIONS(1592),
    [anon_sym_mut] = ACTIONS(1592),
    [anon_sym_C] = ACTIONS(1592),
    [anon_sym_JS] = ACTIONS(1592),
    [anon_sym_voidptr] = ACTIONS(1592),
    [anon_sym_byteptr] = ACTIONS(1592),
    [anon_sym_charptr] = ACTIONS(1592),
    [anon_sym_i8] = ACTIONS(1592),
    [anon_sym_i16] = ACTIONS(1592),
    [anon_sym_i32] = ACTIONS(1592),
    [anon_sym_int] = ACTIONS(1592),
    [anon_sym_i64] = ACTIONS(1592),
    [anon_sym_byte] = ACTIONS(1592),
    [anon_sym_u8] = ACTIONS(1592),
    [anon_sym_u16] = ACTIONS(1592),
    [anon_sym_u32] = ACTIONS(1592),
    [anon_sym_u64] = ACTIONS(1592),
    [anon_sym_f32] = ACTIONS(1592),
    [anon_sym_f64] = ACTIONS(1592),
    [anon_sym_bool] = ACTIONS(1592),
    [anon_sym_rune] = ACTIONS(1592),
    [anon_sym_map] = ACTIONS(1592),
    [anon_sym_mapnode] = ACTIONS(1592),
    [anon_sym_size_t] = ACTIONS(1592),
    [anon_sym_usize] = ACTIONS(1592),
    [anon_sym_isize] = ACTIONS(1592),
    [anon_sym_float_literal] = ACTIONS(1592),
    [anon_sym_int_literal] = ACTIONS(1592),
    [anon_sym_IError] = ACTIONS(1592),
    [sym_type_placeholder] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [sym_type_identifier] = ACTIONS(1592),
    [anon_sym_assert] = ACTIONS(1592),
    [anon_sym_defer] = ACTIONS(1592),
    [anon_sym_unsafe] = ACTIONS(1592),
    [anon_sym_pub] = ACTIONS(1592),
    [anon_sym_fn] = ACTIONS(1592),
    [anon_sym___global] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_asm] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_go] = ACTIONS(1592),
    [anon_sym_spawn] = ACTIONS(1592),
    [anon_sym_goto] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_DOLLARfor] = ACTIONS(1590),
    [anon_sym_DOLLARif] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_is] = ACTIONS(1592),
    [anon_sym_BANGis] = ACTIONS(1590),
    [anon_sym_struct] = ACTIONS(1592),
    [anon_sym_union] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_POUND] = ACTIONS(1590),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_match] = ACTIONS(1592),
    [anon_sym_select] = ACTIONS(1592),
    [anon_sym_lock] = ACTIONS(1592),
    [anon_sym_rlock] = ACTIONS(1592),
    [sym__automatic_separator] = ACTIONS(1590),
    [sym__c_string_opening] = ACTIONS(1590),
    [sym__raw_string_opening] = ACTIONS(1590),
    [sym__string_opening] = ACTIONS(1590),
    [sym__comment] = ACTIONS(3),
  },
  [1047] = {
    [sym_comment] = STATE(1047),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_identifier] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_LT_DASH] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1340),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1340),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_GT_GT_GT] = ACTIONS(1340),
    [anon_sym_AMP_CARET] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_in] = ACTIONS(1342),
    [anon_sym_BANGin] = ACTIONS(1340),
    [anon_sym_AMP_AMP] = ACTIONS(1340),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_as] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [sym_none] = ACTIONS(1342),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_map_LBRACK] = ACTIONS(1340),
    [anon_sym_chan] = ACTIONS(1342),
    [anon_sym_shared] = ACTIONS(1342),
    [anon_sym_thread] = ACTIONS(1342),
    [sym_int_literal] = ACTIONS(1342),
    [sym_float_literal] = ACTIONS(1340),
    [sym_rune_literal] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_array] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_char] = ACTIONS(1342),
    [anon_sym_sql] = ACTIONS(1342),
    [anon_sym_mut] = ACTIONS(1342),
    [anon_sym_C] = ACTIONS(1342),
    [anon_sym_JS] = ACTIONS(1342),
    [anon_sym_voidptr] = ACTIONS(1342),
    [anon_sym_byteptr] = ACTIONS(1342),
    [anon_sym_charptr] = ACTIONS(1342),
    [anon_sym_i8] = ACTIONS(1342),
    [anon_sym_i16] = ACTIONS(1342),
    [anon_sym_i32] = ACTIONS(1342),
    [anon_sym_int] = ACTIONS(1342),
    [anon_sym_i64] = ACTIONS(1342),
    [anon_sym_byte] = ACTIONS(1342),
    [anon_sym_u8] = ACTIONS(1342),
    [anon_sym_u16] = ACTIONS(1342),
    [anon_sym_u32] = ACTIONS(1342),
    [anon_sym_u64] = ACTIONS(1342),
    [anon_sym_f32] = ACTIONS(1342),
    [anon_sym_f64] = ACTIONS(1342),
    [anon_sym_bool] = ACTIONS(1342),
    [anon_sym_rune] = ACTIONS(1342),
    [anon_sym_map] = ACTIONS(1342),
    [anon_sym_mapnode] = ACTIONS(1342),
    [anon_sym_size_t] = ACTIONS(1342),
    [anon_sym_usize] = ACTIONS(1342),
    [anon_sym_isize] = ACTIONS(1342),
    [anon_sym_float_literal] = ACTIONS(1342),
    [anon_sym_int_literal] = ACTIONS(1342),
    [anon_sym_IError] = ACTIONS(1342),
    [sym_type_placeholder] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [sym_type_identifier] = ACTIONS(1342),
    [anon_sym_assert] = ACTIONS(1342),
    [anon_sym_defer] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1342),
    [anon_sym_pub] = ACTIONS(1342),
    [anon_sym_fn] = ACTIONS(1342),
    [anon_sym___global] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_type] = ACTIONS(1342),
    [anon_sym_go] = ACTIONS(1342),
    [anon_sym_spawn] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_DOLLARfor] = ACTIONS(1340),
    [anon_sym_DOLLARif] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_is] = ACTIONS(1342),
    [anon_sym_BANGis] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_interface] = ACTIONS(1342),
    [anon_sym_POUND] = ACTIONS(1340),
    [anon_sym_module] = ACTIONS(1342),
    [anon_sym_import] = ACTIONS(1342),
    [anon_sym_match] = ACTIONS(1342),
    [anon_sym_select] = ACTIONS(1342),
    [anon_sym_lock] = ACTIONS(1342),
    [anon_sym_rlock] = ACTIONS(1342),
    [sym__automatic_separator] = ACTIONS(1340),
    [sym__c_string_opening] = ACTIONS(1340),
    [sym__raw_string_opening] = ACTIONS(1340),
    [sym__string_opening] = ACTIONS(1340),
    [sym__comment] = ACTIONS(3),
  },
  [1048] = {
    [sym_comment] = STATE(1048),
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_LT_DASH] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [anon_sym_LT_LT] = ACTIONS(1326),
    [anon_sym_GT_GT] = ACTIONS(1328),
    [anon_sym_GT_GT_GT] = ACTIONS(1326),
    [anon_sym_AMP_CARET] = ACTIONS(1326),
    [anon_sym_PIPE] = ACTIONS(1328),
    [anon_sym_EQ_EQ] = ACTIONS(1326),
    [anon_sym_BANG_EQ] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1328),
    [anon_sym_LT_EQ] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1328),
    [anon_sym_GT_EQ] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_BANGin] = ACTIONS(1326),
    [anon_sym_AMP_AMP] = ACTIONS(1326),
    [anon_sym_PIPE_PIPE] = ACTIONS(1326),
    [anon_sym_as] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [sym_none] = ACTIONS(1328),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_map_LBRACK] = ACTIONS(1326),
    [anon_sym_chan] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_thread] = ACTIONS(1328),
    [sym_int_literal] = ACTIONS(1328),
    [sym_float_literal] = ACTIONS(1326),
    [sym_rune_literal] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1328),
    [anon_sym_array] = ACTIONS(1328),
    [anon_sym_string] = ACTIONS(1328),
    [anon_sym_char] = ACTIONS(1328),
    [anon_sym_sql] = ACTIONS(1328),
    [anon_sym_mut] = ACTIONS(1328),
    [anon_sym_C] = ACTIONS(1328),
    [anon_sym_JS] = ACTIONS(1328),
    [anon_sym_voidptr] = ACTIONS(1328),
    [anon_sym_byteptr] = ACTIONS(1328),
    [anon_sym_charptr] = ACTIONS(1328),
    [anon_sym_i8] = ACTIONS(1328),
    [anon_sym_i16] = ACTIONS(1328),
    [anon_sym_i32] = ACTIONS(1328),
    [anon_sym_int] = ACTIONS(1328),
    [anon_sym_i64] = ACTIONS(1328),
    [anon_sym_byte] = ACTIONS(1328),
    [anon_sym_u8] = ACTIONS(1328),
    [anon_sym_u16] = ACTIONS(1328),
    [anon_sym_u32] = ACTIONS(1328),
    [anon_sym_u64] = ACTIONS(1328),
    [anon_sym_f32] = ACTIONS(1328),
    [anon_sym_f64] = ACTIONS(1328),
    [anon_sym_bool] = ACTIONS(1328),
    [anon_sym_rune] = ACTIONS(1328),
    [anon_sym_map] = ACTIONS(1328),
    [anon_sym_mapnode] = ACTIONS(1328),
    [anon_sym_size_t] = ACTIONS(1328),
    [anon_sym_usize] = ACTIONS(1328),
    [anon_sym_isize] = ACTIONS(1328),
    [anon_sym_float_literal] = ACTIONS(1328),
    [anon_sym_int_literal] = ACTIONS(1328),
    [anon_sym_IError] = ACTIONS(1328),
    [sym_type_placeholder] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [sym_type_identifier] = ACTIONS(1328),
    [anon_sym_assert] = ACTIONS(1328),
    [anon_sym_defer] = ACTIONS(1328),
    [anon_sym_unsafe] = ACTIONS(1328),
    [anon_sym_pub] = ACTIONS(1328),
    [anon_sym_fn] = ACTIONS(1328),
    [anon_sym___global] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_type] = ACTIONS(1328),
    [anon_sym_go] = ACTIONS(1328),
    [anon_sym_spawn] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_DOLLARfor] = ACTIONS(1326),
    [anon_sym_DOLLARif] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_is] = ACTIONS(1328),
    [anon_sym_BANGis] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_interface] = ACTIONS(1328),
    [anon_sym_POUND] = ACTIONS(1326),
    [anon_sym_module] = ACTIONS(1328),
    [anon_sym_import] = ACTIONS(1328),
    [anon_sym_match] = ACTIONS(1328),
    [anon_sym_select] = ACTIONS(1328),
    [anon_sym_lock] = ACTIONS(1328),
    [anon_sym_rlock] = ACTIONS(1328),
    [sym__automatic_separator] = ACTIONS(1326),
    [sym__c_string_opening] = ACTIONS(1326),
    [sym__raw_string_opening] = ACTIONS(1326),
    [sym__string_opening] = ACTIONS(1326),
    [sym__comment] = ACTIONS(3),
  },
  [1049] = {
    [sym_comment] = STATE(1049),
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1554),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_LT_DASH] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(1554),
    [anon_sym_PERCENT] = ACTIONS(1554),
    [anon_sym_LT_LT] = ACTIONS(1554),
    [anon_sym_GT_GT] = ACTIONS(1556),
    [anon_sym_GT_GT_GT] = ACTIONS(1554),
    [anon_sym_AMP_CARET] = ACTIONS(1554),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_EQ_EQ] = ACTIONS(1554),
    [anon_sym_BANG_EQ] = ACTIONS(1554),
    [anon_sym_LT] = ACTIONS(1556),
    [anon_sym_LT_EQ] = ACTIONS(1554),
    [anon_sym_GT] = ACTIONS(1556),
    [anon_sym_GT_EQ] = ACTIONS(1554),
    [anon_sym_in] = ACTIONS(1556),
    [anon_sym_BANGin] = ACTIONS(1554),
    [anon_sym_AMP_AMP] = ACTIONS(1554),
    [anon_sym_PIPE_PIPE] = ACTIONS(1554),
    [anon_sym_as] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_none] = ACTIONS(1556),
    [sym_true] = ACTIONS(1556),
    [sym_false] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_map_LBRACK] = ACTIONS(1554),
    [anon_sym_chan] = ACTIONS(1556),
    [anon_sym_shared] = ACTIONS(1556),
    [anon_sym_thread] = ACTIONS(1556),
    [sym_int_literal] = ACTIONS(1556),
    [sym_float_literal] = ACTIONS(1554),
    [sym_rune_literal] = ACTIONS(1554),
    [anon_sym_DOT] = ACTIONS(1556),
    [anon_sym_array] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_char] = ACTIONS(1556),
    [anon_sym_sql] = ACTIONS(1556),
    [anon_sym_mut] = ACTIONS(1556),
    [anon_sym_C] = ACTIONS(1556),
    [anon_sym_JS] = ACTIONS(1556),
    [anon_sym_voidptr] = ACTIONS(1556),
    [anon_sym_byteptr] = ACTIONS(1556),
    [anon_sym_charptr] = ACTIONS(1556),
    [anon_sym_i8] = ACTIONS(1556),
    [anon_sym_i16] = ACTIONS(1556),
    [anon_sym_i32] = ACTIONS(1556),
    [anon_sym_int] = ACTIONS(1556),
    [anon_sym_i64] = ACTIONS(1556),
    [anon_sym_byte] = ACTIONS(1556),
    [anon_sym_u8] = ACTIONS(1556),
    [anon_sym_u16] = ACTIONS(1556),
    [anon_sym_u32] = ACTIONS(1556),
    [anon_sym_u64] = ACTIONS(1556),
    [anon_sym_f32] = ACTIONS(1556),
    [anon_sym_f64] = ACTIONS(1556),
    [anon_sym_bool] = ACTIONS(1556),
    [anon_sym_rune] = ACTIONS(1556),
    [anon_sym_map] = ACTIONS(1556),
    [anon_sym_mapnode] = ACTIONS(1556),
    [anon_sym_size_t] = ACTIONS(1556),
    [anon_sym_usize] = ACTIONS(1556),
    [anon_sym_isize] = ACTIONS(1556),
    [anon_sym_float_literal] = ACTIONS(1556),
    [anon_sym_int_literal] = ACTIONS(1556),
    [anon_sym_IError] = ACTIONS(1556),
    [sym_type_placeholder] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [sym_type_identifier] = ACTIONS(1556),
    [anon_sym_assert] = ACTIONS(1556),
    [anon_sym_defer] = ACTIONS(1556),
    [anon_sym_unsafe] = ACTIONS(1556),
    [anon_sym_pub] = ACTIONS(1556),
    [anon_sym_fn] = ACTIONS(1556),
    [anon_sym___global] = ACTIONS(1556),
    [anon_sym_const] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1556),
    [anon_sym_break] = ACTIONS(1556),
    [anon_sym_continue] = ACTIONS(1556),
    [anon_sym_return] = ACTIONS(1556),
    [anon_sym_type] = ACTIONS(1556),
    [anon_sym_go] = ACTIONS(1556),
    [anon_sym_spawn] = ACTIONS(1556),
    [anon_sym_goto] = ACTIONS(1556),
    [anon_sym_for] = ACTIONS(1556),
    [anon_sym_DOLLARfor] = ACTIONS(1554),
    [anon_sym_DOLLARif] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_is] = ACTIONS(1556),
    [anon_sym_BANGis] = ACTIONS(1554),
    [anon_sym_struct] = ACTIONS(1556),
    [anon_sym_union] = ACTIONS(1556),
    [anon_sym_enum] = ACTIONS(1556),
    [anon_sym_interface] = ACTIONS(1556),
    [anon_sym_POUND] = ACTIONS(1554),
    [anon_sym_module] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(1556),
    [anon_sym_match] = ACTIONS(1556),
    [anon_sym_select] = ACTIONS(1556),
    [anon_sym_lock] = ACTIONS(1556),
    [anon_sym_rlock] = ACTIONS(1556),
    [sym__automatic_separator] = ACTIONS(1554),
    [sym__c_string_opening] = ACTIONS(1554),
    [sym__raw_string_opening] = ACTIONS(1554),
    [sym__string_opening] = ACTIONS(1554),
    [sym__comment] = ACTIONS(3),
  },
  [1050] = {
    [sym_comment] = STATE(1050),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_LT_DASH] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1320),
    [anon_sym_PERCENT] = ACTIONS(1320),
    [anon_sym_LT_LT] = ACTIONS(1320),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_GT_GT_GT] = ACTIONS(1320),
    [anon_sym_AMP_CARET] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1320),
    [anon_sym_BANG_EQ] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1320),
    [anon_sym_in] = ACTIONS(1322),
    [anon_sym_BANGin] = ACTIONS(1320),
    [anon_sym_AMP_AMP] = ACTIONS(1320),
    [anon_sym_PIPE_PIPE] = ACTIONS(1320),
    [anon_sym_as] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [sym_none] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_map_LBRACK] = ACTIONS(1320),
    [anon_sym_chan] = ACTIONS(1322),
    [anon_sym_shared] = ACTIONS(1322),
    [anon_sym_thread] = ACTIONS(1322),
    [sym_int_literal] = ACTIONS(1322),
    [sym_float_literal] = ACTIONS(1320),
    [sym_rune_literal] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1322),
    [anon_sym_array] = ACTIONS(1322),
    [anon_sym_string] = ACTIONS(1322),
    [anon_sym_char] = ACTIONS(1322),
    [anon_sym_sql] = ACTIONS(1322),
    [anon_sym_mut] = ACTIONS(1322),
    [anon_sym_C] = ACTIONS(1322),
    [anon_sym_JS] = ACTIONS(1322),
    [anon_sym_voidptr] = ACTIONS(1322),
    [anon_sym_byteptr] = ACTIONS(1322),
    [anon_sym_charptr] = ACTIONS(1322),
    [anon_sym_i8] = ACTIONS(1322),
    [anon_sym_i16] = ACTIONS(1322),
    [anon_sym_i32] = ACTIONS(1322),
    [anon_sym_int] = ACTIONS(1322),
    [anon_sym_i64] = ACTIONS(1322),
    [anon_sym_byte] = ACTIONS(1322),
    [anon_sym_u8] = ACTIONS(1322),
    [anon_sym_u16] = ACTIONS(1322),
    [anon_sym_u32] = ACTIONS(1322),
    [anon_sym_u64] = ACTIONS(1322),
    [anon_sym_f32] = ACTIONS(1322),
    [anon_sym_f64] = ACTIONS(1322),
    [anon_sym_bool] = ACTIONS(1322),
    [anon_sym_rune] = ACTIONS(1322),
    [anon_sym_map] = ACTIONS(1322),
    [anon_sym_mapnode] = ACTIONS(1322),
    [anon_sym_size_t] = ACTIONS(1322),
    [anon_sym_usize] = ACTIONS(1322),
    [anon_sym_isize] = ACTIONS(1322),
    [anon_sym_float_literal] = ACTIONS(1322),
    [anon_sym_int_literal] = ACTIONS(1322),
    [anon_sym_IError] = ACTIONS(1322),
    [sym_type_placeholder] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [sym_type_identifier] = ACTIONS(1322),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_defer] = ACTIONS(1322),
    [anon_sym_unsafe] = ACTIONS(1322),
    [anon_sym_pub] = ACTIONS(1322),
    [anon_sym_fn] = ACTIONS(1322),
    [anon_sym___global] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_type] = ACTIONS(1322),
    [anon_sym_go] = ACTIONS(1322),
    [anon_sym_spawn] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_DOLLARfor] = ACTIONS(1320),
    [anon_sym_DOLLARif] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_is] = ACTIONS(1322),
    [anon_sym_BANGis] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_interface] = ACTIONS(1322),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_module] = ACTIONS(1322),
    [anon_sym_import] = ACTIONS(1322),
    [anon_sym_match] = ACTIONS(1322),
    [anon_sym_select] = ACTIONS(1322),
    [anon_sym_lock] = ACTIONS(1322),
    [anon_sym_rlock] = ACTIONS(1322),
    [sym__automatic_separator] = ACTIONS(1320),
    [sym__c_string_opening] = ACTIONS(1320),
    [sym__raw_string_opening] = ACTIONS(1320),
    [sym__string_opening] = ACTIONS(1320),
    [sym__comment] = ACTIONS(3),
  },
  [1051] = {
    [sym_comment] = STATE(1051),
    [ts_builtin_sym_end] = ACTIONS(1606),
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_LT_DASH] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1606),
    [anon_sym_PERCENT] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_GT_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_in] = ACTIONS(1608),
    [anon_sym_BANGin] = ACTIONS(1606),
    [anon_sym_AMP_AMP] = ACTIONS(1606),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_as] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [sym_none] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_map_LBRACK] = ACTIONS(1606),
    [anon_sym_chan] = ACTIONS(1608),
    [anon_sym_shared] = ACTIONS(1608),
    [anon_sym_thread] = ACTIONS(1608),
    [sym_int_literal] = ACTIONS(1608),
    [sym_float_literal] = ACTIONS(1606),
    [sym_rune_literal] = ACTIONS(1606),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_array] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_char] = ACTIONS(1608),
    [anon_sym_sql] = ACTIONS(1608),
    [anon_sym_mut] = ACTIONS(1608),
    [anon_sym_C] = ACTIONS(1608),
    [anon_sym_JS] = ACTIONS(1608),
    [anon_sym_voidptr] = ACTIONS(1608),
    [anon_sym_byteptr] = ACTIONS(1608),
    [anon_sym_charptr] = ACTIONS(1608),
    [anon_sym_i8] = ACTIONS(1608),
    [anon_sym_i16] = ACTIONS(1608),
    [anon_sym_i32] = ACTIONS(1608),
    [anon_sym_int] = ACTIONS(1608),
    [anon_sym_i64] = ACTIONS(1608),
    [anon_sym_byte] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1608),
    [anon_sym_u16] = ACTIONS(1608),
    [anon_sym_u32] = ACTIONS(1608),
    [anon_sym_u64] = ACTIONS(1608),
    [anon_sym_f32] = ACTIONS(1608),
    [anon_sym_f64] = ACTIONS(1608),
    [anon_sym_bool] = ACTIONS(1608),
    [anon_sym_rune] = ACTIONS(1608),
    [anon_sym_map] = ACTIONS(1608),
    [anon_sym_mapnode] = ACTIONS(1608),
    [anon_sym_size_t] = ACTIONS(1608),
    [anon_sym_usize] = ACTIONS(1608),
    [anon_sym_isize] = ACTIONS(1608),
    [anon_sym_float_literal] = ACTIONS(1608),
    [anon_sym_int_literal] = ACTIONS(1608),
    [anon_sym_IError] = ACTIONS(1608),
    [sym_type_placeholder] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [sym_type_identifier] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_defer] = ACTIONS(1608),
    [anon_sym_unsafe] = ACTIONS(1608),
    [anon_sym_pub] = ACTIONS(1608),
    [anon_sym_fn] = ACTIONS(1608),
    [anon_sym___global] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_asm] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_type] = ACTIONS(1608),
    [anon_sym_go] = ACTIONS(1608),
    [anon_sym_spawn] = ACTIONS(1608),
    [anon_sym_goto] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_DOLLARfor] = ACTIONS(1606),
    [anon_sym_DOLLARif] = ACTIONS(1606),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_is] = ACTIONS(1608),
    [anon_sym_BANGis] = ACTIONS(1606),
    [anon_sym_struct] = ACTIONS(1608),
    [anon_sym_union] = ACTIONS(1608),
    [anon_sym_enum] = ACTIONS(1608),
    [anon_sym_interface] = ACTIONS(1608),
    [anon_sym_POUND] = ACTIONS(1606),
    [anon_sym_module] = ACTIONS(1608),
    [anon_sym_import] = ACTIONS(1608),
    [anon_sym_match] = ACTIONS(1608),
    [anon_sym_select] = ACTIONS(1608),
    [anon_sym_lock] = ACTIONS(1608),
    [anon_sym_rlock] = ACTIONS(1608),
    [sym__automatic_separator] = ACTIONS(1606),
    [sym__c_string_opening] = ACTIONS(1606),
    [sym__raw_string_opening] = ACTIONS(1606),
    [sym__string_opening] = ACTIONS(1606),
    [sym__comment] = ACTIONS(3),
  },
  [1052] = {
    [sym_comment] = STATE(1052),
    [ts_builtin_sym_end] = ACTIONS(1594),
    [sym_identifier] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_LT_DASH] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1594),
    [anon_sym_PERCENT] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1596),
    [anon_sym_GT_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_BANGin] = ACTIONS(1594),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_as] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [sym_none] = ACTIONS(1596),
    [sym_true] = ACTIONS(1596),
    [sym_false] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_map_LBRACK] = ACTIONS(1594),
    [anon_sym_chan] = ACTIONS(1596),
    [anon_sym_shared] = ACTIONS(1596),
    [anon_sym_thread] = ACTIONS(1596),
    [sym_int_literal] = ACTIONS(1596),
    [sym_float_literal] = ACTIONS(1594),
    [sym_rune_literal] = ACTIONS(1594),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_array] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_char] = ACTIONS(1596),
    [anon_sym_sql] = ACTIONS(1596),
    [anon_sym_mut] = ACTIONS(1596),
    [anon_sym_C] = ACTIONS(1596),
    [anon_sym_JS] = ACTIONS(1596),
    [anon_sym_voidptr] = ACTIONS(1596),
    [anon_sym_byteptr] = ACTIONS(1596),
    [anon_sym_charptr] = ACTIONS(1596),
    [anon_sym_i8] = ACTIONS(1596),
    [anon_sym_i16] = ACTIONS(1596),
    [anon_sym_i32] = ACTIONS(1596),
    [anon_sym_int] = ACTIONS(1596),
    [anon_sym_i64] = ACTIONS(1596),
    [anon_sym_byte] = ACTIONS(1596),
    [anon_sym_u8] = ACTIONS(1596),
    [anon_sym_u16] = ACTIONS(1596),
    [anon_sym_u32] = ACTIONS(1596),
    [anon_sym_u64] = ACTIONS(1596),
    [anon_sym_f32] = ACTIONS(1596),
    [anon_sym_f64] = ACTIONS(1596),
    [anon_sym_bool] = ACTIONS(1596),
    [anon_sym_rune] = ACTIONS(1596),
    [anon_sym_map] = ACTIONS(1596),
    [anon_sym_mapnode] = ACTIONS(1596),
    [anon_sym_size_t] = ACTIONS(1596),
    [anon_sym_usize] = ACTIONS(1596),
    [anon_sym_isize] = ACTIONS(1596),
    [anon_sym_float_literal] = ACTIONS(1596),
    [anon_sym_int_literal] = ACTIONS(1596),
    [anon_sym_IError] = ACTIONS(1596),
    [sym_type_placeholder] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [sym_type_identifier] = ACTIONS(1596),
    [anon_sym_assert] = ACTIONS(1596),
    [anon_sym_defer] = ACTIONS(1596),
    [anon_sym_unsafe] = ACTIONS(1596),
    [anon_sym_pub] = ACTIONS(1596),
    [anon_sym_fn] = ACTIONS(1596),
    [anon_sym___global] = ACTIONS(1596),
    [anon_sym_const] = ACTIONS(1596),
    [anon_sym_asm] = ACTIONS(1596),
    [anon_sym_break] = ACTIONS(1596),
    [anon_sym_continue] = ACTIONS(1596),
    [anon_sym_return] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_go] = ACTIONS(1596),
    [anon_sym_spawn] = ACTIONS(1596),
    [anon_sym_goto] = ACTIONS(1596),
    [anon_sym_for] = ACTIONS(1596),
    [anon_sym_DOLLARfor] = ACTIONS(1594),
    [anon_sym_DOLLARif] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1596),
    [anon_sym_BANGis] = ACTIONS(1594),
    [anon_sym_struct] = ACTIONS(1596),
    [anon_sym_union] = ACTIONS(1596),
    [anon_sym_enum] = ACTIONS(1596),
    [anon_sym_interface] = ACTIONS(1596),
    [anon_sym_POUND] = ACTIONS(1594),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_import] = ACTIONS(1596),
    [anon_sym_match] = ACTIONS(1596),
    [anon_sym_select] = ACTIONS(1596),
    [anon_sym_lock] = ACTIONS(1596),
    [anon_sym_rlock] = ACTIONS(1596),
    [sym__automatic_separator] = ACTIONS(1594),
    [sym__c_string_opening] = ACTIONS(1594),
    [sym__raw_string_opening] = ACTIONS(1594),
    [sym__string_opening] = ACTIONS(1594),
    [sym__comment] = ACTIONS(3),
  },
  [1053] = {
    [sym_comment] = STATE(1053),
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_LT_DASH] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_PERCENT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_BANGin] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [sym_none] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_map_LBRACK] = ACTIONS(1578),
    [anon_sym_chan] = ACTIONS(1580),
    [anon_sym_shared] = ACTIONS(1580),
    [anon_sym_thread] = ACTIONS(1580),
    [sym_int_literal] = ACTIONS(1580),
    [sym_float_literal] = ACTIONS(1578),
    [sym_rune_literal] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_array] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_char] = ACTIONS(1580),
    [anon_sym_sql] = ACTIONS(1580),
    [anon_sym_mut] = ACTIONS(1580),
    [anon_sym_C] = ACTIONS(1580),
    [anon_sym_JS] = ACTIONS(1580),
    [anon_sym_voidptr] = ACTIONS(1580),
    [anon_sym_byteptr] = ACTIONS(1580),
    [anon_sym_charptr] = ACTIONS(1580),
    [anon_sym_i8] = ACTIONS(1580),
    [anon_sym_i16] = ACTIONS(1580),
    [anon_sym_i32] = ACTIONS(1580),
    [anon_sym_int] = ACTIONS(1580),
    [anon_sym_i64] = ACTIONS(1580),
    [anon_sym_byte] = ACTIONS(1580),
    [anon_sym_u8] = ACTIONS(1580),
    [anon_sym_u16] = ACTIONS(1580),
    [anon_sym_u32] = ACTIONS(1580),
    [anon_sym_u64] = ACTIONS(1580),
    [anon_sym_f32] = ACTIONS(1580),
    [anon_sym_f64] = ACTIONS(1580),
    [anon_sym_bool] = ACTIONS(1580),
    [anon_sym_rune] = ACTIONS(1580),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_mapnode] = ACTIONS(1580),
    [anon_sym_size_t] = ACTIONS(1580),
    [anon_sym_usize] = ACTIONS(1580),
    [anon_sym_isize] = ACTIONS(1580),
    [anon_sym_float_literal] = ACTIONS(1580),
    [anon_sym_int_literal] = ACTIONS(1580),
    [anon_sym_IError] = ACTIONS(1580),
    [sym_type_placeholder] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [sym_type_identifier] = ACTIONS(1580),
    [anon_sym_assert] = ACTIONS(1580),
    [anon_sym_defer] = ACTIONS(1580),
    [anon_sym_unsafe] = ACTIONS(1580),
    [anon_sym_pub] = ACTIONS(1580),
    [anon_sym_fn] = ACTIONS(1580),
    [anon_sym___global] = ACTIONS(1580),
    [anon_sym_const] = ACTIONS(1580),
    [anon_sym_asm] = ACTIONS(1580),
    [anon_sym_break] = ACTIONS(1580),
    [anon_sym_continue] = ACTIONS(1580),
    [anon_sym_return] = ACTIONS(1580),
    [anon_sym_type] = ACTIONS(1580),
    [anon_sym_go] = ACTIONS(1580),
    [anon_sym_spawn] = ACTIONS(1580),
    [anon_sym_goto] = ACTIONS(1580),
    [anon_sym_for] = ACTIONS(1580),
    [anon_sym_DOLLARfor] = ACTIONS(1578),
    [anon_sym_DOLLARif] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_is] = ACTIONS(1580),
    [anon_sym_BANGis] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(1580),
    [anon_sym_union] = ACTIONS(1580),
    [anon_sym_enum] = ACTIONS(1580),
    [anon_sym_interface] = ACTIONS(1580),
    [anon_sym_POUND] = ACTIONS(1578),
    [anon_sym_module] = ACTIONS(1580),
    [anon_sym_import] = ACTIONS(1580),
    [anon_sym_match] = ACTIONS(1580),
    [anon_sym_select] = ACTIONS(1580),
    [anon_sym_lock] = ACTIONS(1580),
    [anon_sym_rlock] = ACTIONS(1580),
    [sym__automatic_separator] = ACTIONS(1578),
    [sym__c_string_opening] = ACTIONS(1578),
    [sym__raw_string_opening] = ACTIONS(1578),
    [sym__string_opening] = ACTIONS(1578),
    [sym__comment] = ACTIONS(3),
  },
  [1054] = {
    [sym_comment] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(1572),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_LT_DASH] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1572),
    [anon_sym_AMP_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_BANGin] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_as] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [sym_none] = ACTIONS(1574),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_map_LBRACK] = ACTIONS(1572),
    [anon_sym_chan] = ACTIONS(1574),
    [anon_sym_shared] = ACTIONS(1574),
    [anon_sym_thread] = ACTIONS(1574),
    [sym_int_literal] = ACTIONS(1574),
    [sym_float_literal] = ACTIONS(1572),
    [sym_rune_literal] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1574),
    [anon_sym_array] = ACTIONS(1574),
    [anon_sym_string] = ACTIONS(1574),
    [anon_sym_char] = ACTIONS(1574),
    [anon_sym_sql] = ACTIONS(1574),
    [anon_sym_mut] = ACTIONS(1574),
    [anon_sym_C] = ACTIONS(1574),
    [anon_sym_JS] = ACTIONS(1574),
    [anon_sym_voidptr] = ACTIONS(1574),
    [anon_sym_byteptr] = ACTIONS(1574),
    [anon_sym_charptr] = ACTIONS(1574),
    [anon_sym_i8] = ACTIONS(1574),
    [anon_sym_i16] = ACTIONS(1574),
    [anon_sym_i32] = ACTIONS(1574),
    [anon_sym_int] = ACTIONS(1574),
    [anon_sym_i64] = ACTIONS(1574),
    [anon_sym_byte] = ACTIONS(1574),
    [anon_sym_u8] = ACTIONS(1574),
    [anon_sym_u16] = ACTIONS(1574),
    [anon_sym_u32] = ACTIONS(1574),
    [anon_sym_u64] = ACTIONS(1574),
    [anon_sym_f32] = ACTIONS(1574),
    [anon_sym_f64] = ACTIONS(1574),
    [anon_sym_bool] = ACTIONS(1574),
    [anon_sym_rune] = ACTIONS(1574),
    [anon_sym_map] = ACTIONS(1574),
    [anon_sym_mapnode] = ACTIONS(1574),
    [anon_sym_size_t] = ACTIONS(1574),
    [anon_sym_usize] = ACTIONS(1574),
    [anon_sym_isize] = ACTIONS(1574),
    [anon_sym_float_literal] = ACTIONS(1574),
    [anon_sym_int_literal] = ACTIONS(1574),
    [anon_sym_IError] = ACTIONS(1574),
    [sym_type_placeholder] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [sym_type_identifier] = ACTIONS(1574),
    [anon_sym_assert] = ACTIONS(1574),
    [anon_sym_defer] = ACTIONS(1574),
    [anon_sym_unsafe] = ACTIONS(1574),
    [anon_sym_pub] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym___global] = ACTIONS(1574),
    [anon_sym_const] = ACTIONS(1574),
    [anon_sym_asm] = ACTIONS(1574),
    [anon_sym_break] = ACTIONS(1574),
    [anon_sym_continue] = ACTIONS(1574),
    [anon_sym_return] = ACTIONS(1574),
    [anon_sym_type] = ACTIONS(1574),
    [anon_sym_go] = ACTIONS(1574),
    [anon_sym_spawn] = ACTIONS(1574),
    [anon_sym_goto] = ACTIONS(1574),
    [anon_sym_for] = ACTIONS(1574),
    [anon_sym_DOLLARfor] = ACTIONS(1572),
    [anon_sym_DOLLARif] = ACTIONS(1572),
    [anon_sym_if] = ACTIONS(1574),
    [anon_sym_is] = ACTIONS(1574),
    [anon_sym_BANGis] = ACTIONS(1572),
    [anon_sym_struct] = ACTIONS(1574),
    [anon_sym_union] = ACTIONS(1574),
    [anon_sym_enum] = ACTIONS(1574),
    [anon_sym_interface] = ACTIONS(1574),
    [anon_sym_POUND] = ACTIONS(1572),
    [anon_sym_module] = ACTIONS(1574),
    [anon_sym_import] = ACTIONS(1574),
    [anon_sym_match] = ACTIONS(1574),
    [anon_sym_select] = ACTIONS(1574),
    [anon_sym_lock] = ACTIONS(1574),
    [anon_sym_rlock] = ACTIONS(1574),
    [sym__automatic_separator] = ACTIONS(1572),
    [sym__c_string_opening] = ACTIONS(1572),
    [sym__raw_string_opening] = ACTIONS(1572),
    [sym__string_opening] = ACTIONS(1572),
    [sym__comment] = ACTIONS(3),
  },
  [1055] = {
    [sym_comment] = STATE(1055),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_LT_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PERCENT] = ACTIONS(1372),
    [anon_sym_LT_LT] = ACTIONS(1372),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1372),
    [anon_sym_AMP_CARET] = ACTIONS(1372),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_EQ_EQ] = ACTIONS(1372),
    [anon_sym_BANG_EQ] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1372),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_BANGin] = ACTIONS(1372),
    [anon_sym_AMP_AMP] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1372),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [sym_none] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_map_LBRACK] = ACTIONS(1372),
    [anon_sym_chan] = ACTIONS(1374),
    [anon_sym_shared] = ACTIONS(1374),
    [anon_sym_thread] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1372),
    [sym_rune_literal] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_array] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_char] = ACTIONS(1374),
    [anon_sym_sql] = ACTIONS(1374),
    [anon_sym_mut] = ACTIONS(1374),
    [anon_sym_C] = ACTIONS(1374),
    [anon_sym_JS] = ACTIONS(1374),
    [anon_sym_voidptr] = ACTIONS(1374),
    [anon_sym_byteptr] = ACTIONS(1374),
    [anon_sym_charptr] = ACTIONS(1374),
    [anon_sym_i8] = ACTIONS(1374),
    [anon_sym_i16] = ACTIONS(1374),
    [anon_sym_i32] = ACTIONS(1374),
    [anon_sym_int] = ACTIONS(1374),
    [anon_sym_i64] = ACTIONS(1374),
    [anon_sym_byte] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1374),
    [anon_sym_u16] = ACTIONS(1374),
    [anon_sym_u32] = ACTIONS(1374),
    [anon_sym_u64] = ACTIONS(1374),
    [anon_sym_f32] = ACTIONS(1374),
    [anon_sym_f64] = ACTIONS(1374),
    [anon_sym_bool] = ACTIONS(1374),
    [anon_sym_rune] = ACTIONS(1374),
    [anon_sym_map] = ACTIONS(1374),
    [anon_sym_mapnode] = ACTIONS(1374),
    [anon_sym_size_t] = ACTIONS(1374),
    [anon_sym_usize] = ACTIONS(1374),
    [anon_sym_isize] = ACTIONS(1374),
    [anon_sym_float_literal] = ACTIONS(1374),
    [anon_sym_int_literal] = ACTIONS(1374),
    [anon_sym_IError] = ACTIONS(1374),
    [sym_type_placeholder] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [sym_type_identifier] = ACTIONS(1374),
    [anon_sym_assert] = ACTIONS(1374),
    [anon_sym_defer] = ACTIONS(1374),
    [anon_sym_unsafe] = ACTIONS(1374),
    [anon_sym_pub] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym___global] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_type] = ACTIONS(1374),
    [anon_sym_go] = ACTIONS(1374),
    [anon_sym_spawn] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_DOLLARfor] = ACTIONS(1372),
    [anon_sym_DOLLARif] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_is] = ACTIONS(1374),
    [anon_sym_BANGis] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_interface] = ACTIONS(1374),
    [anon_sym_POUND] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1374),
    [anon_sym_import] = ACTIONS(1374),
    [anon_sym_match] = ACTIONS(1374),
    [anon_sym_select] = ACTIONS(1374),
    [anon_sym_lock] = ACTIONS(1374),
    [anon_sym_rlock] = ACTIONS(1374),
    [sym__automatic_separator] = ACTIONS(1372),
    [sym__c_string_opening] = ACTIONS(1372),
    [sym__raw_string_opening] = ACTIONS(1372),
    [sym__string_opening] = ACTIONS(1372),
    [sym__comment] = ACTIONS(3),
  },
  [1056] = {
    [sym_comment] = STATE(1056),
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_identifier] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_LT_DASH] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [anon_sym_LT_LT] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_GT_GT_GT] = ACTIONS(1334),
    [anon_sym_AMP_CARET] = ACTIONS(1334),
    [anon_sym_PIPE] = ACTIONS(1336),
    [anon_sym_EQ_EQ] = ACTIONS(1334),
    [anon_sym_BANG_EQ] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1336),
    [anon_sym_LT_EQ] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1336),
    [anon_sym_GT_EQ] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_BANGin] = ACTIONS(1334),
    [anon_sym_AMP_AMP] = ACTIONS(1334),
    [anon_sym_PIPE_PIPE] = ACTIONS(1334),
    [anon_sym_as] = ACTIONS(1336),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [sym_none] = ACTIONS(1336),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_map_LBRACK] = ACTIONS(1334),
    [anon_sym_chan] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_thread] = ACTIONS(1336),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1336),
    [anon_sym_array] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_char] = ACTIONS(1336),
    [anon_sym_sql] = ACTIONS(1336),
    [anon_sym_mut] = ACTIONS(1336),
    [anon_sym_C] = ACTIONS(1336),
    [anon_sym_JS] = ACTIONS(1336),
    [anon_sym_voidptr] = ACTIONS(1336),
    [anon_sym_byteptr] = ACTIONS(1336),
    [anon_sym_charptr] = ACTIONS(1336),
    [anon_sym_i8] = ACTIONS(1336),
    [anon_sym_i16] = ACTIONS(1336),
    [anon_sym_i32] = ACTIONS(1336),
    [anon_sym_int] = ACTIONS(1336),
    [anon_sym_i64] = ACTIONS(1336),
    [anon_sym_byte] = ACTIONS(1336),
    [anon_sym_u8] = ACTIONS(1336),
    [anon_sym_u16] = ACTIONS(1336),
    [anon_sym_u32] = ACTIONS(1336),
    [anon_sym_u64] = ACTIONS(1336),
    [anon_sym_f32] = ACTIONS(1336),
    [anon_sym_f64] = ACTIONS(1336),
    [anon_sym_bool] = ACTIONS(1336),
    [anon_sym_rune] = ACTIONS(1336),
    [anon_sym_map] = ACTIONS(1336),
    [anon_sym_mapnode] = ACTIONS(1336),
    [anon_sym_size_t] = ACTIONS(1336),
    [anon_sym_usize] = ACTIONS(1336),
    [anon_sym_isize] = ACTIONS(1336),
    [anon_sym_float_literal] = ACTIONS(1336),
    [anon_sym_int_literal] = ACTIONS(1336),
    [anon_sym_IError] = ACTIONS(1336),
    [sym_type_placeholder] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [sym_type_identifier] = ACTIONS(1336),
    [anon_sym_assert] = ACTIONS(1336),
    [anon_sym_defer] = ACTIONS(1336),
    [anon_sym_unsafe] = ACTIONS(1336),
    [anon_sym_pub] = ACTIONS(1336),
    [anon_sym_fn] = ACTIONS(1336),
    [anon_sym___global] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_go] = ACTIONS(1336),
    [anon_sym_spawn] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_DOLLARfor] = ACTIONS(1334),
    [anon_sym_DOLLARif] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_is] = ACTIONS(1336),
    [anon_sym_BANGis] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_interface] = ACTIONS(1336),
    [anon_sym_POUND] = ACTIONS(1334),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(1336),
    [anon_sym_match] = ACTIONS(1336),
    [anon_sym_select] = ACTIONS(1336),
    [anon_sym_lock] = ACTIONS(1336),
    [anon_sym_rlock] = ACTIONS(1336),
    [sym__automatic_separator] = ACTIONS(1334),
    [sym__c_string_opening] = ACTIONS(1334),
    [sym__raw_string_opening] = ACTIONS(1334),
    [sym__string_opening] = ACTIONS(1334),
    [sym__comment] = ACTIONS(3),
  },
  [1057] = {
    [sym_comment] = STATE(1057),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_LT_DASH] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1420),
    [anon_sym_GT_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_BANGin] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_as] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [sym_none] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_map_LBRACK] = ACTIONS(1418),
    [anon_sym_chan] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_thread] = ACTIONS(1420),
    [sym_int_literal] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1418),
    [sym_rune_literal] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_array] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_char] = ACTIONS(1420),
    [anon_sym_sql] = ACTIONS(1420),
    [anon_sym_mut] = ACTIONS(1420),
    [anon_sym_C] = ACTIONS(1420),
    [anon_sym_JS] = ACTIONS(1420),
    [anon_sym_voidptr] = ACTIONS(1420),
    [anon_sym_byteptr] = ACTIONS(1420),
    [anon_sym_charptr] = ACTIONS(1420),
    [anon_sym_i8] = ACTIONS(1420),
    [anon_sym_i16] = ACTIONS(1420),
    [anon_sym_i32] = ACTIONS(1420),
    [anon_sym_int] = ACTIONS(1420),
    [anon_sym_i64] = ACTIONS(1420),
    [anon_sym_byte] = ACTIONS(1420),
    [anon_sym_u8] = ACTIONS(1420),
    [anon_sym_u16] = ACTIONS(1420),
    [anon_sym_u32] = ACTIONS(1420),
    [anon_sym_u64] = ACTIONS(1420),
    [anon_sym_f32] = ACTIONS(1420),
    [anon_sym_f64] = ACTIONS(1420),
    [anon_sym_bool] = ACTIONS(1420),
    [anon_sym_rune] = ACTIONS(1420),
    [anon_sym_map] = ACTIONS(1420),
    [anon_sym_mapnode] = ACTIONS(1420),
    [anon_sym_size_t] = ACTIONS(1420),
    [anon_sym_usize] = ACTIONS(1420),
    [anon_sym_isize] = ACTIONS(1420),
    [anon_sym_float_literal] = ACTIONS(1420),
    [anon_sym_int_literal] = ACTIONS(1420),
    [anon_sym_IError] = ACTIONS(1420),
    [sym_type_placeholder] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [sym_type_identifier] = ACTIONS(1420),
    [anon_sym_assert] = ACTIONS(1420),
    [anon_sym_defer] = ACTIONS(1420),
    [anon_sym_unsafe] = ACTIONS(1420),
    [anon_sym_pub] = ACTIONS(1420),
    [anon_sym_fn] = ACTIONS(1420),
    [anon_sym___global] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_go] = ACTIONS(1420),
    [anon_sym_spawn] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_DOLLARfor] = ACTIONS(1418),
    [anon_sym_DOLLARif] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_is] = ACTIONS(1420),
    [anon_sym_BANGis] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_interface] = ACTIONS(1420),
    [anon_sym_POUND] = ACTIONS(1418),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_import] = ACTIONS(1420),
    [anon_sym_match] = ACTIONS(1420),
    [anon_sym_select] = ACTIONS(1420),
    [anon_sym_lock] = ACTIONS(1420),
    [anon_sym_rlock] = ACTIONS(1420),
    [sym__automatic_separator] = ACTIONS(1418),
    [sym__c_string_opening] = ACTIONS(1418),
    [sym__raw_string_opening] = ACTIONS(1418),
    [sym__string_opening] = ACTIONS(1418),
    [sym__comment] = ACTIONS(3),
  },
  [1058] = {
    [sym_comment] = STATE(1058),
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1566),
    [anon_sym_LT_DASH] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1564),
    [anon_sym_PERCENT] = ACTIONS(1564),
    [anon_sym_LT_LT] = ACTIONS(1564),
    [anon_sym_GT_GT] = ACTIONS(1566),
    [anon_sym_GT_GT_GT] = ACTIONS(1564),
    [anon_sym_AMP_CARET] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_LT_EQ] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1566),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_in] = ACTIONS(1566),
    [anon_sym_BANGin] = ACTIONS(1564),
    [anon_sym_AMP_AMP] = ACTIONS(1564),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_as] = ACTIONS(1566),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [sym_none] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_map_LBRACK] = ACTIONS(1564),
    [anon_sym_chan] = ACTIONS(1566),
    [anon_sym_shared] = ACTIONS(1566),
    [anon_sym_thread] = ACTIONS(1566),
    [sym_int_literal] = ACTIONS(1566),
    [sym_float_literal] = ACTIONS(1564),
    [sym_rune_literal] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_array] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_sql] = ACTIONS(1566),
    [anon_sym_mut] = ACTIONS(1566),
    [anon_sym_C] = ACTIONS(1566),
    [anon_sym_JS] = ACTIONS(1566),
    [anon_sym_voidptr] = ACTIONS(1566),
    [anon_sym_byteptr] = ACTIONS(1566),
    [anon_sym_charptr] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_int] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_byte] = ACTIONS(1566),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_rune] = ACTIONS(1566),
    [anon_sym_map] = ACTIONS(1566),
    [anon_sym_mapnode] = ACTIONS(1566),
    [anon_sym_size_t] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_float_literal] = ACTIONS(1566),
    [anon_sym_int_literal] = ACTIONS(1566),
    [anon_sym_IError] = ACTIONS(1566),
    [sym_type_placeholder] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [sym_type_identifier] = ACTIONS(1566),
    [anon_sym_assert] = ACTIONS(1566),
    [anon_sym_defer] = ACTIONS(1566),
    [anon_sym_unsafe] = ACTIONS(1566),
    [anon_sym_pub] = ACTIONS(1566),
    [anon_sym_fn] = ACTIONS(1566),
    [anon_sym___global] = ACTIONS(1566),
    [anon_sym_const] = ACTIONS(1566),
    [anon_sym_asm] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_continue] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_type] = ACTIONS(1566),
    [anon_sym_go] = ACTIONS(1566),
    [anon_sym_spawn] = ACTIONS(1566),
    [anon_sym_goto] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_DOLLARfor] = ACTIONS(1564),
    [anon_sym_DOLLARif] = ACTIONS(1564),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_is] = ACTIONS(1566),
    [anon_sym_BANGis] = ACTIONS(1564),
    [anon_sym_struct] = ACTIONS(1566),
    [anon_sym_union] = ACTIONS(1566),
    [anon_sym_enum] = ACTIONS(1566),
    [anon_sym_interface] = ACTIONS(1566),
    [anon_sym_POUND] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1566),
    [anon_sym_import] = ACTIONS(1566),
    [anon_sym_match] = ACTIONS(1566),
    [anon_sym_select] = ACTIONS(1566),
    [anon_sym_lock] = ACTIONS(1566),
    [anon_sym_rlock] = ACTIONS(1566),
    [sym__automatic_separator] = ACTIONS(1564),
    [sym__c_string_opening] = ACTIONS(1564),
    [sym__raw_string_opening] = ACTIONS(1564),
    [sym__string_opening] = ACTIONS(1564),
    [sym__comment] = ACTIONS(3),
  },
  [1059] = {
    [sym_comment] = STATE(1059),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1550),
    [anon_sym_LT_DASH] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1550),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_AMP_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1550),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1550),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1550),
    [anon_sym_BANGin] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_as] = ACTIONS(1550),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [sym_none] = ACTIONS(1550),
    [sym_true] = ACTIONS(1550),
    [sym_false] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1548),
    [anon_sym_chan] = ACTIONS(1550),
    [anon_sym_shared] = ACTIONS(1550),
    [anon_sym_thread] = ACTIONS(1550),
    [sym_int_literal] = ACTIONS(1550),
    [sym_float_literal] = ACTIONS(1548),
    [sym_rune_literal] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1550),
    [anon_sym_string] = ACTIONS(1550),
    [anon_sym_char] = ACTIONS(1550),
    [anon_sym_sql] = ACTIONS(1550),
    [anon_sym_mut] = ACTIONS(1550),
    [anon_sym_C] = ACTIONS(1550),
    [anon_sym_JS] = ACTIONS(1550),
    [anon_sym_voidptr] = ACTIONS(1550),
    [anon_sym_byteptr] = ACTIONS(1550),
    [anon_sym_charptr] = ACTIONS(1550),
    [anon_sym_i8] = ACTIONS(1550),
    [anon_sym_i16] = ACTIONS(1550),
    [anon_sym_i32] = ACTIONS(1550),
    [anon_sym_int] = ACTIONS(1550),
    [anon_sym_i64] = ACTIONS(1550),
    [anon_sym_byte] = ACTIONS(1550),
    [anon_sym_u8] = ACTIONS(1550),
    [anon_sym_u16] = ACTIONS(1550),
    [anon_sym_u32] = ACTIONS(1550),
    [anon_sym_u64] = ACTIONS(1550),
    [anon_sym_f32] = ACTIONS(1550),
    [anon_sym_f64] = ACTIONS(1550),
    [anon_sym_bool] = ACTIONS(1550),
    [anon_sym_rune] = ACTIONS(1550),
    [anon_sym_map] = ACTIONS(1550),
    [anon_sym_mapnode] = ACTIONS(1550),
    [anon_sym_size_t] = ACTIONS(1550),
    [anon_sym_usize] = ACTIONS(1550),
    [anon_sym_isize] = ACTIONS(1550),
    [anon_sym_float_literal] = ACTIONS(1550),
    [anon_sym_int_literal] = ACTIONS(1550),
    [anon_sym_IError] = ACTIONS(1550),
    [sym_type_placeholder] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [sym_type_identifier] = ACTIONS(1550),
    [anon_sym_assert] = ACTIONS(1550),
    [anon_sym_defer] = ACTIONS(1550),
    [anon_sym_unsafe] = ACTIONS(1550),
    [anon_sym_pub] = ACTIONS(1550),
    [anon_sym_fn] = ACTIONS(1550),
    [anon_sym___global] = ACTIONS(1550),
    [anon_sym_const] = ACTIONS(1550),
    [anon_sym_asm] = ACTIONS(1550),
    [anon_sym_break] = ACTIONS(1550),
    [anon_sym_continue] = ACTIONS(1550),
    [anon_sym_return] = ACTIONS(1550),
    [anon_sym_type] = ACTIONS(1550),
    [anon_sym_go] = ACTIONS(1550),
    [anon_sym_spawn] = ACTIONS(1550),
    [anon_sym_goto] = ACTIONS(1550),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_DOLLARfor] = ACTIONS(1548),
    [anon_sym_DOLLARif] = ACTIONS(1548),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_is] = ACTIONS(1550),
    [anon_sym_BANGis] = ACTIONS(1548),
    [anon_sym_struct] = ACTIONS(1550),
    [anon_sym_union] = ACTIONS(1550),
    [anon_sym_enum] = ACTIONS(1550),
    [anon_sym_interface] = ACTIONS(1550),
    [anon_sym_POUND] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1550),
    [anon_sym_import] = ACTIONS(1550),
    [anon_sym_match] = ACTIONS(1550),
    [anon_sym_select] = ACTIONS(1550),
    [anon_sym_lock] = ACTIONS(1550),
    [anon_sym_rlock] = ACTIONS(1550),
    [sym__automatic_separator] = ACTIONS(1548),
    [sym__c_string_opening] = ACTIONS(1548),
    [sym__raw_string_opening] = ACTIONS(1548),
    [sym__string_opening] = ACTIONS(1548),
    [sym__comment] = ACTIONS(3),
  },
  [1060] = {
    [sym_comment] = STATE(1060),
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_PERCENT] = ACTIONS(1478),
    [anon_sym_LT_LT] = ACTIONS(1478),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1478),
    [anon_sym_AMP_CARET] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_BANGin] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_as] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [sym_none] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_map_LBRACK] = ACTIONS(1478),
    [anon_sym_chan] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_thread] = ACTIONS(1480),
    [sym_int_literal] = ACTIONS(1480),
    [sym_float_literal] = ACTIONS(1478),
    [sym_rune_literal] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_array] = ACTIONS(1480),
    [anon_sym_string] = ACTIONS(1480),
    [anon_sym_char] = ACTIONS(1480),
    [anon_sym_sql] = ACTIONS(1480),
    [anon_sym_mut] = ACTIONS(1480),
    [anon_sym_C] = ACTIONS(1480),
    [anon_sym_JS] = ACTIONS(1480),
    [anon_sym_voidptr] = ACTIONS(1480),
    [anon_sym_byteptr] = ACTIONS(1480),
    [anon_sym_charptr] = ACTIONS(1480),
    [anon_sym_i8] = ACTIONS(1480),
    [anon_sym_i16] = ACTIONS(1480),
    [anon_sym_i32] = ACTIONS(1480),
    [anon_sym_int] = ACTIONS(1480),
    [anon_sym_i64] = ACTIONS(1480),
    [anon_sym_byte] = ACTIONS(1480),
    [anon_sym_u8] = ACTIONS(1480),
    [anon_sym_u16] = ACTIONS(1480),
    [anon_sym_u32] = ACTIONS(1480),
    [anon_sym_u64] = ACTIONS(1480),
    [anon_sym_f32] = ACTIONS(1480),
    [anon_sym_f64] = ACTIONS(1480),
    [anon_sym_bool] = ACTIONS(1480),
    [anon_sym_rune] = ACTIONS(1480),
    [anon_sym_map] = ACTIONS(1480),
    [anon_sym_mapnode] = ACTIONS(1480),
    [anon_sym_size_t] = ACTIONS(1480),
    [anon_sym_usize] = ACTIONS(1480),
    [anon_sym_isize] = ACTIONS(1480),
    [anon_sym_float_literal] = ACTIONS(1480),
    [anon_sym_int_literal] = ACTIONS(1480),
    [anon_sym_IError] = ACTIONS(1480),
    [sym_type_placeholder] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym_type_identifier] = ACTIONS(1480),
    [anon_sym_assert] = ACTIONS(1480),
    [anon_sym_defer] = ACTIONS(1480),
    [anon_sym_unsafe] = ACTIONS(1480),
    [anon_sym_pub] = ACTIONS(1480),
    [anon_sym_fn] = ACTIONS(1480),
    [anon_sym___global] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1480),
    [anon_sym_go] = ACTIONS(1480),
    [anon_sym_spawn] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_DOLLARfor] = ACTIONS(1478),
    [anon_sym_DOLLARif] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1480),
    [anon_sym_BANGis] = ACTIONS(1478),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_interface] = ACTIONS(1480),
    [anon_sym_POUND] = ACTIONS(1478),
    [anon_sym_module] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1480),
    [anon_sym_match] = ACTIONS(1480),
    [anon_sym_select] = ACTIONS(1480),
    [anon_sym_lock] = ACTIONS(1480),
    [anon_sym_rlock] = ACTIONS(1480),
    [sym__automatic_separator] = ACTIONS(1478),
    [sym__c_string_opening] = ACTIONS(1478),
    [sym__raw_string_opening] = ACTIONS(1478),
    [sym__string_opening] = ACTIONS(1478),
    [sym__comment] = ACTIONS(3),
  },
  [1061] = {
    [sym_comment] = STATE(1061),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_identifier] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_LT_DASH] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1368),
    [anon_sym_LT_LT] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(1368),
    [anon_sym_AMP_CARET] = ACTIONS(1368),
    [anon_sym_PIPE] = ACTIONS(1370),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_LT] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1370),
    [anon_sym_BANGin] = ACTIONS(1368),
    [anon_sym_AMP_AMP] = ACTIONS(1368),
    [anon_sym_PIPE_PIPE] = ACTIONS(1368),
    [anon_sym_as] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [sym_none] = ACTIONS(1370),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_map_LBRACK] = ACTIONS(1368),
    [anon_sym_chan] = ACTIONS(1370),
    [anon_sym_shared] = ACTIONS(1370),
    [anon_sym_thread] = ACTIONS(1370),
    [sym_int_literal] = ACTIONS(1370),
    [sym_float_literal] = ACTIONS(1368),
    [sym_rune_literal] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1370),
    [anon_sym_array] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_char] = ACTIONS(1370),
    [anon_sym_sql] = ACTIONS(1370),
    [anon_sym_mut] = ACTIONS(1370),
    [anon_sym_C] = ACTIONS(1370),
    [anon_sym_JS] = ACTIONS(1370),
    [anon_sym_voidptr] = ACTIONS(1370),
    [anon_sym_byteptr] = ACTIONS(1370),
    [anon_sym_charptr] = ACTIONS(1370),
    [anon_sym_i8] = ACTIONS(1370),
    [anon_sym_i16] = ACTIONS(1370),
    [anon_sym_i32] = ACTIONS(1370),
    [anon_sym_int] = ACTIONS(1370),
    [anon_sym_i64] = ACTIONS(1370),
    [anon_sym_byte] = ACTIONS(1370),
    [anon_sym_u8] = ACTIONS(1370),
    [anon_sym_u16] = ACTIONS(1370),
    [anon_sym_u32] = ACTIONS(1370),
    [anon_sym_u64] = ACTIONS(1370),
    [anon_sym_f32] = ACTIONS(1370),
    [anon_sym_f64] = ACTIONS(1370),
    [anon_sym_bool] = ACTIONS(1370),
    [anon_sym_rune] = ACTIONS(1370),
    [anon_sym_map] = ACTIONS(1370),
    [anon_sym_mapnode] = ACTIONS(1370),
    [anon_sym_size_t] = ACTIONS(1370),
    [anon_sym_usize] = ACTIONS(1370),
    [anon_sym_isize] = ACTIONS(1370),
    [anon_sym_float_literal] = ACTIONS(1370),
    [anon_sym_int_literal] = ACTIONS(1370),
    [anon_sym_IError] = ACTIONS(1370),
    [sym_type_placeholder] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [sym_type_identifier] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1370),
    [anon_sym_defer] = ACTIONS(1370),
    [anon_sym_unsafe] = ACTIONS(1370),
    [anon_sym_pub] = ACTIONS(1370),
    [anon_sym_fn] = ACTIONS(1370),
    [anon_sym___global] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_go] = ACTIONS(1370),
    [anon_sym_spawn] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_DOLLARfor] = ACTIONS(1368),
    [anon_sym_DOLLARif] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_is] = ACTIONS(1370),
    [anon_sym_BANGis] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_interface] = ACTIONS(1370),
    [anon_sym_POUND] = ACTIONS(1368),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1370),
    [anon_sym_match] = ACTIONS(1370),
    [anon_sym_select] = ACTIONS(1370),
    [anon_sym_lock] = ACTIONS(1370),
    [anon_sym_rlock] = ACTIONS(1370),
    [sym__automatic_separator] = ACTIONS(1368),
    [sym__c_string_opening] = ACTIONS(1368),
    [sym__raw_string_opening] = ACTIONS(1368),
    [sym__string_opening] = ACTIONS(1368),
    [sym__comment] = ACTIONS(3),
  },
  [1062] = {
    [sym_comment] = STATE(1062),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_identifier] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_LT_DASH] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1364),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_EQ_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_in] = ACTIONS(1366),
    [anon_sym_BANGin] = ACTIONS(1364),
    [anon_sym_AMP_AMP] = ACTIONS(1364),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_as] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [sym_none] = ACTIONS(1366),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_map_LBRACK] = ACTIONS(1364),
    [anon_sym_chan] = ACTIONS(1366),
    [anon_sym_shared] = ACTIONS(1366),
    [anon_sym_thread] = ACTIONS(1366),
    [sym_int_literal] = ACTIONS(1366),
    [sym_float_literal] = ACTIONS(1364),
    [sym_rune_literal] = ACTIONS(1364),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_array] = ACTIONS(1366),
    [anon_sym_string] = ACTIONS(1366),
    [anon_sym_char] = ACTIONS(1366),
    [anon_sym_sql] = ACTIONS(1366),
    [anon_sym_mut] = ACTIONS(1366),
    [anon_sym_C] = ACTIONS(1366),
    [anon_sym_JS] = ACTIONS(1366),
    [anon_sym_voidptr] = ACTIONS(1366),
    [anon_sym_byteptr] = ACTIONS(1366),
    [anon_sym_charptr] = ACTIONS(1366),
    [anon_sym_i8] = ACTIONS(1366),
    [anon_sym_i16] = ACTIONS(1366),
    [anon_sym_i32] = ACTIONS(1366),
    [anon_sym_int] = ACTIONS(1366),
    [anon_sym_i64] = ACTIONS(1366),
    [anon_sym_byte] = ACTIONS(1366),
    [anon_sym_u8] = ACTIONS(1366),
    [anon_sym_u16] = ACTIONS(1366),
    [anon_sym_u32] = ACTIONS(1366),
    [anon_sym_u64] = ACTIONS(1366),
    [anon_sym_f32] = ACTIONS(1366),
    [anon_sym_f64] = ACTIONS(1366),
    [anon_sym_bool] = ACTIONS(1366),
    [anon_sym_rune] = ACTIONS(1366),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_mapnode] = ACTIONS(1366),
    [anon_sym_size_t] = ACTIONS(1366),
    [anon_sym_usize] = ACTIONS(1366),
    [anon_sym_isize] = ACTIONS(1366),
    [anon_sym_float_literal] = ACTIONS(1366),
    [anon_sym_int_literal] = ACTIONS(1366),
    [anon_sym_IError] = ACTIONS(1366),
    [sym_type_placeholder] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [sym_type_identifier] = ACTIONS(1366),
    [anon_sym_assert] = ACTIONS(1366),
    [anon_sym_defer] = ACTIONS(1366),
    [anon_sym_unsafe] = ACTIONS(1366),
    [anon_sym_pub] = ACTIONS(1366),
    [anon_sym_fn] = ACTIONS(1366),
    [anon_sym___global] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_type] = ACTIONS(1366),
    [anon_sym_go] = ACTIONS(1366),
    [anon_sym_spawn] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_DOLLARfor] = ACTIONS(1364),
    [anon_sym_DOLLARif] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_is] = ACTIONS(1366),
    [anon_sym_BANGis] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_interface] = ACTIONS(1366),
    [anon_sym_POUND] = ACTIONS(1364),
    [anon_sym_module] = ACTIONS(1366),
    [anon_sym_import] = ACTIONS(1366),
    [anon_sym_match] = ACTIONS(1366),
    [anon_sym_select] = ACTIONS(1366),
    [anon_sym_lock] = ACTIONS(1366),
    [anon_sym_rlock] = ACTIONS(1366),
    [sym__automatic_separator] = ACTIONS(1364),
    [sym__c_string_opening] = ACTIONS(1364),
    [sym__raw_string_opening] = ACTIONS(1364),
    [sym__string_opening] = ACTIONS(1364),
    [sym__comment] = ACTIONS(3),
  },
  [1063] = {
    [sym_comment] = STATE(1063),
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_CARET] = ACTIONS(1290),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_LT_DASH] = ACTIONS(1290),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(1290),
    [anon_sym_LT_LT] = ACTIONS(1290),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_GT_GT_GT] = ACTIONS(1290),
    [anon_sym_AMP_CARET] = ACTIONS(1290),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_EQ_EQ] = ACTIONS(1290),
    [anon_sym_BANG_EQ] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_BANGin] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_as] = ACTIONS(1292),
    [anon_sym_COMMA] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [sym_none] = ACTIONS(1292),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_map_LBRACK] = ACTIONS(1290),
    [anon_sym_chan] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_thread] = ACTIONS(1292),
    [sym_int_literal] = ACTIONS(1292),
    [sym_float_literal] = ACTIONS(1290),
    [sym_rune_literal] = ACTIONS(1290),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_array] = ACTIONS(1292),
    [anon_sym_string] = ACTIONS(1292),
    [anon_sym_char] = ACTIONS(1292),
    [anon_sym_sql] = ACTIONS(1292),
    [anon_sym_mut] = ACTIONS(1292),
    [anon_sym_C] = ACTIONS(1292),
    [anon_sym_JS] = ACTIONS(1292),
    [anon_sym_voidptr] = ACTIONS(1292),
    [anon_sym_byteptr] = ACTIONS(1292),
    [anon_sym_charptr] = ACTIONS(1292),
    [anon_sym_i8] = ACTIONS(1292),
    [anon_sym_i16] = ACTIONS(1292),
    [anon_sym_i32] = ACTIONS(1292),
    [anon_sym_int] = ACTIONS(1292),
    [anon_sym_i64] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(1292),
    [anon_sym_u8] = ACTIONS(1292),
    [anon_sym_u16] = ACTIONS(1292),
    [anon_sym_u32] = ACTIONS(1292),
    [anon_sym_u64] = ACTIONS(1292),
    [anon_sym_f32] = ACTIONS(1292),
    [anon_sym_f64] = ACTIONS(1292),
    [anon_sym_bool] = ACTIONS(1292),
    [anon_sym_rune] = ACTIONS(1292),
    [anon_sym_map] = ACTIONS(1292),
    [anon_sym_mapnode] = ACTIONS(1292),
    [anon_sym_size_t] = ACTIONS(1292),
    [anon_sym_usize] = ACTIONS(1292),
    [anon_sym_isize] = ACTIONS(1292),
    [anon_sym_float_literal] = ACTIONS(1292),
    [anon_sym_int_literal] = ACTIONS(1292),
    [anon_sym_IError] = ACTIONS(1292),
    [sym_type_placeholder] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [sym_type_identifier] = ACTIONS(1292),
    [anon_sym_assert] = ACTIONS(1292),
    [anon_sym_defer] = ACTIONS(1292),
    [anon_sym_unsafe] = ACTIONS(1292),
    [anon_sym_pub] = ACTIONS(1292),
    [anon_sym_fn] = ACTIONS(1292),
    [anon_sym___global] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_type] = ACTIONS(1292),
    [anon_sym_go] = ACTIONS(1292),
    [anon_sym_spawn] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_DOLLARfor] = ACTIONS(1290),
    [anon_sym_DOLLARif] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_is] = ACTIONS(1292),
    [anon_sym_BANGis] = ACTIONS(1290),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_interface] = ACTIONS(1292),
    [anon_sym_POUND] = ACTIONS(1290),
    [anon_sym_module] = ACTIONS(1292),
    [anon_sym_import] = ACTIONS(1292),
    [anon_sym_match] = ACTIONS(1292),
    [anon_sym_select] = ACTIONS(1292),
    [anon_sym_lock] = ACTIONS(1292),
    [anon_sym_rlock] = ACTIONS(1292),
    [sym__automatic_separator] = ACTIONS(1290),
    [sym__c_string_opening] = ACTIONS(1290),
    [sym__raw_string_opening] = ACTIONS(1290),
    [sym__string_opening] = ACTIONS(1290),
    [sym__comment] = ACTIONS(3),
  },
  [1064] = {
    [sym_comment] = STATE(1064),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_LT_DASH] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1426),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1428),
    [anon_sym_GT_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_BANGin] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_as] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [sym_none] = ACTIONS(1428),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_map_LBRACK] = ACTIONS(1426),
    [anon_sym_chan] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_thread] = ACTIONS(1428),
    [sym_int_literal] = ACTIONS(1428),
    [sym_float_literal] = ACTIONS(1426),
    [sym_rune_literal] = ACTIONS(1426),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_array] = ACTIONS(1428),
    [anon_sym_string] = ACTIONS(1428),
    [anon_sym_char] = ACTIONS(1428),
    [anon_sym_sql] = ACTIONS(1428),
    [anon_sym_mut] = ACTIONS(1428),
    [anon_sym_C] = ACTIONS(1428),
    [anon_sym_JS] = ACTIONS(1428),
    [anon_sym_voidptr] = ACTIONS(1428),
    [anon_sym_byteptr] = ACTIONS(1428),
    [anon_sym_charptr] = ACTIONS(1428),
    [anon_sym_i8] = ACTIONS(1428),
    [anon_sym_i16] = ACTIONS(1428),
    [anon_sym_i32] = ACTIONS(1428),
    [anon_sym_int] = ACTIONS(1428),
    [anon_sym_i64] = ACTIONS(1428),
    [anon_sym_byte] = ACTIONS(1428),
    [anon_sym_u8] = ACTIONS(1428),
    [anon_sym_u16] = ACTIONS(1428),
    [anon_sym_u32] = ACTIONS(1428),
    [anon_sym_u64] = ACTIONS(1428),
    [anon_sym_f32] = ACTIONS(1428),
    [anon_sym_f64] = ACTIONS(1428),
    [anon_sym_bool] = ACTIONS(1428),
    [anon_sym_rune] = ACTIONS(1428),
    [anon_sym_map] = ACTIONS(1428),
    [anon_sym_mapnode] = ACTIONS(1428),
    [anon_sym_size_t] = ACTIONS(1428),
    [anon_sym_usize] = ACTIONS(1428),
    [anon_sym_isize] = ACTIONS(1428),
    [anon_sym_float_literal] = ACTIONS(1428),
    [anon_sym_int_literal] = ACTIONS(1428),
    [anon_sym_IError] = ACTIONS(1428),
    [sym_type_placeholder] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [sym_type_identifier] = ACTIONS(1428),
    [anon_sym_assert] = ACTIONS(1428),
    [anon_sym_defer] = ACTIONS(1428),
    [anon_sym_unsafe] = ACTIONS(1428),
    [anon_sym_pub] = ACTIONS(1428),
    [anon_sym_fn] = ACTIONS(1428),
    [anon_sym___global] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_type] = ACTIONS(1428),
    [anon_sym_go] = ACTIONS(1428),
    [anon_sym_spawn] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_DOLLARfor] = ACTIONS(1426),
    [anon_sym_DOLLARif] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_is] = ACTIONS(1428),
    [anon_sym_BANGis] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_interface] = ACTIONS(1428),
    [anon_sym_POUND] = ACTIONS(1426),
    [anon_sym_module] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1428),
    [anon_sym_match] = ACTIONS(1428),
    [anon_sym_select] = ACTIONS(1428),
    [anon_sym_lock] = ACTIONS(1428),
    [anon_sym_rlock] = ACTIONS(1428),
    [sym__automatic_separator] = ACTIONS(1426),
    [sym__c_string_opening] = ACTIONS(1426),
    [sym__raw_string_opening] = ACTIONS(1426),
    [sym__string_opening] = ACTIONS(1426),
    [sym__comment] = ACTIONS(3),
  },
  [1065] = {
    [sym_comment] = STATE(1065),
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_pub] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym___global] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_type] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_struct] = ACTIONS(1104),
    [anon_sym_union] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1066] = {
    [sym_comment] = STATE(1066),
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_identifier] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_LT_DASH] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_LT_LT] = ACTIONS(1510),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_GT_GT_GT] = ACTIONS(1510),
    [anon_sym_AMP_CARET] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_BANGin] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_as] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [sym_none] = ACTIONS(1512),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_map_LBRACK] = ACTIONS(1510),
    [anon_sym_chan] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_thread] = ACTIONS(1512),
    [sym_int_literal] = ACTIONS(1512),
    [sym_float_literal] = ACTIONS(1510),
    [sym_rune_literal] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_array] = ACTIONS(1512),
    [anon_sym_string] = ACTIONS(1512),
    [anon_sym_char] = ACTIONS(1512),
    [anon_sym_sql] = ACTIONS(1512),
    [anon_sym_mut] = ACTIONS(1512),
    [anon_sym_C] = ACTIONS(1512),
    [anon_sym_JS] = ACTIONS(1512),
    [anon_sym_voidptr] = ACTIONS(1512),
    [anon_sym_byteptr] = ACTIONS(1512),
    [anon_sym_charptr] = ACTIONS(1512),
    [anon_sym_i8] = ACTIONS(1512),
    [anon_sym_i16] = ACTIONS(1512),
    [anon_sym_i32] = ACTIONS(1512),
    [anon_sym_int] = ACTIONS(1512),
    [anon_sym_i64] = ACTIONS(1512),
    [anon_sym_byte] = ACTIONS(1512),
    [anon_sym_u8] = ACTIONS(1512),
    [anon_sym_u16] = ACTIONS(1512),
    [anon_sym_u32] = ACTIONS(1512),
    [anon_sym_u64] = ACTIONS(1512),
    [anon_sym_f32] = ACTIONS(1512),
    [anon_sym_f64] = ACTIONS(1512),
    [anon_sym_bool] = ACTIONS(1512),
    [anon_sym_rune] = ACTIONS(1512),
    [anon_sym_map] = ACTIONS(1512),
    [anon_sym_mapnode] = ACTIONS(1512),
    [anon_sym_size_t] = ACTIONS(1512),
    [anon_sym_usize] = ACTIONS(1512),
    [anon_sym_isize] = ACTIONS(1512),
    [anon_sym_float_literal] = ACTIONS(1512),
    [anon_sym_int_literal] = ACTIONS(1512),
    [anon_sym_IError] = ACTIONS(1512),
    [sym_type_placeholder] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [sym_type_identifier] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_defer] = ACTIONS(1512),
    [anon_sym_unsafe] = ACTIONS(1512),
    [anon_sym_pub] = ACTIONS(1512),
    [anon_sym_fn] = ACTIONS(1512),
    [anon_sym___global] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_type] = ACTIONS(1512),
    [anon_sym_go] = ACTIONS(1512),
    [anon_sym_spawn] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_DOLLARfor] = ACTIONS(1510),
    [anon_sym_DOLLARif] = ACTIONS(1510),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1512),
    [anon_sym_BANGis] = ACTIONS(1510),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_interface] = ACTIONS(1512),
    [anon_sym_POUND] = ACTIONS(1510),
    [anon_sym_module] = ACTIONS(1512),
    [anon_sym_import] = ACTIONS(1512),
    [anon_sym_match] = ACTIONS(1512),
    [anon_sym_select] = ACTIONS(1512),
    [anon_sym_lock] = ACTIONS(1512),
    [anon_sym_rlock] = ACTIONS(1512),
    [sym__automatic_separator] = ACTIONS(1510),
    [sym__c_string_opening] = ACTIONS(1510),
    [sym__raw_string_opening] = ACTIONS(1510),
    [sym__string_opening] = ACTIONS(1510),
    [sym__comment] = ACTIONS(3),
  },
  [1067] = {
    [sym_comment] = STATE(1067),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LT_DASH] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1488),
    [anon_sym_PERCENT] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1490),
    [anon_sym_GT_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_in] = ACTIONS(1490),
    [anon_sym_BANGin] = ACTIONS(1488),
    [anon_sym_AMP_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_as] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [sym_none] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_map_LBRACK] = ACTIONS(1488),
    [anon_sym_chan] = ACTIONS(1490),
    [anon_sym_shared] = ACTIONS(1490),
    [anon_sym_thread] = ACTIONS(1490),
    [sym_int_literal] = ACTIONS(1490),
    [sym_float_literal] = ACTIONS(1488),
    [sym_rune_literal] = ACTIONS(1488),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_array] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_char] = ACTIONS(1490),
    [anon_sym_sql] = ACTIONS(1490),
    [anon_sym_mut] = ACTIONS(1490),
    [anon_sym_C] = ACTIONS(1490),
    [anon_sym_JS] = ACTIONS(1490),
    [anon_sym_voidptr] = ACTIONS(1490),
    [anon_sym_byteptr] = ACTIONS(1490),
    [anon_sym_charptr] = ACTIONS(1490),
    [anon_sym_i8] = ACTIONS(1490),
    [anon_sym_i16] = ACTIONS(1490),
    [anon_sym_i32] = ACTIONS(1490),
    [anon_sym_int] = ACTIONS(1490),
    [anon_sym_i64] = ACTIONS(1490),
    [anon_sym_byte] = ACTIONS(1490),
    [anon_sym_u8] = ACTIONS(1490),
    [anon_sym_u16] = ACTIONS(1490),
    [anon_sym_u32] = ACTIONS(1490),
    [anon_sym_u64] = ACTIONS(1490),
    [anon_sym_f32] = ACTIONS(1490),
    [anon_sym_f64] = ACTIONS(1490),
    [anon_sym_bool] = ACTIONS(1490),
    [anon_sym_rune] = ACTIONS(1490),
    [anon_sym_map] = ACTIONS(1490),
    [anon_sym_mapnode] = ACTIONS(1490),
    [anon_sym_size_t] = ACTIONS(1490),
    [anon_sym_usize] = ACTIONS(1490),
    [anon_sym_isize] = ACTIONS(1490),
    [anon_sym_float_literal] = ACTIONS(1490),
    [anon_sym_int_literal] = ACTIONS(1490),
    [anon_sym_IError] = ACTIONS(1490),
    [sym_type_placeholder] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym_type_identifier] = ACTIONS(1490),
    [anon_sym_assert] = ACTIONS(1490),
    [anon_sym_defer] = ACTIONS(1490),
    [anon_sym_unsafe] = ACTIONS(1490),
    [anon_sym_pub] = ACTIONS(1490),
    [anon_sym_fn] = ACTIONS(1490),
    [anon_sym___global] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1490),
    [anon_sym_asm] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_continue] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_type] = ACTIONS(1490),
    [anon_sym_go] = ACTIONS(1490),
    [anon_sym_spawn] = ACTIONS(1490),
    [anon_sym_goto] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [anon_sym_DOLLARfor] = ACTIONS(1488),
    [anon_sym_DOLLARif] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_is] = ACTIONS(1490),
    [anon_sym_BANGis] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1490),
    [anon_sym_union] = ACTIONS(1490),
    [anon_sym_enum] = ACTIONS(1490),
    [anon_sym_interface] = ACTIONS(1490),
    [anon_sym_POUND] = ACTIONS(1488),
    [anon_sym_module] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(1490),
    [anon_sym_match] = ACTIONS(1490),
    [anon_sym_select] = ACTIONS(1490),
    [anon_sym_lock] = ACTIONS(1490),
    [anon_sym_rlock] = ACTIONS(1490),
    [sym__automatic_separator] = ACTIONS(1488),
    [sym__c_string_opening] = ACTIONS(1488),
    [sym__raw_string_opening] = ACTIONS(1488),
    [sym__string_opening] = ACTIONS(1488),
    [sym__comment] = ACTIONS(3),
  },
  [1068] = {
    [sym_comment] = STATE(1068),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_LT_DASH] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PERCENT] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_GT_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_BANGin] = ACTIONS(1402),
    [anon_sym_AMP_AMP] = ACTIONS(1402),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [sym_none] = ACTIONS(1404),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_map_LBRACK] = ACTIONS(1402),
    [anon_sym_chan] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_thread] = ACTIONS(1404),
    [sym_int_literal] = ACTIONS(1404),
    [sym_float_literal] = ACTIONS(1402),
    [sym_rune_literal] = ACTIONS(1402),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_array] = ACTIONS(1404),
    [anon_sym_string] = ACTIONS(1404),
    [anon_sym_char] = ACTIONS(1404),
    [anon_sym_sql] = ACTIONS(1404),
    [anon_sym_mut] = ACTIONS(1404),
    [anon_sym_C] = ACTIONS(1404),
    [anon_sym_JS] = ACTIONS(1404),
    [anon_sym_voidptr] = ACTIONS(1404),
    [anon_sym_byteptr] = ACTIONS(1404),
    [anon_sym_charptr] = ACTIONS(1404),
    [anon_sym_i8] = ACTIONS(1404),
    [anon_sym_i16] = ACTIONS(1404),
    [anon_sym_i32] = ACTIONS(1404),
    [anon_sym_int] = ACTIONS(1404),
    [anon_sym_i64] = ACTIONS(1404),
    [anon_sym_byte] = ACTIONS(1404),
    [anon_sym_u8] = ACTIONS(1404),
    [anon_sym_u16] = ACTIONS(1404),
    [anon_sym_u32] = ACTIONS(1404),
    [anon_sym_u64] = ACTIONS(1404),
    [anon_sym_f32] = ACTIONS(1404),
    [anon_sym_f64] = ACTIONS(1404),
    [anon_sym_bool] = ACTIONS(1404),
    [anon_sym_rune] = ACTIONS(1404),
    [anon_sym_map] = ACTIONS(1404),
    [anon_sym_mapnode] = ACTIONS(1404),
    [anon_sym_size_t] = ACTIONS(1404),
    [anon_sym_usize] = ACTIONS(1404),
    [anon_sym_isize] = ACTIONS(1404),
    [anon_sym_float_literal] = ACTIONS(1404),
    [anon_sym_int_literal] = ACTIONS(1404),
    [anon_sym_IError] = ACTIONS(1404),
    [sym_type_placeholder] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [sym_type_identifier] = ACTIONS(1404),
    [anon_sym_assert] = ACTIONS(1404),
    [anon_sym_defer] = ACTIONS(1404),
    [anon_sym_unsafe] = ACTIONS(1404),
    [anon_sym_pub] = ACTIONS(1404),
    [anon_sym_fn] = ACTIONS(1404),
    [anon_sym___global] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_asm] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_type] = ACTIONS(1404),
    [anon_sym_go] = ACTIONS(1404),
    [anon_sym_spawn] = ACTIONS(1404),
    [anon_sym_goto] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_DOLLARfor] = ACTIONS(1402),
    [anon_sym_DOLLARif] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_BANGis] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1404),
    [anon_sym_union] = ACTIONS(1404),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_interface] = ACTIONS(1404),
    [anon_sym_POUND] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(1404),
    [anon_sym_import] = ACTIONS(1404),
    [anon_sym_match] = ACTIONS(1404),
    [anon_sym_select] = ACTIONS(1404),
    [anon_sym_lock] = ACTIONS(1404),
    [anon_sym_rlock] = ACTIONS(1404),
    [sym__automatic_separator] = ACTIONS(1402),
    [sym__c_string_opening] = ACTIONS(1402),
    [sym__raw_string_opening] = ACTIONS(1402),
    [sym__string_opening] = ACTIONS(1402),
    [sym__comment] = ACTIONS(3),
  },
  [1069] = {
    [sym_comment] = STATE(1069),
    [ts_builtin_sym_end] = ACTIONS(1620),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1620),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_LT_DASH] = ACTIONS(1620),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PERCENT] = ACTIONS(1620),
    [anon_sym_LT_LT] = ACTIONS(1620),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_GT_GT_GT] = ACTIONS(1620),
    [anon_sym_AMP_CARET] = ACTIONS(1620),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_EQ_EQ] = ACTIONS(1620),
    [anon_sym_BANG_EQ] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1620),
    [anon_sym_in] = ACTIONS(1622),
    [anon_sym_BANGin] = ACTIONS(1620),
    [anon_sym_AMP_AMP] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1620),
    [anon_sym_as] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [sym_none] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_map_LBRACK] = ACTIONS(1620),
    [anon_sym_chan] = ACTIONS(1622),
    [anon_sym_shared] = ACTIONS(1622),
    [anon_sym_thread] = ACTIONS(1622),
    [sym_int_literal] = ACTIONS(1622),
    [sym_float_literal] = ACTIONS(1620),
    [sym_rune_literal] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_array] = ACTIONS(1622),
    [anon_sym_string] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_sql] = ACTIONS(1622),
    [anon_sym_mut] = ACTIONS(1622),
    [anon_sym_C] = ACTIONS(1622),
    [anon_sym_JS] = ACTIONS(1622),
    [anon_sym_voidptr] = ACTIONS(1622),
    [anon_sym_byteptr] = ACTIONS(1622),
    [anon_sym_charptr] = ACTIONS(1622),
    [anon_sym_i8] = ACTIONS(1622),
    [anon_sym_i16] = ACTIONS(1622),
    [anon_sym_i32] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_i64] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_u8] = ACTIONS(1622),
    [anon_sym_u16] = ACTIONS(1622),
    [anon_sym_u32] = ACTIONS(1622),
    [anon_sym_u64] = ACTIONS(1622),
    [anon_sym_f32] = ACTIONS(1622),
    [anon_sym_f64] = ACTIONS(1622),
    [anon_sym_bool] = ACTIONS(1622),
    [anon_sym_rune] = ACTIONS(1622),
    [anon_sym_map] = ACTIONS(1622),
    [anon_sym_mapnode] = ACTIONS(1622),
    [anon_sym_size_t] = ACTIONS(1622),
    [anon_sym_usize] = ACTIONS(1622),
    [anon_sym_isize] = ACTIONS(1622),
    [anon_sym_float_literal] = ACTIONS(1622),
    [anon_sym_int_literal] = ACTIONS(1622),
    [anon_sym_IError] = ACTIONS(1622),
    [sym_type_placeholder] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [sym_type_identifier] = ACTIONS(1622),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_defer] = ACTIONS(1622),
    [anon_sym_unsafe] = ACTIONS(1622),
    [anon_sym_pub] = ACTIONS(1622),
    [anon_sym_fn] = ACTIONS(1622),
    [anon_sym___global] = ACTIONS(1622),
    [anon_sym_const] = ACTIONS(1622),
    [anon_sym_asm] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_type] = ACTIONS(1622),
    [anon_sym_go] = ACTIONS(1622),
    [anon_sym_spawn] = ACTIONS(1622),
    [anon_sym_goto] = ACTIONS(1622),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_DOLLARfor] = ACTIONS(1620),
    [anon_sym_DOLLARif] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_is] = ACTIONS(1622),
    [anon_sym_BANGis] = ACTIONS(1620),
    [anon_sym_struct] = ACTIONS(1622),
    [anon_sym_union] = ACTIONS(1622),
    [anon_sym_enum] = ACTIONS(1622),
    [anon_sym_interface] = ACTIONS(1622),
    [anon_sym_POUND] = ACTIONS(1620),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(1622),
    [anon_sym_match] = ACTIONS(1622),
    [anon_sym_select] = ACTIONS(1622),
    [anon_sym_lock] = ACTIONS(1622),
    [anon_sym_rlock] = ACTIONS(1622),
    [sym__automatic_separator] = ACTIONS(1620),
    [sym__c_string_opening] = ACTIONS(1620),
    [sym__raw_string_opening] = ACTIONS(1620),
    [sym__string_opening] = ACTIONS(1620),
    [sym__comment] = ACTIONS(3),
  },
  [1070] = {
    [sym_comment] = STATE(1070),
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_LT_DASH] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1522),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1522),
    [anon_sym_AMP_CARET] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_BANGin] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_none] = ACTIONS(1524),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_map_LBRACK] = ACTIONS(1522),
    [anon_sym_chan] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_thread] = ACTIONS(1524),
    [sym_int_literal] = ACTIONS(1524),
    [sym_float_literal] = ACTIONS(1522),
    [sym_rune_literal] = ACTIONS(1522),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_array] = ACTIONS(1524),
    [anon_sym_string] = ACTIONS(1524),
    [anon_sym_char] = ACTIONS(1524),
    [anon_sym_sql] = ACTIONS(1524),
    [anon_sym_mut] = ACTIONS(1524),
    [anon_sym_C] = ACTIONS(1524),
    [anon_sym_JS] = ACTIONS(1524),
    [anon_sym_voidptr] = ACTIONS(1524),
    [anon_sym_byteptr] = ACTIONS(1524),
    [anon_sym_charptr] = ACTIONS(1524),
    [anon_sym_i8] = ACTIONS(1524),
    [anon_sym_i16] = ACTIONS(1524),
    [anon_sym_i32] = ACTIONS(1524),
    [anon_sym_int] = ACTIONS(1524),
    [anon_sym_i64] = ACTIONS(1524),
    [anon_sym_byte] = ACTIONS(1524),
    [anon_sym_u8] = ACTIONS(1524),
    [anon_sym_u16] = ACTIONS(1524),
    [anon_sym_u32] = ACTIONS(1524),
    [anon_sym_u64] = ACTIONS(1524),
    [anon_sym_f32] = ACTIONS(1524),
    [anon_sym_f64] = ACTIONS(1524),
    [anon_sym_bool] = ACTIONS(1524),
    [anon_sym_rune] = ACTIONS(1524),
    [anon_sym_map] = ACTIONS(1524),
    [anon_sym_mapnode] = ACTIONS(1524),
    [anon_sym_size_t] = ACTIONS(1524),
    [anon_sym_usize] = ACTIONS(1524),
    [anon_sym_isize] = ACTIONS(1524),
    [anon_sym_float_literal] = ACTIONS(1524),
    [anon_sym_int_literal] = ACTIONS(1524),
    [anon_sym_IError] = ACTIONS(1524),
    [sym_type_placeholder] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [sym_type_identifier] = ACTIONS(1524),
    [anon_sym_assert] = ACTIONS(1524),
    [anon_sym_defer] = ACTIONS(1524),
    [anon_sym_unsafe] = ACTIONS(1524),
    [anon_sym_pub] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym___global] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_asm] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_type] = ACTIONS(1524),
    [anon_sym_go] = ACTIONS(1524),
    [anon_sym_spawn] = ACTIONS(1524),
    [anon_sym_goto] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_DOLLARfor] = ACTIONS(1522),
    [anon_sym_DOLLARif] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_is] = ACTIONS(1524),
    [anon_sym_BANGis] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(1524),
    [anon_sym_union] = ACTIONS(1524),
    [anon_sym_enum] = ACTIONS(1524),
    [anon_sym_interface] = ACTIONS(1524),
    [anon_sym_POUND] = ACTIONS(1522),
    [anon_sym_module] = ACTIONS(1524),
    [anon_sym_import] = ACTIONS(1524),
    [anon_sym_match] = ACTIONS(1524),
    [anon_sym_select] = ACTIONS(1524),
    [anon_sym_lock] = ACTIONS(1524),
    [anon_sym_rlock] = ACTIONS(1524),
    [sym__automatic_separator] = ACTIONS(1522),
    [sym__c_string_opening] = ACTIONS(1522),
    [sym__raw_string_opening] = ACTIONS(1522),
    [sym__string_opening] = ACTIONS(1522),
    [sym__comment] = ACTIONS(3),
  },
  [1071] = {
    [sym_comment] = STATE(1071),
    [ts_builtin_sym_end] = ACTIONS(1598),
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_LT_DASH] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_GT_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_BANGin] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_as] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [sym_none] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_map_LBRACK] = ACTIONS(1598),
    [anon_sym_chan] = ACTIONS(1600),
    [anon_sym_shared] = ACTIONS(1600),
    [anon_sym_thread] = ACTIONS(1600),
    [sym_int_literal] = ACTIONS(1600),
    [sym_float_literal] = ACTIONS(1598),
    [sym_rune_literal] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_array] = ACTIONS(1600),
    [anon_sym_string] = ACTIONS(1600),
    [anon_sym_char] = ACTIONS(1600),
    [anon_sym_sql] = ACTIONS(1600),
    [anon_sym_mut] = ACTIONS(1600),
    [anon_sym_C] = ACTIONS(1600),
    [anon_sym_JS] = ACTIONS(1600),
    [anon_sym_voidptr] = ACTIONS(1600),
    [anon_sym_byteptr] = ACTIONS(1600),
    [anon_sym_charptr] = ACTIONS(1600),
    [anon_sym_i8] = ACTIONS(1600),
    [anon_sym_i16] = ACTIONS(1600),
    [anon_sym_i32] = ACTIONS(1600),
    [anon_sym_int] = ACTIONS(1600),
    [anon_sym_i64] = ACTIONS(1600),
    [anon_sym_byte] = ACTIONS(1600),
    [anon_sym_u8] = ACTIONS(1600),
    [anon_sym_u16] = ACTIONS(1600),
    [anon_sym_u32] = ACTIONS(1600),
    [anon_sym_u64] = ACTIONS(1600),
    [anon_sym_f32] = ACTIONS(1600),
    [anon_sym_f64] = ACTIONS(1600),
    [anon_sym_bool] = ACTIONS(1600),
    [anon_sym_rune] = ACTIONS(1600),
    [anon_sym_map] = ACTIONS(1600),
    [anon_sym_mapnode] = ACTIONS(1600),
    [anon_sym_size_t] = ACTIONS(1600),
    [anon_sym_usize] = ACTIONS(1600),
    [anon_sym_isize] = ACTIONS(1600),
    [anon_sym_float_literal] = ACTIONS(1600),
    [anon_sym_int_literal] = ACTIONS(1600),
    [anon_sym_IError] = ACTIONS(1600),
    [sym_type_placeholder] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [sym_type_identifier] = ACTIONS(1600),
    [anon_sym_assert] = ACTIONS(1600),
    [anon_sym_defer] = ACTIONS(1600),
    [anon_sym_unsafe] = ACTIONS(1600),
    [anon_sym_pub] = ACTIONS(1600),
    [anon_sym_fn] = ACTIONS(1600),
    [anon_sym___global] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_asm] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_type] = ACTIONS(1600),
    [anon_sym_go] = ACTIONS(1600),
    [anon_sym_spawn] = ACTIONS(1600),
    [anon_sym_goto] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_DOLLARfor] = ACTIONS(1598),
    [anon_sym_DOLLARif] = ACTIONS(1598),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_is] = ACTIONS(1600),
    [anon_sym_BANGis] = ACTIONS(1598),
    [anon_sym_struct] = ACTIONS(1600),
    [anon_sym_union] = ACTIONS(1600),
    [anon_sym_enum] = ACTIONS(1600),
    [anon_sym_interface] = ACTIONS(1600),
    [anon_sym_POUND] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1600),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_match] = ACTIONS(1600),
    [anon_sym_select] = ACTIONS(1600),
    [anon_sym_lock] = ACTIONS(1600),
    [anon_sym_rlock] = ACTIONS(1600),
    [sym__automatic_separator] = ACTIONS(1598),
    [sym__c_string_opening] = ACTIONS(1598),
    [sym__raw_string_opening] = ACTIONS(1598),
    [sym__string_opening] = ACTIONS(1598),
    [sym__comment] = ACTIONS(3),
  },
  [1072] = {
    [sym_comment] = STATE(1072),
    [ts_builtin_sym_end] = ACTIONS(1602),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_LT_DASH] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_GT_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1604),
    [anon_sym_BANGin] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_as] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [sym_none] = ACTIONS(1604),
    [sym_true] = ACTIONS(1604),
    [sym_false] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_map_LBRACK] = ACTIONS(1602),
    [anon_sym_chan] = ACTIONS(1604),
    [anon_sym_shared] = ACTIONS(1604),
    [anon_sym_thread] = ACTIONS(1604),
    [sym_int_literal] = ACTIONS(1604),
    [sym_float_literal] = ACTIONS(1602),
    [sym_rune_literal] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_array] = ACTIONS(1604),
    [anon_sym_string] = ACTIONS(1604),
    [anon_sym_char] = ACTIONS(1604),
    [anon_sym_sql] = ACTIONS(1604),
    [anon_sym_mut] = ACTIONS(1604),
    [anon_sym_C] = ACTIONS(1604),
    [anon_sym_JS] = ACTIONS(1604),
    [anon_sym_voidptr] = ACTIONS(1604),
    [anon_sym_byteptr] = ACTIONS(1604),
    [anon_sym_charptr] = ACTIONS(1604),
    [anon_sym_i8] = ACTIONS(1604),
    [anon_sym_i16] = ACTIONS(1604),
    [anon_sym_i32] = ACTIONS(1604),
    [anon_sym_int] = ACTIONS(1604),
    [anon_sym_i64] = ACTIONS(1604),
    [anon_sym_byte] = ACTIONS(1604),
    [anon_sym_u8] = ACTIONS(1604),
    [anon_sym_u16] = ACTIONS(1604),
    [anon_sym_u32] = ACTIONS(1604),
    [anon_sym_u64] = ACTIONS(1604),
    [anon_sym_f32] = ACTIONS(1604),
    [anon_sym_f64] = ACTIONS(1604),
    [anon_sym_bool] = ACTIONS(1604),
    [anon_sym_rune] = ACTIONS(1604),
    [anon_sym_map] = ACTIONS(1604),
    [anon_sym_mapnode] = ACTIONS(1604),
    [anon_sym_size_t] = ACTIONS(1604),
    [anon_sym_usize] = ACTIONS(1604),
    [anon_sym_isize] = ACTIONS(1604),
    [anon_sym_float_literal] = ACTIONS(1604),
    [anon_sym_int_literal] = ACTIONS(1604),
    [anon_sym_IError] = ACTIONS(1604),
    [sym_type_placeholder] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [sym_type_identifier] = ACTIONS(1604),
    [anon_sym_assert] = ACTIONS(1604),
    [anon_sym_defer] = ACTIONS(1604),
    [anon_sym_unsafe] = ACTIONS(1604),
    [anon_sym_pub] = ACTIONS(1604),
    [anon_sym_fn] = ACTIONS(1604),
    [anon_sym___global] = ACTIONS(1604),
    [anon_sym_const] = ACTIONS(1604),
    [anon_sym_asm] = ACTIONS(1604),
    [anon_sym_break] = ACTIONS(1604),
    [anon_sym_continue] = ACTIONS(1604),
    [anon_sym_return] = ACTIONS(1604),
    [anon_sym_type] = ACTIONS(1604),
    [anon_sym_go] = ACTIONS(1604),
    [anon_sym_spawn] = ACTIONS(1604),
    [anon_sym_goto] = ACTIONS(1604),
    [anon_sym_for] = ACTIONS(1604),
    [anon_sym_DOLLARfor] = ACTIONS(1602),
    [anon_sym_DOLLARif] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1604),
    [anon_sym_BANGis] = ACTIONS(1602),
    [anon_sym_struct] = ACTIONS(1604),
    [anon_sym_union] = ACTIONS(1604),
    [anon_sym_enum] = ACTIONS(1604),
    [anon_sym_interface] = ACTIONS(1604),
    [anon_sym_POUND] = ACTIONS(1602),
    [anon_sym_module] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(1604),
    [anon_sym_match] = ACTIONS(1604),
    [anon_sym_select] = ACTIONS(1604),
    [anon_sym_lock] = ACTIONS(1604),
    [anon_sym_rlock] = ACTIONS(1604),
    [sym__automatic_separator] = ACTIONS(1602),
    [sym__c_string_opening] = ACTIONS(1602),
    [sym__raw_string_opening] = ACTIONS(1602),
    [sym__string_opening] = ACTIONS(1602),
    [sym__comment] = ACTIONS(3),
  },
  [1073] = {
    [sym_comment] = STATE(1073),
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_CARET] = ACTIONS(1270),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_LT_DASH] = ACTIONS(1270),
    [anon_sym_SLASH] = ACTIONS(1270),
    [anon_sym_PERCENT] = ACTIONS(1270),
    [anon_sym_LT_LT] = ACTIONS(1270),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_GT_GT_GT] = ACTIONS(1270),
    [anon_sym_AMP_CARET] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1270),
    [anon_sym_BANG_EQ] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_GT_EQ] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_BANGin] = ACTIONS(1270),
    [anon_sym_AMP_AMP] = ACTIONS(1270),
    [anon_sym_PIPE_PIPE] = ACTIONS(1270),
    [anon_sym_as] = ACTIONS(1272),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym_none] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_map_LBRACK] = ACTIONS(1270),
    [anon_sym_chan] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_thread] = ACTIONS(1272),
    [sym_int_literal] = ACTIONS(1272),
    [sym_float_literal] = ACTIONS(1270),
    [sym_rune_literal] = ACTIONS(1270),
    [anon_sym_DOT] = ACTIONS(1272),
    [anon_sym_array] = ACTIONS(1272),
    [anon_sym_string] = ACTIONS(1272),
    [anon_sym_char] = ACTIONS(1272),
    [anon_sym_sql] = ACTIONS(1272),
    [anon_sym_mut] = ACTIONS(1272),
    [anon_sym_C] = ACTIONS(1272),
    [anon_sym_JS] = ACTIONS(1272),
    [anon_sym_voidptr] = ACTIONS(1272),
    [anon_sym_byteptr] = ACTIONS(1272),
    [anon_sym_charptr] = ACTIONS(1272),
    [anon_sym_i8] = ACTIONS(1272),
    [anon_sym_i16] = ACTIONS(1272),
    [anon_sym_i32] = ACTIONS(1272),
    [anon_sym_int] = ACTIONS(1272),
    [anon_sym_i64] = ACTIONS(1272),
    [anon_sym_byte] = ACTIONS(1272),
    [anon_sym_u8] = ACTIONS(1272),
    [anon_sym_u16] = ACTIONS(1272),
    [anon_sym_u32] = ACTIONS(1272),
    [anon_sym_u64] = ACTIONS(1272),
    [anon_sym_f32] = ACTIONS(1272),
    [anon_sym_f64] = ACTIONS(1272),
    [anon_sym_bool] = ACTIONS(1272),
    [anon_sym_rune] = ACTIONS(1272),
    [anon_sym_map] = ACTIONS(1272),
    [anon_sym_mapnode] = ACTIONS(1272),
    [anon_sym_size_t] = ACTIONS(1272),
    [anon_sym_usize] = ACTIONS(1272),
    [anon_sym_isize] = ACTIONS(1272),
    [anon_sym_float_literal] = ACTIONS(1272),
    [anon_sym_int_literal] = ACTIONS(1272),
    [anon_sym_IError] = ACTIONS(1272),
    [sym_type_placeholder] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [sym_type_identifier] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1272),
    [anon_sym_defer] = ACTIONS(1272),
    [anon_sym_unsafe] = ACTIONS(1272),
    [anon_sym_pub] = ACTIONS(1272),
    [anon_sym_fn] = ACTIONS(1272),
    [anon_sym___global] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_type] = ACTIONS(1272),
    [anon_sym_go] = ACTIONS(1272),
    [anon_sym_spawn] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_DOLLARfor] = ACTIONS(1270),
    [anon_sym_DOLLARif] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_is] = ACTIONS(1272),
    [anon_sym_BANGis] = ACTIONS(1270),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_interface] = ACTIONS(1272),
    [anon_sym_POUND] = ACTIONS(1270),
    [anon_sym_module] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(1272),
    [anon_sym_match] = ACTIONS(1272),
    [anon_sym_select] = ACTIONS(1272),
    [anon_sym_lock] = ACTIONS(1272),
    [anon_sym_rlock] = ACTIONS(1272),
    [sym__automatic_separator] = ACTIONS(1270),
    [sym__c_string_opening] = ACTIONS(1270),
    [sym__raw_string_opening] = ACTIONS(1270),
    [sym__string_opening] = ACTIONS(1270),
    [sym__comment] = ACTIONS(3),
  },
  [1074] = {
    [sym_comment] = STATE(1074),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_identifier] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_LT_DASH] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1352),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_GT_GT_GT] = ACTIONS(1352),
    [anon_sym_AMP_CARET] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_BANGin] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_none] = ACTIONS(1354),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_map_LBRACK] = ACTIONS(1352),
    [anon_sym_chan] = ACTIONS(1354),
    [anon_sym_shared] = ACTIONS(1354),
    [anon_sym_thread] = ACTIONS(1354),
    [sym_int_literal] = ACTIONS(1354),
    [sym_float_literal] = ACTIONS(1352),
    [sym_rune_literal] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1354),
    [anon_sym_array] = ACTIONS(1354),
    [anon_sym_string] = ACTIONS(1354),
    [anon_sym_char] = ACTIONS(1354),
    [anon_sym_sql] = ACTIONS(1354),
    [anon_sym_mut] = ACTIONS(1354),
    [anon_sym_C] = ACTIONS(1354),
    [anon_sym_JS] = ACTIONS(1354),
    [anon_sym_voidptr] = ACTIONS(1354),
    [anon_sym_byteptr] = ACTIONS(1354),
    [anon_sym_charptr] = ACTIONS(1354),
    [anon_sym_i8] = ACTIONS(1354),
    [anon_sym_i16] = ACTIONS(1354),
    [anon_sym_i32] = ACTIONS(1354),
    [anon_sym_int] = ACTIONS(1354),
    [anon_sym_i64] = ACTIONS(1354),
    [anon_sym_byte] = ACTIONS(1354),
    [anon_sym_u8] = ACTIONS(1354),
    [anon_sym_u16] = ACTIONS(1354),
    [anon_sym_u32] = ACTIONS(1354),
    [anon_sym_u64] = ACTIONS(1354),
    [anon_sym_f32] = ACTIONS(1354),
    [anon_sym_f64] = ACTIONS(1354),
    [anon_sym_bool] = ACTIONS(1354),
    [anon_sym_rune] = ACTIONS(1354),
    [anon_sym_map] = ACTIONS(1354),
    [anon_sym_mapnode] = ACTIONS(1354),
    [anon_sym_size_t] = ACTIONS(1354),
    [anon_sym_usize] = ACTIONS(1354),
    [anon_sym_isize] = ACTIONS(1354),
    [anon_sym_float_literal] = ACTIONS(1354),
    [anon_sym_int_literal] = ACTIONS(1354),
    [anon_sym_IError] = ACTIONS(1354),
    [sym_type_placeholder] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [sym_type_identifier] = ACTIONS(1354),
    [anon_sym_assert] = ACTIONS(1354),
    [anon_sym_defer] = ACTIONS(1354),
    [anon_sym_unsafe] = ACTIONS(1354),
    [anon_sym_pub] = ACTIONS(1354),
    [anon_sym_fn] = ACTIONS(1354),
    [anon_sym___global] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_type] = ACTIONS(1354),
    [anon_sym_go] = ACTIONS(1354),
    [anon_sym_spawn] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_DOLLARfor] = ACTIONS(1352),
    [anon_sym_DOLLARif] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_is] = ACTIONS(1354),
    [anon_sym_BANGis] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_interface] = ACTIONS(1354),
    [anon_sym_POUND] = ACTIONS(1352),
    [anon_sym_module] = ACTIONS(1354),
    [anon_sym_import] = ACTIONS(1354),
    [anon_sym_match] = ACTIONS(1354),
    [anon_sym_select] = ACTIONS(1354),
    [anon_sym_lock] = ACTIONS(1354),
    [anon_sym_rlock] = ACTIONS(1354),
    [sym__automatic_separator] = ACTIONS(1352),
    [sym__c_string_opening] = ACTIONS(1352),
    [sym__raw_string_opening] = ACTIONS(1352),
    [sym__string_opening] = ACTIONS(1352),
    [sym__comment] = ACTIONS(3),
  },
  [1075] = {
    [sym_comment] = STATE(1075),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_CARET] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_LT_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PERCENT] = ACTIONS(1356),
    [anon_sym_LT_LT] = ACTIONS(1356),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_GT_GT_GT] = ACTIONS(1356),
    [anon_sym_AMP_CARET] = ACTIONS(1356),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_in] = ACTIONS(1358),
    [anon_sym_BANGin] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [sym_none] = ACTIONS(1358),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_map_LBRACK] = ACTIONS(1356),
    [anon_sym_chan] = ACTIONS(1358),
    [anon_sym_shared] = ACTIONS(1358),
    [anon_sym_thread] = ACTIONS(1358),
    [sym_int_literal] = ACTIONS(1358),
    [sym_float_literal] = ACTIONS(1356),
    [sym_rune_literal] = ACTIONS(1356),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_array] = ACTIONS(1358),
    [anon_sym_string] = ACTIONS(1358),
    [anon_sym_char] = ACTIONS(1358),
    [anon_sym_sql] = ACTIONS(1358),
    [anon_sym_mut] = ACTIONS(1358),
    [anon_sym_C] = ACTIONS(1358),
    [anon_sym_JS] = ACTIONS(1358),
    [anon_sym_voidptr] = ACTIONS(1358),
    [anon_sym_byteptr] = ACTIONS(1358),
    [anon_sym_charptr] = ACTIONS(1358),
    [anon_sym_i8] = ACTIONS(1358),
    [anon_sym_i16] = ACTIONS(1358),
    [anon_sym_i32] = ACTIONS(1358),
    [anon_sym_int] = ACTIONS(1358),
    [anon_sym_i64] = ACTIONS(1358),
    [anon_sym_byte] = ACTIONS(1358),
    [anon_sym_u8] = ACTIONS(1358),
    [anon_sym_u16] = ACTIONS(1358),
    [anon_sym_u32] = ACTIONS(1358),
    [anon_sym_u64] = ACTIONS(1358),
    [anon_sym_f32] = ACTIONS(1358),
    [anon_sym_f64] = ACTIONS(1358),
    [anon_sym_bool] = ACTIONS(1358),
    [anon_sym_rune] = ACTIONS(1358),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_mapnode] = ACTIONS(1358),
    [anon_sym_size_t] = ACTIONS(1358),
    [anon_sym_usize] = ACTIONS(1358),
    [anon_sym_isize] = ACTIONS(1358),
    [anon_sym_float_literal] = ACTIONS(1358),
    [anon_sym_int_literal] = ACTIONS(1358),
    [anon_sym_IError] = ACTIONS(1358),
    [sym_type_placeholder] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [sym_type_identifier] = ACTIONS(1358),
    [anon_sym_assert] = ACTIONS(1358),
    [anon_sym_defer] = ACTIONS(1358),
    [anon_sym_unsafe] = ACTIONS(1358),
    [anon_sym_pub] = ACTIONS(1358),
    [anon_sym_fn] = ACTIONS(1358),
    [anon_sym___global] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_type] = ACTIONS(1358),
    [anon_sym_go] = ACTIONS(1358),
    [anon_sym_spawn] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_DOLLARfor] = ACTIONS(1356),
    [anon_sym_DOLLARif] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_is] = ACTIONS(1358),
    [anon_sym_BANGis] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_interface] = ACTIONS(1358),
    [anon_sym_POUND] = ACTIONS(1356),
    [anon_sym_module] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(1358),
    [anon_sym_match] = ACTIONS(1358),
    [anon_sym_select] = ACTIONS(1358),
    [anon_sym_lock] = ACTIONS(1358),
    [anon_sym_rlock] = ACTIONS(1358),
    [sym__automatic_separator] = ACTIONS(1356),
    [sym__c_string_opening] = ACTIONS(1356),
    [sym__raw_string_opening] = ACTIONS(1356),
    [sym__string_opening] = ACTIONS(1356),
    [sym__comment] = ACTIONS(3),
  },
  [1076] = {
    [sym_comment] = STATE(1076),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_LT_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_GT_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_BANGin] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_as] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [sym_none] = ACTIONS(1388),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_map_LBRACK] = ACTIONS(1386),
    [anon_sym_chan] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_thread] = ACTIONS(1388),
    [sym_int_literal] = ACTIONS(1388),
    [sym_float_literal] = ACTIONS(1386),
    [sym_rune_literal] = ACTIONS(1386),
    [anon_sym_DOT] = ACTIONS(1388),
    [anon_sym_array] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_char] = ACTIONS(1388),
    [anon_sym_sql] = ACTIONS(1388),
    [anon_sym_mut] = ACTIONS(1388),
    [anon_sym_C] = ACTIONS(1388),
    [anon_sym_JS] = ACTIONS(1388),
    [anon_sym_voidptr] = ACTIONS(1388),
    [anon_sym_byteptr] = ACTIONS(1388),
    [anon_sym_charptr] = ACTIONS(1388),
    [anon_sym_i8] = ACTIONS(1388),
    [anon_sym_i16] = ACTIONS(1388),
    [anon_sym_i32] = ACTIONS(1388),
    [anon_sym_int] = ACTIONS(1388),
    [anon_sym_i64] = ACTIONS(1388),
    [anon_sym_byte] = ACTIONS(1388),
    [anon_sym_u8] = ACTIONS(1388),
    [anon_sym_u16] = ACTIONS(1388),
    [anon_sym_u32] = ACTIONS(1388),
    [anon_sym_u64] = ACTIONS(1388),
    [anon_sym_f32] = ACTIONS(1388),
    [anon_sym_f64] = ACTIONS(1388),
    [anon_sym_bool] = ACTIONS(1388),
    [anon_sym_rune] = ACTIONS(1388),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_mapnode] = ACTIONS(1388),
    [anon_sym_size_t] = ACTIONS(1388),
    [anon_sym_usize] = ACTIONS(1388),
    [anon_sym_isize] = ACTIONS(1388),
    [anon_sym_float_literal] = ACTIONS(1388),
    [anon_sym_int_literal] = ACTIONS(1388),
    [anon_sym_IError] = ACTIONS(1388),
    [sym_type_placeholder] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [sym_type_identifier] = ACTIONS(1388),
    [anon_sym_assert] = ACTIONS(1388),
    [anon_sym_defer] = ACTIONS(1388),
    [anon_sym_unsafe] = ACTIONS(1388),
    [anon_sym_pub] = ACTIONS(1388),
    [anon_sym_fn] = ACTIONS(1388),
    [anon_sym___global] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_type] = ACTIONS(1388),
    [anon_sym_go] = ACTIONS(1388),
    [anon_sym_spawn] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_DOLLARfor] = ACTIONS(1386),
    [anon_sym_DOLLARif] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_is] = ACTIONS(1388),
    [anon_sym_BANGis] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_interface] = ACTIONS(1388),
    [anon_sym_POUND] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1388),
    [anon_sym_import] = ACTIONS(1388),
    [anon_sym_match] = ACTIONS(1388),
    [anon_sym_select] = ACTIONS(1388),
    [anon_sym_lock] = ACTIONS(1388),
    [anon_sym_rlock] = ACTIONS(1388),
    [sym__automatic_separator] = ACTIONS(1386),
    [sym__c_string_opening] = ACTIONS(1386),
    [sym__raw_string_opening] = ACTIONS(1386),
    [sym__string_opening] = ACTIONS(1386),
    [sym__comment] = ACTIONS(3),
  },
  [1077] = {
    [sym_comment] = STATE(1077),
    [ts_builtin_sym_end] = ACTIONS(1568),
    [sym_identifier] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1568),
    [anon_sym_STAR] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_LT_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1568),
    [anon_sym_PERCENT] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1568),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1568),
    [anon_sym_AMP_CARET] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_BANGin] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [sym_none] = ACTIONS(1570),
    [sym_true] = ACTIONS(1570),
    [sym_false] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_map_LBRACK] = ACTIONS(1568),
    [anon_sym_chan] = ACTIONS(1570),
    [anon_sym_shared] = ACTIONS(1570),
    [anon_sym_thread] = ACTIONS(1570),
    [sym_int_literal] = ACTIONS(1570),
    [sym_float_literal] = ACTIONS(1568),
    [sym_rune_literal] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_array] = ACTIONS(1570),
    [anon_sym_string] = ACTIONS(1570),
    [anon_sym_char] = ACTIONS(1570),
    [anon_sym_sql] = ACTIONS(1570),
    [anon_sym_mut] = ACTIONS(1570),
    [anon_sym_C] = ACTIONS(1570),
    [anon_sym_JS] = ACTIONS(1570),
    [anon_sym_voidptr] = ACTIONS(1570),
    [anon_sym_byteptr] = ACTIONS(1570),
    [anon_sym_charptr] = ACTIONS(1570),
    [anon_sym_i8] = ACTIONS(1570),
    [anon_sym_i16] = ACTIONS(1570),
    [anon_sym_i32] = ACTIONS(1570),
    [anon_sym_int] = ACTIONS(1570),
    [anon_sym_i64] = ACTIONS(1570),
    [anon_sym_byte] = ACTIONS(1570),
    [anon_sym_u8] = ACTIONS(1570),
    [anon_sym_u16] = ACTIONS(1570),
    [anon_sym_u32] = ACTIONS(1570),
    [anon_sym_u64] = ACTIONS(1570),
    [anon_sym_f32] = ACTIONS(1570),
    [anon_sym_f64] = ACTIONS(1570),
    [anon_sym_bool] = ACTIONS(1570),
    [anon_sym_rune] = ACTIONS(1570),
    [anon_sym_map] = ACTIONS(1570),
    [anon_sym_mapnode] = ACTIONS(1570),
    [anon_sym_size_t] = ACTIONS(1570),
    [anon_sym_usize] = ACTIONS(1570),
    [anon_sym_isize] = ACTIONS(1570),
    [anon_sym_float_literal] = ACTIONS(1570),
    [anon_sym_int_literal] = ACTIONS(1570),
    [anon_sym_IError] = ACTIONS(1570),
    [sym_type_placeholder] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [sym_type_identifier] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_defer] = ACTIONS(1570),
    [anon_sym_unsafe] = ACTIONS(1570),
    [anon_sym_pub] = ACTIONS(1570),
    [anon_sym_fn] = ACTIONS(1570),
    [anon_sym___global] = ACTIONS(1570),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_asm] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_continue] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_type] = ACTIONS(1570),
    [anon_sym_go] = ACTIONS(1570),
    [anon_sym_spawn] = ACTIONS(1570),
    [anon_sym_goto] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_DOLLARfor] = ACTIONS(1568),
    [anon_sym_DOLLARif] = ACTIONS(1568),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_is] = ACTIONS(1570),
    [anon_sym_BANGis] = ACTIONS(1568),
    [anon_sym_struct] = ACTIONS(1570),
    [anon_sym_union] = ACTIONS(1570),
    [anon_sym_enum] = ACTIONS(1570),
    [anon_sym_interface] = ACTIONS(1570),
    [anon_sym_POUND] = ACTIONS(1568),
    [anon_sym_module] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(1570),
    [anon_sym_match] = ACTIONS(1570),
    [anon_sym_select] = ACTIONS(1570),
    [anon_sym_lock] = ACTIONS(1570),
    [anon_sym_rlock] = ACTIONS(1570),
    [sym__automatic_separator] = ACTIONS(1568),
    [sym__c_string_opening] = ACTIONS(1568),
    [sym__raw_string_opening] = ACTIONS(1568),
    [sym__string_opening] = ACTIONS(1568),
    [sym__comment] = ACTIONS(3),
  },
  [1078] = {
    [sym_comment] = STATE(1078),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_LT_DASH] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1412),
    [anon_sym_GT_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1412),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_BANGin] = ACTIONS(1410),
    [anon_sym_AMP_AMP] = ACTIONS(1410),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_as] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [sym_none] = ACTIONS(1412),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_map_LBRACK] = ACTIONS(1410),
    [anon_sym_chan] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_thread] = ACTIONS(1412),
    [sym_int_literal] = ACTIONS(1412),
    [sym_float_literal] = ACTIONS(1410),
    [sym_rune_literal] = ACTIONS(1410),
    [anon_sym_DOT] = ACTIONS(1412),
    [anon_sym_array] = ACTIONS(1412),
    [anon_sym_string] = ACTIONS(1412),
    [anon_sym_char] = ACTIONS(1412),
    [anon_sym_sql] = ACTIONS(1412),
    [anon_sym_mut] = ACTIONS(1412),
    [anon_sym_C] = ACTIONS(1412),
    [anon_sym_JS] = ACTIONS(1412),
    [anon_sym_voidptr] = ACTIONS(1412),
    [anon_sym_byteptr] = ACTIONS(1412),
    [anon_sym_charptr] = ACTIONS(1412),
    [anon_sym_i8] = ACTIONS(1412),
    [anon_sym_i16] = ACTIONS(1412),
    [anon_sym_i32] = ACTIONS(1412),
    [anon_sym_int] = ACTIONS(1412),
    [anon_sym_i64] = ACTIONS(1412),
    [anon_sym_byte] = ACTIONS(1412),
    [anon_sym_u8] = ACTIONS(1412),
    [anon_sym_u16] = ACTIONS(1412),
    [anon_sym_u32] = ACTIONS(1412),
    [anon_sym_u64] = ACTIONS(1412),
    [anon_sym_f32] = ACTIONS(1412),
    [anon_sym_f64] = ACTIONS(1412),
    [anon_sym_bool] = ACTIONS(1412),
    [anon_sym_rune] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1412),
    [anon_sym_mapnode] = ACTIONS(1412),
    [anon_sym_size_t] = ACTIONS(1412),
    [anon_sym_usize] = ACTIONS(1412),
    [anon_sym_isize] = ACTIONS(1412),
    [anon_sym_float_literal] = ACTIONS(1412),
    [anon_sym_int_literal] = ACTIONS(1412),
    [anon_sym_IError] = ACTIONS(1412),
    [sym_type_placeholder] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [sym_type_identifier] = ACTIONS(1412),
    [anon_sym_assert] = ACTIONS(1412),
    [anon_sym_defer] = ACTIONS(1412),
    [anon_sym_unsafe] = ACTIONS(1412),
    [anon_sym_pub] = ACTIONS(1412),
    [anon_sym_fn] = ACTIONS(1412),
    [anon_sym___global] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_type] = ACTIONS(1412),
    [anon_sym_go] = ACTIONS(1412),
    [anon_sym_spawn] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_DOLLARfor] = ACTIONS(1410),
    [anon_sym_DOLLARif] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_is] = ACTIONS(1412),
    [anon_sym_BANGis] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_POUND] = ACTIONS(1410),
    [anon_sym_module] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(1412),
    [anon_sym_match] = ACTIONS(1412),
    [anon_sym_select] = ACTIONS(1412),
    [anon_sym_lock] = ACTIONS(1412),
    [anon_sym_rlock] = ACTIONS(1412),
    [sym__automatic_separator] = ACTIONS(1410),
    [sym__c_string_opening] = ACTIONS(1410),
    [sym__raw_string_opening] = ACTIONS(1410),
    [sym__string_opening] = ACTIONS(1410),
    [sym__comment] = ACTIONS(3),
  },
  [1079] = {
    [sym_comment] = STATE(1079),
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_LT_DASH] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_AMP_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_BANGin] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_as] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [sym_none] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_map_LBRACK] = ACTIONS(1518),
    [anon_sym_chan] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_thread] = ACTIONS(1520),
    [sym_int_literal] = ACTIONS(1520),
    [sym_float_literal] = ACTIONS(1518),
    [sym_rune_literal] = ACTIONS(1518),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_array] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_char] = ACTIONS(1520),
    [anon_sym_sql] = ACTIONS(1520),
    [anon_sym_mut] = ACTIONS(1520),
    [anon_sym_C] = ACTIONS(1520),
    [anon_sym_JS] = ACTIONS(1520),
    [anon_sym_voidptr] = ACTIONS(1520),
    [anon_sym_byteptr] = ACTIONS(1520),
    [anon_sym_charptr] = ACTIONS(1520),
    [anon_sym_i8] = ACTIONS(1520),
    [anon_sym_i16] = ACTIONS(1520),
    [anon_sym_i32] = ACTIONS(1520),
    [anon_sym_int] = ACTIONS(1520),
    [anon_sym_i64] = ACTIONS(1520),
    [anon_sym_byte] = ACTIONS(1520),
    [anon_sym_u8] = ACTIONS(1520),
    [anon_sym_u16] = ACTIONS(1520),
    [anon_sym_u32] = ACTIONS(1520),
    [anon_sym_u64] = ACTIONS(1520),
    [anon_sym_f32] = ACTIONS(1520),
    [anon_sym_f64] = ACTIONS(1520),
    [anon_sym_bool] = ACTIONS(1520),
    [anon_sym_rune] = ACTIONS(1520),
    [anon_sym_map] = ACTIONS(1520),
    [anon_sym_mapnode] = ACTIONS(1520),
    [anon_sym_size_t] = ACTIONS(1520),
    [anon_sym_usize] = ACTIONS(1520),
    [anon_sym_isize] = ACTIONS(1520),
    [anon_sym_float_literal] = ACTIONS(1520),
    [anon_sym_int_literal] = ACTIONS(1520),
    [anon_sym_IError] = ACTIONS(1520),
    [sym_type_placeholder] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [sym_type_identifier] = ACTIONS(1520),
    [anon_sym_assert] = ACTIONS(1520),
    [anon_sym_defer] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1520),
    [anon_sym_pub] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym___global] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_asm] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_type] = ACTIONS(1520),
    [anon_sym_go] = ACTIONS(1520),
    [anon_sym_spawn] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_DOLLARfor] = ACTIONS(1518),
    [anon_sym_DOLLARif] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_is] = ACTIONS(1520),
    [anon_sym_BANGis] = ACTIONS(1518),
    [anon_sym_struct] = ACTIONS(1520),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [anon_sym_interface] = ACTIONS(1520),
    [anon_sym_POUND] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1520),
    [anon_sym_import] = ACTIONS(1520),
    [anon_sym_match] = ACTIONS(1520),
    [anon_sym_select] = ACTIONS(1520),
    [anon_sym_lock] = ACTIONS(1520),
    [anon_sym_rlock] = ACTIONS(1520),
    [sym__automatic_separator] = ACTIONS(1518),
    [sym__c_string_opening] = ACTIONS(1518),
    [sym__raw_string_opening] = ACTIONS(1518),
    [sym__string_opening] = ACTIONS(1518),
    [sym__comment] = ACTIONS(3),
  },
  [1080] = {
    [sym_comment] = STATE(1080),
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_LT_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_AMP_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_BANGin] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_none] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_map_LBRACK] = ACTIONS(1526),
    [anon_sym_chan] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_thread] = ACTIONS(1528),
    [sym_int_literal] = ACTIONS(1528),
    [sym_float_literal] = ACTIONS(1526),
    [sym_rune_literal] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_array] = ACTIONS(1528),
    [anon_sym_string] = ACTIONS(1528),
    [anon_sym_char] = ACTIONS(1528),
    [anon_sym_sql] = ACTIONS(1528),
    [anon_sym_mut] = ACTIONS(1528),
    [anon_sym_C] = ACTIONS(1528),
    [anon_sym_JS] = ACTIONS(1528),
    [anon_sym_voidptr] = ACTIONS(1528),
    [anon_sym_byteptr] = ACTIONS(1528),
    [anon_sym_charptr] = ACTIONS(1528),
    [anon_sym_i8] = ACTIONS(1528),
    [anon_sym_i16] = ACTIONS(1528),
    [anon_sym_i32] = ACTIONS(1528),
    [anon_sym_int] = ACTIONS(1528),
    [anon_sym_i64] = ACTIONS(1528),
    [anon_sym_byte] = ACTIONS(1528),
    [anon_sym_u8] = ACTIONS(1528),
    [anon_sym_u16] = ACTIONS(1528),
    [anon_sym_u32] = ACTIONS(1528),
    [anon_sym_u64] = ACTIONS(1528),
    [anon_sym_f32] = ACTIONS(1528),
    [anon_sym_f64] = ACTIONS(1528),
    [anon_sym_bool] = ACTIONS(1528),
    [anon_sym_rune] = ACTIONS(1528),
    [anon_sym_map] = ACTIONS(1528),
    [anon_sym_mapnode] = ACTIONS(1528),
    [anon_sym_size_t] = ACTIONS(1528),
    [anon_sym_usize] = ACTIONS(1528),
    [anon_sym_isize] = ACTIONS(1528),
    [anon_sym_float_literal] = ACTIONS(1528),
    [anon_sym_int_literal] = ACTIONS(1528),
    [anon_sym_IError] = ACTIONS(1528),
    [sym_type_placeholder] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [sym_type_identifier] = ACTIONS(1528),
    [anon_sym_assert] = ACTIONS(1528),
    [anon_sym_defer] = ACTIONS(1528),
    [anon_sym_unsafe] = ACTIONS(1528),
    [anon_sym_pub] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym___global] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_asm] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_type] = ACTIONS(1528),
    [anon_sym_go] = ACTIONS(1528),
    [anon_sym_spawn] = ACTIONS(1528),
    [anon_sym_goto] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_DOLLARfor] = ACTIONS(1526),
    [anon_sym_DOLLARif] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_is] = ACTIONS(1528),
    [anon_sym_BANGis] = ACTIONS(1526),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_interface] = ACTIONS(1528),
    [anon_sym_POUND] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1528),
    [anon_sym_import] = ACTIONS(1528),
    [anon_sym_match] = ACTIONS(1528),
    [anon_sym_select] = ACTIONS(1528),
    [anon_sym_lock] = ACTIONS(1528),
    [anon_sym_rlock] = ACTIONS(1528),
    [sym__automatic_separator] = ACTIONS(1526),
    [sym__c_string_opening] = ACTIONS(1526),
    [sym__raw_string_opening] = ACTIONS(1526),
    [sym__string_opening] = ACTIONS(1526),
    [sym__comment] = ACTIONS(3),
  },
  [1081] = {
    [sym_comment] = STATE(1081),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1532),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PERCENT] = ACTIONS(1532),
    [anon_sym_LT_LT] = ACTIONS(1532),
    [anon_sym_GT_GT] = ACTIONS(1534),
    [anon_sym_GT_GT_GT] = ACTIONS(1532),
    [anon_sym_AMP_CARET] = ACTIONS(1532),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1534),
    [anon_sym_BANGin] = ACTIONS(1532),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_as] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [sym_none] = ACTIONS(1534),
    [sym_true] = ACTIONS(1534),
    [sym_false] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_map_LBRACK] = ACTIONS(1532),
    [anon_sym_chan] = ACTIONS(1534),
    [anon_sym_shared] = ACTIONS(1534),
    [anon_sym_thread] = ACTIONS(1534),
    [sym_int_literal] = ACTIONS(1534),
    [sym_float_literal] = ACTIONS(1532),
    [sym_rune_literal] = ACTIONS(1532),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_array] = ACTIONS(1534),
    [anon_sym_string] = ACTIONS(1534),
    [anon_sym_char] = ACTIONS(1534),
    [anon_sym_sql] = ACTIONS(1534),
    [anon_sym_mut] = ACTIONS(1534),
    [anon_sym_C] = ACTIONS(1534),
    [anon_sym_JS] = ACTIONS(1534),
    [anon_sym_voidptr] = ACTIONS(1534),
    [anon_sym_byteptr] = ACTIONS(1534),
    [anon_sym_charptr] = ACTIONS(1534),
    [anon_sym_i8] = ACTIONS(1534),
    [anon_sym_i16] = ACTIONS(1534),
    [anon_sym_i32] = ACTIONS(1534),
    [anon_sym_int] = ACTIONS(1534),
    [anon_sym_i64] = ACTIONS(1534),
    [anon_sym_byte] = ACTIONS(1534),
    [anon_sym_u8] = ACTIONS(1534),
    [anon_sym_u16] = ACTIONS(1534),
    [anon_sym_u32] = ACTIONS(1534),
    [anon_sym_u64] = ACTIONS(1534),
    [anon_sym_f32] = ACTIONS(1534),
    [anon_sym_f64] = ACTIONS(1534),
    [anon_sym_bool] = ACTIONS(1534),
    [anon_sym_rune] = ACTIONS(1534),
    [anon_sym_map] = ACTIONS(1534),
    [anon_sym_mapnode] = ACTIONS(1534),
    [anon_sym_size_t] = ACTIONS(1534),
    [anon_sym_usize] = ACTIONS(1534),
    [anon_sym_isize] = ACTIONS(1534),
    [anon_sym_float_literal] = ACTIONS(1534),
    [anon_sym_int_literal] = ACTIONS(1534),
    [anon_sym_IError] = ACTIONS(1534),
    [sym_type_placeholder] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [sym_type_identifier] = ACTIONS(1534),
    [anon_sym_assert] = ACTIONS(1534),
    [anon_sym_defer] = ACTIONS(1534),
    [anon_sym_unsafe] = ACTIONS(1534),
    [anon_sym_pub] = ACTIONS(1534),
    [anon_sym_fn] = ACTIONS(1534),
    [anon_sym___global] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1534),
    [anon_sym_break] = ACTIONS(1534),
    [anon_sym_continue] = ACTIONS(1534),
    [anon_sym_return] = ACTIONS(1534),
    [anon_sym_type] = ACTIONS(1534),
    [anon_sym_go] = ACTIONS(1534),
    [anon_sym_spawn] = ACTIONS(1534),
    [anon_sym_goto] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_DOLLARfor] = ACTIONS(1532),
    [anon_sym_DOLLARif] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1534),
    [anon_sym_is] = ACTIONS(1534),
    [anon_sym_BANGis] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1534),
    [anon_sym_union] = ACTIONS(1534),
    [anon_sym_enum] = ACTIONS(1534),
    [anon_sym_interface] = ACTIONS(1534),
    [anon_sym_POUND] = ACTIONS(1532),
    [anon_sym_module] = ACTIONS(1534),
    [anon_sym_import] = ACTIONS(1534),
    [anon_sym_match] = ACTIONS(1534),
    [anon_sym_select] = ACTIONS(1534),
    [anon_sym_lock] = ACTIONS(1534),
    [anon_sym_rlock] = ACTIONS(1534),
    [sym__automatic_separator] = ACTIONS(1532),
    [sym__c_string_opening] = ACTIONS(1532),
    [sym__raw_string_opening] = ACTIONS(1532),
    [sym__string_opening] = ACTIONS(1532),
    [sym__comment] = ACTIONS(3),
  },
  [1082] = {
    [sym_comment] = STATE(1082),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1083] = {
    [sym_comment] = STATE(1083),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_identifier] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_LT_DASH] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_PERCENT] = ACTIONS(1252),
    [anon_sym_LT_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1254),
    [anon_sym_GT_GT_GT] = ACTIONS(1252),
    [anon_sym_AMP_CARET] = ACTIONS(1252),
    [anon_sym_PIPE] = ACTIONS(1254),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1254),
    [anon_sym_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1254),
    [anon_sym_GT_EQ] = ACTIONS(1252),
    [anon_sym_in] = ACTIONS(1254),
    [anon_sym_BANGin] = ACTIONS(1252),
    [anon_sym_AMP_AMP] = ACTIONS(1252),
    [anon_sym_PIPE_PIPE] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [sym_none] = ACTIONS(1254),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_map_LBRACK] = ACTIONS(1252),
    [anon_sym_chan] = ACTIONS(1254),
    [anon_sym_shared] = ACTIONS(1254),
    [anon_sym_thread] = ACTIONS(1254),
    [sym_int_literal] = ACTIONS(1254),
    [sym_float_literal] = ACTIONS(1252),
    [sym_rune_literal] = ACTIONS(1252),
    [anon_sym_DOT] = ACTIONS(1254),
    [anon_sym_array] = ACTIONS(1254),
    [anon_sym_string] = ACTIONS(1254),
    [anon_sym_char] = ACTIONS(1254),
    [anon_sym_sql] = ACTIONS(1254),
    [anon_sym_mut] = ACTIONS(1254),
    [anon_sym_C] = ACTIONS(1254),
    [anon_sym_JS] = ACTIONS(1254),
    [anon_sym_voidptr] = ACTIONS(1254),
    [anon_sym_byteptr] = ACTIONS(1254),
    [anon_sym_charptr] = ACTIONS(1254),
    [anon_sym_i8] = ACTIONS(1254),
    [anon_sym_i16] = ACTIONS(1254),
    [anon_sym_i32] = ACTIONS(1254),
    [anon_sym_int] = ACTIONS(1254),
    [anon_sym_i64] = ACTIONS(1254),
    [anon_sym_byte] = ACTIONS(1254),
    [anon_sym_u8] = ACTIONS(1254),
    [anon_sym_u16] = ACTIONS(1254),
    [anon_sym_u32] = ACTIONS(1254),
    [anon_sym_u64] = ACTIONS(1254),
    [anon_sym_f32] = ACTIONS(1254),
    [anon_sym_f64] = ACTIONS(1254),
    [anon_sym_bool] = ACTIONS(1254),
    [anon_sym_rune] = ACTIONS(1254),
    [anon_sym_map] = ACTIONS(1254),
    [anon_sym_mapnode] = ACTIONS(1254),
    [anon_sym_size_t] = ACTIONS(1254),
    [anon_sym_usize] = ACTIONS(1254),
    [anon_sym_isize] = ACTIONS(1254),
    [anon_sym_float_literal] = ACTIONS(1254),
    [anon_sym_int_literal] = ACTIONS(1254),
    [anon_sym_IError] = ACTIONS(1254),
    [sym_type_placeholder] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [sym_type_identifier] = ACTIONS(1254),
    [anon_sym_assert] = ACTIONS(1254),
    [anon_sym_defer] = ACTIONS(1254),
    [anon_sym_unsafe] = ACTIONS(1254),
    [anon_sym_pub] = ACTIONS(1254),
    [anon_sym_fn] = ACTIONS(1254),
    [anon_sym___global] = ACTIONS(1254),
    [anon_sym_const] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1254),
    [anon_sym_break] = ACTIONS(1254),
    [anon_sym_continue] = ACTIONS(1254),
    [anon_sym_return] = ACTIONS(1254),
    [anon_sym_type] = ACTIONS(1254),
    [anon_sym_go] = ACTIONS(1254),
    [anon_sym_spawn] = ACTIONS(1254),
    [anon_sym_goto] = ACTIONS(1254),
    [anon_sym_for] = ACTIONS(1254),
    [anon_sym_DOLLARfor] = ACTIONS(1252),
    [anon_sym_DOLLARif] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_is] = ACTIONS(1254),
    [anon_sym_BANGis] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1254),
    [anon_sym_union] = ACTIONS(1254),
    [anon_sym_enum] = ACTIONS(1254),
    [anon_sym_interface] = ACTIONS(1254),
    [anon_sym_POUND] = ACTIONS(1252),
    [anon_sym_module] = ACTIONS(1254),
    [anon_sym_import] = ACTIONS(1254),
    [anon_sym_match] = ACTIONS(1254),
    [anon_sym_select] = ACTIONS(1254),
    [anon_sym_lock] = ACTIONS(1254),
    [anon_sym_rlock] = ACTIONS(1254),
    [sym__automatic_separator] = ACTIONS(1252),
    [sym__c_string_opening] = ACTIONS(1252),
    [sym__raw_string_opening] = ACTIONS(1252),
    [sym__string_opening] = ACTIONS(1252),
    [sym__comment] = ACTIONS(3),
  },
  [1084] = {
    [sym_comment] = STATE(1084),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_identifier] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_LT_DASH] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1248),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_GT_GT_GT] = ACTIONS(1248),
    [anon_sym_AMP_CARET] = ACTIONS(1248),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_BANGin] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [sym_none] = ACTIONS(1250),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_map_LBRACK] = ACTIONS(1248),
    [anon_sym_chan] = ACTIONS(1250),
    [anon_sym_shared] = ACTIONS(1250),
    [anon_sym_thread] = ACTIONS(1250),
    [sym_int_literal] = ACTIONS(1250),
    [sym_float_literal] = ACTIONS(1248),
    [sym_rune_literal] = ACTIONS(1248),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_array] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_char] = ACTIONS(1250),
    [anon_sym_sql] = ACTIONS(1250),
    [anon_sym_mut] = ACTIONS(1250),
    [anon_sym_C] = ACTIONS(1250),
    [anon_sym_JS] = ACTIONS(1250),
    [anon_sym_voidptr] = ACTIONS(1250),
    [anon_sym_byteptr] = ACTIONS(1250),
    [anon_sym_charptr] = ACTIONS(1250),
    [anon_sym_i8] = ACTIONS(1250),
    [anon_sym_i16] = ACTIONS(1250),
    [anon_sym_i32] = ACTIONS(1250),
    [anon_sym_int] = ACTIONS(1250),
    [anon_sym_i64] = ACTIONS(1250),
    [anon_sym_byte] = ACTIONS(1250),
    [anon_sym_u8] = ACTIONS(1250),
    [anon_sym_u16] = ACTIONS(1250),
    [anon_sym_u32] = ACTIONS(1250),
    [anon_sym_u64] = ACTIONS(1250),
    [anon_sym_f32] = ACTIONS(1250),
    [anon_sym_f64] = ACTIONS(1250),
    [anon_sym_bool] = ACTIONS(1250),
    [anon_sym_rune] = ACTIONS(1250),
    [anon_sym_map] = ACTIONS(1250),
    [anon_sym_mapnode] = ACTIONS(1250),
    [anon_sym_size_t] = ACTIONS(1250),
    [anon_sym_usize] = ACTIONS(1250),
    [anon_sym_isize] = ACTIONS(1250),
    [anon_sym_float_literal] = ACTIONS(1250),
    [anon_sym_int_literal] = ACTIONS(1250),
    [anon_sym_IError] = ACTIONS(1250),
    [sym_type_placeholder] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [sym_type_identifier] = ACTIONS(1250),
    [anon_sym_assert] = ACTIONS(1250),
    [anon_sym_defer] = ACTIONS(1250),
    [anon_sym_unsafe] = ACTIONS(1250),
    [anon_sym_pub] = ACTIONS(1250),
    [anon_sym_fn] = ACTIONS(1250),
    [anon_sym___global] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_go] = ACTIONS(1250),
    [anon_sym_spawn] = ACTIONS(1250),
    [anon_sym_goto] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_DOLLARfor] = ACTIONS(1248),
    [anon_sym_DOLLARif] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_BANGis] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1250),
    [anon_sym_union] = ACTIONS(1250),
    [anon_sym_enum] = ACTIONS(1250),
    [anon_sym_interface] = ACTIONS(1250),
    [anon_sym_POUND] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_import] = ACTIONS(1250),
    [anon_sym_match] = ACTIONS(1250),
    [anon_sym_select] = ACTIONS(1250),
    [anon_sym_lock] = ACTIONS(1250),
    [anon_sym_rlock] = ACTIONS(1250),
    [sym__automatic_separator] = ACTIONS(1248),
    [sym__c_string_opening] = ACTIONS(1248),
    [sym__raw_string_opening] = ACTIONS(1248),
    [sym__string_opening] = ACTIONS(1248),
    [sym__comment] = ACTIONS(3),
  },
  [1085] = {
    [sym_comment] = STATE(1085),
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_LT_DASH] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1586),
    [anon_sym_PERCENT] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_in] = ACTIONS(1588),
    [anon_sym_BANGin] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1586),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_as] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_none] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_map_LBRACK] = ACTIONS(1586),
    [anon_sym_chan] = ACTIONS(1588),
    [anon_sym_shared] = ACTIONS(1588),
    [anon_sym_thread] = ACTIONS(1588),
    [sym_int_literal] = ACTIONS(1588),
    [sym_float_literal] = ACTIONS(1586),
    [sym_rune_literal] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_array] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_char] = ACTIONS(1588),
    [anon_sym_sql] = ACTIONS(1588),
    [anon_sym_mut] = ACTIONS(1588),
    [anon_sym_C] = ACTIONS(1588),
    [anon_sym_JS] = ACTIONS(1588),
    [anon_sym_voidptr] = ACTIONS(1588),
    [anon_sym_byteptr] = ACTIONS(1588),
    [anon_sym_charptr] = ACTIONS(1588),
    [anon_sym_i8] = ACTIONS(1588),
    [anon_sym_i16] = ACTIONS(1588),
    [anon_sym_i32] = ACTIONS(1588),
    [anon_sym_int] = ACTIONS(1588),
    [anon_sym_i64] = ACTIONS(1588),
    [anon_sym_byte] = ACTIONS(1588),
    [anon_sym_u8] = ACTIONS(1588),
    [anon_sym_u16] = ACTIONS(1588),
    [anon_sym_u32] = ACTIONS(1588),
    [anon_sym_u64] = ACTIONS(1588),
    [anon_sym_f32] = ACTIONS(1588),
    [anon_sym_f64] = ACTIONS(1588),
    [anon_sym_bool] = ACTIONS(1588),
    [anon_sym_rune] = ACTIONS(1588),
    [anon_sym_map] = ACTIONS(1588),
    [anon_sym_mapnode] = ACTIONS(1588),
    [anon_sym_size_t] = ACTIONS(1588),
    [anon_sym_usize] = ACTIONS(1588),
    [anon_sym_isize] = ACTIONS(1588),
    [anon_sym_float_literal] = ACTIONS(1588),
    [anon_sym_int_literal] = ACTIONS(1588),
    [anon_sym_IError] = ACTIONS(1588),
    [sym_type_placeholder] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [sym_type_identifier] = ACTIONS(1588),
    [anon_sym_assert] = ACTIONS(1588),
    [anon_sym_defer] = ACTIONS(1588),
    [anon_sym_unsafe] = ACTIONS(1588),
    [anon_sym_pub] = ACTIONS(1588),
    [anon_sym_fn] = ACTIONS(1588),
    [anon_sym___global] = ACTIONS(1588),
    [anon_sym_const] = ACTIONS(1588),
    [anon_sym_asm] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_type] = ACTIONS(1588),
    [anon_sym_go] = ACTIONS(1588),
    [anon_sym_spawn] = ACTIONS(1588),
    [anon_sym_goto] = ACTIONS(1588),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_DOLLARfor] = ACTIONS(1586),
    [anon_sym_DOLLARif] = ACTIONS(1586),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_is] = ACTIONS(1588),
    [anon_sym_BANGis] = ACTIONS(1586),
    [anon_sym_struct] = ACTIONS(1588),
    [anon_sym_union] = ACTIONS(1588),
    [anon_sym_enum] = ACTIONS(1588),
    [anon_sym_interface] = ACTIONS(1588),
    [anon_sym_POUND] = ACTIONS(1586),
    [anon_sym_module] = ACTIONS(1588),
    [anon_sym_import] = ACTIONS(1588),
    [anon_sym_match] = ACTIONS(1588),
    [anon_sym_select] = ACTIONS(1588),
    [anon_sym_lock] = ACTIONS(1588),
    [anon_sym_rlock] = ACTIONS(1588),
    [sym__automatic_separator] = ACTIONS(1586),
    [sym__c_string_opening] = ACTIONS(1586),
    [sym__raw_string_opening] = ACTIONS(1586),
    [sym__string_opening] = ACTIONS(1586),
    [sym__comment] = ACTIONS(3),
  },
  [1086] = {
    [sym_comment] = STATE(1086),
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_LT_DASH] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_BANGin] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [sym_none] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_map_LBRACK] = ACTIONS(1610),
    [anon_sym_chan] = ACTIONS(1612),
    [anon_sym_shared] = ACTIONS(1612),
    [anon_sym_thread] = ACTIONS(1612),
    [sym_int_literal] = ACTIONS(1612),
    [sym_float_literal] = ACTIONS(1610),
    [sym_rune_literal] = ACTIONS(1610),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_array] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_sql] = ACTIONS(1612),
    [anon_sym_mut] = ACTIONS(1612),
    [anon_sym_C] = ACTIONS(1612),
    [anon_sym_JS] = ACTIONS(1612),
    [anon_sym_voidptr] = ACTIONS(1612),
    [anon_sym_byteptr] = ACTIONS(1612),
    [anon_sym_charptr] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_int] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_byte] = ACTIONS(1612),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_rune] = ACTIONS(1612),
    [anon_sym_map] = ACTIONS(1612),
    [anon_sym_mapnode] = ACTIONS(1612),
    [anon_sym_size_t] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_float_literal] = ACTIONS(1612),
    [anon_sym_int_literal] = ACTIONS(1612),
    [anon_sym_IError] = ACTIONS(1612),
    [sym_type_placeholder] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [sym_type_identifier] = ACTIONS(1612),
    [anon_sym_assert] = ACTIONS(1612),
    [anon_sym_defer] = ACTIONS(1612),
    [anon_sym_unsafe] = ACTIONS(1612),
    [anon_sym_pub] = ACTIONS(1612),
    [anon_sym_fn] = ACTIONS(1612),
    [anon_sym___global] = ACTIONS(1612),
    [anon_sym_const] = ACTIONS(1612),
    [anon_sym_asm] = ACTIONS(1612),
    [anon_sym_break] = ACTIONS(1612),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1612),
    [anon_sym_type] = ACTIONS(1612),
    [anon_sym_go] = ACTIONS(1612),
    [anon_sym_spawn] = ACTIONS(1612),
    [anon_sym_goto] = ACTIONS(1612),
    [anon_sym_for] = ACTIONS(1612),
    [anon_sym_DOLLARfor] = ACTIONS(1610),
    [anon_sym_DOLLARif] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1612),
    [anon_sym_BANGis] = ACTIONS(1610),
    [anon_sym_struct] = ACTIONS(1612),
    [anon_sym_union] = ACTIONS(1612),
    [anon_sym_enum] = ACTIONS(1612),
    [anon_sym_interface] = ACTIONS(1612),
    [anon_sym_POUND] = ACTIONS(1610),
    [anon_sym_module] = ACTIONS(1612),
    [anon_sym_import] = ACTIONS(1612),
    [anon_sym_match] = ACTIONS(1612),
    [anon_sym_select] = ACTIONS(1612),
    [anon_sym_lock] = ACTIONS(1612),
    [anon_sym_rlock] = ACTIONS(1612),
    [sym__automatic_separator] = ACTIONS(1610),
    [sym__c_string_opening] = ACTIONS(1610),
    [sym__raw_string_opening] = ACTIONS(1610),
    [sym__string_opening] = ACTIONS(1610),
    [sym__comment] = ACTIONS(3),
  },
  [1087] = {
    [sym_comment] = STATE(1087),
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_LT_DASH] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1560),
    [anon_sym_PERCENT] = ACTIONS(1560),
    [anon_sym_LT_LT] = ACTIONS(1560),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1560),
    [anon_sym_AMP_CARET] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_BANGin] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1560),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1562),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_none] = ACTIONS(1562),
    [sym_true] = ACTIONS(1562),
    [sym_false] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_map_LBRACK] = ACTIONS(1560),
    [anon_sym_chan] = ACTIONS(1562),
    [anon_sym_shared] = ACTIONS(1562),
    [anon_sym_thread] = ACTIONS(1562),
    [sym_int_literal] = ACTIONS(1562),
    [sym_float_literal] = ACTIONS(1560),
    [sym_rune_literal] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_array] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_char] = ACTIONS(1562),
    [anon_sym_sql] = ACTIONS(1562),
    [anon_sym_mut] = ACTIONS(1562),
    [anon_sym_C] = ACTIONS(1562),
    [anon_sym_JS] = ACTIONS(1562),
    [anon_sym_voidptr] = ACTIONS(1562),
    [anon_sym_byteptr] = ACTIONS(1562),
    [anon_sym_charptr] = ACTIONS(1562),
    [anon_sym_i8] = ACTIONS(1562),
    [anon_sym_i16] = ACTIONS(1562),
    [anon_sym_i32] = ACTIONS(1562),
    [anon_sym_int] = ACTIONS(1562),
    [anon_sym_i64] = ACTIONS(1562),
    [anon_sym_byte] = ACTIONS(1562),
    [anon_sym_u8] = ACTIONS(1562),
    [anon_sym_u16] = ACTIONS(1562),
    [anon_sym_u32] = ACTIONS(1562),
    [anon_sym_u64] = ACTIONS(1562),
    [anon_sym_f32] = ACTIONS(1562),
    [anon_sym_f64] = ACTIONS(1562),
    [anon_sym_bool] = ACTIONS(1562),
    [anon_sym_rune] = ACTIONS(1562),
    [anon_sym_map] = ACTIONS(1562),
    [anon_sym_mapnode] = ACTIONS(1562),
    [anon_sym_size_t] = ACTIONS(1562),
    [anon_sym_usize] = ACTIONS(1562),
    [anon_sym_isize] = ACTIONS(1562),
    [anon_sym_float_literal] = ACTIONS(1562),
    [anon_sym_int_literal] = ACTIONS(1562),
    [anon_sym_IError] = ACTIONS(1562),
    [sym_type_placeholder] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [sym_type_identifier] = ACTIONS(1562),
    [anon_sym_assert] = ACTIONS(1562),
    [anon_sym_defer] = ACTIONS(1562),
    [anon_sym_unsafe] = ACTIONS(1562),
    [anon_sym_pub] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym___global] = ACTIONS(1562),
    [anon_sym_const] = ACTIONS(1562),
    [anon_sym_asm] = ACTIONS(1562),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_continue] = ACTIONS(1562),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_go] = ACTIONS(1562),
    [anon_sym_spawn] = ACTIONS(1562),
    [anon_sym_goto] = ACTIONS(1562),
    [anon_sym_for] = ACTIONS(1562),
    [anon_sym_DOLLARfor] = ACTIONS(1560),
    [anon_sym_DOLLARif] = ACTIONS(1560),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_is] = ACTIONS(1562),
    [anon_sym_BANGis] = ACTIONS(1560),
    [anon_sym_struct] = ACTIONS(1562),
    [anon_sym_union] = ACTIONS(1562),
    [anon_sym_enum] = ACTIONS(1562),
    [anon_sym_interface] = ACTIONS(1562),
    [anon_sym_POUND] = ACTIONS(1560),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_import] = ACTIONS(1562),
    [anon_sym_match] = ACTIONS(1562),
    [anon_sym_select] = ACTIONS(1562),
    [anon_sym_lock] = ACTIONS(1562),
    [anon_sym_rlock] = ACTIONS(1562),
    [sym__automatic_separator] = ACTIONS(1560),
    [sym__c_string_opening] = ACTIONS(1560),
    [sym__raw_string_opening] = ACTIONS(1560),
    [sym__string_opening] = ACTIONS(1560),
    [sym__comment] = ACTIONS(3),
  },
  [1088] = {
    [sym_comment] = STATE(1088),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1089] = {
    [sym_comment] = STATE(1089),
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1046),
    [anon_sym_PERCENT] = ACTIONS(1046),
    [anon_sym_LT_LT] = ACTIONS(1046),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1046),
    [anon_sym_AMP_CARET] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_pub] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym___global] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_type] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_struct] = ACTIONS(1048),
    [anon_sym_union] = ACTIONS(1048),
    [anon_sym_enum] = ACTIONS(1048),
    [anon_sym_interface] = ACTIONS(1048),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1048),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1090] = {
    [sym_comment] = STATE(1090),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_LT_DASH] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1500),
    [anon_sym_PERCENT] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_GT_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_BANGin] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [sym_none] = ACTIONS(1502),
    [sym_true] = ACTIONS(1502),
    [sym_false] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_map_LBRACK] = ACTIONS(1500),
    [anon_sym_chan] = ACTIONS(1502),
    [anon_sym_shared] = ACTIONS(1502),
    [anon_sym_thread] = ACTIONS(1502),
    [sym_int_literal] = ACTIONS(1502),
    [sym_float_literal] = ACTIONS(1500),
    [sym_rune_literal] = ACTIONS(1500),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_array] = ACTIONS(1502),
    [anon_sym_string] = ACTIONS(1502),
    [anon_sym_char] = ACTIONS(1502),
    [anon_sym_sql] = ACTIONS(1502),
    [anon_sym_mut] = ACTIONS(1502),
    [anon_sym_C] = ACTIONS(1502),
    [anon_sym_JS] = ACTIONS(1502),
    [anon_sym_voidptr] = ACTIONS(1502),
    [anon_sym_byteptr] = ACTIONS(1502),
    [anon_sym_charptr] = ACTIONS(1502),
    [anon_sym_i8] = ACTIONS(1502),
    [anon_sym_i16] = ACTIONS(1502),
    [anon_sym_i32] = ACTIONS(1502),
    [anon_sym_int] = ACTIONS(1502),
    [anon_sym_i64] = ACTIONS(1502),
    [anon_sym_byte] = ACTIONS(1502),
    [anon_sym_u8] = ACTIONS(1502),
    [anon_sym_u16] = ACTIONS(1502),
    [anon_sym_u32] = ACTIONS(1502),
    [anon_sym_u64] = ACTIONS(1502),
    [anon_sym_f32] = ACTIONS(1502),
    [anon_sym_f64] = ACTIONS(1502),
    [anon_sym_bool] = ACTIONS(1502),
    [anon_sym_rune] = ACTIONS(1502),
    [anon_sym_map] = ACTIONS(1502),
    [anon_sym_mapnode] = ACTIONS(1502),
    [anon_sym_size_t] = ACTIONS(1502),
    [anon_sym_usize] = ACTIONS(1502),
    [anon_sym_isize] = ACTIONS(1502),
    [anon_sym_float_literal] = ACTIONS(1502),
    [anon_sym_int_literal] = ACTIONS(1502),
    [anon_sym_IError] = ACTIONS(1502),
    [sym_type_placeholder] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [sym_type_identifier] = ACTIONS(1502),
    [anon_sym_assert] = ACTIONS(1502),
    [anon_sym_defer] = ACTIONS(1502),
    [anon_sym_unsafe] = ACTIONS(1502),
    [anon_sym_pub] = ACTIONS(1502),
    [anon_sym_fn] = ACTIONS(1502),
    [anon_sym___global] = ACTIONS(1502),
    [anon_sym_const] = ACTIONS(1502),
    [anon_sym_asm] = ACTIONS(1502),
    [anon_sym_break] = ACTIONS(1502),
    [anon_sym_continue] = ACTIONS(1502),
    [anon_sym_return] = ACTIONS(1502),
    [anon_sym_type] = ACTIONS(1502),
    [anon_sym_go] = ACTIONS(1502),
    [anon_sym_spawn] = ACTIONS(1502),
    [anon_sym_goto] = ACTIONS(1502),
    [anon_sym_for] = ACTIONS(1502),
    [anon_sym_DOLLARfor] = ACTIONS(1500),
    [anon_sym_DOLLARif] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1502),
    [anon_sym_is] = ACTIONS(1502),
    [anon_sym_BANGis] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1502),
    [anon_sym_union] = ACTIONS(1502),
    [anon_sym_enum] = ACTIONS(1502),
    [anon_sym_interface] = ACTIONS(1502),
    [anon_sym_POUND] = ACTIONS(1500),
    [anon_sym_module] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1502),
    [anon_sym_match] = ACTIONS(1502),
    [anon_sym_select] = ACTIONS(1502),
    [anon_sym_lock] = ACTIONS(1502),
    [anon_sym_rlock] = ACTIONS(1502),
    [sym__automatic_separator] = ACTIONS(1500),
    [sym__c_string_opening] = ACTIONS(1500),
    [sym__raw_string_opening] = ACTIONS(1500),
    [sym__string_opening] = ACTIONS(1500),
    [sym__comment] = ACTIONS(3),
  },
  [1091] = {
    [sym_comment] = STATE(1091),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_LT_DASH] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1494),
    [anon_sym_GT_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1494),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1494),
    [anon_sym_BANGin] = ACTIONS(1492),
    [anon_sym_AMP_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_as] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [sym_none] = ACTIONS(1494),
    [sym_true] = ACTIONS(1494),
    [sym_false] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_map_LBRACK] = ACTIONS(1492),
    [anon_sym_chan] = ACTIONS(1494),
    [anon_sym_shared] = ACTIONS(1494),
    [anon_sym_thread] = ACTIONS(1494),
    [sym_int_literal] = ACTIONS(1494),
    [sym_float_literal] = ACTIONS(1492),
    [sym_rune_literal] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1494),
    [anon_sym_array] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_char] = ACTIONS(1494),
    [anon_sym_sql] = ACTIONS(1494),
    [anon_sym_mut] = ACTIONS(1494),
    [anon_sym_C] = ACTIONS(1494),
    [anon_sym_JS] = ACTIONS(1494),
    [anon_sym_voidptr] = ACTIONS(1494),
    [anon_sym_byteptr] = ACTIONS(1494),
    [anon_sym_charptr] = ACTIONS(1494),
    [anon_sym_i8] = ACTIONS(1494),
    [anon_sym_i16] = ACTIONS(1494),
    [anon_sym_i32] = ACTIONS(1494),
    [anon_sym_int] = ACTIONS(1494),
    [anon_sym_i64] = ACTIONS(1494),
    [anon_sym_byte] = ACTIONS(1494),
    [anon_sym_u8] = ACTIONS(1494),
    [anon_sym_u16] = ACTIONS(1494),
    [anon_sym_u32] = ACTIONS(1494),
    [anon_sym_u64] = ACTIONS(1494),
    [anon_sym_f32] = ACTIONS(1494),
    [anon_sym_f64] = ACTIONS(1494),
    [anon_sym_bool] = ACTIONS(1494),
    [anon_sym_rune] = ACTIONS(1494),
    [anon_sym_map] = ACTIONS(1494),
    [anon_sym_mapnode] = ACTIONS(1494),
    [anon_sym_size_t] = ACTIONS(1494),
    [anon_sym_usize] = ACTIONS(1494),
    [anon_sym_isize] = ACTIONS(1494),
    [anon_sym_float_literal] = ACTIONS(1494),
    [anon_sym_int_literal] = ACTIONS(1494),
    [anon_sym_IError] = ACTIONS(1494),
    [sym_type_placeholder] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym_type_identifier] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_defer] = ACTIONS(1494),
    [anon_sym_unsafe] = ACTIONS(1494),
    [anon_sym_pub] = ACTIONS(1494),
    [anon_sym_fn] = ACTIONS(1494),
    [anon_sym___global] = ACTIONS(1494),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_asm] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_continue] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_go] = ACTIONS(1494),
    [anon_sym_spawn] = ACTIONS(1494),
    [anon_sym_goto] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_DOLLARfor] = ACTIONS(1492),
    [anon_sym_DOLLARif] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_is] = ACTIONS(1494),
    [anon_sym_BANGis] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1494),
    [anon_sym_union] = ACTIONS(1494),
    [anon_sym_enum] = ACTIONS(1494),
    [anon_sym_interface] = ACTIONS(1494),
    [anon_sym_POUND] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_import] = ACTIONS(1494),
    [anon_sym_match] = ACTIONS(1494),
    [anon_sym_select] = ACTIONS(1494),
    [anon_sym_lock] = ACTIONS(1494),
    [anon_sym_rlock] = ACTIONS(1494),
    [sym__automatic_separator] = ACTIONS(1492),
    [sym__c_string_opening] = ACTIONS(1492),
    [sym__raw_string_opening] = ACTIONS(1492),
    [sym__string_opening] = ACTIONS(1492),
    [sym__comment] = ACTIONS(3),
  },
  [1092] = {
    [sym_comment] = STATE(1092),
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_CARET] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_LT_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(1282),
    [anon_sym_PERCENT] = ACTIONS(1282),
    [anon_sym_LT_LT] = ACTIONS(1282),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_GT_GT_GT] = ACTIONS(1282),
    [anon_sym_AMP_CARET] = ACTIONS(1282),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1282),
    [anon_sym_BANG_EQ] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_BANGin] = ACTIONS(1282),
    [anon_sym_AMP_AMP] = ACTIONS(1282),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_as] = ACTIONS(1284),
    [anon_sym_COMMA] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym_none] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_map_LBRACK] = ACTIONS(1282),
    [anon_sym_chan] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_thread] = ACTIONS(1284),
    [sym_int_literal] = ACTIONS(1284),
    [sym_float_literal] = ACTIONS(1282),
    [sym_rune_literal] = ACTIONS(1282),
    [anon_sym_DOT] = ACTIONS(1284),
    [anon_sym_array] = ACTIONS(1284),
    [anon_sym_string] = ACTIONS(1284),
    [anon_sym_char] = ACTIONS(1284),
    [anon_sym_sql] = ACTIONS(1284),
    [anon_sym_mut] = ACTIONS(1284),
    [anon_sym_C] = ACTIONS(1284),
    [anon_sym_JS] = ACTIONS(1284),
    [anon_sym_voidptr] = ACTIONS(1284),
    [anon_sym_byteptr] = ACTIONS(1284),
    [anon_sym_charptr] = ACTIONS(1284),
    [anon_sym_i8] = ACTIONS(1284),
    [anon_sym_i16] = ACTIONS(1284),
    [anon_sym_i32] = ACTIONS(1284),
    [anon_sym_int] = ACTIONS(1284),
    [anon_sym_i64] = ACTIONS(1284),
    [anon_sym_byte] = ACTIONS(1284),
    [anon_sym_u8] = ACTIONS(1284),
    [anon_sym_u16] = ACTIONS(1284),
    [anon_sym_u32] = ACTIONS(1284),
    [anon_sym_u64] = ACTIONS(1284),
    [anon_sym_f32] = ACTIONS(1284),
    [anon_sym_f64] = ACTIONS(1284),
    [anon_sym_bool] = ACTIONS(1284),
    [anon_sym_rune] = ACTIONS(1284),
    [anon_sym_map] = ACTIONS(1284),
    [anon_sym_mapnode] = ACTIONS(1284),
    [anon_sym_size_t] = ACTIONS(1284),
    [anon_sym_usize] = ACTIONS(1284),
    [anon_sym_isize] = ACTIONS(1284),
    [anon_sym_float_literal] = ACTIONS(1284),
    [anon_sym_int_literal] = ACTIONS(1284),
    [anon_sym_IError] = ACTIONS(1284),
    [sym_type_placeholder] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [sym_type_identifier] = ACTIONS(1284),
    [anon_sym_assert] = ACTIONS(1284),
    [anon_sym_defer] = ACTIONS(1284),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_pub] = ACTIONS(1284),
    [anon_sym_fn] = ACTIONS(1284),
    [anon_sym___global] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_type] = ACTIONS(1284),
    [anon_sym_go] = ACTIONS(1284),
    [anon_sym_spawn] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_DOLLARfor] = ACTIONS(1282),
    [anon_sym_DOLLARif] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_is] = ACTIONS(1284),
    [anon_sym_BANGis] = ACTIONS(1282),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_interface] = ACTIONS(1284),
    [anon_sym_POUND] = ACTIONS(1282),
    [anon_sym_module] = ACTIONS(1284),
    [anon_sym_import] = ACTIONS(1284),
    [anon_sym_match] = ACTIONS(1284),
    [anon_sym_select] = ACTIONS(1284),
    [anon_sym_lock] = ACTIONS(1284),
    [anon_sym_rlock] = ACTIONS(1284),
    [sym__automatic_separator] = ACTIONS(1282),
    [sym__c_string_opening] = ACTIONS(1282),
    [sym__raw_string_opening] = ACTIONS(1282),
    [sym__string_opening] = ACTIONS(1282),
    [sym__comment] = ACTIONS(3),
  },
  [1093] = {
    [sym_comment] = STATE(1093),
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_LT_LT] = ACTIONS(1482),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1482),
    [anon_sym_AMP_CARET] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_BANGin] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_as] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [sym_none] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_map_LBRACK] = ACTIONS(1482),
    [anon_sym_chan] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_thread] = ACTIONS(1484),
    [sym_int_literal] = ACTIONS(1484),
    [sym_float_literal] = ACTIONS(1482),
    [sym_rune_literal] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_array] = ACTIONS(1484),
    [anon_sym_string] = ACTIONS(1484),
    [anon_sym_char] = ACTIONS(1484),
    [anon_sym_sql] = ACTIONS(1484),
    [anon_sym_mut] = ACTIONS(1484),
    [anon_sym_C] = ACTIONS(1484),
    [anon_sym_JS] = ACTIONS(1484),
    [anon_sym_voidptr] = ACTIONS(1484),
    [anon_sym_byteptr] = ACTIONS(1484),
    [anon_sym_charptr] = ACTIONS(1484),
    [anon_sym_i8] = ACTIONS(1484),
    [anon_sym_i16] = ACTIONS(1484),
    [anon_sym_i32] = ACTIONS(1484),
    [anon_sym_int] = ACTIONS(1484),
    [anon_sym_i64] = ACTIONS(1484),
    [anon_sym_byte] = ACTIONS(1484),
    [anon_sym_u8] = ACTIONS(1484),
    [anon_sym_u16] = ACTIONS(1484),
    [anon_sym_u32] = ACTIONS(1484),
    [anon_sym_u64] = ACTIONS(1484),
    [anon_sym_f32] = ACTIONS(1484),
    [anon_sym_f64] = ACTIONS(1484),
    [anon_sym_bool] = ACTIONS(1484),
    [anon_sym_rune] = ACTIONS(1484),
    [anon_sym_map] = ACTIONS(1484),
    [anon_sym_mapnode] = ACTIONS(1484),
    [anon_sym_size_t] = ACTIONS(1484),
    [anon_sym_usize] = ACTIONS(1484),
    [anon_sym_isize] = ACTIONS(1484),
    [anon_sym_float_literal] = ACTIONS(1484),
    [anon_sym_int_literal] = ACTIONS(1484),
    [anon_sym_IError] = ACTIONS(1484),
    [sym_type_placeholder] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym_type_identifier] = ACTIONS(1484),
    [anon_sym_assert] = ACTIONS(1484),
    [anon_sym_defer] = ACTIONS(1484),
    [anon_sym_unsafe] = ACTIONS(1484),
    [anon_sym_pub] = ACTIONS(1484),
    [anon_sym_fn] = ACTIONS(1484),
    [anon_sym___global] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_type] = ACTIONS(1484),
    [anon_sym_go] = ACTIONS(1484),
    [anon_sym_spawn] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_DOLLARfor] = ACTIONS(1482),
    [anon_sym_DOLLARif] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1484),
    [anon_sym_BANGis] = ACTIONS(1482),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_interface] = ACTIONS(1484),
    [anon_sym_POUND] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1484),
    [anon_sym_import] = ACTIONS(1484),
    [anon_sym_match] = ACTIONS(1484),
    [anon_sym_select] = ACTIONS(1484),
    [anon_sym_lock] = ACTIONS(1484),
    [anon_sym_rlock] = ACTIONS(1484),
    [sym__automatic_separator] = ACTIONS(1482),
    [sym__c_string_opening] = ACTIONS(1482),
    [sym__raw_string_opening] = ACTIONS(1482),
    [sym__string_opening] = ACTIONS(1482),
    [sym__comment] = ACTIONS(3),
  },
  [1094] = {
    [sym_comment] = STATE(1094),
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_CARET] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_LT_DASH] = ACTIONS(1286),
    [anon_sym_SLASH] = ACTIONS(1286),
    [anon_sym_PERCENT] = ACTIONS(1286),
    [anon_sym_LT_LT] = ACTIONS(1286),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_GT_GT_GT] = ACTIONS(1286),
    [anon_sym_AMP_CARET] = ACTIONS(1286),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1286),
    [anon_sym_BANG_EQ] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_BANGin] = ACTIONS(1286),
    [anon_sym_AMP_AMP] = ACTIONS(1286),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_as] = ACTIONS(1288),
    [anon_sym_COMMA] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym_none] = ACTIONS(1288),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_map_LBRACK] = ACTIONS(1286),
    [anon_sym_chan] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_thread] = ACTIONS(1288),
    [sym_int_literal] = ACTIONS(1288),
    [sym_float_literal] = ACTIONS(1286),
    [sym_rune_literal] = ACTIONS(1286),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_array] = ACTIONS(1288),
    [anon_sym_string] = ACTIONS(1288),
    [anon_sym_char] = ACTIONS(1288),
    [anon_sym_sql] = ACTIONS(1288),
    [anon_sym_mut] = ACTIONS(1288),
    [anon_sym_C] = ACTIONS(1288),
    [anon_sym_JS] = ACTIONS(1288),
    [anon_sym_voidptr] = ACTIONS(1288),
    [anon_sym_byteptr] = ACTIONS(1288),
    [anon_sym_charptr] = ACTIONS(1288),
    [anon_sym_i8] = ACTIONS(1288),
    [anon_sym_i16] = ACTIONS(1288),
    [anon_sym_i32] = ACTIONS(1288),
    [anon_sym_int] = ACTIONS(1288),
    [anon_sym_i64] = ACTIONS(1288),
    [anon_sym_byte] = ACTIONS(1288),
    [anon_sym_u8] = ACTIONS(1288),
    [anon_sym_u16] = ACTIONS(1288),
    [anon_sym_u32] = ACTIONS(1288),
    [anon_sym_u64] = ACTIONS(1288),
    [anon_sym_f32] = ACTIONS(1288),
    [anon_sym_f64] = ACTIONS(1288),
    [anon_sym_bool] = ACTIONS(1288),
    [anon_sym_rune] = ACTIONS(1288),
    [anon_sym_map] = ACTIONS(1288),
    [anon_sym_mapnode] = ACTIONS(1288),
    [anon_sym_size_t] = ACTIONS(1288),
    [anon_sym_usize] = ACTIONS(1288),
    [anon_sym_isize] = ACTIONS(1288),
    [anon_sym_float_literal] = ACTIONS(1288),
    [anon_sym_int_literal] = ACTIONS(1288),
    [anon_sym_IError] = ACTIONS(1288),
    [sym_type_placeholder] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [sym_type_identifier] = ACTIONS(1288),
    [anon_sym_assert] = ACTIONS(1288),
    [anon_sym_defer] = ACTIONS(1288),
    [anon_sym_unsafe] = ACTIONS(1288),
    [anon_sym_pub] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1288),
    [anon_sym___global] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_type] = ACTIONS(1288),
    [anon_sym_go] = ACTIONS(1288),
    [anon_sym_spawn] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_DOLLARfor] = ACTIONS(1286),
    [anon_sym_DOLLARif] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_is] = ACTIONS(1288),
    [anon_sym_BANGis] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_interface] = ACTIONS(1288),
    [anon_sym_POUND] = ACTIONS(1286),
    [anon_sym_module] = ACTIONS(1288),
    [anon_sym_import] = ACTIONS(1288),
    [anon_sym_match] = ACTIONS(1288),
    [anon_sym_select] = ACTIONS(1288),
    [anon_sym_lock] = ACTIONS(1288),
    [anon_sym_rlock] = ACTIONS(1288),
    [sym__automatic_separator] = ACTIONS(1286),
    [sym__c_string_opening] = ACTIONS(1286),
    [sym__raw_string_opening] = ACTIONS(1286),
    [sym__string_opening] = ACTIONS(1286),
    [sym__comment] = ACTIONS(3),
  },
  [1095] = {
    [sym_comment] = STATE(1095),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_pub] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym___global] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_type] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1096] = {
    [sym_comment] = STATE(1096),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(3250),
    [anon_sym_BANGis] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1097] = {
    [sym_comment] = STATE(1097),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PERCENT] = ACTIONS(1468),
    [anon_sym_LT_LT] = ACTIONS(1468),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_GT_GT_GT] = ACTIONS(1468),
    [anon_sym_AMP_CARET] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_in] = ACTIONS(1470),
    [anon_sym_BANGin] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_as] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [sym_none] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_map_LBRACK] = ACTIONS(1468),
    [anon_sym_chan] = ACTIONS(1470),
    [anon_sym_shared] = ACTIONS(1470),
    [anon_sym_thread] = ACTIONS(1470),
    [sym_int_literal] = ACTIONS(1470),
    [sym_float_literal] = ACTIONS(1468),
    [sym_rune_literal] = ACTIONS(1468),
    [anon_sym_DOT] = ACTIONS(1470),
    [anon_sym_array] = ACTIONS(1470),
    [anon_sym_string] = ACTIONS(1470),
    [anon_sym_char] = ACTIONS(1470),
    [anon_sym_sql] = ACTIONS(1470),
    [anon_sym_mut] = ACTIONS(1470),
    [anon_sym_C] = ACTIONS(1470),
    [anon_sym_JS] = ACTIONS(1470),
    [anon_sym_voidptr] = ACTIONS(1470),
    [anon_sym_byteptr] = ACTIONS(1470),
    [anon_sym_charptr] = ACTIONS(1470),
    [anon_sym_i8] = ACTIONS(1470),
    [anon_sym_i16] = ACTIONS(1470),
    [anon_sym_i32] = ACTIONS(1470),
    [anon_sym_int] = ACTIONS(1470),
    [anon_sym_i64] = ACTIONS(1470),
    [anon_sym_byte] = ACTIONS(1470),
    [anon_sym_u8] = ACTIONS(1470),
    [anon_sym_u16] = ACTIONS(1470),
    [anon_sym_u32] = ACTIONS(1470),
    [anon_sym_u64] = ACTIONS(1470),
    [anon_sym_f32] = ACTIONS(1470),
    [anon_sym_f64] = ACTIONS(1470),
    [anon_sym_bool] = ACTIONS(1470),
    [anon_sym_rune] = ACTIONS(1470),
    [anon_sym_map] = ACTIONS(1470),
    [anon_sym_mapnode] = ACTIONS(1470),
    [anon_sym_size_t] = ACTIONS(1470),
    [anon_sym_usize] = ACTIONS(1470),
    [anon_sym_isize] = ACTIONS(1470),
    [anon_sym_float_literal] = ACTIONS(1470),
    [anon_sym_int_literal] = ACTIONS(1470),
    [anon_sym_IError] = ACTIONS(1470),
    [sym_type_placeholder] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym_type_identifier] = ACTIONS(1470),
    [anon_sym_assert] = ACTIONS(1470),
    [anon_sym_defer] = ACTIONS(1470),
    [anon_sym_unsafe] = ACTIONS(1470),
    [anon_sym_pub] = ACTIONS(1470),
    [anon_sym_fn] = ACTIONS(1470),
    [anon_sym___global] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_type] = ACTIONS(1470),
    [anon_sym_go] = ACTIONS(1470),
    [anon_sym_spawn] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_DOLLARfor] = ACTIONS(1468),
    [anon_sym_DOLLARif] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_is] = ACTIONS(1470),
    [anon_sym_BANGis] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1470),
    [anon_sym_union] = ACTIONS(1470),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_interface] = ACTIONS(1470),
    [anon_sym_POUND] = ACTIONS(1468),
    [anon_sym_module] = ACTIONS(1470),
    [anon_sym_import] = ACTIONS(1470),
    [anon_sym_match] = ACTIONS(1470),
    [anon_sym_select] = ACTIONS(1470),
    [anon_sym_lock] = ACTIONS(1470),
    [anon_sym_rlock] = ACTIONS(1470),
    [sym__automatic_separator] = ACTIONS(1468),
    [sym__c_string_opening] = ACTIONS(1468),
    [sym__raw_string_opening] = ACTIONS(1468),
    [sym__string_opening] = ACTIONS(1468),
    [sym__comment] = ACTIONS(3),
  },
  [1098] = {
    [sym_comment] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_pub] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym___global] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_type] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_interface] = ACTIONS(1198),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_module] = ACTIONS(1198),
    [anon_sym_import] = ACTIONS(1198),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1099] = {
    [sym_comment] = STATE(1099),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_PERCENT] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1100] = {
    [sym_comment] = STATE(1100),
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_pub] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym___global] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(3262),
    [anon_sym_BANGis] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1101] = {
    [sym_comment] = STATE(1101),
    [ts_builtin_sym_end] = ACTIONS(3316),
    [sym_identifier] = ACTIONS(3318),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_LT_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_GT_GT_GT] = ACTIONS(3272),
    [anon_sym_AMP_CARET] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_EQ_EQ] = ACTIONS(3278),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_in] = ACTIONS(3280),
    [anon_sym_BANGin] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3316),
    [anon_sym_DOLLAR] = ACTIONS(3318),
    [sym_none] = ACTIONS(3318),
    [sym_true] = ACTIONS(3318),
    [sym_false] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(3316),
    [anon_sym_chan] = ACTIONS(3318),
    [anon_sym_shared] = ACTIONS(3318),
    [anon_sym_thread] = ACTIONS(3318),
    [sym_int_literal] = ACTIONS(3318),
    [sym_float_literal] = ACTIONS(3316),
    [sym_rune_literal] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(3318),
    [anon_sym_string] = ACTIONS(3318),
    [anon_sym_char] = ACTIONS(3318),
    [anon_sym_sql] = ACTIONS(3318),
    [anon_sym_mut] = ACTIONS(3318),
    [anon_sym_C] = ACTIONS(3318),
    [anon_sym_JS] = ACTIONS(3318),
    [anon_sym_voidptr] = ACTIONS(3318),
    [anon_sym_byteptr] = ACTIONS(3318),
    [anon_sym_charptr] = ACTIONS(3318),
    [anon_sym_i8] = ACTIONS(3318),
    [anon_sym_i16] = ACTIONS(3318),
    [anon_sym_i32] = ACTIONS(3318),
    [anon_sym_int] = ACTIONS(3318),
    [anon_sym_i64] = ACTIONS(3318),
    [anon_sym_byte] = ACTIONS(3318),
    [anon_sym_u8] = ACTIONS(3318),
    [anon_sym_u16] = ACTIONS(3318),
    [anon_sym_u32] = ACTIONS(3318),
    [anon_sym_u64] = ACTIONS(3318),
    [anon_sym_f32] = ACTIONS(3318),
    [anon_sym_f64] = ACTIONS(3318),
    [anon_sym_bool] = ACTIONS(3318),
    [anon_sym_rune] = ACTIONS(3318),
    [anon_sym_map] = ACTIONS(3318),
    [anon_sym_mapnode] = ACTIONS(3318),
    [anon_sym_size_t] = ACTIONS(3318),
    [anon_sym_usize] = ACTIONS(3318),
    [anon_sym_isize] = ACTIONS(3318),
    [anon_sym_float_literal] = ACTIONS(3318),
    [anon_sym_int_literal] = ACTIONS(3318),
    [anon_sym_IError] = ACTIONS(3318),
    [sym_type_placeholder] = ACTIONS(3318),
    [anon_sym_AT] = ACTIONS(3318),
    [sym_type_identifier] = ACTIONS(3318),
    [anon_sym_assert] = ACTIONS(3318),
    [anon_sym_defer] = ACTIONS(3318),
    [anon_sym_unsafe] = ACTIONS(3318),
    [anon_sym_pub] = ACTIONS(3318),
    [anon_sym_fn] = ACTIONS(3318),
    [anon_sym___global] = ACTIONS(3318),
    [anon_sym_const] = ACTIONS(3318),
    [anon_sym_asm] = ACTIONS(3318),
    [anon_sym_break] = ACTIONS(3318),
    [anon_sym_continue] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(3318),
    [anon_sym_type] = ACTIONS(3318),
    [anon_sym_go] = ACTIONS(3318),
    [anon_sym_spawn] = ACTIONS(3318),
    [anon_sym_goto] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(3318),
    [anon_sym_DOLLARfor] = ACTIONS(3316),
    [anon_sym_DOLLARif] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3318),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3318),
    [anon_sym_union] = ACTIONS(3318),
    [anon_sym_enum] = ACTIONS(3318),
    [anon_sym_interface] = ACTIONS(3318),
    [anon_sym_POUND] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3318),
    [anon_sym_import] = ACTIONS(3318),
    [anon_sym_match] = ACTIONS(3318),
    [anon_sym_select] = ACTIONS(3318),
    [anon_sym_lock] = ACTIONS(3318),
    [anon_sym_rlock] = ACTIONS(3318),
    [sym__automatic_separator] = ACTIONS(3316),
    [sym__c_string_opening] = ACTIONS(3316),
    [sym__raw_string_opening] = ACTIONS(3316),
    [sym__string_opening] = ACTIONS(3316),
    [sym__comment] = ACTIONS(3),
  },
  [1102] = {
    [sym_comment] = STATE(1102),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PERCENT] = ACTIONS(1464),
    [anon_sym_LT_LT] = ACTIONS(1464),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1464),
    [anon_sym_AMP_CARET] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_BANGin] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [sym_none] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_map_LBRACK] = ACTIONS(1464),
    [anon_sym_chan] = ACTIONS(1466),
    [anon_sym_shared] = ACTIONS(1466),
    [anon_sym_thread] = ACTIONS(1466),
    [sym_int_literal] = ACTIONS(1466),
    [sym_float_literal] = ACTIONS(1464),
    [sym_rune_literal] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_array] = ACTIONS(1466),
    [anon_sym_string] = ACTIONS(1466),
    [anon_sym_char] = ACTIONS(1466),
    [anon_sym_sql] = ACTIONS(1466),
    [anon_sym_mut] = ACTIONS(1466),
    [anon_sym_C] = ACTIONS(1466),
    [anon_sym_JS] = ACTIONS(1466),
    [anon_sym_voidptr] = ACTIONS(1466),
    [anon_sym_byteptr] = ACTIONS(1466),
    [anon_sym_charptr] = ACTIONS(1466),
    [anon_sym_i8] = ACTIONS(1466),
    [anon_sym_i16] = ACTIONS(1466),
    [anon_sym_i32] = ACTIONS(1466),
    [anon_sym_int] = ACTIONS(1466),
    [anon_sym_i64] = ACTIONS(1466),
    [anon_sym_byte] = ACTIONS(1466),
    [anon_sym_u8] = ACTIONS(1466),
    [anon_sym_u16] = ACTIONS(1466),
    [anon_sym_u32] = ACTIONS(1466),
    [anon_sym_u64] = ACTIONS(1466),
    [anon_sym_f32] = ACTIONS(1466),
    [anon_sym_f64] = ACTIONS(1466),
    [anon_sym_bool] = ACTIONS(1466),
    [anon_sym_rune] = ACTIONS(1466),
    [anon_sym_map] = ACTIONS(1466),
    [anon_sym_mapnode] = ACTIONS(1466),
    [anon_sym_size_t] = ACTIONS(1466),
    [anon_sym_usize] = ACTIONS(1466),
    [anon_sym_isize] = ACTIONS(1466),
    [anon_sym_float_literal] = ACTIONS(1466),
    [anon_sym_int_literal] = ACTIONS(1466),
    [anon_sym_IError] = ACTIONS(1466),
    [sym_type_placeholder] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym_type_identifier] = ACTIONS(1466),
    [anon_sym_assert] = ACTIONS(1466),
    [anon_sym_defer] = ACTIONS(1466),
    [anon_sym_unsafe] = ACTIONS(1466),
    [anon_sym_pub] = ACTIONS(1466),
    [anon_sym_fn] = ACTIONS(1466),
    [anon_sym___global] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_type] = ACTIONS(1466),
    [anon_sym_go] = ACTIONS(1466),
    [anon_sym_spawn] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_DOLLARfor] = ACTIONS(1464),
    [anon_sym_DOLLARif] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_is] = ACTIONS(1466),
    [anon_sym_BANGis] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1466),
    [anon_sym_union] = ACTIONS(1466),
    [anon_sym_enum] = ACTIONS(1466),
    [anon_sym_interface] = ACTIONS(1466),
    [anon_sym_POUND] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1466),
    [anon_sym_import] = ACTIONS(1466),
    [anon_sym_match] = ACTIONS(1466),
    [anon_sym_select] = ACTIONS(1466),
    [anon_sym_lock] = ACTIONS(1466),
    [anon_sym_rlock] = ACTIONS(1466),
    [sym__automatic_separator] = ACTIONS(1464),
    [sym__c_string_opening] = ACTIONS(1464),
    [sym__raw_string_opening] = ACTIONS(1464),
    [sym__string_opening] = ACTIONS(1464),
    [sym__comment] = ACTIONS(3),
  },
  [1103] = {
    [sym_comment] = STATE(1103),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_LT_LT] = ACTIONS(1456),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_GT_GT_GT] = ACTIONS(1456),
    [anon_sym_AMP_CARET] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1458),
    [anon_sym_BANGin] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_as] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [sym_none] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_map_LBRACK] = ACTIONS(1456),
    [anon_sym_chan] = ACTIONS(1458),
    [anon_sym_shared] = ACTIONS(1458),
    [anon_sym_thread] = ACTIONS(1458),
    [sym_int_literal] = ACTIONS(1458),
    [sym_float_literal] = ACTIONS(1456),
    [sym_rune_literal] = ACTIONS(1456),
    [anon_sym_DOT] = ACTIONS(1458),
    [anon_sym_array] = ACTIONS(1458),
    [anon_sym_string] = ACTIONS(1458),
    [anon_sym_char] = ACTIONS(1458),
    [anon_sym_sql] = ACTIONS(1458),
    [anon_sym_mut] = ACTIONS(1458),
    [anon_sym_C] = ACTIONS(1458),
    [anon_sym_JS] = ACTIONS(1458),
    [anon_sym_voidptr] = ACTIONS(1458),
    [anon_sym_byteptr] = ACTIONS(1458),
    [anon_sym_charptr] = ACTIONS(1458),
    [anon_sym_i8] = ACTIONS(1458),
    [anon_sym_i16] = ACTIONS(1458),
    [anon_sym_i32] = ACTIONS(1458),
    [anon_sym_int] = ACTIONS(1458),
    [anon_sym_i64] = ACTIONS(1458),
    [anon_sym_byte] = ACTIONS(1458),
    [anon_sym_u8] = ACTIONS(1458),
    [anon_sym_u16] = ACTIONS(1458),
    [anon_sym_u32] = ACTIONS(1458),
    [anon_sym_u64] = ACTIONS(1458),
    [anon_sym_f32] = ACTIONS(1458),
    [anon_sym_f64] = ACTIONS(1458),
    [anon_sym_bool] = ACTIONS(1458),
    [anon_sym_rune] = ACTIONS(1458),
    [anon_sym_map] = ACTIONS(1458),
    [anon_sym_mapnode] = ACTIONS(1458),
    [anon_sym_size_t] = ACTIONS(1458),
    [anon_sym_usize] = ACTIONS(1458),
    [anon_sym_isize] = ACTIONS(1458),
    [anon_sym_float_literal] = ACTIONS(1458),
    [anon_sym_int_literal] = ACTIONS(1458),
    [anon_sym_IError] = ACTIONS(1458),
    [sym_type_placeholder] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [sym_type_identifier] = ACTIONS(1458),
    [anon_sym_assert] = ACTIONS(1458),
    [anon_sym_defer] = ACTIONS(1458),
    [anon_sym_unsafe] = ACTIONS(1458),
    [anon_sym_pub] = ACTIONS(1458),
    [anon_sym_fn] = ACTIONS(1458),
    [anon_sym___global] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_type] = ACTIONS(1458),
    [anon_sym_go] = ACTIONS(1458),
    [anon_sym_spawn] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_DOLLARfor] = ACTIONS(1456),
    [anon_sym_DOLLARif] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1458),
    [anon_sym_BANGis] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1458),
    [anon_sym_union] = ACTIONS(1458),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_interface] = ACTIONS(1458),
    [anon_sym_POUND] = ACTIONS(1456),
    [anon_sym_module] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(1458),
    [anon_sym_match] = ACTIONS(1458),
    [anon_sym_select] = ACTIONS(1458),
    [anon_sym_lock] = ACTIONS(1458),
    [anon_sym_rlock] = ACTIONS(1458),
    [sym__automatic_separator] = ACTIONS(1456),
    [sym__c_string_opening] = ACTIONS(1456),
    [sym__raw_string_opening] = ACTIONS(1456),
    [sym__string_opening] = ACTIONS(1456),
    [sym__comment] = ACTIONS(3),
  },
  [1104] = {
    [sym_comment] = STATE(1104),
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_CARET] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_LT_DASH] = ACTIONS(1278),
    [anon_sym_SLASH] = ACTIONS(1278),
    [anon_sym_PERCENT] = ACTIONS(1278),
    [anon_sym_LT_LT] = ACTIONS(1278),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_GT_GT_GT] = ACTIONS(1278),
    [anon_sym_AMP_CARET] = ACTIONS(1278),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1278),
    [anon_sym_BANG_EQ] = ACTIONS(1278),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_BANGin] = ACTIONS(1278),
    [anon_sym_AMP_AMP] = ACTIONS(1278),
    [anon_sym_PIPE_PIPE] = ACTIONS(1278),
    [anon_sym_as] = ACTIONS(1280),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym_none] = ACTIONS(1280),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_map_LBRACK] = ACTIONS(1278),
    [anon_sym_chan] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_thread] = ACTIONS(1280),
    [sym_int_literal] = ACTIONS(1280),
    [sym_float_literal] = ACTIONS(1278),
    [sym_rune_literal] = ACTIONS(1278),
    [anon_sym_DOT] = ACTIONS(1280),
    [anon_sym_array] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_char] = ACTIONS(1280),
    [anon_sym_sql] = ACTIONS(1280),
    [anon_sym_mut] = ACTIONS(1280),
    [anon_sym_C] = ACTIONS(1280),
    [anon_sym_JS] = ACTIONS(1280),
    [anon_sym_voidptr] = ACTIONS(1280),
    [anon_sym_byteptr] = ACTIONS(1280),
    [anon_sym_charptr] = ACTIONS(1280),
    [anon_sym_i8] = ACTIONS(1280),
    [anon_sym_i16] = ACTIONS(1280),
    [anon_sym_i32] = ACTIONS(1280),
    [anon_sym_int] = ACTIONS(1280),
    [anon_sym_i64] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_u8] = ACTIONS(1280),
    [anon_sym_u16] = ACTIONS(1280),
    [anon_sym_u32] = ACTIONS(1280),
    [anon_sym_u64] = ACTIONS(1280),
    [anon_sym_f32] = ACTIONS(1280),
    [anon_sym_f64] = ACTIONS(1280),
    [anon_sym_bool] = ACTIONS(1280),
    [anon_sym_rune] = ACTIONS(1280),
    [anon_sym_map] = ACTIONS(1280),
    [anon_sym_mapnode] = ACTIONS(1280),
    [anon_sym_size_t] = ACTIONS(1280),
    [anon_sym_usize] = ACTIONS(1280),
    [anon_sym_isize] = ACTIONS(1280),
    [anon_sym_float_literal] = ACTIONS(1280),
    [anon_sym_int_literal] = ACTIONS(1280),
    [anon_sym_IError] = ACTIONS(1280),
    [sym_type_placeholder] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [sym_type_identifier] = ACTIONS(1280),
    [anon_sym_assert] = ACTIONS(1280),
    [anon_sym_defer] = ACTIONS(1280),
    [anon_sym_unsafe] = ACTIONS(1280),
    [anon_sym_pub] = ACTIONS(1280),
    [anon_sym_fn] = ACTIONS(1280),
    [anon_sym___global] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_go] = ACTIONS(1280),
    [anon_sym_spawn] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_DOLLARfor] = ACTIONS(1278),
    [anon_sym_DOLLARif] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_is] = ACTIONS(1280),
    [anon_sym_BANGis] = ACTIONS(1278),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_interface] = ACTIONS(1280),
    [anon_sym_POUND] = ACTIONS(1278),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_import] = ACTIONS(1280),
    [anon_sym_match] = ACTIONS(1280),
    [anon_sym_select] = ACTIONS(1280),
    [anon_sym_lock] = ACTIONS(1280),
    [anon_sym_rlock] = ACTIONS(1280),
    [sym__automatic_separator] = ACTIONS(1278),
    [sym__c_string_opening] = ACTIONS(1278),
    [sym__raw_string_opening] = ACTIONS(1278),
    [sym__string_opening] = ACTIONS(1278),
    [sym__comment] = ACTIONS(3),
  },
  [1105] = {
    [sym_comment] = STATE(1105),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_PERCENT] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1476),
    [anon_sym_GT_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_BANGin] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_as] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [sym_none] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_map_LBRACK] = ACTIONS(1474),
    [anon_sym_chan] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_thread] = ACTIONS(1476),
    [sym_int_literal] = ACTIONS(1476),
    [sym_float_literal] = ACTIONS(1474),
    [sym_rune_literal] = ACTIONS(1474),
    [anon_sym_DOT] = ACTIONS(1476),
    [anon_sym_array] = ACTIONS(1476),
    [anon_sym_string] = ACTIONS(1476),
    [anon_sym_char] = ACTIONS(1476),
    [anon_sym_sql] = ACTIONS(1476),
    [anon_sym_mut] = ACTIONS(1476),
    [anon_sym_C] = ACTIONS(1476),
    [anon_sym_JS] = ACTIONS(1476),
    [anon_sym_voidptr] = ACTIONS(1476),
    [anon_sym_byteptr] = ACTIONS(1476),
    [anon_sym_charptr] = ACTIONS(1476),
    [anon_sym_i8] = ACTIONS(1476),
    [anon_sym_i16] = ACTIONS(1476),
    [anon_sym_i32] = ACTIONS(1476),
    [anon_sym_int] = ACTIONS(1476),
    [anon_sym_i64] = ACTIONS(1476),
    [anon_sym_byte] = ACTIONS(1476),
    [anon_sym_u8] = ACTIONS(1476),
    [anon_sym_u16] = ACTIONS(1476),
    [anon_sym_u32] = ACTIONS(1476),
    [anon_sym_u64] = ACTIONS(1476),
    [anon_sym_f32] = ACTIONS(1476),
    [anon_sym_f64] = ACTIONS(1476),
    [anon_sym_bool] = ACTIONS(1476),
    [anon_sym_rune] = ACTIONS(1476),
    [anon_sym_map] = ACTIONS(1476),
    [anon_sym_mapnode] = ACTIONS(1476),
    [anon_sym_size_t] = ACTIONS(1476),
    [anon_sym_usize] = ACTIONS(1476),
    [anon_sym_isize] = ACTIONS(1476),
    [anon_sym_float_literal] = ACTIONS(1476),
    [anon_sym_int_literal] = ACTIONS(1476),
    [anon_sym_IError] = ACTIONS(1476),
    [sym_type_placeholder] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym_type_identifier] = ACTIONS(1476),
    [anon_sym_assert] = ACTIONS(1476),
    [anon_sym_defer] = ACTIONS(1476),
    [anon_sym_unsafe] = ACTIONS(1476),
    [anon_sym_pub] = ACTIONS(1476),
    [anon_sym_fn] = ACTIONS(1476),
    [anon_sym___global] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_type] = ACTIONS(1476),
    [anon_sym_go] = ACTIONS(1476),
    [anon_sym_spawn] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_DOLLARfor] = ACTIONS(1474),
    [anon_sym_DOLLARif] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_is] = ACTIONS(1476),
    [anon_sym_BANGis] = ACTIONS(1474),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_interface] = ACTIONS(1476),
    [anon_sym_POUND] = ACTIONS(1474),
    [anon_sym_module] = ACTIONS(1476),
    [anon_sym_import] = ACTIONS(1476),
    [anon_sym_match] = ACTIONS(1476),
    [anon_sym_select] = ACTIONS(1476),
    [anon_sym_lock] = ACTIONS(1476),
    [anon_sym_rlock] = ACTIONS(1476),
    [sym__automatic_separator] = ACTIONS(1474),
    [sym__c_string_opening] = ACTIONS(1474),
    [sym__raw_string_opening] = ACTIONS(1474),
    [sym__string_opening] = ACTIONS(1474),
    [sym__comment] = ACTIONS(3),
  },
  [1106] = {
    [sym_comment] = STATE(1106),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_LT_DASH] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_AMP_CARET] = ACTIONS(1294),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_BANGin] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [sym_none] = ACTIONS(1296),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_map_LBRACK] = ACTIONS(1294),
    [anon_sym_chan] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_thread] = ACTIONS(1296),
    [sym_int_literal] = ACTIONS(1296),
    [sym_float_literal] = ACTIONS(1294),
    [sym_rune_literal] = ACTIONS(1294),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_array] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_char] = ACTIONS(1296),
    [anon_sym_sql] = ACTIONS(1296),
    [anon_sym_mut] = ACTIONS(1296),
    [anon_sym_C] = ACTIONS(1296),
    [anon_sym_JS] = ACTIONS(1296),
    [anon_sym_voidptr] = ACTIONS(1296),
    [anon_sym_byteptr] = ACTIONS(1296),
    [anon_sym_charptr] = ACTIONS(1296),
    [anon_sym_i8] = ACTIONS(1296),
    [anon_sym_i16] = ACTIONS(1296),
    [anon_sym_i32] = ACTIONS(1296),
    [anon_sym_int] = ACTIONS(1296),
    [anon_sym_i64] = ACTIONS(1296),
    [anon_sym_byte] = ACTIONS(1296),
    [anon_sym_u8] = ACTIONS(1296),
    [anon_sym_u16] = ACTIONS(1296),
    [anon_sym_u32] = ACTIONS(1296),
    [anon_sym_u64] = ACTIONS(1296),
    [anon_sym_f32] = ACTIONS(1296),
    [anon_sym_f64] = ACTIONS(1296),
    [anon_sym_bool] = ACTIONS(1296),
    [anon_sym_rune] = ACTIONS(1296),
    [anon_sym_map] = ACTIONS(1296),
    [anon_sym_mapnode] = ACTIONS(1296),
    [anon_sym_size_t] = ACTIONS(1296),
    [anon_sym_usize] = ACTIONS(1296),
    [anon_sym_isize] = ACTIONS(1296),
    [anon_sym_float_literal] = ACTIONS(1296),
    [anon_sym_int_literal] = ACTIONS(1296),
    [anon_sym_IError] = ACTIONS(1296),
    [sym_type_placeholder] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [sym_type_identifier] = ACTIONS(1296),
    [anon_sym_assert] = ACTIONS(1296),
    [anon_sym_defer] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1296),
    [anon_sym_pub] = ACTIONS(1296),
    [anon_sym_fn] = ACTIONS(1296),
    [anon_sym___global] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_go] = ACTIONS(1296),
    [anon_sym_spawn] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_DOLLARfor] = ACTIONS(1294),
    [anon_sym_DOLLARif] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_is] = ACTIONS(1296),
    [anon_sym_BANGis] = ACTIONS(1294),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_interface] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1294),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_import] = ACTIONS(1296),
    [anon_sym_match] = ACTIONS(1296),
    [anon_sym_select] = ACTIONS(1296),
    [anon_sym_lock] = ACTIONS(1296),
    [anon_sym_rlock] = ACTIONS(1296),
    [sym__automatic_separator] = ACTIONS(1294),
    [sym__c_string_opening] = ACTIONS(1294),
    [sym__raw_string_opening] = ACTIONS(1294),
    [sym__string_opening] = ACTIONS(1294),
    [sym__comment] = ACTIONS(3),
  },
  [1107] = {
    [sym_comment] = STATE(1107),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_identifier] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_CARET] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_LT_DASH] = ACTIONS(1316),
    [anon_sym_SLASH] = ACTIONS(1316),
    [anon_sym_PERCENT] = ACTIONS(1316),
    [anon_sym_LT_LT] = ACTIONS(1316),
    [anon_sym_GT_GT] = ACTIONS(1318),
    [anon_sym_GT_GT_GT] = ACTIONS(1316),
    [anon_sym_AMP_CARET] = ACTIONS(1316),
    [anon_sym_PIPE] = ACTIONS(1318),
    [anon_sym_EQ_EQ] = ACTIONS(1316),
    [anon_sym_BANG_EQ] = ACTIONS(1316),
    [anon_sym_LT] = ACTIONS(1318),
    [anon_sym_LT_EQ] = ACTIONS(1316),
    [anon_sym_GT] = ACTIONS(1318),
    [anon_sym_GT_EQ] = ACTIONS(1316),
    [anon_sym_in] = ACTIONS(1318),
    [anon_sym_BANGin] = ACTIONS(1316),
    [anon_sym_AMP_AMP] = ACTIONS(1316),
    [anon_sym_PIPE_PIPE] = ACTIONS(1316),
    [anon_sym_as] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [sym_none] = ACTIONS(1318),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_map_LBRACK] = ACTIONS(1316),
    [anon_sym_chan] = ACTIONS(1318),
    [anon_sym_shared] = ACTIONS(1318),
    [anon_sym_thread] = ACTIONS(1318),
    [sym_int_literal] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1316),
    [sym_rune_literal] = ACTIONS(1316),
    [anon_sym_DOT] = ACTIONS(1318),
    [anon_sym_array] = ACTIONS(1318),
    [anon_sym_string] = ACTIONS(1318),
    [anon_sym_char] = ACTIONS(1318),
    [anon_sym_sql] = ACTIONS(1318),
    [anon_sym_mut] = ACTIONS(1318),
    [anon_sym_C] = ACTIONS(1318),
    [anon_sym_JS] = ACTIONS(1318),
    [anon_sym_voidptr] = ACTIONS(1318),
    [anon_sym_byteptr] = ACTIONS(1318),
    [anon_sym_charptr] = ACTIONS(1318),
    [anon_sym_i8] = ACTIONS(1318),
    [anon_sym_i16] = ACTIONS(1318),
    [anon_sym_i32] = ACTIONS(1318),
    [anon_sym_int] = ACTIONS(1318),
    [anon_sym_i64] = ACTIONS(1318),
    [anon_sym_byte] = ACTIONS(1318),
    [anon_sym_u8] = ACTIONS(1318),
    [anon_sym_u16] = ACTIONS(1318),
    [anon_sym_u32] = ACTIONS(1318),
    [anon_sym_u64] = ACTIONS(1318),
    [anon_sym_f32] = ACTIONS(1318),
    [anon_sym_f64] = ACTIONS(1318),
    [anon_sym_bool] = ACTIONS(1318),
    [anon_sym_rune] = ACTIONS(1318),
    [anon_sym_map] = ACTIONS(1318),
    [anon_sym_mapnode] = ACTIONS(1318),
    [anon_sym_size_t] = ACTIONS(1318),
    [anon_sym_usize] = ACTIONS(1318),
    [anon_sym_isize] = ACTIONS(1318),
    [anon_sym_float_literal] = ACTIONS(1318),
    [anon_sym_int_literal] = ACTIONS(1318),
    [anon_sym_IError] = ACTIONS(1318),
    [sym_type_placeholder] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [sym_type_identifier] = ACTIONS(1318),
    [anon_sym_assert] = ACTIONS(1318),
    [anon_sym_defer] = ACTIONS(1318),
    [anon_sym_unsafe] = ACTIONS(1318),
    [anon_sym_pub] = ACTIONS(1318),
    [anon_sym_fn] = ACTIONS(1318),
    [anon_sym___global] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_type] = ACTIONS(1318),
    [anon_sym_go] = ACTIONS(1318),
    [anon_sym_spawn] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_DOLLARfor] = ACTIONS(1316),
    [anon_sym_DOLLARif] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_is] = ACTIONS(1318),
    [anon_sym_BANGis] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_interface] = ACTIONS(1318),
    [anon_sym_POUND] = ACTIONS(1316),
    [anon_sym_module] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(1318),
    [anon_sym_match] = ACTIONS(1318),
    [anon_sym_select] = ACTIONS(1318),
    [anon_sym_lock] = ACTIONS(1318),
    [anon_sym_rlock] = ACTIONS(1318),
    [sym__automatic_separator] = ACTIONS(1316),
    [sym__c_string_opening] = ACTIONS(1316),
    [sym__raw_string_opening] = ACTIONS(1316),
    [sym__string_opening] = ACTIONS(1316),
    [sym__comment] = ACTIONS(3),
  },
  [1108] = {
    [sym_comment] = STATE(1108),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_LT_DASH] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_LT_LT] = ACTIONS(1348),
    [anon_sym_GT_GT] = ACTIONS(1350),
    [anon_sym_GT_GT_GT] = ACTIONS(1348),
    [anon_sym_AMP_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1348),
    [anon_sym_BANG_EQ] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1348),
    [anon_sym_in] = ACTIONS(1350),
    [anon_sym_BANGin] = ACTIONS(1348),
    [anon_sym_AMP_AMP] = ACTIONS(1348),
    [anon_sym_PIPE_PIPE] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [sym_none] = ACTIONS(1350),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_map_LBRACK] = ACTIONS(1348),
    [anon_sym_chan] = ACTIONS(1350),
    [anon_sym_shared] = ACTIONS(1350),
    [anon_sym_thread] = ACTIONS(1350),
    [sym_int_literal] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1348),
    [sym_rune_literal] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_array] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_char] = ACTIONS(1350),
    [anon_sym_sql] = ACTIONS(1350),
    [anon_sym_mut] = ACTIONS(1350),
    [anon_sym_C] = ACTIONS(1350),
    [anon_sym_JS] = ACTIONS(1350),
    [anon_sym_voidptr] = ACTIONS(1350),
    [anon_sym_byteptr] = ACTIONS(1350),
    [anon_sym_charptr] = ACTIONS(1350),
    [anon_sym_i8] = ACTIONS(1350),
    [anon_sym_i16] = ACTIONS(1350),
    [anon_sym_i32] = ACTIONS(1350),
    [anon_sym_int] = ACTIONS(1350),
    [anon_sym_i64] = ACTIONS(1350),
    [anon_sym_byte] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1350),
    [anon_sym_u16] = ACTIONS(1350),
    [anon_sym_u32] = ACTIONS(1350),
    [anon_sym_u64] = ACTIONS(1350),
    [anon_sym_f32] = ACTIONS(1350),
    [anon_sym_f64] = ACTIONS(1350),
    [anon_sym_bool] = ACTIONS(1350),
    [anon_sym_rune] = ACTIONS(1350),
    [anon_sym_map] = ACTIONS(1350),
    [anon_sym_mapnode] = ACTIONS(1350),
    [anon_sym_size_t] = ACTIONS(1350),
    [anon_sym_usize] = ACTIONS(1350),
    [anon_sym_isize] = ACTIONS(1350),
    [anon_sym_float_literal] = ACTIONS(1350),
    [anon_sym_int_literal] = ACTIONS(1350),
    [anon_sym_IError] = ACTIONS(1350),
    [sym_type_placeholder] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [sym_type_identifier] = ACTIONS(1350),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_defer] = ACTIONS(1350),
    [anon_sym_unsafe] = ACTIONS(1350),
    [anon_sym_pub] = ACTIONS(1350),
    [anon_sym_fn] = ACTIONS(1350),
    [anon_sym___global] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_go] = ACTIONS(1350),
    [anon_sym_spawn] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_DOLLARfor] = ACTIONS(1348),
    [anon_sym_DOLLARif] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_is] = ACTIONS(1350),
    [anon_sym_BANGis] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_interface] = ACTIONS(1350),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_import] = ACTIONS(1350),
    [anon_sym_match] = ACTIONS(1350),
    [anon_sym_select] = ACTIONS(1350),
    [anon_sym_lock] = ACTIONS(1350),
    [anon_sym_rlock] = ACTIONS(1350),
    [sym__automatic_separator] = ACTIONS(1348),
    [sym__c_string_opening] = ACTIONS(1348),
    [sym__raw_string_opening] = ACTIONS(1348),
    [sym__string_opening] = ACTIONS(1348),
    [sym__comment] = ACTIONS(3),
  },
  [1109] = {
    [sym_comment] = STATE(1109),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_LT_DASH] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_GT_GT_GT] = ACTIONS(1452),
    [anon_sym_AMP_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1454),
    [anon_sym_BANGin] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [sym_none] = ACTIONS(1454),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_map_LBRACK] = ACTIONS(1452),
    [anon_sym_chan] = ACTIONS(1454),
    [anon_sym_shared] = ACTIONS(1454),
    [anon_sym_thread] = ACTIONS(1454),
    [sym_int_literal] = ACTIONS(1454),
    [sym_float_literal] = ACTIONS(1452),
    [sym_rune_literal] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_array] = ACTIONS(1454),
    [anon_sym_string] = ACTIONS(1454),
    [anon_sym_char] = ACTIONS(1454),
    [anon_sym_sql] = ACTIONS(1454),
    [anon_sym_mut] = ACTIONS(1454),
    [anon_sym_C] = ACTIONS(1454),
    [anon_sym_JS] = ACTIONS(1454),
    [anon_sym_voidptr] = ACTIONS(1454),
    [anon_sym_byteptr] = ACTIONS(1454),
    [anon_sym_charptr] = ACTIONS(1454),
    [anon_sym_i8] = ACTIONS(1454),
    [anon_sym_i16] = ACTIONS(1454),
    [anon_sym_i32] = ACTIONS(1454),
    [anon_sym_int] = ACTIONS(1454),
    [anon_sym_i64] = ACTIONS(1454),
    [anon_sym_byte] = ACTIONS(1454),
    [anon_sym_u8] = ACTIONS(1454),
    [anon_sym_u16] = ACTIONS(1454),
    [anon_sym_u32] = ACTIONS(1454),
    [anon_sym_u64] = ACTIONS(1454),
    [anon_sym_f32] = ACTIONS(1454),
    [anon_sym_f64] = ACTIONS(1454),
    [anon_sym_bool] = ACTIONS(1454),
    [anon_sym_rune] = ACTIONS(1454),
    [anon_sym_map] = ACTIONS(1454),
    [anon_sym_mapnode] = ACTIONS(1454),
    [anon_sym_size_t] = ACTIONS(1454),
    [anon_sym_usize] = ACTIONS(1454),
    [anon_sym_isize] = ACTIONS(1454),
    [anon_sym_float_literal] = ACTIONS(1454),
    [anon_sym_int_literal] = ACTIONS(1454),
    [anon_sym_IError] = ACTIONS(1454),
    [sym_type_placeholder] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym_type_identifier] = ACTIONS(1454),
    [anon_sym_assert] = ACTIONS(1454),
    [anon_sym_defer] = ACTIONS(1454),
    [anon_sym_unsafe] = ACTIONS(1454),
    [anon_sym_pub] = ACTIONS(1454),
    [anon_sym_fn] = ACTIONS(1454),
    [anon_sym___global] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_type] = ACTIONS(1454),
    [anon_sym_go] = ACTIONS(1454),
    [anon_sym_spawn] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_DOLLARfor] = ACTIONS(1452),
    [anon_sym_DOLLARif] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_is] = ACTIONS(1454),
    [anon_sym_BANGis] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1454),
    [anon_sym_union] = ACTIONS(1454),
    [anon_sym_enum] = ACTIONS(1454),
    [anon_sym_interface] = ACTIONS(1454),
    [anon_sym_POUND] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1454),
    [anon_sym_import] = ACTIONS(1454),
    [anon_sym_match] = ACTIONS(1454),
    [anon_sym_select] = ACTIONS(1454),
    [anon_sym_lock] = ACTIONS(1454),
    [anon_sym_rlock] = ACTIONS(1454),
    [sym__automatic_separator] = ACTIONS(1452),
    [sym__c_string_opening] = ACTIONS(1452),
    [sym__raw_string_opening] = ACTIONS(1452),
    [sym__string_opening] = ACTIONS(1452),
    [sym__comment] = ACTIONS(3),
  },
  [1110] = {
    [sym_comment] = STATE(1110),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_LT_DASH] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1438),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_in] = ACTIONS(1438),
    [anon_sym_BANGin] = ACTIONS(1436),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_as] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [sym_none] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_map_LBRACK] = ACTIONS(1436),
    [anon_sym_chan] = ACTIONS(1438),
    [anon_sym_shared] = ACTIONS(1438),
    [anon_sym_thread] = ACTIONS(1438),
    [sym_int_literal] = ACTIONS(1438),
    [sym_float_literal] = ACTIONS(1436),
    [sym_rune_literal] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1438),
    [anon_sym_array] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_char] = ACTIONS(1438),
    [anon_sym_sql] = ACTIONS(1438),
    [anon_sym_mut] = ACTIONS(1438),
    [anon_sym_C] = ACTIONS(1438),
    [anon_sym_JS] = ACTIONS(1438),
    [anon_sym_voidptr] = ACTIONS(1438),
    [anon_sym_byteptr] = ACTIONS(1438),
    [anon_sym_charptr] = ACTIONS(1438),
    [anon_sym_i8] = ACTIONS(1438),
    [anon_sym_i16] = ACTIONS(1438),
    [anon_sym_i32] = ACTIONS(1438),
    [anon_sym_int] = ACTIONS(1438),
    [anon_sym_i64] = ACTIONS(1438),
    [anon_sym_byte] = ACTIONS(1438),
    [anon_sym_u8] = ACTIONS(1438),
    [anon_sym_u16] = ACTIONS(1438),
    [anon_sym_u32] = ACTIONS(1438),
    [anon_sym_u64] = ACTIONS(1438),
    [anon_sym_f32] = ACTIONS(1438),
    [anon_sym_f64] = ACTIONS(1438),
    [anon_sym_bool] = ACTIONS(1438),
    [anon_sym_rune] = ACTIONS(1438),
    [anon_sym_map] = ACTIONS(1438),
    [anon_sym_mapnode] = ACTIONS(1438),
    [anon_sym_size_t] = ACTIONS(1438),
    [anon_sym_usize] = ACTIONS(1438),
    [anon_sym_isize] = ACTIONS(1438),
    [anon_sym_float_literal] = ACTIONS(1438),
    [anon_sym_int_literal] = ACTIONS(1438),
    [anon_sym_IError] = ACTIONS(1438),
    [sym_type_placeholder] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [sym_type_identifier] = ACTIONS(1438),
    [anon_sym_assert] = ACTIONS(1438),
    [anon_sym_defer] = ACTIONS(1438),
    [anon_sym_unsafe] = ACTIONS(1438),
    [anon_sym_pub] = ACTIONS(1438),
    [anon_sym_fn] = ACTIONS(1438),
    [anon_sym___global] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_go] = ACTIONS(1438),
    [anon_sym_spawn] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_DOLLARfor] = ACTIONS(1436),
    [anon_sym_DOLLARif] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_is] = ACTIONS(1438),
    [anon_sym_BANGis] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1438),
    [anon_sym_union] = ACTIONS(1438),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_interface] = ACTIONS(1438),
    [anon_sym_POUND] = ACTIONS(1436),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_match] = ACTIONS(1438),
    [anon_sym_select] = ACTIONS(1438),
    [anon_sym_lock] = ACTIONS(1438),
    [anon_sym_rlock] = ACTIONS(1438),
    [sym__automatic_separator] = ACTIONS(1436),
    [sym__c_string_opening] = ACTIONS(1436),
    [sym__raw_string_opening] = ACTIONS(1436),
    [sym__string_opening] = ACTIONS(1436),
    [sym__comment] = ACTIONS(3),
  },
  [1111] = {
    [sym_comment] = STATE(1111),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_GT_GT_GT] = ACTIONS(3272),
    [anon_sym_AMP_CARET] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_EQ_EQ] = ACTIONS(3278),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_in] = ACTIONS(3280),
    [anon_sym_BANGin] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1112] = {
    [sym_comment] = STATE(1112),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_LT_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1396),
    [anon_sym_GT_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT] = ACTIONS(1396),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_BANGin] = ACTIONS(1394),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_as] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [sym_none] = ACTIONS(1396),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_map_LBRACK] = ACTIONS(1394),
    [anon_sym_chan] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_thread] = ACTIONS(1396),
    [sym_int_literal] = ACTIONS(1396),
    [sym_float_literal] = ACTIONS(1394),
    [sym_rune_literal] = ACTIONS(1394),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_array] = ACTIONS(1396),
    [anon_sym_string] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_sql] = ACTIONS(1396),
    [anon_sym_mut] = ACTIONS(1396),
    [anon_sym_C] = ACTIONS(1396),
    [anon_sym_JS] = ACTIONS(1396),
    [anon_sym_voidptr] = ACTIONS(1396),
    [anon_sym_byteptr] = ACTIONS(1396),
    [anon_sym_charptr] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_int] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_byte] = ACTIONS(1396),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_rune] = ACTIONS(1396),
    [anon_sym_map] = ACTIONS(1396),
    [anon_sym_mapnode] = ACTIONS(1396),
    [anon_sym_size_t] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_float_literal] = ACTIONS(1396),
    [anon_sym_int_literal] = ACTIONS(1396),
    [anon_sym_IError] = ACTIONS(1396),
    [sym_type_placeholder] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [sym_type_identifier] = ACTIONS(1396),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_defer] = ACTIONS(1396),
    [anon_sym_unsafe] = ACTIONS(1396),
    [anon_sym_pub] = ACTIONS(1396),
    [anon_sym_fn] = ACTIONS(1396),
    [anon_sym___global] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_go] = ACTIONS(1396),
    [anon_sym_spawn] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_DOLLARfor] = ACTIONS(1394),
    [anon_sym_DOLLARif] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_is] = ACTIONS(1396),
    [anon_sym_BANGis] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_interface] = ACTIONS(1396),
    [anon_sym_POUND] = ACTIONS(1394),
    [anon_sym_module] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1396),
    [anon_sym_match] = ACTIONS(1396),
    [anon_sym_select] = ACTIONS(1396),
    [anon_sym_lock] = ACTIONS(1396),
    [anon_sym_rlock] = ACTIONS(1396),
    [sym__automatic_separator] = ACTIONS(1394),
    [sym__c_string_opening] = ACTIONS(1394),
    [sym__raw_string_opening] = ACTIONS(1394),
    [sym__string_opening] = ACTIONS(1394),
    [sym__comment] = ACTIONS(3),
  },
  [1113] = {
    [sym_comment] = STATE(1113),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_LT_DASH] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_LT_LT] = ACTIONS(1448),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1448),
    [anon_sym_AMP_CARET] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_BANGin] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_as] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [sym_none] = ACTIONS(1450),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_map_LBRACK] = ACTIONS(1448),
    [anon_sym_chan] = ACTIONS(1450),
    [anon_sym_shared] = ACTIONS(1450),
    [anon_sym_thread] = ACTIONS(1450),
    [sym_int_literal] = ACTIONS(1450),
    [sym_float_literal] = ACTIONS(1448),
    [sym_rune_literal] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1450),
    [anon_sym_array] = ACTIONS(1450),
    [anon_sym_string] = ACTIONS(1450),
    [anon_sym_char] = ACTIONS(1450),
    [anon_sym_sql] = ACTIONS(1450),
    [anon_sym_mut] = ACTIONS(1450),
    [anon_sym_C] = ACTIONS(1450),
    [anon_sym_JS] = ACTIONS(1450),
    [anon_sym_voidptr] = ACTIONS(1450),
    [anon_sym_byteptr] = ACTIONS(1450),
    [anon_sym_charptr] = ACTIONS(1450),
    [anon_sym_i8] = ACTIONS(1450),
    [anon_sym_i16] = ACTIONS(1450),
    [anon_sym_i32] = ACTIONS(1450),
    [anon_sym_int] = ACTIONS(1450),
    [anon_sym_i64] = ACTIONS(1450),
    [anon_sym_byte] = ACTIONS(1450),
    [anon_sym_u8] = ACTIONS(1450),
    [anon_sym_u16] = ACTIONS(1450),
    [anon_sym_u32] = ACTIONS(1450),
    [anon_sym_u64] = ACTIONS(1450),
    [anon_sym_f32] = ACTIONS(1450),
    [anon_sym_f64] = ACTIONS(1450),
    [anon_sym_bool] = ACTIONS(1450),
    [anon_sym_rune] = ACTIONS(1450),
    [anon_sym_map] = ACTIONS(1450),
    [anon_sym_mapnode] = ACTIONS(1450),
    [anon_sym_size_t] = ACTIONS(1450),
    [anon_sym_usize] = ACTIONS(1450),
    [anon_sym_isize] = ACTIONS(1450),
    [anon_sym_float_literal] = ACTIONS(1450),
    [anon_sym_int_literal] = ACTIONS(1450),
    [anon_sym_IError] = ACTIONS(1450),
    [sym_type_placeholder] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [sym_type_identifier] = ACTIONS(1450),
    [anon_sym_assert] = ACTIONS(1450),
    [anon_sym_defer] = ACTIONS(1450),
    [anon_sym_unsafe] = ACTIONS(1450),
    [anon_sym_pub] = ACTIONS(1450),
    [anon_sym_fn] = ACTIONS(1450),
    [anon_sym___global] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_type] = ACTIONS(1450),
    [anon_sym_go] = ACTIONS(1450),
    [anon_sym_spawn] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_DOLLARfor] = ACTIONS(1448),
    [anon_sym_DOLLARif] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_is] = ACTIONS(1450),
    [anon_sym_BANGis] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1450),
    [anon_sym_union] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_interface] = ACTIONS(1450),
    [anon_sym_POUND] = ACTIONS(1448),
    [anon_sym_module] = ACTIONS(1450),
    [anon_sym_import] = ACTIONS(1450),
    [anon_sym_match] = ACTIONS(1450),
    [anon_sym_select] = ACTIONS(1450),
    [anon_sym_lock] = ACTIONS(1450),
    [anon_sym_rlock] = ACTIONS(1450),
    [sym__automatic_separator] = ACTIONS(1448),
    [sym__c_string_opening] = ACTIONS(1448),
    [sym__raw_string_opening] = ACTIONS(1448),
    [sym__string_opening] = ACTIONS(1448),
    [sym__comment] = ACTIONS(3),
  },
  [1114] = {
    [sym_comment] = STATE(1114),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_LT_DASH] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_GT_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(1424),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_BANGin] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [sym_none] = ACTIONS(1424),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_map_LBRACK] = ACTIONS(1422),
    [anon_sym_chan] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_thread] = ACTIONS(1424),
    [sym_int_literal] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1422),
    [sym_rune_literal] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_array] = ACTIONS(1424),
    [anon_sym_string] = ACTIONS(1424),
    [anon_sym_char] = ACTIONS(1424),
    [anon_sym_sql] = ACTIONS(1424),
    [anon_sym_mut] = ACTIONS(1424),
    [anon_sym_C] = ACTIONS(1424),
    [anon_sym_JS] = ACTIONS(1424),
    [anon_sym_voidptr] = ACTIONS(1424),
    [anon_sym_byteptr] = ACTIONS(1424),
    [anon_sym_charptr] = ACTIONS(1424),
    [anon_sym_i8] = ACTIONS(1424),
    [anon_sym_i16] = ACTIONS(1424),
    [anon_sym_i32] = ACTIONS(1424),
    [anon_sym_int] = ACTIONS(1424),
    [anon_sym_i64] = ACTIONS(1424),
    [anon_sym_byte] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1424),
    [anon_sym_u16] = ACTIONS(1424),
    [anon_sym_u32] = ACTIONS(1424),
    [anon_sym_u64] = ACTIONS(1424),
    [anon_sym_f32] = ACTIONS(1424),
    [anon_sym_f64] = ACTIONS(1424),
    [anon_sym_bool] = ACTIONS(1424),
    [anon_sym_rune] = ACTIONS(1424),
    [anon_sym_map] = ACTIONS(1424),
    [anon_sym_mapnode] = ACTIONS(1424),
    [anon_sym_size_t] = ACTIONS(1424),
    [anon_sym_usize] = ACTIONS(1424),
    [anon_sym_isize] = ACTIONS(1424),
    [anon_sym_float_literal] = ACTIONS(1424),
    [anon_sym_int_literal] = ACTIONS(1424),
    [anon_sym_IError] = ACTIONS(1424),
    [sym_type_placeholder] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [sym_type_identifier] = ACTIONS(1424),
    [anon_sym_assert] = ACTIONS(1424),
    [anon_sym_defer] = ACTIONS(1424),
    [anon_sym_unsafe] = ACTIONS(1424),
    [anon_sym_pub] = ACTIONS(1424),
    [anon_sym_fn] = ACTIONS(1424),
    [anon_sym___global] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_type] = ACTIONS(1424),
    [anon_sym_go] = ACTIONS(1424),
    [anon_sym_spawn] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_DOLLARfor] = ACTIONS(1422),
    [anon_sym_DOLLARif] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_is] = ACTIONS(1424),
    [anon_sym_BANGis] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_interface] = ACTIONS(1424),
    [anon_sym_POUND] = ACTIONS(1422),
    [anon_sym_module] = ACTIONS(1424),
    [anon_sym_import] = ACTIONS(1424),
    [anon_sym_match] = ACTIONS(1424),
    [anon_sym_select] = ACTIONS(1424),
    [anon_sym_lock] = ACTIONS(1424),
    [anon_sym_rlock] = ACTIONS(1424),
    [sym__automatic_separator] = ACTIONS(1422),
    [sym__c_string_opening] = ACTIONS(1422),
    [sym__raw_string_opening] = ACTIONS(1422),
    [sym__string_opening] = ACTIONS(1422),
    [sym__comment] = ACTIONS(3),
  },
  [1115] = {
    [sym_comment] = STATE(1115),
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_LT_DASH] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_GT_GT_GT] = ACTIONS(1514),
    [anon_sym_AMP_CARET] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_BANGin] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1514),
    [anon_sym_as] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [sym_none] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_map_LBRACK] = ACTIONS(1514),
    [anon_sym_chan] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_thread] = ACTIONS(1516),
    [sym_int_literal] = ACTIONS(1516),
    [sym_float_literal] = ACTIONS(1514),
    [sym_rune_literal] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_array] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_char] = ACTIONS(1516),
    [anon_sym_sql] = ACTIONS(1516),
    [anon_sym_mut] = ACTIONS(1516),
    [anon_sym_C] = ACTIONS(1516),
    [anon_sym_JS] = ACTIONS(1516),
    [anon_sym_voidptr] = ACTIONS(1516),
    [anon_sym_byteptr] = ACTIONS(1516),
    [anon_sym_charptr] = ACTIONS(1516),
    [anon_sym_i8] = ACTIONS(1516),
    [anon_sym_i16] = ACTIONS(1516),
    [anon_sym_i32] = ACTIONS(1516),
    [anon_sym_int] = ACTIONS(1516),
    [anon_sym_i64] = ACTIONS(1516),
    [anon_sym_byte] = ACTIONS(1516),
    [anon_sym_u8] = ACTIONS(1516),
    [anon_sym_u16] = ACTIONS(1516),
    [anon_sym_u32] = ACTIONS(1516),
    [anon_sym_u64] = ACTIONS(1516),
    [anon_sym_f32] = ACTIONS(1516),
    [anon_sym_f64] = ACTIONS(1516),
    [anon_sym_bool] = ACTIONS(1516),
    [anon_sym_rune] = ACTIONS(1516),
    [anon_sym_map] = ACTIONS(1516),
    [anon_sym_mapnode] = ACTIONS(1516),
    [anon_sym_size_t] = ACTIONS(1516),
    [anon_sym_usize] = ACTIONS(1516),
    [anon_sym_isize] = ACTIONS(1516),
    [anon_sym_float_literal] = ACTIONS(1516),
    [anon_sym_int_literal] = ACTIONS(1516),
    [anon_sym_IError] = ACTIONS(1516),
    [sym_type_placeholder] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [sym_type_identifier] = ACTIONS(1516),
    [anon_sym_assert] = ACTIONS(1516),
    [anon_sym_defer] = ACTIONS(1516),
    [anon_sym_unsafe] = ACTIONS(1516),
    [anon_sym_pub] = ACTIONS(1516),
    [anon_sym_fn] = ACTIONS(1516),
    [anon_sym___global] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_go] = ACTIONS(1516),
    [anon_sym_spawn] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_DOLLARfor] = ACTIONS(1514),
    [anon_sym_DOLLARif] = ACTIONS(1514),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_is] = ACTIONS(1516),
    [anon_sym_BANGis] = ACTIONS(1514),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_interface] = ACTIONS(1516),
    [anon_sym_POUND] = ACTIONS(1514),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_import] = ACTIONS(1516),
    [anon_sym_match] = ACTIONS(1516),
    [anon_sym_select] = ACTIONS(1516),
    [anon_sym_lock] = ACTIONS(1516),
    [anon_sym_rlock] = ACTIONS(1516),
    [sym__automatic_separator] = ACTIONS(1514),
    [sym__c_string_opening] = ACTIONS(1514),
    [sym__raw_string_opening] = ACTIONS(1514),
    [sym__string_opening] = ACTIONS(1514),
    [sym__comment] = ACTIONS(3),
  },
  [1116] = {
    [sym_comment] = STATE(1116),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_LT_DASH] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1398),
    [anon_sym_PERCENT] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_GT_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_BANGin] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1398),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_map_LBRACK] = ACTIONS(1398),
    [anon_sym_chan] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_thread] = ACTIONS(1400),
    [sym_int_literal] = ACTIONS(1400),
    [sym_float_literal] = ACTIONS(1398),
    [sym_rune_literal] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_array] = ACTIONS(1400),
    [anon_sym_string] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_sql] = ACTIONS(1400),
    [anon_sym_mut] = ACTIONS(1400),
    [anon_sym_C] = ACTIONS(1400),
    [anon_sym_JS] = ACTIONS(1400),
    [anon_sym_voidptr] = ACTIONS(1400),
    [anon_sym_byteptr] = ACTIONS(1400),
    [anon_sym_charptr] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_int] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_byte] = ACTIONS(1400),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_rune] = ACTIONS(1400),
    [anon_sym_map] = ACTIONS(1400),
    [anon_sym_mapnode] = ACTIONS(1400),
    [anon_sym_size_t] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_float_literal] = ACTIONS(1400),
    [anon_sym_int_literal] = ACTIONS(1400),
    [anon_sym_IError] = ACTIONS(1400),
    [sym_type_placeholder] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [sym_type_identifier] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_defer] = ACTIONS(1400),
    [anon_sym_unsafe] = ACTIONS(1400),
    [anon_sym_pub] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym___global] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_type] = ACTIONS(1400),
    [anon_sym_go] = ACTIONS(1400),
    [anon_sym_spawn] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_DOLLARfor] = ACTIONS(1398),
    [anon_sym_DOLLARif] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_is] = ACTIONS(1400),
    [anon_sym_BANGis] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_interface] = ACTIONS(1400),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_module] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_match] = ACTIONS(1400),
    [anon_sym_select] = ACTIONS(1400),
    [anon_sym_lock] = ACTIONS(1400),
    [anon_sym_rlock] = ACTIONS(1400),
    [sym__automatic_separator] = ACTIONS(1398),
    [sym__c_string_opening] = ACTIONS(1398),
    [sym__raw_string_opening] = ACTIONS(1398),
    [sym__string_opening] = ACTIONS(1398),
    [sym__comment] = ACTIONS(3),
  },
  [1117] = {
    [sym_comment] = STATE(1117),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1118] = {
    [sym_comment] = STATE(1118),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_GT_GT_GT] = ACTIONS(3272),
    [anon_sym_AMP_CARET] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1119] = {
    [sym_comment] = STATE(1119),
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1582),
    [anon_sym_PERCENT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_BANGin] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [sym_none] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_map_LBRACK] = ACTIONS(1582),
    [anon_sym_chan] = ACTIONS(1584),
    [anon_sym_shared] = ACTIONS(1584),
    [anon_sym_thread] = ACTIONS(1584),
    [sym_int_literal] = ACTIONS(1584),
    [sym_float_literal] = ACTIONS(1582),
    [sym_rune_literal] = ACTIONS(1582),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_array] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_char] = ACTIONS(1584),
    [anon_sym_sql] = ACTIONS(1584),
    [anon_sym_mut] = ACTIONS(1584),
    [anon_sym_C] = ACTIONS(1584),
    [anon_sym_JS] = ACTIONS(1584),
    [anon_sym_voidptr] = ACTIONS(1584),
    [anon_sym_byteptr] = ACTIONS(1584),
    [anon_sym_charptr] = ACTIONS(1584),
    [anon_sym_i8] = ACTIONS(1584),
    [anon_sym_i16] = ACTIONS(1584),
    [anon_sym_i32] = ACTIONS(1584),
    [anon_sym_int] = ACTIONS(1584),
    [anon_sym_i64] = ACTIONS(1584),
    [anon_sym_byte] = ACTIONS(1584),
    [anon_sym_u8] = ACTIONS(1584),
    [anon_sym_u16] = ACTIONS(1584),
    [anon_sym_u32] = ACTIONS(1584),
    [anon_sym_u64] = ACTIONS(1584),
    [anon_sym_f32] = ACTIONS(1584),
    [anon_sym_f64] = ACTIONS(1584),
    [anon_sym_bool] = ACTIONS(1584),
    [anon_sym_rune] = ACTIONS(1584),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_mapnode] = ACTIONS(1584),
    [anon_sym_size_t] = ACTIONS(1584),
    [anon_sym_usize] = ACTIONS(1584),
    [anon_sym_isize] = ACTIONS(1584),
    [anon_sym_float_literal] = ACTIONS(1584),
    [anon_sym_int_literal] = ACTIONS(1584),
    [anon_sym_IError] = ACTIONS(1584),
    [sym_type_placeholder] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [sym_type_identifier] = ACTIONS(1584),
    [anon_sym_assert] = ACTIONS(1584),
    [anon_sym_defer] = ACTIONS(1584),
    [anon_sym_unsafe] = ACTIONS(1584),
    [anon_sym_pub] = ACTIONS(1584),
    [anon_sym_fn] = ACTIONS(1584),
    [anon_sym___global] = ACTIONS(1584),
    [anon_sym_const] = ACTIONS(1584),
    [anon_sym_asm] = ACTIONS(1584),
    [anon_sym_break] = ACTIONS(1584),
    [anon_sym_continue] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_go] = ACTIONS(1584),
    [anon_sym_spawn] = ACTIONS(1584),
    [anon_sym_goto] = ACTIONS(1584),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_DOLLARfor] = ACTIONS(1582),
    [anon_sym_DOLLARif] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_is] = ACTIONS(1584),
    [anon_sym_BANGis] = ACTIONS(1582),
    [anon_sym_struct] = ACTIONS(1584),
    [anon_sym_union] = ACTIONS(1584),
    [anon_sym_enum] = ACTIONS(1584),
    [anon_sym_interface] = ACTIONS(1584),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_import] = ACTIONS(1584),
    [anon_sym_match] = ACTIONS(1584),
    [anon_sym_select] = ACTIONS(1584),
    [anon_sym_lock] = ACTIONS(1584),
    [anon_sym_rlock] = ACTIONS(1584),
    [sym__automatic_separator] = ACTIONS(1582),
    [sym__c_string_opening] = ACTIONS(1582),
    [sym__raw_string_opening] = ACTIONS(1582),
    [sym__string_opening] = ACTIONS(1582),
    [sym__comment] = ACTIONS(3),
  },
  [1120] = {
    [sym_comment] = STATE(1120),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_GT_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_BANGin] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [sym_none] = ACTIONS(1416),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_map_LBRACK] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_thread] = ACTIONS(1416),
    [sym_int_literal] = ACTIONS(1416),
    [sym_float_literal] = ACTIONS(1414),
    [sym_rune_literal] = ACTIONS(1414),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_array] = ACTIONS(1416),
    [anon_sym_string] = ACTIONS(1416),
    [anon_sym_char] = ACTIONS(1416),
    [anon_sym_sql] = ACTIONS(1416),
    [anon_sym_mut] = ACTIONS(1416),
    [anon_sym_C] = ACTIONS(1416),
    [anon_sym_JS] = ACTIONS(1416),
    [anon_sym_voidptr] = ACTIONS(1416),
    [anon_sym_byteptr] = ACTIONS(1416),
    [anon_sym_charptr] = ACTIONS(1416),
    [anon_sym_i8] = ACTIONS(1416),
    [anon_sym_i16] = ACTIONS(1416),
    [anon_sym_i32] = ACTIONS(1416),
    [anon_sym_int] = ACTIONS(1416),
    [anon_sym_i64] = ACTIONS(1416),
    [anon_sym_byte] = ACTIONS(1416),
    [anon_sym_u8] = ACTIONS(1416),
    [anon_sym_u16] = ACTIONS(1416),
    [anon_sym_u32] = ACTIONS(1416),
    [anon_sym_u64] = ACTIONS(1416),
    [anon_sym_f32] = ACTIONS(1416),
    [anon_sym_f64] = ACTIONS(1416),
    [anon_sym_bool] = ACTIONS(1416),
    [anon_sym_rune] = ACTIONS(1416),
    [anon_sym_map] = ACTIONS(1416),
    [anon_sym_mapnode] = ACTIONS(1416),
    [anon_sym_size_t] = ACTIONS(1416),
    [anon_sym_usize] = ACTIONS(1416),
    [anon_sym_isize] = ACTIONS(1416),
    [anon_sym_float_literal] = ACTIONS(1416),
    [anon_sym_int_literal] = ACTIONS(1416),
    [anon_sym_IError] = ACTIONS(1416),
    [sym_type_placeholder] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym_type_identifier] = ACTIONS(1416),
    [anon_sym_assert] = ACTIONS(1416),
    [anon_sym_defer] = ACTIONS(1416),
    [anon_sym_unsafe] = ACTIONS(1416),
    [anon_sym_pub] = ACTIONS(1416),
    [anon_sym_fn] = ACTIONS(1416),
    [anon_sym___global] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_type] = ACTIONS(1416),
    [anon_sym_go] = ACTIONS(1416),
    [anon_sym_spawn] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_DOLLARfor] = ACTIONS(1414),
    [anon_sym_DOLLARif] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1416),
    [anon_sym_BANGis] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_interface] = ACTIONS(1416),
    [anon_sym_POUND] = ACTIONS(1414),
    [anon_sym_module] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(1416),
    [anon_sym_match] = ACTIONS(1416),
    [anon_sym_select] = ACTIONS(1416),
    [anon_sym_lock] = ACTIONS(1416),
    [anon_sym_rlock] = ACTIONS(1416),
    [sym__automatic_separator] = ACTIONS(1414),
    [sym__c_string_opening] = ACTIONS(1414),
    [sym__raw_string_opening] = ACTIONS(1414),
    [sym__string_opening] = ACTIONS(1414),
    [sym__comment] = ACTIONS(3),
  },
  [1121] = {
    [sym_comment] = STATE(1121),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_CARET] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1116),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_DASH] = ACTIONS(1116),
    [anon_sym_SLASH] = ACTIONS(1116),
    [anon_sym_PERCENT] = ACTIONS(1116),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1116),
    [anon_sym_AMP_CARET] = ACTIONS(1116),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1116),
    [anon_sym_BANG_EQ] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_BANGin] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [sym_none] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_map_LBRACK] = ACTIONS(1116),
    [anon_sym_chan] = ACTIONS(1114),
    [anon_sym_shared] = ACTIONS(1114),
    [anon_sym_thread] = ACTIONS(1114),
    [sym_int_literal] = ACTIONS(1114),
    [sym_float_literal] = ACTIONS(1116),
    [sym_rune_literal] = ACTIONS(1116),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_array] = ACTIONS(1114),
    [anon_sym_string] = ACTIONS(1114),
    [anon_sym_char] = ACTIONS(1114),
    [anon_sym_sql] = ACTIONS(1114),
    [anon_sym_mut] = ACTIONS(1114),
    [anon_sym_C] = ACTIONS(1114),
    [anon_sym_JS] = ACTIONS(1114),
    [anon_sym_voidptr] = ACTIONS(1114),
    [anon_sym_byteptr] = ACTIONS(1114),
    [anon_sym_charptr] = ACTIONS(1114),
    [anon_sym_i8] = ACTIONS(1114),
    [anon_sym_i16] = ACTIONS(1114),
    [anon_sym_i32] = ACTIONS(1114),
    [anon_sym_int] = ACTIONS(1114),
    [anon_sym_i64] = ACTIONS(1114),
    [anon_sym_byte] = ACTIONS(1114),
    [anon_sym_u8] = ACTIONS(1114),
    [anon_sym_u16] = ACTIONS(1114),
    [anon_sym_u32] = ACTIONS(1114),
    [anon_sym_u64] = ACTIONS(1114),
    [anon_sym_f32] = ACTIONS(1114),
    [anon_sym_f64] = ACTIONS(1114),
    [anon_sym_bool] = ACTIONS(1114),
    [anon_sym_rune] = ACTIONS(1114),
    [anon_sym_map] = ACTIONS(1114),
    [anon_sym_mapnode] = ACTIONS(1114),
    [anon_sym_size_t] = ACTIONS(1114),
    [anon_sym_usize] = ACTIONS(1114),
    [anon_sym_isize] = ACTIONS(1114),
    [anon_sym_float_literal] = ACTIONS(1114),
    [anon_sym_int_literal] = ACTIONS(1114),
    [anon_sym_IError] = ACTIONS(1114),
    [sym_type_placeholder] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [sym_type_identifier] = ACTIONS(1114),
    [anon_sym_assert] = ACTIONS(1114),
    [anon_sym_defer] = ACTIONS(1114),
    [anon_sym_unsafe] = ACTIONS(1114),
    [anon_sym_pub] = ACTIONS(1114),
    [anon_sym_fn] = ACTIONS(1114),
    [anon_sym___global] = ACTIONS(1114),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym_break] = ACTIONS(1114),
    [anon_sym_continue] = ACTIONS(1114),
    [anon_sym_return] = ACTIONS(1114),
    [anon_sym_type] = ACTIONS(1114),
    [anon_sym_go] = ACTIONS(1114),
    [anon_sym_spawn] = ACTIONS(1114),
    [anon_sym_goto] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1114),
    [anon_sym_DOLLARfor] = ACTIONS(1116),
    [anon_sym_DOLLARif] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_BANGis] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1114),
    [anon_sym_union] = ACTIONS(1114),
    [anon_sym_enum] = ACTIONS(1114),
    [anon_sym_interface] = ACTIONS(1114),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1114),
    [anon_sym_import] = ACTIONS(1114),
    [anon_sym_match] = ACTIONS(1114),
    [anon_sym_select] = ACTIONS(1114),
    [anon_sym_lock] = ACTIONS(1114),
    [anon_sym_rlock] = ACTIONS(1114),
    [sym__automatic_separator] = ACTIONS(1116),
    [sym__c_string_opening] = ACTIONS(1116),
    [sym__raw_string_opening] = ACTIONS(1116),
    [sym__string_opening] = ACTIONS(1116),
    [sym__comment] = ACTIONS(3),
  },
  [1122] = {
    [sym_comment] = STATE(1122),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_LT_DASH] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1390),
    [anon_sym_PERCENT] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1392),
    [anon_sym_GT_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_BANGin] = ACTIONS(1390),
    [anon_sym_AMP_AMP] = ACTIONS(1390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_as] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [sym_none] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_map_LBRACK] = ACTIONS(1390),
    [anon_sym_chan] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_thread] = ACTIONS(1392),
    [sym_int_literal] = ACTIONS(1392),
    [sym_float_literal] = ACTIONS(1390),
    [sym_rune_literal] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1392),
    [anon_sym_array] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_char] = ACTIONS(1392),
    [anon_sym_sql] = ACTIONS(1392),
    [anon_sym_mut] = ACTIONS(1392),
    [anon_sym_C] = ACTIONS(1392),
    [anon_sym_JS] = ACTIONS(1392),
    [anon_sym_voidptr] = ACTIONS(1392),
    [anon_sym_byteptr] = ACTIONS(1392),
    [anon_sym_charptr] = ACTIONS(1392),
    [anon_sym_i8] = ACTIONS(1392),
    [anon_sym_i16] = ACTIONS(1392),
    [anon_sym_i32] = ACTIONS(1392),
    [anon_sym_int] = ACTIONS(1392),
    [anon_sym_i64] = ACTIONS(1392),
    [anon_sym_byte] = ACTIONS(1392),
    [anon_sym_u8] = ACTIONS(1392),
    [anon_sym_u16] = ACTIONS(1392),
    [anon_sym_u32] = ACTIONS(1392),
    [anon_sym_u64] = ACTIONS(1392),
    [anon_sym_f32] = ACTIONS(1392),
    [anon_sym_f64] = ACTIONS(1392),
    [anon_sym_bool] = ACTIONS(1392),
    [anon_sym_rune] = ACTIONS(1392),
    [anon_sym_map] = ACTIONS(1392),
    [anon_sym_mapnode] = ACTIONS(1392),
    [anon_sym_size_t] = ACTIONS(1392),
    [anon_sym_usize] = ACTIONS(1392),
    [anon_sym_isize] = ACTIONS(1392),
    [anon_sym_float_literal] = ACTIONS(1392),
    [anon_sym_int_literal] = ACTIONS(1392),
    [anon_sym_IError] = ACTIONS(1392),
    [sym_type_placeholder] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [sym_type_identifier] = ACTIONS(1392),
    [anon_sym_assert] = ACTIONS(1392),
    [anon_sym_defer] = ACTIONS(1392),
    [anon_sym_unsafe] = ACTIONS(1392),
    [anon_sym_pub] = ACTIONS(1392),
    [anon_sym_fn] = ACTIONS(1392),
    [anon_sym___global] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_asm] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_go] = ACTIONS(1392),
    [anon_sym_spawn] = ACTIONS(1392),
    [anon_sym_goto] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_DOLLARfor] = ACTIONS(1390),
    [anon_sym_DOLLARif] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_is] = ACTIONS(1392),
    [anon_sym_BANGis] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1392),
    [anon_sym_union] = ACTIONS(1392),
    [anon_sym_enum] = ACTIONS(1392),
    [anon_sym_interface] = ACTIONS(1392),
    [anon_sym_POUND] = ACTIONS(1390),
    [anon_sym_module] = ACTIONS(1392),
    [anon_sym_import] = ACTIONS(1392),
    [anon_sym_match] = ACTIONS(1392),
    [anon_sym_select] = ACTIONS(1392),
    [anon_sym_lock] = ACTIONS(1392),
    [anon_sym_rlock] = ACTIONS(1392),
    [sym__automatic_separator] = ACTIONS(1390),
    [sym__c_string_opening] = ACTIONS(1390),
    [sym__raw_string_opening] = ACTIONS(1390),
    [sym__string_opening] = ACTIONS(1390),
    [sym__comment] = ACTIONS(3),
  },
  [1123] = {
    [sym_comment] = STATE(1123),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_GT_GT_GT] = ACTIONS(3272),
    [anon_sym_AMP_CARET] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3276),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1124] = {
    [sym_comment] = STATE(1124),
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1582),
    [anon_sym_PERCENT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_BANGin] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [sym_none] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_map_LBRACK] = ACTIONS(1582),
    [anon_sym_chan] = ACTIONS(1584),
    [anon_sym_shared] = ACTIONS(1584),
    [anon_sym_thread] = ACTIONS(1584),
    [sym_int_literal] = ACTIONS(1584),
    [sym_float_literal] = ACTIONS(1582),
    [sym_rune_literal] = ACTIONS(1582),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_array] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_char] = ACTIONS(1584),
    [anon_sym_sql] = ACTIONS(1584),
    [anon_sym_mut] = ACTIONS(1584),
    [anon_sym_C] = ACTIONS(1584),
    [anon_sym_JS] = ACTIONS(1584),
    [anon_sym_voidptr] = ACTIONS(1584),
    [anon_sym_byteptr] = ACTIONS(1584),
    [anon_sym_charptr] = ACTIONS(1584),
    [anon_sym_i8] = ACTIONS(1584),
    [anon_sym_i16] = ACTIONS(1584),
    [anon_sym_i32] = ACTIONS(1584),
    [anon_sym_int] = ACTIONS(1584),
    [anon_sym_i64] = ACTIONS(1584),
    [anon_sym_byte] = ACTIONS(1584),
    [anon_sym_u8] = ACTIONS(1584),
    [anon_sym_u16] = ACTIONS(1584),
    [anon_sym_u32] = ACTIONS(1584),
    [anon_sym_u64] = ACTIONS(1584),
    [anon_sym_f32] = ACTIONS(1584),
    [anon_sym_f64] = ACTIONS(1584),
    [anon_sym_bool] = ACTIONS(1584),
    [anon_sym_rune] = ACTIONS(1584),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_mapnode] = ACTIONS(1584),
    [anon_sym_size_t] = ACTIONS(1584),
    [anon_sym_usize] = ACTIONS(1584),
    [anon_sym_isize] = ACTIONS(1584),
    [anon_sym_float_literal] = ACTIONS(1584),
    [anon_sym_int_literal] = ACTIONS(1584),
    [anon_sym_IError] = ACTIONS(1584),
    [sym_type_placeholder] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [sym_type_identifier] = ACTIONS(1584),
    [anon_sym_assert] = ACTIONS(1584),
    [anon_sym_defer] = ACTIONS(1584),
    [anon_sym_unsafe] = ACTIONS(1584),
    [anon_sym_pub] = ACTIONS(1584),
    [anon_sym_fn] = ACTIONS(1584),
    [anon_sym___global] = ACTIONS(1584),
    [anon_sym_const] = ACTIONS(1584),
    [anon_sym_asm] = ACTIONS(1584),
    [anon_sym_break] = ACTIONS(1584),
    [anon_sym_continue] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_go] = ACTIONS(1584),
    [anon_sym_spawn] = ACTIONS(1584),
    [anon_sym_goto] = ACTIONS(1584),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_DOLLARfor] = ACTIONS(1582),
    [anon_sym_DOLLARif] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_is] = ACTIONS(1584),
    [anon_sym_BANGis] = ACTIONS(1582),
    [anon_sym_struct] = ACTIONS(1584),
    [anon_sym_union] = ACTIONS(1584),
    [anon_sym_enum] = ACTIONS(1584),
    [anon_sym_interface] = ACTIONS(1584),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_import] = ACTIONS(1584),
    [anon_sym_match] = ACTIONS(1584),
    [anon_sym_select] = ACTIONS(1584),
    [anon_sym_lock] = ACTIONS(1584),
    [anon_sym_rlock] = ACTIONS(1584),
    [sym__automatic_separator] = ACTIONS(1582),
    [sym__c_string_opening] = ACTIONS(1582),
    [sym__raw_string_opening] = ACTIONS(1582),
    [sym__string_opening] = ACTIONS(1582),
    [sym__comment] = ACTIONS(3),
  },
  [1125] = {
    [sym_comment] = STATE(1125),
    [ts_builtin_sym_end] = ACTIONS(3320),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_in] = ACTIONS(3334),
    [anon_sym_BANGin] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3336),
    [anon_sym_PIPE_PIPE] = ACTIONS(3338),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_DOLLAR] = ACTIONS(3322),
    [sym_none] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(3320),
    [anon_sym_chan] = ACTIONS(3322),
    [anon_sym_shared] = ACTIONS(3322),
    [anon_sym_thread] = ACTIONS(3322),
    [sym_int_literal] = ACTIONS(3322),
    [sym_float_literal] = ACTIONS(3320),
    [sym_rune_literal] = ACTIONS(3320),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_char] = ACTIONS(3322),
    [anon_sym_sql] = ACTIONS(3322),
    [anon_sym_mut] = ACTIONS(3322),
    [anon_sym_C] = ACTIONS(3322),
    [anon_sym_JS] = ACTIONS(3322),
    [anon_sym_voidptr] = ACTIONS(3322),
    [anon_sym_byteptr] = ACTIONS(3322),
    [anon_sym_charptr] = ACTIONS(3322),
    [anon_sym_i8] = ACTIONS(3322),
    [anon_sym_i16] = ACTIONS(3322),
    [anon_sym_i32] = ACTIONS(3322),
    [anon_sym_int] = ACTIONS(3322),
    [anon_sym_i64] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_u8] = ACTIONS(3322),
    [anon_sym_u16] = ACTIONS(3322),
    [anon_sym_u32] = ACTIONS(3322),
    [anon_sym_u64] = ACTIONS(3322),
    [anon_sym_f32] = ACTIONS(3322),
    [anon_sym_f64] = ACTIONS(3322),
    [anon_sym_bool] = ACTIONS(3322),
    [anon_sym_rune] = ACTIONS(3322),
    [anon_sym_map] = ACTIONS(3322),
    [anon_sym_mapnode] = ACTIONS(3322),
    [anon_sym_size_t] = ACTIONS(3322),
    [anon_sym_usize] = ACTIONS(3322),
    [anon_sym_isize] = ACTIONS(3322),
    [anon_sym_float_literal] = ACTIONS(3322),
    [anon_sym_int_literal] = ACTIONS(3322),
    [anon_sym_IError] = ACTIONS(3322),
    [sym_type_placeholder] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [sym_type_identifier] = ACTIONS(3322),
    [anon_sym_assert] = ACTIONS(3322),
    [anon_sym_defer] = ACTIONS(3322),
    [anon_sym_unsafe] = ACTIONS(3322),
    [anon_sym_pub] = ACTIONS(3322),
    [anon_sym_fn] = ACTIONS(3322),
    [anon_sym___global] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_asm] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_go] = ACTIONS(3322),
    [anon_sym_spawn] = ACTIONS(3322),
    [anon_sym_goto] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_DOLLARfor] = ACTIONS(3320),
    [anon_sym_DOLLARif] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_POUND] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_match] = ACTIONS(3322),
    [anon_sym_select] = ACTIONS(3322),
    [anon_sym_lock] = ACTIONS(3322),
    [anon_sym_rlock] = ACTIONS(3322),
    [sym__automatic_separator] = ACTIONS(3320),
    [sym__c_string_opening] = ACTIONS(3320),
    [sym__raw_string_opening] = ACTIONS(3320),
    [sym__string_opening] = ACTIONS(3320),
    [sym__comment] = ACTIONS(3),
  },
  [1126] = {
    [sym_comment] = STATE(1126),
    [ts_builtin_sym_end] = ACTIONS(3340),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_CARET] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3340),
    [anon_sym_AMP] = ACTIONS(3342),
    [anon_sym_LT_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_in] = ACTIONS(3334),
    [anon_sym_BANGin] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3336),
    [anon_sym_PIPE_PIPE] = ACTIONS(3338),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_DOLLAR] = ACTIONS(3342),
    [sym_none] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(3340),
    [anon_sym_chan] = ACTIONS(3342),
    [anon_sym_shared] = ACTIONS(3342),
    [anon_sym_thread] = ACTIONS(3342),
    [sym_int_literal] = ACTIONS(3342),
    [sym_float_literal] = ACTIONS(3340),
    [sym_rune_literal] = ACTIONS(3340),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_char] = ACTIONS(3342),
    [anon_sym_sql] = ACTIONS(3342),
    [anon_sym_mut] = ACTIONS(3342),
    [anon_sym_C] = ACTIONS(3342),
    [anon_sym_JS] = ACTIONS(3342),
    [anon_sym_voidptr] = ACTIONS(3342),
    [anon_sym_byteptr] = ACTIONS(3342),
    [anon_sym_charptr] = ACTIONS(3342),
    [anon_sym_i8] = ACTIONS(3342),
    [anon_sym_i16] = ACTIONS(3342),
    [anon_sym_i32] = ACTIONS(3342),
    [anon_sym_int] = ACTIONS(3342),
    [anon_sym_i64] = ACTIONS(3342),
    [anon_sym_byte] = ACTIONS(3342),
    [anon_sym_u8] = ACTIONS(3342),
    [anon_sym_u16] = ACTIONS(3342),
    [anon_sym_u32] = ACTIONS(3342),
    [anon_sym_u64] = ACTIONS(3342),
    [anon_sym_f32] = ACTIONS(3342),
    [anon_sym_f64] = ACTIONS(3342),
    [anon_sym_bool] = ACTIONS(3342),
    [anon_sym_rune] = ACTIONS(3342),
    [anon_sym_map] = ACTIONS(3342),
    [anon_sym_mapnode] = ACTIONS(3342),
    [anon_sym_size_t] = ACTIONS(3342),
    [anon_sym_usize] = ACTIONS(3342),
    [anon_sym_isize] = ACTIONS(3342),
    [anon_sym_float_literal] = ACTIONS(3342),
    [anon_sym_int_literal] = ACTIONS(3342),
    [anon_sym_IError] = ACTIONS(3342),
    [sym_type_placeholder] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [sym_type_identifier] = ACTIONS(3342),
    [anon_sym_assert] = ACTIONS(3342),
    [anon_sym_defer] = ACTIONS(3342),
    [anon_sym_unsafe] = ACTIONS(3342),
    [anon_sym_pub] = ACTIONS(3342),
    [anon_sym_fn] = ACTIONS(3342),
    [anon_sym___global] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_asm] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_go] = ACTIONS(3342),
    [anon_sym_spawn] = ACTIONS(3342),
    [anon_sym_goto] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_DOLLARfor] = ACTIONS(3340),
    [anon_sym_DOLLARif] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3342),
    [anon_sym_union] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_POUND] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_match] = ACTIONS(3342),
    [anon_sym_select] = ACTIONS(3342),
    [anon_sym_lock] = ACTIONS(3342),
    [anon_sym_rlock] = ACTIONS(3342),
    [sym__automatic_separator] = ACTIONS(3340),
    [sym__c_string_opening] = ACTIONS(3340),
    [sym__raw_string_opening] = ACTIONS(3340),
    [sym__string_opening] = ACTIONS(3340),
    [sym__comment] = ACTIONS(3),
  },
  [1127] = {
    [sym_comment] = STATE(1127),
    [ts_builtin_sym_end] = ACTIONS(3344),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_in] = ACTIONS(3334),
    [anon_sym_BANGin] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3336),
    [anon_sym_PIPE_PIPE] = ACTIONS(3338),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_DOLLAR] = ACTIONS(3346),
    [sym_none] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(3344),
    [anon_sym_chan] = ACTIONS(3346),
    [anon_sym_shared] = ACTIONS(3346),
    [anon_sym_thread] = ACTIONS(3346),
    [sym_int_literal] = ACTIONS(3346),
    [sym_float_literal] = ACTIONS(3344),
    [sym_rune_literal] = ACTIONS(3344),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_char] = ACTIONS(3346),
    [anon_sym_sql] = ACTIONS(3346),
    [anon_sym_mut] = ACTIONS(3346),
    [anon_sym_C] = ACTIONS(3346),
    [anon_sym_JS] = ACTIONS(3346),
    [anon_sym_voidptr] = ACTIONS(3346),
    [anon_sym_byteptr] = ACTIONS(3346),
    [anon_sym_charptr] = ACTIONS(3346),
    [anon_sym_i8] = ACTIONS(3346),
    [anon_sym_i16] = ACTIONS(3346),
    [anon_sym_i32] = ACTIONS(3346),
    [anon_sym_int] = ACTIONS(3346),
    [anon_sym_i64] = ACTIONS(3346),
    [anon_sym_byte] = ACTIONS(3346),
    [anon_sym_u8] = ACTIONS(3346),
    [anon_sym_u16] = ACTIONS(3346),
    [anon_sym_u32] = ACTIONS(3346),
    [anon_sym_u64] = ACTIONS(3346),
    [anon_sym_f32] = ACTIONS(3346),
    [anon_sym_f64] = ACTIONS(3346),
    [anon_sym_bool] = ACTIONS(3346),
    [anon_sym_rune] = ACTIONS(3346),
    [anon_sym_map] = ACTIONS(3346),
    [anon_sym_mapnode] = ACTIONS(3346),
    [anon_sym_size_t] = ACTIONS(3346),
    [anon_sym_usize] = ACTIONS(3346),
    [anon_sym_isize] = ACTIONS(3346),
    [anon_sym_float_literal] = ACTIONS(3346),
    [anon_sym_int_literal] = ACTIONS(3346),
    [anon_sym_IError] = ACTIONS(3346),
    [sym_type_placeholder] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [sym_type_identifier] = ACTIONS(3346),
    [anon_sym_assert] = ACTIONS(3346),
    [anon_sym_defer] = ACTIONS(3346),
    [anon_sym_unsafe] = ACTIONS(3346),
    [anon_sym_pub] = ACTIONS(3346),
    [anon_sym_fn] = ACTIONS(3346),
    [anon_sym___global] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_asm] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_go] = ACTIONS(3346),
    [anon_sym_spawn] = ACTIONS(3346),
    [anon_sym_goto] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_DOLLARfor] = ACTIONS(3344),
    [anon_sym_DOLLARif] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_POUND] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_match] = ACTIONS(3346),
    [anon_sym_select] = ACTIONS(3346),
    [anon_sym_lock] = ACTIONS(3346),
    [anon_sym_rlock] = ACTIONS(3346),
    [sym__automatic_separator] = ACTIONS(3344),
    [sym__c_string_opening] = ACTIONS(3344),
    [sym__raw_string_opening] = ACTIONS(3344),
    [sym__string_opening] = ACTIONS(3344),
    [sym__comment] = ACTIONS(3),
  },
  [1128] = {
    [sym_comment] = STATE(1128),
    [ts_builtin_sym_end] = ACTIONS(3348),
    [sym_identifier] = ACTIONS(3350),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3350),
    [anon_sym_TILDE] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(3348),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_in] = ACTIONS(3334),
    [anon_sym_BANGin] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3336),
    [anon_sym_PIPE_PIPE] = ACTIONS(3338),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_DOLLAR] = ACTIONS(3350),
    [sym_none] = ACTIONS(3350),
    [sym_true] = ACTIONS(3350),
    [sym_false] = ACTIONS(3350),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(3348),
    [anon_sym_chan] = ACTIONS(3350),
    [anon_sym_shared] = ACTIONS(3350),
    [anon_sym_thread] = ACTIONS(3350),
    [sym_int_literal] = ACTIONS(3350),
    [sym_float_literal] = ACTIONS(3348),
    [sym_rune_literal] = ACTIONS(3348),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(3350),
    [anon_sym_string] = ACTIONS(3350),
    [anon_sym_char] = ACTIONS(3350),
    [anon_sym_sql] = ACTIONS(3350),
    [anon_sym_mut] = ACTIONS(3350),
    [anon_sym_C] = ACTIONS(3350),
    [anon_sym_JS] = ACTIONS(3350),
    [anon_sym_voidptr] = ACTIONS(3350),
    [anon_sym_byteptr] = ACTIONS(3350),
    [anon_sym_charptr] = ACTIONS(3350),
    [anon_sym_i8] = ACTIONS(3350),
    [anon_sym_i16] = ACTIONS(3350),
    [anon_sym_i32] = ACTIONS(3350),
    [anon_sym_int] = ACTIONS(3350),
    [anon_sym_i64] = ACTIONS(3350),
    [anon_sym_byte] = ACTIONS(3350),
    [anon_sym_u8] = ACTIONS(3350),
    [anon_sym_u16] = ACTIONS(3350),
    [anon_sym_u32] = ACTIONS(3350),
    [anon_sym_u64] = ACTIONS(3350),
    [anon_sym_f32] = ACTIONS(3350),
    [anon_sym_f64] = ACTIONS(3350),
    [anon_sym_bool] = ACTIONS(3350),
    [anon_sym_rune] = ACTIONS(3350),
    [anon_sym_map] = ACTIONS(3350),
    [anon_sym_mapnode] = ACTIONS(3350),
    [anon_sym_size_t] = ACTIONS(3350),
    [anon_sym_usize] = ACTIONS(3350),
    [anon_sym_isize] = ACTIONS(3350),
    [anon_sym_float_literal] = ACTIONS(3350),
    [anon_sym_int_literal] = ACTIONS(3350),
    [anon_sym_IError] = ACTIONS(3350),
    [sym_type_placeholder] = ACTIONS(3350),
    [anon_sym_AT] = ACTIONS(3350),
    [sym_type_identifier] = ACTIONS(3350),
    [anon_sym_assert] = ACTIONS(3350),
    [anon_sym_defer] = ACTIONS(3350),
    [anon_sym_unsafe] = ACTIONS(3350),
    [anon_sym_pub] = ACTIONS(3350),
    [anon_sym_fn] = ACTIONS(3350),
    [anon_sym___global] = ACTIONS(3350),
    [anon_sym_const] = ACTIONS(3350),
    [anon_sym_asm] = ACTIONS(3350),
    [anon_sym_break] = ACTIONS(3350),
    [anon_sym_continue] = ACTIONS(3350),
    [anon_sym_return] = ACTIONS(3350),
    [anon_sym_type] = ACTIONS(3350),
    [anon_sym_go] = ACTIONS(3350),
    [anon_sym_spawn] = ACTIONS(3350),
    [anon_sym_goto] = ACTIONS(3350),
    [anon_sym_for] = ACTIONS(3350),
    [anon_sym_DOLLARfor] = ACTIONS(3348),
    [anon_sym_DOLLARif] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3350),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3350),
    [anon_sym_union] = ACTIONS(3350),
    [anon_sym_enum] = ACTIONS(3350),
    [anon_sym_interface] = ACTIONS(3350),
    [anon_sym_POUND] = ACTIONS(3348),
    [anon_sym_module] = ACTIONS(3350),
    [anon_sym_import] = ACTIONS(3350),
    [anon_sym_match] = ACTIONS(3350),
    [anon_sym_select] = ACTIONS(3350),
    [anon_sym_lock] = ACTIONS(3350),
    [anon_sym_rlock] = ACTIONS(3350),
    [sym__automatic_separator] = ACTIONS(3348),
    [sym__c_string_opening] = ACTIONS(3348),
    [sym__raw_string_opening] = ACTIONS(3348),
    [sym__string_opening] = ACTIONS(3348),
    [sym__comment] = ACTIONS(3),
  },
  [1129] = {
    [sym_comment] = STATE(1129),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_in] = ACTIONS(3334),
    [anon_sym_BANGin] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3336),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1130] = {
    [sym_comment] = STATE(1130),
    [ts_builtin_sym_end] = ACTIONS(3352),
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_LPAREN] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3352),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(3352),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_in] = ACTIONS(3334),
    [anon_sym_BANGin] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3336),
    [anon_sym_PIPE_PIPE] = ACTIONS(3338),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_DOLLAR] = ACTIONS(3354),
    [sym_none] = ACTIONS(3354),
    [sym_true] = ACTIONS(3354),
    [sym_false] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(3352),
    [anon_sym_chan] = ACTIONS(3354),
    [anon_sym_shared] = ACTIONS(3354),
    [anon_sym_thread] = ACTIONS(3354),
    [sym_int_literal] = ACTIONS(3354),
    [sym_float_literal] = ACTIONS(3352),
    [sym_rune_literal] = ACTIONS(3352),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_char] = ACTIONS(3354),
    [anon_sym_sql] = ACTIONS(3354),
    [anon_sym_mut] = ACTIONS(3354),
    [anon_sym_C] = ACTIONS(3354),
    [anon_sym_JS] = ACTIONS(3354),
    [anon_sym_voidptr] = ACTIONS(3354),
    [anon_sym_byteptr] = ACTIONS(3354),
    [anon_sym_charptr] = ACTIONS(3354),
    [anon_sym_i8] = ACTIONS(3354),
    [anon_sym_i16] = ACTIONS(3354),
    [anon_sym_i32] = ACTIONS(3354),
    [anon_sym_int] = ACTIONS(3354),
    [anon_sym_i64] = ACTIONS(3354),
    [anon_sym_byte] = ACTIONS(3354),
    [anon_sym_u8] = ACTIONS(3354),
    [anon_sym_u16] = ACTIONS(3354),
    [anon_sym_u32] = ACTIONS(3354),
    [anon_sym_u64] = ACTIONS(3354),
    [anon_sym_f32] = ACTIONS(3354),
    [anon_sym_f64] = ACTIONS(3354),
    [anon_sym_bool] = ACTIONS(3354),
    [anon_sym_rune] = ACTIONS(3354),
    [anon_sym_map] = ACTIONS(3354),
    [anon_sym_mapnode] = ACTIONS(3354),
    [anon_sym_size_t] = ACTIONS(3354),
    [anon_sym_usize] = ACTIONS(3354),
    [anon_sym_isize] = ACTIONS(3354),
    [anon_sym_float_literal] = ACTIONS(3354),
    [anon_sym_int_literal] = ACTIONS(3354),
    [anon_sym_IError] = ACTIONS(3354),
    [sym_type_placeholder] = ACTIONS(3354),
    [anon_sym_AT] = ACTIONS(3354),
    [sym_type_identifier] = ACTIONS(3354),
    [anon_sym_assert] = ACTIONS(3354),
    [anon_sym_defer] = ACTIONS(3354),
    [anon_sym_unsafe] = ACTIONS(3354),
    [anon_sym_pub] = ACTIONS(3354),
    [anon_sym_fn] = ACTIONS(3354),
    [anon_sym___global] = ACTIONS(3354),
    [anon_sym_const] = ACTIONS(3354),
    [anon_sym_asm] = ACTIONS(3354),
    [anon_sym_break] = ACTIONS(3354),
    [anon_sym_continue] = ACTIONS(3354),
    [anon_sym_return] = ACTIONS(3354),
    [anon_sym_type] = ACTIONS(3354),
    [anon_sym_go] = ACTIONS(3354),
    [anon_sym_spawn] = ACTIONS(3354),
    [anon_sym_goto] = ACTIONS(3354),
    [anon_sym_for] = ACTIONS(3354),
    [anon_sym_DOLLARfor] = ACTIONS(3352),
    [anon_sym_DOLLARif] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3354),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3354),
    [anon_sym_union] = ACTIONS(3354),
    [anon_sym_enum] = ACTIONS(3354),
    [anon_sym_interface] = ACTIONS(3354),
    [anon_sym_POUND] = ACTIONS(3352),
    [anon_sym_module] = ACTIONS(3354),
    [anon_sym_import] = ACTIONS(3354),
    [anon_sym_match] = ACTIONS(3354),
    [anon_sym_select] = ACTIONS(3354),
    [anon_sym_lock] = ACTIONS(3354),
    [anon_sym_rlock] = ACTIONS(3354),
    [sym__automatic_separator] = ACTIONS(3352),
    [sym__c_string_opening] = ACTIONS(3352),
    [sym__raw_string_opening] = ACTIONS(3352),
    [sym__string_opening] = ACTIONS(3352),
    [sym__comment] = ACTIONS(3),
  },
  [1131] = {
    [sym_comment] = STATE(1131),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_in] = ACTIONS(3334),
    [anon_sym_BANGin] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1132] = {
    [sym_comment] = STATE(1132),
    [sym_fixed_array_type] = STATE(1384),
    [sym_array_type] = STATE(1384),
    [sym_pointer_type] = STATE(1384),
    [sym_map_type] = STATE(1384),
    [sym_channel_type] = STATE(1384),
    [sym_shared_type] = STATE(1384),
    [sym_thread_type] = STATE(1384),
    [sym_binded_identifier] = STATE(1395),
    [sym_option_type] = STATE(1447),
    [sym_result_type] = STATE(1447),
    [sym_multi_return_type] = STATE(1447),
    [sym__simple_type] = STATE(1447),
    [sym_builtin_type] = STATE(1384),
    [sym__binded_type] = STATE(1384),
    [sym_generic_type] = STATE(1384),
    [sym_qualified_type] = STATE(1348),
    [sym_function_type] = STATE(1384),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(3360),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(3362),
    [anon_sym_LT_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(650),
    [anon_sym_AMP_AMP] = ACTIONS(650),
    [anon_sym_PIPE_PIPE] = ACTIONS(650),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(3364),
    [sym_none] = ACTIONS(650),
    [sym_true] = ACTIONS(650),
    [sym_false] = ACTIONS(650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_map_LBRACK] = ACTIONS(3368),
    [anon_sym_chan] = ACTIONS(3370),
    [anon_sym_shared] = ACTIONS(3372),
    [anon_sym_thread] = ACTIONS(3374),
    [sym_int_literal] = ACTIONS(650),
    [sym_float_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(3376),
    [anon_sym_string] = ACTIONS(3376),
    [anon_sym_char] = ACTIONS(3376),
    [anon_sym_sql] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(3378),
    [anon_sym_JS] = ACTIONS(3378),
    [anon_sym_voidptr] = ACTIONS(3376),
    [anon_sym_byteptr] = ACTIONS(3376),
    [anon_sym_charptr] = ACTIONS(3376),
    [anon_sym_i8] = ACTIONS(3376),
    [anon_sym_i16] = ACTIONS(3376),
    [anon_sym_i32] = ACTIONS(3376),
    [anon_sym_int] = ACTIONS(3376),
    [anon_sym_i64] = ACTIONS(3376),
    [anon_sym_byte] = ACTIONS(3376),
    [anon_sym_u8] = ACTIONS(3376),
    [anon_sym_u16] = ACTIONS(3376),
    [anon_sym_u32] = ACTIONS(3376),
    [anon_sym_u64] = ACTIONS(3376),
    [anon_sym_f32] = ACTIONS(3376),
    [anon_sym_f64] = ACTIONS(3376),
    [anon_sym_bool] = ACTIONS(3376),
    [anon_sym_rune] = ACTIONS(3376),
    [anon_sym_map] = ACTIONS(3376),
    [anon_sym_mapnode] = ACTIONS(3376),
    [anon_sym_size_t] = ACTIONS(3376),
    [anon_sym_usize] = ACTIONS(3376),
    [anon_sym_isize] = ACTIONS(3376),
    [anon_sym_float_literal] = ACTIONS(3376),
    [anon_sym_int_literal] = ACTIONS(3376),
    [anon_sym_IError] = ACTIONS(3376),
    [sym_type_placeholder] = ACTIONS(3380),
    [anon_sym_AT] = ACTIONS(650),
    [sym_type_identifier] = ACTIONS(3382),
    [anon_sym_unsafe] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(3384),
    [anon_sym_DOLLARif] = ACTIONS(650),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(650),
    [anon_sym_match] = ACTIONS(650),
    [anon_sym_select] = ACTIONS(650),
    [anon_sym_lock] = ACTIONS(650),
    [anon_sym_rlock] = ACTIONS(650),
    [sym__c_string_opening] = ACTIONS(644),
    [sym__raw_string_opening] = ACTIONS(644),
    [sym__string_opening] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1133] = {
    [sym_comment] = STATE(1133),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1134] = {
    [sym_comment] = STATE(1134),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3388),
    [anon_sym_LPAREN] = ACTIONS(3386),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3388),
    [anon_sym_TILDE] = ACTIONS(3386),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(3386),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(3330),
    [anon_sym_EQ_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_in] = ACTIONS(3334),
    [anon_sym_BANGin] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3336),
    [anon_sym_PIPE_PIPE] = ACTIONS(3338),
    [anon_sym_as] = ACTIONS(3286),
    [anon_sym_DOLLAR] = ACTIONS(3388),
    [sym_none] = ACTIONS(3388),
    [sym_true] = ACTIONS(3388),
    [sym_false] = ACTIONS(3388),
    [anon_sym_LBRACE] = ACTIONS(3386),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(3386),
    [anon_sym_chan] = ACTIONS(3388),
    [anon_sym_shared] = ACTIONS(3388),
    [anon_sym_thread] = ACTIONS(3388),
    [sym_int_literal] = ACTIONS(3388),
    [sym_float_literal] = ACTIONS(3386),
    [sym_rune_literal] = ACTIONS(3386),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(3388),
    [anon_sym_string] = ACTIONS(3388),
    [anon_sym_char] = ACTIONS(3388),
    [anon_sym_sql] = ACTIONS(3388),
    [anon_sym_mut] = ACTIONS(3388),
    [anon_sym_C] = ACTIONS(3388),
    [anon_sym_JS] = ACTIONS(3388),
    [anon_sym_voidptr] = ACTIONS(3388),
    [anon_sym_byteptr] = ACTIONS(3388),
    [anon_sym_charptr] = ACTIONS(3388),
    [anon_sym_i8] = ACTIONS(3388),
    [anon_sym_i16] = ACTIONS(3388),
    [anon_sym_i32] = ACTIONS(3388),
    [anon_sym_int] = ACTIONS(3388),
    [anon_sym_i64] = ACTIONS(3388),
    [anon_sym_byte] = ACTIONS(3388),
    [anon_sym_u8] = ACTIONS(3388),
    [anon_sym_u16] = ACTIONS(3388),
    [anon_sym_u32] = ACTIONS(3388),
    [anon_sym_u64] = ACTIONS(3388),
    [anon_sym_f32] = ACTIONS(3388),
    [anon_sym_f64] = ACTIONS(3388),
    [anon_sym_bool] = ACTIONS(3388),
    [anon_sym_rune] = ACTIONS(3388),
    [anon_sym_map] = ACTIONS(3388),
    [anon_sym_mapnode] = ACTIONS(3388),
    [anon_sym_size_t] = ACTIONS(3388),
    [anon_sym_usize] = ACTIONS(3388),
    [anon_sym_isize] = ACTIONS(3388),
    [anon_sym_float_literal] = ACTIONS(3388),
    [anon_sym_int_literal] = ACTIONS(3388),
    [anon_sym_IError] = ACTIONS(3388),
    [sym_type_placeholder] = ACTIONS(3388),
    [anon_sym_AT] = ACTIONS(3388),
    [sym_type_identifier] = ACTIONS(3388),
    [anon_sym_assert] = ACTIONS(3388),
    [anon_sym_defer] = ACTIONS(3388),
    [anon_sym_unsafe] = ACTIONS(3388),
    [anon_sym_pub] = ACTIONS(3388),
    [anon_sym_fn] = ACTIONS(3388),
    [anon_sym___global] = ACTIONS(3388),
    [anon_sym_const] = ACTIONS(3388),
    [anon_sym_asm] = ACTIONS(3388),
    [anon_sym_break] = ACTIONS(3388),
    [anon_sym_continue] = ACTIONS(3388),
    [anon_sym_return] = ACTIONS(3388),
    [anon_sym_type] = ACTIONS(3388),
    [anon_sym_go] = ACTIONS(3388),
    [anon_sym_spawn] = ACTIONS(3388),
    [anon_sym_goto] = ACTIONS(3388),
    [anon_sym_for] = ACTIONS(3388),
    [anon_sym_DOLLARfor] = ACTIONS(3386),
    [anon_sym_DOLLARif] = ACTIONS(3386),
    [anon_sym_if] = ACTIONS(3388),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3388),
    [anon_sym_union] = ACTIONS(3388),
    [anon_sym_enum] = ACTIONS(3388),
    [anon_sym_interface] = ACTIONS(3388),
    [anon_sym_POUND] = ACTIONS(3386),
    [anon_sym_module] = ACTIONS(3388),
    [anon_sym_import] = ACTIONS(3388),
    [anon_sym_match] = ACTIONS(3388),
    [anon_sym_select] = ACTIONS(3388),
    [anon_sym_lock] = ACTIONS(3388),
    [anon_sym_rlock] = ACTIONS(3388),
    [sym__automatic_separator] = ACTIONS(3386),
    [sym__c_string_opening] = ACTIONS(3386),
    [sym__raw_string_opening] = ACTIONS(3386),
    [sym__string_opening] = ACTIONS(3386),
    [sym__comment] = ACTIONS(3),
  },
  [1135] = {
    [sym_comment] = STATE(1135),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3326),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_GT_GT_GT] = ACTIONS(3326),
    [anon_sym_AMP_CARET] = ACTIONS(3326),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_pub] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym___global] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_type] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_interface] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1136] = {
    [sym_comment] = STATE(1136),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1489),
    [sym_result_type] = STATE(1489),
    [sym_multi_return_type] = STATE(1489),
    [sym__simple_type] = STATE(1489),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1612),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3390),
    [anon_sym_CARET] = ACTIONS(3390),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3390),
    [anon_sym_DOLLAR] = ACTIONS(3400),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3400),
    [sym_true] = ACTIONS(3400),
    [sym_false] = ACTIONS(3400),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3400),
    [sym_float_literal] = ACTIONS(3390),
    [sym_rune_literal] = ACTIONS(3390),
    [anon_sym_DOT] = ACTIONS(3400),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3400),
    [anon_sym_mut] = ACTIONS(3400),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3400),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3400),
    [anon_sym_defer] = ACTIONS(3400),
    [anon_sym_unsafe] = ACTIONS(3400),
    [anon_sym_pub] = ACTIONS(3400),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3400),
    [anon_sym_const] = ACTIONS(3400),
    [anon_sym_asm] = ACTIONS(3400),
    [anon_sym_break] = ACTIONS(3400),
    [anon_sym_continue] = ACTIONS(3400),
    [anon_sym_return] = ACTIONS(3400),
    [anon_sym_type] = ACTIONS(3400),
    [anon_sym_go] = ACTIONS(3400),
    [anon_sym_spawn] = ACTIONS(3400),
    [anon_sym_goto] = ACTIONS(3400),
    [anon_sym_for] = ACTIONS(3400),
    [anon_sym_DOLLARfor] = ACTIONS(3390),
    [anon_sym_DOLLARif] = ACTIONS(3390),
    [anon_sym_if] = ACTIONS(3400),
    [anon_sym_struct] = ACTIONS(3400),
    [anon_sym_union] = ACTIONS(3400),
    [anon_sym_enum] = ACTIONS(3400),
    [anon_sym_interface] = ACTIONS(3400),
    [anon_sym_POUND] = ACTIONS(3390),
    [anon_sym_module] = ACTIONS(3400),
    [anon_sym_import] = ACTIONS(3400),
    [anon_sym_match] = ACTIONS(3400),
    [anon_sym_select] = ACTIONS(3400),
    [anon_sym_lock] = ACTIONS(3400),
    [anon_sym_rlock] = ACTIONS(3400),
    [sym__automatic_separator] = ACTIONS(3390),
    [sym__c_string_opening] = ACTIONS(3390),
    [sym__raw_string_opening] = ACTIONS(3390),
    [sym__string_opening] = ACTIONS(3390),
    [sym__comment] = ACTIONS(3),
  },
  [1137] = {
    [sym_comment] = STATE(1137),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1538),
    [sym_result_type] = STATE(1538),
    [sym_multi_return_type] = STATE(1538),
    [sym__simple_type] = STATE(1538),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1671),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3426),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3426),
    [anon_sym_CARET] = ACTIONS(3426),
    [anon_sym_STAR] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3426),
    [anon_sym_DOLLAR] = ACTIONS(3428),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3428),
    [sym_true] = ACTIONS(3428),
    [sym_false] = ACTIONS(3428),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3428),
    [sym_float_literal] = ACTIONS(3426),
    [sym_rune_literal] = ACTIONS(3426),
    [anon_sym_DOT] = ACTIONS(3428),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3428),
    [anon_sym_mut] = ACTIONS(3428),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3428),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3428),
    [anon_sym_defer] = ACTIONS(3428),
    [anon_sym_unsafe] = ACTIONS(3428),
    [anon_sym_pub] = ACTIONS(3428),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3428),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_asm] = ACTIONS(3428),
    [anon_sym_break] = ACTIONS(3428),
    [anon_sym_continue] = ACTIONS(3428),
    [anon_sym_return] = ACTIONS(3428),
    [anon_sym_type] = ACTIONS(3428),
    [anon_sym_go] = ACTIONS(3428),
    [anon_sym_spawn] = ACTIONS(3428),
    [anon_sym_goto] = ACTIONS(3428),
    [anon_sym_for] = ACTIONS(3428),
    [anon_sym_DOLLARfor] = ACTIONS(3426),
    [anon_sym_DOLLARif] = ACTIONS(3426),
    [anon_sym_if] = ACTIONS(3428),
    [anon_sym_struct] = ACTIONS(3428),
    [anon_sym_union] = ACTIONS(3428),
    [anon_sym_enum] = ACTIONS(3428),
    [anon_sym_interface] = ACTIONS(3428),
    [anon_sym_POUND] = ACTIONS(3426),
    [anon_sym_module] = ACTIONS(3428),
    [anon_sym_import] = ACTIONS(3428),
    [anon_sym_match] = ACTIONS(3428),
    [anon_sym_select] = ACTIONS(3428),
    [anon_sym_lock] = ACTIONS(3428),
    [anon_sym_rlock] = ACTIONS(3428),
    [sym__automatic_separator] = ACTIONS(3426),
    [sym__c_string_opening] = ACTIONS(3426),
    [sym__raw_string_opening] = ACTIONS(3426),
    [sym__string_opening] = ACTIONS(3426),
    [sym__comment] = ACTIONS(3),
  },
  [1138] = {
    [sym_comment] = STATE(1138),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1532),
    [sym_result_type] = STATE(1532),
    [sym_multi_return_type] = STATE(1532),
    [sym__simple_type] = STATE(1532),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1679),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3430),
    [anon_sym_DASH] = ACTIONS(3430),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3430),
    [anon_sym_CARET] = ACTIONS(3430),
    [anon_sym_STAR] = ACTIONS(3430),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3430),
    [anon_sym_DOLLAR] = ACTIONS(3432),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3432),
    [sym_true] = ACTIONS(3432),
    [sym_false] = ACTIONS(3432),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3432),
    [sym_float_literal] = ACTIONS(3430),
    [sym_rune_literal] = ACTIONS(3430),
    [anon_sym_DOT] = ACTIONS(3432),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3432),
    [anon_sym_mut] = ACTIONS(3432),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3432),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3432),
    [anon_sym_defer] = ACTIONS(3432),
    [anon_sym_unsafe] = ACTIONS(3432),
    [anon_sym_pub] = ACTIONS(3432),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3432),
    [anon_sym_const] = ACTIONS(3432),
    [anon_sym_asm] = ACTIONS(3432),
    [anon_sym_break] = ACTIONS(3432),
    [anon_sym_continue] = ACTIONS(3432),
    [anon_sym_return] = ACTIONS(3432),
    [anon_sym_type] = ACTIONS(3432),
    [anon_sym_go] = ACTIONS(3432),
    [anon_sym_spawn] = ACTIONS(3432),
    [anon_sym_goto] = ACTIONS(3432),
    [anon_sym_for] = ACTIONS(3432),
    [anon_sym_DOLLARfor] = ACTIONS(3430),
    [anon_sym_DOLLARif] = ACTIONS(3430),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_struct] = ACTIONS(3432),
    [anon_sym_union] = ACTIONS(3432),
    [anon_sym_enum] = ACTIONS(3432),
    [anon_sym_interface] = ACTIONS(3432),
    [anon_sym_POUND] = ACTIONS(3430),
    [anon_sym_module] = ACTIONS(3432),
    [anon_sym_import] = ACTIONS(3432),
    [anon_sym_match] = ACTIONS(3432),
    [anon_sym_select] = ACTIONS(3432),
    [anon_sym_lock] = ACTIONS(3432),
    [anon_sym_rlock] = ACTIONS(3432),
    [sym__automatic_separator] = ACTIONS(3430),
    [sym__c_string_opening] = ACTIONS(3430),
    [sym__raw_string_opening] = ACTIONS(3430),
    [sym__string_opening] = ACTIONS(3430),
    [sym__comment] = ACTIONS(3),
  },
  [1139] = {
    [sym_comment] = STATE(1139),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1496),
    [sym_result_type] = STATE(1496),
    [sym_multi_return_type] = STATE(1496),
    [sym__simple_type] = STATE(1496),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1603),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3434),
    [anon_sym_CARET] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3434),
    [anon_sym_DOLLAR] = ACTIONS(3436),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3436),
    [sym_true] = ACTIONS(3436),
    [sym_false] = ACTIONS(3436),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3436),
    [sym_float_literal] = ACTIONS(3434),
    [sym_rune_literal] = ACTIONS(3434),
    [anon_sym_DOT] = ACTIONS(3436),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3436),
    [anon_sym_mut] = ACTIONS(3436),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3436),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3436),
    [anon_sym_defer] = ACTIONS(3436),
    [anon_sym_unsafe] = ACTIONS(3436),
    [anon_sym_pub] = ACTIONS(3436),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3436),
    [anon_sym_const] = ACTIONS(3436),
    [anon_sym_asm] = ACTIONS(3436),
    [anon_sym_break] = ACTIONS(3436),
    [anon_sym_continue] = ACTIONS(3436),
    [anon_sym_return] = ACTIONS(3436),
    [anon_sym_type] = ACTIONS(3436),
    [anon_sym_go] = ACTIONS(3436),
    [anon_sym_spawn] = ACTIONS(3436),
    [anon_sym_goto] = ACTIONS(3436),
    [anon_sym_for] = ACTIONS(3436),
    [anon_sym_DOLLARfor] = ACTIONS(3434),
    [anon_sym_DOLLARif] = ACTIONS(3434),
    [anon_sym_if] = ACTIONS(3436),
    [anon_sym_struct] = ACTIONS(3436),
    [anon_sym_union] = ACTIONS(3436),
    [anon_sym_enum] = ACTIONS(3436),
    [anon_sym_interface] = ACTIONS(3436),
    [anon_sym_POUND] = ACTIONS(3434),
    [anon_sym_module] = ACTIONS(3436),
    [anon_sym_import] = ACTIONS(3436),
    [anon_sym_match] = ACTIONS(3436),
    [anon_sym_select] = ACTIONS(3436),
    [anon_sym_lock] = ACTIONS(3436),
    [anon_sym_rlock] = ACTIONS(3436),
    [sym__automatic_separator] = ACTIONS(3434),
    [sym__c_string_opening] = ACTIONS(3434),
    [sym__raw_string_opening] = ACTIONS(3434),
    [sym__string_opening] = ACTIONS(3434),
    [sym__comment] = ACTIONS(3),
  },
  [1140] = {
    [sym_comment] = STATE(1140),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1539),
    [sym_result_type] = STATE(1539),
    [sym_multi_return_type] = STATE(1539),
    [sym__simple_type] = STATE(1539),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1631),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3438),
    [anon_sym_DASH] = ACTIONS(3438),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3438),
    [anon_sym_CARET] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(3438),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3438),
    [anon_sym_DOLLAR] = ACTIONS(3440),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3440),
    [sym_true] = ACTIONS(3440),
    [sym_false] = ACTIONS(3440),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3440),
    [sym_float_literal] = ACTIONS(3438),
    [sym_rune_literal] = ACTIONS(3438),
    [anon_sym_DOT] = ACTIONS(3440),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3440),
    [anon_sym_mut] = ACTIONS(3440),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3440),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3440),
    [anon_sym_defer] = ACTIONS(3440),
    [anon_sym_unsafe] = ACTIONS(3440),
    [anon_sym_pub] = ACTIONS(3440),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3440),
    [anon_sym_const] = ACTIONS(3440),
    [anon_sym_asm] = ACTIONS(3440),
    [anon_sym_break] = ACTIONS(3440),
    [anon_sym_continue] = ACTIONS(3440),
    [anon_sym_return] = ACTIONS(3440),
    [anon_sym_type] = ACTIONS(3440),
    [anon_sym_go] = ACTIONS(3440),
    [anon_sym_spawn] = ACTIONS(3440),
    [anon_sym_goto] = ACTIONS(3440),
    [anon_sym_for] = ACTIONS(3440),
    [anon_sym_DOLLARfor] = ACTIONS(3438),
    [anon_sym_DOLLARif] = ACTIONS(3438),
    [anon_sym_if] = ACTIONS(3440),
    [anon_sym_struct] = ACTIONS(3440),
    [anon_sym_union] = ACTIONS(3440),
    [anon_sym_enum] = ACTIONS(3440),
    [anon_sym_interface] = ACTIONS(3440),
    [anon_sym_POUND] = ACTIONS(3438),
    [anon_sym_module] = ACTIONS(3440),
    [anon_sym_import] = ACTIONS(3440),
    [anon_sym_match] = ACTIONS(3440),
    [anon_sym_select] = ACTIONS(3440),
    [anon_sym_lock] = ACTIONS(3440),
    [anon_sym_rlock] = ACTIONS(3440),
    [sym__automatic_separator] = ACTIONS(3438),
    [sym__c_string_opening] = ACTIONS(3438),
    [sym__raw_string_opening] = ACTIONS(3438),
    [sym__string_opening] = ACTIONS(3438),
    [sym__comment] = ACTIONS(3),
  },
  [1141] = {
    [sym_comment] = STATE(1141),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1494),
    [sym_result_type] = STATE(1494),
    [sym_multi_return_type] = STATE(1494),
    [sym__simple_type] = STATE(1494),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1571),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3442),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3442),
    [anon_sym_DASH] = ACTIONS(3442),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3442),
    [anon_sym_CARET] = ACTIONS(3442),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3442),
    [anon_sym_DOLLAR] = ACTIONS(3444),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3444),
    [sym_true] = ACTIONS(3444),
    [sym_false] = ACTIONS(3444),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3444),
    [sym_float_literal] = ACTIONS(3442),
    [sym_rune_literal] = ACTIONS(3442),
    [anon_sym_DOT] = ACTIONS(3444),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3444),
    [anon_sym_mut] = ACTIONS(3444),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3444),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3444),
    [anon_sym_defer] = ACTIONS(3444),
    [anon_sym_unsafe] = ACTIONS(3444),
    [anon_sym_pub] = ACTIONS(3444),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3444),
    [anon_sym_asm] = ACTIONS(3444),
    [anon_sym_break] = ACTIONS(3444),
    [anon_sym_continue] = ACTIONS(3444),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_type] = ACTIONS(3444),
    [anon_sym_go] = ACTIONS(3444),
    [anon_sym_spawn] = ACTIONS(3444),
    [anon_sym_goto] = ACTIONS(3444),
    [anon_sym_for] = ACTIONS(3444),
    [anon_sym_DOLLARfor] = ACTIONS(3442),
    [anon_sym_DOLLARif] = ACTIONS(3442),
    [anon_sym_if] = ACTIONS(3444),
    [anon_sym_struct] = ACTIONS(3444),
    [anon_sym_union] = ACTIONS(3444),
    [anon_sym_enum] = ACTIONS(3444),
    [anon_sym_interface] = ACTIONS(3444),
    [anon_sym_POUND] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(3444),
    [anon_sym_import] = ACTIONS(3444),
    [anon_sym_match] = ACTIONS(3444),
    [anon_sym_select] = ACTIONS(3444),
    [anon_sym_lock] = ACTIONS(3444),
    [anon_sym_rlock] = ACTIONS(3444),
    [sym__automatic_separator] = ACTIONS(3442),
    [sym__c_string_opening] = ACTIONS(3442),
    [sym__raw_string_opening] = ACTIONS(3442),
    [sym__string_opening] = ACTIONS(3442),
    [sym__comment] = ACTIONS(3),
  },
  [1142] = {
    [sym_comment] = STATE(1142),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1530),
    [sym_result_type] = STATE(1530),
    [sym_multi_return_type] = STATE(1530),
    [sym__simple_type] = STATE(1530),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1559),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_STAR] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3446),
    [anon_sym_DOLLAR] = ACTIONS(3448),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3448),
    [sym_true] = ACTIONS(3448),
    [sym_false] = ACTIONS(3448),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3448),
    [sym_float_literal] = ACTIONS(3446),
    [sym_rune_literal] = ACTIONS(3446),
    [anon_sym_DOT] = ACTIONS(3448),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3448),
    [anon_sym_mut] = ACTIONS(3448),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3448),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3448),
    [anon_sym_defer] = ACTIONS(3448),
    [anon_sym_unsafe] = ACTIONS(3448),
    [anon_sym_pub] = ACTIONS(3448),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3448),
    [anon_sym_const] = ACTIONS(3448),
    [anon_sym_asm] = ACTIONS(3448),
    [anon_sym_break] = ACTIONS(3448),
    [anon_sym_continue] = ACTIONS(3448),
    [anon_sym_return] = ACTIONS(3448),
    [anon_sym_type] = ACTIONS(3448),
    [anon_sym_go] = ACTIONS(3448),
    [anon_sym_spawn] = ACTIONS(3448),
    [anon_sym_goto] = ACTIONS(3448),
    [anon_sym_for] = ACTIONS(3448),
    [anon_sym_DOLLARfor] = ACTIONS(3446),
    [anon_sym_DOLLARif] = ACTIONS(3446),
    [anon_sym_if] = ACTIONS(3448),
    [anon_sym_struct] = ACTIONS(3448),
    [anon_sym_union] = ACTIONS(3448),
    [anon_sym_enum] = ACTIONS(3448),
    [anon_sym_interface] = ACTIONS(3448),
    [anon_sym_POUND] = ACTIONS(3446),
    [anon_sym_module] = ACTIONS(3448),
    [anon_sym_import] = ACTIONS(3448),
    [anon_sym_match] = ACTIONS(3448),
    [anon_sym_select] = ACTIONS(3448),
    [anon_sym_lock] = ACTIONS(3448),
    [anon_sym_rlock] = ACTIONS(3448),
    [sym__automatic_separator] = ACTIONS(3446),
    [sym__c_string_opening] = ACTIONS(3446),
    [sym__raw_string_opening] = ACTIONS(3446),
    [sym__string_opening] = ACTIONS(3446),
    [sym__comment] = ACTIONS(3),
  },
  [1143] = {
    [sym_comment] = STATE(1143),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1531),
    [sym_result_type] = STATE(1531),
    [sym_multi_return_type] = STATE(1531),
    [sym__simple_type] = STATE(1531),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(644),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(644),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(650),
    [sym_true] = ACTIONS(650),
    [sym_false] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(650),
    [sym_float_literal] = ACTIONS(644),
    [sym_rune_literal] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(650),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(650),
    [anon_sym_defer] = ACTIONS(650),
    [anon_sym_unsafe] = ACTIONS(650),
    [anon_sym_pub] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(650),
    [anon_sym_const] = ACTIONS(650),
    [anon_sym_asm] = ACTIONS(650),
    [anon_sym_break] = ACTIONS(650),
    [anon_sym_continue] = ACTIONS(650),
    [anon_sym_return] = ACTIONS(650),
    [anon_sym_type] = ACTIONS(650),
    [anon_sym_go] = ACTIONS(650),
    [anon_sym_spawn] = ACTIONS(650),
    [anon_sym_goto] = ACTIONS(650),
    [anon_sym_for] = ACTIONS(650),
    [anon_sym_DOLLARfor] = ACTIONS(644),
    [anon_sym_DOLLARif] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_struct] = ACTIONS(650),
    [anon_sym_union] = ACTIONS(650),
    [anon_sym_enum] = ACTIONS(650),
    [anon_sym_interface] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(650),
    [anon_sym_match] = ACTIONS(650),
    [anon_sym_select] = ACTIONS(650),
    [anon_sym_lock] = ACTIONS(650),
    [anon_sym_rlock] = ACTIONS(650),
    [sym__automatic_separator] = ACTIONS(644),
    [sym__c_string_opening] = ACTIONS(644),
    [sym__raw_string_opening] = ACTIONS(644),
    [sym__string_opening] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1144] = {
    [sym_comment] = STATE(1144),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1509),
    [sym_result_type] = STATE(1509),
    [sym_multi_return_type] = STATE(1509),
    [sym__simple_type] = STATE(1509),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1656),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3450),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3450),
    [anon_sym_DASH] = ACTIONS(3450),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3450),
    [anon_sym_CARET] = ACTIONS(3450),
    [anon_sym_STAR] = ACTIONS(3450),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3450),
    [anon_sym_DOLLAR] = ACTIONS(3452),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3452),
    [sym_true] = ACTIONS(3452),
    [sym_false] = ACTIONS(3452),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3452),
    [sym_float_literal] = ACTIONS(3450),
    [sym_rune_literal] = ACTIONS(3450),
    [anon_sym_DOT] = ACTIONS(3452),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3452),
    [anon_sym_mut] = ACTIONS(3452),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3452),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3452),
    [anon_sym_defer] = ACTIONS(3452),
    [anon_sym_unsafe] = ACTIONS(3452),
    [anon_sym_pub] = ACTIONS(3452),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3452),
    [anon_sym_const] = ACTIONS(3452),
    [anon_sym_asm] = ACTIONS(3452),
    [anon_sym_break] = ACTIONS(3452),
    [anon_sym_continue] = ACTIONS(3452),
    [anon_sym_return] = ACTIONS(3452),
    [anon_sym_type] = ACTIONS(3452),
    [anon_sym_go] = ACTIONS(3452),
    [anon_sym_spawn] = ACTIONS(3452),
    [anon_sym_goto] = ACTIONS(3452),
    [anon_sym_for] = ACTIONS(3452),
    [anon_sym_DOLLARfor] = ACTIONS(3450),
    [anon_sym_DOLLARif] = ACTIONS(3450),
    [anon_sym_if] = ACTIONS(3452),
    [anon_sym_struct] = ACTIONS(3452),
    [anon_sym_union] = ACTIONS(3452),
    [anon_sym_enum] = ACTIONS(3452),
    [anon_sym_interface] = ACTIONS(3452),
    [anon_sym_POUND] = ACTIONS(3450),
    [anon_sym_module] = ACTIONS(3452),
    [anon_sym_import] = ACTIONS(3452),
    [anon_sym_match] = ACTIONS(3452),
    [anon_sym_select] = ACTIONS(3452),
    [anon_sym_lock] = ACTIONS(3452),
    [anon_sym_rlock] = ACTIONS(3452),
    [sym__automatic_separator] = ACTIONS(3450),
    [sym__c_string_opening] = ACTIONS(3450),
    [sym__raw_string_opening] = ACTIONS(3450),
    [sym__string_opening] = ACTIONS(3450),
    [sym__comment] = ACTIONS(3),
  },
  [1145] = {
    [sym_comment] = STATE(1145),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1501),
    [sym_result_type] = STATE(1501),
    [sym_multi_return_type] = STATE(1501),
    [sym__simple_type] = STATE(1501),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1597),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3454),
    [anon_sym_DASH] = ACTIONS(3454),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3454),
    [anon_sym_CARET] = ACTIONS(3454),
    [anon_sym_STAR] = ACTIONS(3454),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3454),
    [anon_sym_DOLLAR] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3456),
    [sym_true] = ACTIONS(3456),
    [sym_false] = ACTIONS(3456),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3456),
    [sym_float_literal] = ACTIONS(3454),
    [sym_rune_literal] = ACTIONS(3454),
    [anon_sym_DOT] = ACTIONS(3456),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3456),
    [anon_sym_mut] = ACTIONS(3456),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3456),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3456),
    [anon_sym_defer] = ACTIONS(3456),
    [anon_sym_unsafe] = ACTIONS(3456),
    [anon_sym_pub] = ACTIONS(3456),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3456),
    [anon_sym_const] = ACTIONS(3456),
    [anon_sym_asm] = ACTIONS(3456),
    [anon_sym_break] = ACTIONS(3456),
    [anon_sym_continue] = ACTIONS(3456),
    [anon_sym_return] = ACTIONS(3456),
    [anon_sym_type] = ACTIONS(3456),
    [anon_sym_go] = ACTIONS(3456),
    [anon_sym_spawn] = ACTIONS(3456),
    [anon_sym_goto] = ACTIONS(3456),
    [anon_sym_for] = ACTIONS(3456),
    [anon_sym_DOLLARfor] = ACTIONS(3454),
    [anon_sym_DOLLARif] = ACTIONS(3454),
    [anon_sym_if] = ACTIONS(3456),
    [anon_sym_struct] = ACTIONS(3456),
    [anon_sym_union] = ACTIONS(3456),
    [anon_sym_enum] = ACTIONS(3456),
    [anon_sym_interface] = ACTIONS(3456),
    [anon_sym_POUND] = ACTIONS(3454),
    [anon_sym_module] = ACTIONS(3456),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_match] = ACTIONS(3456),
    [anon_sym_select] = ACTIONS(3456),
    [anon_sym_lock] = ACTIONS(3456),
    [anon_sym_rlock] = ACTIONS(3456),
    [sym__automatic_separator] = ACTIONS(3454),
    [sym__c_string_opening] = ACTIONS(3454),
    [sym__raw_string_opening] = ACTIONS(3454),
    [sym__string_opening] = ACTIONS(3454),
    [sym__comment] = ACTIONS(3),
  },
  [1146] = {
    [sym_comment] = STATE(1146),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1506),
    [sym_result_type] = STATE(1506),
    [sym_multi_return_type] = STATE(1506),
    [sym__simple_type] = STATE(1506),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1638),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3458),
    [anon_sym_DASH] = ACTIONS(3458),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3458),
    [anon_sym_CARET] = ACTIONS(3458),
    [anon_sym_STAR] = ACTIONS(3458),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3460),
    [sym_true] = ACTIONS(3460),
    [sym_false] = ACTIONS(3460),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3460),
    [sym_float_literal] = ACTIONS(3458),
    [sym_rune_literal] = ACTIONS(3458),
    [anon_sym_DOT] = ACTIONS(3460),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3460),
    [anon_sym_mut] = ACTIONS(3460),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3460),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3460),
    [anon_sym_defer] = ACTIONS(3460),
    [anon_sym_unsafe] = ACTIONS(3460),
    [anon_sym_pub] = ACTIONS(3460),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3460),
    [anon_sym_const] = ACTIONS(3460),
    [anon_sym_asm] = ACTIONS(3460),
    [anon_sym_break] = ACTIONS(3460),
    [anon_sym_continue] = ACTIONS(3460),
    [anon_sym_return] = ACTIONS(3460),
    [anon_sym_type] = ACTIONS(3460),
    [anon_sym_go] = ACTIONS(3460),
    [anon_sym_spawn] = ACTIONS(3460),
    [anon_sym_goto] = ACTIONS(3460),
    [anon_sym_for] = ACTIONS(3460),
    [anon_sym_DOLLARfor] = ACTIONS(3458),
    [anon_sym_DOLLARif] = ACTIONS(3458),
    [anon_sym_if] = ACTIONS(3460),
    [anon_sym_struct] = ACTIONS(3460),
    [anon_sym_union] = ACTIONS(3460),
    [anon_sym_enum] = ACTIONS(3460),
    [anon_sym_interface] = ACTIONS(3460),
    [anon_sym_POUND] = ACTIONS(3458),
    [anon_sym_module] = ACTIONS(3460),
    [anon_sym_import] = ACTIONS(3460),
    [anon_sym_match] = ACTIONS(3460),
    [anon_sym_select] = ACTIONS(3460),
    [anon_sym_lock] = ACTIONS(3460),
    [anon_sym_rlock] = ACTIONS(3460),
    [sym__automatic_separator] = ACTIONS(3458),
    [sym__c_string_opening] = ACTIONS(3458),
    [sym__raw_string_opening] = ACTIONS(3458),
    [sym__string_opening] = ACTIONS(3458),
    [sym__comment] = ACTIONS(3),
  },
  [1147] = {
    [sym_comment] = STATE(1147),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1522),
    [sym_result_type] = STATE(1522),
    [sym_multi_return_type] = STATE(1522),
    [sym__simple_type] = STATE(1522),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1585),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3462),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3462),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_CARET] = ACTIONS(3462),
    [anon_sym_STAR] = ACTIONS(3462),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3462),
    [anon_sym_DOLLAR] = ACTIONS(3464),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3464),
    [sym_true] = ACTIONS(3464),
    [sym_false] = ACTIONS(3464),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3464),
    [sym_float_literal] = ACTIONS(3462),
    [sym_rune_literal] = ACTIONS(3462),
    [anon_sym_DOT] = ACTIONS(3464),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3464),
    [anon_sym_mut] = ACTIONS(3464),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3464),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3464),
    [anon_sym_defer] = ACTIONS(3464),
    [anon_sym_unsafe] = ACTIONS(3464),
    [anon_sym_pub] = ACTIONS(3464),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3464),
    [anon_sym_const] = ACTIONS(3464),
    [anon_sym_asm] = ACTIONS(3464),
    [anon_sym_break] = ACTIONS(3464),
    [anon_sym_continue] = ACTIONS(3464),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_type] = ACTIONS(3464),
    [anon_sym_go] = ACTIONS(3464),
    [anon_sym_spawn] = ACTIONS(3464),
    [anon_sym_goto] = ACTIONS(3464),
    [anon_sym_for] = ACTIONS(3464),
    [anon_sym_DOLLARfor] = ACTIONS(3462),
    [anon_sym_DOLLARif] = ACTIONS(3462),
    [anon_sym_if] = ACTIONS(3464),
    [anon_sym_struct] = ACTIONS(3464),
    [anon_sym_union] = ACTIONS(3464),
    [anon_sym_enum] = ACTIONS(3464),
    [anon_sym_interface] = ACTIONS(3464),
    [anon_sym_POUND] = ACTIONS(3462),
    [anon_sym_module] = ACTIONS(3464),
    [anon_sym_import] = ACTIONS(3464),
    [anon_sym_match] = ACTIONS(3464),
    [anon_sym_select] = ACTIONS(3464),
    [anon_sym_lock] = ACTIONS(3464),
    [anon_sym_rlock] = ACTIONS(3464),
    [sym__automatic_separator] = ACTIONS(3462),
    [sym__c_string_opening] = ACTIONS(3462),
    [sym__raw_string_opening] = ACTIONS(3462),
    [sym__string_opening] = ACTIONS(3462),
    [sym__comment] = ACTIONS(3),
  },
  [1148] = {
    [sym_comment] = STATE(1148),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1503),
    [sym_result_type] = STATE(1503),
    [sym_multi_return_type] = STATE(1503),
    [sym__simple_type] = STATE(1503),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1646),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3466),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3466),
    [anon_sym_DASH] = ACTIONS(3466),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3466),
    [anon_sym_CARET] = ACTIONS(3466),
    [anon_sym_STAR] = ACTIONS(3466),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3466),
    [anon_sym_DOLLAR] = ACTIONS(3468),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3468),
    [sym_true] = ACTIONS(3468),
    [sym_false] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3468),
    [sym_float_literal] = ACTIONS(3466),
    [sym_rune_literal] = ACTIONS(3466),
    [anon_sym_DOT] = ACTIONS(3468),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3468),
    [anon_sym_mut] = ACTIONS(3468),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3468),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3468),
    [anon_sym_defer] = ACTIONS(3468),
    [anon_sym_unsafe] = ACTIONS(3468),
    [anon_sym_pub] = ACTIONS(3468),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3468),
    [anon_sym_const] = ACTIONS(3468),
    [anon_sym_asm] = ACTIONS(3468),
    [anon_sym_break] = ACTIONS(3468),
    [anon_sym_continue] = ACTIONS(3468),
    [anon_sym_return] = ACTIONS(3468),
    [anon_sym_type] = ACTIONS(3468),
    [anon_sym_go] = ACTIONS(3468),
    [anon_sym_spawn] = ACTIONS(3468),
    [anon_sym_goto] = ACTIONS(3468),
    [anon_sym_for] = ACTIONS(3468),
    [anon_sym_DOLLARfor] = ACTIONS(3466),
    [anon_sym_DOLLARif] = ACTIONS(3466),
    [anon_sym_if] = ACTIONS(3468),
    [anon_sym_struct] = ACTIONS(3468),
    [anon_sym_union] = ACTIONS(3468),
    [anon_sym_enum] = ACTIONS(3468),
    [anon_sym_interface] = ACTIONS(3468),
    [anon_sym_POUND] = ACTIONS(3466),
    [anon_sym_module] = ACTIONS(3468),
    [anon_sym_import] = ACTIONS(3468),
    [anon_sym_match] = ACTIONS(3468),
    [anon_sym_select] = ACTIONS(3468),
    [anon_sym_lock] = ACTIONS(3468),
    [anon_sym_rlock] = ACTIONS(3468),
    [sym__automatic_separator] = ACTIONS(3466),
    [sym__c_string_opening] = ACTIONS(3466),
    [sym__raw_string_opening] = ACTIONS(3466),
    [sym__string_opening] = ACTIONS(3466),
    [sym__comment] = ACTIONS(3),
  },
  [1149] = {
    [sym_comment] = STATE(1149),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1529),
    [sym_result_type] = STATE(1529),
    [sym_multi_return_type] = STATE(1529),
    [sym__simple_type] = STATE(1529),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1674),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3470),
    [anon_sym_DASH] = ACTIONS(3470),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3470),
    [anon_sym_CARET] = ACTIONS(3470),
    [anon_sym_STAR] = ACTIONS(3470),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3470),
    [anon_sym_DOLLAR] = ACTIONS(3472),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3472),
    [sym_true] = ACTIONS(3472),
    [sym_false] = ACTIONS(3472),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3472),
    [sym_float_literal] = ACTIONS(3470),
    [sym_rune_literal] = ACTIONS(3470),
    [anon_sym_DOT] = ACTIONS(3472),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3472),
    [anon_sym_mut] = ACTIONS(3472),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3472),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3472),
    [anon_sym_defer] = ACTIONS(3472),
    [anon_sym_unsafe] = ACTIONS(3472),
    [anon_sym_pub] = ACTIONS(3472),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3472),
    [anon_sym_const] = ACTIONS(3472),
    [anon_sym_asm] = ACTIONS(3472),
    [anon_sym_break] = ACTIONS(3472),
    [anon_sym_continue] = ACTIONS(3472),
    [anon_sym_return] = ACTIONS(3472),
    [anon_sym_type] = ACTIONS(3472),
    [anon_sym_go] = ACTIONS(3472),
    [anon_sym_spawn] = ACTIONS(3472),
    [anon_sym_goto] = ACTIONS(3472),
    [anon_sym_for] = ACTIONS(3472),
    [anon_sym_DOLLARfor] = ACTIONS(3470),
    [anon_sym_DOLLARif] = ACTIONS(3470),
    [anon_sym_if] = ACTIONS(3472),
    [anon_sym_struct] = ACTIONS(3472),
    [anon_sym_union] = ACTIONS(3472),
    [anon_sym_enum] = ACTIONS(3472),
    [anon_sym_interface] = ACTIONS(3472),
    [anon_sym_POUND] = ACTIONS(3470),
    [anon_sym_module] = ACTIONS(3472),
    [anon_sym_import] = ACTIONS(3472),
    [anon_sym_match] = ACTIONS(3472),
    [anon_sym_select] = ACTIONS(3472),
    [anon_sym_lock] = ACTIONS(3472),
    [anon_sym_rlock] = ACTIONS(3472),
    [sym__automatic_separator] = ACTIONS(3470),
    [sym__c_string_opening] = ACTIONS(3470),
    [sym__raw_string_opening] = ACTIONS(3470),
    [sym__string_opening] = ACTIONS(3470),
    [sym__comment] = ACTIONS(3),
  },
  [1150] = {
    [sym_comment] = STATE(1150),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1488),
    [sym_result_type] = STATE(1488),
    [sym_multi_return_type] = STATE(1488),
    [sym__simple_type] = STATE(1488),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1615),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3474),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3474),
    [anon_sym_DASH] = ACTIONS(3474),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3474),
    [anon_sym_CARET] = ACTIONS(3474),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3474),
    [anon_sym_DOLLAR] = ACTIONS(3476),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3476),
    [sym_true] = ACTIONS(3476),
    [sym_false] = ACTIONS(3476),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3476),
    [sym_float_literal] = ACTIONS(3474),
    [sym_rune_literal] = ACTIONS(3474),
    [anon_sym_DOT] = ACTIONS(3476),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3476),
    [anon_sym_mut] = ACTIONS(3476),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3476),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3476),
    [anon_sym_defer] = ACTIONS(3476),
    [anon_sym_unsafe] = ACTIONS(3476),
    [anon_sym_pub] = ACTIONS(3476),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3476),
    [anon_sym_asm] = ACTIONS(3476),
    [anon_sym_break] = ACTIONS(3476),
    [anon_sym_continue] = ACTIONS(3476),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_type] = ACTIONS(3476),
    [anon_sym_go] = ACTIONS(3476),
    [anon_sym_spawn] = ACTIONS(3476),
    [anon_sym_goto] = ACTIONS(3476),
    [anon_sym_for] = ACTIONS(3476),
    [anon_sym_DOLLARfor] = ACTIONS(3474),
    [anon_sym_DOLLARif] = ACTIONS(3474),
    [anon_sym_if] = ACTIONS(3476),
    [anon_sym_struct] = ACTIONS(3476),
    [anon_sym_union] = ACTIONS(3476),
    [anon_sym_enum] = ACTIONS(3476),
    [anon_sym_interface] = ACTIONS(3476),
    [anon_sym_POUND] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(3476),
    [anon_sym_import] = ACTIONS(3476),
    [anon_sym_match] = ACTIONS(3476),
    [anon_sym_select] = ACTIONS(3476),
    [anon_sym_lock] = ACTIONS(3476),
    [anon_sym_rlock] = ACTIONS(3476),
    [sym__automatic_separator] = ACTIONS(3474),
    [sym__c_string_opening] = ACTIONS(3474),
    [sym__raw_string_opening] = ACTIONS(3474),
    [sym__string_opening] = ACTIONS(3474),
    [sym__comment] = ACTIONS(3),
  },
  [1151] = {
    [sym_comment] = STATE(1151),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1495),
    [sym_result_type] = STATE(1495),
    [sym_multi_return_type] = STATE(1495),
    [sym__simple_type] = STATE(1495),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1604),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3478),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3478),
    [anon_sym_DASH] = ACTIONS(3478),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3478),
    [anon_sym_CARET] = ACTIONS(3478),
    [anon_sym_STAR] = ACTIONS(3478),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3478),
    [anon_sym_DOLLAR] = ACTIONS(3480),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3480),
    [sym_true] = ACTIONS(3480),
    [sym_false] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3480),
    [sym_float_literal] = ACTIONS(3478),
    [sym_rune_literal] = ACTIONS(3478),
    [anon_sym_DOT] = ACTIONS(3480),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3480),
    [anon_sym_mut] = ACTIONS(3480),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3480),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3480),
    [anon_sym_defer] = ACTIONS(3480),
    [anon_sym_unsafe] = ACTIONS(3480),
    [anon_sym_pub] = ACTIONS(3480),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3480),
    [anon_sym_const] = ACTIONS(3480),
    [anon_sym_asm] = ACTIONS(3480),
    [anon_sym_break] = ACTIONS(3480),
    [anon_sym_continue] = ACTIONS(3480),
    [anon_sym_return] = ACTIONS(3480),
    [anon_sym_type] = ACTIONS(3480),
    [anon_sym_go] = ACTIONS(3480),
    [anon_sym_spawn] = ACTIONS(3480),
    [anon_sym_goto] = ACTIONS(3480),
    [anon_sym_for] = ACTIONS(3480),
    [anon_sym_DOLLARfor] = ACTIONS(3478),
    [anon_sym_DOLLARif] = ACTIONS(3478),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_struct] = ACTIONS(3480),
    [anon_sym_union] = ACTIONS(3480),
    [anon_sym_enum] = ACTIONS(3480),
    [anon_sym_interface] = ACTIONS(3480),
    [anon_sym_POUND] = ACTIONS(3478),
    [anon_sym_module] = ACTIONS(3480),
    [anon_sym_import] = ACTIONS(3480),
    [anon_sym_match] = ACTIONS(3480),
    [anon_sym_select] = ACTIONS(3480),
    [anon_sym_lock] = ACTIONS(3480),
    [anon_sym_rlock] = ACTIONS(3480),
    [sym__automatic_separator] = ACTIONS(3478),
    [sym__c_string_opening] = ACTIONS(3478),
    [sym__raw_string_opening] = ACTIONS(3478),
    [sym__string_opening] = ACTIONS(3478),
    [sym__comment] = ACTIONS(3),
  },
  [1152] = {
    [sym_comment] = STATE(1152),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1507),
    [sym_result_type] = STATE(1507),
    [sym_multi_return_type] = STATE(1507),
    [sym__simple_type] = STATE(1507),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1664),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3482),
    [anon_sym_DASH] = ACTIONS(3482),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3482),
    [anon_sym_CARET] = ACTIONS(3482),
    [anon_sym_STAR] = ACTIONS(3482),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3482),
    [anon_sym_DOLLAR] = ACTIONS(3484),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3484),
    [sym_true] = ACTIONS(3484),
    [sym_false] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3484),
    [sym_float_literal] = ACTIONS(3482),
    [sym_rune_literal] = ACTIONS(3482),
    [anon_sym_DOT] = ACTIONS(3484),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3484),
    [anon_sym_mut] = ACTIONS(3484),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3484),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3484),
    [anon_sym_defer] = ACTIONS(3484),
    [anon_sym_unsafe] = ACTIONS(3484),
    [anon_sym_pub] = ACTIONS(3484),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3484),
    [anon_sym_const] = ACTIONS(3484),
    [anon_sym_asm] = ACTIONS(3484),
    [anon_sym_break] = ACTIONS(3484),
    [anon_sym_continue] = ACTIONS(3484),
    [anon_sym_return] = ACTIONS(3484),
    [anon_sym_type] = ACTIONS(3484),
    [anon_sym_go] = ACTIONS(3484),
    [anon_sym_spawn] = ACTIONS(3484),
    [anon_sym_goto] = ACTIONS(3484),
    [anon_sym_for] = ACTIONS(3484),
    [anon_sym_DOLLARfor] = ACTIONS(3482),
    [anon_sym_DOLLARif] = ACTIONS(3482),
    [anon_sym_if] = ACTIONS(3484),
    [anon_sym_struct] = ACTIONS(3484),
    [anon_sym_union] = ACTIONS(3484),
    [anon_sym_enum] = ACTIONS(3484),
    [anon_sym_interface] = ACTIONS(3484),
    [anon_sym_POUND] = ACTIONS(3482),
    [anon_sym_module] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(3484),
    [anon_sym_match] = ACTIONS(3484),
    [anon_sym_select] = ACTIONS(3484),
    [anon_sym_lock] = ACTIONS(3484),
    [anon_sym_rlock] = ACTIONS(3484),
    [sym__automatic_separator] = ACTIONS(3482),
    [sym__c_string_opening] = ACTIONS(3482),
    [sym__raw_string_opening] = ACTIONS(3482),
    [sym__string_opening] = ACTIONS(3482),
    [sym__comment] = ACTIONS(3),
  },
  [1153] = {
    [sym_comment] = STATE(1153),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1520),
    [sym_result_type] = STATE(1520),
    [sym_multi_return_type] = STATE(1520),
    [sym__simple_type] = STATE(1520),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1577),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3486),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3486),
    [anon_sym_DASH] = ACTIONS(3486),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3486),
    [anon_sym_CARET] = ACTIONS(3486),
    [anon_sym_STAR] = ACTIONS(3486),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3486),
    [anon_sym_DOLLAR] = ACTIONS(3488),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3488),
    [sym_true] = ACTIONS(3488),
    [sym_false] = ACTIONS(3488),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3488),
    [sym_float_literal] = ACTIONS(3486),
    [sym_rune_literal] = ACTIONS(3486),
    [anon_sym_DOT] = ACTIONS(3488),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3488),
    [anon_sym_mut] = ACTIONS(3488),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3488),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3488),
    [anon_sym_defer] = ACTIONS(3488),
    [anon_sym_unsafe] = ACTIONS(3488),
    [anon_sym_pub] = ACTIONS(3488),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3488),
    [anon_sym_const] = ACTIONS(3488),
    [anon_sym_asm] = ACTIONS(3488),
    [anon_sym_break] = ACTIONS(3488),
    [anon_sym_continue] = ACTIONS(3488),
    [anon_sym_return] = ACTIONS(3488),
    [anon_sym_type] = ACTIONS(3488),
    [anon_sym_go] = ACTIONS(3488),
    [anon_sym_spawn] = ACTIONS(3488),
    [anon_sym_goto] = ACTIONS(3488),
    [anon_sym_for] = ACTIONS(3488),
    [anon_sym_DOLLARfor] = ACTIONS(3486),
    [anon_sym_DOLLARif] = ACTIONS(3486),
    [anon_sym_if] = ACTIONS(3488),
    [anon_sym_struct] = ACTIONS(3488),
    [anon_sym_union] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(3488),
    [anon_sym_interface] = ACTIONS(3488),
    [anon_sym_POUND] = ACTIONS(3486),
    [anon_sym_module] = ACTIONS(3488),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_match] = ACTIONS(3488),
    [anon_sym_select] = ACTIONS(3488),
    [anon_sym_lock] = ACTIONS(3488),
    [anon_sym_rlock] = ACTIONS(3488),
    [sym__automatic_separator] = ACTIONS(3486),
    [sym__c_string_opening] = ACTIONS(3486),
    [sym__raw_string_opening] = ACTIONS(3486),
    [sym__string_opening] = ACTIONS(3486),
    [sym__comment] = ACTIONS(3),
  },
  [1154] = {
    [sym_comment] = STATE(1154),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1487),
    [sym_result_type] = STATE(1487),
    [sym_multi_return_type] = STATE(1487),
    [sym__simple_type] = STATE(1487),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1588),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3490),
    [anon_sym_DASH] = ACTIONS(3490),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3490),
    [anon_sym_CARET] = ACTIONS(3490),
    [anon_sym_STAR] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3490),
    [anon_sym_DOLLAR] = ACTIONS(3492),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3492),
    [sym_true] = ACTIONS(3492),
    [sym_false] = ACTIONS(3492),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3492),
    [sym_float_literal] = ACTIONS(3490),
    [sym_rune_literal] = ACTIONS(3490),
    [anon_sym_DOT] = ACTIONS(3492),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3492),
    [anon_sym_mut] = ACTIONS(3492),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3492),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3492),
    [anon_sym_defer] = ACTIONS(3492),
    [anon_sym_unsafe] = ACTIONS(3492),
    [anon_sym_pub] = ACTIONS(3492),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3492),
    [anon_sym_const] = ACTIONS(3492),
    [anon_sym_asm] = ACTIONS(3492),
    [anon_sym_break] = ACTIONS(3492),
    [anon_sym_continue] = ACTIONS(3492),
    [anon_sym_return] = ACTIONS(3492),
    [anon_sym_type] = ACTIONS(3492),
    [anon_sym_go] = ACTIONS(3492),
    [anon_sym_spawn] = ACTIONS(3492),
    [anon_sym_goto] = ACTIONS(3492),
    [anon_sym_for] = ACTIONS(3492),
    [anon_sym_DOLLARfor] = ACTIONS(3490),
    [anon_sym_DOLLARif] = ACTIONS(3490),
    [anon_sym_if] = ACTIONS(3492),
    [anon_sym_struct] = ACTIONS(3492),
    [anon_sym_union] = ACTIONS(3492),
    [anon_sym_enum] = ACTIONS(3492),
    [anon_sym_interface] = ACTIONS(3492),
    [anon_sym_POUND] = ACTIONS(3490),
    [anon_sym_module] = ACTIONS(3492),
    [anon_sym_import] = ACTIONS(3492),
    [anon_sym_match] = ACTIONS(3492),
    [anon_sym_select] = ACTIONS(3492),
    [anon_sym_lock] = ACTIONS(3492),
    [anon_sym_rlock] = ACTIONS(3492),
    [sym__automatic_separator] = ACTIONS(3490),
    [sym__c_string_opening] = ACTIONS(3490),
    [sym__raw_string_opening] = ACTIONS(3490),
    [sym__string_opening] = ACTIONS(3490),
    [sym__comment] = ACTIONS(3),
  },
  [1155] = {
    [sym_comment] = STATE(1155),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1543),
    [sym_result_type] = STATE(1543),
    [sym_multi_return_type] = STATE(1543),
    [sym__simple_type] = STATE(1543),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1583),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3494),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_CARET] = ACTIONS(3494),
    [anon_sym_STAR] = ACTIONS(3494),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3494),
    [anon_sym_DOLLAR] = ACTIONS(3496),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3496),
    [sym_true] = ACTIONS(3496),
    [sym_false] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3496),
    [sym_float_literal] = ACTIONS(3494),
    [sym_rune_literal] = ACTIONS(3494),
    [anon_sym_DOT] = ACTIONS(3496),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3496),
    [anon_sym_mut] = ACTIONS(3496),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3496),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3496),
    [anon_sym_defer] = ACTIONS(3496),
    [anon_sym_unsafe] = ACTIONS(3496),
    [anon_sym_pub] = ACTIONS(3496),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3496),
    [anon_sym_const] = ACTIONS(3496),
    [anon_sym_asm] = ACTIONS(3496),
    [anon_sym_break] = ACTIONS(3496),
    [anon_sym_continue] = ACTIONS(3496),
    [anon_sym_return] = ACTIONS(3496),
    [anon_sym_type] = ACTIONS(3496),
    [anon_sym_go] = ACTIONS(3496),
    [anon_sym_spawn] = ACTIONS(3496),
    [anon_sym_goto] = ACTIONS(3496),
    [anon_sym_for] = ACTIONS(3496),
    [anon_sym_DOLLARfor] = ACTIONS(3494),
    [anon_sym_DOLLARif] = ACTIONS(3494),
    [anon_sym_if] = ACTIONS(3496),
    [anon_sym_struct] = ACTIONS(3496),
    [anon_sym_union] = ACTIONS(3496),
    [anon_sym_enum] = ACTIONS(3496),
    [anon_sym_interface] = ACTIONS(3496),
    [anon_sym_POUND] = ACTIONS(3494),
    [anon_sym_module] = ACTIONS(3496),
    [anon_sym_import] = ACTIONS(3496),
    [anon_sym_match] = ACTIONS(3496),
    [anon_sym_select] = ACTIONS(3496),
    [anon_sym_lock] = ACTIONS(3496),
    [anon_sym_rlock] = ACTIONS(3496),
    [sym__automatic_separator] = ACTIONS(3494),
    [sym__c_string_opening] = ACTIONS(3494),
    [sym__raw_string_opening] = ACTIONS(3494),
    [sym__string_opening] = ACTIONS(3494),
    [sym__comment] = ACTIONS(3),
  },
  [1156] = {
    [sym_comment] = STATE(1156),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1500),
    [sym_result_type] = STATE(1500),
    [sym_multi_return_type] = STATE(1500),
    [sym__simple_type] = STATE(1500),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1569),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_CARET] = ACTIONS(3498),
    [anon_sym_STAR] = ACTIONS(3498),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3498),
    [anon_sym_DOLLAR] = ACTIONS(3500),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3500),
    [sym_true] = ACTIONS(3500),
    [sym_false] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3500),
    [sym_float_literal] = ACTIONS(3498),
    [sym_rune_literal] = ACTIONS(3498),
    [anon_sym_DOT] = ACTIONS(3500),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3500),
    [anon_sym_mut] = ACTIONS(3500),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3500),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3500),
    [anon_sym_defer] = ACTIONS(3500),
    [anon_sym_unsafe] = ACTIONS(3500),
    [anon_sym_pub] = ACTIONS(3500),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3500),
    [anon_sym_const] = ACTIONS(3500),
    [anon_sym_asm] = ACTIONS(3500),
    [anon_sym_break] = ACTIONS(3500),
    [anon_sym_continue] = ACTIONS(3500),
    [anon_sym_return] = ACTIONS(3500),
    [anon_sym_type] = ACTIONS(3500),
    [anon_sym_go] = ACTIONS(3500),
    [anon_sym_spawn] = ACTIONS(3500),
    [anon_sym_goto] = ACTIONS(3500),
    [anon_sym_for] = ACTIONS(3500),
    [anon_sym_DOLLARfor] = ACTIONS(3498),
    [anon_sym_DOLLARif] = ACTIONS(3498),
    [anon_sym_if] = ACTIONS(3500),
    [anon_sym_struct] = ACTIONS(3500),
    [anon_sym_union] = ACTIONS(3500),
    [anon_sym_enum] = ACTIONS(3500),
    [anon_sym_interface] = ACTIONS(3500),
    [anon_sym_POUND] = ACTIONS(3498),
    [anon_sym_module] = ACTIONS(3500),
    [anon_sym_import] = ACTIONS(3500),
    [anon_sym_match] = ACTIONS(3500),
    [anon_sym_select] = ACTIONS(3500),
    [anon_sym_lock] = ACTIONS(3500),
    [anon_sym_rlock] = ACTIONS(3500),
    [sym__automatic_separator] = ACTIONS(3498),
    [sym__c_string_opening] = ACTIONS(3498),
    [sym__raw_string_opening] = ACTIONS(3498),
    [sym__string_opening] = ACTIONS(3498),
    [sym__comment] = ACTIONS(3),
  },
  [1157] = {
    [sym_comment] = STATE(1157),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1514),
    [sym_result_type] = STATE(1514),
    [sym_multi_return_type] = STATE(1514),
    [sym__simple_type] = STATE(1514),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1591),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3502),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_CARET] = ACTIONS(3502),
    [anon_sym_STAR] = ACTIONS(3502),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3502),
    [anon_sym_DOLLAR] = ACTIONS(3504),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3504),
    [sym_true] = ACTIONS(3504),
    [sym_false] = ACTIONS(3504),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3504),
    [sym_float_literal] = ACTIONS(3502),
    [sym_rune_literal] = ACTIONS(3502),
    [anon_sym_DOT] = ACTIONS(3504),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3504),
    [anon_sym_mut] = ACTIONS(3504),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3504),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3504),
    [anon_sym_defer] = ACTIONS(3504),
    [anon_sym_unsafe] = ACTIONS(3504),
    [anon_sym_pub] = ACTIONS(3504),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3504),
    [anon_sym_const] = ACTIONS(3504),
    [anon_sym_asm] = ACTIONS(3504),
    [anon_sym_break] = ACTIONS(3504),
    [anon_sym_continue] = ACTIONS(3504),
    [anon_sym_return] = ACTIONS(3504),
    [anon_sym_type] = ACTIONS(3504),
    [anon_sym_go] = ACTIONS(3504),
    [anon_sym_spawn] = ACTIONS(3504),
    [anon_sym_goto] = ACTIONS(3504),
    [anon_sym_for] = ACTIONS(3504),
    [anon_sym_DOLLARfor] = ACTIONS(3502),
    [anon_sym_DOLLARif] = ACTIONS(3502),
    [anon_sym_if] = ACTIONS(3504),
    [anon_sym_struct] = ACTIONS(3504),
    [anon_sym_union] = ACTIONS(3504),
    [anon_sym_enum] = ACTIONS(3504),
    [anon_sym_interface] = ACTIONS(3504),
    [anon_sym_POUND] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3504),
    [anon_sym_import] = ACTIONS(3504),
    [anon_sym_match] = ACTIONS(3504),
    [anon_sym_select] = ACTIONS(3504),
    [anon_sym_lock] = ACTIONS(3504),
    [anon_sym_rlock] = ACTIONS(3504),
    [sym__automatic_separator] = ACTIONS(3502),
    [sym__c_string_opening] = ACTIONS(3502),
    [sym__raw_string_opening] = ACTIONS(3502),
    [sym__string_opening] = ACTIONS(3502),
    [sym__comment] = ACTIONS(3),
  },
  [1158] = {
    [sym_comment] = STATE(1158),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1504),
    [sym_result_type] = STATE(1504),
    [sym_multi_return_type] = STATE(1504),
    [sym__simple_type] = STATE(1504),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1644),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3506),
    [anon_sym_DASH] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3506),
    [anon_sym_CARET] = ACTIONS(3506),
    [anon_sym_STAR] = ACTIONS(3506),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3506),
    [anon_sym_DOLLAR] = ACTIONS(3508),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3508),
    [sym_float_literal] = ACTIONS(3506),
    [sym_rune_literal] = ACTIONS(3506),
    [anon_sym_DOT] = ACTIONS(3508),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3508),
    [anon_sym_mut] = ACTIONS(3508),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3508),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3508),
    [anon_sym_defer] = ACTIONS(3508),
    [anon_sym_unsafe] = ACTIONS(3508),
    [anon_sym_pub] = ACTIONS(3508),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_asm] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_go] = ACTIONS(3508),
    [anon_sym_spawn] = ACTIONS(3508),
    [anon_sym_goto] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_DOLLARfor] = ACTIONS(3506),
    [anon_sym_DOLLARif] = ACTIONS(3506),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_struct] = ACTIONS(3508),
    [anon_sym_union] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_POUND] = ACTIONS(3506),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_match] = ACTIONS(3508),
    [anon_sym_select] = ACTIONS(3508),
    [anon_sym_lock] = ACTIONS(3508),
    [anon_sym_rlock] = ACTIONS(3508),
    [sym__automatic_separator] = ACTIONS(3506),
    [sym__c_string_opening] = ACTIONS(3506),
    [sym__raw_string_opening] = ACTIONS(3506),
    [sym__string_opening] = ACTIONS(3506),
    [sym__comment] = ACTIONS(3),
  },
  [1159] = {
    [sym_comment] = STATE(1159),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1499),
    [sym_result_type] = STATE(1499),
    [sym_multi_return_type] = STATE(1499),
    [sym__simple_type] = STATE(1499),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1572),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3510),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3510),
    [anon_sym_DASH] = ACTIONS(3510),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3510),
    [anon_sym_CARET] = ACTIONS(3510),
    [anon_sym_STAR] = ACTIONS(3510),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3510),
    [anon_sym_DOLLAR] = ACTIONS(3512),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3512),
    [sym_true] = ACTIONS(3512),
    [sym_false] = ACTIONS(3512),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3512),
    [sym_float_literal] = ACTIONS(3510),
    [sym_rune_literal] = ACTIONS(3510),
    [anon_sym_DOT] = ACTIONS(3512),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3512),
    [anon_sym_mut] = ACTIONS(3512),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3512),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3512),
    [anon_sym_defer] = ACTIONS(3512),
    [anon_sym_unsafe] = ACTIONS(3512),
    [anon_sym_pub] = ACTIONS(3512),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3512),
    [anon_sym_const] = ACTIONS(3512),
    [anon_sym_asm] = ACTIONS(3512),
    [anon_sym_break] = ACTIONS(3512),
    [anon_sym_continue] = ACTIONS(3512),
    [anon_sym_return] = ACTIONS(3512),
    [anon_sym_type] = ACTIONS(3512),
    [anon_sym_go] = ACTIONS(3512),
    [anon_sym_spawn] = ACTIONS(3512),
    [anon_sym_goto] = ACTIONS(3512),
    [anon_sym_for] = ACTIONS(3512),
    [anon_sym_DOLLARfor] = ACTIONS(3510),
    [anon_sym_DOLLARif] = ACTIONS(3510),
    [anon_sym_if] = ACTIONS(3512),
    [anon_sym_struct] = ACTIONS(3512),
    [anon_sym_union] = ACTIONS(3512),
    [anon_sym_enum] = ACTIONS(3512),
    [anon_sym_interface] = ACTIONS(3512),
    [anon_sym_POUND] = ACTIONS(3510),
    [anon_sym_module] = ACTIONS(3512),
    [anon_sym_import] = ACTIONS(3512),
    [anon_sym_match] = ACTIONS(3512),
    [anon_sym_select] = ACTIONS(3512),
    [anon_sym_lock] = ACTIONS(3512),
    [anon_sym_rlock] = ACTIONS(3512),
    [sym__automatic_separator] = ACTIONS(3510),
    [sym__c_string_opening] = ACTIONS(3510),
    [sym__raw_string_opening] = ACTIONS(3510),
    [sym__string_opening] = ACTIONS(3510),
    [sym__comment] = ACTIONS(3),
  },
  [1160] = {
    [sym_comment] = STATE(1160),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1491),
    [sym_result_type] = STATE(1491),
    [sym_multi_return_type] = STATE(1491),
    [sym__simple_type] = STATE(1491),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1614),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3514),
    [anon_sym_DASH] = ACTIONS(3514),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3514),
    [anon_sym_CARET] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3514),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3514),
    [anon_sym_DOLLAR] = ACTIONS(3516),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3516),
    [sym_true] = ACTIONS(3516),
    [sym_false] = ACTIONS(3516),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3516),
    [sym_float_literal] = ACTIONS(3514),
    [sym_rune_literal] = ACTIONS(3514),
    [anon_sym_DOT] = ACTIONS(3516),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3516),
    [anon_sym_mut] = ACTIONS(3516),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3516),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3516),
    [anon_sym_defer] = ACTIONS(3516),
    [anon_sym_unsafe] = ACTIONS(3516),
    [anon_sym_pub] = ACTIONS(3516),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3516),
    [anon_sym_asm] = ACTIONS(3516),
    [anon_sym_break] = ACTIONS(3516),
    [anon_sym_continue] = ACTIONS(3516),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_go] = ACTIONS(3516),
    [anon_sym_spawn] = ACTIONS(3516),
    [anon_sym_goto] = ACTIONS(3516),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_DOLLARfor] = ACTIONS(3514),
    [anon_sym_DOLLARif] = ACTIONS(3514),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_struct] = ACTIONS(3516),
    [anon_sym_union] = ACTIONS(3516),
    [anon_sym_enum] = ACTIONS(3516),
    [anon_sym_interface] = ACTIONS(3516),
    [anon_sym_POUND] = ACTIONS(3514),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_import] = ACTIONS(3516),
    [anon_sym_match] = ACTIONS(3516),
    [anon_sym_select] = ACTIONS(3516),
    [anon_sym_lock] = ACTIONS(3516),
    [anon_sym_rlock] = ACTIONS(3516),
    [sym__automatic_separator] = ACTIONS(3514),
    [sym__c_string_opening] = ACTIONS(3514),
    [sym__raw_string_opening] = ACTIONS(3514),
    [sym__string_opening] = ACTIONS(3514),
    [sym__comment] = ACTIONS(3),
  },
  [1161] = {
    [sym_comment] = STATE(1161),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1534),
    [sym_result_type] = STATE(1534),
    [sym_multi_return_type] = STATE(1534),
    [sym__simple_type] = STATE(1534),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1677),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3518),
    [anon_sym_CARET] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3518),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_DOLLAR] = ACTIONS(3520),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3520),
    [sym_true] = ACTIONS(3520),
    [sym_false] = ACTIONS(3520),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3520),
    [sym_float_literal] = ACTIONS(3518),
    [sym_rune_literal] = ACTIONS(3518),
    [anon_sym_DOT] = ACTIONS(3520),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3520),
    [anon_sym_mut] = ACTIONS(3520),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3520),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3520),
    [anon_sym_defer] = ACTIONS(3520),
    [anon_sym_unsafe] = ACTIONS(3520),
    [anon_sym_pub] = ACTIONS(3520),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3520),
    [anon_sym_const] = ACTIONS(3520),
    [anon_sym_asm] = ACTIONS(3520),
    [anon_sym_break] = ACTIONS(3520),
    [anon_sym_continue] = ACTIONS(3520),
    [anon_sym_return] = ACTIONS(3520),
    [anon_sym_type] = ACTIONS(3520),
    [anon_sym_go] = ACTIONS(3520),
    [anon_sym_spawn] = ACTIONS(3520),
    [anon_sym_goto] = ACTIONS(3520),
    [anon_sym_for] = ACTIONS(3520),
    [anon_sym_DOLLARfor] = ACTIONS(3518),
    [anon_sym_DOLLARif] = ACTIONS(3518),
    [anon_sym_if] = ACTIONS(3520),
    [anon_sym_struct] = ACTIONS(3520),
    [anon_sym_union] = ACTIONS(3520),
    [anon_sym_enum] = ACTIONS(3520),
    [anon_sym_interface] = ACTIONS(3520),
    [anon_sym_POUND] = ACTIONS(3518),
    [anon_sym_module] = ACTIONS(3520),
    [anon_sym_import] = ACTIONS(3520),
    [anon_sym_match] = ACTIONS(3520),
    [anon_sym_select] = ACTIONS(3520),
    [anon_sym_lock] = ACTIONS(3520),
    [anon_sym_rlock] = ACTIONS(3520),
    [sym__automatic_separator] = ACTIONS(3518),
    [sym__c_string_opening] = ACTIONS(3518),
    [sym__raw_string_opening] = ACTIONS(3518),
    [sym__string_opening] = ACTIONS(3518),
    [sym__comment] = ACTIONS(3),
  },
  [1162] = {
    [sym_comment] = STATE(1162),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1540),
    [sym_result_type] = STATE(1540),
    [sym_multi_return_type] = STATE(1540),
    [sym__simple_type] = STATE(1540),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1547),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3522),
    [anon_sym_CARET] = ACTIONS(3522),
    [anon_sym_STAR] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3522),
    [anon_sym_DOLLAR] = ACTIONS(3524),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3524),
    [sym_float_literal] = ACTIONS(3522),
    [sym_rune_literal] = ACTIONS(3522),
    [anon_sym_DOT] = ACTIONS(3524),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3524),
    [anon_sym_mut] = ACTIONS(3524),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3524),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3524),
    [anon_sym_defer] = ACTIONS(3524),
    [anon_sym_unsafe] = ACTIONS(3524),
    [anon_sym_pub] = ACTIONS(3524),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_asm] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_go] = ACTIONS(3524),
    [anon_sym_spawn] = ACTIONS(3524),
    [anon_sym_goto] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_DOLLARfor] = ACTIONS(3522),
    [anon_sym_DOLLARif] = ACTIONS(3522),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_struct] = ACTIONS(3524),
    [anon_sym_union] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_POUND] = ACTIONS(3522),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_match] = ACTIONS(3524),
    [anon_sym_select] = ACTIONS(3524),
    [anon_sym_lock] = ACTIONS(3524),
    [anon_sym_rlock] = ACTIONS(3524),
    [sym__automatic_separator] = ACTIONS(3522),
    [sym__c_string_opening] = ACTIONS(3522),
    [sym__raw_string_opening] = ACTIONS(3522),
    [sym__string_opening] = ACTIONS(3522),
    [sym__comment] = ACTIONS(3),
  },
  [1163] = {
    [sym_comment] = STATE(1163),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1508),
    [sym_result_type] = STATE(1508),
    [sym_multi_return_type] = STATE(1508),
    [sym__simple_type] = STATE(1508),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1622),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3526),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_CARET] = ACTIONS(3526),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3526),
    [anon_sym_DOLLAR] = ACTIONS(3528),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3528),
    [sym_true] = ACTIONS(3528),
    [sym_false] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3528),
    [sym_float_literal] = ACTIONS(3526),
    [sym_rune_literal] = ACTIONS(3526),
    [anon_sym_DOT] = ACTIONS(3528),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3528),
    [anon_sym_mut] = ACTIONS(3528),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3528),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3528),
    [anon_sym_defer] = ACTIONS(3528),
    [anon_sym_unsafe] = ACTIONS(3528),
    [anon_sym_pub] = ACTIONS(3528),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3528),
    [anon_sym_const] = ACTIONS(3528),
    [anon_sym_asm] = ACTIONS(3528),
    [anon_sym_break] = ACTIONS(3528),
    [anon_sym_continue] = ACTIONS(3528),
    [anon_sym_return] = ACTIONS(3528),
    [anon_sym_type] = ACTIONS(3528),
    [anon_sym_go] = ACTIONS(3528),
    [anon_sym_spawn] = ACTIONS(3528),
    [anon_sym_goto] = ACTIONS(3528),
    [anon_sym_for] = ACTIONS(3528),
    [anon_sym_DOLLARfor] = ACTIONS(3526),
    [anon_sym_DOLLARif] = ACTIONS(3526),
    [anon_sym_if] = ACTIONS(3528),
    [anon_sym_struct] = ACTIONS(3528),
    [anon_sym_union] = ACTIONS(3528),
    [anon_sym_enum] = ACTIONS(3528),
    [anon_sym_interface] = ACTIONS(3528),
    [anon_sym_POUND] = ACTIONS(3526),
    [anon_sym_module] = ACTIONS(3528),
    [anon_sym_import] = ACTIONS(3528),
    [anon_sym_match] = ACTIONS(3528),
    [anon_sym_select] = ACTIONS(3528),
    [anon_sym_lock] = ACTIONS(3528),
    [anon_sym_rlock] = ACTIONS(3528),
    [sym__automatic_separator] = ACTIONS(3526),
    [sym__c_string_opening] = ACTIONS(3526),
    [sym__raw_string_opening] = ACTIONS(3526),
    [sym__string_opening] = ACTIONS(3526),
    [sym__comment] = ACTIONS(3),
  },
  [1164] = {
    [sym_comment] = STATE(1164),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1533),
    [sym_result_type] = STATE(1533),
    [sym_multi_return_type] = STATE(1533),
    [sym__simple_type] = STATE(1533),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1630),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_STAR] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3530),
    [anon_sym_DOLLAR] = ACTIONS(3532),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3532),
    [sym_true] = ACTIONS(3532),
    [sym_false] = ACTIONS(3532),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3532),
    [sym_float_literal] = ACTIONS(3530),
    [sym_rune_literal] = ACTIONS(3530),
    [anon_sym_DOT] = ACTIONS(3532),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3532),
    [anon_sym_mut] = ACTIONS(3532),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3532),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3532),
    [anon_sym_defer] = ACTIONS(3532),
    [anon_sym_unsafe] = ACTIONS(3532),
    [anon_sym_pub] = ACTIONS(3532),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3532),
    [anon_sym_const] = ACTIONS(3532),
    [anon_sym_asm] = ACTIONS(3532),
    [anon_sym_break] = ACTIONS(3532),
    [anon_sym_continue] = ACTIONS(3532),
    [anon_sym_return] = ACTIONS(3532),
    [anon_sym_type] = ACTIONS(3532),
    [anon_sym_go] = ACTIONS(3532),
    [anon_sym_spawn] = ACTIONS(3532),
    [anon_sym_goto] = ACTIONS(3532),
    [anon_sym_for] = ACTIONS(3532),
    [anon_sym_DOLLARfor] = ACTIONS(3530),
    [anon_sym_DOLLARif] = ACTIONS(3530),
    [anon_sym_if] = ACTIONS(3532),
    [anon_sym_struct] = ACTIONS(3532),
    [anon_sym_union] = ACTIONS(3532),
    [anon_sym_enum] = ACTIONS(3532),
    [anon_sym_interface] = ACTIONS(3532),
    [anon_sym_POUND] = ACTIONS(3530),
    [anon_sym_module] = ACTIONS(3532),
    [anon_sym_import] = ACTIONS(3532),
    [anon_sym_match] = ACTIONS(3532),
    [anon_sym_select] = ACTIONS(3532),
    [anon_sym_lock] = ACTIONS(3532),
    [anon_sym_rlock] = ACTIONS(3532),
    [sym__automatic_separator] = ACTIONS(3530),
    [sym__c_string_opening] = ACTIONS(3530),
    [sym__raw_string_opening] = ACTIONS(3530),
    [sym__string_opening] = ACTIONS(3530),
    [sym__comment] = ACTIONS(3),
  },
  [1165] = {
    [sym_comment] = STATE(1165),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1537),
    [sym_result_type] = STATE(1537),
    [sym_multi_return_type] = STATE(1537),
    [sym__simple_type] = STATE(1537),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1658),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3534),
    [anon_sym_CARET] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(3534),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3534),
    [anon_sym_DOLLAR] = ACTIONS(3536),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3536),
    [sym_true] = ACTIONS(3536),
    [sym_false] = ACTIONS(3536),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3536),
    [sym_float_literal] = ACTIONS(3534),
    [sym_rune_literal] = ACTIONS(3534),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3536),
    [anon_sym_mut] = ACTIONS(3536),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3536),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3536),
    [anon_sym_defer] = ACTIONS(3536),
    [anon_sym_unsafe] = ACTIONS(3536),
    [anon_sym_pub] = ACTIONS(3536),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3536),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_asm] = ACTIONS(3536),
    [anon_sym_break] = ACTIONS(3536),
    [anon_sym_continue] = ACTIONS(3536),
    [anon_sym_return] = ACTIONS(3536),
    [anon_sym_type] = ACTIONS(3536),
    [anon_sym_go] = ACTIONS(3536),
    [anon_sym_spawn] = ACTIONS(3536),
    [anon_sym_goto] = ACTIONS(3536),
    [anon_sym_for] = ACTIONS(3536),
    [anon_sym_DOLLARfor] = ACTIONS(3534),
    [anon_sym_DOLLARif] = ACTIONS(3534),
    [anon_sym_if] = ACTIONS(3536),
    [anon_sym_struct] = ACTIONS(3536),
    [anon_sym_union] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(3536),
    [anon_sym_interface] = ACTIONS(3536),
    [anon_sym_POUND] = ACTIONS(3534),
    [anon_sym_module] = ACTIONS(3536),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_match] = ACTIONS(3536),
    [anon_sym_select] = ACTIONS(3536),
    [anon_sym_lock] = ACTIONS(3536),
    [anon_sym_rlock] = ACTIONS(3536),
    [sym__automatic_separator] = ACTIONS(3534),
    [sym__c_string_opening] = ACTIONS(3534),
    [sym__raw_string_opening] = ACTIONS(3534),
    [sym__string_opening] = ACTIONS(3534),
    [sym__comment] = ACTIONS(3),
  },
  [1166] = {
    [sym_comment] = STATE(1166),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1498),
    [sym_result_type] = STATE(1498),
    [sym_multi_return_type] = STATE(1498),
    [sym__simple_type] = STATE(1498),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1596),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3538),
    [anon_sym_DASH] = ACTIONS(3538),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3538),
    [anon_sym_CARET] = ACTIONS(3538),
    [anon_sym_STAR] = ACTIONS(3538),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3538),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3540),
    [sym_true] = ACTIONS(3540),
    [sym_false] = ACTIONS(3540),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3540),
    [sym_float_literal] = ACTIONS(3538),
    [sym_rune_literal] = ACTIONS(3538),
    [anon_sym_DOT] = ACTIONS(3540),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3540),
    [anon_sym_mut] = ACTIONS(3540),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3540),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3540),
    [anon_sym_defer] = ACTIONS(3540),
    [anon_sym_unsafe] = ACTIONS(3540),
    [anon_sym_pub] = ACTIONS(3540),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3540),
    [anon_sym_const] = ACTIONS(3540),
    [anon_sym_asm] = ACTIONS(3540),
    [anon_sym_break] = ACTIONS(3540),
    [anon_sym_continue] = ACTIONS(3540),
    [anon_sym_return] = ACTIONS(3540),
    [anon_sym_type] = ACTIONS(3540),
    [anon_sym_go] = ACTIONS(3540),
    [anon_sym_spawn] = ACTIONS(3540),
    [anon_sym_goto] = ACTIONS(3540),
    [anon_sym_for] = ACTIONS(3540),
    [anon_sym_DOLLARfor] = ACTIONS(3538),
    [anon_sym_DOLLARif] = ACTIONS(3538),
    [anon_sym_if] = ACTIONS(3540),
    [anon_sym_struct] = ACTIONS(3540),
    [anon_sym_union] = ACTIONS(3540),
    [anon_sym_enum] = ACTIONS(3540),
    [anon_sym_interface] = ACTIONS(3540),
    [anon_sym_POUND] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3540),
    [anon_sym_import] = ACTIONS(3540),
    [anon_sym_match] = ACTIONS(3540),
    [anon_sym_select] = ACTIONS(3540),
    [anon_sym_lock] = ACTIONS(3540),
    [anon_sym_rlock] = ACTIONS(3540),
    [sym__automatic_separator] = ACTIONS(3538),
    [sym__c_string_opening] = ACTIONS(3538),
    [sym__raw_string_opening] = ACTIONS(3538),
    [sym__string_opening] = ACTIONS(3538),
    [sym__comment] = ACTIONS(3),
  },
  [1167] = {
    [sym_comment] = STATE(1167),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1536),
    [sym_result_type] = STATE(1536),
    [sym_multi_return_type] = STATE(1536),
    [sym__simple_type] = STATE(1536),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1681),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3542),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3542),
    [anon_sym_STAR] = ACTIONS(3542),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3542),
    [anon_sym_DOLLAR] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3544),
    [sym_true] = ACTIONS(3544),
    [sym_false] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3544),
    [sym_float_literal] = ACTIONS(3542),
    [sym_rune_literal] = ACTIONS(3542),
    [anon_sym_DOT] = ACTIONS(3544),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3544),
    [anon_sym_mut] = ACTIONS(3544),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3544),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3544),
    [anon_sym_defer] = ACTIONS(3544),
    [anon_sym_unsafe] = ACTIONS(3544),
    [anon_sym_pub] = ACTIONS(3544),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3544),
    [anon_sym_const] = ACTIONS(3544),
    [anon_sym_asm] = ACTIONS(3544),
    [anon_sym_break] = ACTIONS(3544),
    [anon_sym_continue] = ACTIONS(3544),
    [anon_sym_return] = ACTIONS(3544),
    [anon_sym_type] = ACTIONS(3544),
    [anon_sym_go] = ACTIONS(3544),
    [anon_sym_spawn] = ACTIONS(3544),
    [anon_sym_goto] = ACTIONS(3544),
    [anon_sym_for] = ACTIONS(3544),
    [anon_sym_DOLLARfor] = ACTIONS(3542),
    [anon_sym_DOLLARif] = ACTIONS(3542),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_struct] = ACTIONS(3544),
    [anon_sym_union] = ACTIONS(3544),
    [anon_sym_enum] = ACTIONS(3544),
    [anon_sym_interface] = ACTIONS(3544),
    [anon_sym_POUND] = ACTIONS(3542),
    [anon_sym_module] = ACTIONS(3544),
    [anon_sym_import] = ACTIONS(3544),
    [anon_sym_match] = ACTIONS(3544),
    [anon_sym_select] = ACTIONS(3544),
    [anon_sym_lock] = ACTIONS(3544),
    [anon_sym_rlock] = ACTIONS(3544),
    [sym__automatic_separator] = ACTIONS(3542),
    [sym__c_string_opening] = ACTIONS(3542),
    [sym__raw_string_opening] = ACTIONS(3542),
    [sym__string_opening] = ACTIONS(3542),
    [sym__comment] = ACTIONS(3),
  },
  [1168] = {
    [sym_comment] = STATE(1168),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_option_type] = STATE(1505),
    [sym_result_type] = STATE(1505),
    [sym_multi_return_type] = STATE(1505),
    [sym__simple_type] = STATE(1505),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_block] = STATE(1645),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3546),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_DASH] = ACTIONS(3546),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3546),
    [anon_sym_CARET] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(3546),
    [anon_sym_DOLLAR] = ACTIONS(3548),
    [anon_sym_QMARK] = ACTIONS(3402),
    [sym_none] = ACTIONS(3548),
    [sym_true] = ACTIONS(3548),
    [sym_false] = ACTIONS(3548),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(3548),
    [sym_float_literal] = ACTIONS(3546),
    [sym_rune_literal] = ACTIONS(3546),
    [anon_sym_DOT] = ACTIONS(3548),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(3548),
    [anon_sym_mut] = ACTIONS(3548),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(3548),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(3548),
    [anon_sym_defer] = ACTIONS(3548),
    [anon_sym_unsafe] = ACTIONS(3548),
    [anon_sym_pub] = ACTIONS(3548),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(3548),
    [anon_sym_const] = ACTIONS(3548),
    [anon_sym_asm] = ACTIONS(3548),
    [anon_sym_break] = ACTIONS(3548),
    [anon_sym_continue] = ACTIONS(3548),
    [anon_sym_return] = ACTIONS(3548),
    [anon_sym_type] = ACTIONS(3548),
    [anon_sym_go] = ACTIONS(3548),
    [anon_sym_spawn] = ACTIONS(3548),
    [anon_sym_goto] = ACTIONS(3548),
    [anon_sym_for] = ACTIONS(3548),
    [anon_sym_DOLLARfor] = ACTIONS(3546),
    [anon_sym_DOLLARif] = ACTIONS(3546),
    [anon_sym_if] = ACTIONS(3548),
    [anon_sym_struct] = ACTIONS(3548),
    [anon_sym_union] = ACTIONS(3548),
    [anon_sym_enum] = ACTIONS(3548),
    [anon_sym_interface] = ACTIONS(3548),
    [anon_sym_POUND] = ACTIONS(3546),
    [anon_sym_module] = ACTIONS(3548),
    [anon_sym_import] = ACTIONS(3548),
    [anon_sym_match] = ACTIONS(3548),
    [anon_sym_select] = ACTIONS(3548),
    [anon_sym_lock] = ACTIONS(3548),
    [anon_sym_rlock] = ACTIONS(3548),
    [sym__automatic_separator] = ACTIONS(3546),
    [sym__c_string_opening] = ACTIONS(3546),
    [sym__raw_string_opening] = ACTIONS(3546),
    [sym__string_opening] = ACTIONS(3546),
    [sym__comment] = ACTIONS(3),
  },
  [1169] = {
    [sym_comment] = STATE(1169),
    [sym_fixed_array_type] = STATE(1384),
    [sym_array_type] = STATE(1384),
    [sym_pointer_type] = STATE(1384),
    [sym_map_type] = STATE(1384),
    [sym_channel_type] = STATE(1384),
    [sym_shared_type] = STATE(1384),
    [sym_thread_type] = STATE(1384),
    [sym_binded_identifier] = STATE(1395),
    [sym_multi_return_type] = STATE(1465),
    [sym__simple_type] = STATE(1465),
    [sym_builtin_type] = STATE(1384),
    [sym__binded_type] = STATE(1384),
    [sym_generic_type] = STATE(1384),
    [sym_qualified_type] = STATE(1348),
    [sym_function_type] = STATE(1384),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_BANG] = ACTIONS(736),
    [anon_sym_TILDE] = ACTIONS(736),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(3362),
    [anon_sym_LT_DASH] = ACTIONS(736),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(736),
    [anon_sym_BANG_EQ] = ACTIONS(736),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(736),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(736),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(736),
    [anon_sym_PIPE_PIPE] = ACTIONS(736),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(736),
    [anon_sym_DOLLAR] = ACTIONS(736),
    [sym_none] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(736),
    [anon_sym_LF] = ACTIONS(736),
    [anon_sym_CR] = ACTIONS(736),
    [anon_sym_CR_LF] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_map_LBRACK] = ACTIONS(3368),
    [anon_sym_chan] = ACTIONS(3370),
    [anon_sym_shared] = ACTIONS(3372),
    [anon_sym_thread] = ACTIONS(3374),
    [sym_int_literal] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(736),
    [sym_rune_literal] = ACTIONS(736),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(3376),
    [anon_sym_string] = ACTIONS(3376),
    [anon_sym_char] = ACTIONS(3376),
    [anon_sym_sql] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(3378),
    [anon_sym_JS] = ACTIONS(3378),
    [anon_sym_voidptr] = ACTIONS(3376),
    [anon_sym_byteptr] = ACTIONS(3376),
    [anon_sym_charptr] = ACTIONS(3376),
    [anon_sym_i8] = ACTIONS(3376),
    [anon_sym_i16] = ACTIONS(3376),
    [anon_sym_i32] = ACTIONS(3376),
    [anon_sym_int] = ACTIONS(3376),
    [anon_sym_i64] = ACTIONS(3376),
    [anon_sym_byte] = ACTIONS(3376),
    [anon_sym_u8] = ACTIONS(3376),
    [anon_sym_u16] = ACTIONS(3376),
    [anon_sym_u32] = ACTIONS(3376),
    [anon_sym_u64] = ACTIONS(3376),
    [anon_sym_f32] = ACTIONS(3376),
    [anon_sym_f64] = ACTIONS(3376),
    [anon_sym_bool] = ACTIONS(3376),
    [anon_sym_rune] = ACTIONS(3376),
    [anon_sym_map] = ACTIONS(3376),
    [anon_sym_mapnode] = ACTIONS(3376),
    [anon_sym_size_t] = ACTIONS(3376),
    [anon_sym_usize] = ACTIONS(3376),
    [anon_sym_isize] = ACTIONS(3376),
    [anon_sym_float_literal] = ACTIONS(3376),
    [anon_sym_int_literal] = ACTIONS(3376),
    [anon_sym_IError] = ACTIONS(3376),
    [sym_type_placeholder] = ACTIONS(3380),
    [anon_sym_AT] = ACTIONS(736),
    [sym_type_identifier] = ACTIONS(3382),
    [anon_sym_unsafe] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(3384),
    [anon_sym_DOLLARif] = ACTIONS(736),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(736),
    [anon_sym_match] = ACTIONS(736),
    [anon_sym_select] = ACTIONS(736),
    [anon_sym_lock] = ACTIONS(736),
    [anon_sym_rlock] = ACTIONS(736),
    [sym__c_string_opening] = ACTIONS(734),
    [sym__raw_string_opening] = ACTIONS(734),
    [sym__string_opening] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1170] = {
    [sym_comment] = STATE(1170),
    [sym_fixed_array_type] = STATE(1384),
    [sym_array_type] = STATE(1384),
    [sym_pointer_type] = STATE(1384),
    [sym_map_type] = STATE(1384),
    [sym_channel_type] = STATE(1384),
    [sym_shared_type] = STATE(1384),
    [sym_thread_type] = STATE(1384),
    [sym_binded_identifier] = STATE(1395),
    [sym_multi_return_type] = STATE(1479),
    [sym__simple_type] = STATE(1479),
    [sym_builtin_type] = STATE(1384),
    [sym__binded_type] = STATE(1384),
    [sym_generic_type] = STATE(1384),
    [sym_qualified_type] = STATE(1348),
    [sym_function_type] = STATE(1384),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(3362),
    [anon_sym_LT_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(740),
    [anon_sym_BANG_EQ] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(740),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(740),
    [anon_sym_AMP_AMP] = ACTIONS(740),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(740),
    [anon_sym_DOLLAR] = ACTIONS(740),
    [sym_none] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(740),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_CR] = ACTIONS(740),
    [anon_sym_CR_LF] = ACTIONS(740),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_map_LBRACK] = ACTIONS(3368),
    [anon_sym_chan] = ACTIONS(3370),
    [anon_sym_shared] = ACTIONS(3372),
    [anon_sym_thread] = ACTIONS(3374),
    [sym_int_literal] = ACTIONS(740),
    [sym_float_literal] = ACTIONS(740),
    [sym_rune_literal] = ACTIONS(740),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(3376),
    [anon_sym_string] = ACTIONS(3376),
    [anon_sym_char] = ACTIONS(3376),
    [anon_sym_sql] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(3378),
    [anon_sym_JS] = ACTIONS(3378),
    [anon_sym_voidptr] = ACTIONS(3376),
    [anon_sym_byteptr] = ACTIONS(3376),
    [anon_sym_charptr] = ACTIONS(3376),
    [anon_sym_i8] = ACTIONS(3376),
    [anon_sym_i16] = ACTIONS(3376),
    [anon_sym_i32] = ACTIONS(3376),
    [anon_sym_int] = ACTIONS(3376),
    [anon_sym_i64] = ACTIONS(3376),
    [anon_sym_byte] = ACTIONS(3376),
    [anon_sym_u8] = ACTIONS(3376),
    [anon_sym_u16] = ACTIONS(3376),
    [anon_sym_u32] = ACTIONS(3376),
    [anon_sym_u64] = ACTIONS(3376),
    [anon_sym_f32] = ACTIONS(3376),
    [anon_sym_f64] = ACTIONS(3376),
    [anon_sym_bool] = ACTIONS(3376),
    [anon_sym_rune] = ACTIONS(3376),
    [anon_sym_map] = ACTIONS(3376),
    [anon_sym_mapnode] = ACTIONS(3376),
    [anon_sym_size_t] = ACTIONS(3376),
    [anon_sym_usize] = ACTIONS(3376),
    [anon_sym_isize] = ACTIONS(3376),
    [anon_sym_float_literal] = ACTIONS(3376),
    [anon_sym_int_literal] = ACTIONS(3376),
    [anon_sym_IError] = ACTIONS(3376),
    [sym_type_placeholder] = ACTIONS(3380),
    [anon_sym_AT] = ACTIONS(740),
    [sym_type_identifier] = ACTIONS(3382),
    [anon_sym_unsafe] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(3384),
    [anon_sym_DOLLARif] = ACTIONS(740),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(740),
    [anon_sym_match] = ACTIONS(740),
    [anon_sym_select] = ACTIONS(740),
    [anon_sym_lock] = ACTIONS(740),
    [anon_sym_rlock] = ACTIONS(740),
    [sym__c_string_opening] = ACTIONS(738),
    [sym__raw_string_opening] = ACTIONS(738),
    [sym__string_opening] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1171] = {
    [sym_comment] = STATE(1171),
    [sym_fixed_array_type] = STATE(1384),
    [sym_array_type] = STATE(1384),
    [sym_pointer_type] = STATE(1384),
    [sym_map_type] = STATE(1384),
    [sym_channel_type] = STATE(1384),
    [sym_shared_type] = STATE(1384),
    [sym_thread_type] = STATE(1384),
    [sym_binded_identifier] = STATE(1395),
    [sym__simple_type] = STATE(1400),
    [sym_builtin_type] = STATE(1384),
    [sym__binded_type] = STATE(1384),
    [sym_generic_type] = STATE(1384),
    [sym_qualified_type] = STATE(1348),
    [sym_function_type] = STATE(1384),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_map_LBRACK] = ACTIONS(744),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(744),
    [sym_rune_literal] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym_DOLLARif] = ACTIONS(744),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1172] = {
    [sym_comment] = STATE(1172),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_multi_return_type] = STATE(1526),
    [sym__simple_type] = STATE(1526),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(734),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(734),
    [anon_sym_TILDE] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(734),
    [anon_sym_DOLLAR] = ACTIONS(736),
    [sym_none] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(734),
    [sym_rune_literal] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(736),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(736),
    [anon_sym_defer] = ACTIONS(736),
    [anon_sym_unsafe] = ACTIONS(736),
    [anon_sym_pub] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(736),
    [anon_sym_const] = ACTIONS(736),
    [anon_sym_asm] = ACTIONS(736),
    [anon_sym_break] = ACTIONS(736),
    [anon_sym_continue] = ACTIONS(736),
    [anon_sym_return] = ACTIONS(736),
    [anon_sym_type] = ACTIONS(736),
    [anon_sym_go] = ACTIONS(736),
    [anon_sym_spawn] = ACTIONS(736),
    [anon_sym_goto] = ACTIONS(736),
    [anon_sym_for] = ACTIONS(736),
    [anon_sym_DOLLARfor] = ACTIONS(734),
    [anon_sym_DOLLARif] = ACTIONS(734),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_struct] = ACTIONS(736),
    [anon_sym_union] = ACTIONS(736),
    [anon_sym_enum] = ACTIONS(736),
    [anon_sym_interface] = ACTIONS(736),
    [anon_sym_POUND] = ACTIONS(734),
    [anon_sym_module] = ACTIONS(736),
    [anon_sym_import] = ACTIONS(736),
    [anon_sym_match] = ACTIONS(736),
    [anon_sym_select] = ACTIONS(736),
    [anon_sym_lock] = ACTIONS(736),
    [anon_sym_rlock] = ACTIONS(736),
    [sym__automatic_separator] = ACTIONS(734),
    [sym__c_string_opening] = ACTIONS(734),
    [sym__raw_string_opening] = ACTIONS(734),
    [sym__string_opening] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1173] = {
    [sym_comment] = STATE(1173),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_LT_DASH] = ACTIONS(750),
    [anon_sym_SLASH] = ACTIONS(750),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(750),
    [anon_sym_AMP_CARET] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(750),
    [anon_sym_BANG_EQ] = ACTIONS(750),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(750),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(750),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(750),
    [anon_sym_AMP_AMP] = ACTIONS(750),
    [anon_sym_PIPE_PIPE] = ACTIONS(750),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(750),
    [anon_sym_DOLLAR] = ACTIONS(750),
    [sym_none] = ACTIONS(750),
    [sym_true] = ACTIONS(750),
    [sym_false] = ACTIONS(750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(750),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_LF] = ACTIONS(750),
    [anon_sym_CR] = ACTIONS(750),
    [anon_sym_CR_LF] = ACTIONS(750),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_map_LBRACK] = ACTIONS(3554),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(750),
    [sym_float_literal] = ACTIONS(750),
    [sym_rune_literal] = ACTIONS(750),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_sql] = ACTIONS(750),
    [anon_sym_mut] = ACTIONS(750),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [anon_sym_AT] = ACTIONS(750),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_unsafe] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_DOLLARif] = ACTIONS(750),
    [anon_sym_if] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(750),
    [anon_sym_match] = ACTIONS(750),
    [anon_sym_select] = ACTIONS(750),
    [anon_sym_lock] = ACTIONS(750),
    [anon_sym_rlock] = ACTIONS(750),
    [sym__c_string_opening] = ACTIONS(746),
    [sym__raw_string_opening] = ACTIONS(746),
    [sym__string_opening] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [1174] = {
    [sym_comment] = STATE(1174),
    [sym_fixed_array_type] = STATE(1384),
    [sym_array_type] = STATE(1384),
    [sym_pointer_type] = STATE(1384),
    [sym_map_type] = STATE(1384),
    [sym_channel_type] = STATE(1384),
    [sym_shared_type] = STATE(1384),
    [sym_thread_type] = STATE(1384),
    [sym_binded_identifier] = STATE(1395),
    [sym__simple_type] = STATE(1396),
    [sym_builtin_type] = STATE(1384),
    [sym__binded_type] = STATE(1384),
    [sym_generic_type] = STATE(1384),
    [sym_qualified_type] = STATE(1348),
    [sym_function_type] = STATE(1384),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(3362),
    [anon_sym_LT_DASH] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_map_LBRACK] = ACTIONS(3368),
    [anon_sym_chan] = ACTIONS(3370),
    [anon_sym_shared] = ACTIONS(3372),
    [anon_sym_thread] = ACTIONS(3374),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(744),
    [sym_rune_literal] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(3376),
    [anon_sym_string] = ACTIONS(3376),
    [anon_sym_char] = ACTIONS(3376),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(3378),
    [anon_sym_JS] = ACTIONS(3378),
    [anon_sym_voidptr] = ACTIONS(3376),
    [anon_sym_byteptr] = ACTIONS(3376),
    [anon_sym_charptr] = ACTIONS(3376),
    [anon_sym_i8] = ACTIONS(3376),
    [anon_sym_i16] = ACTIONS(3376),
    [anon_sym_i32] = ACTIONS(3376),
    [anon_sym_int] = ACTIONS(3376),
    [anon_sym_i64] = ACTIONS(3376),
    [anon_sym_byte] = ACTIONS(3376),
    [anon_sym_u8] = ACTIONS(3376),
    [anon_sym_u16] = ACTIONS(3376),
    [anon_sym_u32] = ACTIONS(3376),
    [anon_sym_u64] = ACTIONS(3376),
    [anon_sym_f32] = ACTIONS(3376),
    [anon_sym_f64] = ACTIONS(3376),
    [anon_sym_bool] = ACTIONS(3376),
    [anon_sym_rune] = ACTIONS(3376),
    [anon_sym_map] = ACTIONS(3376),
    [anon_sym_mapnode] = ACTIONS(3376),
    [anon_sym_size_t] = ACTIONS(3376),
    [anon_sym_usize] = ACTIONS(3376),
    [anon_sym_isize] = ACTIONS(3376),
    [anon_sym_float_literal] = ACTIONS(3376),
    [anon_sym_int_literal] = ACTIONS(3376),
    [anon_sym_IError] = ACTIONS(3376),
    [sym_type_placeholder] = ACTIONS(3380),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(3382),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(3384),
    [anon_sym_DOLLARif] = ACTIONS(744),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1175] = {
    [sym_comment] = STATE(1175),
    [sym_fixed_array_type] = STATE(1743),
    [sym_array_type] = STATE(1743),
    [sym_pointer_type] = STATE(1743),
    [sym_map_type] = STATE(1743),
    [sym_channel_type] = STATE(1743),
    [sym_shared_type] = STATE(1743),
    [sym_thread_type] = STATE(1743),
    [sym_binded_identifier] = STATE(1749),
    [sym_option_type] = STATE(1781),
    [sym_result_type] = STATE(1781),
    [sym_multi_return_type] = STATE(1781),
    [sym__simple_type] = STATE(1781),
    [sym_builtin_type] = STATE(1743),
    [sym__binded_type] = STATE(1743),
    [sym_generic_type] = STATE(1743),
    [sym_qualified_type] = STATE(1668),
    [sym_function_type] = STATE(1743),
    [sym_identifier] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(3558),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(3560),
    [anon_sym_TILDE] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym_LT_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(644),
    [anon_sym_AMP_CARET] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(3564),
    [sym_none] = ACTIONS(650),
    [sym_true] = ACTIONS(650),
    [sym_false] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(3566),
    [anon_sym_RBRACK] = ACTIONS(644),
    [anon_sym_map_LBRACK] = ACTIONS(3568),
    [anon_sym_chan] = ACTIONS(3570),
    [anon_sym_shared] = ACTIONS(3572),
    [anon_sym_thread] = ACTIONS(3574),
    [sym_int_literal] = ACTIONS(650),
    [sym_float_literal] = ACTIONS(644),
    [sym_rune_literal] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_char] = ACTIONS(3576),
    [anon_sym_sql] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(3578),
    [anon_sym_JS] = ACTIONS(3578),
    [anon_sym_voidptr] = ACTIONS(3576),
    [anon_sym_byteptr] = ACTIONS(3576),
    [anon_sym_charptr] = ACTIONS(3576),
    [anon_sym_i8] = ACTIONS(3576),
    [anon_sym_i16] = ACTIONS(3576),
    [anon_sym_i32] = ACTIONS(3576),
    [anon_sym_int] = ACTIONS(3576),
    [anon_sym_i64] = ACTIONS(3576),
    [anon_sym_byte] = ACTIONS(3576),
    [anon_sym_u8] = ACTIONS(3576),
    [anon_sym_u16] = ACTIONS(3576),
    [anon_sym_u32] = ACTIONS(3576),
    [anon_sym_u64] = ACTIONS(3576),
    [anon_sym_f32] = ACTIONS(3576),
    [anon_sym_f64] = ACTIONS(3576),
    [anon_sym_bool] = ACTIONS(3576),
    [anon_sym_rune] = ACTIONS(3576),
    [anon_sym_map] = ACTIONS(3576),
    [anon_sym_mapnode] = ACTIONS(3576),
    [anon_sym_size_t] = ACTIONS(3576),
    [anon_sym_usize] = ACTIONS(3576),
    [anon_sym_isize] = ACTIONS(3576),
    [anon_sym_float_literal] = ACTIONS(3576),
    [anon_sym_int_literal] = ACTIONS(3576),
    [anon_sym_IError] = ACTIONS(3576),
    [sym_type_placeholder] = ACTIONS(3580),
    [anon_sym_AT] = ACTIONS(650),
    [sym_type_identifier] = ACTIONS(3582),
    [anon_sym_unsafe] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(3584),
    [anon_sym_DOLLARif] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [anon_sym_match] = ACTIONS(650),
    [anon_sym_select] = ACTIONS(650),
    [anon_sym_lock] = ACTIONS(650),
    [anon_sym_rlock] = ACTIONS(650),
    [sym__c_string_opening] = ACTIONS(644),
    [sym__raw_string_opening] = ACTIONS(644),
    [sym__string_opening] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1176] = {
    [sym_comment] = STATE(1176),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym_multi_return_type] = STATE(1525),
    [sym__simple_type] = STATE(1525),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(738),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(738),
    [anon_sym_DOLLAR] = ACTIONS(740),
    [sym_none] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(740),
    [sym_float_literal] = ACTIONS(738),
    [sym_rune_literal] = ACTIONS(738),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(740),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(740),
    [anon_sym_defer] = ACTIONS(740),
    [anon_sym_unsafe] = ACTIONS(740),
    [anon_sym_pub] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(740),
    [anon_sym_const] = ACTIONS(740),
    [anon_sym_asm] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_type] = ACTIONS(740),
    [anon_sym_go] = ACTIONS(740),
    [anon_sym_spawn] = ACTIONS(740),
    [anon_sym_goto] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_DOLLARfor] = ACTIONS(738),
    [anon_sym_DOLLARif] = ACTIONS(738),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_struct] = ACTIONS(740),
    [anon_sym_union] = ACTIONS(740),
    [anon_sym_enum] = ACTIONS(740),
    [anon_sym_interface] = ACTIONS(740),
    [anon_sym_POUND] = ACTIONS(738),
    [anon_sym_module] = ACTIONS(740),
    [anon_sym_import] = ACTIONS(740),
    [anon_sym_match] = ACTIONS(740),
    [anon_sym_select] = ACTIONS(740),
    [anon_sym_lock] = ACTIONS(740),
    [anon_sym_rlock] = ACTIONS(740),
    [sym__automatic_separator] = ACTIONS(738),
    [sym__c_string_opening] = ACTIONS(738),
    [sym__raw_string_opening] = ACTIONS(738),
    [sym__string_opening] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1177] = {
    [sym_special_argument_list] = STATE(1185),
    [sym_comment] = STATE(1177),
    [sym_argument_list] = STATE(1181),
    [sym_type_parameters] = STATE(4588),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3586),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1178] = {
    [sym_special_argument_list] = STATE(1185),
    [sym_comment] = STATE(1178),
    [sym_argument_list] = STATE(1181),
    [sym_type_parameters] = STATE(4588),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3586),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(3250),
    [anon_sym_BANGis] = ACTIONS(3252),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1179] = {
    [sym_option_propagator] = STATE(1301),
    [sym_or_block] = STATE(1281),
    [sym_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_BANG] = ACTIONS(3588),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(881),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_LT_DASH] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(881),
    [anon_sym_PERCENT] = ACTIONS(881),
    [anon_sym_LT_LT] = ACTIONS(881),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_GT_GT_GT] = ACTIONS(881),
    [anon_sym_AMP_CARET] = ACTIONS(881),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_BANGin] = ACTIONS(881),
    [anon_sym_AMP_AMP] = ACTIONS(881),
    [anon_sym_PIPE_PIPE] = ACTIONS(881),
    [anon_sym_as] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(3590),
    [anon_sym_or] = ACTIONS(3592),
    [sym_none] = ACTIONS(883),
    [sym_true] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_RBRACE] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_map_LBRACK] = ACTIONS(881),
    [anon_sym_chan] = ACTIONS(883),
    [anon_sym_shared] = ACTIONS(883),
    [anon_sym_thread] = ACTIONS(883),
    [sym_int_literal] = ACTIONS(883),
    [sym_float_literal] = ACTIONS(881),
    [sym_rune_literal] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_array] = ACTIONS(883),
    [anon_sym_string] = ACTIONS(883),
    [anon_sym_char] = ACTIONS(883),
    [anon_sym_sql] = ACTIONS(883),
    [anon_sym_mut] = ACTIONS(883),
    [anon_sym_C] = ACTIONS(883),
    [anon_sym_JS] = ACTIONS(883),
    [anon_sym_voidptr] = ACTIONS(883),
    [anon_sym_byteptr] = ACTIONS(883),
    [anon_sym_charptr] = ACTIONS(883),
    [anon_sym_i8] = ACTIONS(883),
    [anon_sym_i16] = ACTIONS(883),
    [anon_sym_i32] = ACTIONS(883),
    [anon_sym_int] = ACTIONS(883),
    [anon_sym_i64] = ACTIONS(883),
    [anon_sym_byte] = ACTIONS(883),
    [anon_sym_u8] = ACTIONS(883),
    [anon_sym_u16] = ACTIONS(883),
    [anon_sym_u32] = ACTIONS(883),
    [anon_sym_u64] = ACTIONS(883),
    [anon_sym_f32] = ACTIONS(883),
    [anon_sym_f64] = ACTIONS(883),
    [anon_sym_bool] = ACTIONS(883),
    [anon_sym_rune] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(883),
    [anon_sym_mapnode] = ACTIONS(883),
    [anon_sym_size_t] = ACTIONS(883),
    [anon_sym_usize] = ACTIONS(883),
    [anon_sym_isize] = ACTIONS(883),
    [anon_sym_float_literal] = ACTIONS(883),
    [anon_sym_int_literal] = ACTIONS(883),
    [anon_sym_IError] = ACTIONS(883),
    [sym_type_placeholder] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [sym_type_identifier] = ACTIONS(883),
    [anon_sym_assert] = ACTIONS(883),
    [anon_sym_defer] = ACTIONS(883),
    [anon_sym_unsafe] = ACTIONS(883),
    [anon_sym_fn] = ACTIONS(883),
    [anon_sym_asm] = ACTIONS(883),
    [anon_sym_break] = ACTIONS(883),
    [anon_sym_continue] = ACTIONS(883),
    [anon_sym_return] = ACTIONS(883),
    [anon_sym_go] = ACTIONS(883),
    [anon_sym_spawn] = ACTIONS(883),
    [anon_sym_goto] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_DOLLARfor] = ACTIONS(881),
    [anon_sym_DOLLARif] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_BANGis] = ACTIONS(881),
    [anon_sym_POUND] = ACTIONS(881),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_select] = ACTIONS(883),
    [anon_sym_lock] = ACTIONS(883),
    [anon_sym_rlock] = ACTIONS(883),
    [sym__automatic_separator] = ACTIONS(881),
    [sym__c_string_opening] = ACTIONS(881),
    [sym__raw_string_opening] = ACTIONS(881),
    [sym__string_opening] = ACTIONS(881),
    [sym__comment] = ACTIONS(3),
  },
  [1180] = {
    [sym_special_argument_list] = STATE(1185),
    [sym_comment] = STATE(1180),
    [sym_argument_list] = STATE(1181),
    [sym_type_parameters] = STATE(4588),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3586),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1181] = {
    [sym_option_propagator] = STATE(1285),
    [sym_or_block] = STATE(1281),
    [sym_comment] = STATE(1181),
    [sym_identifier] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(873),
    [anon_sym_PLUS] = ACTIONS(873),
    [anon_sym_DASH] = ACTIONS(873),
    [anon_sym_BANG] = ACTIONS(3588),
    [anon_sym_TILDE] = ACTIONS(873),
    [anon_sym_CARET] = ACTIONS(873),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_GT_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(873),
    [anon_sym_BANG_EQ] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(873),
    [anon_sym_GT] = ACTIONS(875),
    [anon_sym_GT_EQ] = ACTIONS(873),
    [anon_sym_in] = ACTIONS(875),
    [anon_sym_BANGin] = ACTIONS(873),
    [anon_sym_AMP_AMP] = ACTIONS(873),
    [anon_sym_PIPE_PIPE] = ACTIONS(873),
    [anon_sym_as] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(873),
    [anon_sym_DOLLAR] = ACTIONS(875),
    [anon_sym_QMARK] = ACTIONS(3590),
    [anon_sym_or] = ACTIONS(3592),
    [sym_none] = ACTIONS(875),
    [sym_true] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_map_LBRACK] = ACTIONS(873),
    [anon_sym_chan] = ACTIONS(875),
    [anon_sym_shared] = ACTIONS(875),
    [anon_sym_thread] = ACTIONS(875),
    [sym_int_literal] = ACTIONS(875),
    [sym_float_literal] = ACTIONS(873),
    [sym_rune_literal] = ACTIONS(873),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_array] = ACTIONS(875),
    [anon_sym_string] = ACTIONS(875),
    [anon_sym_char] = ACTIONS(875),
    [anon_sym_sql] = ACTIONS(875),
    [anon_sym_mut] = ACTIONS(875),
    [anon_sym_C] = ACTIONS(875),
    [anon_sym_JS] = ACTIONS(875),
    [anon_sym_voidptr] = ACTIONS(875),
    [anon_sym_byteptr] = ACTIONS(875),
    [anon_sym_charptr] = ACTIONS(875),
    [anon_sym_i8] = ACTIONS(875),
    [anon_sym_i16] = ACTIONS(875),
    [anon_sym_i32] = ACTIONS(875),
    [anon_sym_int] = ACTIONS(875),
    [anon_sym_i64] = ACTIONS(875),
    [anon_sym_byte] = ACTIONS(875),
    [anon_sym_u8] = ACTIONS(875),
    [anon_sym_u16] = ACTIONS(875),
    [anon_sym_u32] = ACTIONS(875),
    [anon_sym_u64] = ACTIONS(875),
    [anon_sym_f32] = ACTIONS(875),
    [anon_sym_f64] = ACTIONS(875),
    [anon_sym_bool] = ACTIONS(875),
    [anon_sym_rune] = ACTIONS(875),
    [anon_sym_map] = ACTIONS(875),
    [anon_sym_mapnode] = ACTIONS(875),
    [anon_sym_size_t] = ACTIONS(875),
    [anon_sym_usize] = ACTIONS(875),
    [anon_sym_isize] = ACTIONS(875),
    [anon_sym_float_literal] = ACTIONS(875),
    [anon_sym_int_literal] = ACTIONS(875),
    [anon_sym_IError] = ACTIONS(875),
    [sym_type_placeholder] = ACTIONS(875),
    [anon_sym_AT] = ACTIONS(875),
    [sym_type_identifier] = ACTIONS(875),
    [anon_sym_assert] = ACTIONS(875),
    [anon_sym_defer] = ACTIONS(875),
    [anon_sym_unsafe] = ACTIONS(875),
    [anon_sym_fn] = ACTIONS(875),
    [anon_sym_asm] = ACTIONS(875),
    [anon_sym_break] = ACTIONS(875),
    [anon_sym_continue] = ACTIONS(875),
    [anon_sym_return] = ACTIONS(875),
    [anon_sym_go] = ACTIONS(875),
    [anon_sym_spawn] = ACTIONS(875),
    [anon_sym_goto] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(875),
    [anon_sym_DOLLARfor] = ACTIONS(873),
    [anon_sym_DOLLARif] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_is] = ACTIONS(875),
    [anon_sym_BANGis] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(873),
    [anon_sym_match] = ACTIONS(875),
    [anon_sym_select] = ACTIONS(875),
    [anon_sym_lock] = ACTIONS(875),
    [anon_sym_rlock] = ACTIONS(875),
    [sym__automatic_separator] = ACTIONS(873),
    [sym__c_string_opening] = ACTIONS(873),
    [sym__raw_string_opening] = ACTIONS(873),
    [sym__string_opening] = ACTIONS(873),
    [sym__comment] = ACTIONS(3),
  },
  [1182] = {
    [sym_comment] = STATE(1182),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym__simple_type] = STATE(1541),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(3398),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_map_LBRACK] = ACTIONS(3408),
    [anon_sym_chan] = ACTIONS(3410),
    [anon_sym_shared] = ACTIONS(3412),
    [anon_sym_thread] = ACTIONS(3414),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(3418),
    [anon_sym_JS] = ACTIONS(3418),
    [anon_sym_voidptr] = ACTIONS(3416),
    [anon_sym_byteptr] = ACTIONS(3416),
    [anon_sym_charptr] = ACTIONS(3416),
    [anon_sym_i8] = ACTIONS(3416),
    [anon_sym_i16] = ACTIONS(3416),
    [anon_sym_i32] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_i64] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_u8] = ACTIONS(3416),
    [anon_sym_u16] = ACTIONS(3416),
    [anon_sym_u32] = ACTIONS(3416),
    [anon_sym_u64] = ACTIONS(3416),
    [anon_sym_f32] = ACTIONS(3416),
    [anon_sym_f64] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_rune] = ACTIONS(3416),
    [anon_sym_map] = ACTIONS(3416),
    [anon_sym_mapnode] = ACTIONS(3416),
    [anon_sym_size_t] = ACTIONS(3416),
    [anon_sym_usize] = ACTIONS(3416),
    [anon_sym_isize] = ACTIONS(3416),
    [anon_sym_float_literal] = ACTIONS(3416),
    [anon_sym_int_literal] = ACTIONS(3416),
    [anon_sym_IError] = ACTIONS(3416),
    [sym_type_placeholder] = ACTIONS(3420),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(3422),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(3424),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1183] = {
    [sym_comment] = STATE(1183),
    [sym_fixed_array_type] = STATE(1510),
    [sym_array_type] = STATE(1510),
    [sym_pointer_type] = STATE(1510),
    [sym_map_type] = STATE(1510),
    [sym_channel_type] = STATE(1510),
    [sym_shared_type] = STATE(1510),
    [sym_thread_type] = STATE(1510),
    [sym_binded_identifier] = STATE(1497),
    [sym__simple_type] = STATE(1492),
    [sym_builtin_type] = STATE(1510),
    [sym__binded_type] = STATE(1510),
    [sym_generic_type] = STATE(1510),
    [sym_qualified_type] = STATE(1368),
    [sym_function_type] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1184] = {
    [sym_option_propagator] = STATE(1276),
    [sym_or_block] = STATE(1281),
    [sym_comment] = STATE(1184),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(3588),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_AMP] = ACTIONS(879),
    [anon_sym_LT_DASH] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(879),
    [anon_sym_GT_GT_GT] = ACTIONS(877),
    [anon_sym_AMP_CARET] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(879),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(879),
    [anon_sym_BANGin] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(879),
    [anon_sym_COMMA] = ACTIONS(877),
    [anon_sym_DOLLAR] = ACTIONS(879),
    [anon_sym_QMARK] = ACTIONS(3590),
    [anon_sym_or] = ACTIONS(3592),
    [sym_none] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_RBRACE] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_map_LBRACK] = ACTIONS(877),
    [anon_sym_chan] = ACTIONS(879),
    [anon_sym_shared] = ACTIONS(879),
    [anon_sym_thread] = ACTIONS(879),
    [sym_int_literal] = ACTIONS(879),
    [sym_float_literal] = ACTIONS(877),
    [sym_rune_literal] = ACTIONS(877),
    [anon_sym_DOT] = ACTIONS(879),
    [anon_sym_array] = ACTIONS(879),
    [anon_sym_string] = ACTIONS(879),
    [anon_sym_char] = ACTIONS(879),
    [anon_sym_sql] = ACTIONS(879),
    [anon_sym_mut] = ACTIONS(879),
    [anon_sym_C] = ACTIONS(879),
    [anon_sym_JS] = ACTIONS(879),
    [anon_sym_voidptr] = ACTIONS(879),
    [anon_sym_byteptr] = ACTIONS(879),
    [anon_sym_charptr] = ACTIONS(879),
    [anon_sym_i8] = ACTIONS(879),
    [anon_sym_i16] = ACTIONS(879),
    [anon_sym_i32] = ACTIONS(879),
    [anon_sym_int] = ACTIONS(879),
    [anon_sym_i64] = ACTIONS(879),
    [anon_sym_byte] = ACTIONS(879),
    [anon_sym_u8] = ACTIONS(879),
    [anon_sym_u16] = ACTIONS(879),
    [anon_sym_u32] = ACTIONS(879),
    [anon_sym_u64] = ACTIONS(879),
    [anon_sym_f32] = ACTIONS(879),
    [anon_sym_f64] = ACTIONS(879),
    [anon_sym_bool] = ACTIONS(879),
    [anon_sym_rune] = ACTIONS(879),
    [anon_sym_map] = ACTIONS(879),
    [anon_sym_mapnode] = ACTIONS(879),
    [anon_sym_size_t] = ACTIONS(879),
    [anon_sym_usize] = ACTIONS(879),
    [anon_sym_isize] = ACTIONS(879),
    [anon_sym_float_literal] = ACTIONS(879),
    [anon_sym_int_literal] = ACTIONS(879),
    [anon_sym_IError] = ACTIONS(879),
    [sym_type_placeholder] = ACTIONS(879),
    [anon_sym_AT] = ACTIONS(879),
    [sym_type_identifier] = ACTIONS(879),
    [anon_sym_assert] = ACTIONS(879),
    [anon_sym_defer] = ACTIONS(879),
    [anon_sym_unsafe] = ACTIONS(879),
    [anon_sym_fn] = ACTIONS(879),
    [anon_sym_asm] = ACTIONS(879),
    [anon_sym_break] = ACTIONS(879),
    [anon_sym_continue] = ACTIONS(879),
    [anon_sym_return] = ACTIONS(879),
    [anon_sym_go] = ACTIONS(879),
    [anon_sym_spawn] = ACTIONS(879),
    [anon_sym_goto] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_DOLLARfor] = ACTIONS(877),
    [anon_sym_DOLLARif] = ACTIONS(877),
    [anon_sym_if] = ACTIONS(879),
    [anon_sym_is] = ACTIONS(879),
    [anon_sym_BANGis] = ACTIONS(877),
    [anon_sym_POUND] = ACTIONS(877),
    [anon_sym_match] = ACTIONS(879),
    [anon_sym_select] = ACTIONS(879),
    [anon_sym_lock] = ACTIONS(879),
    [anon_sym_rlock] = ACTIONS(879),
    [sym__automatic_separator] = ACTIONS(877),
    [sym__c_string_opening] = ACTIONS(877),
    [sym__raw_string_opening] = ACTIONS(877),
    [sym__string_opening] = ACTIONS(877),
    [sym__comment] = ACTIONS(3),
  },
  [1185] = {
    [sym_option_propagator] = STATE(1284),
    [sym_or_block] = STATE(1281),
    [sym_comment] = STATE(1185),
    [sym_identifier] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_BANG] = ACTIONS(3588),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_STAR] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_LT_DASH] = ACTIONS(863),
    [anon_sym_SLASH] = ACTIONS(863),
    [anon_sym_PERCENT] = ACTIONS(863),
    [anon_sym_LT_LT] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(865),
    [anon_sym_GT_GT_GT] = ACTIONS(863),
    [anon_sym_AMP_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(863),
    [anon_sym_BANG_EQ] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(863),
    [anon_sym_in] = ACTIONS(865),
    [anon_sym_BANGin] = ACTIONS(863),
    [anon_sym_AMP_AMP] = ACTIONS(863),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_as] = ACTIONS(865),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOLLAR] = ACTIONS(865),
    [anon_sym_QMARK] = ACTIONS(3590),
    [anon_sym_or] = ACTIONS(3592),
    [sym_none] = ACTIONS(865),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_RBRACE] = ACTIONS(863),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_map_LBRACK] = ACTIONS(863),
    [anon_sym_chan] = ACTIONS(865),
    [anon_sym_shared] = ACTIONS(865),
    [anon_sym_thread] = ACTIONS(865),
    [sym_int_literal] = ACTIONS(865),
    [sym_float_literal] = ACTIONS(863),
    [sym_rune_literal] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_array] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_char] = ACTIONS(865),
    [anon_sym_sql] = ACTIONS(865),
    [anon_sym_mut] = ACTIONS(865),
    [anon_sym_C] = ACTIONS(865),
    [anon_sym_JS] = ACTIONS(865),
    [anon_sym_voidptr] = ACTIONS(865),
    [anon_sym_byteptr] = ACTIONS(865),
    [anon_sym_charptr] = ACTIONS(865),
    [anon_sym_i8] = ACTIONS(865),
    [anon_sym_i16] = ACTIONS(865),
    [anon_sym_i32] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_i64] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_u8] = ACTIONS(865),
    [anon_sym_u16] = ACTIONS(865),
    [anon_sym_u32] = ACTIONS(865),
    [anon_sym_u64] = ACTIONS(865),
    [anon_sym_f32] = ACTIONS(865),
    [anon_sym_f64] = ACTIONS(865),
    [anon_sym_bool] = ACTIONS(865),
    [anon_sym_rune] = ACTIONS(865),
    [anon_sym_map] = ACTIONS(865),
    [anon_sym_mapnode] = ACTIONS(865),
    [anon_sym_size_t] = ACTIONS(865),
    [anon_sym_usize] = ACTIONS(865),
    [anon_sym_isize] = ACTIONS(865),
    [anon_sym_float_literal] = ACTIONS(865),
    [anon_sym_int_literal] = ACTIONS(865),
    [anon_sym_IError] = ACTIONS(865),
    [sym_type_placeholder] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(865),
    [sym_type_identifier] = ACTIONS(865),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_defer] = ACTIONS(865),
    [anon_sym_unsafe] = ACTIONS(865),
    [anon_sym_fn] = ACTIONS(865),
    [anon_sym_asm] = ACTIONS(865),
    [anon_sym_break] = ACTIONS(865),
    [anon_sym_continue] = ACTIONS(865),
    [anon_sym_return] = ACTIONS(865),
    [anon_sym_go] = ACTIONS(865),
    [anon_sym_spawn] = ACTIONS(865),
    [anon_sym_goto] = ACTIONS(865),
    [anon_sym_for] = ACTIONS(865),
    [anon_sym_DOLLARfor] = ACTIONS(863),
    [anon_sym_DOLLARif] = ACTIONS(863),
    [anon_sym_if] = ACTIONS(865),
    [anon_sym_is] = ACTIONS(865),
    [anon_sym_BANGis] = ACTIONS(863),
    [anon_sym_POUND] = ACTIONS(863),
    [anon_sym_match] = ACTIONS(865),
    [anon_sym_select] = ACTIONS(865),
    [anon_sym_lock] = ACTIONS(865),
    [anon_sym_rlock] = ACTIONS(865),
    [sym__automatic_separator] = ACTIONS(863),
    [sym__c_string_opening] = ACTIONS(863),
    [sym__raw_string_opening] = ACTIONS(863),
    [sym__string_opening] = ACTIONS(863),
    [sym__comment] = ACTIONS(3),
  },
  [1186] = {
    [sym_special_argument_list] = STATE(1185),
    [sym_comment] = STATE(1186),
    [sym_argument_list] = STATE(1181),
    [sym_type_parameters] = STATE(4588),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3586),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(3262),
    [anon_sym_BANGis] = ACTIONS(3264),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1187] = {
    [sym_comment] = STATE(1187),
    [sym_argument_list] = STATE(1181),
    [sym_type_parameters] = STATE(4588),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1188] = {
    [sym_comment] = STATE(1188),
    [sym_fixed_array_type] = STATE(1743),
    [sym_array_type] = STATE(1743),
    [sym_pointer_type] = STATE(1743),
    [sym_map_type] = STATE(1743),
    [sym_channel_type] = STATE(1743),
    [sym_shared_type] = STATE(1743),
    [sym_thread_type] = STATE(1743),
    [sym_binded_identifier] = STATE(1749),
    [sym_multi_return_type] = STATE(1798),
    [sym__simple_type] = STATE(1798),
    [sym_builtin_type] = STATE(1743),
    [sym__binded_type] = STATE(1743),
    [sym_generic_type] = STATE(1743),
    [sym_qualified_type] = STATE(1668),
    [sym_function_type] = STATE(1743),
    [sym_identifier] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(3558),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(736),
    [anon_sym_TILDE] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym_LT_DASH] = ACTIONS(734),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(734),
    [anon_sym_AMP_CARET] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_DOLLAR] = ACTIONS(736),
    [sym_none] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(3566),
    [anon_sym_RBRACK] = ACTIONS(734),
    [anon_sym_map_LBRACK] = ACTIONS(3568),
    [anon_sym_chan] = ACTIONS(3570),
    [anon_sym_shared] = ACTIONS(3572),
    [anon_sym_thread] = ACTIONS(3574),
    [sym_int_literal] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(734),
    [sym_rune_literal] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_char] = ACTIONS(3576),
    [anon_sym_sql] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(3578),
    [anon_sym_JS] = ACTIONS(3578),
    [anon_sym_voidptr] = ACTIONS(3576),
    [anon_sym_byteptr] = ACTIONS(3576),
    [anon_sym_charptr] = ACTIONS(3576),
    [anon_sym_i8] = ACTIONS(3576),
    [anon_sym_i16] = ACTIONS(3576),
    [anon_sym_i32] = ACTIONS(3576),
    [anon_sym_int] = ACTIONS(3576),
    [anon_sym_i64] = ACTIONS(3576),
    [anon_sym_byte] = ACTIONS(3576),
    [anon_sym_u8] = ACTIONS(3576),
    [anon_sym_u16] = ACTIONS(3576),
    [anon_sym_u32] = ACTIONS(3576),
    [anon_sym_u64] = ACTIONS(3576),
    [anon_sym_f32] = ACTIONS(3576),
    [anon_sym_f64] = ACTIONS(3576),
    [anon_sym_bool] = ACTIONS(3576),
    [anon_sym_rune] = ACTIONS(3576),
    [anon_sym_map] = ACTIONS(3576),
    [anon_sym_mapnode] = ACTIONS(3576),
    [anon_sym_size_t] = ACTIONS(3576),
    [anon_sym_usize] = ACTIONS(3576),
    [anon_sym_isize] = ACTIONS(3576),
    [anon_sym_float_literal] = ACTIONS(3576),
    [anon_sym_int_literal] = ACTIONS(3576),
    [anon_sym_IError] = ACTIONS(3576),
    [sym_type_placeholder] = ACTIONS(3580),
    [anon_sym_AT] = ACTIONS(736),
    [sym_type_identifier] = ACTIONS(3582),
    [anon_sym_unsafe] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(3584),
    [anon_sym_DOLLARif] = ACTIONS(734),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [anon_sym_match] = ACTIONS(736),
    [anon_sym_select] = ACTIONS(736),
    [anon_sym_lock] = ACTIONS(736),
    [anon_sym_rlock] = ACTIONS(736),
    [sym__c_string_opening] = ACTIONS(734),
    [sym__raw_string_opening] = ACTIONS(734),
    [sym__string_opening] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1189] = {
    [sym_comment] = STATE(1189),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_CARET] = ACTIONS(1052),
    [anon_sym_STAR] = ACTIONS(1052),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1052),
    [anon_sym_SLASH] = ACTIONS(1052),
    [anon_sym_PERCENT] = ACTIONS(1052),
    [anon_sym_LT_LT] = ACTIONS(1052),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_GT_GT_GT] = ACTIONS(1052),
    [anon_sym_AMP_CARET] = ACTIONS(1052),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1052),
    [anon_sym_BANG_EQ] = ACTIONS(1052),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1052),
    [anon_sym_in] = ACTIONS(1054),
    [anon_sym_BANGin] = ACTIONS(1052),
    [anon_sym_AMP_AMP] = ACTIONS(1052),
    [anon_sym_PIPE_PIPE] = ACTIONS(1052),
    [anon_sym_as] = ACTIONS(1054),
    [anon_sym_COMMA] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1054),
    [anon_sym_QMARK] = ACTIONS(1052),
    [anon_sym_or] = ACTIONS(1054),
    [sym_none] = ACTIONS(1054),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_map_LBRACK] = ACTIONS(1052),
    [anon_sym_chan] = ACTIONS(1054),
    [anon_sym_shared] = ACTIONS(1054),
    [anon_sym_thread] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(1054),
    [sym_float_literal] = ACTIONS(1052),
    [sym_rune_literal] = ACTIONS(1052),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_array] = ACTIONS(1054),
    [anon_sym_string] = ACTIONS(1054),
    [anon_sym_char] = ACTIONS(1054),
    [anon_sym_sql] = ACTIONS(1054),
    [anon_sym_mut] = ACTIONS(1054),
    [anon_sym_C] = ACTIONS(1054),
    [anon_sym_JS] = ACTIONS(1054),
    [anon_sym_voidptr] = ACTIONS(1054),
    [anon_sym_byteptr] = ACTIONS(1054),
    [anon_sym_charptr] = ACTIONS(1054),
    [anon_sym_i8] = ACTIONS(1054),
    [anon_sym_i16] = ACTIONS(1054),
    [anon_sym_i32] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_i64] = ACTIONS(1054),
    [anon_sym_byte] = ACTIONS(1054),
    [anon_sym_u8] = ACTIONS(1054),
    [anon_sym_u16] = ACTIONS(1054),
    [anon_sym_u32] = ACTIONS(1054),
    [anon_sym_u64] = ACTIONS(1054),
    [anon_sym_f32] = ACTIONS(1054),
    [anon_sym_f64] = ACTIONS(1054),
    [anon_sym_bool] = ACTIONS(1054),
    [anon_sym_rune] = ACTIONS(1054),
    [anon_sym_map] = ACTIONS(1054),
    [anon_sym_mapnode] = ACTIONS(1054),
    [anon_sym_size_t] = ACTIONS(1054),
    [anon_sym_usize] = ACTIONS(1054),
    [anon_sym_isize] = ACTIONS(1054),
    [anon_sym_float_literal] = ACTIONS(1054),
    [anon_sym_int_literal] = ACTIONS(1054),
    [anon_sym_IError] = ACTIONS(1054),
    [sym_type_placeholder] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1054),
    [sym_type_identifier] = ACTIONS(1054),
    [anon_sym_assert] = ACTIONS(1054),
    [anon_sym_defer] = ACTIONS(1054),
    [anon_sym_unsafe] = ACTIONS(1054),
    [anon_sym_fn] = ACTIONS(1054),
    [anon_sym_asm] = ACTIONS(1054),
    [anon_sym_break] = ACTIONS(1054),
    [anon_sym_continue] = ACTIONS(1054),
    [anon_sym_return] = ACTIONS(1054),
    [anon_sym_go] = ACTIONS(1054),
    [anon_sym_spawn] = ACTIONS(1054),
    [anon_sym_goto] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1054),
    [anon_sym_DOLLARfor] = ACTIONS(1052),
    [anon_sym_DOLLARif] = ACTIONS(1052),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_is] = ACTIONS(1054),
    [anon_sym_BANGis] = ACTIONS(1052),
    [anon_sym_POUND] = ACTIONS(1052),
    [anon_sym_match] = ACTIONS(1054),
    [anon_sym_select] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_rlock] = ACTIONS(1054),
    [sym__automatic_separator] = ACTIONS(1052),
    [sym__c_string_opening] = ACTIONS(1052),
    [sym__raw_string_opening] = ACTIONS(1052),
    [sym__string_opening] = ACTIONS(1052),
    [sym__comment] = ACTIONS(3),
  },
  [1190] = {
    [sym_comment] = STATE(1190),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_PLUS] = ACTIONS(1056),
    [anon_sym_DASH] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_CARET] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_LT_DASH] = ACTIONS(1056),
    [anon_sym_SLASH] = ACTIONS(1056),
    [anon_sym_PERCENT] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1056),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_GT_GT_GT] = ACTIONS(1056),
    [anon_sym_AMP_CARET] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_in] = ACTIONS(1058),
    [anon_sym_BANGin] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_as] = ACTIONS(1058),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_or] = ACTIONS(1058),
    [sym_none] = ACTIONS(1058),
    [sym_true] = ACTIONS(1058),
    [sym_false] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_map_LBRACK] = ACTIONS(1056),
    [anon_sym_chan] = ACTIONS(1058),
    [anon_sym_shared] = ACTIONS(1058),
    [anon_sym_thread] = ACTIONS(1058),
    [sym_int_literal] = ACTIONS(1058),
    [sym_float_literal] = ACTIONS(1056),
    [sym_rune_literal] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1058),
    [anon_sym_array] = ACTIONS(1058),
    [anon_sym_string] = ACTIONS(1058),
    [anon_sym_char] = ACTIONS(1058),
    [anon_sym_sql] = ACTIONS(1058),
    [anon_sym_mut] = ACTIONS(1058),
    [anon_sym_C] = ACTIONS(1058),
    [anon_sym_JS] = ACTIONS(1058),
    [anon_sym_voidptr] = ACTIONS(1058),
    [anon_sym_byteptr] = ACTIONS(1058),
    [anon_sym_charptr] = ACTIONS(1058),
    [anon_sym_i8] = ACTIONS(1058),
    [anon_sym_i16] = ACTIONS(1058),
    [anon_sym_i32] = ACTIONS(1058),
    [anon_sym_int] = ACTIONS(1058),
    [anon_sym_i64] = ACTIONS(1058),
    [anon_sym_byte] = ACTIONS(1058),
    [anon_sym_u8] = ACTIONS(1058),
    [anon_sym_u16] = ACTIONS(1058),
    [anon_sym_u32] = ACTIONS(1058),
    [anon_sym_u64] = ACTIONS(1058),
    [anon_sym_f32] = ACTIONS(1058),
    [anon_sym_f64] = ACTIONS(1058),
    [anon_sym_bool] = ACTIONS(1058),
    [anon_sym_rune] = ACTIONS(1058),
    [anon_sym_map] = ACTIONS(1058),
    [anon_sym_mapnode] = ACTIONS(1058),
    [anon_sym_size_t] = ACTIONS(1058),
    [anon_sym_usize] = ACTIONS(1058),
    [anon_sym_isize] = ACTIONS(1058),
    [anon_sym_float_literal] = ACTIONS(1058),
    [anon_sym_int_literal] = ACTIONS(1058),
    [anon_sym_IError] = ACTIONS(1058),
    [sym_type_placeholder] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1058),
    [sym_type_identifier] = ACTIONS(1058),
    [anon_sym_assert] = ACTIONS(1058),
    [anon_sym_defer] = ACTIONS(1058),
    [anon_sym_unsafe] = ACTIONS(1058),
    [anon_sym_fn] = ACTIONS(1058),
    [anon_sym_asm] = ACTIONS(1058),
    [anon_sym_break] = ACTIONS(1058),
    [anon_sym_continue] = ACTIONS(1058),
    [anon_sym_return] = ACTIONS(1058),
    [anon_sym_go] = ACTIONS(1058),
    [anon_sym_spawn] = ACTIONS(1058),
    [anon_sym_goto] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1058),
    [anon_sym_DOLLARfor] = ACTIONS(1056),
    [anon_sym_DOLLARif] = ACTIONS(1056),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_is] = ACTIONS(1058),
    [anon_sym_BANGis] = ACTIONS(1056),
    [anon_sym_POUND] = ACTIONS(1056),
    [anon_sym_match] = ACTIONS(1058),
    [anon_sym_select] = ACTIONS(1058),
    [anon_sym_lock] = ACTIONS(1058),
    [anon_sym_rlock] = ACTIONS(1058),
    [sym__automatic_separator] = ACTIONS(1056),
    [sym__c_string_opening] = ACTIONS(1056),
    [sym__raw_string_opening] = ACTIONS(1056),
    [sym__string_opening] = ACTIONS(1056),
    [sym__comment] = ACTIONS(3),
  },
  [1191] = {
    [sym_comment] = STATE(1191),
    [sym_type_parameters] = STATE(1253),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1046),
    [anon_sym_PERCENT] = ACTIONS(1046),
    [anon_sym_LT_LT] = ACTIONS(1046),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1046),
    [anon_sym_AMP_CARET] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_LT2] = ACTIONS(3596),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1192] = {
    [sym_comment] = STATE(1192),
    [sym_identifier] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_CARET] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_LT_DASH] = ACTIONS(1038),
    [anon_sym_SLASH] = ACTIONS(1038),
    [anon_sym_PERCENT] = ACTIONS(1038),
    [anon_sym_LT_LT] = ACTIONS(1038),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_BANGin] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_or] = ACTIONS(1040),
    [sym_none] = ACTIONS(1040),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_map_LBRACK] = ACTIONS(1038),
    [anon_sym_chan] = ACTIONS(1040),
    [anon_sym_shared] = ACTIONS(1040),
    [anon_sym_thread] = ACTIONS(1040),
    [sym_int_literal] = ACTIONS(1040),
    [sym_float_literal] = ACTIONS(1038),
    [sym_rune_literal] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_array] = ACTIONS(1040),
    [anon_sym_string] = ACTIONS(1040),
    [anon_sym_char] = ACTIONS(1040),
    [anon_sym_sql] = ACTIONS(1040),
    [anon_sym_mut] = ACTIONS(1040),
    [anon_sym_C] = ACTIONS(1040),
    [anon_sym_JS] = ACTIONS(1040),
    [anon_sym_voidptr] = ACTIONS(1040),
    [anon_sym_byteptr] = ACTIONS(1040),
    [anon_sym_charptr] = ACTIONS(1040),
    [anon_sym_i8] = ACTIONS(1040),
    [anon_sym_i16] = ACTIONS(1040),
    [anon_sym_i32] = ACTIONS(1040),
    [anon_sym_int] = ACTIONS(1040),
    [anon_sym_i64] = ACTIONS(1040),
    [anon_sym_byte] = ACTIONS(1040),
    [anon_sym_u8] = ACTIONS(1040),
    [anon_sym_u16] = ACTIONS(1040),
    [anon_sym_u32] = ACTIONS(1040),
    [anon_sym_u64] = ACTIONS(1040),
    [anon_sym_f32] = ACTIONS(1040),
    [anon_sym_f64] = ACTIONS(1040),
    [anon_sym_bool] = ACTIONS(1040),
    [anon_sym_rune] = ACTIONS(1040),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_mapnode] = ACTIONS(1040),
    [anon_sym_size_t] = ACTIONS(1040),
    [anon_sym_usize] = ACTIONS(1040),
    [anon_sym_isize] = ACTIONS(1040),
    [anon_sym_float_literal] = ACTIONS(1040),
    [anon_sym_int_literal] = ACTIONS(1040),
    [anon_sym_IError] = ACTIONS(1040),
    [sym_type_placeholder] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [sym_type_identifier] = ACTIONS(1040),
    [anon_sym_assert] = ACTIONS(1040),
    [anon_sym_defer] = ACTIONS(1040),
    [anon_sym_unsafe] = ACTIONS(1040),
    [anon_sym_fn] = ACTIONS(1040),
    [anon_sym_asm] = ACTIONS(1040),
    [anon_sym_break] = ACTIONS(1040),
    [anon_sym_continue] = ACTIONS(1040),
    [anon_sym_return] = ACTIONS(1040),
    [anon_sym_go] = ACTIONS(1040),
    [anon_sym_spawn] = ACTIONS(1040),
    [anon_sym_goto] = ACTIONS(1040),
    [anon_sym_for] = ACTIONS(1040),
    [anon_sym_DOLLARfor] = ACTIONS(1038),
    [anon_sym_DOLLARif] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_is] = ACTIONS(1040),
    [anon_sym_BANGis] = ACTIONS(1038),
    [anon_sym_POUND] = ACTIONS(1038),
    [anon_sym_match] = ACTIONS(1040),
    [anon_sym_select] = ACTIONS(1040),
    [anon_sym_lock] = ACTIONS(1040),
    [anon_sym_rlock] = ACTIONS(1040),
    [sym__automatic_separator] = ACTIONS(1038),
    [sym__c_string_opening] = ACTIONS(1038),
    [sym__raw_string_opening] = ACTIONS(1038),
    [sym__string_opening] = ACTIONS(1038),
    [sym__comment] = ACTIONS(3),
  },
  [1193] = {
    [sym_comment] = STATE(1193),
    [sym_fixed_array_type] = STATE(1743),
    [sym_array_type] = STATE(1743),
    [sym_pointer_type] = STATE(1743),
    [sym_map_type] = STATE(1743),
    [sym_channel_type] = STATE(1743),
    [sym_shared_type] = STATE(1743),
    [sym_thread_type] = STATE(1743),
    [sym_binded_identifier] = STATE(1749),
    [sym_multi_return_type] = STATE(1735),
    [sym__simple_type] = STATE(1735),
    [sym_builtin_type] = STATE(1743),
    [sym__binded_type] = STATE(1743),
    [sym_generic_type] = STATE(1743),
    [sym_qualified_type] = STATE(1668),
    [sym_function_type] = STATE(1743),
    [sym_identifier] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(3558),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym_LT_DASH] = ACTIONS(738),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(738),
    [anon_sym_AMP_CARET] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_DOLLAR] = ACTIONS(740),
    [sym_none] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(3566),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_map_LBRACK] = ACTIONS(3568),
    [anon_sym_chan] = ACTIONS(3570),
    [anon_sym_shared] = ACTIONS(3572),
    [anon_sym_thread] = ACTIONS(3574),
    [sym_int_literal] = ACTIONS(740),
    [sym_float_literal] = ACTIONS(738),
    [sym_rune_literal] = ACTIONS(738),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_char] = ACTIONS(3576),
    [anon_sym_sql] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(3578),
    [anon_sym_JS] = ACTIONS(3578),
    [anon_sym_voidptr] = ACTIONS(3576),
    [anon_sym_byteptr] = ACTIONS(3576),
    [anon_sym_charptr] = ACTIONS(3576),
    [anon_sym_i8] = ACTIONS(3576),
    [anon_sym_i16] = ACTIONS(3576),
    [anon_sym_i32] = ACTIONS(3576),
    [anon_sym_int] = ACTIONS(3576),
    [anon_sym_i64] = ACTIONS(3576),
    [anon_sym_byte] = ACTIONS(3576),
    [anon_sym_u8] = ACTIONS(3576),
    [anon_sym_u16] = ACTIONS(3576),
    [anon_sym_u32] = ACTIONS(3576),
    [anon_sym_u64] = ACTIONS(3576),
    [anon_sym_f32] = ACTIONS(3576),
    [anon_sym_f64] = ACTIONS(3576),
    [anon_sym_bool] = ACTIONS(3576),
    [anon_sym_rune] = ACTIONS(3576),
    [anon_sym_map] = ACTIONS(3576),
    [anon_sym_mapnode] = ACTIONS(3576),
    [anon_sym_size_t] = ACTIONS(3576),
    [anon_sym_usize] = ACTIONS(3576),
    [anon_sym_isize] = ACTIONS(3576),
    [anon_sym_float_literal] = ACTIONS(3576),
    [anon_sym_int_literal] = ACTIONS(3576),
    [anon_sym_IError] = ACTIONS(3576),
    [sym_type_placeholder] = ACTIONS(3580),
    [anon_sym_AT] = ACTIONS(740),
    [sym_type_identifier] = ACTIONS(3582),
    [anon_sym_unsafe] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(3584),
    [anon_sym_DOLLARif] = ACTIONS(738),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [anon_sym_match] = ACTIONS(740),
    [anon_sym_select] = ACTIONS(740),
    [anon_sym_lock] = ACTIONS(740),
    [anon_sym_rlock] = ACTIONS(740),
    [sym__c_string_opening] = ACTIONS(738),
    [sym__raw_string_opening] = ACTIONS(738),
    [sym__string_opening] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1194] = {
    [sym_comment] = STATE(1194),
    [sym_identifier] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_CARET] = ACTIONS(1064),
    [anon_sym_STAR] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(1066),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_SLASH] = ACTIONS(1064),
    [anon_sym_PERCENT] = ACTIONS(1064),
    [anon_sym_LT_LT] = ACTIONS(1064),
    [anon_sym_GT_GT] = ACTIONS(1066),
    [anon_sym_GT_GT_GT] = ACTIONS(1064),
    [anon_sym_AMP_CARET] = ACTIONS(1064),
    [anon_sym_PIPE] = ACTIONS(1066),
    [anon_sym_EQ_EQ] = ACTIONS(1064),
    [anon_sym_BANG_EQ] = ACTIONS(1064),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_LT_EQ] = ACTIONS(1064),
    [anon_sym_GT] = ACTIONS(1066),
    [anon_sym_GT_EQ] = ACTIONS(1064),
    [anon_sym_in] = ACTIONS(1066),
    [anon_sym_BANGin] = ACTIONS(1064),
    [anon_sym_AMP_AMP] = ACTIONS(1064),
    [anon_sym_PIPE_PIPE] = ACTIONS(1064),
    [anon_sym_as] = ACTIONS(1066),
    [anon_sym_COMMA] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(1064),
    [anon_sym_or] = ACTIONS(1066),
    [sym_none] = ACTIONS(1066),
    [sym_true] = ACTIONS(1066),
    [sym_false] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_map_LBRACK] = ACTIONS(1064),
    [anon_sym_chan] = ACTIONS(1066),
    [anon_sym_shared] = ACTIONS(1066),
    [anon_sym_thread] = ACTIONS(1066),
    [sym_int_literal] = ACTIONS(1066),
    [sym_float_literal] = ACTIONS(1064),
    [sym_rune_literal] = ACTIONS(1064),
    [anon_sym_DOT] = ACTIONS(1066),
    [anon_sym_array] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_char] = ACTIONS(1066),
    [anon_sym_sql] = ACTIONS(1066),
    [anon_sym_mut] = ACTIONS(1066),
    [anon_sym_C] = ACTIONS(1066),
    [anon_sym_JS] = ACTIONS(1066),
    [anon_sym_voidptr] = ACTIONS(1066),
    [anon_sym_byteptr] = ACTIONS(1066),
    [anon_sym_charptr] = ACTIONS(1066),
    [anon_sym_i8] = ACTIONS(1066),
    [anon_sym_i16] = ACTIONS(1066),
    [anon_sym_i32] = ACTIONS(1066),
    [anon_sym_int] = ACTIONS(1066),
    [anon_sym_i64] = ACTIONS(1066),
    [anon_sym_byte] = ACTIONS(1066),
    [anon_sym_u8] = ACTIONS(1066),
    [anon_sym_u16] = ACTIONS(1066),
    [anon_sym_u32] = ACTIONS(1066),
    [anon_sym_u64] = ACTIONS(1066),
    [anon_sym_f32] = ACTIONS(1066),
    [anon_sym_f64] = ACTIONS(1066),
    [anon_sym_bool] = ACTIONS(1066),
    [anon_sym_rune] = ACTIONS(1066),
    [anon_sym_map] = ACTIONS(1066),
    [anon_sym_mapnode] = ACTIONS(1066),
    [anon_sym_size_t] = ACTIONS(1066),
    [anon_sym_usize] = ACTIONS(1066),
    [anon_sym_isize] = ACTIONS(1066),
    [anon_sym_float_literal] = ACTIONS(1066),
    [anon_sym_int_literal] = ACTIONS(1066),
    [anon_sym_IError] = ACTIONS(1066),
    [sym_type_placeholder] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [sym_type_identifier] = ACTIONS(1066),
    [anon_sym_assert] = ACTIONS(1066),
    [anon_sym_defer] = ACTIONS(1066),
    [anon_sym_unsafe] = ACTIONS(1066),
    [anon_sym_fn] = ACTIONS(1066),
    [anon_sym_asm] = ACTIONS(1066),
    [anon_sym_break] = ACTIONS(1066),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_go] = ACTIONS(1066),
    [anon_sym_spawn] = ACTIONS(1066),
    [anon_sym_goto] = ACTIONS(1066),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_DOLLARfor] = ACTIONS(1064),
    [anon_sym_DOLLARif] = ACTIONS(1064),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_is] = ACTIONS(1066),
    [anon_sym_BANGis] = ACTIONS(1064),
    [anon_sym_POUND] = ACTIONS(1064),
    [anon_sym_match] = ACTIONS(1066),
    [anon_sym_select] = ACTIONS(1066),
    [anon_sym_lock] = ACTIONS(1066),
    [anon_sym_rlock] = ACTIONS(1066),
    [sym__automatic_separator] = ACTIONS(1064),
    [sym__c_string_opening] = ACTIONS(1064),
    [sym__raw_string_opening] = ACTIONS(1064),
    [sym__string_opening] = ACTIONS(1064),
    [sym__comment] = ACTIONS(3),
  },
  [1195] = {
    [sym_comment] = STATE(1195),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_CARET] = ACTIONS(1042),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1044),
    [anon_sym_LT_DASH] = ACTIONS(1042),
    [anon_sym_SLASH] = ACTIONS(1042),
    [anon_sym_PERCENT] = ACTIONS(1042),
    [anon_sym_LT_LT] = ACTIONS(1042),
    [anon_sym_GT_GT] = ACTIONS(1044),
    [anon_sym_GT_GT_GT] = ACTIONS(1042),
    [anon_sym_AMP_CARET] = ACTIONS(1042),
    [anon_sym_PIPE] = ACTIONS(1044),
    [anon_sym_EQ_EQ] = ACTIONS(1042),
    [anon_sym_BANG_EQ] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1044),
    [anon_sym_LT_EQ] = ACTIONS(1042),
    [anon_sym_GT] = ACTIONS(1044),
    [anon_sym_GT_EQ] = ACTIONS(1042),
    [anon_sym_in] = ACTIONS(1044),
    [anon_sym_BANGin] = ACTIONS(1042),
    [anon_sym_AMP_AMP] = ACTIONS(1042),
    [anon_sym_PIPE_PIPE] = ACTIONS(1042),
    [anon_sym_as] = ACTIONS(1044),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(1042),
    [anon_sym_or] = ACTIONS(1044),
    [sym_none] = ACTIONS(1044),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_map_LBRACK] = ACTIONS(1042),
    [anon_sym_chan] = ACTIONS(1044),
    [anon_sym_shared] = ACTIONS(1044),
    [anon_sym_thread] = ACTIONS(1044),
    [sym_int_literal] = ACTIONS(1044),
    [sym_float_literal] = ACTIONS(1042),
    [sym_rune_literal] = ACTIONS(1042),
    [anon_sym_DOT] = ACTIONS(1044),
    [anon_sym_array] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_char] = ACTIONS(1044),
    [anon_sym_sql] = ACTIONS(1044),
    [anon_sym_mut] = ACTIONS(1044),
    [anon_sym_C] = ACTIONS(1044),
    [anon_sym_JS] = ACTIONS(1044),
    [anon_sym_voidptr] = ACTIONS(1044),
    [anon_sym_byteptr] = ACTIONS(1044),
    [anon_sym_charptr] = ACTIONS(1044),
    [anon_sym_i8] = ACTIONS(1044),
    [anon_sym_i16] = ACTIONS(1044),
    [anon_sym_i32] = ACTIONS(1044),
    [anon_sym_int] = ACTIONS(1044),
    [anon_sym_i64] = ACTIONS(1044),
    [anon_sym_byte] = ACTIONS(1044),
    [anon_sym_u8] = ACTIONS(1044),
    [anon_sym_u16] = ACTIONS(1044),
    [anon_sym_u32] = ACTIONS(1044),
    [anon_sym_u64] = ACTIONS(1044),
    [anon_sym_f32] = ACTIONS(1044),
    [anon_sym_f64] = ACTIONS(1044),
    [anon_sym_bool] = ACTIONS(1044),
    [anon_sym_rune] = ACTIONS(1044),
    [anon_sym_map] = ACTIONS(1044),
    [anon_sym_mapnode] = ACTIONS(1044),
    [anon_sym_size_t] = ACTIONS(1044),
    [anon_sym_usize] = ACTIONS(1044),
    [anon_sym_isize] = ACTIONS(1044),
    [anon_sym_float_literal] = ACTIONS(1044),
    [anon_sym_int_literal] = ACTIONS(1044),
    [anon_sym_IError] = ACTIONS(1044),
    [sym_type_placeholder] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [sym_type_identifier] = ACTIONS(1044),
    [anon_sym_assert] = ACTIONS(1044),
    [anon_sym_defer] = ACTIONS(1044),
    [anon_sym_unsafe] = ACTIONS(1044),
    [anon_sym_fn] = ACTIONS(1044),
    [anon_sym_asm] = ACTIONS(1044),
    [anon_sym_break] = ACTIONS(1044),
    [anon_sym_continue] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1044),
    [anon_sym_go] = ACTIONS(1044),
    [anon_sym_spawn] = ACTIONS(1044),
    [anon_sym_goto] = ACTIONS(1044),
    [anon_sym_for] = ACTIONS(1044),
    [anon_sym_DOLLARfor] = ACTIONS(1042),
    [anon_sym_DOLLARif] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1044),
    [anon_sym_is] = ACTIONS(1044),
    [anon_sym_BANGis] = ACTIONS(1042),
    [anon_sym_POUND] = ACTIONS(1042),
    [anon_sym_match] = ACTIONS(1044),
    [anon_sym_select] = ACTIONS(1044),
    [anon_sym_lock] = ACTIONS(1044),
    [anon_sym_rlock] = ACTIONS(1044),
    [sym__automatic_separator] = ACTIONS(1042),
    [sym__c_string_opening] = ACTIONS(1042),
    [sym__raw_string_opening] = ACTIONS(1042),
    [sym__string_opening] = ACTIONS(1042),
    [sym__comment] = ACTIONS(3),
  },
  [1196] = {
    [sym_comment] = STATE(1196),
    [sym_identifier] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_CARET] = ACTIONS(1060),
    [anon_sym_STAR] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1062),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_PERCENT] = ACTIONS(1060),
    [anon_sym_LT_LT] = ACTIONS(1060),
    [anon_sym_GT_GT] = ACTIONS(1062),
    [anon_sym_GT_GT_GT] = ACTIONS(1060),
    [anon_sym_AMP_CARET] = ACTIONS(1060),
    [anon_sym_PIPE] = ACTIONS(1062),
    [anon_sym_EQ_EQ] = ACTIONS(1060),
    [anon_sym_BANG_EQ] = ACTIONS(1060),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_LT_EQ] = ACTIONS(1060),
    [anon_sym_GT] = ACTIONS(1062),
    [anon_sym_GT_EQ] = ACTIONS(1060),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_BANGin] = ACTIONS(1060),
    [anon_sym_AMP_AMP] = ACTIONS(1060),
    [anon_sym_PIPE_PIPE] = ACTIONS(1060),
    [anon_sym_as] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_or] = ACTIONS(1062),
    [sym_none] = ACTIONS(1062),
    [sym_true] = ACTIONS(1062),
    [sym_false] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_map_LBRACK] = ACTIONS(1060),
    [anon_sym_chan] = ACTIONS(1062),
    [anon_sym_shared] = ACTIONS(1062),
    [anon_sym_thread] = ACTIONS(1062),
    [sym_int_literal] = ACTIONS(1062),
    [sym_float_literal] = ACTIONS(1060),
    [sym_rune_literal] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1062),
    [anon_sym_array] = ACTIONS(1062),
    [anon_sym_string] = ACTIONS(1062),
    [anon_sym_char] = ACTIONS(1062),
    [anon_sym_sql] = ACTIONS(1062),
    [anon_sym_mut] = ACTIONS(1062),
    [anon_sym_C] = ACTIONS(1062),
    [anon_sym_JS] = ACTIONS(1062),
    [anon_sym_voidptr] = ACTIONS(1062),
    [anon_sym_byteptr] = ACTIONS(1062),
    [anon_sym_charptr] = ACTIONS(1062),
    [anon_sym_i8] = ACTIONS(1062),
    [anon_sym_i16] = ACTIONS(1062),
    [anon_sym_i32] = ACTIONS(1062),
    [anon_sym_int] = ACTIONS(1062),
    [anon_sym_i64] = ACTIONS(1062),
    [anon_sym_byte] = ACTIONS(1062),
    [anon_sym_u8] = ACTIONS(1062),
    [anon_sym_u16] = ACTIONS(1062),
    [anon_sym_u32] = ACTIONS(1062),
    [anon_sym_u64] = ACTIONS(1062),
    [anon_sym_f32] = ACTIONS(1062),
    [anon_sym_f64] = ACTIONS(1062),
    [anon_sym_bool] = ACTIONS(1062),
    [anon_sym_rune] = ACTIONS(1062),
    [anon_sym_map] = ACTIONS(1062),
    [anon_sym_mapnode] = ACTIONS(1062),
    [anon_sym_size_t] = ACTIONS(1062),
    [anon_sym_usize] = ACTIONS(1062),
    [anon_sym_isize] = ACTIONS(1062),
    [anon_sym_float_literal] = ACTIONS(1062),
    [anon_sym_int_literal] = ACTIONS(1062),
    [anon_sym_IError] = ACTIONS(1062),
    [sym_type_placeholder] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [sym_type_identifier] = ACTIONS(1062),
    [anon_sym_assert] = ACTIONS(1062),
    [anon_sym_defer] = ACTIONS(1062),
    [anon_sym_unsafe] = ACTIONS(1062),
    [anon_sym_fn] = ACTIONS(1062),
    [anon_sym_asm] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1062),
    [anon_sym_continue] = ACTIONS(1062),
    [anon_sym_return] = ACTIONS(1062),
    [anon_sym_go] = ACTIONS(1062),
    [anon_sym_spawn] = ACTIONS(1062),
    [anon_sym_goto] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1062),
    [anon_sym_DOLLARfor] = ACTIONS(1060),
    [anon_sym_DOLLARif] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_is] = ACTIONS(1062),
    [anon_sym_BANGis] = ACTIONS(1060),
    [anon_sym_POUND] = ACTIONS(1060),
    [anon_sym_match] = ACTIONS(1062),
    [anon_sym_select] = ACTIONS(1062),
    [anon_sym_lock] = ACTIONS(1062),
    [anon_sym_rlock] = ACTIONS(1062),
    [sym__automatic_separator] = ACTIONS(1060),
    [sym__c_string_opening] = ACTIONS(1060),
    [sym__raw_string_opening] = ACTIONS(1060),
    [sym__string_opening] = ACTIONS(1060),
    [sym__comment] = ACTIONS(3),
  },
  [1197] = {
    [sym_comment] = STATE(1197),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_PERCENT] = ACTIONS(1188),
    [anon_sym_LT_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1188),
    [anon_sym_AMP_CARET] = ACTIONS(1188),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_DOLLARelse] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1198] = {
    [sym_comment] = STATE(1198),
    [sym_argument_list] = STATE(1273),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1210),
    [anon_sym_GT_GT_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1210),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_in] = ACTIONS(1210),
    [anon_sym_BANGin] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_as] = ACTIONS(1210),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [sym_none] = ACTIONS(1210),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_map_LBRACK] = ACTIONS(1208),
    [anon_sym_chan] = ACTIONS(1210),
    [anon_sym_shared] = ACTIONS(1210),
    [anon_sym_thread] = ACTIONS(1210),
    [sym_int_literal] = ACTIONS(1210),
    [sym_float_literal] = ACTIONS(1208),
    [sym_rune_literal] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1210),
    [anon_sym_array] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_char] = ACTIONS(1210),
    [anon_sym_sql] = ACTIONS(1210),
    [anon_sym_mut] = ACTIONS(1210),
    [anon_sym_C] = ACTIONS(1210),
    [anon_sym_JS] = ACTIONS(1210),
    [anon_sym_voidptr] = ACTIONS(1210),
    [anon_sym_byteptr] = ACTIONS(1210),
    [anon_sym_charptr] = ACTIONS(1210),
    [anon_sym_i8] = ACTIONS(1210),
    [anon_sym_i16] = ACTIONS(1210),
    [anon_sym_i32] = ACTIONS(1210),
    [anon_sym_int] = ACTIONS(1210),
    [anon_sym_i64] = ACTIONS(1210),
    [anon_sym_byte] = ACTIONS(1210),
    [anon_sym_u8] = ACTIONS(1210),
    [anon_sym_u16] = ACTIONS(1210),
    [anon_sym_u32] = ACTIONS(1210),
    [anon_sym_u64] = ACTIONS(1210),
    [anon_sym_f32] = ACTIONS(1210),
    [anon_sym_f64] = ACTIONS(1210),
    [anon_sym_bool] = ACTIONS(1210),
    [anon_sym_rune] = ACTIONS(1210),
    [anon_sym_map] = ACTIONS(1210),
    [anon_sym_mapnode] = ACTIONS(1210),
    [anon_sym_size_t] = ACTIONS(1210),
    [anon_sym_usize] = ACTIONS(1210),
    [anon_sym_isize] = ACTIONS(1210),
    [anon_sym_float_literal] = ACTIONS(1210),
    [anon_sym_int_literal] = ACTIONS(1210),
    [anon_sym_IError] = ACTIONS(1210),
    [sym_type_placeholder] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [sym_type_identifier] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1210),
    [anon_sym_defer] = ACTIONS(1210),
    [anon_sym_unsafe] = ACTIONS(1210),
    [anon_sym_fn] = ACTIONS(1210),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_go] = ACTIONS(1210),
    [anon_sym_spawn] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_DOLLARfor] = ACTIONS(1208),
    [anon_sym_DOLLARif] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_is] = ACTIONS(1210),
    [anon_sym_BANGis] = ACTIONS(1208),
    [anon_sym_POUND] = ACTIONS(1208),
    [anon_sym_match] = ACTIONS(1210),
    [anon_sym_select] = ACTIONS(1210),
    [anon_sym_lock] = ACTIONS(1210),
    [anon_sym_rlock] = ACTIONS(1210),
    [sym__automatic_separator] = ACTIONS(1208),
    [sym__c_string_opening] = ACTIONS(1208),
    [sym__raw_string_opening] = ACTIONS(1208),
    [sym__string_opening] = ACTIONS(1208),
    [sym__comment] = ACTIONS(3),
  },
  [1199] = {
    [sym_comment] = STATE(1199),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1106),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_LT_DASH] = ACTIONS(1106),
    [anon_sym_SLASH] = ACTIONS(1106),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_LT_LT] = ACTIONS(1106),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1106),
    [anon_sym_AMP_CARET] = ACTIONS(1106),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1106),
    [anon_sym_BANG_EQ] = ACTIONS(1106),
    [anon_sym_LT] = ACTIONS(1108),
    [anon_sym_LT_EQ] = ACTIONS(1106),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_GT_EQ] = ACTIONS(1106),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_BANGin] = ACTIONS(1106),
    [anon_sym_AMP_AMP] = ACTIONS(1106),
    [anon_sym_PIPE_PIPE] = ACTIONS(1106),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [sym_none] = ACTIONS(1108),
    [sym_true] = ACTIONS(1108),
    [sym_false] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_map_LBRACK] = ACTIONS(1106),
    [anon_sym_chan] = ACTIONS(1108),
    [anon_sym_shared] = ACTIONS(1108),
    [anon_sym_thread] = ACTIONS(1108),
    [sym_int_literal] = ACTIONS(1108),
    [sym_float_literal] = ACTIONS(1106),
    [sym_rune_literal] = ACTIONS(1106),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_array] = ACTIONS(1108),
    [anon_sym_string] = ACTIONS(1108),
    [anon_sym_char] = ACTIONS(1108),
    [anon_sym_sql] = ACTIONS(1108),
    [anon_sym_mut] = ACTIONS(1108),
    [anon_sym_C] = ACTIONS(1108),
    [anon_sym_JS] = ACTIONS(1108),
    [anon_sym_LT2] = ACTIONS(1108),
    [anon_sym_voidptr] = ACTIONS(1108),
    [anon_sym_byteptr] = ACTIONS(1108),
    [anon_sym_charptr] = ACTIONS(1108),
    [anon_sym_i8] = ACTIONS(1108),
    [anon_sym_i16] = ACTIONS(1108),
    [anon_sym_i32] = ACTIONS(1108),
    [anon_sym_int] = ACTIONS(1108),
    [anon_sym_i64] = ACTIONS(1108),
    [anon_sym_byte] = ACTIONS(1108),
    [anon_sym_u8] = ACTIONS(1108),
    [anon_sym_u16] = ACTIONS(1108),
    [anon_sym_u32] = ACTIONS(1108),
    [anon_sym_u64] = ACTIONS(1108),
    [anon_sym_f32] = ACTIONS(1108),
    [anon_sym_f64] = ACTIONS(1108),
    [anon_sym_bool] = ACTIONS(1108),
    [anon_sym_rune] = ACTIONS(1108),
    [anon_sym_map] = ACTIONS(1108),
    [anon_sym_mapnode] = ACTIONS(1108),
    [anon_sym_size_t] = ACTIONS(1108),
    [anon_sym_usize] = ACTIONS(1108),
    [anon_sym_isize] = ACTIONS(1108),
    [anon_sym_float_literal] = ACTIONS(1108),
    [anon_sym_int_literal] = ACTIONS(1108),
    [anon_sym_IError] = ACTIONS(1108),
    [sym_type_placeholder] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [sym_type_identifier] = ACTIONS(1108),
    [anon_sym_assert] = ACTIONS(1108),
    [anon_sym_defer] = ACTIONS(1108),
    [anon_sym_unsafe] = ACTIONS(1108),
    [anon_sym_fn] = ACTIONS(1108),
    [anon_sym_asm] = ACTIONS(1108),
    [anon_sym_break] = ACTIONS(1108),
    [anon_sym_continue] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1108),
    [anon_sym_go] = ACTIONS(1108),
    [anon_sym_spawn] = ACTIONS(1108),
    [anon_sym_goto] = ACTIONS(1108),
    [anon_sym_for] = ACTIONS(1108),
    [anon_sym_DOLLARfor] = ACTIONS(1106),
    [anon_sym_DOLLARif] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_is] = ACTIONS(1108),
    [anon_sym_BANGis] = ACTIONS(1106),
    [anon_sym_POUND] = ACTIONS(1106),
    [anon_sym_match] = ACTIONS(1108),
    [anon_sym_select] = ACTIONS(1108),
    [anon_sym_lock] = ACTIONS(1108),
    [anon_sym_rlock] = ACTIONS(1108),
    [sym__automatic_separator] = ACTIONS(1106),
    [sym__c_string_opening] = ACTIONS(1106),
    [sym__raw_string_opening] = ACTIONS(1106),
    [sym__string_opening] = ACTIONS(1106),
    [sym__comment] = ACTIONS(3),
  },
  [1200] = {
    [sym_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_CARET] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_LT_DASH] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1180),
    [anon_sym_PERCENT] = ACTIONS(1180),
    [anon_sym_LT_LT] = ACTIONS(1180),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_GT_GT_GT] = ACTIONS(1180),
    [anon_sym_AMP_CARET] = ACTIONS(1180),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_in] = ACTIONS(1182),
    [anon_sym_BANGin] = ACTIONS(1180),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_as] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [sym_none] = ACTIONS(1182),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_map_LBRACK] = ACTIONS(1180),
    [anon_sym_chan] = ACTIONS(1182),
    [anon_sym_shared] = ACTIONS(1182),
    [anon_sym_thread] = ACTIONS(1182),
    [sym_int_literal] = ACTIONS(1182),
    [sym_float_literal] = ACTIONS(1180),
    [sym_rune_literal] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_array] = ACTIONS(1182),
    [anon_sym_string] = ACTIONS(1182),
    [anon_sym_char] = ACTIONS(1182),
    [anon_sym_sql] = ACTIONS(1182),
    [anon_sym_mut] = ACTIONS(1182),
    [anon_sym_C] = ACTIONS(1182),
    [anon_sym_JS] = ACTIONS(1182),
    [anon_sym_LT2] = ACTIONS(1182),
    [anon_sym_voidptr] = ACTIONS(1182),
    [anon_sym_byteptr] = ACTIONS(1182),
    [anon_sym_charptr] = ACTIONS(1182),
    [anon_sym_i8] = ACTIONS(1182),
    [anon_sym_i16] = ACTIONS(1182),
    [anon_sym_i32] = ACTIONS(1182),
    [anon_sym_int] = ACTIONS(1182),
    [anon_sym_i64] = ACTIONS(1182),
    [anon_sym_byte] = ACTIONS(1182),
    [anon_sym_u8] = ACTIONS(1182),
    [anon_sym_u16] = ACTIONS(1182),
    [anon_sym_u32] = ACTIONS(1182),
    [anon_sym_u64] = ACTIONS(1182),
    [anon_sym_f32] = ACTIONS(1182),
    [anon_sym_f64] = ACTIONS(1182),
    [anon_sym_bool] = ACTIONS(1182),
    [anon_sym_rune] = ACTIONS(1182),
    [anon_sym_map] = ACTIONS(1182),
    [anon_sym_mapnode] = ACTIONS(1182),
    [anon_sym_size_t] = ACTIONS(1182),
    [anon_sym_usize] = ACTIONS(1182),
    [anon_sym_isize] = ACTIONS(1182),
    [anon_sym_float_literal] = ACTIONS(1182),
    [anon_sym_int_literal] = ACTIONS(1182),
    [anon_sym_IError] = ACTIONS(1182),
    [sym_type_placeholder] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [sym_type_identifier] = ACTIONS(1182),
    [anon_sym_assert] = ACTIONS(1182),
    [anon_sym_defer] = ACTIONS(1182),
    [anon_sym_unsafe] = ACTIONS(1182),
    [anon_sym_fn] = ACTIONS(1182),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_go] = ACTIONS(1182),
    [anon_sym_spawn] = ACTIONS(1182),
    [anon_sym_goto] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_DOLLARfor] = ACTIONS(1180),
    [anon_sym_DOLLARif] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_is] = ACTIONS(1182),
    [anon_sym_BANGis] = ACTIONS(1180),
    [anon_sym_POUND] = ACTIONS(1180),
    [anon_sym_match] = ACTIONS(1182),
    [anon_sym_select] = ACTIONS(1182),
    [anon_sym_lock] = ACTIONS(1182),
    [anon_sym_rlock] = ACTIONS(1182),
    [sym__automatic_separator] = ACTIONS(1180),
    [sym__c_string_opening] = ACTIONS(1180),
    [sym__raw_string_opening] = ACTIONS(1180),
    [sym__string_opening] = ACTIONS(1180),
    [sym__comment] = ACTIONS(3),
  },
  [1201] = {
    [sym_comment] = STATE(1201),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1192),
    [anon_sym_AMP_CARET] = ACTIONS(1192),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1202] = {
    [sym_comment] = STATE(1202),
    [sym_identifier] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_LT_DASH] = ACTIONS(1204),
    [anon_sym_SLASH] = ACTIONS(1204),
    [anon_sym_PERCENT] = ACTIONS(1204),
    [anon_sym_LT_LT] = ACTIONS(1204),
    [anon_sym_GT_GT] = ACTIONS(1206),
    [anon_sym_GT_GT_GT] = ACTIONS(1204),
    [anon_sym_AMP_CARET] = ACTIONS(1204),
    [anon_sym_PIPE] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1204),
    [anon_sym_BANG_EQ] = ACTIONS(1204),
    [anon_sym_LT] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1204),
    [anon_sym_in] = ACTIONS(1206),
    [anon_sym_BANGin] = ACTIONS(1204),
    [anon_sym_AMP_AMP] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1204),
    [anon_sym_as] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [sym_none] = ACTIONS(1206),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_map_LBRACK] = ACTIONS(1204),
    [anon_sym_chan] = ACTIONS(1206),
    [anon_sym_shared] = ACTIONS(1206),
    [anon_sym_thread] = ACTIONS(1206),
    [sym_int_literal] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1204),
    [sym_rune_literal] = ACTIONS(1204),
    [anon_sym_DOT] = ACTIONS(1206),
    [anon_sym_array] = ACTIONS(1206),
    [anon_sym_string] = ACTIONS(1206),
    [anon_sym_char] = ACTIONS(1206),
    [anon_sym_sql] = ACTIONS(1206),
    [anon_sym_mut] = ACTIONS(1206),
    [anon_sym_C] = ACTIONS(1206),
    [anon_sym_JS] = ACTIONS(1206),
    [anon_sym_LT2] = ACTIONS(1206),
    [anon_sym_voidptr] = ACTIONS(1206),
    [anon_sym_byteptr] = ACTIONS(1206),
    [anon_sym_charptr] = ACTIONS(1206),
    [anon_sym_i8] = ACTIONS(1206),
    [anon_sym_i16] = ACTIONS(1206),
    [anon_sym_i32] = ACTIONS(1206),
    [anon_sym_int] = ACTIONS(1206),
    [anon_sym_i64] = ACTIONS(1206),
    [anon_sym_byte] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1206),
    [anon_sym_u16] = ACTIONS(1206),
    [anon_sym_u32] = ACTIONS(1206),
    [anon_sym_u64] = ACTIONS(1206),
    [anon_sym_f32] = ACTIONS(1206),
    [anon_sym_f64] = ACTIONS(1206),
    [anon_sym_bool] = ACTIONS(1206),
    [anon_sym_rune] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1206),
    [anon_sym_mapnode] = ACTIONS(1206),
    [anon_sym_size_t] = ACTIONS(1206),
    [anon_sym_usize] = ACTIONS(1206),
    [anon_sym_isize] = ACTIONS(1206),
    [anon_sym_float_literal] = ACTIONS(1206),
    [anon_sym_int_literal] = ACTIONS(1206),
    [anon_sym_IError] = ACTIONS(1206),
    [sym_type_placeholder] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [sym_type_identifier] = ACTIONS(1206),
    [anon_sym_assert] = ACTIONS(1206),
    [anon_sym_defer] = ACTIONS(1206),
    [anon_sym_unsafe] = ACTIONS(1206),
    [anon_sym_fn] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_go] = ACTIONS(1206),
    [anon_sym_spawn] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_DOLLARfor] = ACTIONS(1204),
    [anon_sym_DOLLARif] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_is] = ACTIONS(1206),
    [anon_sym_BANGis] = ACTIONS(1204),
    [anon_sym_POUND] = ACTIONS(1204),
    [anon_sym_match] = ACTIONS(1206),
    [anon_sym_select] = ACTIONS(1206),
    [anon_sym_lock] = ACTIONS(1206),
    [anon_sym_rlock] = ACTIONS(1206),
    [sym__automatic_separator] = ACTIONS(1204),
    [sym__c_string_opening] = ACTIONS(1204),
    [sym__raw_string_opening] = ACTIONS(1204),
    [sym__string_opening] = ACTIONS(1204),
    [sym__comment] = ACTIONS(3),
  },
  [1203] = {
    [sym_comment] = STATE(1203),
    [sym_fixed_array_type] = STATE(1743),
    [sym_array_type] = STATE(1743),
    [sym_pointer_type] = STATE(1743),
    [sym_map_type] = STATE(1743),
    [sym_channel_type] = STATE(1743),
    [sym_shared_type] = STATE(1743),
    [sym_thread_type] = STATE(1743),
    [sym_binded_identifier] = STATE(1749),
    [sym__simple_type] = STATE(1750),
    [sym_builtin_type] = STATE(1743),
    [sym__binded_type] = STATE(1743),
    [sym_generic_type] = STATE(1743),
    [sym_qualified_type] = STATE(1668),
    [sym_function_type] = STATE(1743),
    [sym_identifier] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(3566),
    [anon_sym_RBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(3568),
    [anon_sym_chan] = ACTIONS(3570),
    [anon_sym_shared] = ACTIONS(3572),
    [anon_sym_thread] = ACTIONS(3574),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_char] = ACTIONS(3576),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(3578),
    [anon_sym_JS] = ACTIONS(3578),
    [anon_sym_voidptr] = ACTIONS(3576),
    [anon_sym_byteptr] = ACTIONS(3576),
    [anon_sym_charptr] = ACTIONS(3576),
    [anon_sym_i8] = ACTIONS(3576),
    [anon_sym_i16] = ACTIONS(3576),
    [anon_sym_i32] = ACTIONS(3576),
    [anon_sym_int] = ACTIONS(3576),
    [anon_sym_i64] = ACTIONS(3576),
    [anon_sym_byte] = ACTIONS(3576),
    [anon_sym_u8] = ACTIONS(3576),
    [anon_sym_u16] = ACTIONS(3576),
    [anon_sym_u32] = ACTIONS(3576),
    [anon_sym_u64] = ACTIONS(3576),
    [anon_sym_f32] = ACTIONS(3576),
    [anon_sym_f64] = ACTIONS(3576),
    [anon_sym_bool] = ACTIONS(3576),
    [anon_sym_rune] = ACTIONS(3576),
    [anon_sym_map] = ACTIONS(3576),
    [anon_sym_mapnode] = ACTIONS(3576),
    [anon_sym_size_t] = ACTIONS(3576),
    [anon_sym_usize] = ACTIONS(3576),
    [anon_sym_isize] = ACTIONS(3576),
    [anon_sym_float_literal] = ACTIONS(3576),
    [anon_sym_int_literal] = ACTIONS(3576),
    [anon_sym_IError] = ACTIONS(3576),
    [sym_type_placeholder] = ACTIONS(3580),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(3582),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(3584),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1204] = {
    [sym_comment] = STATE(1204),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_PERCENT] = ACTIONS(1188),
    [anon_sym_LT_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1188),
    [anon_sym_AMP_CARET] = ACTIONS(1188),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1205] = {
    [sym_comment] = STATE(1205),
    [sym_argument_list] = STATE(1298),
    [sym_identifier] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_LT_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_AMP_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1224),
    [anon_sym_BANGin] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym_none] = ACTIONS(1224),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_map_LBRACK] = ACTIONS(1222),
    [anon_sym_chan] = ACTIONS(1224),
    [anon_sym_shared] = ACTIONS(1224),
    [anon_sym_thread] = ACTIONS(1224),
    [sym_int_literal] = ACTIONS(1224),
    [sym_float_literal] = ACTIONS(1222),
    [sym_rune_literal] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1224),
    [anon_sym_array] = ACTIONS(1224),
    [anon_sym_string] = ACTIONS(1224),
    [anon_sym_char] = ACTIONS(1224),
    [anon_sym_sql] = ACTIONS(1224),
    [anon_sym_mut] = ACTIONS(1224),
    [anon_sym_C] = ACTIONS(1224),
    [anon_sym_JS] = ACTIONS(1224),
    [anon_sym_voidptr] = ACTIONS(1224),
    [anon_sym_byteptr] = ACTIONS(1224),
    [anon_sym_charptr] = ACTIONS(1224),
    [anon_sym_i8] = ACTIONS(1224),
    [anon_sym_i16] = ACTIONS(1224),
    [anon_sym_i32] = ACTIONS(1224),
    [anon_sym_int] = ACTIONS(1224),
    [anon_sym_i64] = ACTIONS(1224),
    [anon_sym_byte] = ACTIONS(1224),
    [anon_sym_u8] = ACTIONS(1224),
    [anon_sym_u16] = ACTIONS(1224),
    [anon_sym_u32] = ACTIONS(1224),
    [anon_sym_u64] = ACTIONS(1224),
    [anon_sym_f32] = ACTIONS(1224),
    [anon_sym_f64] = ACTIONS(1224),
    [anon_sym_bool] = ACTIONS(1224),
    [anon_sym_rune] = ACTIONS(1224),
    [anon_sym_map] = ACTIONS(1224),
    [anon_sym_mapnode] = ACTIONS(1224),
    [anon_sym_size_t] = ACTIONS(1224),
    [anon_sym_usize] = ACTIONS(1224),
    [anon_sym_isize] = ACTIONS(1224),
    [anon_sym_float_literal] = ACTIONS(1224),
    [anon_sym_int_literal] = ACTIONS(1224),
    [anon_sym_IError] = ACTIONS(1224),
    [sym_type_placeholder] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [sym_type_identifier] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1224),
    [anon_sym_defer] = ACTIONS(1224),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_fn] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_go] = ACTIONS(1224),
    [anon_sym_spawn] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_DOLLARfor] = ACTIONS(1222),
    [anon_sym_DOLLARif] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_is] = ACTIONS(1224),
    [anon_sym_BANGis] = ACTIONS(1222),
    [anon_sym_POUND] = ACTIONS(1222),
    [anon_sym_match] = ACTIONS(1224),
    [anon_sym_select] = ACTIONS(1224),
    [anon_sym_lock] = ACTIONS(1224),
    [anon_sym_rlock] = ACTIONS(1224),
    [sym__automatic_separator] = ACTIONS(1222),
    [sym__c_string_opening] = ACTIONS(1222),
    [sym__raw_string_opening] = ACTIONS(1222),
    [sym__string_opening] = ACTIONS(1222),
    [sym__comment] = ACTIONS(3),
  },
  [1206] = {
    [sym_comment] = STATE(1206),
    [aux_sym_expression_list_repeat1] = STATE(1827),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_CARET] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3602),
    [anon_sym_LT_DASH] = ACTIONS(1172),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_PERCENT] = ACTIONS(3600),
    [anon_sym_LT_LT] = ACTIONS(3600),
    [anon_sym_GT_GT] = ACTIONS(3602),
    [anon_sym_GT_GT_GT] = ACTIONS(3600),
    [anon_sym_AMP_CARET] = ACTIONS(3600),
    [anon_sym_PIPE] = ACTIONS(3604),
    [anon_sym_EQ_EQ] = ACTIONS(3606),
    [anon_sym_BANG_EQ] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_LT_EQ] = ACTIONS(3606),
    [anon_sym_GT] = ACTIONS(3608),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_in] = ACTIONS(3608),
    [anon_sym_BANGin] = ACTIONS(3606),
    [anon_sym_AMP_AMP] = ACTIONS(3610),
    [anon_sym_PIPE_PIPE] = ACTIONS(3612),
    [anon_sym_as] = ACTIONS(3614),
    [anon_sym_COMMA] = ACTIONS(3616),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [sym_none] = ACTIONS(1174),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1172),
    [anon_sym_chan] = ACTIONS(1174),
    [anon_sym_shared] = ACTIONS(1174),
    [anon_sym_thread] = ACTIONS(1174),
    [sym_int_literal] = ACTIONS(1174),
    [sym_float_literal] = ACTIONS(1172),
    [sym_rune_literal] = ACTIONS(1172),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_char] = ACTIONS(1174),
    [anon_sym_sql] = ACTIONS(1174),
    [anon_sym_mut] = ACTIONS(1174),
    [anon_sym_C] = ACTIONS(1174),
    [anon_sym_JS] = ACTIONS(1174),
    [anon_sym_voidptr] = ACTIONS(1174),
    [anon_sym_byteptr] = ACTIONS(1174),
    [anon_sym_charptr] = ACTIONS(1174),
    [anon_sym_i8] = ACTIONS(1174),
    [anon_sym_i16] = ACTIONS(1174),
    [anon_sym_i32] = ACTIONS(1174),
    [anon_sym_int] = ACTIONS(1174),
    [anon_sym_i64] = ACTIONS(1174),
    [anon_sym_byte] = ACTIONS(1174),
    [anon_sym_u8] = ACTIONS(1174),
    [anon_sym_u16] = ACTIONS(1174),
    [anon_sym_u32] = ACTIONS(1174),
    [anon_sym_u64] = ACTIONS(1174),
    [anon_sym_f32] = ACTIONS(1174),
    [anon_sym_f64] = ACTIONS(1174),
    [anon_sym_bool] = ACTIONS(1174),
    [anon_sym_rune] = ACTIONS(1174),
    [anon_sym_map] = ACTIONS(1174),
    [anon_sym_mapnode] = ACTIONS(1174),
    [anon_sym_size_t] = ACTIONS(1174),
    [anon_sym_usize] = ACTIONS(1174),
    [anon_sym_isize] = ACTIONS(1174),
    [anon_sym_float_literal] = ACTIONS(1174),
    [anon_sym_int_literal] = ACTIONS(1174),
    [anon_sym_IError] = ACTIONS(1174),
    [sym_type_placeholder] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [sym_type_identifier] = ACTIONS(1174),
    [anon_sym_assert] = ACTIONS(1174),
    [anon_sym_defer] = ACTIONS(1174),
    [anon_sym_unsafe] = ACTIONS(1174),
    [anon_sym_fn] = ACTIONS(1174),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_go] = ACTIONS(1174),
    [anon_sym_spawn] = ACTIONS(1174),
    [anon_sym_goto] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_DOLLARfor] = ACTIONS(1172),
    [anon_sym_DOLLARif] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(1172),
    [anon_sym_match] = ACTIONS(1174),
    [anon_sym_select] = ACTIONS(1174),
    [anon_sym_lock] = ACTIONS(1174),
    [anon_sym_rlock] = ACTIONS(1174),
    [sym__automatic_separator] = ACTIONS(1172),
    [sym__c_string_opening] = ACTIONS(1172),
    [sym__raw_string_opening] = ACTIONS(1172),
    [sym__string_opening] = ACTIONS(1172),
    [sym__comment] = ACTIONS(3),
  },
  [1207] = {
    [sym_comment] = STATE(1207),
    [sym_identifier] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_CARET] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_LT_DASH] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(1216),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_GT_GT_GT] = ACTIONS(1216),
    [anon_sym_AMP_CARET] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1216),
    [anon_sym_BANG_EQ] = ACTIONS(1216),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1216),
    [anon_sym_in] = ACTIONS(1218),
    [anon_sym_BANGin] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1216),
    [anon_sym_as] = ACTIONS(1218),
    [anon_sym_COMMA] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [sym_none] = ACTIONS(1218),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_map_LBRACK] = ACTIONS(1216),
    [anon_sym_chan] = ACTIONS(1218),
    [anon_sym_shared] = ACTIONS(1218),
    [anon_sym_thread] = ACTIONS(1218),
    [sym_int_literal] = ACTIONS(1218),
    [sym_float_literal] = ACTIONS(1216),
    [sym_rune_literal] = ACTIONS(1216),
    [anon_sym_DOT] = ACTIONS(1218),
    [anon_sym_array] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_char] = ACTIONS(1218),
    [anon_sym_sql] = ACTIONS(1218),
    [anon_sym_mut] = ACTIONS(1218),
    [anon_sym_C] = ACTIONS(1218),
    [anon_sym_JS] = ACTIONS(1218),
    [anon_sym_voidptr] = ACTIONS(1218),
    [anon_sym_byteptr] = ACTIONS(1218),
    [anon_sym_charptr] = ACTIONS(1218),
    [anon_sym_i8] = ACTIONS(1218),
    [anon_sym_i16] = ACTIONS(1218),
    [anon_sym_i32] = ACTIONS(1218),
    [anon_sym_int] = ACTIONS(1218),
    [anon_sym_i64] = ACTIONS(1218),
    [anon_sym_byte] = ACTIONS(1218),
    [anon_sym_u8] = ACTIONS(1218),
    [anon_sym_u16] = ACTIONS(1218),
    [anon_sym_u32] = ACTIONS(1218),
    [anon_sym_u64] = ACTIONS(1218),
    [anon_sym_f32] = ACTIONS(1218),
    [anon_sym_f64] = ACTIONS(1218),
    [anon_sym_bool] = ACTIONS(1218),
    [anon_sym_rune] = ACTIONS(1218),
    [anon_sym_map] = ACTIONS(1218),
    [anon_sym_mapnode] = ACTIONS(1218),
    [anon_sym_size_t] = ACTIONS(1218),
    [anon_sym_usize] = ACTIONS(1218),
    [anon_sym_isize] = ACTIONS(1218),
    [anon_sym_float_literal] = ACTIONS(1218),
    [anon_sym_int_literal] = ACTIONS(1218),
    [anon_sym_IError] = ACTIONS(1218),
    [sym_type_placeholder] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [sym_type_identifier] = ACTIONS(1218),
    [anon_sym_assert] = ACTIONS(1218),
    [anon_sym_defer] = ACTIONS(1218),
    [anon_sym_unsafe] = ACTIONS(1218),
    [anon_sym_fn] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_go] = ACTIONS(1218),
    [anon_sym_spawn] = ACTIONS(1218),
    [anon_sym_goto] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_DOLLARfor] = ACTIONS(1216),
    [anon_sym_DOLLARif] = ACTIONS(1216),
    [anon_sym_DOLLARelse] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_is] = ACTIONS(1218),
    [anon_sym_BANGis] = ACTIONS(1216),
    [anon_sym_POUND] = ACTIONS(1216),
    [anon_sym_match] = ACTIONS(1218),
    [anon_sym_select] = ACTIONS(1218),
    [anon_sym_lock] = ACTIONS(1218),
    [anon_sym_rlock] = ACTIONS(1218),
    [sym__automatic_separator] = ACTIONS(1216),
    [sym__c_string_opening] = ACTIONS(1216),
    [sym__raw_string_opening] = ACTIONS(1216),
    [sym__string_opening] = ACTIONS(1216),
    [sym__comment] = ACTIONS(3),
  },
  [1208] = {
    [sym_comment] = STATE(1208),
    [sym_fixed_array_type] = STATE(2339),
    [sym_array_type] = STATE(2339),
    [sym_pointer_type] = STATE(2339),
    [sym_map_type] = STATE(2339),
    [sym_channel_type] = STATE(2339),
    [sym_shared_type] = STATE(2339),
    [sym_thread_type] = STATE(2339),
    [sym_binded_identifier] = STATE(2323),
    [sym_option_type] = STATE(2291),
    [sym_result_type] = STATE(2291),
    [sym_multi_return_type] = STATE(2291),
    [sym__simple_type] = STATE(2291),
    [sym_builtin_type] = STATE(2339),
    [sym__binded_type] = STATE(2339),
    [sym_generic_type] = STATE(2339),
    [sym_qualified_type] = STATE(2271),
    [sym_function_type] = STATE(2339),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_LPAREN] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_map_LBRACK] = ACTIONS(3640),
    [anon_sym_chan] = ACTIONS(3642),
    [anon_sym_shared] = ACTIONS(3644),
    [anon_sym_thread] = ACTIONS(3646),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_char] = ACTIONS(3648),
    [anon_sym_C] = ACTIONS(3650),
    [anon_sym_JS] = ACTIONS(3650),
    [anon_sym_voidptr] = ACTIONS(3648),
    [anon_sym_byteptr] = ACTIONS(3648),
    [anon_sym_charptr] = ACTIONS(3648),
    [anon_sym_i8] = ACTIONS(3648),
    [anon_sym_i16] = ACTIONS(3648),
    [anon_sym_i32] = ACTIONS(3648),
    [anon_sym_int] = ACTIONS(3648),
    [anon_sym_i64] = ACTIONS(3648),
    [anon_sym_byte] = ACTIONS(3648),
    [anon_sym_u8] = ACTIONS(3648),
    [anon_sym_u16] = ACTIONS(3648),
    [anon_sym_u32] = ACTIONS(3648),
    [anon_sym_u64] = ACTIONS(3648),
    [anon_sym_f32] = ACTIONS(3648),
    [anon_sym_f64] = ACTIONS(3648),
    [anon_sym_bool] = ACTIONS(3648),
    [anon_sym_rune] = ACTIONS(3648),
    [anon_sym_map] = ACTIONS(3648),
    [anon_sym_mapnode] = ACTIONS(3648),
    [anon_sym_size_t] = ACTIONS(3648),
    [anon_sym_usize] = ACTIONS(3648),
    [anon_sym_isize] = ACTIONS(3648),
    [anon_sym_float_literal] = ACTIONS(3648),
    [anon_sym_int_literal] = ACTIONS(3648),
    [anon_sym_IError] = ACTIONS(3648),
    [sym_type_placeholder] = ACTIONS(3652),
    [sym_type_identifier] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(644),
    [anon_sym_DASH_DASH] = ACTIONS(644),
    [anon_sym_COLON_EQ] = ACTIONS(644),
    [anon_sym_STAR_EQ] = ACTIONS(644),
    [anon_sym_SLASH_EQ] = ACTIONS(644),
    [anon_sym_PERCENT_EQ] = ACTIONS(644),
    [anon_sym_LT_LT_EQ] = ACTIONS(644),
    [anon_sym_GT_GT_EQ] = ACTIONS(644),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(644),
    [anon_sym_AMP_EQ] = ACTIONS(644),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(644),
    [anon_sym_PLUS_EQ] = ACTIONS(644),
    [anon_sym_DASH_EQ] = ACTIONS(644),
    [anon_sym_PIPE_EQ] = ACTIONS(644),
    [anon_sym_CARET_EQ] = ACTIONS(644),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(3656),
    [anon_sym_DOT_DOT] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(644),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1209] = {
    [sym_comment] = STATE(1209),
    [sym_argument_list] = STATE(1287),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1098),
    [anon_sym_STAR] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_LT_DASH] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1098),
    [anon_sym_PERCENT] = ACTIONS(1098),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_GT_GT] = ACTIONS(1100),
    [anon_sym_GT_GT_GT] = ACTIONS(1098),
    [anon_sym_AMP_CARET] = ACTIONS(1098),
    [anon_sym_PIPE] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1098),
    [anon_sym_BANG_EQ] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1100),
    [anon_sym_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1100),
    [anon_sym_GT_EQ] = ACTIONS(1098),
    [anon_sym_in] = ACTIONS(1100),
    [anon_sym_BANGin] = ACTIONS(1098),
    [anon_sym_AMP_AMP] = ACTIONS(1098),
    [anon_sym_PIPE_PIPE] = ACTIONS(1098),
    [anon_sym_as] = ACTIONS(1100),
    [anon_sym_COMMA] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [sym_none] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [sym_false] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_map_LBRACK] = ACTIONS(1098),
    [anon_sym_chan] = ACTIONS(1100),
    [anon_sym_shared] = ACTIONS(1100),
    [anon_sym_thread] = ACTIONS(1100),
    [sym_int_literal] = ACTIONS(1100),
    [sym_float_literal] = ACTIONS(1098),
    [sym_rune_literal] = ACTIONS(1098),
    [anon_sym_DOT] = ACTIONS(1100),
    [anon_sym_array] = ACTIONS(1100),
    [anon_sym_string] = ACTIONS(1100),
    [anon_sym_char] = ACTIONS(1100),
    [anon_sym_sql] = ACTIONS(1100),
    [anon_sym_mut] = ACTIONS(1100),
    [anon_sym_C] = ACTIONS(1100),
    [anon_sym_JS] = ACTIONS(1100),
    [anon_sym_voidptr] = ACTIONS(1100),
    [anon_sym_byteptr] = ACTIONS(1100),
    [anon_sym_charptr] = ACTIONS(1100),
    [anon_sym_i8] = ACTIONS(1100),
    [anon_sym_i16] = ACTIONS(1100),
    [anon_sym_i32] = ACTIONS(1100),
    [anon_sym_int] = ACTIONS(1100),
    [anon_sym_i64] = ACTIONS(1100),
    [anon_sym_byte] = ACTIONS(1100),
    [anon_sym_u8] = ACTIONS(1100),
    [anon_sym_u16] = ACTIONS(1100),
    [anon_sym_u32] = ACTIONS(1100),
    [anon_sym_u64] = ACTIONS(1100),
    [anon_sym_f32] = ACTIONS(1100),
    [anon_sym_f64] = ACTIONS(1100),
    [anon_sym_bool] = ACTIONS(1100),
    [anon_sym_rune] = ACTIONS(1100),
    [anon_sym_map] = ACTIONS(1100),
    [anon_sym_mapnode] = ACTIONS(1100),
    [anon_sym_size_t] = ACTIONS(1100),
    [anon_sym_usize] = ACTIONS(1100),
    [anon_sym_isize] = ACTIONS(1100),
    [anon_sym_float_literal] = ACTIONS(1100),
    [anon_sym_int_literal] = ACTIONS(1100),
    [anon_sym_IError] = ACTIONS(1100),
    [sym_type_placeholder] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [sym_type_identifier] = ACTIONS(1100),
    [anon_sym_assert] = ACTIONS(1100),
    [anon_sym_defer] = ACTIONS(1100),
    [anon_sym_unsafe] = ACTIONS(1100),
    [anon_sym_fn] = ACTIONS(1100),
    [anon_sym_asm] = ACTIONS(1100),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_return] = ACTIONS(1100),
    [anon_sym_go] = ACTIONS(1100),
    [anon_sym_spawn] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1100),
    [anon_sym_for] = ACTIONS(1100),
    [anon_sym_DOLLARfor] = ACTIONS(1098),
    [anon_sym_DOLLARif] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1100),
    [anon_sym_is] = ACTIONS(1100),
    [anon_sym_BANGis] = ACTIONS(1098),
    [anon_sym_POUND] = ACTIONS(1098),
    [anon_sym_match] = ACTIONS(1100),
    [anon_sym_select] = ACTIONS(1100),
    [anon_sym_lock] = ACTIONS(1100),
    [anon_sym_rlock] = ACTIONS(1100),
    [sym__automatic_separator] = ACTIONS(1098),
    [sym__c_string_opening] = ACTIONS(1098),
    [sym__raw_string_opening] = ACTIONS(1098),
    [sym__string_opening] = ACTIONS(1098),
    [sym__comment] = ACTIONS(3),
  },
  [1210] = {
    [sym_comment] = STATE(1210),
    [sym_identifier] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_CARET] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_LT_DASH] = ACTIONS(1230),
    [anon_sym_SLASH] = ACTIONS(1230),
    [anon_sym_PERCENT] = ACTIONS(1230),
    [anon_sym_LT_LT] = ACTIONS(1230),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_GT_GT_GT] = ACTIONS(1230),
    [anon_sym_AMP_CARET] = ACTIONS(1230),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1230),
    [anon_sym_BANG_EQ] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_GT_EQ] = ACTIONS(1230),
    [anon_sym_in] = ACTIONS(1232),
    [anon_sym_BANGin] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1230),
    [anon_sym_PIPE_PIPE] = ACTIONS(1230),
    [anon_sym_as] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_map_LBRACK] = ACTIONS(1230),
    [anon_sym_chan] = ACTIONS(1232),
    [anon_sym_shared] = ACTIONS(1232),
    [anon_sym_thread] = ACTIONS(1232),
    [sym_int_literal] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1230),
    [sym_rune_literal] = ACTIONS(1230),
    [anon_sym_DOT] = ACTIONS(1232),
    [anon_sym_array] = ACTIONS(1232),
    [anon_sym_string] = ACTIONS(1232),
    [anon_sym_char] = ACTIONS(1232),
    [anon_sym_sql] = ACTIONS(1232),
    [anon_sym_mut] = ACTIONS(1232),
    [anon_sym_C] = ACTIONS(1232),
    [anon_sym_JS] = ACTIONS(1232),
    [anon_sym_voidptr] = ACTIONS(1232),
    [anon_sym_byteptr] = ACTIONS(1232),
    [anon_sym_charptr] = ACTIONS(1232),
    [anon_sym_i8] = ACTIONS(1232),
    [anon_sym_i16] = ACTIONS(1232),
    [anon_sym_i32] = ACTIONS(1232),
    [anon_sym_int] = ACTIONS(1232),
    [anon_sym_i64] = ACTIONS(1232),
    [anon_sym_byte] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1232),
    [anon_sym_u16] = ACTIONS(1232),
    [anon_sym_u32] = ACTIONS(1232),
    [anon_sym_u64] = ACTIONS(1232),
    [anon_sym_f32] = ACTIONS(1232),
    [anon_sym_f64] = ACTIONS(1232),
    [anon_sym_bool] = ACTIONS(1232),
    [anon_sym_rune] = ACTIONS(1232),
    [anon_sym_map] = ACTIONS(1232),
    [anon_sym_mapnode] = ACTIONS(1232),
    [anon_sym_size_t] = ACTIONS(1232),
    [anon_sym_usize] = ACTIONS(1232),
    [anon_sym_isize] = ACTIONS(1232),
    [anon_sym_float_literal] = ACTIONS(1232),
    [anon_sym_int_literal] = ACTIONS(1232),
    [anon_sym_IError] = ACTIONS(1232),
    [sym_type_placeholder] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [sym_type_identifier] = ACTIONS(1232),
    [anon_sym_assert] = ACTIONS(1232),
    [anon_sym_defer] = ACTIONS(1232),
    [anon_sym_unsafe] = ACTIONS(1232),
    [anon_sym_fn] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_go] = ACTIONS(1232),
    [anon_sym_spawn] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_DOLLARfor] = ACTIONS(1230),
    [anon_sym_DOLLARif] = ACTIONS(1230),
    [anon_sym_DOLLARelse] = ACTIONS(3658),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_is] = ACTIONS(1232),
    [anon_sym_BANGis] = ACTIONS(1230),
    [anon_sym_POUND] = ACTIONS(1230),
    [anon_sym_match] = ACTIONS(1232),
    [anon_sym_select] = ACTIONS(1232),
    [anon_sym_lock] = ACTIONS(1232),
    [anon_sym_rlock] = ACTIONS(1232),
    [sym__automatic_separator] = ACTIONS(1230),
    [sym__c_string_opening] = ACTIONS(1230),
    [sym__raw_string_opening] = ACTIONS(1230),
    [sym__string_opening] = ACTIONS(1230),
    [sym__comment] = ACTIONS(3),
  },
  [1211] = {
    [sym_comment] = STATE(1211),
    [sym_argument_list] = STATE(1288),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_CARET] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_LT_DASH] = ACTIONS(1126),
    [anon_sym_SLASH] = ACTIONS(1126),
    [anon_sym_PERCENT] = ACTIONS(1126),
    [anon_sym_LT_LT] = ACTIONS(1126),
    [anon_sym_GT_GT] = ACTIONS(1128),
    [anon_sym_GT_GT_GT] = ACTIONS(1126),
    [anon_sym_AMP_CARET] = ACTIONS(1126),
    [anon_sym_PIPE] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1126),
    [anon_sym_BANG_EQ] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1126),
    [anon_sym_GT] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1126),
    [anon_sym_in] = ACTIONS(1128),
    [anon_sym_BANGin] = ACTIONS(1126),
    [anon_sym_AMP_AMP] = ACTIONS(1126),
    [anon_sym_PIPE_PIPE] = ACTIONS(1126),
    [anon_sym_as] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [sym_none] = ACTIONS(1128),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_map_LBRACK] = ACTIONS(1126),
    [anon_sym_chan] = ACTIONS(1128),
    [anon_sym_shared] = ACTIONS(1128),
    [anon_sym_thread] = ACTIONS(1128),
    [sym_int_literal] = ACTIONS(1128),
    [sym_float_literal] = ACTIONS(1126),
    [sym_rune_literal] = ACTIONS(1126),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_array] = ACTIONS(1128),
    [anon_sym_string] = ACTIONS(1128),
    [anon_sym_char] = ACTIONS(1128),
    [anon_sym_sql] = ACTIONS(1128),
    [anon_sym_mut] = ACTIONS(1128),
    [anon_sym_C] = ACTIONS(1128),
    [anon_sym_JS] = ACTIONS(1128),
    [anon_sym_voidptr] = ACTIONS(1128),
    [anon_sym_byteptr] = ACTIONS(1128),
    [anon_sym_charptr] = ACTIONS(1128),
    [anon_sym_i8] = ACTIONS(1128),
    [anon_sym_i16] = ACTIONS(1128),
    [anon_sym_i32] = ACTIONS(1128),
    [anon_sym_int] = ACTIONS(1128),
    [anon_sym_i64] = ACTIONS(1128),
    [anon_sym_byte] = ACTIONS(1128),
    [anon_sym_u8] = ACTIONS(1128),
    [anon_sym_u16] = ACTIONS(1128),
    [anon_sym_u32] = ACTIONS(1128),
    [anon_sym_u64] = ACTIONS(1128),
    [anon_sym_f32] = ACTIONS(1128),
    [anon_sym_f64] = ACTIONS(1128),
    [anon_sym_bool] = ACTIONS(1128),
    [anon_sym_rune] = ACTIONS(1128),
    [anon_sym_map] = ACTIONS(1128),
    [anon_sym_mapnode] = ACTIONS(1128),
    [anon_sym_size_t] = ACTIONS(1128),
    [anon_sym_usize] = ACTIONS(1128),
    [anon_sym_isize] = ACTIONS(1128),
    [anon_sym_float_literal] = ACTIONS(1128),
    [anon_sym_int_literal] = ACTIONS(1128),
    [anon_sym_IError] = ACTIONS(1128),
    [sym_type_placeholder] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [sym_type_identifier] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1128),
    [anon_sym_defer] = ACTIONS(1128),
    [anon_sym_unsafe] = ACTIONS(1128),
    [anon_sym_fn] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_go] = ACTIONS(1128),
    [anon_sym_spawn] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_DOLLARfor] = ACTIONS(1126),
    [anon_sym_DOLLARif] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_is] = ACTIONS(1128),
    [anon_sym_BANGis] = ACTIONS(1126),
    [anon_sym_POUND] = ACTIONS(1126),
    [anon_sym_match] = ACTIONS(1128),
    [anon_sym_select] = ACTIONS(1128),
    [anon_sym_lock] = ACTIONS(1128),
    [anon_sym_rlock] = ACTIONS(1128),
    [sym__automatic_separator] = ACTIONS(1126),
    [sym__c_string_opening] = ACTIONS(1126),
    [sym__raw_string_opening] = ACTIONS(1126),
    [sym__string_opening] = ACTIONS(1126),
    [sym__comment] = ACTIONS(3),
  },
  [1212] = {
    [sym_comment] = STATE(1212),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_DOLLARelse] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1213] = {
    [sym_comment] = STATE(1213),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_LT_DASH] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1130),
    [anon_sym_LT_LT] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1130),
    [anon_sym_AMP_CARET] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1130),
    [sym_none] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [sym_int_literal] = ACTIONS(1132),
    [sym_float_literal] = ACTIONS(1130),
    [sym_rune_literal] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_sql] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_assert] = ACTIONS(1132),
    [anon_sym_defer] = ACTIONS(1132),
    [anon_sym_unsafe] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_go] = ACTIONS(1132),
    [anon_sym_spawn] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_DOLLARfor] = ACTIONS(1130),
    [anon_sym_DOLLARif] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [anon_sym_POUND] = ACTIONS(1130),
    [anon_sym_match] = ACTIONS(1132),
    [anon_sym_select] = ACTIONS(1132),
    [anon_sym_lock] = ACTIONS(1132),
    [anon_sym_rlock] = ACTIONS(1132),
    [sym__automatic_separator] = ACTIONS(1130),
    [sym__c_string_opening] = ACTIONS(1130),
    [sym__raw_string_opening] = ACTIONS(1130),
    [sym__string_opening] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1214] = {
    [sym_comment] = STATE(1214),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_LT2] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1215] = {
    [sym_comment] = STATE(1215),
    [sym_identifier] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1120),
    [anon_sym_LT_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PERCENT] = ACTIONS(1118),
    [anon_sym_LT_LT] = ACTIONS(1118),
    [anon_sym_GT_GT] = ACTIONS(1120),
    [anon_sym_GT_GT_GT] = ACTIONS(1118),
    [anon_sym_AMP_CARET] = ACTIONS(1118),
    [anon_sym_PIPE] = ACTIONS(1120),
    [anon_sym_EQ_EQ] = ACTIONS(1118),
    [anon_sym_BANG_EQ] = ACTIONS(1118),
    [anon_sym_LT] = ACTIONS(1120),
    [anon_sym_LT_EQ] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1120),
    [anon_sym_GT_EQ] = ACTIONS(1118),
    [anon_sym_in] = ACTIONS(1120),
    [anon_sym_BANGin] = ACTIONS(1118),
    [anon_sym_AMP_AMP] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1118),
    [anon_sym_as] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [sym_none] = ACTIONS(1120),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_map_LBRACK] = ACTIONS(1118),
    [anon_sym_chan] = ACTIONS(1120),
    [anon_sym_shared] = ACTIONS(1120),
    [anon_sym_thread] = ACTIONS(1120),
    [sym_int_literal] = ACTIONS(1120),
    [sym_float_literal] = ACTIONS(1118),
    [sym_rune_literal] = ACTIONS(1118),
    [anon_sym_DOT] = ACTIONS(1120),
    [anon_sym_array] = ACTIONS(1120),
    [anon_sym_string] = ACTIONS(1120),
    [anon_sym_char] = ACTIONS(1120),
    [anon_sym_sql] = ACTIONS(1120),
    [anon_sym_mut] = ACTIONS(1120),
    [anon_sym_C] = ACTIONS(1120),
    [anon_sym_JS] = ACTIONS(1120),
    [anon_sym_LT2] = ACTIONS(1120),
    [anon_sym_voidptr] = ACTIONS(1120),
    [anon_sym_byteptr] = ACTIONS(1120),
    [anon_sym_charptr] = ACTIONS(1120),
    [anon_sym_i8] = ACTIONS(1120),
    [anon_sym_i16] = ACTIONS(1120),
    [anon_sym_i32] = ACTIONS(1120),
    [anon_sym_int] = ACTIONS(1120),
    [anon_sym_i64] = ACTIONS(1120),
    [anon_sym_byte] = ACTIONS(1120),
    [anon_sym_u8] = ACTIONS(1120),
    [anon_sym_u16] = ACTIONS(1120),
    [anon_sym_u32] = ACTIONS(1120),
    [anon_sym_u64] = ACTIONS(1120),
    [anon_sym_f32] = ACTIONS(1120),
    [anon_sym_f64] = ACTIONS(1120),
    [anon_sym_bool] = ACTIONS(1120),
    [anon_sym_rune] = ACTIONS(1120),
    [anon_sym_map] = ACTIONS(1120),
    [anon_sym_mapnode] = ACTIONS(1120),
    [anon_sym_size_t] = ACTIONS(1120),
    [anon_sym_usize] = ACTIONS(1120),
    [anon_sym_isize] = ACTIONS(1120),
    [anon_sym_float_literal] = ACTIONS(1120),
    [anon_sym_int_literal] = ACTIONS(1120),
    [anon_sym_IError] = ACTIONS(1120),
    [sym_type_placeholder] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [sym_type_identifier] = ACTIONS(1120),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_defer] = ACTIONS(1120),
    [anon_sym_unsafe] = ACTIONS(1120),
    [anon_sym_fn] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_go] = ACTIONS(1120),
    [anon_sym_spawn] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_DOLLARfor] = ACTIONS(1118),
    [anon_sym_DOLLARif] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_is] = ACTIONS(1120),
    [anon_sym_BANGis] = ACTIONS(1118),
    [anon_sym_POUND] = ACTIONS(1118),
    [anon_sym_match] = ACTIONS(1120),
    [anon_sym_select] = ACTIONS(1120),
    [anon_sym_lock] = ACTIONS(1120),
    [anon_sym_rlock] = ACTIONS(1120),
    [sym__automatic_separator] = ACTIONS(1118),
    [sym__c_string_opening] = ACTIONS(1118),
    [sym__raw_string_opening] = ACTIONS(1118),
    [sym__string_opening] = ACTIONS(1118),
    [sym__comment] = ACTIONS(3),
  },
  [1216] = {
    [sym_comment] = STATE(1216),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_LT_DASH] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP_CARET] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1134),
    [sym_none] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [sym_int_literal] = ACTIONS(1136),
    [sym_float_literal] = ACTIONS(1134),
    [sym_rune_literal] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_sql] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_assert] = ACTIONS(1136),
    [anon_sym_defer] = ACTIONS(1136),
    [anon_sym_unsafe] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_go] = ACTIONS(1136),
    [anon_sym_spawn] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_DOLLARfor] = ACTIONS(1134),
    [anon_sym_DOLLARif] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [anon_sym_POUND] = ACTIONS(1134),
    [anon_sym_match] = ACTIONS(1136),
    [anon_sym_select] = ACTIONS(1136),
    [anon_sym_lock] = ACTIONS(1136),
    [anon_sym_rlock] = ACTIONS(1136),
    [sym__automatic_separator] = ACTIONS(1134),
    [sym__c_string_opening] = ACTIONS(1134),
    [sym__raw_string_opening] = ACTIONS(1134),
    [sym__string_opening] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1217] = {
    [sym_comment] = STATE(1217),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_LT_DASH] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(1236),
    [anon_sym_LT_LT] = ACTIONS(1236),
    [anon_sym_GT_GT] = ACTIONS(1238),
    [anon_sym_GT_GT_GT] = ACTIONS(1236),
    [anon_sym_AMP_CARET] = ACTIONS(1236),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1238),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_BANGin] = ACTIONS(1236),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_as] = ACTIONS(1238),
    [anon_sym_COMMA] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [sym_none] = ACTIONS(1238),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_map_LBRACK] = ACTIONS(1236),
    [anon_sym_chan] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_thread] = ACTIONS(1238),
    [sym_int_literal] = ACTIONS(1238),
    [sym_float_literal] = ACTIONS(1236),
    [sym_rune_literal] = ACTIONS(1236),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_array] = ACTIONS(1238),
    [anon_sym_string] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_sql] = ACTIONS(1238),
    [anon_sym_mut] = ACTIONS(1238),
    [anon_sym_C] = ACTIONS(1238),
    [anon_sym_JS] = ACTIONS(1238),
    [anon_sym_voidptr] = ACTIONS(1238),
    [anon_sym_byteptr] = ACTIONS(1238),
    [anon_sym_charptr] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_int] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_byte] = ACTIONS(1238),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_rune] = ACTIONS(1238),
    [anon_sym_map] = ACTIONS(1238),
    [anon_sym_mapnode] = ACTIONS(1238),
    [anon_sym_size_t] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_float_literal] = ACTIONS(1238),
    [anon_sym_int_literal] = ACTIONS(1238),
    [anon_sym_IError] = ACTIONS(1238),
    [sym_type_placeholder] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [sym_type_identifier] = ACTIONS(1238),
    [anon_sym_assert] = ACTIONS(1238),
    [anon_sym_defer] = ACTIONS(1238),
    [anon_sym_unsafe] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_go] = ACTIONS(1238),
    [anon_sym_spawn] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_DOLLARfor] = ACTIONS(1236),
    [anon_sym_DOLLARif] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(3660),
    [anon_sym_is] = ACTIONS(1238),
    [anon_sym_BANGis] = ACTIONS(1236),
    [anon_sym_POUND] = ACTIONS(1236),
    [anon_sym_match] = ACTIONS(1238),
    [anon_sym_select] = ACTIONS(1238),
    [anon_sym_lock] = ACTIONS(1238),
    [anon_sym_rlock] = ACTIONS(1238),
    [sym__automatic_separator] = ACTIONS(1236),
    [sym__c_string_opening] = ACTIONS(1236),
    [sym__raw_string_opening] = ACTIONS(1236),
    [sym__string_opening] = ACTIONS(1236),
    [sym__comment] = ACTIONS(3),
  },
  [1218] = {
    [sym_comment] = STATE(1218),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_LT2] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1219] = {
    [sym_comment] = STATE(1219),
    [sym_fixed_array_type] = STATE(1743),
    [sym_array_type] = STATE(1743),
    [sym_pointer_type] = STATE(1743),
    [sym_map_type] = STATE(1743),
    [sym_channel_type] = STATE(1743),
    [sym_shared_type] = STATE(1743),
    [sym_thread_type] = STATE(1743),
    [sym_binded_identifier] = STATE(1749),
    [sym__simple_type] = STATE(1752),
    [sym_builtin_type] = STATE(1743),
    [sym__binded_type] = STATE(1743),
    [sym_generic_type] = STATE(1743),
    [sym_qualified_type] = STATE(1668),
    [sym_function_type] = STATE(1743),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_RBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1220] = {
    [sym_comment] = STATE(1220),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_LT_DASH] = ACTIONS(1184),
    [anon_sym_SLASH] = ACTIONS(1184),
    [anon_sym_PERCENT] = ACTIONS(1184),
    [anon_sym_LT_LT] = ACTIONS(1184),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1184),
    [anon_sym_AMP_CARET] = ACTIONS(1184),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1184),
    [sym_none] = ACTIONS(1186),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [sym_int_literal] = ACTIONS(1186),
    [sym_float_literal] = ACTIONS(1184),
    [sym_rune_literal] = ACTIONS(1184),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_sql] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_assert] = ACTIONS(1186),
    [anon_sym_defer] = ACTIONS(1186),
    [anon_sym_unsafe] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_go] = ACTIONS(1186),
    [anon_sym_spawn] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_DOLLARfor] = ACTIONS(1184),
    [anon_sym_DOLLARif] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [anon_sym_POUND] = ACTIONS(1184),
    [anon_sym_match] = ACTIONS(1186),
    [anon_sym_select] = ACTIONS(1186),
    [anon_sym_lock] = ACTIONS(1186),
    [anon_sym_rlock] = ACTIONS(1186),
    [sym__automatic_separator] = ACTIONS(1184),
    [sym__c_string_opening] = ACTIONS(1184),
    [sym__raw_string_opening] = ACTIONS(1184),
    [sym__string_opening] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1221] = {
    [sym_comment] = STATE(1221),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_LT2] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1222] = {
    [sym_comment] = STATE(1222),
    [sym__content_block] = STATE(1247),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(3664),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1223] = {
    [sym_comment] = STATE(1223),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_LT_DASH] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_AMP_CARET] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1138),
    [sym_none] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [sym_int_literal] = ACTIONS(1140),
    [sym_float_literal] = ACTIONS(1138),
    [sym_rune_literal] = ACTIONS(1138),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_sql] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_assert] = ACTIONS(1140),
    [anon_sym_defer] = ACTIONS(1140),
    [anon_sym_unsafe] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_go] = ACTIONS(1140),
    [anon_sym_spawn] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_DOLLARfor] = ACTIONS(1138),
    [anon_sym_DOLLARif] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [anon_sym_POUND] = ACTIONS(1138),
    [anon_sym_match] = ACTIONS(1140),
    [anon_sym_select] = ACTIONS(1140),
    [anon_sym_lock] = ACTIONS(1140),
    [anon_sym_rlock] = ACTIONS(1140),
    [sym__automatic_separator] = ACTIONS(1138),
    [sym__c_string_opening] = ACTIONS(1138),
    [sym__raw_string_opening] = ACTIONS(1138),
    [sym__string_opening] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1224] = {
    [sym_comment] = STATE(1224),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1225] = {
    [sym_comment] = STATE(1225),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1192),
    [anon_sym_AMP_CARET] = ACTIONS(1192),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_DOLLARelse] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1226] = {
    [sym_comment] = STATE(1226),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(3666),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_LT_DASH] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(746),
    [anon_sym_AMP_CARET] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_DOLLAR] = ACTIONS(750),
    [sym_none] = ACTIONS(750),
    [sym_true] = ACTIONS(750),
    [sym_false] = ACTIONS(750),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_RBRACK] = ACTIONS(746),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [sym_int_literal] = ACTIONS(750),
    [sym_float_literal] = ACTIONS(746),
    [sym_rune_literal] = ACTIONS(746),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_sql] = ACTIONS(750),
    [anon_sym_mut] = ACTIONS(750),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [anon_sym_AT] = ACTIONS(750),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_unsafe] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_DOLLARif] = ACTIONS(746),
    [anon_sym_if] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [anon_sym_match] = ACTIONS(750),
    [anon_sym_select] = ACTIONS(750),
    [anon_sym_lock] = ACTIONS(750),
    [anon_sym_rlock] = ACTIONS(750),
    [sym__c_string_opening] = ACTIONS(746),
    [sym__raw_string_opening] = ACTIONS(746),
    [sym__string_opening] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [1227] = {
    [sym_comment] = STATE(1227),
    [sym_identifier] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_LT_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(1212),
    [anon_sym_PERCENT] = ACTIONS(1212),
    [anon_sym_LT_LT] = ACTIONS(1212),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_GT_GT_GT] = ACTIONS(1212),
    [anon_sym_AMP_CARET] = ACTIONS(1212),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_in] = ACTIONS(1214),
    [anon_sym_BANGin] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_map_LBRACK] = ACTIONS(1212),
    [anon_sym_chan] = ACTIONS(1214),
    [anon_sym_shared] = ACTIONS(1214),
    [anon_sym_thread] = ACTIONS(1214),
    [sym_int_literal] = ACTIONS(1214),
    [sym_float_literal] = ACTIONS(1212),
    [sym_rune_literal] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_array] = ACTIONS(1214),
    [anon_sym_string] = ACTIONS(1214),
    [anon_sym_char] = ACTIONS(1214),
    [anon_sym_sql] = ACTIONS(1214),
    [anon_sym_mut] = ACTIONS(1214),
    [anon_sym_C] = ACTIONS(1214),
    [anon_sym_JS] = ACTIONS(1214),
    [anon_sym_LT2] = ACTIONS(1214),
    [anon_sym_voidptr] = ACTIONS(1214),
    [anon_sym_byteptr] = ACTIONS(1214),
    [anon_sym_charptr] = ACTIONS(1214),
    [anon_sym_i8] = ACTIONS(1214),
    [anon_sym_i16] = ACTIONS(1214),
    [anon_sym_i32] = ACTIONS(1214),
    [anon_sym_int] = ACTIONS(1214),
    [anon_sym_i64] = ACTIONS(1214),
    [anon_sym_byte] = ACTIONS(1214),
    [anon_sym_u8] = ACTIONS(1214),
    [anon_sym_u16] = ACTIONS(1214),
    [anon_sym_u32] = ACTIONS(1214),
    [anon_sym_u64] = ACTIONS(1214),
    [anon_sym_f32] = ACTIONS(1214),
    [anon_sym_f64] = ACTIONS(1214),
    [anon_sym_bool] = ACTIONS(1214),
    [anon_sym_rune] = ACTIONS(1214),
    [anon_sym_map] = ACTIONS(1214),
    [anon_sym_mapnode] = ACTIONS(1214),
    [anon_sym_size_t] = ACTIONS(1214),
    [anon_sym_usize] = ACTIONS(1214),
    [anon_sym_isize] = ACTIONS(1214),
    [anon_sym_float_literal] = ACTIONS(1214),
    [anon_sym_int_literal] = ACTIONS(1214),
    [anon_sym_IError] = ACTIONS(1214),
    [sym_type_placeholder] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [sym_type_identifier] = ACTIONS(1214),
    [anon_sym_assert] = ACTIONS(1214),
    [anon_sym_defer] = ACTIONS(1214),
    [anon_sym_unsafe] = ACTIONS(1214),
    [anon_sym_fn] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_go] = ACTIONS(1214),
    [anon_sym_spawn] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_DOLLARfor] = ACTIONS(1212),
    [anon_sym_DOLLARif] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_is] = ACTIONS(1214),
    [anon_sym_BANGis] = ACTIONS(1212),
    [anon_sym_POUND] = ACTIONS(1212),
    [anon_sym_match] = ACTIONS(1214),
    [anon_sym_select] = ACTIONS(1214),
    [anon_sym_lock] = ACTIONS(1214),
    [anon_sym_rlock] = ACTIONS(1214),
    [sym__automatic_separator] = ACTIONS(1212),
    [sym__c_string_opening] = ACTIONS(1212),
    [sym__raw_string_opening] = ACTIONS(1212),
    [sym__string_opening] = ACTIONS(1212),
    [sym__comment] = ACTIONS(3),
  },
  [1228] = {
    [sym_comment] = STATE(1228),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_LT_DASH] = ACTIONS(1122),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PERCENT] = ACTIONS(1122),
    [anon_sym_LT_LT] = ACTIONS(1122),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1122),
    [anon_sym_AMP_CARET] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1122),
    [sym_none] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [sym_int_literal] = ACTIONS(1124),
    [sym_float_literal] = ACTIONS(1122),
    [sym_rune_literal] = ACTIONS(1122),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_sql] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_assert] = ACTIONS(1124),
    [anon_sym_defer] = ACTIONS(1124),
    [anon_sym_unsafe] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_go] = ACTIONS(1124),
    [anon_sym_spawn] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_DOLLARfor] = ACTIONS(1122),
    [anon_sym_DOLLARif] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [anon_sym_POUND] = ACTIONS(1122),
    [anon_sym_match] = ACTIONS(1124),
    [anon_sym_select] = ACTIONS(1124),
    [anon_sym_lock] = ACTIONS(1124),
    [anon_sym_rlock] = ACTIONS(1124),
    [sym__automatic_separator] = ACTIONS(1122),
    [sym__c_string_opening] = ACTIONS(1122),
    [sym__raw_string_opening] = ACTIONS(1122),
    [sym__string_opening] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1229] = {
    [sym_comment] = STATE(1229),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_CARET] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_LT_DASH] = ACTIONS(1242),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(1242),
    [anon_sym_LT_LT] = ACTIONS(1242),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_GT_GT_GT] = ACTIONS(1242),
    [anon_sym_AMP_CARET] = ACTIONS(1242),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1242),
    [anon_sym_BANG_EQ] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(1242),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_BANGin] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1242),
    [anon_sym_as] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym_none] = ACTIONS(1244),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_map_LBRACK] = ACTIONS(1242),
    [anon_sym_chan] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_thread] = ACTIONS(1244),
    [sym_int_literal] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1242),
    [sym_rune_literal] = ACTIONS(1242),
    [anon_sym_DOT] = ACTIONS(1244),
    [anon_sym_array] = ACTIONS(1244),
    [anon_sym_string] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_sql] = ACTIONS(1244),
    [anon_sym_mut] = ACTIONS(1244),
    [anon_sym_C] = ACTIONS(1244),
    [anon_sym_JS] = ACTIONS(1244),
    [anon_sym_voidptr] = ACTIONS(1244),
    [anon_sym_byteptr] = ACTIONS(1244),
    [anon_sym_charptr] = ACTIONS(1244),
    [anon_sym_i8] = ACTIONS(1244),
    [anon_sym_i16] = ACTIONS(1244),
    [anon_sym_i32] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_i64] = ACTIONS(1244),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1244),
    [anon_sym_u16] = ACTIONS(1244),
    [anon_sym_u32] = ACTIONS(1244),
    [anon_sym_u64] = ACTIONS(1244),
    [anon_sym_f32] = ACTIONS(1244),
    [anon_sym_f64] = ACTIONS(1244),
    [anon_sym_bool] = ACTIONS(1244),
    [anon_sym_rune] = ACTIONS(1244),
    [anon_sym_map] = ACTIONS(1244),
    [anon_sym_mapnode] = ACTIONS(1244),
    [anon_sym_size_t] = ACTIONS(1244),
    [anon_sym_usize] = ACTIONS(1244),
    [anon_sym_isize] = ACTIONS(1244),
    [anon_sym_float_literal] = ACTIONS(1244),
    [anon_sym_int_literal] = ACTIONS(1244),
    [anon_sym_IError] = ACTIONS(1244),
    [sym_type_placeholder] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [sym_type_identifier] = ACTIONS(1244),
    [anon_sym_assert] = ACTIONS(1244),
    [anon_sym_defer] = ACTIONS(1244),
    [anon_sym_unsafe] = ACTIONS(1244),
    [anon_sym_fn] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_go] = ACTIONS(1244),
    [anon_sym_spawn] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_DOLLARfor] = ACTIONS(1242),
    [anon_sym_DOLLARif] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(3668),
    [anon_sym_is] = ACTIONS(1244),
    [anon_sym_BANGis] = ACTIONS(1242),
    [anon_sym_POUND] = ACTIONS(1242),
    [anon_sym_match] = ACTIONS(1244),
    [anon_sym_select] = ACTIONS(1244),
    [anon_sym_lock] = ACTIONS(1244),
    [anon_sym_rlock] = ACTIONS(1244),
    [sym__automatic_separator] = ACTIONS(1242),
    [sym__c_string_opening] = ACTIONS(1242),
    [sym__raw_string_opening] = ACTIONS(1242),
    [sym__string_opening] = ACTIONS(1242),
    [sym__comment] = ACTIONS(3),
  },
  [1230] = {
    [sym_comment] = STATE(1230),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1554),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_LT_DASH] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(1554),
    [anon_sym_PERCENT] = ACTIONS(1554),
    [anon_sym_LT_LT] = ACTIONS(1554),
    [anon_sym_GT_GT] = ACTIONS(1556),
    [anon_sym_GT_GT_GT] = ACTIONS(1554),
    [anon_sym_AMP_CARET] = ACTIONS(1554),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_EQ_EQ] = ACTIONS(1554),
    [anon_sym_BANG_EQ] = ACTIONS(1554),
    [anon_sym_LT] = ACTIONS(1556),
    [anon_sym_LT_EQ] = ACTIONS(1554),
    [anon_sym_GT] = ACTIONS(1556),
    [anon_sym_GT_EQ] = ACTIONS(1554),
    [anon_sym_in] = ACTIONS(1556),
    [anon_sym_BANGin] = ACTIONS(1554),
    [anon_sym_AMP_AMP] = ACTIONS(1554),
    [anon_sym_PIPE_PIPE] = ACTIONS(1554),
    [anon_sym_as] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_none] = ACTIONS(1556),
    [sym_true] = ACTIONS(1556),
    [sym_false] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_map_LBRACK] = ACTIONS(1554),
    [anon_sym_chan] = ACTIONS(1556),
    [anon_sym_shared] = ACTIONS(1556),
    [anon_sym_thread] = ACTIONS(1556),
    [sym_int_literal] = ACTIONS(1556),
    [sym_float_literal] = ACTIONS(1554),
    [sym_rune_literal] = ACTIONS(1554),
    [anon_sym_DOT] = ACTIONS(1556),
    [anon_sym_array] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_char] = ACTIONS(1556),
    [anon_sym_sql] = ACTIONS(1556),
    [anon_sym_mut] = ACTIONS(1556),
    [anon_sym_C] = ACTIONS(1556),
    [anon_sym_JS] = ACTIONS(1556),
    [anon_sym_voidptr] = ACTIONS(1556),
    [anon_sym_byteptr] = ACTIONS(1556),
    [anon_sym_charptr] = ACTIONS(1556),
    [anon_sym_i8] = ACTIONS(1556),
    [anon_sym_i16] = ACTIONS(1556),
    [anon_sym_i32] = ACTIONS(1556),
    [anon_sym_int] = ACTIONS(1556),
    [anon_sym_i64] = ACTIONS(1556),
    [anon_sym_byte] = ACTIONS(1556),
    [anon_sym_u8] = ACTIONS(1556),
    [anon_sym_u16] = ACTIONS(1556),
    [anon_sym_u32] = ACTIONS(1556),
    [anon_sym_u64] = ACTIONS(1556),
    [anon_sym_f32] = ACTIONS(1556),
    [anon_sym_f64] = ACTIONS(1556),
    [anon_sym_bool] = ACTIONS(1556),
    [anon_sym_rune] = ACTIONS(1556),
    [anon_sym_map] = ACTIONS(1556),
    [anon_sym_mapnode] = ACTIONS(1556),
    [anon_sym_size_t] = ACTIONS(1556),
    [anon_sym_usize] = ACTIONS(1556),
    [anon_sym_isize] = ACTIONS(1556),
    [anon_sym_float_literal] = ACTIONS(1556),
    [anon_sym_int_literal] = ACTIONS(1556),
    [anon_sym_IError] = ACTIONS(1556),
    [sym_type_placeholder] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [sym_type_identifier] = ACTIONS(1556),
    [anon_sym_assert] = ACTIONS(1556),
    [anon_sym_defer] = ACTIONS(1556),
    [anon_sym_unsafe] = ACTIONS(1556),
    [anon_sym_fn] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1556),
    [anon_sym_break] = ACTIONS(1556),
    [anon_sym_continue] = ACTIONS(1556),
    [anon_sym_return] = ACTIONS(1556),
    [anon_sym_go] = ACTIONS(1556),
    [anon_sym_spawn] = ACTIONS(1556),
    [anon_sym_goto] = ACTIONS(1556),
    [anon_sym_for] = ACTIONS(1556),
    [anon_sym_DOLLARfor] = ACTIONS(1554),
    [anon_sym_DOLLARif] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_is] = ACTIONS(1556),
    [anon_sym_BANGis] = ACTIONS(1554),
    [anon_sym_POUND] = ACTIONS(1554),
    [anon_sym_match] = ACTIONS(1556),
    [anon_sym_select] = ACTIONS(1556),
    [anon_sym_lock] = ACTIONS(1556),
    [anon_sym_rlock] = ACTIONS(1556),
    [sym__automatic_separator] = ACTIONS(1554),
    [sym__c_string_opening] = ACTIONS(1554),
    [sym__raw_string_opening] = ACTIONS(1554),
    [sym__string_opening] = ACTIONS(1554),
    [sym__comment] = ACTIONS(3),
  },
  [1231] = {
    [sym_comment] = STATE(1231),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_LT_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1396),
    [anon_sym_GT_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT] = ACTIONS(1396),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_BANGin] = ACTIONS(1394),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_as] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [sym_none] = ACTIONS(1396),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_map_LBRACK] = ACTIONS(1394),
    [anon_sym_chan] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_thread] = ACTIONS(1396),
    [sym_int_literal] = ACTIONS(1396),
    [sym_float_literal] = ACTIONS(1394),
    [sym_rune_literal] = ACTIONS(1394),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_array] = ACTIONS(1396),
    [anon_sym_string] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_sql] = ACTIONS(1396),
    [anon_sym_mut] = ACTIONS(1396),
    [anon_sym_C] = ACTIONS(1396),
    [anon_sym_JS] = ACTIONS(1396),
    [anon_sym_voidptr] = ACTIONS(1396),
    [anon_sym_byteptr] = ACTIONS(1396),
    [anon_sym_charptr] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_int] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_byte] = ACTIONS(1396),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_rune] = ACTIONS(1396),
    [anon_sym_map] = ACTIONS(1396),
    [anon_sym_mapnode] = ACTIONS(1396),
    [anon_sym_size_t] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_float_literal] = ACTIONS(1396),
    [anon_sym_int_literal] = ACTIONS(1396),
    [anon_sym_IError] = ACTIONS(1396),
    [sym_type_placeholder] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [sym_type_identifier] = ACTIONS(1396),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_defer] = ACTIONS(1396),
    [anon_sym_unsafe] = ACTIONS(1396),
    [anon_sym_fn] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_go] = ACTIONS(1396),
    [anon_sym_spawn] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_DOLLARfor] = ACTIONS(1394),
    [anon_sym_DOLLARif] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_is] = ACTIONS(1396),
    [anon_sym_BANGis] = ACTIONS(1394),
    [anon_sym_POUND] = ACTIONS(1394),
    [anon_sym_match] = ACTIONS(1396),
    [anon_sym_select] = ACTIONS(1396),
    [anon_sym_lock] = ACTIONS(1396),
    [anon_sym_rlock] = ACTIONS(1396),
    [sym__automatic_separator] = ACTIONS(1394),
    [sym__c_string_opening] = ACTIONS(1394),
    [sym__raw_string_opening] = ACTIONS(1394),
    [sym__string_opening] = ACTIONS(1394),
    [sym__comment] = ACTIONS(3),
  },
  [1232] = {
    [sym_comment] = STATE(1232),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1233] = {
    [sym_comment] = STATE(1233),
    [sym_identifier] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_CARET] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_LT_DASH] = ACTIONS(1316),
    [anon_sym_SLASH] = ACTIONS(1316),
    [anon_sym_PERCENT] = ACTIONS(1316),
    [anon_sym_LT_LT] = ACTIONS(1316),
    [anon_sym_GT_GT] = ACTIONS(1318),
    [anon_sym_GT_GT_GT] = ACTIONS(1316),
    [anon_sym_AMP_CARET] = ACTIONS(1316),
    [anon_sym_PIPE] = ACTIONS(1318),
    [anon_sym_EQ_EQ] = ACTIONS(1316),
    [anon_sym_BANG_EQ] = ACTIONS(1316),
    [anon_sym_LT] = ACTIONS(1318),
    [anon_sym_LT_EQ] = ACTIONS(1316),
    [anon_sym_GT] = ACTIONS(1318),
    [anon_sym_GT_EQ] = ACTIONS(1316),
    [anon_sym_in] = ACTIONS(1318),
    [anon_sym_BANGin] = ACTIONS(1316),
    [anon_sym_AMP_AMP] = ACTIONS(1316),
    [anon_sym_PIPE_PIPE] = ACTIONS(1316),
    [anon_sym_as] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [sym_none] = ACTIONS(1318),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_map_LBRACK] = ACTIONS(1316),
    [anon_sym_chan] = ACTIONS(1318),
    [anon_sym_shared] = ACTIONS(1318),
    [anon_sym_thread] = ACTIONS(1318),
    [sym_int_literal] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1316),
    [sym_rune_literal] = ACTIONS(1316),
    [anon_sym_DOT] = ACTIONS(1318),
    [anon_sym_array] = ACTIONS(1318),
    [anon_sym_string] = ACTIONS(1318),
    [anon_sym_char] = ACTIONS(1318),
    [anon_sym_sql] = ACTIONS(1318),
    [anon_sym_mut] = ACTIONS(1318),
    [anon_sym_C] = ACTIONS(1318),
    [anon_sym_JS] = ACTIONS(1318),
    [anon_sym_voidptr] = ACTIONS(1318),
    [anon_sym_byteptr] = ACTIONS(1318),
    [anon_sym_charptr] = ACTIONS(1318),
    [anon_sym_i8] = ACTIONS(1318),
    [anon_sym_i16] = ACTIONS(1318),
    [anon_sym_i32] = ACTIONS(1318),
    [anon_sym_int] = ACTIONS(1318),
    [anon_sym_i64] = ACTIONS(1318),
    [anon_sym_byte] = ACTIONS(1318),
    [anon_sym_u8] = ACTIONS(1318),
    [anon_sym_u16] = ACTIONS(1318),
    [anon_sym_u32] = ACTIONS(1318),
    [anon_sym_u64] = ACTIONS(1318),
    [anon_sym_f32] = ACTIONS(1318),
    [anon_sym_f64] = ACTIONS(1318),
    [anon_sym_bool] = ACTIONS(1318),
    [anon_sym_rune] = ACTIONS(1318),
    [anon_sym_map] = ACTIONS(1318),
    [anon_sym_mapnode] = ACTIONS(1318),
    [anon_sym_size_t] = ACTIONS(1318),
    [anon_sym_usize] = ACTIONS(1318),
    [anon_sym_isize] = ACTIONS(1318),
    [anon_sym_float_literal] = ACTIONS(1318),
    [anon_sym_int_literal] = ACTIONS(1318),
    [anon_sym_IError] = ACTIONS(1318),
    [sym_type_placeholder] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [sym_type_identifier] = ACTIONS(1318),
    [anon_sym_assert] = ACTIONS(1318),
    [anon_sym_defer] = ACTIONS(1318),
    [anon_sym_unsafe] = ACTIONS(1318),
    [anon_sym_fn] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_go] = ACTIONS(1318),
    [anon_sym_spawn] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_DOLLARfor] = ACTIONS(1316),
    [anon_sym_DOLLARif] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_is] = ACTIONS(1318),
    [anon_sym_BANGis] = ACTIONS(1316),
    [anon_sym_POUND] = ACTIONS(1316),
    [anon_sym_match] = ACTIONS(1318),
    [anon_sym_select] = ACTIONS(1318),
    [anon_sym_lock] = ACTIONS(1318),
    [anon_sym_rlock] = ACTIONS(1318),
    [sym__automatic_separator] = ACTIONS(1316),
    [sym__c_string_opening] = ACTIONS(1316),
    [sym__raw_string_opening] = ACTIONS(1316),
    [sym__string_opening] = ACTIONS(1316),
    [sym__comment] = ACTIONS(3),
  },
  [1234] = {
    [sym_comment] = STATE(1234),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1582),
    [anon_sym_PERCENT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_BANGin] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [sym_none] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_map_LBRACK] = ACTIONS(1582),
    [anon_sym_chan] = ACTIONS(1584),
    [anon_sym_shared] = ACTIONS(1584),
    [anon_sym_thread] = ACTIONS(1584),
    [sym_int_literal] = ACTIONS(1584),
    [sym_float_literal] = ACTIONS(1582),
    [sym_rune_literal] = ACTIONS(1582),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_array] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_char] = ACTIONS(1584),
    [anon_sym_sql] = ACTIONS(1584),
    [anon_sym_mut] = ACTIONS(1584),
    [anon_sym_C] = ACTIONS(1584),
    [anon_sym_JS] = ACTIONS(1584),
    [anon_sym_voidptr] = ACTIONS(1584),
    [anon_sym_byteptr] = ACTIONS(1584),
    [anon_sym_charptr] = ACTIONS(1584),
    [anon_sym_i8] = ACTIONS(1584),
    [anon_sym_i16] = ACTIONS(1584),
    [anon_sym_i32] = ACTIONS(1584),
    [anon_sym_int] = ACTIONS(1584),
    [anon_sym_i64] = ACTIONS(1584),
    [anon_sym_byte] = ACTIONS(1584),
    [anon_sym_u8] = ACTIONS(1584),
    [anon_sym_u16] = ACTIONS(1584),
    [anon_sym_u32] = ACTIONS(1584),
    [anon_sym_u64] = ACTIONS(1584),
    [anon_sym_f32] = ACTIONS(1584),
    [anon_sym_f64] = ACTIONS(1584),
    [anon_sym_bool] = ACTIONS(1584),
    [anon_sym_rune] = ACTIONS(1584),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_mapnode] = ACTIONS(1584),
    [anon_sym_size_t] = ACTIONS(1584),
    [anon_sym_usize] = ACTIONS(1584),
    [anon_sym_isize] = ACTIONS(1584),
    [anon_sym_float_literal] = ACTIONS(1584),
    [anon_sym_int_literal] = ACTIONS(1584),
    [anon_sym_IError] = ACTIONS(1584),
    [sym_type_placeholder] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [sym_type_identifier] = ACTIONS(1584),
    [anon_sym_assert] = ACTIONS(1584),
    [anon_sym_defer] = ACTIONS(1584),
    [anon_sym_unsafe] = ACTIONS(1584),
    [anon_sym_fn] = ACTIONS(1584),
    [anon_sym_asm] = ACTIONS(1584),
    [anon_sym_break] = ACTIONS(1584),
    [anon_sym_continue] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1584),
    [anon_sym_go] = ACTIONS(1584),
    [anon_sym_spawn] = ACTIONS(1584),
    [anon_sym_goto] = ACTIONS(1584),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_DOLLARfor] = ACTIONS(1582),
    [anon_sym_DOLLARif] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_is] = ACTIONS(1584),
    [anon_sym_BANGis] = ACTIONS(1582),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_match] = ACTIONS(1584),
    [anon_sym_select] = ACTIONS(1584),
    [anon_sym_lock] = ACTIONS(1584),
    [anon_sym_rlock] = ACTIONS(1584),
    [sym__automatic_separator] = ACTIONS(1582),
    [sym__c_string_opening] = ACTIONS(1582),
    [sym__raw_string_opening] = ACTIONS(1582),
    [sym__string_opening] = ACTIONS(1582),
    [sym__comment] = ACTIONS(3),
  },
  [1235] = {
    [sym_comment] = STATE(1235),
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_LT_DASH] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1606),
    [anon_sym_PERCENT] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_GT_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_in] = ACTIONS(1608),
    [anon_sym_BANGin] = ACTIONS(1606),
    [anon_sym_AMP_AMP] = ACTIONS(1606),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_as] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [sym_none] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_map_LBRACK] = ACTIONS(1606),
    [anon_sym_chan] = ACTIONS(1608),
    [anon_sym_shared] = ACTIONS(1608),
    [anon_sym_thread] = ACTIONS(1608),
    [sym_int_literal] = ACTIONS(1608),
    [sym_float_literal] = ACTIONS(1606),
    [sym_rune_literal] = ACTIONS(1606),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_array] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_char] = ACTIONS(1608),
    [anon_sym_sql] = ACTIONS(1608),
    [anon_sym_mut] = ACTIONS(1608),
    [anon_sym_C] = ACTIONS(1608),
    [anon_sym_JS] = ACTIONS(1608),
    [anon_sym_voidptr] = ACTIONS(1608),
    [anon_sym_byteptr] = ACTIONS(1608),
    [anon_sym_charptr] = ACTIONS(1608),
    [anon_sym_i8] = ACTIONS(1608),
    [anon_sym_i16] = ACTIONS(1608),
    [anon_sym_i32] = ACTIONS(1608),
    [anon_sym_int] = ACTIONS(1608),
    [anon_sym_i64] = ACTIONS(1608),
    [anon_sym_byte] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1608),
    [anon_sym_u16] = ACTIONS(1608),
    [anon_sym_u32] = ACTIONS(1608),
    [anon_sym_u64] = ACTIONS(1608),
    [anon_sym_f32] = ACTIONS(1608),
    [anon_sym_f64] = ACTIONS(1608),
    [anon_sym_bool] = ACTIONS(1608),
    [anon_sym_rune] = ACTIONS(1608),
    [anon_sym_map] = ACTIONS(1608),
    [anon_sym_mapnode] = ACTIONS(1608),
    [anon_sym_size_t] = ACTIONS(1608),
    [anon_sym_usize] = ACTIONS(1608),
    [anon_sym_isize] = ACTIONS(1608),
    [anon_sym_float_literal] = ACTIONS(1608),
    [anon_sym_int_literal] = ACTIONS(1608),
    [anon_sym_IError] = ACTIONS(1608),
    [sym_type_placeholder] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [sym_type_identifier] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_defer] = ACTIONS(1608),
    [anon_sym_unsafe] = ACTIONS(1608),
    [anon_sym_fn] = ACTIONS(1608),
    [anon_sym_asm] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_go] = ACTIONS(1608),
    [anon_sym_spawn] = ACTIONS(1608),
    [anon_sym_goto] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_DOLLARfor] = ACTIONS(1606),
    [anon_sym_DOLLARif] = ACTIONS(1606),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_is] = ACTIONS(1608),
    [anon_sym_BANGis] = ACTIONS(1606),
    [anon_sym_POUND] = ACTIONS(1606),
    [anon_sym_match] = ACTIONS(1608),
    [anon_sym_select] = ACTIONS(1608),
    [anon_sym_lock] = ACTIONS(1608),
    [anon_sym_rlock] = ACTIONS(1608),
    [sym__automatic_separator] = ACTIONS(1606),
    [sym__c_string_opening] = ACTIONS(1606),
    [sym__raw_string_opening] = ACTIONS(1606),
    [sym__string_opening] = ACTIONS(1606),
    [sym__comment] = ACTIONS(3),
  },
  [1236] = {
    [sym_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_LT_DASH] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_AMP_CARET] = ACTIONS(1294),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_BANGin] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [sym_none] = ACTIONS(1296),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_map_LBRACK] = ACTIONS(1294),
    [anon_sym_chan] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_thread] = ACTIONS(1296),
    [sym_int_literal] = ACTIONS(1296),
    [sym_float_literal] = ACTIONS(1294),
    [sym_rune_literal] = ACTIONS(1294),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_array] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_char] = ACTIONS(1296),
    [anon_sym_sql] = ACTIONS(1296),
    [anon_sym_mut] = ACTIONS(1296),
    [anon_sym_C] = ACTIONS(1296),
    [anon_sym_JS] = ACTIONS(1296),
    [anon_sym_voidptr] = ACTIONS(1296),
    [anon_sym_byteptr] = ACTIONS(1296),
    [anon_sym_charptr] = ACTIONS(1296),
    [anon_sym_i8] = ACTIONS(1296),
    [anon_sym_i16] = ACTIONS(1296),
    [anon_sym_i32] = ACTIONS(1296),
    [anon_sym_int] = ACTIONS(1296),
    [anon_sym_i64] = ACTIONS(1296),
    [anon_sym_byte] = ACTIONS(1296),
    [anon_sym_u8] = ACTIONS(1296),
    [anon_sym_u16] = ACTIONS(1296),
    [anon_sym_u32] = ACTIONS(1296),
    [anon_sym_u64] = ACTIONS(1296),
    [anon_sym_f32] = ACTIONS(1296),
    [anon_sym_f64] = ACTIONS(1296),
    [anon_sym_bool] = ACTIONS(1296),
    [anon_sym_rune] = ACTIONS(1296),
    [anon_sym_map] = ACTIONS(1296),
    [anon_sym_mapnode] = ACTIONS(1296),
    [anon_sym_size_t] = ACTIONS(1296),
    [anon_sym_usize] = ACTIONS(1296),
    [anon_sym_isize] = ACTIONS(1296),
    [anon_sym_float_literal] = ACTIONS(1296),
    [anon_sym_int_literal] = ACTIONS(1296),
    [anon_sym_IError] = ACTIONS(1296),
    [sym_type_placeholder] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [sym_type_identifier] = ACTIONS(1296),
    [anon_sym_assert] = ACTIONS(1296),
    [anon_sym_defer] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1296),
    [anon_sym_fn] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_go] = ACTIONS(1296),
    [anon_sym_spawn] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_DOLLARfor] = ACTIONS(1294),
    [anon_sym_DOLLARif] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_is] = ACTIONS(1296),
    [anon_sym_BANGis] = ACTIONS(1294),
    [anon_sym_POUND] = ACTIONS(1294),
    [anon_sym_match] = ACTIONS(1296),
    [anon_sym_select] = ACTIONS(1296),
    [anon_sym_lock] = ACTIONS(1296),
    [anon_sym_rlock] = ACTIONS(1296),
    [sym__automatic_separator] = ACTIONS(1294),
    [sym__c_string_opening] = ACTIONS(1294),
    [sym__raw_string_opening] = ACTIONS(1294),
    [sym__string_opening] = ACTIONS(1294),
    [sym__comment] = ACTIONS(3),
  },
  [1237] = {
    [sym_comment] = STATE(1237),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1046),
    [anon_sym_PERCENT] = ACTIONS(1046),
    [anon_sym_LT_LT] = ACTIONS(1046),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1046),
    [anon_sym_AMP_CARET] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1238] = {
    [sym_comment] = STATE(1238),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1239] = {
    [sym_comment] = STATE(1239),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1240] = {
    [sym_comment] = STATE(1240),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1241] = {
    [sym_comment] = STATE(1241),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1242] = {
    [sym_comment] = STATE(1242),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1243] = {
    [sym_comment] = STATE(1243),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_defer] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_asm] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_go] = ACTIONS(1104),
    [anon_sym_spawn] = ACTIONS(1104),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_DOLLARfor] = ACTIONS(1102),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__automatic_separator] = ACTIONS(1102),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1244] = {
    [sym_comment] = STATE(1244),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_CARET] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_LT_DASH] = ACTIONS(1278),
    [anon_sym_SLASH] = ACTIONS(1278),
    [anon_sym_PERCENT] = ACTIONS(1278),
    [anon_sym_LT_LT] = ACTIONS(1278),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_GT_GT_GT] = ACTIONS(1278),
    [anon_sym_AMP_CARET] = ACTIONS(1278),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1278),
    [anon_sym_BANG_EQ] = ACTIONS(1278),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_BANGin] = ACTIONS(1278),
    [anon_sym_AMP_AMP] = ACTIONS(1278),
    [anon_sym_PIPE_PIPE] = ACTIONS(1278),
    [anon_sym_as] = ACTIONS(1280),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym_none] = ACTIONS(1280),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_map_LBRACK] = ACTIONS(1278),
    [anon_sym_chan] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_thread] = ACTIONS(1280),
    [sym_int_literal] = ACTIONS(1280),
    [sym_float_literal] = ACTIONS(1278),
    [sym_rune_literal] = ACTIONS(1278),
    [anon_sym_DOT] = ACTIONS(1280),
    [anon_sym_array] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_char] = ACTIONS(1280),
    [anon_sym_sql] = ACTIONS(1280),
    [anon_sym_mut] = ACTIONS(1280),
    [anon_sym_C] = ACTIONS(1280),
    [anon_sym_JS] = ACTIONS(1280),
    [anon_sym_voidptr] = ACTIONS(1280),
    [anon_sym_byteptr] = ACTIONS(1280),
    [anon_sym_charptr] = ACTIONS(1280),
    [anon_sym_i8] = ACTIONS(1280),
    [anon_sym_i16] = ACTIONS(1280),
    [anon_sym_i32] = ACTIONS(1280),
    [anon_sym_int] = ACTIONS(1280),
    [anon_sym_i64] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_u8] = ACTIONS(1280),
    [anon_sym_u16] = ACTIONS(1280),
    [anon_sym_u32] = ACTIONS(1280),
    [anon_sym_u64] = ACTIONS(1280),
    [anon_sym_f32] = ACTIONS(1280),
    [anon_sym_f64] = ACTIONS(1280),
    [anon_sym_bool] = ACTIONS(1280),
    [anon_sym_rune] = ACTIONS(1280),
    [anon_sym_map] = ACTIONS(1280),
    [anon_sym_mapnode] = ACTIONS(1280),
    [anon_sym_size_t] = ACTIONS(1280),
    [anon_sym_usize] = ACTIONS(1280),
    [anon_sym_isize] = ACTIONS(1280),
    [anon_sym_float_literal] = ACTIONS(1280),
    [anon_sym_int_literal] = ACTIONS(1280),
    [anon_sym_IError] = ACTIONS(1280),
    [sym_type_placeholder] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [sym_type_identifier] = ACTIONS(1280),
    [anon_sym_assert] = ACTIONS(1280),
    [anon_sym_defer] = ACTIONS(1280),
    [anon_sym_unsafe] = ACTIONS(1280),
    [anon_sym_fn] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_go] = ACTIONS(1280),
    [anon_sym_spawn] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_DOLLARfor] = ACTIONS(1278),
    [anon_sym_DOLLARif] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_is] = ACTIONS(1280),
    [anon_sym_BANGis] = ACTIONS(1278),
    [anon_sym_POUND] = ACTIONS(1278),
    [anon_sym_match] = ACTIONS(1280),
    [anon_sym_select] = ACTIONS(1280),
    [anon_sym_lock] = ACTIONS(1280),
    [anon_sym_rlock] = ACTIONS(1280),
    [sym__automatic_separator] = ACTIONS(1278),
    [sym__c_string_opening] = ACTIONS(1278),
    [sym__raw_string_opening] = ACTIONS(1278),
    [sym__string_opening] = ACTIONS(1278),
    [sym__comment] = ACTIONS(3),
  },
  [1245] = {
    [sym_comment] = STATE(1245),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_CARET] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_LT_DASH] = ACTIONS(1286),
    [anon_sym_SLASH] = ACTIONS(1286),
    [anon_sym_PERCENT] = ACTIONS(1286),
    [anon_sym_LT_LT] = ACTIONS(1286),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_GT_GT_GT] = ACTIONS(1286),
    [anon_sym_AMP_CARET] = ACTIONS(1286),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1286),
    [anon_sym_BANG_EQ] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_BANGin] = ACTIONS(1286),
    [anon_sym_AMP_AMP] = ACTIONS(1286),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_as] = ACTIONS(1288),
    [anon_sym_COMMA] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym_none] = ACTIONS(1288),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_map_LBRACK] = ACTIONS(1286),
    [anon_sym_chan] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_thread] = ACTIONS(1288),
    [sym_int_literal] = ACTIONS(1288),
    [sym_float_literal] = ACTIONS(1286),
    [sym_rune_literal] = ACTIONS(1286),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_array] = ACTIONS(1288),
    [anon_sym_string] = ACTIONS(1288),
    [anon_sym_char] = ACTIONS(1288),
    [anon_sym_sql] = ACTIONS(1288),
    [anon_sym_mut] = ACTIONS(1288),
    [anon_sym_C] = ACTIONS(1288),
    [anon_sym_JS] = ACTIONS(1288),
    [anon_sym_voidptr] = ACTIONS(1288),
    [anon_sym_byteptr] = ACTIONS(1288),
    [anon_sym_charptr] = ACTIONS(1288),
    [anon_sym_i8] = ACTIONS(1288),
    [anon_sym_i16] = ACTIONS(1288),
    [anon_sym_i32] = ACTIONS(1288),
    [anon_sym_int] = ACTIONS(1288),
    [anon_sym_i64] = ACTIONS(1288),
    [anon_sym_byte] = ACTIONS(1288),
    [anon_sym_u8] = ACTIONS(1288),
    [anon_sym_u16] = ACTIONS(1288),
    [anon_sym_u32] = ACTIONS(1288),
    [anon_sym_u64] = ACTIONS(1288),
    [anon_sym_f32] = ACTIONS(1288),
    [anon_sym_f64] = ACTIONS(1288),
    [anon_sym_bool] = ACTIONS(1288),
    [anon_sym_rune] = ACTIONS(1288),
    [anon_sym_map] = ACTIONS(1288),
    [anon_sym_mapnode] = ACTIONS(1288),
    [anon_sym_size_t] = ACTIONS(1288),
    [anon_sym_usize] = ACTIONS(1288),
    [anon_sym_isize] = ACTIONS(1288),
    [anon_sym_float_literal] = ACTIONS(1288),
    [anon_sym_int_literal] = ACTIONS(1288),
    [anon_sym_IError] = ACTIONS(1288),
    [sym_type_placeholder] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [sym_type_identifier] = ACTIONS(1288),
    [anon_sym_assert] = ACTIONS(1288),
    [anon_sym_defer] = ACTIONS(1288),
    [anon_sym_unsafe] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_go] = ACTIONS(1288),
    [anon_sym_spawn] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_DOLLARfor] = ACTIONS(1286),
    [anon_sym_DOLLARif] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_is] = ACTIONS(1288),
    [anon_sym_BANGis] = ACTIONS(1286),
    [anon_sym_POUND] = ACTIONS(1286),
    [anon_sym_match] = ACTIONS(1288),
    [anon_sym_select] = ACTIONS(1288),
    [anon_sym_lock] = ACTIONS(1288),
    [anon_sym_rlock] = ACTIONS(1288),
    [sym__automatic_separator] = ACTIONS(1286),
    [sym__c_string_opening] = ACTIONS(1286),
    [sym__raw_string_opening] = ACTIONS(1286),
    [sym__string_opening] = ACTIONS(1286),
    [sym__comment] = ACTIONS(3),
  },
  [1246] = {
    [sym_comment] = STATE(1246),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_CARET] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_LT_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(1282),
    [anon_sym_PERCENT] = ACTIONS(1282),
    [anon_sym_LT_LT] = ACTIONS(1282),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_GT_GT_GT] = ACTIONS(1282),
    [anon_sym_AMP_CARET] = ACTIONS(1282),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1282),
    [anon_sym_BANG_EQ] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_BANGin] = ACTIONS(1282),
    [anon_sym_AMP_AMP] = ACTIONS(1282),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_as] = ACTIONS(1284),
    [anon_sym_COMMA] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym_none] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_map_LBRACK] = ACTIONS(1282),
    [anon_sym_chan] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_thread] = ACTIONS(1284),
    [sym_int_literal] = ACTIONS(1284),
    [sym_float_literal] = ACTIONS(1282),
    [sym_rune_literal] = ACTIONS(1282),
    [anon_sym_DOT] = ACTIONS(1284),
    [anon_sym_array] = ACTIONS(1284),
    [anon_sym_string] = ACTIONS(1284),
    [anon_sym_char] = ACTIONS(1284),
    [anon_sym_sql] = ACTIONS(1284),
    [anon_sym_mut] = ACTIONS(1284),
    [anon_sym_C] = ACTIONS(1284),
    [anon_sym_JS] = ACTIONS(1284),
    [anon_sym_voidptr] = ACTIONS(1284),
    [anon_sym_byteptr] = ACTIONS(1284),
    [anon_sym_charptr] = ACTIONS(1284),
    [anon_sym_i8] = ACTIONS(1284),
    [anon_sym_i16] = ACTIONS(1284),
    [anon_sym_i32] = ACTIONS(1284),
    [anon_sym_int] = ACTIONS(1284),
    [anon_sym_i64] = ACTIONS(1284),
    [anon_sym_byte] = ACTIONS(1284),
    [anon_sym_u8] = ACTIONS(1284),
    [anon_sym_u16] = ACTIONS(1284),
    [anon_sym_u32] = ACTIONS(1284),
    [anon_sym_u64] = ACTIONS(1284),
    [anon_sym_f32] = ACTIONS(1284),
    [anon_sym_f64] = ACTIONS(1284),
    [anon_sym_bool] = ACTIONS(1284),
    [anon_sym_rune] = ACTIONS(1284),
    [anon_sym_map] = ACTIONS(1284),
    [anon_sym_mapnode] = ACTIONS(1284),
    [anon_sym_size_t] = ACTIONS(1284),
    [anon_sym_usize] = ACTIONS(1284),
    [anon_sym_isize] = ACTIONS(1284),
    [anon_sym_float_literal] = ACTIONS(1284),
    [anon_sym_int_literal] = ACTIONS(1284),
    [anon_sym_IError] = ACTIONS(1284),
    [sym_type_placeholder] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [sym_type_identifier] = ACTIONS(1284),
    [anon_sym_assert] = ACTIONS(1284),
    [anon_sym_defer] = ACTIONS(1284),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_fn] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_go] = ACTIONS(1284),
    [anon_sym_spawn] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_DOLLARfor] = ACTIONS(1282),
    [anon_sym_DOLLARif] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_is] = ACTIONS(1284),
    [anon_sym_BANGis] = ACTIONS(1282),
    [anon_sym_POUND] = ACTIONS(1282),
    [anon_sym_match] = ACTIONS(1284),
    [anon_sym_select] = ACTIONS(1284),
    [anon_sym_lock] = ACTIONS(1284),
    [anon_sym_rlock] = ACTIONS(1284),
    [sym__automatic_separator] = ACTIONS(1282),
    [sym__c_string_opening] = ACTIONS(1282),
    [sym__raw_string_opening] = ACTIONS(1282),
    [sym__string_opening] = ACTIONS(1282),
    [sym__comment] = ACTIONS(3),
  },
  [1247] = {
    [sym_comment] = STATE(1247),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_CARET] = ACTIONS(1270),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_LT_DASH] = ACTIONS(1270),
    [anon_sym_SLASH] = ACTIONS(1270),
    [anon_sym_PERCENT] = ACTIONS(1270),
    [anon_sym_LT_LT] = ACTIONS(1270),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_GT_GT_GT] = ACTIONS(1270),
    [anon_sym_AMP_CARET] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1270),
    [anon_sym_BANG_EQ] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_GT_EQ] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_BANGin] = ACTIONS(1270),
    [anon_sym_AMP_AMP] = ACTIONS(1270),
    [anon_sym_PIPE_PIPE] = ACTIONS(1270),
    [anon_sym_as] = ACTIONS(1272),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym_none] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_map_LBRACK] = ACTIONS(1270),
    [anon_sym_chan] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_thread] = ACTIONS(1272),
    [sym_int_literal] = ACTIONS(1272),
    [sym_float_literal] = ACTIONS(1270),
    [sym_rune_literal] = ACTIONS(1270),
    [anon_sym_DOT] = ACTIONS(1272),
    [anon_sym_array] = ACTIONS(1272),
    [anon_sym_string] = ACTIONS(1272),
    [anon_sym_char] = ACTIONS(1272),
    [anon_sym_sql] = ACTIONS(1272),
    [anon_sym_mut] = ACTIONS(1272),
    [anon_sym_C] = ACTIONS(1272),
    [anon_sym_JS] = ACTIONS(1272),
    [anon_sym_voidptr] = ACTIONS(1272),
    [anon_sym_byteptr] = ACTIONS(1272),
    [anon_sym_charptr] = ACTIONS(1272),
    [anon_sym_i8] = ACTIONS(1272),
    [anon_sym_i16] = ACTIONS(1272),
    [anon_sym_i32] = ACTIONS(1272),
    [anon_sym_int] = ACTIONS(1272),
    [anon_sym_i64] = ACTIONS(1272),
    [anon_sym_byte] = ACTIONS(1272),
    [anon_sym_u8] = ACTIONS(1272),
    [anon_sym_u16] = ACTIONS(1272),
    [anon_sym_u32] = ACTIONS(1272),
    [anon_sym_u64] = ACTIONS(1272),
    [anon_sym_f32] = ACTIONS(1272),
    [anon_sym_f64] = ACTIONS(1272),
    [anon_sym_bool] = ACTIONS(1272),
    [anon_sym_rune] = ACTIONS(1272),
    [anon_sym_map] = ACTIONS(1272),
    [anon_sym_mapnode] = ACTIONS(1272),
    [anon_sym_size_t] = ACTIONS(1272),
    [anon_sym_usize] = ACTIONS(1272),
    [anon_sym_isize] = ACTIONS(1272),
    [anon_sym_float_literal] = ACTIONS(1272),
    [anon_sym_int_literal] = ACTIONS(1272),
    [anon_sym_IError] = ACTIONS(1272),
    [sym_type_placeholder] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [sym_type_identifier] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1272),
    [anon_sym_defer] = ACTIONS(1272),
    [anon_sym_unsafe] = ACTIONS(1272),
    [anon_sym_fn] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_go] = ACTIONS(1272),
    [anon_sym_spawn] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_DOLLARfor] = ACTIONS(1270),
    [anon_sym_DOLLARif] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_is] = ACTIONS(1272),
    [anon_sym_BANGis] = ACTIONS(1270),
    [anon_sym_POUND] = ACTIONS(1270),
    [anon_sym_match] = ACTIONS(1272),
    [anon_sym_select] = ACTIONS(1272),
    [anon_sym_lock] = ACTIONS(1272),
    [anon_sym_rlock] = ACTIONS(1272),
    [sym__automatic_separator] = ACTIONS(1270),
    [sym__c_string_opening] = ACTIONS(1270),
    [sym__raw_string_opening] = ACTIONS(1270),
    [sym__string_opening] = ACTIONS(1270),
    [sym__comment] = ACTIONS(3),
  },
  [1248] = {
    [sym_comment] = STATE(1248),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_LT_DASH] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PERCENT] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_GT_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_BANGin] = ACTIONS(1402),
    [anon_sym_AMP_AMP] = ACTIONS(1402),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [sym_none] = ACTIONS(1404),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_map_LBRACK] = ACTIONS(1402),
    [anon_sym_chan] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_thread] = ACTIONS(1404),
    [sym_int_literal] = ACTIONS(1404),
    [sym_float_literal] = ACTIONS(1402),
    [sym_rune_literal] = ACTIONS(1402),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_array] = ACTIONS(1404),
    [anon_sym_string] = ACTIONS(1404),
    [anon_sym_char] = ACTIONS(1404),
    [anon_sym_sql] = ACTIONS(1404),
    [anon_sym_mut] = ACTIONS(1404),
    [anon_sym_C] = ACTIONS(1404),
    [anon_sym_JS] = ACTIONS(1404),
    [anon_sym_voidptr] = ACTIONS(1404),
    [anon_sym_byteptr] = ACTIONS(1404),
    [anon_sym_charptr] = ACTIONS(1404),
    [anon_sym_i8] = ACTIONS(1404),
    [anon_sym_i16] = ACTIONS(1404),
    [anon_sym_i32] = ACTIONS(1404),
    [anon_sym_int] = ACTIONS(1404),
    [anon_sym_i64] = ACTIONS(1404),
    [anon_sym_byte] = ACTIONS(1404),
    [anon_sym_u8] = ACTIONS(1404),
    [anon_sym_u16] = ACTIONS(1404),
    [anon_sym_u32] = ACTIONS(1404),
    [anon_sym_u64] = ACTIONS(1404),
    [anon_sym_f32] = ACTIONS(1404),
    [anon_sym_f64] = ACTIONS(1404),
    [anon_sym_bool] = ACTIONS(1404),
    [anon_sym_rune] = ACTIONS(1404),
    [anon_sym_map] = ACTIONS(1404),
    [anon_sym_mapnode] = ACTIONS(1404),
    [anon_sym_size_t] = ACTIONS(1404),
    [anon_sym_usize] = ACTIONS(1404),
    [anon_sym_isize] = ACTIONS(1404),
    [anon_sym_float_literal] = ACTIONS(1404),
    [anon_sym_int_literal] = ACTIONS(1404),
    [anon_sym_IError] = ACTIONS(1404),
    [sym_type_placeholder] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [sym_type_identifier] = ACTIONS(1404),
    [anon_sym_assert] = ACTIONS(1404),
    [anon_sym_defer] = ACTIONS(1404),
    [anon_sym_unsafe] = ACTIONS(1404),
    [anon_sym_fn] = ACTIONS(1404),
    [anon_sym_asm] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_go] = ACTIONS(1404),
    [anon_sym_spawn] = ACTIONS(1404),
    [anon_sym_goto] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_DOLLARfor] = ACTIONS(1402),
    [anon_sym_DOLLARif] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_BANGis] = ACTIONS(1402),
    [anon_sym_POUND] = ACTIONS(1402),
    [anon_sym_match] = ACTIONS(1404),
    [anon_sym_select] = ACTIONS(1404),
    [anon_sym_lock] = ACTIONS(1404),
    [anon_sym_rlock] = ACTIONS(1404),
    [sym__automatic_separator] = ACTIONS(1402),
    [sym__c_string_opening] = ACTIONS(1402),
    [sym__raw_string_opening] = ACTIONS(1402),
    [sym__string_opening] = ACTIONS(1402),
    [sym__comment] = ACTIONS(3),
  },
  [1249] = {
    [sym_comment] = STATE(1249),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1550),
    [anon_sym_LT_DASH] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1550),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_AMP_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1550),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1550),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1550),
    [anon_sym_BANGin] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_as] = ACTIONS(1550),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [sym_none] = ACTIONS(1550),
    [sym_true] = ACTIONS(1550),
    [sym_false] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1548),
    [anon_sym_chan] = ACTIONS(1550),
    [anon_sym_shared] = ACTIONS(1550),
    [anon_sym_thread] = ACTIONS(1550),
    [sym_int_literal] = ACTIONS(1550),
    [sym_float_literal] = ACTIONS(1548),
    [sym_rune_literal] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1550),
    [anon_sym_string] = ACTIONS(1550),
    [anon_sym_char] = ACTIONS(1550),
    [anon_sym_sql] = ACTIONS(1550),
    [anon_sym_mut] = ACTIONS(1550),
    [anon_sym_C] = ACTIONS(1550),
    [anon_sym_JS] = ACTIONS(1550),
    [anon_sym_voidptr] = ACTIONS(1550),
    [anon_sym_byteptr] = ACTIONS(1550),
    [anon_sym_charptr] = ACTIONS(1550),
    [anon_sym_i8] = ACTIONS(1550),
    [anon_sym_i16] = ACTIONS(1550),
    [anon_sym_i32] = ACTIONS(1550),
    [anon_sym_int] = ACTIONS(1550),
    [anon_sym_i64] = ACTIONS(1550),
    [anon_sym_byte] = ACTIONS(1550),
    [anon_sym_u8] = ACTIONS(1550),
    [anon_sym_u16] = ACTIONS(1550),
    [anon_sym_u32] = ACTIONS(1550),
    [anon_sym_u64] = ACTIONS(1550),
    [anon_sym_f32] = ACTIONS(1550),
    [anon_sym_f64] = ACTIONS(1550),
    [anon_sym_bool] = ACTIONS(1550),
    [anon_sym_rune] = ACTIONS(1550),
    [anon_sym_map] = ACTIONS(1550),
    [anon_sym_mapnode] = ACTIONS(1550),
    [anon_sym_size_t] = ACTIONS(1550),
    [anon_sym_usize] = ACTIONS(1550),
    [anon_sym_isize] = ACTIONS(1550),
    [anon_sym_float_literal] = ACTIONS(1550),
    [anon_sym_int_literal] = ACTIONS(1550),
    [anon_sym_IError] = ACTIONS(1550),
    [sym_type_placeholder] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [sym_type_identifier] = ACTIONS(1550),
    [anon_sym_assert] = ACTIONS(1550),
    [anon_sym_defer] = ACTIONS(1550),
    [anon_sym_unsafe] = ACTIONS(1550),
    [anon_sym_fn] = ACTIONS(1550),
    [anon_sym_asm] = ACTIONS(1550),
    [anon_sym_break] = ACTIONS(1550),
    [anon_sym_continue] = ACTIONS(1550),
    [anon_sym_return] = ACTIONS(1550),
    [anon_sym_go] = ACTIONS(1550),
    [anon_sym_spawn] = ACTIONS(1550),
    [anon_sym_goto] = ACTIONS(1550),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_DOLLARfor] = ACTIONS(1548),
    [anon_sym_DOLLARif] = ACTIONS(1548),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_is] = ACTIONS(1550),
    [anon_sym_BANGis] = ACTIONS(1548),
    [anon_sym_POUND] = ACTIONS(1548),
    [anon_sym_match] = ACTIONS(1550),
    [anon_sym_select] = ACTIONS(1550),
    [anon_sym_lock] = ACTIONS(1550),
    [anon_sym_rlock] = ACTIONS(1550),
    [sym__automatic_separator] = ACTIONS(1548),
    [sym__c_string_opening] = ACTIONS(1548),
    [sym__raw_string_opening] = ACTIONS(1548),
    [sym__string_opening] = ACTIONS(1548),
    [sym__comment] = ACTIONS(3),
  },
  [1250] = {
    [sym_comment] = STATE(1250),
    [sym_identifier] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_LT_DASH] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1352),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_GT_GT_GT] = ACTIONS(1352),
    [anon_sym_AMP_CARET] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_BANGin] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_none] = ACTIONS(1354),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_map_LBRACK] = ACTIONS(1352),
    [anon_sym_chan] = ACTIONS(1354),
    [anon_sym_shared] = ACTIONS(1354),
    [anon_sym_thread] = ACTIONS(1354),
    [sym_int_literal] = ACTIONS(1354),
    [sym_float_literal] = ACTIONS(1352),
    [sym_rune_literal] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1354),
    [anon_sym_array] = ACTIONS(1354),
    [anon_sym_string] = ACTIONS(1354),
    [anon_sym_char] = ACTIONS(1354),
    [anon_sym_sql] = ACTIONS(1354),
    [anon_sym_mut] = ACTIONS(1354),
    [anon_sym_C] = ACTIONS(1354),
    [anon_sym_JS] = ACTIONS(1354),
    [anon_sym_voidptr] = ACTIONS(1354),
    [anon_sym_byteptr] = ACTIONS(1354),
    [anon_sym_charptr] = ACTIONS(1354),
    [anon_sym_i8] = ACTIONS(1354),
    [anon_sym_i16] = ACTIONS(1354),
    [anon_sym_i32] = ACTIONS(1354),
    [anon_sym_int] = ACTIONS(1354),
    [anon_sym_i64] = ACTIONS(1354),
    [anon_sym_byte] = ACTIONS(1354),
    [anon_sym_u8] = ACTIONS(1354),
    [anon_sym_u16] = ACTIONS(1354),
    [anon_sym_u32] = ACTIONS(1354),
    [anon_sym_u64] = ACTIONS(1354),
    [anon_sym_f32] = ACTIONS(1354),
    [anon_sym_f64] = ACTIONS(1354),
    [anon_sym_bool] = ACTIONS(1354),
    [anon_sym_rune] = ACTIONS(1354),
    [anon_sym_map] = ACTIONS(1354),
    [anon_sym_mapnode] = ACTIONS(1354),
    [anon_sym_size_t] = ACTIONS(1354),
    [anon_sym_usize] = ACTIONS(1354),
    [anon_sym_isize] = ACTIONS(1354),
    [anon_sym_float_literal] = ACTIONS(1354),
    [anon_sym_int_literal] = ACTIONS(1354),
    [anon_sym_IError] = ACTIONS(1354),
    [sym_type_placeholder] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [sym_type_identifier] = ACTIONS(1354),
    [anon_sym_assert] = ACTIONS(1354),
    [anon_sym_defer] = ACTIONS(1354),
    [anon_sym_unsafe] = ACTIONS(1354),
    [anon_sym_fn] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_go] = ACTIONS(1354),
    [anon_sym_spawn] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_DOLLARfor] = ACTIONS(1352),
    [anon_sym_DOLLARif] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_is] = ACTIONS(1354),
    [anon_sym_BANGis] = ACTIONS(1352),
    [anon_sym_POUND] = ACTIONS(1352),
    [anon_sym_match] = ACTIONS(1354),
    [anon_sym_select] = ACTIONS(1354),
    [anon_sym_lock] = ACTIONS(1354),
    [anon_sym_rlock] = ACTIONS(1354),
    [sym__automatic_separator] = ACTIONS(1352),
    [sym__c_string_opening] = ACTIONS(1352),
    [sym__raw_string_opening] = ACTIONS(1352),
    [sym__string_opening] = ACTIONS(1352),
    [sym__comment] = ACTIONS(3),
  },
  [1251] = {
    [sym_comment] = STATE(1251),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_LT_DASH] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1572),
    [anon_sym_AMP_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_BANGin] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_as] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [sym_none] = ACTIONS(1574),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_map_LBRACK] = ACTIONS(1572),
    [anon_sym_chan] = ACTIONS(1574),
    [anon_sym_shared] = ACTIONS(1574),
    [anon_sym_thread] = ACTIONS(1574),
    [sym_int_literal] = ACTIONS(1574),
    [sym_float_literal] = ACTIONS(1572),
    [sym_rune_literal] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1574),
    [anon_sym_array] = ACTIONS(1574),
    [anon_sym_string] = ACTIONS(1574),
    [anon_sym_char] = ACTIONS(1574),
    [anon_sym_sql] = ACTIONS(1574),
    [anon_sym_mut] = ACTIONS(1574),
    [anon_sym_C] = ACTIONS(1574),
    [anon_sym_JS] = ACTIONS(1574),
    [anon_sym_voidptr] = ACTIONS(1574),
    [anon_sym_byteptr] = ACTIONS(1574),
    [anon_sym_charptr] = ACTIONS(1574),
    [anon_sym_i8] = ACTIONS(1574),
    [anon_sym_i16] = ACTIONS(1574),
    [anon_sym_i32] = ACTIONS(1574),
    [anon_sym_int] = ACTIONS(1574),
    [anon_sym_i64] = ACTIONS(1574),
    [anon_sym_byte] = ACTIONS(1574),
    [anon_sym_u8] = ACTIONS(1574),
    [anon_sym_u16] = ACTIONS(1574),
    [anon_sym_u32] = ACTIONS(1574),
    [anon_sym_u64] = ACTIONS(1574),
    [anon_sym_f32] = ACTIONS(1574),
    [anon_sym_f64] = ACTIONS(1574),
    [anon_sym_bool] = ACTIONS(1574),
    [anon_sym_rune] = ACTIONS(1574),
    [anon_sym_map] = ACTIONS(1574),
    [anon_sym_mapnode] = ACTIONS(1574),
    [anon_sym_size_t] = ACTIONS(1574),
    [anon_sym_usize] = ACTIONS(1574),
    [anon_sym_isize] = ACTIONS(1574),
    [anon_sym_float_literal] = ACTIONS(1574),
    [anon_sym_int_literal] = ACTIONS(1574),
    [anon_sym_IError] = ACTIONS(1574),
    [sym_type_placeholder] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [sym_type_identifier] = ACTIONS(1574),
    [anon_sym_assert] = ACTIONS(1574),
    [anon_sym_defer] = ACTIONS(1574),
    [anon_sym_unsafe] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym_asm] = ACTIONS(1574),
    [anon_sym_break] = ACTIONS(1574),
    [anon_sym_continue] = ACTIONS(1574),
    [anon_sym_return] = ACTIONS(1574),
    [anon_sym_go] = ACTIONS(1574),
    [anon_sym_spawn] = ACTIONS(1574),
    [anon_sym_goto] = ACTIONS(1574),
    [anon_sym_for] = ACTIONS(1574),
    [anon_sym_DOLLARfor] = ACTIONS(1572),
    [anon_sym_DOLLARif] = ACTIONS(1572),
    [anon_sym_if] = ACTIONS(1574),
    [anon_sym_is] = ACTIONS(1574),
    [anon_sym_BANGis] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(1572),
    [anon_sym_match] = ACTIONS(1574),
    [anon_sym_select] = ACTIONS(1574),
    [anon_sym_lock] = ACTIONS(1574),
    [anon_sym_rlock] = ACTIONS(1574),
    [sym__automatic_separator] = ACTIONS(1572),
    [sym__c_string_opening] = ACTIONS(1572),
    [sym__raw_string_opening] = ACTIONS(1572),
    [sym__string_opening] = ACTIONS(1572),
    [sym__comment] = ACTIONS(3),
  },
  [1252] = {
    [sym_comment] = STATE(1252),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_CARET] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_LT_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PERCENT] = ACTIONS(1356),
    [anon_sym_LT_LT] = ACTIONS(1356),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_GT_GT_GT] = ACTIONS(1356),
    [anon_sym_AMP_CARET] = ACTIONS(1356),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_in] = ACTIONS(1358),
    [anon_sym_BANGin] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [sym_none] = ACTIONS(1358),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_map_LBRACK] = ACTIONS(1356),
    [anon_sym_chan] = ACTIONS(1358),
    [anon_sym_shared] = ACTIONS(1358),
    [anon_sym_thread] = ACTIONS(1358),
    [sym_int_literal] = ACTIONS(1358),
    [sym_float_literal] = ACTIONS(1356),
    [sym_rune_literal] = ACTIONS(1356),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_array] = ACTIONS(1358),
    [anon_sym_string] = ACTIONS(1358),
    [anon_sym_char] = ACTIONS(1358),
    [anon_sym_sql] = ACTIONS(1358),
    [anon_sym_mut] = ACTIONS(1358),
    [anon_sym_C] = ACTIONS(1358),
    [anon_sym_JS] = ACTIONS(1358),
    [anon_sym_voidptr] = ACTIONS(1358),
    [anon_sym_byteptr] = ACTIONS(1358),
    [anon_sym_charptr] = ACTIONS(1358),
    [anon_sym_i8] = ACTIONS(1358),
    [anon_sym_i16] = ACTIONS(1358),
    [anon_sym_i32] = ACTIONS(1358),
    [anon_sym_int] = ACTIONS(1358),
    [anon_sym_i64] = ACTIONS(1358),
    [anon_sym_byte] = ACTIONS(1358),
    [anon_sym_u8] = ACTIONS(1358),
    [anon_sym_u16] = ACTIONS(1358),
    [anon_sym_u32] = ACTIONS(1358),
    [anon_sym_u64] = ACTIONS(1358),
    [anon_sym_f32] = ACTIONS(1358),
    [anon_sym_f64] = ACTIONS(1358),
    [anon_sym_bool] = ACTIONS(1358),
    [anon_sym_rune] = ACTIONS(1358),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_mapnode] = ACTIONS(1358),
    [anon_sym_size_t] = ACTIONS(1358),
    [anon_sym_usize] = ACTIONS(1358),
    [anon_sym_isize] = ACTIONS(1358),
    [anon_sym_float_literal] = ACTIONS(1358),
    [anon_sym_int_literal] = ACTIONS(1358),
    [anon_sym_IError] = ACTIONS(1358),
    [sym_type_placeholder] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [sym_type_identifier] = ACTIONS(1358),
    [anon_sym_assert] = ACTIONS(1358),
    [anon_sym_defer] = ACTIONS(1358),
    [anon_sym_unsafe] = ACTIONS(1358),
    [anon_sym_fn] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_go] = ACTIONS(1358),
    [anon_sym_spawn] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_DOLLARfor] = ACTIONS(1356),
    [anon_sym_DOLLARif] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_is] = ACTIONS(1358),
    [anon_sym_BANGis] = ACTIONS(1356),
    [anon_sym_POUND] = ACTIONS(1356),
    [anon_sym_match] = ACTIONS(1358),
    [anon_sym_select] = ACTIONS(1358),
    [anon_sym_lock] = ACTIONS(1358),
    [anon_sym_rlock] = ACTIONS(1358),
    [sym__automatic_separator] = ACTIONS(1356),
    [sym__c_string_opening] = ACTIONS(1356),
    [sym__raw_string_opening] = ACTIONS(1356),
    [sym__string_opening] = ACTIONS(1356),
    [sym__comment] = ACTIONS(3),
  },
  [1253] = {
    [sym_comment] = STATE(1253),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_LT_DASH] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_LT_LT] = ACTIONS(1348),
    [anon_sym_GT_GT] = ACTIONS(1350),
    [anon_sym_GT_GT_GT] = ACTIONS(1348),
    [anon_sym_AMP_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1348),
    [anon_sym_BANG_EQ] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1348),
    [anon_sym_in] = ACTIONS(1350),
    [anon_sym_BANGin] = ACTIONS(1348),
    [anon_sym_AMP_AMP] = ACTIONS(1348),
    [anon_sym_PIPE_PIPE] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [sym_none] = ACTIONS(1350),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_map_LBRACK] = ACTIONS(1348),
    [anon_sym_chan] = ACTIONS(1350),
    [anon_sym_shared] = ACTIONS(1350),
    [anon_sym_thread] = ACTIONS(1350),
    [sym_int_literal] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1348),
    [sym_rune_literal] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_array] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_char] = ACTIONS(1350),
    [anon_sym_sql] = ACTIONS(1350),
    [anon_sym_mut] = ACTIONS(1350),
    [anon_sym_C] = ACTIONS(1350),
    [anon_sym_JS] = ACTIONS(1350),
    [anon_sym_voidptr] = ACTIONS(1350),
    [anon_sym_byteptr] = ACTIONS(1350),
    [anon_sym_charptr] = ACTIONS(1350),
    [anon_sym_i8] = ACTIONS(1350),
    [anon_sym_i16] = ACTIONS(1350),
    [anon_sym_i32] = ACTIONS(1350),
    [anon_sym_int] = ACTIONS(1350),
    [anon_sym_i64] = ACTIONS(1350),
    [anon_sym_byte] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1350),
    [anon_sym_u16] = ACTIONS(1350),
    [anon_sym_u32] = ACTIONS(1350),
    [anon_sym_u64] = ACTIONS(1350),
    [anon_sym_f32] = ACTIONS(1350),
    [anon_sym_f64] = ACTIONS(1350),
    [anon_sym_bool] = ACTIONS(1350),
    [anon_sym_rune] = ACTIONS(1350),
    [anon_sym_map] = ACTIONS(1350),
    [anon_sym_mapnode] = ACTIONS(1350),
    [anon_sym_size_t] = ACTIONS(1350),
    [anon_sym_usize] = ACTIONS(1350),
    [anon_sym_isize] = ACTIONS(1350),
    [anon_sym_float_literal] = ACTIONS(1350),
    [anon_sym_int_literal] = ACTIONS(1350),
    [anon_sym_IError] = ACTIONS(1350),
    [sym_type_placeholder] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [sym_type_identifier] = ACTIONS(1350),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_defer] = ACTIONS(1350),
    [anon_sym_unsafe] = ACTIONS(1350),
    [anon_sym_fn] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_go] = ACTIONS(1350),
    [anon_sym_spawn] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_DOLLARfor] = ACTIONS(1348),
    [anon_sym_DOLLARif] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_is] = ACTIONS(1350),
    [anon_sym_BANGis] = ACTIONS(1348),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_match] = ACTIONS(1350),
    [anon_sym_select] = ACTIONS(1350),
    [anon_sym_lock] = ACTIONS(1350),
    [anon_sym_rlock] = ACTIONS(1350),
    [sym__automatic_separator] = ACTIONS(1348),
    [sym__c_string_opening] = ACTIONS(1348),
    [sym__raw_string_opening] = ACTIONS(1348),
    [sym__string_opening] = ACTIONS(1348),
    [sym__comment] = ACTIONS(3),
  },
  [1254] = {
    [sym_comment] = STATE(1254),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_PERCENT] = ACTIONS(1478),
    [anon_sym_LT_LT] = ACTIONS(1478),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1478),
    [anon_sym_AMP_CARET] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_BANGin] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_as] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [sym_none] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_map_LBRACK] = ACTIONS(1478),
    [anon_sym_chan] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_thread] = ACTIONS(1480),
    [sym_int_literal] = ACTIONS(1480),
    [sym_float_literal] = ACTIONS(1478),
    [sym_rune_literal] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_array] = ACTIONS(1480),
    [anon_sym_string] = ACTIONS(1480),
    [anon_sym_char] = ACTIONS(1480),
    [anon_sym_sql] = ACTIONS(1480),
    [anon_sym_mut] = ACTIONS(1480),
    [anon_sym_C] = ACTIONS(1480),
    [anon_sym_JS] = ACTIONS(1480),
    [anon_sym_voidptr] = ACTIONS(1480),
    [anon_sym_byteptr] = ACTIONS(1480),
    [anon_sym_charptr] = ACTIONS(1480),
    [anon_sym_i8] = ACTIONS(1480),
    [anon_sym_i16] = ACTIONS(1480),
    [anon_sym_i32] = ACTIONS(1480),
    [anon_sym_int] = ACTIONS(1480),
    [anon_sym_i64] = ACTIONS(1480),
    [anon_sym_byte] = ACTIONS(1480),
    [anon_sym_u8] = ACTIONS(1480),
    [anon_sym_u16] = ACTIONS(1480),
    [anon_sym_u32] = ACTIONS(1480),
    [anon_sym_u64] = ACTIONS(1480),
    [anon_sym_f32] = ACTIONS(1480),
    [anon_sym_f64] = ACTIONS(1480),
    [anon_sym_bool] = ACTIONS(1480),
    [anon_sym_rune] = ACTIONS(1480),
    [anon_sym_map] = ACTIONS(1480),
    [anon_sym_mapnode] = ACTIONS(1480),
    [anon_sym_size_t] = ACTIONS(1480),
    [anon_sym_usize] = ACTIONS(1480),
    [anon_sym_isize] = ACTIONS(1480),
    [anon_sym_float_literal] = ACTIONS(1480),
    [anon_sym_int_literal] = ACTIONS(1480),
    [anon_sym_IError] = ACTIONS(1480),
    [sym_type_placeholder] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym_type_identifier] = ACTIONS(1480),
    [anon_sym_assert] = ACTIONS(1480),
    [anon_sym_defer] = ACTIONS(1480),
    [anon_sym_unsafe] = ACTIONS(1480),
    [anon_sym_fn] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_go] = ACTIONS(1480),
    [anon_sym_spawn] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_DOLLARfor] = ACTIONS(1478),
    [anon_sym_DOLLARif] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1480),
    [anon_sym_BANGis] = ACTIONS(1478),
    [anon_sym_POUND] = ACTIONS(1478),
    [anon_sym_match] = ACTIONS(1480),
    [anon_sym_select] = ACTIONS(1480),
    [anon_sym_lock] = ACTIONS(1480),
    [anon_sym_rlock] = ACTIONS(1480),
    [sym__automatic_separator] = ACTIONS(1478),
    [sym__c_string_opening] = ACTIONS(1478),
    [sym__raw_string_opening] = ACTIONS(1478),
    [sym__string_opening] = ACTIONS(1478),
    [sym__comment] = ACTIONS(3),
  },
  [1255] = {
    [sym_comment] = STATE(1255),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_LT_DASH] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_PERCENT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_BANGin] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [sym_none] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_map_LBRACK] = ACTIONS(1578),
    [anon_sym_chan] = ACTIONS(1580),
    [anon_sym_shared] = ACTIONS(1580),
    [anon_sym_thread] = ACTIONS(1580),
    [sym_int_literal] = ACTIONS(1580),
    [sym_float_literal] = ACTIONS(1578),
    [sym_rune_literal] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_array] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_char] = ACTIONS(1580),
    [anon_sym_sql] = ACTIONS(1580),
    [anon_sym_mut] = ACTIONS(1580),
    [anon_sym_C] = ACTIONS(1580),
    [anon_sym_JS] = ACTIONS(1580),
    [anon_sym_voidptr] = ACTIONS(1580),
    [anon_sym_byteptr] = ACTIONS(1580),
    [anon_sym_charptr] = ACTIONS(1580),
    [anon_sym_i8] = ACTIONS(1580),
    [anon_sym_i16] = ACTIONS(1580),
    [anon_sym_i32] = ACTIONS(1580),
    [anon_sym_int] = ACTIONS(1580),
    [anon_sym_i64] = ACTIONS(1580),
    [anon_sym_byte] = ACTIONS(1580),
    [anon_sym_u8] = ACTIONS(1580),
    [anon_sym_u16] = ACTIONS(1580),
    [anon_sym_u32] = ACTIONS(1580),
    [anon_sym_u64] = ACTIONS(1580),
    [anon_sym_f32] = ACTIONS(1580),
    [anon_sym_f64] = ACTIONS(1580),
    [anon_sym_bool] = ACTIONS(1580),
    [anon_sym_rune] = ACTIONS(1580),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_mapnode] = ACTIONS(1580),
    [anon_sym_size_t] = ACTIONS(1580),
    [anon_sym_usize] = ACTIONS(1580),
    [anon_sym_isize] = ACTIONS(1580),
    [anon_sym_float_literal] = ACTIONS(1580),
    [anon_sym_int_literal] = ACTIONS(1580),
    [anon_sym_IError] = ACTIONS(1580),
    [sym_type_placeholder] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [sym_type_identifier] = ACTIONS(1580),
    [anon_sym_assert] = ACTIONS(1580),
    [anon_sym_defer] = ACTIONS(1580),
    [anon_sym_unsafe] = ACTIONS(1580),
    [anon_sym_fn] = ACTIONS(1580),
    [anon_sym_asm] = ACTIONS(1580),
    [anon_sym_break] = ACTIONS(1580),
    [anon_sym_continue] = ACTIONS(1580),
    [anon_sym_return] = ACTIONS(1580),
    [anon_sym_go] = ACTIONS(1580),
    [anon_sym_spawn] = ACTIONS(1580),
    [anon_sym_goto] = ACTIONS(1580),
    [anon_sym_for] = ACTIONS(1580),
    [anon_sym_DOLLARfor] = ACTIONS(1578),
    [anon_sym_DOLLARif] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_is] = ACTIONS(1580),
    [anon_sym_BANGis] = ACTIONS(1578),
    [anon_sym_POUND] = ACTIONS(1578),
    [anon_sym_match] = ACTIONS(1580),
    [anon_sym_select] = ACTIONS(1580),
    [anon_sym_lock] = ACTIONS(1580),
    [anon_sym_rlock] = ACTIONS(1580),
    [sym__automatic_separator] = ACTIONS(1578),
    [sym__c_string_opening] = ACTIONS(1578),
    [sym__raw_string_opening] = ACTIONS(1578),
    [sym__string_opening] = ACTIONS(1578),
    [sym__comment] = ACTIONS(3),
  },
  [1256] = {
    [sym_comment] = STATE(1256),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_CARET] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3602),
    [anon_sym_LT_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_PERCENT] = ACTIONS(3600),
    [anon_sym_LT_LT] = ACTIONS(3600),
    [anon_sym_GT_GT] = ACTIONS(3602),
    [anon_sym_GT_GT_GT] = ACTIONS(3600),
    [anon_sym_AMP_CARET] = ACTIONS(3600),
    [anon_sym_PIPE] = ACTIONS(3604),
    [anon_sym_EQ_EQ] = ACTIONS(3606),
    [anon_sym_BANG_EQ] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_LT_EQ] = ACTIONS(3606),
    [anon_sym_GT] = ACTIONS(3608),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_in] = ACTIONS(3608),
    [anon_sym_BANGin] = ACTIONS(3606),
    [anon_sym_AMP_AMP] = ACTIONS(3610),
    [anon_sym_PIPE_PIPE] = ACTIONS(3612),
    [anon_sym_as] = ACTIONS(3614),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_DOLLAR] = ACTIONS(3312),
    [sym_none] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(3310),
    [anon_sym_chan] = ACTIONS(3312),
    [anon_sym_shared] = ACTIONS(3312),
    [anon_sym_thread] = ACTIONS(3312),
    [sym_int_literal] = ACTIONS(3312),
    [sym_float_literal] = ACTIONS(3310),
    [sym_rune_literal] = ACTIONS(3310),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_char] = ACTIONS(3312),
    [anon_sym_sql] = ACTIONS(3312),
    [anon_sym_mut] = ACTIONS(3312),
    [anon_sym_C] = ACTIONS(3312),
    [anon_sym_JS] = ACTIONS(3312),
    [anon_sym_voidptr] = ACTIONS(3312),
    [anon_sym_byteptr] = ACTIONS(3312),
    [anon_sym_charptr] = ACTIONS(3312),
    [anon_sym_i8] = ACTIONS(3312),
    [anon_sym_i16] = ACTIONS(3312),
    [anon_sym_i32] = ACTIONS(3312),
    [anon_sym_int] = ACTIONS(3312),
    [anon_sym_i64] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_u8] = ACTIONS(3312),
    [anon_sym_u16] = ACTIONS(3312),
    [anon_sym_u32] = ACTIONS(3312),
    [anon_sym_u64] = ACTIONS(3312),
    [anon_sym_f32] = ACTIONS(3312),
    [anon_sym_f64] = ACTIONS(3312),
    [anon_sym_bool] = ACTIONS(3312),
    [anon_sym_rune] = ACTIONS(3312),
    [anon_sym_map] = ACTIONS(3312),
    [anon_sym_mapnode] = ACTIONS(3312),
    [anon_sym_size_t] = ACTIONS(3312),
    [anon_sym_usize] = ACTIONS(3312),
    [anon_sym_isize] = ACTIONS(3312),
    [anon_sym_float_literal] = ACTIONS(3312),
    [anon_sym_int_literal] = ACTIONS(3312),
    [anon_sym_IError] = ACTIONS(3312),
    [sym_type_placeholder] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [sym_type_identifier] = ACTIONS(3312),
    [anon_sym_assert] = ACTIONS(3312),
    [anon_sym_defer] = ACTIONS(3312),
    [anon_sym_unsafe] = ACTIONS(3312),
    [anon_sym_fn] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_go] = ACTIONS(3312),
    [anon_sym_spawn] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_DOLLARfor] = ACTIONS(3310),
    [anon_sym_DOLLARif] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(3310),
    [anon_sym_match] = ACTIONS(3312),
    [anon_sym_select] = ACTIONS(3312),
    [anon_sym_lock] = ACTIONS(3312),
    [anon_sym_rlock] = ACTIONS(3312),
    [sym__automatic_separator] = ACTIONS(3310),
    [sym__c_string_opening] = ACTIONS(3310),
    [sym__raw_string_opening] = ACTIONS(3310),
    [sym__string_opening] = ACTIONS(3310),
    [sym__comment] = ACTIONS(3),
  },
  [1257] = {
    [sym_comment] = STATE(1257),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_LT_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_GT_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_BANGin] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_as] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [sym_none] = ACTIONS(1388),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_map_LBRACK] = ACTIONS(1386),
    [anon_sym_chan] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_thread] = ACTIONS(1388),
    [sym_int_literal] = ACTIONS(1388),
    [sym_float_literal] = ACTIONS(1386),
    [sym_rune_literal] = ACTIONS(1386),
    [anon_sym_DOT] = ACTIONS(1388),
    [anon_sym_array] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_char] = ACTIONS(1388),
    [anon_sym_sql] = ACTIONS(1388),
    [anon_sym_mut] = ACTIONS(1388),
    [anon_sym_C] = ACTIONS(1388),
    [anon_sym_JS] = ACTIONS(1388),
    [anon_sym_voidptr] = ACTIONS(1388),
    [anon_sym_byteptr] = ACTIONS(1388),
    [anon_sym_charptr] = ACTIONS(1388),
    [anon_sym_i8] = ACTIONS(1388),
    [anon_sym_i16] = ACTIONS(1388),
    [anon_sym_i32] = ACTIONS(1388),
    [anon_sym_int] = ACTIONS(1388),
    [anon_sym_i64] = ACTIONS(1388),
    [anon_sym_byte] = ACTIONS(1388),
    [anon_sym_u8] = ACTIONS(1388),
    [anon_sym_u16] = ACTIONS(1388),
    [anon_sym_u32] = ACTIONS(1388),
    [anon_sym_u64] = ACTIONS(1388),
    [anon_sym_f32] = ACTIONS(1388),
    [anon_sym_f64] = ACTIONS(1388),
    [anon_sym_bool] = ACTIONS(1388),
    [anon_sym_rune] = ACTIONS(1388),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_mapnode] = ACTIONS(1388),
    [anon_sym_size_t] = ACTIONS(1388),
    [anon_sym_usize] = ACTIONS(1388),
    [anon_sym_isize] = ACTIONS(1388),
    [anon_sym_float_literal] = ACTIONS(1388),
    [anon_sym_int_literal] = ACTIONS(1388),
    [anon_sym_IError] = ACTIONS(1388),
    [sym_type_placeholder] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [sym_type_identifier] = ACTIONS(1388),
    [anon_sym_assert] = ACTIONS(1388),
    [anon_sym_defer] = ACTIONS(1388),
    [anon_sym_unsafe] = ACTIONS(1388),
    [anon_sym_fn] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_go] = ACTIONS(1388),
    [anon_sym_spawn] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_DOLLARfor] = ACTIONS(1386),
    [anon_sym_DOLLARif] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_is] = ACTIONS(1388),
    [anon_sym_BANGis] = ACTIONS(1386),
    [anon_sym_POUND] = ACTIONS(1386),
    [anon_sym_match] = ACTIONS(1388),
    [anon_sym_select] = ACTIONS(1388),
    [anon_sym_lock] = ACTIONS(1388),
    [anon_sym_rlock] = ACTIONS(1388),
    [sym__automatic_separator] = ACTIONS(1386),
    [sym__c_string_opening] = ACTIONS(1386),
    [sym__raw_string_opening] = ACTIONS(1386),
    [sym__string_opening] = ACTIONS(1386),
    [sym__comment] = ACTIONS(3),
  },
  [1258] = {
    [sym_comment] = STATE(1258),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_LT_DASH] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1412),
    [anon_sym_GT_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1412),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_BANGin] = ACTIONS(1410),
    [anon_sym_AMP_AMP] = ACTIONS(1410),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_as] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [sym_none] = ACTIONS(1412),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_map_LBRACK] = ACTIONS(1410),
    [anon_sym_chan] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_thread] = ACTIONS(1412),
    [sym_int_literal] = ACTIONS(1412),
    [sym_float_literal] = ACTIONS(1410),
    [sym_rune_literal] = ACTIONS(1410),
    [anon_sym_DOT] = ACTIONS(1412),
    [anon_sym_array] = ACTIONS(1412),
    [anon_sym_string] = ACTIONS(1412),
    [anon_sym_char] = ACTIONS(1412),
    [anon_sym_sql] = ACTIONS(1412),
    [anon_sym_mut] = ACTIONS(1412),
    [anon_sym_C] = ACTIONS(1412),
    [anon_sym_JS] = ACTIONS(1412),
    [anon_sym_voidptr] = ACTIONS(1412),
    [anon_sym_byteptr] = ACTIONS(1412),
    [anon_sym_charptr] = ACTIONS(1412),
    [anon_sym_i8] = ACTIONS(1412),
    [anon_sym_i16] = ACTIONS(1412),
    [anon_sym_i32] = ACTIONS(1412),
    [anon_sym_int] = ACTIONS(1412),
    [anon_sym_i64] = ACTIONS(1412),
    [anon_sym_byte] = ACTIONS(1412),
    [anon_sym_u8] = ACTIONS(1412),
    [anon_sym_u16] = ACTIONS(1412),
    [anon_sym_u32] = ACTIONS(1412),
    [anon_sym_u64] = ACTIONS(1412),
    [anon_sym_f32] = ACTIONS(1412),
    [anon_sym_f64] = ACTIONS(1412),
    [anon_sym_bool] = ACTIONS(1412),
    [anon_sym_rune] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1412),
    [anon_sym_mapnode] = ACTIONS(1412),
    [anon_sym_size_t] = ACTIONS(1412),
    [anon_sym_usize] = ACTIONS(1412),
    [anon_sym_isize] = ACTIONS(1412),
    [anon_sym_float_literal] = ACTIONS(1412),
    [anon_sym_int_literal] = ACTIONS(1412),
    [anon_sym_IError] = ACTIONS(1412),
    [sym_type_placeholder] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [sym_type_identifier] = ACTIONS(1412),
    [anon_sym_assert] = ACTIONS(1412),
    [anon_sym_defer] = ACTIONS(1412),
    [anon_sym_unsafe] = ACTIONS(1412),
    [anon_sym_fn] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_go] = ACTIONS(1412),
    [anon_sym_spawn] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_DOLLARfor] = ACTIONS(1410),
    [anon_sym_DOLLARif] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_is] = ACTIONS(1412),
    [anon_sym_BANGis] = ACTIONS(1410),
    [anon_sym_POUND] = ACTIONS(1410),
    [anon_sym_match] = ACTIONS(1412),
    [anon_sym_select] = ACTIONS(1412),
    [anon_sym_lock] = ACTIONS(1412),
    [anon_sym_rlock] = ACTIONS(1412),
    [sym__automatic_separator] = ACTIONS(1410),
    [sym__c_string_opening] = ACTIONS(1410),
    [sym__raw_string_opening] = ACTIONS(1410),
    [sym__string_opening] = ACTIONS(1410),
    [sym__comment] = ACTIONS(3),
  },
  [1259] = {
    [sym_comment] = STATE(1259),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_LT_DASH] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_AMP_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_BANGin] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_as] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [sym_none] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_map_LBRACK] = ACTIONS(1518),
    [anon_sym_chan] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_thread] = ACTIONS(1520),
    [sym_int_literal] = ACTIONS(1520),
    [sym_float_literal] = ACTIONS(1518),
    [sym_rune_literal] = ACTIONS(1518),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_array] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_char] = ACTIONS(1520),
    [anon_sym_sql] = ACTIONS(1520),
    [anon_sym_mut] = ACTIONS(1520),
    [anon_sym_C] = ACTIONS(1520),
    [anon_sym_JS] = ACTIONS(1520),
    [anon_sym_voidptr] = ACTIONS(1520),
    [anon_sym_byteptr] = ACTIONS(1520),
    [anon_sym_charptr] = ACTIONS(1520),
    [anon_sym_i8] = ACTIONS(1520),
    [anon_sym_i16] = ACTIONS(1520),
    [anon_sym_i32] = ACTIONS(1520),
    [anon_sym_int] = ACTIONS(1520),
    [anon_sym_i64] = ACTIONS(1520),
    [anon_sym_byte] = ACTIONS(1520),
    [anon_sym_u8] = ACTIONS(1520),
    [anon_sym_u16] = ACTIONS(1520),
    [anon_sym_u32] = ACTIONS(1520),
    [anon_sym_u64] = ACTIONS(1520),
    [anon_sym_f32] = ACTIONS(1520),
    [anon_sym_f64] = ACTIONS(1520),
    [anon_sym_bool] = ACTIONS(1520),
    [anon_sym_rune] = ACTIONS(1520),
    [anon_sym_map] = ACTIONS(1520),
    [anon_sym_mapnode] = ACTIONS(1520),
    [anon_sym_size_t] = ACTIONS(1520),
    [anon_sym_usize] = ACTIONS(1520),
    [anon_sym_isize] = ACTIONS(1520),
    [anon_sym_float_literal] = ACTIONS(1520),
    [anon_sym_int_literal] = ACTIONS(1520),
    [anon_sym_IError] = ACTIONS(1520),
    [sym_type_placeholder] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [sym_type_identifier] = ACTIONS(1520),
    [anon_sym_assert] = ACTIONS(1520),
    [anon_sym_defer] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym_asm] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_go] = ACTIONS(1520),
    [anon_sym_spawn] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_DOLLARfor] = ACTIONS(1518),
    [anon_sym_DOLLARif] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_is] = ACTIONS(1520),
    [anon_sym_BANGis] = ACTIONS(1518),
    [anon_sym_POUND] = ACTIONS(1518),
    [anon_sym_match] = ACTIONS(1520),
    [anon_sym_select] = ACTIONS(1520),
    [anon_sym_lock] = ACTIONS(1520),
    [anon_sym_rlock] = ACTIONS(1520),
    [sym__automatic_separator] = ACTIONS(1518),
    [sym__c_string_opening] = ACTIONS(1518),
    [sym__raw_string_opening] = ACTIONS(1518),
    [sym__string_opening] = ACTIONS(1518),
    [sym__comment] = ACTIONS(3),
  },
  [1260] = {
    [sym_comment] = STATE(1260),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_LT_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PERCENT] = ACTIONS(1372),
    [anon_sym_LT_LT] = ACTIONS(1372),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1372),
    [anon_sym_AMP_CARET] = ACTIONS(1372),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_EQ_EQ] = ACTIONS(1372),
    [anon_sym_BANG_EQ] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1372),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_BANGin] = ACTIONS(1372),
    [anon_sym_AMP_AMP] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1372),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [sym_none] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_map_LBRACK] = ACTIONS(1372),
    [anon_sym_chan] = ACTIONS(1374),
    [anon_sym_shared] = ACTIONS(1374),
    [anon_sym_thread] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1372),
    [sym_rune_literal] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_array] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_char] = ACTIONS(1374),
    [anon_sym_sql] = ACTIONS(1374),
    [anon_sym_mut] = ACTIONS(1374),
    [anon_sym_C] = ACTIONS(1374),
    [anon_sym_JS] = ACTIONS(1374),
    [anon_sym_voidptr] = ACTIONS(1374),
    [anon_sym_byteptr] = ACTIONS(1374),
    [anon_sym_charptr] = ACTIONS(1374),
    [anon_sym_i8] = ACTIONS(1374),
    [anon_sym_i16] = ACTIONS(1374),
    [anon_sym_i32] = ACTIONS(1374),
    [anon_sym_int] = ACTIONS(1374),
    [anon_sym_i64] = ACTIONS(1374),
    [anon_sym_byte] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1374),
    [anon_sym_u16] = ACTIONS(1374),
    [anon_sym_u32] = ACTIONS(1374),
    [anon_sym_u64] = ACTIONS(1374),
    [anon_sym_f32] = ACTIONS(1374),
    [anon_sym_f64] = ACTIONS(1374),
    [anon_sym_bool] = ACTIONS(1374),
    [anon_sym_rune] = ACTIONS(1374),
    [anon_sym_map] = ACTIONS(1374),
    [anon_sym_mapnode] = ACTIONS(1374),
    [anon_sym_size_t] = ACTIONS(1374),
    [anon_sym_usize] = ACTIONS(1374),
    [anon_sym_isize] = ACTIONS(1374),
    [anon_sym_float_literal] = ACTIONS(1374),
    [anon_sym_int_literal] = ACTIONS(1374),
    [anon_sym_IError] = ACTIONS(1374),
    [sym_type_placeholder] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [sym_type_identifier] = ACTIONS(1374),
    [anon_sym_assert] = ACTIONS(1374),
    [anon_sym_defer] = ACTIONS(1374),
    [anon_sym_unsafe] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_go] = ACTIONS(1374),
    [anon_sym_spawn] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_DOLLARfor] = ACTIONS(1372),
    [anon_sym_DOLLARif] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_is] = ACTIONS(1374),
    [anon_sym_BANGis] = ACTIONS(1372),
    [anon_sym_POUND] = ACTIONS(1372),
    [anon_sym_match] = ACTIONS(1374),
    [anon_sym_select] = ACTIONS(1374),
    [anon_sym_lock] = ACTIONS(1374),
    [anon_sym_rlock] = ACTIONS(1374),
    [sym__automatic_separator] = ACTIONS(1372),
    [sym__c_string_opening] = ACTIONS(1372),
    [sym__raw_string_opening] = ACTIONS(1372),
    [sym__string_opening] = ACTIONS(1372),
    [sym__comment] = ACTIONS(3),
  },
  [1261] = {
    [sym_comment] = STATE(1261),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_LT_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_AMP_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_BANGin] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_none] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_map_LBRACK] = ACTIONS(1526),
    [anon_sym_chan] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_thread] = ACTIONS(1528),
    [sym_int_literal] = ACTIONS(1528),
    [sym_float_literal] = ACTIONS(1526),
    [sym_rune_literal] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_array] = ACTIONS(1528),
    [anon_sym_string] = ACTIONS(1528),
    [anon_sym_char] = ACTIONS(1528),
    [anon_sym_sql] = ACTIONS(1528),
    [anon_sym_mut] = ACTIONS(1528),
    [anon_sym_C] = ACTIONS(1528),
    [anon_sym_JS] = ACTIONS(1528),
    [anon_sym_voidptr] = ACTIONS(1528),
    [anon_sym_byteptr] = ACTIONS(1528),
    [anon_sym_charptr] = ACTIONS(1528),
    [anon_sym_i8] = ACTIONS(1528),
    [anon_sym_i16] = ACTIONS(1528),
    [anon_sym_i32] = ACTIONS(1528),
    [anon_sym_int] = ACTIONS(1528),
    [anon_sym_i64] = ACTIONS(1528),
    [anon_sym_byte] = ACTIONS(1528),
    [anon_sym_u8] = ACTIONS(1528),
    [anon_sym_u16] = ACTIONS(1528),
    [anon_sym_u32] = ACTIONS(1528),
    [anon_sym_u64] = ACTIONS(1528),
    [anon_sym_f32] = ACTIONS(1528),
    [anon_sym_f64] = ACTIONS(1528),
    [anon_sym_bool] = ACTIONS(1528),
    [anon_sym_rune] = ACTIONS(1528),
    [anon_sym_map] = ACTIONS(1528),
    [anon_sym_mapnode] = ACTIONS(1528),
    [anon_sym_size_t] = ACTIONS(1528),
    [anon_sym_usize] = ACTIONS(1528),
    [anon_sym_isize] = ACTIONS(1528),
    [anon_sym_float_literal] = ACTIONS(1528),
    [anon_sym_int_literal] = ACTIONS(1528),
    [anon_sym_IError] = ACTIONS(1528),
    [sym_type_placeholder] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [sym_type_identifier] = ACTIONS(1528),
    [anon_sym_assert] = ACTIONS(1528),
    [anon_sym_defer] = ACTIONS(1528),
    [anon_sym_unsafe] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym_asm] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_go] = ACTIONS(1528),
    [anon_sym_spawn] = ACTIONS(1528),
    [anon_sym_goto] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_DOLLARfor] = ACTIONS(1526),
    [anon_sym_DOLLARif] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_is] = ACTIONS(1528),
    [anon_sym_BANGis] = ACTIONS(1526),
    [anon_sym_POUND] = ACTIONS(1526),
    [anon_sym_match] = ACTIONS(1528),
    [anon_sym_select] = ACTIONS(1528),
    [anon_sym_lock] = ACTIONS(1528),
    [anon_sym_rlock] = ACTIONS(1528),
    [sym__automatic_separator] = ACTIONS(1526),
    [sym__c_string_opening] = ACTIONS(1526),
    [sym__raw_string_opening] = ACTIONS(1526),
    [sym__string_opening] = ACTIONS(1526),
    [sym__comment] = ACTIONS(3),
  },
  [1262] = {
    [sym_comment] = STATE(1262),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1263] = {
    [sym_comment] = STATE(1263),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1532),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PERCENT] = ACTIONS(1532),
    [anon_sym_LT_LT] = ACTIONS(1532),
    [anon_sym_GT_GT] = ACTIONS(1534),
    [anon_sym_GT_GT_GT] = ACTIONS(1532),
    [anon_sym_AMP_CARET] = ACTIONS(1532),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1534),
    [anon_sym_BANGin] = ACTIONS(1532),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_as] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [sym_none] = ACTIONS(1534),
    [sym_true] = ACTIONS(1534),
    [sym_false] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_map_LBRACK] = ACTIONS(1532),
    [anon_sym_chan] = ACTIONS(1534),
    [anon_sym_shared] = ACTIONS(1534),
    [anon_sym_thread] = ACTIONS(1534),
    [sym_int_literal] = ACTIONS(1534),
    [sym_float_literal] = ACTIONS(1532),
    [sym_rune_literal] = ACTIONS(1532),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_array] = ACTIONS(1534),
    [anon_sym_string] = ACTIONS(1534),
    [anon_sym_char] = ACTIONS(1534),
    [anon_sym_sql] = ACTIONS(1534),
    [anon_sym_mut] = ACTIONS(1534),
    [anon_sym_C] = ACTIONS(1534),
    [anon_sym_JS] = ACTIONS(1534),
    [anon_sym_voidptr] = ACTIONS(1534),
    [anon_sym_byteptr] = ACTIONS(1534),
    [anon_sym_charptr] = ACTIONS(1534),
    [anon_sym_i8] = ACTIONS(1534),
    [anon_sym_i16] = ACTIONS(1534),
    [anon_sym_i32] = ACTIONS(1534),
    [anon_sym_int] = ACTIONS(1534),
    [anon_sym_i64] = ACTIONS(1534),
    [anon_sym_byte] = ACTIONS(1534),
    [anon_sym_u8] = ACTIONS(1534),
    [anon_sym_u16] = ACTIONS(1534),
    [anon_sym_u32] = ACTIONS(1534),
    [anon_sym_u64] = ACTIONS(1534),
    [anon_sym_f32] = ACTIONS(1534),
    [anon_sym_f64] = ACTIONS(1534),
    [anon_sym_bool] = ACTIONS(1534),
    [anon_sym_rune] = ACTIONS(1534),
    [anon_sym_map] = ACTIONS(1534),
    [anon_sym_mapnode] = ACTIONS(1534),
    [anon_sym_size_t] = ACTIONS(1534),
    [anon_sym_usize] = ACTIONS(1534),
    [anon_sym_isize] = ACTIONS(1534),
    [anon_sym_float_literal] = ACTIONS(1534),
    [anon_sym_int_literal] = ACTIONS(1534),
    [anon_sym_IError] = ACTIONS(1534),
    [sym_type_placeholder] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [sym_type_identifier] = ACTIONS(1534),
    [anon_sym_assert] = ACTIONS(1534),
    [anon_sym_defer] = ACTIONS(1534),
    [anon_sym_unsafe] = ACTIONS(1534),
    [anon_sym_fn] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1534),
    [anon_sym_break] = ACTIONS(1534),
    [anon_sym_continue] = ACTIONS(1534),
    [anon_sym_return] = ACTIONS(1534),
    [anon_sym_go] = ACTIONS(1534),
    [anon_sym_spawn] = ACTIONS(1534),
    [anon_sym_goto] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_DOLLARfor] = ACTIONS(1532),
    [anon_sym_DOLLARif] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1534),
    [anon_sym_is] = ACTIONS(1534),
    [anon_sym_BANGis] = ACTIONS(1532),
    [anon_sym_POUND] = ACTIONS(1532),
    [anon_sym_match] = ACTIONS(1534),
    [anon_sym_select] = ACTIONS(1534),
    [anon_sym_lock] = ACTIONS(1534),
    [anon_sym_rlock] = ACTIONS(1534),
    [sym__automatic_separator] = ACTIONS(1532),
    [sym__c_string_opening] = ACTIONS(1532),
    [sym__raw_string_opening] = ACTIONS(1532),
    [sym__string_opening] = ACTIONS(1532),
    [sym__comment] = ACTIONS(3),
  },
  [1264] = {
    [sym_comment] = STATE(1264),
    [sym_identifier] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_LT_DASH] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_PERCENT] = ACTIONS(1252),
    [anon_sym_LT_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1254),
    [anon_sym_GT_GT_GT] = ACTIONS(1252),
    [anon_sym_AMP_CARET] = ACTIONS(1252),
    [anon_sym_PIPE] = ACTIONS(1254),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1254),
    [anon_sym_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1254),
    [anon_sym_GT_EQ] = ACTIONS(1252),
    [anon_sym_in] = ACTIONS(1254),
    [anon_sym_BANGin] = ACTIONS(1252),
    [anon_sym_AMP_AMP] = ACTIONS(1252),
    [anon_sym_PIPE_PIPE] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [sym_none] = ACTIONS(1254),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_map_LBRACK] = ACTIONS(1252),
    [anon_sym_chan] = ACTIONS(1254),
    [anon_sym_shared] = ACTIONS(1254),
    [anon_sym_thread] = ACTIONS(1254),
    [sym_int_literal] = ACTIONS(1254),
    [sym_float_literal] = ACTIONS(1252),
    [sym_rune_literal] = ACTIONS(1252),
    [anon_sym_DOT] = ACTIONS(1254),
    [anon_sym_array] = ACTIONS(1254),
    [anon_sym_string] = ACTIONS(1254),
    [anon_sym_char] = ACTIONS(1254),
    [anon_sym_sql] = ACTIONS(1254),
    [anon_sym_mut] = ACTIONS(1254),
    [anon_sym_C] = ACTIONS(1254),
    [anon_sym_JS] = ACTIONS(1254),
    [anon_sym_voidptr] = ACTIONS(1254),
    [anon_sym_byteptr] = ACTIONS(1254),
    [anon_sym_charptr] = ACTIONS(1254),
    [anon_sym_i8] = ACTIONS(1254),
    [anon_sym_i16] = ACTIONS(1254),
    [anon_sym_i32] = ACTIONS(1254),
    [anon_sym_int] = ACTIONS(1254),
    [anon_sym_i64] = ACTIONS(1254),
    [anon_sym_byte] = ACTIONS(1254),
    [anon_sym_u8] = ACTIONS(1254),
    [anon_sym_u16] = ACTIONS(1254),
    [anon_sym_u32] = ACTIONS(1254),
    [anon_sym_u64] = ACTIONS(1254),
    [anon_sym_f32] = ACTIONS(1254),
    [anon_sym_f64] = ACTIONS(1254),
    [anon_sym_bool] = ACTIONS(1254),
    [anon_sym_rune] = ACTIONS(1254),
    [anon_sym_map] = ACTIONS(1254),
    [anon_sym_mapnode] = ACTIONS(1254),
    [anon_sym_size_t] = ACTIONS(1254),
    [anon_sym_usize] = ACTIONS(1254),
    [anon_sym_isize] = ACTIONS(1254),
    [anon_sym_float_literal] = ACTIONS(1254),
    [anon_sym_int_literal] = ACTIONS(1254),
    [anon_sym_IError] = ACTIONS(1254),
    [sym_type_placeholder] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [sym_type_identifier] = ACTIONS(1254),
    [anon_sym_assert] = ACTIONS(1254),
    [anon_sym_defer] = ACTIONS(1254),
    [anon_sym_unsafe] = ACTIONS(1254),
    [anon_sym_fn] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1254),
    [anon_sym_break] = ACTIONS(1254),
    [anon_sym_continue] = ACTIONS(1254),
    [anon_sym_return] = ACTIONS(1254),
    [anon_sym_go] = ACTIONS(1254),
    [anon_sym_spawn] = ACTIONS(1254),
    [anon_sym_goto] = ACTIONS(1254),
    [anon_sym_for] = ACTIONS(1254),
    [anon_sym_DOLLARfor] = ACTIONS(1252),
    [anon_sym_DOLLARif] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_is] = ACTIONS(1254),
    [anon_sym_BANGis] = ACTIONS(1252),
    [anon_sym_POUND] = ACTIONS(1252),
    [anon_sym_match] = ACTIONS(1254),
    [anon_sym_select] = ACTIONS(1254),
    [anon_sym_lock] = ACTIONS(1254),
    [anon_sym_rlock] = ACTIONS(1254),
    [sym__automatic_separator] = ACTIONS(1252),
    [sym__c_string_opening] = ACTIONS(1252),
    [sym__raw_string_opening] = ACTIONS(1252),
    [sym__string_opening] = ACTIONS(1252),
    [sym__comment] = ACTIONS(3),
  },
  [1265] = {
    [sym_comment] = STATE(1265),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1582),
    [anon_sym_PERCENT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_BANGin] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [sym_none] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_map_LBRACK] = ACTIONS(1582),
    [anon_sym_chan] = ACTIONS(1584),
    [anon_sym_shared] = ACTIONS(1584),
    [anon_sym_thread] = ACTIONS(1584),
    [sym_int_literal] = ACTIONS(1584),
    [sym_float_literal] = ACTIONS(1582),
    [sym_rune_literal] = ACTIONS(1582),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_array] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_char] = ACTIONS(1584),
    [anon_sym_sql] = ACTIONS(1584),
    [anon_sym_mut] = ACTIONS(1584),
    [anon_sym_C] = ACTIONS(1584),
    [anon_sym_JS] = ACTIONS(1584),
    [anon_sym_voidptr] = ACTIONS(1584),
    [anon_sym_byteptr] = ACTIONS(1584),
    [anon_sym_charptr] = ACTIONS(1584),
    [anon_sym_i8] = ACTIONS(1584),
    [anon_sym_i16] = ACTIONS(1584),
    [anon_sym_i32] = ACTIONS(1584),
    [anon_sym_int] = ACTIONS(1584),
    [anon_sym_i64] = ACTIONS(1584),
    [anon_sym_byte] = ACTIONS(1584),
    [anon_sym_u8] = ACTIONS(1584),
    [anon_sym_u16] = ACTIONS(1584),
    [anon_sym_u32] = ACTIONS(1584),
    [anon_sym_u64] = ACTIONS(1584),
    [anon_sym_f32] = ACTIONS(1584),
    [anon_sym_f64] = ACTIONS(1584),
    [anon_sym_bool] = ACTIONS(1584),
    [anon_sym_rune] = ACTIONS(1584),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_mapnode] = ACTIONS(1584),
    [anon_sym_size_t] = ACTIONS(1584),
    [anon_sym_usize] = ACTIONS(1584),
    [anon_sym_isize] = ACTIONS(1584),
    [anon_sym_float_literal] = ACTIONS(1584),
    [anon_sym_int_literal] = ACTIONS(1584),
    [anon_sym_IError] = ACTIONS(1584),
    [sym_type_placeholder] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [sym_type_identifier] = ACTIONS(1584),
    [anon_sym_assert] = ACTIONS(1584),
    [anon_sym_defer] = ACTIONS(1584),
    [anon_sym_unsafe] = ACTIONS(1584),
    [anon_sym_fn] = ACTIONS(1584),
    [anon_sym_asm] = ACTIONS(1584),
    [anon_sym_break] = ACTIONS(1584),
    [anon_sym_continue] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1584),
    [anon_sym_go] = ACTIONS(1584),
    [anon_sym_spawn] = ACTIONS(1584),
    [anon_sym_goto] = ACTIONS(1584),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_DOLLARfor] = ACTIONS(1582),
    [anon_sym_DOLLARif] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_is] = ACTIONS(1584),
    [anon_sym_BANGis] = ACTIONS(1582),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_match] = ACTIONS(1584),
    [anon_sym_select] = ACTIONS(1584),
    [anon_sym_lock] = ACTIONS(1584),
    [anon_sym_rlock] = ACTIONS(1584),
    [sym__automatic_separator] = ACTIONS(1582),
    [sym__c_string_opening] = ACTIONS(1582),
    [sym__raw_string_opening] = ACTIONS(1582),
    [sym__string_opening] = ACTIONS(1582),
    [sym__comment] = ACTIONS(3),
  },
  [1266] = {
    [sym_comment] = STATE(1266),
    [sym_identifier] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_LT_DASH] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1248),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_GT_GT_GT] = ACTIONS(1248),
    [anon_sym_AMP_CARET] = ACTIONS(1248),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_BANGin] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [sym_none] = ACTIONS(1250),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_map_LBRACK] = ACTIONS(1248),
    [anon_sym_chan] = ACTIONS(1250),
    [anon_sym_shared] = ACTIONS(1250),
    [anon_sym_thread] = ACTIONS(1250),
    [sym_int_literal] = ACTIONS(1250),
    [sym_float_literal] = ACTIONS(1248),
    [sym_rune_literal] = ACTIONS(1248),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_array] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_char] = ACTIONS(1250),
    [anon_sym_sql] = ACTIONS(1250),
    [anon_sym_mut] = ACTIONS(1250),
    [anon_sym_C] = ACTIONS(1250),
    [anon_sym_JS] = ACTIONS(1250),
    [anon_sym_voidptr] = ACTIONS(1250),
    [anon_sym_byteptr] = ACTIONS(1250),
    [anon_sym_charptr] = ACTIONS(1250),
    [anon_sym_i8] = ACTIONS(1250),
    [anon_sym_i16] = ACTIONS(1250),
    [anon_sym_i32] = ACTIONS(1250),
    [anon_sym_int] = ACTIONS(1250),
    [anon_sym_i64] = ACTIONS(1250),
    [anon_sym_byte] = ACTIONS(1250),
    [anon_sym_u8] = ACTIONS(1250),
    [anon_sym_u16] = ACTIONS(1250),
    [anon_sym_u32] = ACTIONS(1250),
    [anon_sym_u64] = ACTIONS(1250),
    [anon_sym_f32] = ACTIONS(1250),
    [anon_sym_f64] = ACTIONS(1250),
    [anon_sym_bool] = ACTIONS(1250),
    [anon_sym_rune] = ACTIONS(1250),
    [anon_sym_map] = ACTIONS(1250),
    [anon_sym_mapnode] = ACTIONS(1250),
    [anon_sym_size_t] = ACTIONS(1250),
    [anon_sym_usize] = ACTIONS(1250),
    [anon_sym_isize] = ACTIONS(1250),
    [anon_sym_float_literal] = ACTIONS(1250),
    [anon_sym_int_literal] = ACTIONS(1250),
    [anon_sym_IError] = ACTIONS(1250),
    [sym_type_placeholder] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [sym_type_identifier] = ACTIONS(1250),
    [anon_sym_assert] = ACTIONS(1250),
    [anon_sym_defer] = ACTIONS(1250),
    [anon_sym_unsafe] = ACTIONS(1250),
    [anon_sym_fn] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_go] = ACTIONS(1250),
    [anon_sym_spawn] = ACTIONS(1250),
    [anon_sym_goto] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_DOLLARfor] = ACTIONS(1248),
    [anon_sym_DOLLARif] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_BANGis] = ACTIONS(1248),
    [anon_sym_POUND] = ACTIONS(1248),
    [anon_sym_match] = ACTIONS(1250),
    [anon_sym_select] = ACTIONS(1250),
    [anon_sym_lock] = ACTIONS(1250),
    [anon_sym_rlock] = ACTIONS(1250),
    [sym__automatic_separator] = ACTIONS(1248),
    [sym__c_string_opening] = ACTIONS(1248),
    [sym__raw_string_opening] = ACTIONS(1248),
    [sym__string_opening] = ACTIONS(1248),
    [sym__comment] = ACTIONS(3),
  },
  [1267] = {
    [sym_comment] = STATE(1267),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_LT_DASH] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1586),
    [anon_sym_PERCENT] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_in] = ACTIONS(1588),
    [anon_sym_BANGin] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1586),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_as] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_none] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_map_LBRACK] = ACTIONS(1586),
    [anon_sym_chan] = ACTIONS(1588),
    [anon_sym_shared] = ACTIONS(1588),
    [anon_sym_thread] = ACTIONS(1588),
    [sym_int_literal] = ACTIONS(1588),
    [sym_float_literal] = ACTIONS(1586),
    [sym_rune_literal] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_array] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_char] = ACTIONS(1588),
    [anon_sym_sql] = ACTIONS(1588),
    [anon_sym_mut] = ACTIONS(1588),
    [anon_sym_C] = ACTIONS(1588),
    [anon_sym_JS] = ACTIONS(1588),
    [anon_sym_voidptr] = ACTIONS(1588),
    [anon_sym_byteptr] = ACTIONS(1588),
    [anon_sym_charptr] = ACTIONS(1588),
    [anon_sym_i8] = ACTIONS(1588),
    [anon_sym_i16] = ACTIONS(1588),
    [anon_sym_i32] = ACTIONS(1588),
    [anon_sym_int] = ACTIONS(1588),
    [anon_sym_i64] = ACTIONS(1588),
    [anon_sym_byte] = ACTIONS(1588),
    [anon_sym_u8] = ACTIONS(1588),
    [anon_sym_u16] = ACTIONS(1588),
    [anon_sym_u32] = ACTIONS(1588),
    [anon_sym_u64] = ACTIONS(1588),
    [anon_sym_f32] = ACTIONS(1588),
    [anon_sym_f64] = ACTIONS(1588),
    [anon_sym_bool] = ACTIONS(1588),
    [anon_sym_rune] = ACTIONS(1588),
    [anon_sym_map] = ACTIONS(1588),
    [anon_sym_mapnode] = ACTIONS(1588),
    [anon_sym_size_t] = ACTIONS(1588),
    [anon_sym_usize] = ACTIONS(1588),
    [anon_sym_isize] = ACTIONS(1588),
    [anon_sym_float_literal] = ACTIONS(1588),
    [anon_sym_int_literal] = ACTIONS(1588),
    [anon_sym_IError] = ACTIONS(1588),
    [sym_type_placeholder] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [sym_type_identifier] = ACTIONS(1588),
    [anon_sym_assert] = ACTIONS(1588),
    [anon_sym_defer] = ACTIONS(1588),
    [anon_sym_unsafe] = ACTIONS(1588),
    [anon_sym_fn] = ACTIONS(1588),
    [anon_sym_asm] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_go] = ACTIONS(1588),
    [anon_sym_spawn] = ACTIONS(1588),
    [anon_sym_goto] = ACTIONS(1588),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_DOLLARfor] = ACTIONS(1586),
    [anon_sym_DOLLARif] = ACTIONS(1586),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_is] = ACTIONS(1588),
    [anon_sym_BANGis] = ACTIONS(1586),
    [anon_sym_POUND] = ACTIONS(1586),
    [anon_sym_match] = ACTIONS(1588),
    [anon_sym_select] = ACTIONS(1588),
    [anon_sym_lock] = ACTIONS(1588),
    [anon_sym_rlock] = ACTIONS(1588),
    [sym__automatic_separator] = ACTIONS(1586),
    [sym__c_string_opening] = ACTIONS(1586),
    [sym__raw_string_opening] = ACTIONS(1586),
    [sym__string_opening] = ACTIONS(1586),
    [sym__comment] = ACTIONS(3),
  },
  [1268] = {
    [sym_comment] = STATE(1268),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(3262),
    [anon_sym_BANGis] = ACTIONS(3264),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1269] = {
    [sym_comment] = STATE(1269),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_LT_DASH] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_GT_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1604),
    [anon_sym_BANGin] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_as] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [sym_none] = ACTIONS(1604),
    [sym_true] = ACTIONS(1604),
    [sym_false] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_map_LBRACK] = ACTIONS(1602),
    [anon_sym_chan] = ACTIONS(1604),
    [anon_sym_shared] = ACTIONS(1604),
    [anon_sym_thread] = ACTIONS(1604),
    [sym_int_literal] = ACTIONS(1604),
    [sym_float_literal] = ACTIONS(1602),
    [sym_rune_literal] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_array] = ACTIONS(1604),
    [anon_sym_string] = ACTIONS(1604),
    [anon_sym_char] = ACTIONS(1604),
    [anon_sym_sql] = ACTIONS(1604),
    [anon_sym_mut] = ACTIONS(1604),
    [anon_sym_C] = ACTIONS(1604),
    [anon_sym_JS] = ACTIONS(1604),
    [anon_sym_voidptr] = ACTIONS(1604),
    [anon_sym_byteptr] = ACTIONS(1604),
    [anon_sym_charptr] = ACTIONS(1604),
    [anon_sym_i8] = ACTIONS(1604),
    [anon_sym_i16] = ACTIONS(1604),
    [anon_sym_i32] = ACTIONS(1604),
    [anon_sym_int] = ACTIONS(1604),
    [anon_sym_i64] = ACTIONS(1604),
    [anon_sym_byte] = ACTIONS(1604),
    [anon_sym_u8] = ACTIONS(1604),
    [anon_sym_u16] = ACTIONS(1604),
    [anon_sym_u32] = ACTIONS(1604),
    [anon_sym_u64] = ACTIONS(1604),
    [anon_sym_f32] = ACTIONS(1604),
    [anon_sym_f64] = ACTIONS(1604),
    [anon_sym_bool] = ACTIONS(1604),
    [anon_sym_rune] = ACTIONS(1604),
    [anon_sym_map] = ACTIONS(1604),
    [anon_sym_mapnode] = ACTIONS(1604),
    [anon_sym_size_t] = ACTIONS(1604),
    [anon_sym_usize] = ACTIONS(1604),
    [anon_sym_isize] = ACTIONS(1604),
    [anon_sym_float_literal] = ACTIONS(1604),
    [anon_sym_int_literal] = ACTIONS(1604),
    [anon_sym_IError] = ACTIONS(1604),
    [sym_type_placeholder] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [sym_type_identifier] = ACTIONS(1604),
    [anon_sym_assert] = ACTIONS(1604),
    [anon_sym_defer] = ACTIONS(1604),
    [anon_sym_unsafe] = ACTIONS(1604),
    [anon_sym_fn] = ACTIONS(1604),
    [anon_sym_asm] = ACTIONS(1604),
    [anon_sym_break] = ACTIONS(1604),
    [anon_sym_continue] = ACTIONS(1604),
    [anon_sym_return] = ACTIONS(1604),
    [anon_sym_go] = ACTIONS(1604),
    [anon_sym_spawn] = ACTIONS(1604),
    [anon_sym_goto] = ACTIONS(1604),
    [anon_sym_for] = ACTIONS(1604),
    [anon_sym_DOLLARfor] = ACTIONS(1602),
    [anon_sym_DOLLARif] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1604),
    [anon_sym_BANGis] = ACTIONS(1602),
    [anon_sym_POUND] = ACTIONS(1602),
    [anon_sym_match] = ACTIONS(1604),
    [anon_sym_select] = ACTIONS(1604),
    [anon_sym_lock] = ACTIONS(1604),
    [anon_sym_rlock] = ACTIONS(1604),
    [sym__automatic_separator] = ACTIONS(1602),
    [sym__c_string_opening] = ACTIONS(1602),
    [sym__raw_string_opening] = ACTIONS(1602),
    [sym__string_opening] = ACTIONS(1602),
    [sym__comment] = ACTIONS(3),
  },
  [1270] = {
    [sym_comment] = STATE(1270),
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_LT_DASH] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_GT_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_BANGin] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_as] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [sym_none] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_map_LBRACK] = ACTIONS(1598),
    [anon_sym_chan] = ACTIONS(1600),
    [anon_sym_shared] = ACTIONS(1600),
    [anon_sym_thread] = ACTIONS(1600),
    [sym_int_literal] = ACTIONS(1600),
    [sym_float_literal] = ACTIONS(1598),
    [sym_rune_literal] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_array] = ACTIONS(1600),
    [anon_sym_string] = ACTIONS(1600),
    [anon_sym_char] = ACTIONS(1600),
    [anon_sym_sql] = ACTIONS(1600),
    [anon_sym_mut] = ACTIONS(1600),
    [anon_sym_C] = ACTIONS(1600),
    [anon_sym_JS] = ACTIONS(1600),
    [anon_sym_voidptr] = ACTIONS(1600),
    [anon_sym_byteptr] = ACTIONS(1600),
    [anon_sym_charptr] = ACTIONS(1600),
    [anon_sym_i8] = ACTIONS(1600),
    [anon_sym_i16] = ACTIONS(1600),
    [anon_sym_i32] = ACTIONS(1600),
    [anon_sym_int] = ACTIONS(1600),
    [anon_sym_i64] = ACTIONS(1600),
    [anon_sym_byte] = ACTIONS(1600),
    [anon_sym_u8] = ACTIONS(1600),
    [anon_sym_u16] = ACTIONS(1600),
    [anon_sym_u32] = ACTIONS(1600),
    [anon_sym_u64] = ACTIONS(1600),
    [anon_sym_f32] = ACTIONS(1600),
    [anon_sym_f64] = ACTIONS(1600),
    [anon_sym_bool] = ACTIONS(1600),
    [anon_sym_rune] = ACTIONS(1600),
    [anon_sym_map] = ACTIONS(1600),
    [anon_sym_mapnode] = ACTIONS(1600),
    [anon_sym_size_t] = ACTIONS(1600),
    [anon_sym_usize] = ACTIONS(1600),
    [anon_sym_isize] = ACTIONS(1600),
    [anon_sym_float_literal] = ACTIONS(1600),
    [anon_sym_int_literal] = ACTIONS(1600),
    [anon_sym_IError] = ACTIONS(1600),
    [sym_type_placeholder] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [sym_type_identifier] = ACTIONS(1600),
    [anon_sym_assert] = ACTIONS(1600),
    [anon_sym_defer] = ACTIONS(1600),
    [anon_sym_unsafe] = ACTIONS(1600),
    [anon_sym_fn] = ACTIONS(1600),
    [anon_sym_asm] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_go] = ACTIONS(1600),
    [anon_sym_spawn] = ACTIONS(1600),
    [anon_sym_goto] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_DOLLARfor] = ACTIONS(1598),
    [anon_sym_DOLLARif] = ACTIONS(1598),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_is] = ACTIONS(1600),
    [anon_sym_BANGis] = ACTIONS(1598),
    [anon_sym_POUND] = ACTIONS(1598),
    [anon_sym_match] = ACTIONS(1600),
    [anon_sym_select] = ACTIONS(1600),
    [anon_sym_lock] = ACTIONS(1600),
    [anon_sym_rlock] = ACTIONS(1600),
    [sym__automatic_separator] = ACTIONS(1598),
    [sym__c_string_opening] = ACTIONS(1598),
    [sym__raw_string_opening] = ACTIONS(1598),
    [sym__string_opening] = ACTIONS(1598),
    [sym__comment] = ACTIONS(3),
  },
  [1271] = {
    [sym_comment] = STATE(1271),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_LT_DASH] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1522),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1522),
    [anon_sym_AMP_CARET] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_BANGin] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_none] = ACTIONS(1524),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_map_LBRACK] = ACTIONS(1522),
    [anon_sym_chan] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_thread] = ACTIONS(1524),
    [sym_int_literal] = ACTIONS(1524),
    [sym_float_literal] = ACTIONS(1522),
    [sym_rune_literal] = ACTIONS(1522),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_array] = ACTIONS(1524),
    [anon_sym_string] = ACTIONS(1524),
    [anon_sym_char] = ACTIONS(1524),
    [anon_sym_sql] = ACTIONS(1524),
    [anon_sym_mut] = ACTIONS(1524),
    [anon_sym_C] = ACTIONS(1524),
    [anon_sym_JS] = ACTIONS(1524),
    [anon_sym_voidptr] = ACTIONS(1524),
    [anon_sym_byteptr] = ACTIONS(1524),
    [anon_sym_charptr] = ACTIONS(1524),
    [anon_sym_i8] = ACTIONS(1524),
    [anon_sym_i16] = ACTIONS(1524),
    [anon_sym_i32] = ACTIONS(1524),
    [anon_sym_int] = ACTIONS(1524),
    [anon_sym_i64] = ACTIONS(1524),
    [anon_sym_byte] = ACTIONS(1524),
    [anon_sym_u8] = ACTIONS(1524),
    [anon_sym_u16] = ACTIONS(1524),
    [anon_sym_u32] = ACTIONS(1524),
    [anon_sym_u64] = ACTIONS(1524),
    [anon_sym_f32] = ACTIONS(1524),
    [anon_sym_f64] = ACTIONS(1524),
    [anon_sym_bool] = ACTIONS(1524),
    [anon_sym_rune] = ACTIONS(1524),
    [anon_sym_map] = ACTIONS(1524),
    [anon_sym_mapnode] = ACTIONS(1524),
    [anon_sym_size_t] = ACTIONS(1524),
    [anon_sym_usize] = ACTIONS(1524),
    [anon_sym_isize] = ACTIONS(1524),
    [anon_sym_float_literal] = ACTIONS(1524),
    [anon_sym_int_literal] = ACTIONS(1524),
    [anon_sym_IError] = ACTIONS(1524),
    [sym_type_placeholder] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [sym_type_identifier] = ACTIONS(1524),
    [anon_sym_assert] = ACTIONS(1524),
    [anon_sym_defer] = ACTIONS(1524),
    [anon_sym_unsafe] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym_asm] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_go] = ACTIONS(1524),
    [anon_sym_spawn] = ACTIONS(1524),
    [anon_sym_goto] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_DOLLARfor] = ACTIONS(1522),
    [anon_sym_DOLLARif] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_is] = ACTIONS(1524),
    [anon_sym_BANGis] = ACTIONS(1522),
    [anon_sym_POUND] = ACTIONS(1522),
    [anon_sym_match] = ACTIONS(1524),
    [anon_sym_select] = ACTIONS(1524),
    [anon_sym_lock] = ACTIONS(1524),
    [anon_sym_rlock] = ACTIONS(1524),
    [sym__automatic_separator] = ACTIONS(1522),
    [sym__c_string_opening] = ACTIONS(1522),
    [sym__raw_string_opening] = ACTIONS(1522),
    [sym__string_opening] = ACTIONS(1522),
    [sym__comment] = ACTIONS(3),
  },
  [1272] = {
    [sym_comment] = STATE(1272),
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_BANG] = ACTIONS(3670),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_LT_DASH] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_BANGin] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [sym_none] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_map_LBRACK] = ACTIONS(1610),
    [anon_sym_chan] = ACTIONS(1612),
    [anon_sym_shared] = ACTIONS(1612),
    [anon_sym_thread] = ACTIONS(1612),
    [sym_int_literal] = ACTIONS(1612),
    [sym_float_literal] = ACTIONS(1610),
    [sym_rune_literal] = ACTIONS(1610),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_array] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_sql] = ACTIONS(1612),
    [anon_sym_mut] = ACTIONS(1612),
    [anon_sym_C] = ACTIONS(1612),
    [anon_sym_JS] = ACTIONS(1612),
    [anon_sym_voidptr] = ACTIONS(1612),
    [anon_sym_byteptr] = ACTIONS(1612),
    [anon_sym_charptr] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_int] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_byte] = ACTIONS(1612),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_rune] = ACTIONS(1612),
    [anon_sym_map] = ACTIONS(1612),
    [anon_sym_mapnode] = ACTIONS(1612),
    [anon_sym_size_t] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_float_literal] = ACTIONS(1612),
    [anon_sym_int_literal] = ACTIONS(1612),
    [anon_sym_IError] = ACTIONS(1612),
    [sym_type_placeholder] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [sym_type_identifier] = ACTIONS(1612),
    [anon_sym_assert] = ACTIONS(1612),
    [anon_sym_defer] = ACTIONS(1612),
    [anon_sym_unsafe] = ACTIONS(1612),
    [anon_sym_fn] = ACTIONS(1612),
    [anon_sym_asm] = ACTIONS(1612),
    [anon_sym_break] = ACTIONS(1612),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1612),
    [anon_sym_go] = ACTIONS(1612),
    [anon_sym_spawn] = ACTIONS(1612),
    [anon_sym_goto] = ACTIONS(1612),
    [anon_sym_for] = ACTIONS(1612),
    [anon_sym_DOLLARfor] = ACTIONS(1610),
    [anon_sym_DOLLARif] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1612),
    [anon_sym_BANGis] = ACTIONS(1610),
    [anon_sym_POUND] = ACTIONS(1610),
    [anon_sym_match] = ACTIONS(1612),
    [anon_sym_select] = ACTIONS(1612),
    [anon_sym_lock] = ACTIONS(1612),
    [anon_sym_rlock] = ACTIONS(1612),
    [sym__automatic_separator] = ACTIONS(1610),
    [sym__c_string_opening] = ACTIONS(1610),
    [sym__raw_string_opening] = ACTIONS(1610),
    [sym__string_opening] = ACTIONS(1610),
    [sym__comment] = ACTIONS(3),
  },
  [1273] = {
    [sym_comment] = STATE(1273),
    [sym_identifier] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_LT_DASH] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_LT_LT] = ACTIONS(1510),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_GT_GT_GT] = ACTIONS(1510),
    [anon_sym_AMP_CARET] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_BANGin] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_as] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [sym_none] = ACTIONS(1512),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_map_LBRACK] = ACTIONS(1510),
    [anon_sym_chan] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_thread] = ACTIONS(1512),
    [sym_int_literal] = ACTIONS(1512),
    [sym_float_literal] = ACTIONS(1510),
    [sym_rune_literal] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_array] = ACTIONS(1512),
    [anon_sym_string] = ACTIONS(1512),
    [anon_sym_char] = ACTIONS(1512),
    [anon_sym_sql] = ACTIONS(1512),
    [anon_sym_mut] = ACTIONS(1512),
    [anon_sym_C] = ACTIONS(1512),
    [anon_sym_JS] = ACTIONS(1512),
    [anon_sym_voidptr] = ACTIONS(1512),
    [anon_sym_byteptr] = ACTIONS(1512),
    [anon_sym_charptr] = ACTIONS(1512),
    [anon_sym_i8] = ACTIONS(1512),
    [anon_sym_i16] = ACTIONS(1512),
    [anon_sym_i32] = ACTIONS(1512),
    [anon_sym_int] = ACTIONS(1512),
    [anon_sym_i64] = ACTIONS(1512),
    [anon_sym_byte] = ACTIONS(1512),
    [anon_sym_u8] = ACTIONS(1512),
    [anon_sym_u16] = ACTIONS(1512),
    [anon_sym_u32] = ACTIONS(1512),
    [anon_sym_u64] = ACTIONS(1512),
    [anon_sym_f32] = ACTIONS(1512),
    [anon_sym_f64] = ACTIONS(1512),
    [anon_sym_bool] = ACTIONS(1512),
    [anon_sym_rune] = ACTIONS(1512),
    [anon_sym_map] = ACTIONS(1512),
    [anon_sym_mapnode] = ACTIONS(1512),
    [anon_sym_size_t] = ACTIONS(1512),
    [anon_sym_usize] = ACTIONS(1512),
    [anon_sym_isize] = ACTIONS(1512),
    [anon_sym_float_literal] = ACTIONS(1512),
    [anon_sym_int_literal] = ACTIONS(1512),
    [anon_sym_IError] = ACTIONS(1512),
    [sym_type_placeholder] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [sym_type_identifier] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_defer] = ACTIONS(1512),
    [anon_sym_unsafe] = ACTIONS(1512),
    [anon_sym_fn] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_go] = ACTIONS(1512),
    [anon_sym_spawn] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_DOLLARfor] = ACTIONS(1510),
    [anon_sym_DOLLARif] = ACTIONS(1510),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1512),
    [anon_sym_BANGis] = ACTIONS(1510),
    [anon_sym_POUND] = ACTIONS(1510),
    [anon_sym_match] = ACTIONS(1512),
    [anon_sym_select] = ACTIONS(1512),
    [anon_sym_lock] = ACTIONS(1512),
    [anon_sym_rlock] = ACTIONS(1512),
    [sym__automatic_separator] = ACTIONS(1510),
    [sym__c_string_opening] = ACTIONS(1510),
    [sym__raw_string_opening] = ACTIONS(1510),
    [sym__string_opening] = ACTIONS(1510),
    [sym__comment] = ACTIONS(3),
  },
  [1274] = {
    [sym_comment] = STATE(1274),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_LT_DASH] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1398),
    [anon_sym_PERCENT] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_GT_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_BANGin] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1398),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_map_LBRACK] = ACTIONS(1398),
    [anon_sym_chan] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_thread] = ACTIONS(1400),
    [sym_int_literal] = ACTIONS(1400),
    [sym_float_literal] = ACTIONS(1398),
    [sym_rune_literal] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_array] = ACTIONS(1400),
    [anon_sym_string] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_sql] = ACTIONS(1400),
    [anon_sym_mut] = ACTIONS(1400),
    [anon_sym_C] = ACTIONS(1400),
    [anon_sym_JS] = ACTIONS(1400),
    [anon_sym_voidptr] = ACTIONS(1400),
    [anon_sym_byteptr] = ACTIONS(1400),
    [anon_sym_charptr] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_int] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_byte] = ACTIONS(1400),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_rune] = ACTIONS(1400),
    [anon_sym_map] = ACTIONS(1400),
    [anon_sym_mapnode] = ACTIONS(1400),
    [anon_sym_size_t] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_float_literal] = ACTIONS(1400),
    [anon_sym_int_literal] = ACTIONS(1400),
    [anon_sym_IError] = ACTIONS(1400),
    [sym_type_placeholder] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [sym_type_identifier] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_defer] = ACTIONS(1400),
    [anon_sym_unsafe] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_go] = ACTIONS(1400),
    [anon_sym_spawn] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_DOLLARfor] = ACTIONS(1398),
    [anon_sym_DOLLARif] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_is] = ACTIONS(1400),
    [anon_sym_BANGis] = ACTIONS(1398),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_match] = ACTIONS(1400),
    [anon_sym_select] = ACTIONS(1400),
    [anon_sym_lock] = ACTIONS(1400),
    [anon_sym_rlock] = ACTIONS(1400),
    [sym__automatic_separator] = ACTIONS(1398),
    [sym__c_string_opening] = ACTIONS(1398),
    [sym__raw_string_opening] = ACTIONS(1398),
    [sym__string_opening] = ACTIONS(1398),
    [sym__comment] = ACTIONS(3),
  },
  [1275] = {
    [sym_comment] = STATE(1275),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1620),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_LT_DASH] = ACTIONS(1620),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PERCENT] = ACTIONS(1620),
    [anon_sym_LT_LT] = ACTIONS(1620),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_GT_GT_GT] = ACTIONS(1620),
    [anon_sym_AMP_CARET] = ACTIONS(1620),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_EQ_EQ] = ACTIONS(1620),
    [anon_sym_BANG_EQ] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1620),
    [anon_sym_in] = ACTIONS(1622),
    [anon_sym_BANGin] = ACTIONS(1620),
    [anon_sym_AMP_AMP] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1620),
    [anon_sym_as] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [sym_none] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_RBRACE] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_map_LBRACK] = ACTIONS(1620),
    [anon_sym_chan] = ACTIONS(1622),
    [anon_sym_shared] = ACTIONS(1622),
    [anon_sym_thread] = ACTIONS(1622),
    [sym_int_literal] = ACTIONS(1622),
    [sym_float_literal] = ACTIONS(1620),
    [sym_rune_literal] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_array] = ACTIONS(1622),
    [anon_sym_string] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_sql] = ACTIONS(1622),
    [anon_sym_mut] = ACTIONS(1622),
    [anon_sym_C] = ACTIONS(1622),
    [anon_sym_JS] = ACTIONS(1622),
    [anon_sym_voidptr] = ACTIONS(1622),
    [anon_sym_byteptr] = ACTIONS(1622),
    [anon_sym_charptr] = ACTIONS(1622),
    [anon_sym_i8] = ACTIONS(1622),
    [anon_sym_i16] = ACTIONS(1622),
    [anon_sym_i32] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_i64] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_u8] = ACTIONS(1622),
    [anon_sym_u16] = ACTIONS(1622),
    [anon_sym_u32] = ACTIONS(1622),
    [anon_sym_u64] = ACTIONS(1622),
    [anon_sym_f32] = ACTIONS(1622),
    [anon_sym_f64] = ACTIONS(1622),
    [anon_sym_bool] = ACTIONS(1622),
    [anon_sym_rune] = ACTIONS(1622),
    [anon_sym_map] = ACTIONS(1622),
    [anon_sym_mapnode] = ACTIONS(1622),
    [anon_sym_size_t] = ACTIONS(1622),
    [anon_sym_usize] = ACTIONS(1622),
    [anon_sym_isize] = ACTIONS(1622),
    [anon_sym_float_literal] = ACTIONS(1622),
    [anon_sym_int_literal] = ACTIONS(1622),
    [anon_sym_IError] = ACTIONS(1622),
    [sym_type_placeholder] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [sym_type_identifier] = ACTIONS(1622),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_defer] = ACTIONS(1622),
    [anon_sym_unsafe] = ACTIONS(1622),
    [anon_sym_fn] = ACTIONS(1622),
    [anon_sym_asm] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_go] = ACTIONS(1622),
    [anon_sym_spawn] = ACTIONS(1622),
    [anon_sym_goto] = ACTIONS(1622),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_DOLLARfor] = ACTIONS(1620),
    [anon_sym_DOLLARif] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_is] = ACTIONS(1622),
    [anon_sym_BANGis] = ACTIONS(1620),
    [anon_sym_POUND] = ACTIONS(1620),
    [anon_sym_match] = ACTIONS(1622),
    [anon_sym_select] = ACTIONS(1622),
    [anon_sym_lock] = ACTIONS(1622),
    [anon_sym_rlock] = ACTIONS(1622),
    [sym__automatic_separator] = ACTIONS(1620),
    [sym__c_string_opening] = ACTIONS(1620),
    [sym__raw_string_opening] = ACTIONS(1620),
    [sym__string_opening] = ACTIONS(1620),
    [sym__comment] = ACTIONS(3),
  },
  [1276] = {
    [sym_comment] = STATE(1276),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_LT_DASH] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1426),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1428),
    [anon_sym_GT_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_BANGin] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_as] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [sym_none] = ACTIONS(1428),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_map_LBRACK] = ACTIONS(1426),
    [anon_sym_chan] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_thread] = ACTIONS(1428),
    [sym_int_literal] = ACTIONS(1428),
    [sym_float_literal] = ACTIONS(1426),
    [sym_rune_literal] = ACTIONS(1426),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_array] = ACTIONS(1428),
    [anon_sym_string] = ACTIONS(1428),
    [anon_sym_char] = ACTIONS(1428),
    [anon_sym_sql] = ACTIONS(1428),
    [anon_sym_mut] = ACTIONS(1428),
    [anon_sym_C] = ACTIONS(1428),
    [anon_sym_JS] = ACTIONS(1428),
    [anon_sym_voidptr] = ACTIONS(1428),
    [anon_sym_byteptr] = ACTIONS(1428),
    [anon_sym_charptr] = ACTIONS(1428),
    [anon_sym_i8] = ACTIONS(1428),
    [anon_sym_i16] = ACTIONS(1428),
    [anon_sym_i32] = ACTIONS(1428),
    [anon_sym_int] = ACTIONS(1428),
    [anon_sym_i64] = ACTIONS(1428),
    [anon_sym_byte] = ACTIONS(1428),
    [anon_sym_u8] = ACTIONS(1428),
    [anon_sym_u16] = ACTIONS(1428),
    [anon_sym_u32] = ACTIONS(1428),
    [anon_sym_u64] = ACTIONS(1428),
    [anon_sym_f32] = ACTIONS(1428),
    [anon_sym_f64] = ACTIONS(1428),
    [anon_sym_bool] = ACTIONS(1428),
    [anon_sym_rune] = ACTIONS(1428),
    [anon_sym_map] = ACTIONS(1428),
    [anon_sym_mapnode] = ACTIONS(1428),
    [anon_sym_size_t] = ACTIONS(1428),
    [anon_sym_usize] = ACTIONS(1428),
    [anon_sym_isize] = ACTIONS(1428),
    [anon_sym_float_literal] = ACTIONS(1428),
    [anon_sym_int_literal] = ACTIONS(1428),
    [anon_sym_IError] = ACTIONS(1428),
    [sym_type_placeholder] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [sym_type_identifier] = ACTIONS(1428),
    [anon_sym_assert] = ACTIONS(1428),
    [anon_sym_defer] = ACTIONS(1428),
    [anon_sym_unsafe] = ACTIONS(1428),
    [anon_sym_fn] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_go] = ACTIONS(1428),
    [anon_sym_spawn] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_DOLLARfor] = ACTIONS(1426),
    [anon_sym_DOLLARif] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_is] = ACTIONS(1428),
    [anon_sym_BANGis] = ACTIONS(1426),
    [anon_sym_POUND] = ACTIONS(1426),
    [anon_sym_match] = ACTIONS(1428),
    [anon_sym_select] = ACTIONS(1428),
    [anon_sym_lock] = ACTIONS(1428),
    [anon_sym_rlock] = ACTIONS(1428),
    [sym__automatic_separator] = ACTIONS(1426),
    [sym__c_string_opening] = ACTIONS(1426),
    [sym__raw_string_opening] = ACTIONS(1426),
    [sym__string_opening] = ACTIONS(1426),
    [sym__comment] = ACTIONS(3),
  },
  [1277] = {
    [sym_comment] = STATE(1277),
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_LT_DASH] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1560),
    [anon_sym_PERCENT] = ACTIONS(1560),
    [anon_sym_LT_LT] = ACTIONS(1560),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1560),
    [anon_sym_AMP_CARET] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_BANGin] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1560),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1562),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_none] = ACTIONS(1562),
    [sym_true] = ACTIONS(1562),
    [sym_false] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_map_LBRACK] = ACTIONS(1560),
    [anon_sym_chan] = ACTIONS(1562),
    [anon_sym_shared] = ACTIONS(1562),
    [anon_sym_thread] = ACTIONS(1562),
    [sym_int_literal] = ACTIONS(1562),
    [sym_float_literal] = ACTIONS(1560),
    [sym_rune_literal] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_array] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_char] = ACTIONS(1562),
    [anon_sym_sql] = ACTIONS(1562),
    [anon_sym_mut] = ACTIONS(1562),
    [anon_sym_C] = ACTIONS(1562),
    [anon_sym_JS] = ACTIONS(1562),
    [anon_sym_voidptr] = ACTIONS(1562),
    [anon_sym_byteptr] = ACTIONS(1562),
    [anon_sym_charptr] = ACTIONS(1562),
    [anon_sym_i8] = ACTIONS(1562),
    [anon_sym_i16] = ACTIONS(1562),
    [anon_sym_i32] = ACTIONS(1562),
    [anon_sym_int] = ACTIONS(1562),
    [anon_sym_i64] = ACTIONS(1562),
    [anon_sym_byte] = ACTIONS(1562),
    [anon_sym_u8] = ACTIONS(1562),
    [anon_sym_u16] = ACTIONS(1562),
    [anon_sym_u32] = ACTIONS(1562),
    [anon_sym_u64] = ACTIONS(1562),
    [anon_sym_f32] = ACTIONS(1562),
    [anon_sym_f64] = ACTIONS(1562),
    [anon_sym_bool] = ACTIONS(1562),
    [anon_sym_rune] = ACTIONS(1562),
    [anon_sym_map] = ACTIONS(1562),
    [anon_sym_mapnode] = ACTIONS(1562),
    [anon_sym_size_t] = ACTIONS(1562),
    [anon_sym_usize] = ACTIONS(1562),
    [anon_sym_isize] = ACTIONS(1562),
    [anon_sym_float_literal] = ACTIONS(1562),
    [anon_sym_int_literal] = ACTIONS(1562),
    [anon_sym_IError] = ACTIONS(1562),
    [sym_type_placeholder] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [sym_type_identifier] = ACTIONS(1562),
    [anon_sym_assert] = ACTIONS(1562),
    [anon_sym_defer] = ACTIONS(1562),
    [anon_sym_unsafe] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym_asm] = ACTIONS(1562),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_continue] = ACTIONS(1562),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_go] = ACTIONS(1562),
    [anon_sym_spawn] = ACTIONS(1562),
    [anon_sym_goto] = ACTIONS(1562),
    [anon_sym_for] = ACTIONS(1562),
    [anon_sym_DOLLARfor] = ACTIONS(1560),
    [anon_sym_DOLLARif] = ACTIONS(1560),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_is] = ACTIONS(1562),
    [anon_sym_BANGis] = ACTIONS(1560),
    [anon_sym_POUND] = ACTIONS(1560),
    [anon_sym_match] = ACTIONS(1562),
    [anon_sym_select] = ACTIONS(1562),
    [anon_sym_lock] = ACTIONS(1562),
    [anon_sym_rlock] = ACTIONS(1562),
    [sym__automatic_separator] = ACTIONS(1560),
    [sym__c_string_opening] = ACTIONS(1560),
    [sym__raw_string_opening] = ACTIONS(1560),
    [sym__string_opening] = ACTIONS(1560),
    [sym__comment] = ACTIONS(3),
  },
  [1278] = {
    [sym_comment] = STATE(1278),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_CARET] = ACTIONS(1290),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_LT_DASH] = ACTIONS(1290),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(1290),
    [anon_sym_LT_LT] = ACTIONS(1290),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_GT_GT_GT] = ACTIONS(1290),
    [anon_sym_AMP_CARET] = ACTIONS(1290),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_EQ_EQ] = ACTIONS(1290),
    [anon_sym_BANG_EQ] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_BANGin] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_as] = ACTIONS(1292),
    [anon_sym_COMMA] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [sym_none] = ACTIONS(1292),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_map_LBRACK] = ACTIONS(1290),
    [anon_sym_chan] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_thread] = ACTIONS(1292),
    [sym_int_literal] = ACTIONS(1292),
    [sym_float_literal] = ACTIONS(1290),
    [sym_rune_literal] = ACTIONS(1290),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_array] = ACTIONS(1292),
    [anon_sym_string] = ACTIONS(1292),
    [anon_sym_char] = ACTIONS(1292),
    [anon_sym_sql] = ACTIONS(1292),
    [anon_sym_mut] = ACTIONS(1292),
    [anon_sym_C] = ACTIONS(1292),
    [anon_sym_JS] = ACTIONS(1292),
    [anon_sym_voidptr] = ACTIONS(1292),
    [anon_sym_byteptr] = ACTIONS(1292),
    [anon_sym_charptr] = ACTIONS(1292),
    [anon_sym_i8] = ACTIONS(1292),
    [anon_sym_i16] = ACTIONS(1292),
    [anon_sym_i32] = ACTIONS(1292),
    [anon_sym_int] = ACTIONS(1292),
    [anon_sym_i64] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(1292),
    [anon_sym_u8] = ACTIONS(1292),
    [anon_sym_u16] = ACTIONS(1292),
    [anon_sym_u32] = ACTIONS(1292),
    [anon_sym_u64] = ACTIONS(1292),
    [anon_sym_f32] = ACTIONS(1292),
    [anon_sym_f64] = ACTIONS(1292),
    [anon_sym_bool] = ACTIONS(1292),
    [anon_sym_rune] = ACTIONS(1292),
    [anon_sym_map] = ACTIONS(1292),
    [anon_sym_mapnode] = ACTIONS(1292),
    [anon_sym_size_t] = ACTIONS(1292),
    [anon_sym_usize] = ACTIONS(1292),
    [anon_sym_isize] = ACTIONS(1292),
    [anon_sym_float_literal] = ACTIONS(1292),
    [anon_sym_int_literal] = ACTIONS(1292),
    [anon_sym_IError] = ACTIONS(1292),
    [sym_type_placeholder] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [sym_type_identifier] = ACTIONS(1292),
    [anon_sym_assert] = ACTIONS(1292),
    [anon_sym_defer] = ACTIONS(1292),
    [anon_sym_unsafe] = ACTIONS(1292),
    [anon_sym_fn] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_go] = ACTIONS(1292),
    [anon_sym_spawn] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_DOLLARfor] = ACTIONS(1290),
    [anon_sym_DOLLARif] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_is] = ACTIONS(1292),
    [anon_sym_BANGis] = ACTIONS(1290),
    [anon_sym_POUND] = ACTIONS(1290),
    [anon_sym_match] = ACTIONS(1292),
    [anon_sym_select] = ACTIONS(1292),
    [anon_sym_lock] = ACTIONS(1292),
    [anon_sym_rlock] = ACTIONS(1292),
    [sym__automatic_separator] = ACTIONS(1290),
    [sym__c_string_opening] = ACTIONS(1290),
    [sym__raw_string_opening] = ACTIONS(1290),
    [sym__string_opening] = ACTIONS(1290),
    [sym__comment] = ACTIONS(3),
  },
  [1279] = {
    [sym_comment] = STATE(1279),
    [sym_identifier] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_LT_DASH] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1364),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_EQ_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_in] = ACTIONS(1366),
    [anon_sym_BANGin] = ACTIONS(1364),
    [anon_sym_AMP_AMP] = ACTIONS(1364),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_as] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [sym_none] = ACTIONS(1366),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_map_LBRACK] = ACTIONS(1364),
    [anon_sym_chan] = ACTIONS(1366),
    [anon_sym_shared] = ACTIONS(1366),
    [anon_sym_thread] = ACTIONS(1366),
    [sym_int_literal] = ACTIONS(1366),
    [sym_float_literal] = ACTIONS(1364),
    [sym_rune_literal] = ACTIONS(1364),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_array] = ACTIONS(1366),
    [anon_sym_string] = ACTIONS(1366),
    [anon_sym_char] = ACTIONS(1366),
    [anon_sym_sql] = ACTIONS(1366),
    [anon_sym_mut] = ACTIONS(1366),
    [anon_sym_C] = ACTIONS(1366),
    [anon_sym_JS] = ACTIONS(1366),
    [anon_sym_voidptr] = ACTIONS(1366),
    [anon_sym_byteptr] = ACTIONS(1366),
    [anon_sym_charptr] = ACTIONS(1366),
    [anon_sym_i8] = ACTIONS(1366),
    [anon_sym_i16] = ACTIONS(1366),
    [anon_sym_i32] = ACTIONS(1366),
    [anon_sym_int] = ACTIONS(1366),
    [anon_sym_i64] = ACTIONS(1366),
    [anon_sym_byte] = ACTIONS(1366),
    [anon_sym_u8] = ACTIONS(1366),
    [anon_sym_u16] = ACTIONS(1366),
    [anon_sym_u32] = ACTIONS(1366),
    [anon_sym_u64] = ACTIONS(1366),
    [anon_sym_f32] = ACTIONS(1366),
    [anon_sym_f64] = ACTIONS(1366),
    [anon_sym_bool] = ACTIONS(1366),
    [anon_sym_rune] = ACTIONS(1366),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_mapnode] = ACTIONS(1366),
    [anon_sym_size_t] = ACTIONS(1366),
    [anon_sym_usize] = ACTIONS(1366),
    [anon_sym_isize] = ACTIONS(1366),
    [anon_sym_float_literal] = ACTIONS(1366),
    [anon_sym_int_literal] = ACTIONS(1366),
    [anon_sym_IError] = ACTIONS(1366),
    [sym_type_placeholder] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [sym_type_identifier] = ACTIONS(1366),
    [anon_sym_assert] = ACTIONS(1366),
    [anon_sym_defer] = ACTIONS(1366),
    [anon_sym_unsafe] = ACTIONS(1366),
    [anon_sym_fn] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_go] = ACTIONS(1366),
    [anon_sym_spawn] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_DOLLARfor] = ACTIONS(1364),
    [anon_sym_DOLLARif] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_is] = ACTIONS(1366),
    [anon_sym_BANGis] = ACTIONS(1364),
    [anon_sym_POUND] = ACTIONS(1364),
    [anon_sym_match] = ACTIONS(1366),
    [anon_sym_select] = ACTIONS(1366),
    [anon_sym_lock] = ACTIONS(1366),
    [anon_sym_rlock] = ACTIONS(1366),
    [sym__automatic_separator] = ACTIONS(1364),
    [sym__c_string_opening] = ACTIONS(1364),
    [sym__raw_string_opening] = ACTIONS(1364),
    [sym__string_opening] = ACTIONS(1364),
    [sym__comment] = ACTIONS(3),
  },
  [1280] = {
    [sym_comment] = STATE(1280),
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_LT_DASH] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1420),
    [anon_sym_GT_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_BANGin] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_as] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [sym_none] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_map_LBRACK] = ACTIONS(1418),
    [anon_sym_chan] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_thread] = ACTIONS(1420),
    [sym_int_literal] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1418),
    [sym_rune_literal] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_array] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_char] = ACTIONS(1420),
    [anon_sym_sql] = ACTIONS(1420),
    [anon_sym_mut] = ACTIONS(1420),
    [anon_sym_C] = ACTIONS(1420),
    [anon_sym_JS] = ACTIONS(1420),
    [anon_sym_voidptr] = ACTIONS(1420),
    [anon_sym_byteptr] = ACTIONS(1420),
    [anon_sym_charptr] = ACTIONS(1420),
    [anon_sym_i8] = ACTIONS(1420),
    [anon_sym_i16] = ACTIONS(1420),
    [anon_sym_i32] = ACTIONS(1420),
    [anon_sym_int] = ACTIONS(1420),
    [anon_sym_i64] = ACTIONS(1420),
    [anon_sym_byte] = ACTIONS(1420),
    [anon_sym_u8] = ACTIONS(1420),
    [anon_sym_u16] = ACTIONS(1420),
    [anon_sym_u32] = ACTIONS(1420),
    [anon_sym_u64] = ACTIONS(1420),
    [anon_sym_f32] = ACTIONS(1420),
    [anon_sym_f64] = ACTIONS(1420),
    [anon_sym_bool] = ACTIONS(1420),
    [anon_sym_rune] = ACTIONS(1420),
    [anon_sym_map] = ACTIONS(1420),
    [anon_sym_mapnode] = ACTIONS(1420),
    [anon_sym_size_t] = ACTIONS(1420),
    [anon_sym_usize] = ACTIONS(1420),
    [anon_sym_isize] = ACTIONS(1420),
    [anon_sym_float_literal] = ACTIONS(1420),
    [anon_sym_int_literal] = ACTIONS(1420),
    [anon_sym_IError] = ACTIONS(1420),
    [sym_type_placeholder] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [sym_type_identifier] = ACTIONS(1420),
    [anon_sym_assert] = ACTIONS(1420),
    [anon_sym_defer] = ACTIONS(1420),
    [anon_sym_unsafe] = ACTIONS(1420),
    [anon_sym_fn] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_go] = ACTIONS(1420),
    [anon_sym_spawn] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_DOLLARfor] = ACTIONS(1418),
    [anon_sym_DOLLARif] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_is] = ACTIONS(1420),
    [anon_sym_BANGis] = ACTIONS(1418),
    [anon_sym_POUND] = ACTIONS(1418),
    [anon_sym_match] = ACTIONS(1420),
    [anon_sym_select] = ACTIONS(1420),
    [anon_sym_lock] = ACTIONS(1420),
    [anon_sym_rlock] = ACTIONS(1420),
    [sym__automatic_separator] = ACTIONS(1418),
    [sym__c_string_opening] = ACTIONS(1418),
    [sym__raw_string_opening] = ACTIONS(1418),
    [sym__string_opening] = ACTIONS(1418),
    [sym__comment] = ACTIONS(3),
  },
  [1281] = {
    [sym_comment] = STATE(1281),
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_LT_DASH] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1500),
    [anon_sym_PERCENT] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_GT_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_BANGin] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [sym_none] = ACTIONS(1502),
    [sym_true] = ACTIONS(1502),
    [sym_false] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_map_LBRACK] = ACTIONS(1500),
    [anon_sym_chan] = ACTIONS(1502),
    [anon_sym_shared] = ACTIONS(1502),
    [anon_sym_thread] = ACTIONS(1502),
    [sym_int_literal] = ACTIONS(1502),
    [sym_float_literal] = ACTIONS(1500),
    [sym_rune_literal] = ACTIONS(1500),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_array] = ACTIONS(1502),
    [anon_sym_string] = ACTIONS(1502),
    [anon_sym_char] = ACTIONS(1502),
    [anon_sym_sql] = ACTIONS(1502),
    [anon_sym_mut] = ACTIONS(1502),
    [anon_sym_C] = ACTIONS(1502),
    [anon_sym_JS] = ACTIONS(1502),
    [anon_sym_voidptr] = ACTIONS(1502),
    [anon_sym_byteptr] = ACTIONS(1502),
    [anon_sym_charptr] = ACTIONS(1502),
    [anon_sym_i8] = ACTIONS(1502),
    [anon_sym_i16] = ACTIONS(1502),
    [anon_sym_i32] = ACTIONS(1502),
    [anon_sym_int] = ACTIONS(1502),
    [anon_sym_i64] = ACTIONS(1502),
    [anon_sym_byte] = ACTIONS(1502),
    [anon_sym_u8] = ACTIONS(1502),
    [anon_sym_u16] = ACTIONS(1502),
    [anon_sym_u32] = ACTIONS(1502),
    [anon_sym_u64] = ACTIONS(1502),
    [anon_sym_f32] = ACTIONS(1502),
    [anon_sym_f64] = ACTIONS(1502),
    [anon_sym_bool] = ACTIONS(1502),
    [anon_sym_rune] = ACTIONS(1502),
    [anon_sym_map] = ACTIONS(1502),
    [anon_sym_mapnode] = ACTIONS(1502),
    [anon_sym_size_t] = ACTIONS(1502),
    [anon_sym_usize] = ACTIONS(1502),
    [anon_sym_isize] = ACTIONS(1502),
    [anon_sym_float_literal] = ACTIONS(1502),
    [anon_sym_int_literal] = ACTIONS(1502),
    [anon_sym_IError] = ACTIONS(1502),
    [sym_type_placeholder] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [sym_type_identifier] = ACTIONS(1502),
    [anon_sym_assert] = ACTIONS(1502),
    [anon_sym_defer] = ACTIONS(1502),
    [anon_sym_unsafe] = ACTIONS(1502),
    [anon_sym_fn] = ACTIONS(1502),
    [anon_sym_asm] = ACTIONS(1502),
    [anon_sym_break] = ACTIONS(1502),
    [anon_sym_continue] = ACTIONS(1502),
    [anon_sym_return] = ACTIONS(1502),
    [anon_sym_go] = ACTIONS(1502),
    [anon_sym_spawn] = ACTIONS(1502),
    [anon_sym_goto] = ACTIONS(1502),
    [anon_sym_for] = ACTIONS(1502),
    [anon_sym_DOLLARfor] = ACTIONS(1500),
    [anon_sym_DOLLARif] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1502),
    [anon_sym_is] = ACTIONS(1502),
    [anon_sym_BANGis] = ACTIONS(1500),
    [anon_sym_POUND] = ACTIONS(1500),
    [anon_sym_match] = ACTIONS(1502),
    [anon_sym_select] = ACTIONS(1502),
    [anon_sym_lock] = ACTIONS(1502),
    [anon_sym_rlock] = ACTIONS(1502),
    [sym__automatic_separator] = ACTIONS(1500),
    [sym__c_string_opening] = ACTIONS(1500),
    [sym__raw_string_opening] = ACTIONS(1500),
    [sym__string_opening] = ACTIONS(1500),
    [sym__comment] = ACTIONS(3),
  },
  [1282] = {
    [sym_comment] = STATE(1282),
    [sym_identifier] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_LT_DASH] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [anon_sym_LT_LT] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_GT_GT_GT] = ACTIONS(1334),
    [anon_sym_AMP_CARET] = ACTIONS(1334),
    [anon_sym_PIPE] = ACTIONS(1336),
    [anon_sym_EQ_EQ] = ACTIONS(1334),
    [anon_sym_BANG_EQ] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1336),
    [anon_sym_LT_EQ] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1336),
    [anon_sym_GT_EQ] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_BANGin] = ACTIONS(1334),
    [anon_sym_AMP_AMP] = ACTIONS(1334),
    [anon_sym_PIPE_PIPE] = ACTIONS(1334),
    [anon_sym_as] = ACTIONS(1336),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [sym_none] = ACTIONS(1336),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_map_LBRACK] = ACTIONS(1334),
    [anon_sym_chan] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_thread] = ACTIONS(1336),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1336),
    [anon_sym_array] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_char] = ACTIONS(1336),
    [anon_sym_sql] = ACTIONS(1336),
    [anon_sym_mut] = ACTIONS(1336),
    [anon_sym_C] = ACTIONS(1336),
    [anon_sym_JS] = ACTIONS(1336),
    [anon_sym_voidptr] = ACTIONS(1336),
    [anon_sym_byteptr] = ACTIONS(1336),
    [anon_sym_charptr] = ACTIONS(1336),
    [anon_sym_i8] = ACTIONS(1336),
    [anon_sym_i16] = ACTIONS(1336),
    [anon_sym_i32] = ACTIONS(1336),
    [anon_sym_int] = ACTIONS(1336),
    [anon_sym_i64] = ACTIONS(1336),
    [anon_sym_byte] = ACTIONS(1336),
    [anon_sym_u8] = ACTIONS(1336),
    [anon_sym_u16] = ACTIONS(1336),
    [anon_sym_u32] = ACTIONS(1336),
    [anon_sym_u64] = ACTIONS(1336),
    [anon_sym_f32] = ACTIONS(1336),
    [anon_sym_f64] = ACTIONS(1336),
    [anon_sym_bool] = ACTIONS(1336),
    [anon_sym_rune] = ACTIONS(1336),
    [anon_sym_map] = ACTIONS(1336),
    [anon_sym_mapnode] = ACTIONS(1336),
    [anon_sym_size_t] = ACTIONS(1336),
    [anon_sym_usize] = ACTIONS(1336),
    [anon_sym_isize] = ACTIONS(1336),
    [anon_sym_float_literal] = ACTIONS(1336),
    [anon_sym_int_literal] = ACTIONS(1336),
    [anon_sym_IError] = ACTIONS(1336),
    [sym_type_placeholder] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [sym_type_identifier] = ACTIONS(1336),
    [anon_sym_assert] = ACTIONS(1336),
    [anon_sym_defer] = ACTIONS(1336),
    [anon_sym_unsafe] = ACTIONS(1336),
    [anon_sym_fn] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_go] = ACTIONS(1336),
    [anon_sym_spawn] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_DOLLARfor] = ACTIONS(1334),
    [anon_sym_DOLLARif] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_is] = ACTIONS(1336),
    [anon_sym_BANGis] = ACTIONS(1334),
    [anon_sym_POUND] = ACTIONS(1334),
    [anon_sym_match] = ACTIONS(1336),
    [anon_sym_select] = ACTIONS(1336),
    [anon_sym_lock] = ACTIONS(1336),
    [anon_sym_rlock] = ACTIONS(1336),
    [sym__automatic_separator] = ACTIONS(1334),
    [sym__c_string_opening] = ACTIONS(1334),
    [sym__raw_string_opening] = ACTIONS(1334),
    [sym__string_opening] = ACTIONS(1334),
    [sym__comment] = ACTIONS(3),
  },
  [1283] = {
    [sym_comment] = STATE(1283),
    [sym_identifier] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_LT_DASH] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1340),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1340),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_GT_GT_GT] = ACTIONS(1340),
    [anon_sym_AMP_CARET] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_in] = ACTIONS(1342),
    [anon_sym_BANGin] = ACTIONS(1340),
    [anon_sym_AMP_AMP] = ACTIONS(1340),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_as] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [sym_none] = ACTIONS(1342),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_map_LBRACK] = ACTIONS(1340),
    [anon_sym_chan] = ACTIONS(1342),
    [anon_sym_shared] = ACTIONS(1342),
    [anon_sym_thread] = ACTIONS(1342),
    [sym_int_literal] = ACTIONS(1342),
    [sym_float_literal] = ACTIONS(1340),
    [sym_rune_literal] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_array] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_char] = ACTIONS(1342),
    [anon_sym_sql] = ACTIONS(1342),
    [anon_sym_mut] = ACTIONS(1342),
    [anon_sym_C] = ACTIONS(1342),
    [anon_sym_JS] = ACTIONS(1342),
    [anon_sym_voidptr] = ACTIONS(1342),
    [anon_sym_byteptr] = ACTIONS(1342),
    [anon_sym_charptr] = ACTIONS(1342),
    [anon_sym_i8] = ACTIONS(1342),
    [anon_sym_i16] = ACTIONS(1342),
    [anon_sym_i32] = ACTIONS(1342),
    [anon_sym_int] = ACTIONS(1342),
    [anon_sym_i64] = ACTIONS(1342),
    [anon_sym_byte] = ACTIONS(1342),
    [anon_sym_u8] = ACTIONS(1342),
    [anon_sym_u16] = ACTIONS(1342),
    [anon_sym_u32] = ACTIONS(1342),
    [anon_sym_u64] = ACTIONS(1342),
    [anon_sym_f32] = ACTIONS(1342),
    [anon_sym_f64] = ACTIONS(1342),
    [anon_sym_bool] = ACTIONS(1342),
    [anon_sym_rune] = ACTIONS(1342),
    [anon_sym_map] = ACTIONS(1342),
    [anon_sym_mapnode] = ACTIONS(1342),
    [anon_sym_size_t] = ACTIONS(1342),
    [anon_sym_usize] = ACTIONS(1342),
    [anon_sym_isize] = ACTIONS(1342),
    [anon_sym_float_literal] = ACTIONS(1342),
    [anon_sym_int_literal] = ACTIONS(1342),
    [anon_sym_IError] = ACTIONS(1342),
    [sym_type_placeholder] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [sym_type_identifier] = ACTIONS(1342),
    [anon_sym_assert] = ACTIONS(1342),
    [anon_sym_defer] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1342),
    [anon_sym_fn] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_go] = ACTIONS(1342),
    [anon_sym_spawn] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_DOLLARfor] = ACTIONS(1340),
    [anon_sym_DOLLARif] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_is] = ACTIONS(1342),
    [anon_sym_BANGis] = ACTIONS(1340),
    [anon_sym_POUND] = ACTIONS(1340),
    [anon_sym_match] = ACTIONS(1342),
    [anon_sym_select] = ACTIONS(1342),
    [anon_sym_lock] = ACTIONS(1342),
    [anon_sym_rlock] = ACTIONS(1342),
    [sym__automatic_separator] = ACTIONS(1340),
    [sym__c_string_opening] = ACTIONS(1340),
    [sym__raw_string_opening] = ACTIONS(1340),
    [sym__string_opening] = ACTIONS(1340),
    [sym__comment] = ACTIONS(3),
  },
  [1284] = {
    [sym_comment] = STATE(1284),
    [sym_identifier] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_LT_DASH] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1494),
    [anon_sym_GT_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1494),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1494),
    [anon_sym_BANGin] = ACTIONS(1492),
    [anon_sym_AMP_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_as] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [sym_none] = ACTIONS(1494),
    [sym_true] = ACTIONS(1494),
    [sym_false] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_map_LBRACK] = ACTIONS(1492),
    [anon_sym_chan] = ACTIONS(1494),
    [anon_sym_shared] = ACTIONS(1494),
    [anon_sym_thread] = ACTIONS(1494),
    [sym_int_literal] = ACTIONS(1494),
    [sym_float_literal] = ACTIONS(1492),
    [sym_rune_literal] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1494),
    [anon_sym_array] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_char] = ACTIONS(1494),
    [anon_sym_sql] = ACTIONS(1494),
    [anon_sym_mut] = ACTIONS(1494),
    [anon_sym_C] = ACTIONS(1494),
    [anon_sym_JS] = ACTIONS(1494),
    [anon_sym_voidptr] = ACTIONS(1494),
    [anon_sym_byteptr] = ACTIONS(1494),
    [anon_sym_charptr] = ACTIONS(1494),
    [anon_sym_i8] = ACTIONS(1494),
    [anon_sym_i16] = ACTIONS(1494),
    [anon_sym_i32] = ACTIONS(1494),
    [anon_sym_int] = ACTIONS(1494),
    [anon_sym_i64] = ACTIONS(1494),
    [anon_sym_byte] = ACTIONS(1494),
    [anon_sym_u8] = ACTIONS(1494),
    [anon_sym_u16] = ACTIONS(1494),
    [anon_sym_u32] = ACTIONS(1494),
    [anon_sym_u64] = ACTIONS(1494),
    [anon_sym_f32] = ACTIONS(1494),
    [anon_sym_f64] = ACTIONS(1494),
    [anon_sym_bool] = ACTIONS(1494),
    [anon_sym_rune] = ACTIONS(1494),
    [anon_sym_map] = ACTIONS(1494),
    [anon_sym_mapnode] = ACTIONS(1494),
    [anon_sym_size_t] = ACTIONS(1494),
    [anon_sym_usize] = ACTIONS(1494),
    [anon_sym_isize] = ACTIONS(1494),
    [anon_sym_float_literal] = ACTIONS(1494),
    [anon_sym_int_literal] = ACTIONS(1494),
    [anon_sym_IError] = ACTIONS(1494),
    [sym_type_placeholder] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym_type_identifier] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_defer] = ACTIONS(1494),
    [anon_sym_unsafe] = ACTIONS(1494),
    [anon_sym_fn] = ACTIONS(1494),
    [anon_sym_asm] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_continue] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_go] = ACTIONS(1494),
    [anon_sym_spawn] = ACTIONS(1494),
    [anon_sym_goto] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_DOLLARfor] = ACTIONS(1492),
    [anon_sym_DOLLARif] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_is] = ACTIONS(1494),
    [anon_sym_BANGis] = ACTIONS(1492),
    [anon_sym_POUND] = ACTIONS(1492),
    [anon_sym_match] = ACTIONS(1494),
    [anon_sym_select] = ACTIONS(1494),
    [anon_sym_lock] = ACTIONS(1494),
    [anon_sym_rlock] = ACTIONS(1494),
    [sym__automatic_separator] = ACTIONS(1492),
    [sym__c_string_opening] = ACTIONS(1492),
    [sym__raw_string_opening] = ACTIONS(1492),
    [sym__string_opening] = ACTIONS(1492),
    [sym__comment] = ACTIONS(3),
  },
  [1285] = {
    [sym_comment] = STATE(1285),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_LT_LT] = ACTIONS(1482),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1482),
    [anon_sym_AMP_CARET] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_BANGin] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_as] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [sym_none] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_map_LBRACK] = ACTIONS(1482),
    [anon_sym_chan] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_thread] = ACTIONS(1484),
    [sym_int_literal] = ACTIONS(1484),
    [sym_float_literal] = ACTIONS(1482),
    [sym_rune_literal] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_array] = ACTIONS(1484),
    [anon_sym_string] = ACTIONS(1484),
    [anon_sym_char] = ACTIONS(1484),
    [anon_sym_sql] = ACTIONS(1484),
    [anon_sym_mut] = ACTIONS(1484),
    [anon_sym_C] = ACTIONS(1484),
    [anon_sym_JS] = ACTIONS(1484),
    [anon_sym_voidptr] = ACTIONS(1484),
    [anon_sym_byteptr] = ACTIONS(1484),
    [anon_sym_charptr] = ACTIONS(1484),
    [anon_sym_i8] = ACTIONS(1484),
    [anon_sym_i16] = ACTIONS(1484),
    [anon_sym_i32] = ACTIONS(1484),
    [anon_sym_int] = ACTIONS(1484),
    [anon_sym_i64] = ACTIONS(1484),
    [anon_sym_byte] = ACTIONS(1484),
    [anon_sym_u8] = ACTIONS(1484),
    [anon_sym_u16] = ACTIONS(1484),
    [anon_sym_u32] = ACTIONS(1484),
    [anon_sym_u64] = ACTIONS(1484),
    [anon_sym_f32] = ACTIONS(1484),
    [anon_sym_f64] = ACTIONS(1484),
    [anon_sym_bool] = ACTIONS(1484),
    [anon_sym_rune] = ACTIONS(1484),
    [anon_sym_map] = ACTIONS(1484),
    [anon_sym_mapnode] = ACTIONS(1484),
    [anon_sym_size_t] = ACTIONS(1484),
    [anon_sym_usize] = ACTIONS(1484),
    [anon_sym_isize] = ACTIONS(1484),
    [anon_sym_float_literal] = ACTIONS(1484),
    [anon_sym_int_literal] = ACTIONS(1484),
    [anon_sym_IError] = ACTIONS(1484),
    [sym_type_placeholder] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym_type_identifier] = ACTIONS(1484),
    [anon_sym_assert] = ACTIONS(1484),
    [anon_sym_defer] = ACTIONS(1484),
    [anon_sym_unsafe] = ACTIONS(1484),
    [anon_sym_fn] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_go] = ACTIONS(1484),
    [anon_sym_spawn] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_DOLLARfor] = ACTIONS(1482),
    [anon_sym_DOLLARif] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1484),
    [anon_sym_BANGis] = ACTIONS(1482),
    [anon_sym_POUND] = ACTIONS(1482),
    [anon_sym_match] = ACTIONS(1484),
    [anon_sym_select] = ACTIONS(1484),
    [anon_sym_lock] = ACTIONS(1484),
    [anon_sym_rlock] = ACTIONS(1484),
    [sym__automatic_separator] = ACTIONS(1482),
    [sym__c_string_opening] = ACTIONS(1482),
    [sym__raw_string_opening] = ACTIONS(1482),
    [sym__string_opening] = ACTIONS(1482),
    [sym__comment] = ACTIONS(3),
  },
  [1286] = {
    [sym_comment] = STATE(1286),
    [sym_identifier] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_LT_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_PERCENT] = ACTIONS(1344),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1346),
    [anon_sym_GT_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP_CARET] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_EQ_EQ] = ACTIONS(1344),
    [anon_sym_BANG_EQ] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1346),
    [anon_sym_LT_EQ] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1346),
    [anon_sym_GT_EQ] = ACTIONS(1344),
    [anon_sym_in] = ACTIONS(1346),
    [anon_sym_BANGin] = ACTIONS(1344),
    [anon_sym_AMP_AMP] = ACTIONS(1344),
    [anon_sym_PIPE_PIPE] = ACTIONS(1344),
    [anon_sym_as] = ACTIONS(1346),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [sym_none] = ACTIONS(1346),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_map_LBRACK] = ACTIONS(1344),
    [anon_sym_chan] = ACTIONS(1346),
    [anon_sym_shared] = ACTIONS(1346),
    [anon_sym_thread] = ACTIONS(1346),
    [sym_int_literal] = ACTIONS(1346),
    [sym_float_literal] = ACTIONS(1344),
    [sym_rune_literal] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1346),
    [anon_sym_array] = ACTIONS(1346),
    [anon_sym_string] = ACTIONS(1346),
    [anon_sym_char] = ACTIONS(1346),
    [anon_sym_sql] = ACTIONS(1346),
    [anon_sym_mut] = ACTIONS(1346),
    [anon_sym_C] = ACTIONS(1346),
    [anon_sym_JS] = ACTIONS(1346),
    [anon_sym_voidptr] = ACTIONS(1346),
    [anon_sym_byteptr] = ACTIONS(1346),
    [anon_sym_charptr] = ACTIONS(1346),
    [anon_sym_i8] = ACTIONS(1346),
    [anon_sym_i16] = ACTIONS(1346),
    [anon_sym_i32] = ACTIONS(1346),
    [anon_sym_int] = ACTIONS(1346),
    [anon_sym_i64] = ACTIONS(1346),
    [anon_sym_byte] = ACTIONS(1346),
    [anon_sym_u8] = ACTIONS(1346),
    [anon_sym_u16] = ACTIONS(1346),
    [anon_sym_u32] = ACTIONS(1346),
    [anon_sym_u64] = ACTIONS(1346),
    [anon_sym_f32] = ACTIONS(1346),
    [anon_sym_f64] = ACTIONS(1346),
    [anon_sym_bool] = ACTIONS(1346),
    [anon_sym_rune] = ACTIONS(1346),
    [anon_sym_map] = ACTIONS(1346),
    [anon_sym_mapnode] = ACTIONS(1346),
    [anon_sym_size_t] = ACTIONS(1346),
    [anon_sym_usize] = ACTIONS(1346),
    [anon_sym_isize] = ACTIONS(1346),
    [anon_sym_float_literal] = ACTIONS(1346),
    [anon_sym_int_literal] = ACTIONS(1346),
    [anon_sym_IError] = ACTIONS(1346),
    [sym_type_placeholder] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [sym_type_identifier] = ACTIONS(1346),
    [anon_sym_assert] = ACTIONS(1346),
    [anon_sym_defer] = ACTIONS(1346),
    [anon_sym_unsafe] = ACTIONS(1346),
    [anon_sym_fn] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_go] = ACTIONS(1346),
    [anon_sym_spawn] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_DOLLARfor] = ACTIONS(1344),
    [anon_sym_DOLLARif] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_is] = ACTIONS(1346),
    [anon_sym_BANGis] = ACTIONS(1344),
    [anon_sym_POUND] = ACTIONS(1344),
    [anon_sym_match] = ACTIONS(1346),
    [anon_sym_select] = ACTIONS(1346),
    [anon_sym_lock] = ACTIONS(1346),
    [anon_sym_rlock] = ACTIONS(1346),
    [sym__automatic_separator] = ACTIONS(1344),
    [sym__c_string_opening] = ACTIONS(1344),
    [sym__raw_string_opening] = ACTIONS(1344),
    [sym__string_opening] = ACTIONS(1344),
    [sym__comment] = ACTIONS(3),
  },
  [1287] = {
    [sym_comment] = STATE(1287),
    [sym_identifier] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_LT_DASH] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1362),
    [anon_sym_GT_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_EQ_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_in] = ACTIONS(1362),
    [anon_sym_BANGin] = ACTIONS(1360),
    [anon_sym_AMP_AMP] = ACTIONS(1360),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_as] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [sym_none] = ACTIONS(1362),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_map_LBRACK] = ACTIONS(1360),
    [anon_sym_chan] = ACTIONS(1362),
    [anon_sym_shared] = ACTIONS(1362),
    [anon_sym_thread] = ACTIONS(1362),
    [sym_int_literal] = ACTIONS(1362),
    [sym_float_literal] = ACTIONS(1360),
    [sym_rune_literal] = ACTIONS(1360),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_array] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_char] = ACTIONS(1362),
    [anon_sym_sql] = ACTIONS(1362),
    [anon_sym_mut] = ACTIONS(1362),
    [anon_sym_C] = ACTIONS(1362),
    [anon_sym_JS] = ACTIONS(1362),
    [anon_sym_voidptr] = ACTIONS(1362),
    [anon_sym_byteptr] = ACTIONS(1362),
    [anon_sym_charptr] = ACTIONS(1362),
    [anon_sym_i8] = ACTIONS(1362),
    [anon_sym_i16] = ACTIONS(1362),
    [anon_sym_i32] = ACTIONS(1362),
    [anon_sym_int] = ACTIONS(1362),
    [anon_sym_i64] = ACTIONS(1362),
    [anon_sym_byte] = ACTIONS(1362),
    [anon_sym_u8] = ACTIONS(1362),
    [anon_sym_u16] = ACTIONS(1362),
    [anon_sym_u32] = ACTIONS(1362),
    [anon_sym_u64] = ACTIONS(1362),
    [anon_sym_f32] = ACTIONS(1362),
    [anon_sym_f64] = ACTIONS(1362),
    [anon_sym_bool] = ACTIONS(1362),
    [anon_sym_rune] = ACTIONS(1362),
    [anon_sym_map] = ACTIONS(1362),
    [anon_sym_mapnode] = ACTIONS(1362),
    [anon_sym_size_t] = ACTIONS(1362),
    [anon_sym_usize] = ACTIONS(1362),
    [anon_sym_isize] = ACTIONS(1362),
    [anon_sym_float_literal] = ACTIONS(1362),
    [anon_sym_int_literal] = ACTIONS(1362),
    [anon_sym_IError] = ACTIONS(1362),
    [sym_type_placeholder] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [sym_type_identifier] = ACTIONS(1362),
    [anon_sym_assert] = ACTIONS(1362),
    [anon_sym_defer] = ACTIONS(1362),
    [anon_sym_unsafe] = ACTIONS(1362),
    [anon_sym_fn] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_go] = ACTIONS(1362),
    [anon_sym_spawn] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_DOLLARfor] = ACTIONS(1360),
    [anon_sym_DOLLARif] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_is] = ACTIONS(1362),
    [anon_sym_BANGis] = ACTIONS(1360),
    [anon_sym_POUND] = ACTIONS(1360),
    [anon_sym_match] = ACTIONS(1362),
    [anon_sym_select] = ACTIONS(1362),
    [anon_sym_lock] = ACTIONS(1362),
    [anon_sym_rlock] = ACTIONS(1362),
    [sym__automatic_separator] = ACTIONS(1360),
    [sym__c_string_opening] = ACTIONS(1360),
    [sym__raw_string_opening] = ACTIONS(1360),
    [sym__string_opening] = ACTIONS(1360),
    [sym__comment] = ACTIONS(3),
  },
  [1288] = {
    [sym_comment] = STATE(1288),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_LT_DASH] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1390),
    [anon_sym_PERCENT] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1392),
    [anon_sym_GT_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_BANGin] = ACTIONS(1390),
    [anon_sym_AMP_AMP] = ACTIONS(1390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_as] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [sym_none] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_map_LBRACK] = ACTIONS(1390),
    [anon_sym_chan] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_thread] = ACTIONS(1392),
    [sym_int_literal] = ACTIONS(1392),
    [sym_float_literal] = ACTIONS(1390),
    [sym_rune_literal] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1392),
    [anon_sym_array] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_char] = ACTIONS(1392),
    [anon_sym_sql] = ACTIONS(1392),
    [anon_sym_mut] = ACTIONS(1392),
    [anon_sym_C] = ACTIONS(1392),
    [anon_sym_JS] = ACTIONS(1392),
    [anon_sym_voidptr] = ACTIONS(1392),
    [anon_sym_byteptr] = ACTIONS(1392),
    [anon_sym_charptr] = ACTIONS(1392),
    [anon_sym_i8] = ACTIONS(1392),
    [anon_sym_i16] = ACTIONS(1392),
    [anon_sym_i32] = ACTIONS(1392),
    [anon_sym_int] = ACTIONS(1392),
    [anon_sym_i64] = ACTIONS(1392),
    [anon_sym_byte] = ACTIONS(1392),
    [anon_sym_u8] = ACTIONS(1392),
    [anon_sym_u16] = ACTIONS(1392),
    [anon_sym_u32] = ACTIONS(1392),
    [anon_sym_u64] = ACTIONS(1392),
    [anon_sym_f32] = ACTIONS(1392),
    [anon_sym_f64] = ACTIONS(1392),
    [anon_sym_bool] = ACTIONS(1392),
    [anon_sym_rune] = ACTIONS(1392),
    [anon_sym_map] = ACTIONS(1392),
    [anon_sym_mapnode] = ACTIONS(1392),
    [anon_sym_size_t] = ACTIONS(1392),
    [anon_sym_usize] = ACTIONS(1392),
    [anon_sym_isize] = ACTIONS(1392),
    [anon_sym_float_literal] = ACTIONS(1392),
    [anon_sym_int_literal] = ACTIONS(1392),
    [anon_sym_IError] = ACTIONS(1392),
    [sym_type_placeholder] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [sym_type_identifier] = ACTIONS(1392),
    [anon_sym_assert] = ACTIONS(1392),
    [anon_sym_defer] = ACTIONS(1392),
    [anon_sym_unsafe] = ACTIONS(1392),
    [anon_sym_fn] = ACTIONS(1392),
    [anon_sym_asm] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_go] = ACTIONS(1392),
    [anon_sym_spawn] = ACTIONS(1392),
    [anon_sym_goto] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_DOLLARfor] = ACTIONS(1390),
    [anon_sym_DOLLARif] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_is] = ACTIONS(1392),
    [anon_sym_BANGis] = ACTIONS(1390),
    [anon_sym_POUND] = ACTIONS(1390),
    [anon_sym_match] = ACTIONS(1392),
    [anon_sym_select] = ACTIONS(1392),
    [anon_sym_lock] = ACTIONS(1392),
    [anon_sym_rlock] = ACTIONS(1392),
    [sym__automatic_separator] = ACTIONS(1390),
    [sym__c_string_opening] = ACTIONS(1390),
    [sym__raw_string_opening] = ACTIONS(1390),
    [sym__string_opening] = ACTIONS(1390),
    [sym__comment] = ACTIONS(3),
  },
  [1289] = {
    [sym_comment] = STATE(1289),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_CARET] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1116),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_DASH] = ACTIONS(1116),
    [anon_sym_SLASH] = ACTIONS(1116),
    [anon_sym_PERCENT] = ACTIONS(1116),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1116),
    [anon_sym_AMP_CARET] = ACTIONS(1116),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1116),
    [anon_sym_BANG_EQ] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_BANGin] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [sym_none] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_map_LBRACK] = ACTIONS(1116),
    [anon_sym_chan] = ACTIONS(1114),
    [anon_sym_shared] = ACTIONS(1114),
    [anon_sym_thread] = ACTIONS(1114),
    [sym_int_literal] = ACTIONS(1114),
    [sym_float_literal] = ACTIONS(1116),
    [sym_rune_literal] = ACTIONS(1116),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_array] = ACTIONS(1114),
    [anon_sym_string] = ACTIONS(1114),
    [anon_sym_char] = ACTIONS(1114),
    [anon_sym_sql] = ACTIONS(1114),
    [anon_sym_mut] = ACTIONS(1114),
    [anon_sym_C] = ACTIONS(1114),
    [anon_sym_JS] = ACTIONS(1114),
    [anon_sym_voidptr] = ACTIONS(1114),
    [anon_sym_byteptr] = ACTIONS(1114),
    [anon_sym_charptr] = ACTIONS(1114),
    [anon_sym_i8] = ACTIONS(1114),
    [anon_sym_i16] = ACTIONS(1114),
    [anon_sym_i32] = ACTIONS(1114),
    [anon_sym_int] = ACTIONS(1114),
    [anon_sym_i64] = ACTIONS(1114),
    [anon_sym_byte] = ACTIONS(1114),
    [anon_sym_u8] = ACTIONS(1114),
    [anon_sym_u16] = ACTIONS(1114),
    [anon_sym_u32] = ACTIONS(1114),
    [anon_sym_u64] = ACTIONS(1114),
    [anon_sym_f32] = ACTIONS(1114),
    [anon_sym_f64] = ACTIONS(1114),
    [anon_sym_bool] = ACTIONS(1114),
    [anon_sym_rune] = ACTIONS(1114),
    [anon_sym_map] = ACTIONS(1114),
    [anon_sym_mapnode] = ACTIONS(1114),
    [anon_sym_size_t] = ACTIONS(1114),
    [anon_sym_usize] = ACTIONS(1114),
    [anon_sym_isize] = ACTIONS(1114),
    [anon_sym_float_literal] = ACTIONS(1114),
    [anon_sym_int_literal] = ACTIONS(1114),
    [anon_sym_IError] = ACTIONS(1114),
    [sym_type_placeholder] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [sym_type_identifier] = ACTIONS(1114),
    [anon_sym_assert] = ACTIONS(1114),
    [anon_sym_defer] = ACTIONS(1114),
    [anon_sym_unsafe] = ACTIONS(1114),
    [anon_sym_fn] = ACTIONS(1114),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym_break] = ACTIONS(1114),
    [anon_sym_continue] = ACTIONS(1114),
    [anon_sym_return] = ACTIONS(1114),
    [anon_sym_go] = ACTIONS(1114),
    [anon_sym_spawn] = ACTIONS(1114),
    [anon_sym_goto] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1114),
    [anon_sym_DOLLARfor] = ACTIONS(1116),
    [anon_sym_DOLLARif] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_BANGis] = ACTIONS(1116),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_match] = ACTIONS(1114),
    [anon_sym_select] = ACTIONS(1114),
    [anon_sym_lock] = ACTIONS(1114),
    [anon_sym_rlock] = ACTIONS(1114),
    [sym__automatic_separator] = ACTIONS(1116),
    [sym__c_string_opening] = ACTIONS(1116),
    [sym__raw_string_opening] = ACTIONS(1116),
    [sym__string_opening] = ACTIONS(1116),
    [sym__comment] = ACTIONS(3),
  },
  [1290] = {
    [sym_comment] = STATE(1290),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1566),
    [anon_sym_LT_DASH] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1564),
    [anon_sym_PERCENT] = ACTIONS(1564),
    [anon_sym_LT_LT] = ACTIONS(1564),
    [anon_sym_GT_GT] = ACTIONS(1566),
    [anon_sym_GT_GT_GT] = ACTIONS(1564),
    [anon_sym_AMP_CARET] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_LT_EQ] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1566),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_in] = ACTIONS(1566),
    [anon_sym_BANGin] = ACTIONS(1564),
    [anon_sym_AMP_AMP] = ACTIONS(1564),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_as] = ACTIONS(1566),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [sym_none] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_map_LBRACK] = ACTIONS(1564),
    [anon_sym_chan] = ACTIONS(1566),
    [anon_sym_shared] = ACTIONS(1566),
    [anon_sym_thread] = ACTIONS(1566),
    [sym_int_literal] = ACTIONS(1566),
    [sym_float_literal] = ACTIONS(1564),
    [sym_rune_literal] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_array] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_sql] = ACTIONS(1566),
    [anon_sym_mut] = ACTIONS(1566),
    [anon_sym_C] = ACTIONS(1566),
    [anon_sym_JS] = ACTIONS(1566),
    [anon_sym_voidptr] = ACTIONS(1566),
    [anon_sym_byteptr] = ACTIONS(1566),
    [anon_sym_charptr] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_int] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_byte] = ACTIONS(1566),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_rune] = ACTIONS(1566),
    [anon_sym_map] = ACTIONS(1566),
    [anon_sym_mapnode] = ACTIONS(1566),
    [anon_sym_size_t] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_float_literal] = ACTIONS(1566),
    [anon_sym_int_literal] = ACTIONS(1566),
    [anon_sym_IError] = ACTIONS(1566),
    [sym_type_placeholder] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [sym_type_identifier] = ACTIONS(1566),
    [anon_sym_assert] = ACTIONS(1566),
    [anon_sym_defer] = ACTIONS(1566),
    [anon_sym_unsafe] = ACTIONS(1566),
    [anon_sym_fn] = ACTIONS(1566),
    [anon_sym_asm] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_continue] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_go] = ACTIONS(1566),
    [anon_sym_spawn] = ACTIONS(1566),
    [anon_sym_goto] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_DOLLARfor] = ACTIONS(1564),
    [anon_sym_DOLLARif] = ACTIONS(1564),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_is] = ACTIONS(1566),
    [anon_sym_BANGis] = ACTIONS(1564),
    [anon_sym_POUND] = ACTIONS(1564),
    [anon_sym_match] = ACTIONS(1566),
    [anon_sym_select] = ACTIONS(1566),
    [anon_sym_lock] = ACTIONS(1566),
    [anon_sym_rlock] = ACTIONS(1566),
    [sym__automatic_separator] = ACTIONS(1564),
    [sym__c_string_opening] = ACTIONS(1564),
    [sym__raw_string_opening] = ACTIONS(1564),
    [sym__string_opening] = ACTIONS(1564),
    [sym__comment] = ACTIONS(3),
  },
  [1291] = {
    [sym_comment] = STATE(1291),
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LT_DASH] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1488),
    [anon_sym_PERCENT] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1490),
    [anon_sym_GT_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_in] = ACTIONS(1490),
    [anon_sym_BANGin] = ACTIONS(1488),
    [anon_sym_AMP_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_as] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [sym_none] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_map_LBRACK] = ACTIONS(1488),
    [anon_sym_chan] = ACTIONS(1490),
    [anon_sym_shared] = ACTIONS(1490),
    [anon_sym_thread] = ACTIONS(1490),
    [sym_int_literal] = ACTIONS(1490),
    [sym_float_literal] = ACTIONS(1488),
    [sym_rune_literal] = ACTIONS(1488),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_array] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_char] = ACTIONS(1490),
    [anon_sym_sql] = ACTIONS(1490),
    [anon_sym_mut] = ACTIONS(1490),
    [anon_sym_C] = ACTIONS(1490),
    [anon_sym_JS] = ACTIONS(1490),
    [anon_sym_voidptr] = ACTIONS(1490),
    [anon_sym_byteptr] = ACTIONS(1490),
    [anon_sym_charptr] = ACTIONS(1490),
    [anon_sym_i8] = ACTIONS(1490),
    [anon_sym_i16] = ACTIONS(1490),
    [anon_sym_i32] = ACTIONS(1490),
    [anon_sym_int] = ACTIONS(1490),
    [anon_sym_i64] = ACTIONS(1490),
    [anon_sym_byte] = ACTIONS(1490),
    [anon_sym_u8] = ACTIONS(1490),
    [anon_sym_u16] = ACTIONS(1490),
    [anon_sym_u32] = ACTIONS(1490),
    [anon_sym_u64] = ACTIONS(1490),
    [anon_sym_f32] = ACTIONS(1490),
    [anon_sym_f64] = ACTIONS(1490),
    [anon_sym_bool] = ACTIONS(1490),
    [anon_sym_rune] = ACTIONS(1490),
    [anon_sym_map] = ACTIONS(1490),
    [anon_sym_mapnode] = ACTIONS(1490),
    [anon_sym_size_t] = ACTIONS(1490),
    [anon_sym_usize] = ACTIONS(1490),
    [anon_sym_isize] = ACTIONS(1490),
    [anon_sym_float_literal] = ACTIONS(1490),
    [anon_sym_int_literal] = ACTIONS(1490),
    [anon_sym_IError] = ACTIONS(1490),
    [sym_type_placeholder] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym_type_identifier] = ACTIONS(1490),
    [anon_sym_assert] = ACTIONS(1490),
    [anon_sym_defer] = ACTIONS(1490),
    [anon_sym_unsafe] = ACTIONS(1490),
    [anon_sym_fn] = ACTIONS(1490),
    [anon_sym_asm] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_continue] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_go] = ACTIONS(1490),
    [anon_sym_spawn] = ACTIONS(1490),
    [anon_sym_goto] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [anon_sym_DOLLARfor] = ACTIONS(1488),
    [anon_sym_DOLLARif] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_is] = ACTIONS(1490),
    [anon_sym_BANGis] = ACTIONS(1488),
    [anon_sym_POUND] = ACTIONS(1488),
    [anon_sym_match] = ACTIONS(1490),
    [anon_sym_select] = ACTIONS(1490),
    [anon_sym_lock] = ACTIONS(1490),
    [anon_sym_rlock] = ACTIONS(1490),
    [sym__automatic_separator] = ACTIONS(1488),
    [sym__c_string_opening] = ACTIONS(1488),
    [sym__raw_string_opening] = ACTIONS(1488),
    [sym__string_opening] = ACTIONS(1488),
    [sym__comment] = ACTIONS(3),
  },
  [1292] = {
    [sym_comment] = STATE(1292),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PERCENT] = ACTIONS(1468),
    [anon_sym_LT_LT] = ACTIONS(1468),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_GT_GT_GT] = ACTIONS(1468),
    [anon_sym_AMP_CARET] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_in] = ACTIONS(1470),
    [anon_sym_BANGin] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_as] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [sym_none] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_map_LBRACK] = ACTIONS(1468),
    [anon_sym_chan] = ACTIONS(1470),
    [anon_sym_shared] = ACTIONS(1470),
    [anon_sym_thread] = ACTIONS(1470),
    [sym_int_literal] = ACTIONS(1470),
    [sym_float_literal] = ACTIONS(1468),
    [sym_rune_literal] = ACTIONS(1468),
    [anon_sym_DOT] = ACTIONS(1470),
    [anon_sym_array] = ACTIONS(1470),
    [anon_sym_string] = ACTIONS(1470),
    [anon_sym_char] = ACTIONS(1470),
    [anon_sym_sql] = ACTIONS(1470),
    [anon_sym_mut] = ACTIONS(1470),
    [anon_sym_C] = ACTIONS(1470),
    [anon_sym_JS] = ACTIONS(1470),
    [anon_sym_voidptr] = ACTIONS(1470),
    [anon_sym_byteptr] = ACTIONS(1470),
    [anon_sym_charptr] = ACTIONS(1470),
    [anon_sym_i8] = ACTIONS(1470),
    [anon_sym_i16] = ACTIONS(1470),
    [anon_sym_i32] = ACTIONS(1470),
    [anon_sym_int] = ACTIONS(1470),
    [anon_sym_i64] = ACTIONS(1470),
    [anon_sym_byte] = ACTIONS(1470),
    [anon_sym_u8] = ACTIONS(1470),
    [anon_sym_u16] = ACTIONS(1470),
    [anon_sym_u32] = ACTIONS(1470),
    [anon_sym_u64] = ACTIONS(1470),
    [anon_sym_f32] = ACTIONS(1470),
    [anon_sym_f64] = ACTIONS(1470),
    [anon_sym_bool] = ACTIONS(1470),
    [anon_sym_rune] = ACTIONS(1470),
    [anon_sym_map] = ACTIONS(1470),
    [anon_sym_mapnode] = ACTIONS(1470),
    [anon_sym_size_t] = ACTIONS(1470),
    [anon_sym_usize] = ACTIONS(1470),
    [anon_sym_isize] = ACTIONS(1470),
    [anon_sym_float_literal] = ACTIONS(1470),
    [anon_sym_int_literal] = ACTIONS(1470),
    [anon_sym_IError] = ACTIONS(1470),
    [sym_type_placeholder] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym_type_identifier] = ACTIONS(1470),
    [anon_sym_assert] = ACTIONS(1470),
    [anon_sym_defer] = ACTIONS(1470),
    [anon_sym_unsafe] = ACTIONS(1470),
    [anon_sym_fn] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_go] = ACTIONS(1470),
    [anon_sym_spawn] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_DOLLARfor] = ACTIONS(1468),
    [anon_sym_DOLLARif] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_is] = ACTIONS(1470),
    [anon_sym_BANGis] = ACTIONS(1468),
    [anon_sym_POUND] = ACTIONS(1468),
    [anon_sym_match] = ACTIONS(1470),
    [anon_sym_select] = ACTIONS(1470),
    [anon_sym_lock] = ACTIONS(1470),
    [anon_sym_rlock] = ACTIONS(1470),
    [sym__automatic_separator] = ACTIONS(1468),
    [sym__c_string_opening] = ACTIONS(1468),
    [sym__raw_string_opening] = ACTIONS(1468),
    [sym__string_opening] = ACTIONS(1468),
    [sym__comment] = ACTIONS(3),
  },
  [1293] = {
    [sym_comment] = STATE(1293),
    [sym_identifier] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_LT_DASH] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1368),
    [anon_sym_LT_LT] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(1368),
    [anon_sym_AMP_CARET] = ACTIONS(1368),
    [anon_sym_PIPE] = ACTIONS(1370),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_LT] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1370),
    [anon_sym_BANGin] = ACTIONS(1368),
    [anon_sym_AMP_AMP] = ACTIONS(1368),
    [anon_sym_PIPE_PIPE] = ACTIONS(1368),
    [anon_sym_as] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [sym_none] = ACTIONS(1370),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_map_LBRACK] = ACTIONS(1368),
    [anon_sym_chan] = ACTIONS(1370),
    [anon_sym_shared] = ACTIONS(1370),
    [anon_sym_thread] = ACTIONS(1370),
    [sym_int_literal] = ACTIONS(1370),
    [sym_float_literal] = ACTIONS(1368),
    [sym_rune_literal] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1370),
    [anon_sym_array] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_char] = ACTIONS(1370),
    [anon_sym_sql] = ACTIONS(1370),
    [anon_sym_mut] = ACTIONS(1370),
    [anon_sym_C] = ACTIONS(1370),
    [anon_sym_JS] = ACTIONS(1370),
    [anon_sym_voidptr] = ACTIONS(1370),
    [anon_sym_byteptr] = ACTIONS(1370),
    [anon_sym_charptr] = ACTIONS(1370),
    [anon_sym_i8] = ACTIONS(1370),
    [anon_sym_i16] = ACTIONS(1370),
    [anon_sym_i32] = ACTIONS(1370),
    [anon_sym_int] = ACTIONS(1370),
    [anon_sym_i64] = ACTIONS(1370),
    [anon_sym_byte] = ACTIONS(1370),
    [anon_sym_u8] = ACTIONS(1370),
    [anon_sym_u16] = ACTIONS(1370),
    [anon_sym_u32] = ACTIONS(1370),
    [anon_sym_u64] = ACTIONS(1370),
    [anon_sym_f32] = ACTIONS(1370),
    [anon_sym_f64] = ACTIONS(1370),
    [anon_sym_bool] = ACTIONS(1370),
    [anon_sym_rune] = ACTIONS(1370),
    [anon_sym_map] = ACTIONS(1370),
    [anon_sym_mapnode] = ACTIONS(1370),
    [anon_sym_size_t] = ACTIONS(1370),
    [anon_sym_usize] = ACTIONS(1370),
    [anon_sym_isize] = ACTIONS(1370),
    [anon_sym_float_literal] = ACTIONS(1370),
    [anon_sym_int_literal] = ACTIONS(1370),
    [anon_sym_IError] = ACTIONS(1370),
    [sym_type_placeholder] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [sym_type_identifier] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1370),
    [anon_sym_defer] = ACTIONS(1370),
    [anon_sym_unsafe] = ACTIONS(1370),
    [anon_sym_fn] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_go] = ACTIONS(1370),
    [anon_sym_spawn] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_DOLLARfor] = ACTIONS(1368),
    [anon_sym_DOLLARif] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_is] = ACTIONS(1370),
    [anon_sym_BANGis] = ACTIONS(1368),
    [anon_sym_POUND] = ACTIONS(1368),
    [anon_sym_match] = ACTIONS(1370),
    [anon_sym_select] = ACTIONS(1370),
    [anon_sym_lock] = ACTIONS(1370),
    [anon_sym_rlock] = ACTIONS(1370),
    [sym__automatic_separator] = ACTIONS(1368),
    [sym__c_string_opening] = ACTIONS(1368),
    [sym__raw_string_opening] = ACTIONS(1368),
    [sym__string_opening] = ACTIONS(1368),
    [sym__comment] = ACTIONS(3),
  },
  [1294] = {
    [sym_comment] = STATE(1294),
    [sym_identifier] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_LT_DASH] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1594),
    [anon_sym_PERCENT] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1596),
    [anon_sym_GT_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_BANGin] = ACTIONS(1594),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_as] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [sym_none] = ACTIONS(1596),
    [sym_true] = ACTIONS(1596),
    [sym_false] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_map_LBRACK] = ACTIONS(1594),
    [anon_sym_chan] = ACTIONS(1596),
    [anon_sym_shared] = ACTIONS(1596),
    [anon_sym_thread] = ACTIONS(1596),
    [sym_int_literal] = ACTIONS(1596),
    [sym_float_literal] = ACTIONS(1594),
    [sym_rune_literal] = ACTIONS(1594),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_array] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_char] = ACTIONS(1596),
    [anon_sym_sql] = ACTIONS(1596),
    [anon_sym_mut] = ACTIONS(1596),
    [anon_sym_C] = ACTIONS(1596),
    [anon_sym_JS] = ACTIONS(1596),
    [anon_sym_voidptr] = ACTIONS(1596),
    [anon_sym_byteptr] = ACTIONS(1596),
    [anon_sym_charptr] = ACTIONS(1596),
    [anon_sym_i8] = ACTIONS(1596),
    [anon_sym_i16] = ACTIONS(1596),
    [anon_sym_i32] = ACTIONS(1596),
    [anon_sym_int] = ACTIONS(1596),
    [anon_sym_i64] = ACTIONS(1596),
    [anon_sym_byte] = ACTIONS(1596),
    [anon_sym_u8] = ACTIONS(1596),
    [anon_sym_u16] = ACTIONS(1596),
    [anon_sym_u32] = ACTIONS(1596),
    [anon_sym_u64] = ACTIONS(1596),
    [anon_sym_f32] = ACTIONS(1596),
    [anon_sym_f64] = ACTIONS(1596),
    [anon_sym_bool] = ACTIONS(1596),
    [anon_sym_rune] = ACTIONS(1596),
    [anon_sym_map] = ACTIONS(1596),
    [anon_sym_mapnode] = ACTIONS(1596),
    [anon_sym_size_t] = ACTIONS(1596),
    [anon_sym_usize] = ACTIONS(1596),
    [anon_sym_isize] = ACTIONS(1596),
    [anon_sym_float_literal] = ACTIONS(1596),
    [anon_sym_int_literal] = ACTIONS(1596),
    [anon_sym_IError] = ACTIONS(1596),
    [sym_type_placeholder] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [sym_type_identifier] = ACTIONS(1596),
    [anon_sym_assert] = ACTIONS(1596),
    [anon_sym_defer] = ACTIONS(1596),
    [anon_sym_unsafe] = ACTIONS(1596),
    [anon_sym_fn] = ACTIONS(1596),
    [anon_sym_asm] = ACTIONS(1596),
    [anon_sym_break] = ACTIONS(1596),
    [anon_sym_continue] = ACTIONS(1596),
    [anon_sym_return] = ACTIONS(1596),
    [anon_sym_go] = ACTIONS(1596),
    [anon_sym_spawn] = ACTIONS(1596),
    [anon_sym_goto] = ACTIONS(1596),
    [anon_sym_for] = ACTIONS(1596),
    [anon_sym_DOLLARfor] = ACTIONS(1594),
    [anon_sym_DOLLARif] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1596),
    [anon_sym_BANGis] = ACTIONS(1594),
    [anon_sym_POUND] = ACTIONS(1594),
    [anon_sym_match] = ACTIONS(1596),
    [anon_sym_select] = ACTIONS(1596),
    [anon_sym_lock] = ACTIONS(1596),
    [anon_sym_rlock] = ACTIONS(1596),
    [sym__automatic_separator] = ACTIONS(1594),
    [sym__c_string_opening] = ACTIONS(1594),
    [sym__raw_string_opening] = ACTIONS(1594),
    [sym__string_opening] = ACTIONS(1594),
    [sym__comment] = ACTIONS(3),
  },
  [1295] = {
    [sym_comment] = STATE(1295),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_LT_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1536),
    [anon_sym_LT_LT] = ACTIONS(1536),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_GT_GT_GT] = ACTIONS(1536),
    [anon_sym_AMP_CARET] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_in] = ACTIONS(1538),
    [anon_sym_BANGin] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_as] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [sym_none] = ACTIONS(1538),
    [sym_true] = ACTIONS(1538),
    [sym_false] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_map_LBRACK] = ACTIONS(1536),
    [anon_sym_chan] = ACTIONS(1538),
    [anon_sym_shared] = ACTIONS(1538),
    [anon_sym_thread] = ACTIONS(1538),
    [sym_int_literal] = ACTIONS(1538),
    [sym_float_literal] = ACTIONS(1536),
    [sym_rune_literal] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_array] = ACTIONS(1538),
    [anon_sym_string] = ACTIONS(1538),
    [anon_sym_char] = ACTIONS(1538),
    [anon_sym_sql] = ACTIONS(1538),
    [anon_sym_mut] = ACTIONS(1538),
    [anon_sym_C] = ACTIONS(1538),
    [anon_sym_JS] = ACTIONS(1538),
    [anon_sym_voidptr] = ACTIONS(1538),
    [anon_sym_byteptr] = ACTIONS(1538),
    [anon_sym_charptr] = ACTIONS(1538),
    [anon_sym_i8] = ACTIONS(1538),
    [anon_sym_i16] = ACTIONS(1538),
    [anon_sym_i32] = ACTIONS(1538),
    [anon_sym_int] = ACTIONS(1538),
    [anon_sym_i64] = ACTIONS(1538),
    [anon_sym_byte] = ACTIONS(1538),
    [anon_sym_u8] = ACTIONS(1538),
    [anon_sym_u16] = ACTIONS(1538),
    [anon_sym_u32] = ACTIONS(1538),
    [anon_sym_u64] = ACTIONS(1538),
    [anon_sym_f32] = ACTIONS(1538),
    [anon_sym_f64] = ACTIONS(1538),
    [anon_sym_bool] = ACTIONS(1538),
    [anon_sym_rune] = ACTIONS(1538),
    [anon_sym_map] = ACTIONS(1538),
    [anon_sym_mapnode] = ACTIONS(1538),
    [anon_sym_size_t] = ACTIONS(1538),
    [anon_sym_usize] = ACTIONS(1538),
    [anon_sym_isize] = ACTIONS(1538),
    [anon_sym_float_literal] = ACTIONS(1538),
    [anon_sym_int_literal] = ACTIONS(1538),
    [anon_sym_IError] = ACTIONS(1538),
    [sym_type_placeholder] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [sym_type_identifier] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_defer] = ACTIONS(1538),
    [anon_sym_unsafe] = ACTIONS(1538),
    [anon_sym_fn] = ACTIONS(1538),
    [anon_sym_asm] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_continue] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_go] = ACTIONS(1538),
    [anon_sym_spawn] = ACTIONS(1538),
    [anon_sym_goto] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_DOLLARfor] = ACTIONS(1536),
    [anon_sym_DOLLARif] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_is] = ACTIONS(1538),
    [anon_sym_BANGis] = ACTIONS(1536),
    [anon_sym_POUND] = ACTIONS(1536),
    [anon_sym_match] = ACTIONS(1538),
    [anon_sym_select] = ACTIONS(1538),
    [anon_sym_lock] = ACTIONS(1538),
    [anon_sym_rlock] = ACTIONS(1538),
    [sym__automatic_separator] = ACTIONS(1536),
    [sym__c_string_opening] = ACTIONS(1536),
    [sym__raw_string_opening] = ACTIONS(1536),
    [sym__string_opening] = ACTIONS(1536),
    [sym__comment] = ACTIONS(3),
  },
  [1296] = {
    [sym_comment] = STATE(1296),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_PERCENT] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1476),
    [anon_sym_GT_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_BANGin] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_as] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [sym_none] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_map_LBRACK] = ACTIONS(1474),
    [anon_sym_chan] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_thread] = ACTIONS(1476),
    [sym_int_literal] = ACTIONS(1476),
    [sym_float_literal] = ACTIONS(1474),
    [sym_rune_literal] = ACTIONS(1474),
    [anon_sym_DOT] = ACTIONS(1476),
    [anon_sym_array] = ACTIONS(1476),
    [anon_sym_string] = ACTIONS(1476),
    [anon_sym_char] = ACTIONS(1476),
    [anon_sym_sql] = ACTIONS(1476),
    [anon_sym_mut] = ACTIONS(1476),
    [anon_sym_C] = ACTIONS(1476),
    [anon_sym_JS] = ACTIONS(1476),
    [anon_sym_voidptr] = ACTIONS(1476),
    [anon_sym_byteptr] = ACTIONS(1476),
    [anon_sym_charptr] = ACTIONS(1476),
    [anon_sym_i8] = ACTIONS(1476),
    [anon_sym_i16] = ACTIONS(1476),
    [anon_sym_i32] = ACTIONS(1476),
    [anon_sym_int] = ACTIONS(1476),
    [anon_sym_i64] = ACTIONS(1476),
    [anon_sym_byte] = ACTIONS(1476),
    [anon_sym_u8] = ACTIONS(1476),
    [anon_sym_u16] = ACTIONS(1476),
    [anon_sym_u32] = ACTIONS(1476),
    [anon_sym_u64] = ACTIONS(1476),
    [anon_sym_f32] = ACTIONS(1476),
    [anon_sym_f64] = ACTIONS(1476),
    [anon_sym_bool] = ACTIONS(1476),
    [anon_sym_rune] = ACTIONS(1476),
    [anon_sym_map] = ACTIONS(1476),
    [anon_sym_mapnode] = ACTIONS(1476),
    [anon_sym_size_t] = ACTIONS(1476),
    [anon_sym_usize] = ACTIONS(1476),
    [anon_sym_isize] = ACTIONS(1476),
    [anon_sym_float_literal] = ACTIONS(1476),
    [anon_sym_int_literal] = ACTIONS(1476),
    [anon_sym_IError] = ACTIONS(1476),
    [sym_type_placeholder] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym_type_identifier] = ACTIONS(1476),
    [anon_sym_assert] = ACTIONS(1476),
    [anon_sym_defer] = ACTIONS(1476),
    [anon_sym_unsafe] = ACTIONS(1476),
    [anon_sym_fn] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_go] = ACTIONS(1476),
    [anon_sym_spawn] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_DOLLARfor] = ACTIONS(1474),
    [anon_sym_DOLLARif] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_is] = ACTIONS(1476),
    [anon_sym_BANGis] = ACTIONS(1474),
    [anon_sym_POUND] = ACTIONS(1474),
    [anon_sym_match] = ACTIONS(1476),
    [anon_sym_select] = ACTIONS(1476),
    [anon_sym_lock] = ACTIONS(1476),
    [anon_sym_rlock] = ACTIONS(1476),
    [sym__automatic_separator] = ACTIONS(1474),
    [sym__c_string_opening] = ACTIONS(1474),
    [sym__raw_string_opening] = ACTIONS(1474),
    [sym__string_opening] = ACTIONS(1474),
    [sym__comment] = ACTIONS(3),
  },
  [1297] = {
    [sym_comment] = STATE(1297),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_LT_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1590),
    [anon_sym_PERCENT] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_EQ_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_BANGin] = ACTIONS(1590),
    [anon_sym_AMP_AMP] = ACTIONS(1590),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_none] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_RBRACE] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_map_LBRACK] = ACTIONS(1590),
    [anon_sym_chan] = ACTIONS(1592),
    [anon_sym_shared] = ACTIONS(1592),
    [anon_sym_thread] = ACTIONS(1592),
    [sym_int_literal] = ACTIONS(1592),
    [sym_float_literal] = ACTIONS(1590),
    [sym_rune_literal] = ACTIONS(1590),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_array] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_char] = ACTIONS(1592),
    [anon_sym_sql] = ACTIONS(1592),
    [anon_sym_mut] = ACTIONS(1592),
    [anon_sym_C] = ACTIONS(1592),
    [anon_sym_JS] = ACTIONS(1592),
    [anon_sym_voidptr] = ACTIONS(1592),
    [anon_sym_byteptr] = ACTIONS(1592),
    [anon_sym_charptr] = ACTIONS(1592),
    [anon_sym_i8] = ACTIONS(1592),
    [anon_sym_i16] = ACTIONS(1592),
    [anon_sym_i32] = ACTIONS(1592),
    [anon_sym_int] = ACTIONS(1592),
    [anon_sym_i64] = ACTIONS(1592),
    [anon_sym_byte] = ACTIONS(1592),
    [anon_sym_u8] = ACTIONS(1592),
    [anon_sym_u16] = ACTIONS(1592),
    [anon_sym_u32] = ACTIONS(1592),
    [anon_sym_u64] = ACTIONS(1592),
    [anon_sym_f32] = ACTIONS(1592),
    [anon_sym_f64] = ACTIONS(1592),
    [anon_sym_bool] = ACTIONS(1592),
    [anon_sym_rune] = ACTIONS(1592),
    [anon_sym_map] = ACTIONS(1592),
    [anon_sym_mapnode] = ACTIONS(1592),
    [anon_sym_size_t] = ACTIONS(1592),
    [anon_sym_usize] = ACTIONS(1592),
    [anon_sym_isize] = ACTIONS(1592),
    [anon_sym_float_literal] = ACTIONS(1592),
    [anon_sym_int_literal] = ACTIONS(1592),
    [anon_sym_IError] = ACTIONS(1592),
    [sym_type_placeholder] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [sym_type_identifier] = ACTIONS(1592),
    [anon_sym_assert] = ACTIONS(1592),
    [anon_sym_defer] = ACTIONS(1592),
    [anon_sym_unsafe] = ACTIONS(1592),
    [anon_sym_fn] = ACTIONS(1592),
    [anon_sym_asm] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_go] = ACTIONS(1592),
    [anon_sym_spawn] = ACTIONS(1592),
    [anon_sym_goto] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_DOLLARfor] = ACTIONS(1590),
    [anon_sym_DOLLARif] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_is] = ACTIONS(1592),
    [anon_sym_BANGis] = ACTIONS(1590),
    [anon_sym_POUND] = ACTIONS(1590),
    [anon_sym_match] = ACTIONS(1592),
    [anon_sym_select] = ACTIONS(1592),
    [anon_sym_lock] = ACTIONS(1592),
    [anon_sym_rlock] = ACTIONS(1592),
    [sym__automatic_separator] = ACTIONS(1590),
    [sym__c_string_opening] = ACTIONS(1590),
    [sym__raw_string_opening] = ACTIONS(1590),
    [sym__string_opening] = ACTIONS(1590),
    [sym__comment] = ACTIONS(3),
  },
  [1298] = {
    [sym_comment] = STATE(1298),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_CARET] = ACTIONS(1274),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_LT_DASH] = ACTIONS(1274),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(1274),
    [anon_sym_LT_LT] = ACTIONS(1274),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_GT_GT_GT] = ACTIONS(1274),
    [anon_sym_AMP_CARET] = ACTIONS(1274),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1274),
    [anon_sym_BANG_EQ] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_GT_EQ] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_BANGin] = ACTIONS(1274),
    [anon_sym_AMP_AMP] = ACTIONS(1274),
    [anon_sym_PIPE_PIPE] = ACTIONS(1274),
    [anon_sym_as] = ACTIONS(1276),
    [anon_sym_COMMA] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym_none] = ACTIONS(1276),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_map_LBRACK] = ACTIONS(1274),
    [anon_sym_chan] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_thread] = ACTIONS(1276),
    [sym_int_literal] = ACTIONS(1276),
    [sym_float_literal] = ACTIONS(1274),
    [sym_rune_literal] = ACTIONS(1274),
    [anon_sym_DOT] = ACTIONS(1276),
    [anon_sym_array] = ACTIONS(1276),
    [anon_sym_string] = ACTIONS(1276),
    [anon_sym_char] = ACTIONS(1276),
    [anon_sym_sql] = ACTIONS(1276),
    [anon_sym_mut] = ACTIONS(1276),
    [anon_sym_C] = ACTIONS(1276),
    [anon_sym_JS] = ACTIONS(1276),
    [anon_sym_voidptr] = ACTIONS(1276),
    [anon_sym_byteptr] = ACTIONS(1276),
    [anon_sym_charptr] = ACTIONS(1276),
    [anon_sym_i8] = ACTIONS(1276),
    [anon_sym_i16] = ACTIONS(1276),
    [anon_sym_i32] = ACTIONS(1276),
    [anon_sym_int] = ACTIONS(1276),
    [anon_sym_i64] = ACTIONS(1276),
    [anon_sym_byte] = ACTIONS(1276),
    [anon_sym_u8] = ACTIONS(1276),
    [anon_sym_u16] = ACTIONS(1276),
    [anon_sym_u32] = ACTIONS(1276),
    [anon_sym_u64] = ACTIONS(1276),
    [anon_sym_f32] = ACTIONS(1276),
    [anon_sym_f64] = ACTIONS(1276),
    [anon_sym_bool] = ACTIONS(1276),
    [anon_sym_rune] = ACTIONS(1276),
    [anon_sym_map] = ACTIONS(1276),
    [anon_sym_mapnode] = ACTIONS(1276),
    [anon_sym_size_t] = ACTIONS(1276),
    [anon_sym_usize] = ACTIONS(1276),
    [anon_sym_isize] = ACTIONS(1276),
    [anon_sym_float_literal] = ACTIONS(1276),
    [anon_sym_int_literal] = ACTIONS(1276),
    [anon_sym_IError] = ACTIONS(1276),
    [sym_type_placeholder] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [sym_type_identifier] = ACTIONS(1276),
    [anon_sym_assert] = ACTIONS(1276),
    [anon_sym_defer] = ACTIONS(1276),
    [anon_sym_unsafe] = ACTIONS(1276),
    [anon_sym_fn] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_go] = ACTIONS(1276),
    [anon_sym_spawn] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_DOLLARfor] = ACTIONS(1274),
    [anon_sym_DOLLARif] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_is] = ACTIONS(1276),
    [anon_sym_BANGis] = ACTIONS(1274),
    [anon_sym_POUND] = ACTIONS(1274),
    [anon_sym_match] = ACTIONS(1276),
    [anon_sym_select] = ACTIONS(1276),
    [anon_sym_lock] = ACTIONS(1276),
    [anon_sym_rlock] = ACTIONS(1276),
    [sym__automatic_separator] = ACTIONS(1274),
    [sym__c_string_opening] = ACTIONS(1274),
    [sym__raw_string_opening] = ACTIONS(1274),
    [sym__string_opening] = ACTIONS(1274),
    [sym__comment] = ACTIONS(3),
  },
  [1299] = {
    [sym_comment] = STATE(1299),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_LT_DASH] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_LT_LT] = ACTIONS(1616),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_GT_GT_GT] = ACTIONS(1616),
    [anon_sym_AMP_CARET] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_in] = ACTIONS(1618),
    [anon_sym_BANGin] = ACTIONS(1616),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_as] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [sym_none] = ACTIONS(1618),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_map_LBRACK] = ACTIONS(1616),
    [anon_sym_chan] = ACTIONS(1618),
    [anon_sym_shared] = ACTIONS(1618),
    [anon_sym_thread] = ACTIONS(1618),
    [sym_int_literal] = ACTIONS(1618),
    [sym_float_literal] = ACTIONS(1616),
    [sym_rune_literal] = ACTIONS(1616),
    [anon_sym_DOT] = ACTIONS(1618),
    [anon_sym_array] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_char] = ACTIONS(1618),
    [anon_sym_sql] = ACTIONS(1618),
    [anon_sym_mut] = ACTIONS(1618),
    [anon_sym_C] = ACTIONS(1618),
    [anon_sym_JS] = ACTIONS(1618),
    [anon_sym_voidptr] = ACTIONS(1618),
    [anon_sym_byteptr] = ACTIONS(1618),
    [anon_sym_charptr] = ACTIONS(1618),
    [anon_sym_i8] = ACTIONS(1618),
    [anon_sym_i16] = ACTIONS(1618),
    [anon_sym_i32] = ACTIONS(1618),
    [anon_sym_int] = ACTIONS(1618),
    [anon_sym_i64] = ACTIONS(1618),
    [anon_sym_byte] = ACTIONS(1618),
    [anon_sym_u8] = ACTIONS(1618),
    [anon_sym_u16] = ACTIONS(1618),
    [anon_sym_u32] = ACTIONS(1618),
    [anon_sym_u64] = ACTIONS(1618),
    [anon_sym_f32] = ACTIONS(1618),
    [anon_sym_f64] = ACTIONS(1618),
    [anon_sym_bool] = ACTIONS(1618),
    [anon_sym_rune] = ACTIONS(1618),
    [anon_sym_map] = ACTIONS(1618),
    [anon_sym_mapnode] = ACTIONS(1618),
    [anon_sym_size_t] = ACTIONS(1618),
    [anon_sym_usize] = ACTIONS(1618),
    [anon_sym_isize] = ACTIONS(1618),
    [anon_sym_float_literal] = ACTIONS(1618),
    [anon_sym_int_literal] = ACTIONS(1618),
    [anon_sym_IError] = ACTIONS(1618),
    [sym_type_placeholder] = ACTIONS(1618),
    [anon_sym_AT] = ACTIONS(1618),
    [sym_type_identifier] = ACTIONS(1618),
    [anon_sym_assert] = ACTIONS(1618),
    [anon_sym_defer] = ACTIONS(1618),
    [anon_sym_unsafe] = ACTIONS(1618),
    [anon_sym_fn] = ACTIONS(1618),
    [anon_sym_asm] = ACTIONS(1618),
    [anon_sym_break] = ACTIONS(1618),
    [anon_sym_continue] = ACTIONS(1618),
    [anon_sym_return] = ACTIONS(1618),
    [anon_sym_go] = ACTIONS(1618),
    [anon_sym_spawn] = ACTIONS(1618),
    [anon_sym_goto] = ACTIONS(1618),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_DOLLARfor] = ACTIONS(1616),
    [anon_sym_DOLLARif] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1618),
    [anon_sym_is] = ACTIONS(1618),
    [anon_sym_BANGis] = ACTIONS(1616),
    [anon_sym_POUND] = ACTIONS(1616),
    [anon_sym_match] = ACTIONS(1618),
    [anon_sym_select] = ACTIONS(1618),
    [anon_sym_lock] = ACTIONS(1618),
    [anon_sym_rlock] = ACTIONS(1618),
    [sym__automatic_separator] = ACTIONS(1616),
    [sym__c_string_opening] = ACTIONS(1616),
    [sym__raw_string_opening] = ACTIONS(1616),
    [sym__string_opening] = ACTIONS(1616),
    [sym__comment] = ACTIONS(3),
  },
  [1300] = {
    [sym_comment] = STATE(1300),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_LT_DASH] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1320),
    [anon_sym_PERCENT] = ACTIONS(1320),
    [anon_sym_LT_LT] = ACTIONS(1320),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_GT_GT_GT] = ACTIONS(1320),
    [anon_sym_AMP_CARET] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1320),
    [anon_sym_BANG_EQ] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1320),
    [anon_sym_in] = ACTIONS(1322),
    [anon_sym_BANGin] = ACTIONS(1320),
    [anon_sym_AMP_AMP] = ACTIONS(1320),
    [anon_sym_PIPE_PIPE] = ACTIONS(1320),
    [anon_sym_as] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [sym_none] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_map_LBRACK] = ACTIONS(1320),
    [anon_sym_chan] = ACTIONS(1322),
    [anon_sym_shared] = ACTIONS(1322),
    [anon_sym_thread] = ACTIONS(1322),
    [sym_int_literal] = ACTIONS(1322),
    [sym_float_literal] = ACTIONS(1320),
    [sym_rune_literal] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1322),
    [anon_sym_array] = ACTIONS(1322),
    [anon_sym_string] = ACTIONS(1322),
    [anon_sym_char] = ACTIONS(1322),
    [anon_sym_sql] = ACTIONS(1322),
    [anon_sym_mut] = ACTIONS(1322),
    [anon_sym_C] = ACTIONS(1322),
    [anon_sym_JS] = ACTIONS(1322),
    [anon_sym_voidptr] = ACTIONS(1322),
    [anon_sym_byteptr] = ACTIONS(1322),
    [anon_sym_charptr] = ACTIONS(1322),
    [anon_sym_i8] = ACTIONS(1322),
    [anon_sym_i16] = ACTIONS(1322),
    [anon_sym_i32] = ACTIONS(1322),
    [anon_sym_int] = ACTIONS(1322),
    [anon_sym_i64] = ACTIONS(1322),
    [anon_sym_byte] = ACTIONS(1322),
    [anon_sym_u8] = ACTIONS(1322),
    [anon_sym_u16] = ACTIONS(1322),
    [anon_sym_u32] = ACTIONS(1322),
    [anon_sym_u64] = ACTIONS(1322),
    [anon_sym_f32] = ACTIONS(1322),
    [anon_sym_f64] = ACTIONS(1322),
    [anon_sym_bool] = ACTIONS(1322),
    [anon_sym_rune] = ACTIONS(1322),
    [anon_sym_map] = ACTIONS(1322),
    [anon_sym_mapnode] = ACTIONS(1322),
    [anon_sym_size_t] = ACTIONS(1322),
    [anon_sym_usize] = ACTIONS(1322),
    [anon_sym_isize] = ACTIONS(1322),
    [anon_sym_float_literal] = ACTIONS(1322),
    [anon_sym_int_literal] = ACTIONS(1322),
    [anon_sym_IError] = ACTIONS(1322),
    [sym_type_placeholder] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [sym_type_identifier] = ACTIONS(1322),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_defer] = ACTIONS(1322),
    [anon_sym_unsafe] = ACTIONS(1322),
    [anon_sym_fn] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_go] = ACTIONS(1322),
    [anon_sym_spawn] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_DOLLARfor] = ACTIONS(1320),
    [anon_sym_DOLLARif] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_is] = ACTIONS(1322),
    [anon_sym_BANGis] = ACTIONS(1320),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_match] = ACTIONS(1322),
    [anon_sym_select] = ACTIONS(1322),
    [anon_sym_lock] = ACTIONS(1322),
    [anon_sym_rlock] = ACTIONS(1322),
    [sym__automatic_separator] = ACTIONS(1320),
    [sym__c_string_opening] = ACTIONS(1320),
    [sym__raw_string_opening] = ACTIONS(1320),
    [sym__string_opening] = ACTIONS(1320),
    [sym__comment] = ACTIONS(3),
  },
  [1301] = {
    [sym_comment] = STATE(1301),
    [sym_identifier] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_LT_DASH] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [anon_sym_LT_LT] = ACTIONS(1326),
    [anon_sym_GT_GT] = ACTIONS(1328),
    [anon_sym_GT_GT_GT] = ACTIONS(1326),
    [anon_sym_AMP_CARET] = ACTIONS(1326),
    [anon_sym_PIPE] = ACTIONS(1328),
    [anon_sym_EQ_EQ] = ACTIONS(1326),
    [anon_sym_BANG_EQ] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1328),
    [anon_sym_LT_EQ] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1328),
    [anon_sym_GT_EQ] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_BANGin] = ACTIONS(1326),
    [anon_sym_AMP_AMP] = ACTIONS(1326),
    [anon_sym_PIPE_PIPE] = ACTIONS(1326),
    [anon_sym_as] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [sym_none] = ACTIONS(1328),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_map_LBRACK] = ACTIONS(1326),
    [anon_sym_chan] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_thread] = ACTIONS(1328),
    [sym_int_literal] = ACTIONS(1328),
    [sym_float_literal] = ACTIONS(1326),
    [sym_rune_literal] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1328),
    [anon_sym_array] = ACTIONS(1328),
    [anon_sym_string] = ACTIONS(1328),
    [anon_sym_char] = ACTIONS(1328),
    [anon_sym_sql] = ACTIONS(1328),
    [anon_sym_mut] = ACTIONS(1328),
    [anon_sym_C] = ACTIONS(1328),
    [anon_sym_JS] = ACTIONS(1328),
    [anon_sym_voidptr] = ACTIONS(1328),
    [anon_sym_byteptr] = ACTIONS(1328),
    [anon_sym_charptr] = ACTIONS(1328),
    [anon_sym_i8] = ACTIONS(1328),
    [anon_sym_i16] = ACTIONS(1328),
    [anon_sym_i32] = ACTIONS(1328),
    [anon_sym_int] = ACTIONS(1328),
    [anon_sym_i64] = ACTIONS(1328),
    [anon_sym_byte] = ACTIONS(1328),
    [anon_sym_u8] = ACTIONS(1328),
    [anon_sym_u16] = ACTIONS(1328),
    [anon_sym_u32] = ACTIONS(1328),
    [anon_sym_u64] = ACTIONS(1328),
    [anon_sym_f32] = ACTIONS(1328),
    [anon_sym_f64] = ACTIONS(1328),
    [anon_sym_bool] = ACTIONS(1328),
    [anon_sym_rune] = ACTIONS(1328),
    [anon_sym_map] = ACTIONS(1328),
    [anon_sym_mapnode] = ACTIONS(1328),
    [anon_sym_size_t] = ACTIONS(1328),
    [anon_sym_usize] = ACTIONS(1328),
    [anon_sym_isize] = ACTIONS(1328),
    [anon_sym_float_literal] = ACTIONS(1328),
    [anon_sym_int_literal] = ACTIONS(1328),
    [anon_sym_IError] = ACTIONS(1328),
    [sym_type_placeholder] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [sym_type_identifier] = ACTIONS(1328),
    [anon_sym_assert] = ACTIONS(1328),
    [anon_sym_defer] = ACTIONS(1328),
    [anon_sym_unsafe] = ACTIONS(1328),
    [anon_sym_fn] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_go] = ACTIONS(1328),
    [anon_sym_spawn] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_DOLLARfor] = ACTIONS(1326),
    [anon_sym_DOLLARif] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_is] = ACTIONS(1328),
    [anon_sym_BANGis] = ACTIONS(1326),
    [anon_sym_POUND] = ACTIONS(1326),
    [anon_sym_match] = ACTIONS(1328),
    [anon_sym_select] = ACTIONS(1328),
    [anon_sym_lock] = ACTIONS(1328),
    [anon_sym_rlock] = ACTIONS(1328),
    [sym__automatic_separator] = ACTIONS(1326),
    [sym__c_string_opening] = ACTIONS(1326),
    [sym__raw_string_opening] = ACTIONS(1326),
    [sym__string_opening] = ACTIONS(1326),
    [sym__comment] = ACTIONS(3),
  },
  [1302] = {
    [sym_comment] = STATE(1302),
    [sym_identifier] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_CARET] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_LT_DASH] = ACTIONS(1330),
    [anon_sym_SLASH] = ACTIONS(1330),
    [anon_sym_PERCENT] = ACTIONS(1330),
    [anon_sym_LT_LT] = ACTIONS(1330),
    [anon_sym_GT_GT] = ACTIONS(1332),
    [anon_sym_GT_GT_GT] = ACTIONS(1330),
    [anon_sym_AMP_CARET] = ACTIONS(1330),
    [anon_sym_PIPE] = ACTIONS(1332),
    [anon_sym_EQ_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT] = ACTIONS(1332),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_GT] = ACTIONS(1332),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_BANGin] = ACTIONS(1330),
    [anon_sym_AMP_AMP] = ACTIONS(1330),
    [anon_sym_PIPE_PIPE] = ACTIONS(1330),
    [anon_sym_as] = ACTIONS(1332),
    [anon_sym_COMMA] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [sym_none] = ACTIONS(1332),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_map_LBRACK] = ACTIONS(1330),
    [anon_sym_chan] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_thread] = ACTIONS(1332),
    [sym_int_literal] = ACTIONS(1332),
    [sym_float_literal] = ACTIONS(1330),
    [sym_rune_literal] = ACTIONS(1330),
    [anon_sym_DOT] = ACTIONS(1332),
    [anon_sym_array] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_char] = ACTIONS(1332),
    [anon_sym_sql] = ACTIONS(1332),
    [anon_sym_mut] = ACTIONS(1332),
    [anon_sym_C] = ACTIONS(1332),
    [anon_sym_JS] = ACTIONS(1332),
    [anon_sym_voidptr] = ACTIONS(1332),
    [anon_sym_byteptr] = ACTIONS(1332),
    [anon_sym_charptr] = ACTIONS(1332),
    [anon_sym_i8] = ACTIONS(1332),
    [anon_sym_i16] = ACTIONS(1332),
    [anon_sym_i32] = ACTIONS(1332),
    [anon_sym_int] = ACTIONS(1332),
    [anon_sym_i64] = ACTIONS(1332),
    [anon_sym_byte] = ACTIONS(1332),
    [anon_sym_u8] = ACTIONS(1332),
    [anon_sym_u16] = ACTIONS(1332),
    [anon_sym_u32] = ACTIONS(1332),
    [anon_sym_u64] = ACTIONS(1332),
    [anon_sym_f32] = ACTIONS(1332),
    [anon_sym_f64] = ACTIONS(1332),
    [anon_sym_bool] = ACTIONS(1332),
    [anon_sym_rune] = ACTIONS(1332),
    [anon_sym_map] = ACTIONS(1332),
    [anon_sym_mapnode] = ACTIONS(1332),
    [anon_sym_size_t] = ACTIONS(1332),
    [anon_sym_usize] = ACTIONS(1332),
    [anon_sym_isize] = ACTIONS(1332),
    [anon_sym_float_literal] = ACTIONS(1332),
    [anon_sym_int_literal] = ACTIONS(1332),
    [anon_sym_IError] = ACTIONS(1332),
    [sym_type_placeholder] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [sym_type_identifier] = ACTIONS(1332),
    [anon_sym_assert] = ACTIONS(1332),
    [anon_sym_defer] = ACTIONS(1332),
    [anon_sym_unsafe] = ACTIONS(1332),
    [anon_sym_fn] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_go] = ACTIONS(1332),
    [anon_sym_spawn] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_DOLLARfor] = ACTIONS(1330),
    [anon_sym_DOLLARif] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_is] = ACTIONS(1332),
    [anon_sym_BANGis] = ACTIONS(1330),
    [anon_sym_POUND] = ACTIONS(1330),
    [anon_sym_match] = ACTIONS(1332),
    [anon_sym_select] = ACTIONS(1332),
    [anon_sym_lock] = ACTIONS(1332),
    [anon_sym_rlock] = ACTIONS(1332),
    [sym__automatic_separator] = ACTIONS(1330),
    [sym__c_string_opening] = ACTIONS(1330),
    [sym__raw_string_opening] = ACTIONS(1330),
    [sym__string_opening] = ACTIONS(1330),
    [sym__comment] = ACTIONS(3),
  },
  [1303] = {
    [sym_comment] = STATE(1303),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_LT_DASH] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_GT_GT_GT] = ACTIONS(1452),
    [anon_sym_AMP_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1454),
    [anon_sym_BANGin] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [sym_none] = ACTIONS(1454),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_map_LBRACK] = ACTIONS(1452),
    [anon_sym_chan] = ACTIONS(1454),
    [anon_sym_shared] = ACTIONS(1454),
    [anon_sym_thread] = ACTIONS(1454),
    [sym_int_literal] = ACTIONS(1454),
    [sym_float_literal] = ACTIONS(1452),
    [sym_rune_literal] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_array] = ACTIONS(1454),
    [anon_sym_string] = ACTIONS(1454),
    [anon_sym_char] = ACTIONS(1454),
    [anon_sym_sql] = ACTIONS(1454),
    [anon_sym_mut] = ACTIONS(1454),
    [anon_sym_C] = ACTIONS(1454),
    [anon_sym_JS] = ACTIONS(1454),
    [anon_sym_voidptr] = ACTIONS(1454),
    [anon_sym_byteptr] = ACTIONS(1454),
    [anon_sym_charptr] = ACTIONS(1454),
    [anon_sym_i8] = ACTIONS(1454),
    [anon_sym_i16] = ACTIONS(1454),
    [anon_sym_i32] = ACTIONS(1454),
    [anon_sym_int] = ACTIONS(1454),
    [anon_sym_i64] = ACTIONS(1454),
    [anon_sym_byte] = ACTIONS(1454),
    [anon_sym_u8] = ACTIONS(1454),
    [anon_sym_u16] = ACTIONS(1454),
    [anon_sym_u32] = ACTIONS(1454),
    [anon_sym_u64] = ACTIONS(1454),
    [anon_sym_f32] = ACTIONS(1454),
    [anon_sym_f64] = ACTIONS(1454),
    [anon_sym_bool] = ACTIONS(1454),
    [anon_sym_rune] = ACTIONS(1454),
    [anon_sym_map] = ACTIONS(1454),
    [anon_sym_mapnode] = ACTIONS(1454),
    [anon_sym_size_t] = ACTIONS(1454),
    [anon_sym_usize] = ACTIONS(1454),
    [anon_sym_isize] = ACTIONS(1454),
    [anon_sym_float_literal] = ACTIONS(1454),
    [anon_sym_int_literal] = ACTIONS(1454),
    [anon_sym_IError] = ACTIONS(1454),
    [sym_type_placeholder] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym_type_identifier] = ACTIONS(1454),
    [anon_sym_assert] = ACTIONS(1454),
    [anon_sym_defer] = ACTIONS(1454),
    [anon_sym_unsafe] = ACTIONS(1454),
    [anon_sym_fn] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_go] = ACTIONS(1454),
    [anon_sym_spawn] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_DOLLARfor] = ACTIONS(1452),
    [anon_sym_DOLLARif] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_is] = ACTIONS(1454),
    [anon_sym_BANGis] = ACTIONS(1452),
    [anon_sym_POUND] = ACTIONS(1452),
    [anon_sym_match] = ACTIONS(1454),
    [anon_sym_select] = ACTIONS(1454),
    [anon_sym_lock] = ACTIONS(1454),
    [anon_sym_rlock] = ACTIONS(1454),
    [sym__automatic_separator] = ACTIONS(1452),
    [sym__c_string_opening] = ACTIONS(1452),
    [sym__raw_string_opening] = ACTIONS(1452),
    [sym__string_opening] = ACTIONS(1452),
    [sym__comment] = ACTIONS(3),
  },
  [1304] = {
    [sym_comment] = STATE(1304),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PERCENT] = ACTIONS(1464),
    [anon_sym_LT_LT] = ACTIONS(1464),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1464),
    [anon_sym_AMP_CARET] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_BANGin] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [sym_none] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_map_LBRACK] = ACTIONS(1464),
    [anon_sym_chan] = ACTIONS(1466),
    [anon_sym_shared] = ACTIONS(1466),
    [anon_sym_thread] = ACTIONS(1466),
    [sym_int_literal] = ACTIONS(1466),
    [sym_float_literal] = ACTIONS(1464),
    [sym_rune_literal] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_array] = ACTIONS(1466),
    [anon_sym_string] = ACTIONS(1466),
    [anon_sym_char] = ACTIONS(1466),
    [anon_sym_sql] = ACTIONS(1466),
    [anon_sym_mut] = ACTIONS(1466),
    [anon_sym_C] = ACTIONS(1466),
    [anon_sym_JS] = ACTIONS(1466),
    [anon_sym_voidptr] = ACTIONS(1466),
    [anon_sym_byteptr] = ACTIONS(1466),
    [anon_sym_charptr] = ACTIONS(1466),
    [anon_sym_i8] = ACTIONS(1466),
    [anon_sym_i16] = ACTIONS(1466),
    [anon_sym_i32] = ACTIONS(1466),
    [anon_sym_int] = ACTIONS(1466),
    [anon_sym_i64] = ACTIONS(1466),
    [anon_sym_byte] = ACTIONS(1466),
    [anon_sym_u8] = ACTIONS(1466),
    [anon_sym_u16] = ACTIONS(1466),
    [anon_sym_u32] = ACTIONS(1466),
    [anon_sym_u64] = ACTIONS(1466),
    [anon_sym_f32] = ACTIONS(1466),
    [anon_sym_f64] = ACTIONS(1466),
    [anon_sym_bool] = ACTIONS(1466),
    [anon_sym_rune] = ACTIONS(1466),
    [anon_sym_map] = ACTIONS(1466),
    [anon_sym_mapnode] = ACTIONS(1466),
    [anon_sym_size_t] = ACTIONS(1466),
    [anon_sym_usize] = ACTIONS(1466),
    [anon_sym_isize] = ACTIONS(1466),
    [anon_sym_float_literal] = ACTIONS(1466),
    [anon_sym_int_literal] = ACTIONS(1466),
    [anon_sym_IError] = ACTIONS(1466),
    [sym_type_placeholder] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym_type_identifier] = ACTIONS(1466),
    [anon_sym_assert] = ACTIONS(1466),
    [anon_sym_defer] = ACTIONS(1466),
    [anon_sym_unsafe] = ACTIONS(1466),
    [anon_sym_fn] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_go] = ACTIONS(1466),
    [anon_sym_spawn] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_DOLLARfor] = ACTIONS(1464),
    [anon_sym_DOLLARif] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_is] = ACTIONS(1466),
    [anon_sym_BANGis] = ACTIONS(1464),
    [anon_sym_POUND] = ACTIONS(1464),
    [anon_sym_match] = ACTIONS(1466),
    [anon_sym_select] = ACTIONS(1466),
    [anon_sym_lock] = ACTIONS(1466),
    [anon_sym_rlock] = ACTIONS(1466),
    [sym__automatic_separator] = ACTIONS(1464),
    [sym__c_string_opening] = ACTIONS(1464),
    [sym__raw_string_opening] = ACTIONS(1464),
    [sym__string_opening] = ACTIONS(1464),
    [sym__comment] = ACTIONS(3),
  },
  [1305] = {
    [sym_comment] = STATE(1305),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_LT_LT] = ACTIONS(1456),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_GT_GT_GT] = ACTIONS(1456),
    [anon_sym_AMP_CARET] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1458),
    [anon_sym_BANGin] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_as] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [sym_none] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_map_LBRACK] = ACTIONS(1456),
    [anon_sym_chan] = ACTIONS(1458),
    [anon_sym_shared] = ACTIONS(1458),
    [anon_sym_thread] = ACTIONS(1458),
    [sym_int_literal] = ACTIONS(1458),
    [sym_float_literal] = ACTIONS(1456),
    [sym_rune_literal] = ACTIONS(1456),
    [anon_sym_DOT] = ACTIONS(1458),
    [anon_sym_array] = ACTIONS(1458),
    [anon_sym_string] = ACTIONS(1458),
    [anon_sym_char] = ACTIONS(1458),
    [anon_sym_sql] = ACTIONS(1458),
    [anon_sym_mut] = ACTIONS(1458),
    [anon_sym_C] = ACTIONS(1458),
    [anon_sym_JS] = ACTIONS(1458),
    [anon_sym_voidptr] = ACTIONS(1458),
    [anon_sym_byteptr] = ACTIONS(1458),
    [anon_sym_charptr] = ACTIONS(1458),
    [anon_sym_i8] = ACTIONS(1458),
    [anon_sym_i16] = ACTIONS(1458),
    [anon_sym_i32] = ACTIONS(1458),
    [anon_sym_int] = ACTIONS(1458),
    [anon_sym_i64] = ACTIONS(1458),
    [anon_sym_byte] = ACTIONS(1458),
    [anon_sym_u8] = ACTIONS(1458),
    [anon_sym_u16] = ACTIONS(1458),
    [anon_sym_u32] = ACTIONS(1458),
    [anon_sym_u64] = ACTIONS(1458),
    [anon_sym_f32] = ACTIONS(1458),
    [anon_sym_f64] = ACTIONS(1458),
    [anon_sym_bool] = ACTIONS(1458),
    [anon_sym_rune] = ACTIONS(1458),
    [anon_sym_map] = ACTIONS(1458),
    [anon_sym_mapnode] = ACTIONS(1458),
    [anon_sym_size_t] = ACTIONS(1458),
    [anon_sym_usize] = ACTIONS(1458),
    [anon_sym_isize] = ACTIONS(1458),
    [anon_sym_float_literal] = ACTIONS(1458),
    [anon_sym_int_literal] = ACTIONS(1458),
    [anon_sym_IError] = ACTIONS(1458),
    [sym_type_placeholder] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [sym_type_identifier] = ACTIONS(1458),
    [anon_sym_assert] = ACTIONS(1458),
    [anon_sym_defer] = ACTIONS(1458),
    [anon_sym_unsafe] = ACTIONS(1458),
    [anon_sym_fn] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_go] = ACTIONS(1458),
    [anon_sym_spawn] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_DOLLARfor] = ACTIONS(1456),
    [anon_sym_DOLLARif] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1458),
    [anon_sym_BANGis] = ACTIONS(1456),
    [anon_sym_POUND] = ACTIONS(1456),
    [anon_sym_match] = ACTIONS(1458),
    [anon_sym_select] = ACTIONS(1458),
    [anon_sym_lock] = ACTIONS(1458),
    [anon_sym_rlock] = ACTIONS(1458),
    [sym__automatic_separator] = ACTIONS(1456),
    [sym__c_string_opening] = ACTIONS(1456),
    [sym__raw_string_opening] = ACTIONS(1456),
    [sym__string_opening] = ACTIONS(1456),
    [sym__comment] = ACTIONS(3),
  },
  [1306] = {
    [sym_comment] = STATE(1306),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3602),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_PERCENT] = ACTIONS(3600),
    [anon_sym_LT_LT] = ACTIONS(3600),
    [anon_sym_GT_GT] = ACTIONS(3602),
    [anon_sym_GT_GT_GT] = ACTIONS(3600),
    [anon_sym_AMP_CARET] = ACTIONS(3600),
    [anon_sym_PIPE] = ACTIONS(3604),
    [anon_sym_EQ_EQ] = ACTIONS(3606),
    [anon_sym_BANG_EQ] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_LT_EQ] = ACTIONS(3606),
    [anon_sym_GT] = ACTIONS(3608),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_in] = ACTIONS(3608),
    [anon_sym_BANGin] = ACTIONS(3606),
    [anon_sym_AMP_AMP] = ACTIONS(3610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1307] = {
    [sym_comment] = STATE(1307),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_LT_DASH] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1438),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_in] = ACTIONS(1438),
    [anon_sym_BANGin] = ACTIONS(1436),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_as] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [sym_none] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_map_LBRACK] = ACTIONS(1436),
    [anon_sym_chan] = ACTIONS(1438),
    [anon_sym_shared] = ACTIONS(1438),
    [anon_sym_thread] = ACTIONS(1438),
    [sym_int_literal] = ACTIONS(1438),
    [sym_float_literal] = ACTIONS(1436),
    [sym_rune_literal] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1438),
    [anon_sym_array] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_char] = ACTIONS(1438),
    [anon_sym_sql] = ACTIONS(1438),
    [anon_sym_mut] = ACTIONS(1438),
    [anon_sym_C] = ACTIONS(1438),
    [anon_sym_JS] = ACTIONS(1438),
    [anon_sym_voidptr] = ACTIONS(1438),
    [anon_sym_byteptr] = ACTIONS(1438),
    [anon_sym_charptr] = ACTIONS(1438),
    [anon_sym_i8] = ACTIONS(1438),
    [anon_sym_i16] = ACTIONS(1438),
    [anon_sym_i32] = ACTIONS(1438),
    [anon_sym_int] = ACTIONS(1438),
    [anon_sym_i64] = ACTIONS(1438),
    [anon_sym_byte] = ACTIONS(1438),
    [anon_sym_u8] = ACTIONS(1438),
    [anon_sym_u16] = ACTIONS(1438),
    [anon_sym_u32] = ACTIONS(1438),
    [anon_sym_u64] = ACTIONS(1438),
    [anon_sym_f32] = ACTIONS(1438),
    [anon_sym_f64] = ACTIONS(1438),
    [anon_sym_bool] = ACTIONS(1438),
    [anon_sym_rune] = ACTIONS(1438),
    [anon_sym_map] = ACTIONS(1438),
    [anon_sym_mapnode] = ACTIONS(1438),
    [anon_sym_size_t] = ACTIONS(1438),
    [anon_sym_usize] = ACTIONS(1438),
    [anon_sym_isize] = ACTIONS(1438),
    [anon_sym_float_literal] = ACTIONS(1438),
    [anon_sym_int_literal] = ACTIONS(1438),
    [anon_sym_IError] = ACTIONS(1438),
    [sym_type_placeholder] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [sym_type_identifier] = ACTIONS(1438),
    [anon_sym_assert] = ACTIONS(1438),
    [anon_sym_defer] = ACTIONS(1438),
    [anon_sym_unsafe] = ACTIONS(1438),
    [anon_sym_fn] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_go] = ACTIONS(1438),
    [anon_sym_spawn] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_DOLLARfor] = ACTIONS(1436),
    [anon_sym_DOLLARif] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_is] = ACTIONS(1438),
    [anon_sym_BANGis] = ACTIONS(1436),
    [anon_sym_POUND] = ACTIONS(1436),
    [anon_sym_match] = ACTIONS(1438),
    [anon_sym_select] = ACTIONS(1438),
    [anon_sym_lock] = ACTIONS(1438),
    [anon_sym_rlock] = ACTIONS(1438),
    [sym__automatic_separator] = ACTIONS(1436),
    [sym__c_string_opening] = ACTIONS(1436),
    [sym__raw_string_opening] = ACTIONS(1436),
    [sym__string_opening] = ACTIONS(1436),
    [sym__comment] = ACTIONS(3),
  },
  [1308] = {
    [sym_comment] = STATE(1308),
    [sym_identifier] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_LT_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1376),
    [anon_sym_LT_LT] = ACTIONS(1376),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_GT_GT_GT] = ACTIONS(1376),
    [anon_sym_AMP_CARET] = ACTIONS(1376),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1376),
    [anon_sym_in] = ACTIONS(1378),
    [anon_sym_BANGin] = ACTIONS(1376),
    [anon_sym_AMP_AMP] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1376),
    [anon_sym_as] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [sym_none] = ACTIONS(1378),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_map_LBRACK] = ACTIONS(1376),
    [anon_sym_chan] = ACTIONS(1378),
    [anon_sym_shared] = ACTIONS(1378),
    [anon_sym_thread] = ACTIONS(1378),
    [sym_int_literal] = ACTIONS(1378),
    [sym_float_literal] = ACTIONS(1376),
    [sym_rune_literal] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_array] = ACTIONS(1378),
    [anon_sym_string] = ACTIONS(1378),
    [anon_sym_char] = ACTIONS(1378),
    [anon_sym_sql] = ACTIONS(1378),
    [anon_sym_mut] = ACTIONS(1378),
    [anon_sym_C] = ACTIONS(1378),
    [anon_sym_JS] = ACTIONS(1378),
    [anon_sym_voidptr] = ACTIONS(1378),
    [anon_sym_byteptr] = ACTIONS(1378),
    [anon_sym_charptr] = ACTIONS(1378),
    [anon_sym_i8] = ACTIONS(1378),
    [anon_sym_i16] = ACTIONS(1378),
    [anon_sym_i32] = ACTIONS(1378),
    [anon_sym_int] = ACTIONS(1378),
    [anon_sym_i64] = ACTIONS(1378),
    [anon_sym_byte] = ACTIONS(1378),
    [anon_sym_u8] = ACTIONS(1378),
    [anon_sym_u16] = ACTIONS(1378),
    [anon_sym_u32] = ACTIONS(1378),
    [anon_sym_u64] = ACTIONS(1378),
    [anon_sym_f32] = ACTIONS(1378),
    [anon_sym_f64] = ACTIONS(1378),
    [anon_sym_bool] = ACTIONS(1378),
    [anon_sym_rune] = ACTIONS(1378),
    [anon_sym_map] = ACTIONS(1378),
    [anon_sym_mapnode] = ACTIONS(1378),
    [anon_sym_size_t] = ACTIONS(1378),
    [anon_sym_usize] = ACTIONS(1378),
    [anon_sym_isize] = ACTIONS(1378),
    [anon_sym_float_literal] = ACTIONS(1378),
    [anon_sym_int_literal] = ACTIONS(1378),
    [anon_sym_IError] = ACTIONS(1378),
    [sym_type_placeholder] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [sym_type_identifier] = ACTIONS(1378),
    [anon_sym_assert] = ACTIONS(1378),
    [anon_sym_defer] = ACTIONS(1378),
    [anon_sym_unsafe] = ACTIONS(1378),
    [anon_sym_fn] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_go] = ACTIONS(1378),
    [anon_sym_spawn] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_DOLLARfor] = ACTIONS(1376),
    [anon_sym_DOLLARif] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_is] = ACTIONS(1378),
    [anon_sym_BANGis] = ACTIONS(1376),
    [anon_sym_POUND] = ACTIONS(1376),
    [anon_sym_match] = ACTIONS(1378),
    [anon_sym_select] = ACTIONS(1378),
    [anon_sym_lock] = ACTIONS(1378),
    [anon_sym_rlock] = ACTIONS(1378),
    [sym__automatic_separator] = ACTIONS(1376),
    [sym__c_string_opening] = ACTIONS(1376),
    [sym__raw_string_opening] = ACTIONS(1376),
    [sym__string_opening] = ACTIONS(1376),
    [sym__comment] = ACTIONS(3),
  },
  [1309] = {
    [sym_comment] = STATE(1309),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_LT_DASH] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_GT_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(1424),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_BANGin] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [sym_none] = ACTIONS(1424),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_map_LBRACK] = ACTIONS(1422),
    [anon_sym_chan] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_thread] = ACTIONS(1424),
    [sym_int_literal] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1422),
    [sym_rune_literal] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_array] = ACTIONS(1424),
    [anon_sym_string] = ACTIONS(1424),
    [anon_sym_char] = ACTIONS(1424),
    [anon_sym_sql] = ACTIONS(1424),
    [anon_sym_mut] = ACTIONS(1424),
    [anon_sym_C] = ACTIONS(1424),
    [anon_sym_JS] = ACTIONS(1424),
    [anon_sym_voidptr] = ACTIONS(1424),
    [anon_sym_byteptr] = ACTIONS(1424),
    [anon_sym_charptr] = ACTIONS(1424),
    [anon_sym_i8] = ACTIONS(1424),
    [anon_sym_i16] = ACTIONS(1424),
    [anon_sym_i32] = ACTIONS(1424),
    [anon_sym_int] = ACTIONS(1424),
    [anon_sym_i64] = ACTIONS(1424),
    [anon_sym_byte] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1424),
    [anon_sym_u16] = ACTIONS(1424),
    [anon_sym_u32] = ACTIONS(1424),
    [anon_sym_u64] = ACTIONS(1424),
    [anon_sym_f32] = ACTIONS(1424),
    [anon_sym_f64] = ACTIONS(1424),
    [anon_sym_bool] = ACTIONS(1424),
    [anon_sym_rune] = ACTIONS(1424),
    [anon_sym_map] = ACTIONS(1424),
    [anon_sym_mapnode] = ACTIONS(1424),
    [anon_sym_size_t] = ACTIONS(1424),
    [anon_sym_usize] = ACTIONS(1424),
    [anon_sym_isize] = ACTIONS(1424),
    [anon_sym_float_literal] = ACTIONS(1424),
    [anon_sym_int_literal] = ACTIONS(1424),
    [anon_sym_IError] = ACTIONS(1424),
    [sym_type_placeholder] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [sym_type_identifier] = ACTIONS(1424),
    [anon_sym_assert] = ACTIONS(1424),
    [anon_sym_defer] = ACTIONS(1424),
    [anon_sym_unsafe] = ACTIONS(1424),
    [anon_sym_fn] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_go] = ACTIONS(1424),
    [anon_sym_spawn] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_DOLLARfor] = ACTIONS(1422),
    [anon_sym_DOLLARif] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_is] = ACTIONS(1424),
    [anon_sym_BANGis] = ACTIONS(1422),
    [anon_sym_POUND] = ACTIONS(1422),
    [anon_sym_match] = ACTIONS(1424),
    [anon_sym_select] = ACTIONS(1424),
    [anon_sym_lock] = ACTIONS(1424),
    [anon_sym_rlock] = ACTIONS(1424),
    [sym__automatic_separator] = ACTIONS(1422),
    [sym__c_string_opening] = ACTIONS(1422),
    [sym__raw_string_opening] = ACTIONS(1422),
    [sym__string_opening] = ACTIONS(1422),
    [sym__comment] = ACTIONS(3),
  },
  [1310] = {
    [sym_comment] = STATE(1310),
    [sym_identifier] = ACTIONS(3318),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3602),
    [anon_sym_LT_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_PERCENT] = ACTIONS(3600),
    [anon_sym_LT_LT] = ACTIONS(3600),
    [anon_sym_GT_GT] = ACTIONS(3602),
    [anon_sym_GT_GT_GT] = ACTIONS(3600),
    [anon_sym_AMP_CARET] = ACTIONS(3600),
    [anon_sym_PIPE] = ACTIONS(3604),
    [anon_sym_EQ_EQ] = ACTIONS(3606),
    [anon_sym_BANG_EQ] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_LT_EQ] = ACTIONS(3606),
    [anon_sym_GT] = ACTIONS(3608),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_in] = ACTIONS(3608),
    [anon_sym_BANGin] = ACTIONS(3606),
    [anon_sym_AMP_AMP] = ACTIONS(3610),
    [anon_sym_PIPE_PIPE] = ACTIONS(3612),
    [anon_sym_as] = ACTIONS(3614),
    [anon_sym_COMMA] = ACTIONS(3316),
    [anon_sym_DOLLAR] = ACTIONS(3318),
    [sym_none] = ACTIONS(3318),
    [sym_true] = ACTIONS(3318),
    [sym_false] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(3316),
    [anon_sym_chan] = ACTIONS(3318),
    [anon_sym_shared] = ACTIONS(3318),
    [anon_sym_thread] = ACTIONS(3318),
    [sym_int_literal] = ACTIONS(3318),
    [sym_float_literal] = ACTIONS(3316),
    [sym_rune_literal] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(3318),
    [anon_sym_string] = ACTIONS(3318),
    [anon_sym_char] = ACTIONS(3318),
    [anon_sym_sql] = ACTIONS(3318),
    [anon_sym_mut] = ACTIONS(3318),
    [anon_sym_C] = ACTIONS(3318),
    [anon_sym_JS] = ACTIONS(3318),
    [anon_sym_voidptr] = ACTIONS(3318),
    [anon_sym_byteptr] = ACTIONS(3318),
    [anon_sym_charptr] = ACTIONS(3318),
    [anon_sym_i8] = ACTIONS(3318),
    [anon_sym_i16] = ACTIONS(3318),
    [anon_sym_i32] = ACTIONS(3318),
    [anon_sym_int] = ACTIONS(3318),
    [anon_sym_i64] = ACTIONS(3318),
    [anon_sym_byte] = ACTIONS(3318),
    [anon_sym_u8] = ACTIONS(3318),
    [anon_sym_u16] = ACTIONS(3318),
    [anon_sym_u32] = ACTIONS(3318),
    [anon_sym_u64] = ACTIONS(3318),
    [anon_sym_f32] = ACTIONS(3318),
    [anon_sym_f64] = ACTIONS(3318),
    [anon_sym_bool] = ACTIONS(3318),
    [anon_sym_rune] = ACTIONS(3318),
    [anon_sym_map] = ACTIONS(3318),
    [anon_sym_mapnode] = ACTIONS(3318),
    [anon_sym_size_t] = ACTIONS(3318),
    [anon_sym_usize] = ACTIONS(3318),
    [anon_sym_isize] = ACTIONS(3318),
    [anon_sym_float_literal] = ACTIONS(3318),
    [anon_sym_int_literal] = ACTIONS(3318),
    [anon_sym_IError] = ACTIONS(3318),
    [sym_type_placeholder] = ACTIONS(3318),
    [anon_sym_AT] = ACTIONS(3318),
    [sym_type_identifier] = ACTIONS(3318),
    [anon_sym_assert] = ACTIONS(3318),
    [anon_sym_defer] = ACTIONS(3318),
    [anon_sym_unsafe] = ACTIONS(3318),
    [anon_sym_fn] = ACTIONS(3318),
    [anon_sym_asm] = ACTIONS(3318),
    [anon_sym_break] = ACTIONS(3318),
    [anon_sym_continue] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(3318),
    [anon_sym_go] = ACTIONS(3318),
    [anon_sym_spawn] = ACTIONS(3318),
    [anon_sym_goto] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(3318),
    [anon_sym_DOLLARfor] = ACTIONS(3316),
    [anon_sym_DOLLARif] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3318),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(3316),
    [anon_sym_match] = ACTIONS(3318),
    [anon_sym_select] = ACTIONS(3318),
    [anon_sym_lock] = ACTIONS(3318),
    [anon_sym_rlock] = ACTIONS(3318),
    [sym__automatic_separator] = ACTIONS(3316),
    [sym__c_string_opening] = ACTIONS(3316),
    [sym__raw_string_opening] = ACTIONS(3316),
    [sym__string_opening] = ACTIONS(3316),
    [sym__comment] = ACTIONS(3),
  },
  [1311] = {
    [sym_comment] = STATE(1311),
    [sym_identifier] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1568),
    [anon_sym_STAR] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_LT_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1568),
    [anon_sym_PERCENT] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1568),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1568),
    [anon_sym_AMP_CARET] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_BANGin] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [sym_none] = ACTIONS(1570),
    [sym_true] = ACTIONS(1570),
    [sym_false] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_map_LBRACK] = ACTIONS(1568),
    [anon_sym_chan] = ACTIONS(1570),
    [anon_sym_shared] = ACTIONS(1570),
    [anon_sym_thread] = ACTIONS(1570),
    [sym_int_literal] = ACTIONS(1570),
    [sym_float_literal] = ACTIONS(1568),
    [sym_rune_literal] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_array] = ACTIONS(1570),
    [anon_sym_string] = ACTIONS(1570),
    [anon_sym_char] = ACTIONS(1570),
    [anon_sym_sql] = ACTIONS(1570),
    [anon_sym_mut] = ACTIONS(1570),
    [anon_sym_C] = ACTIONS(1570),
    [anon_sym_JS] = ACTIONS(1570),
    [anon_sym_voidptr] = ACTIONS(1570),
    [anon_sym_byteptr] = ACTIONS(1570),
    [anon_sym_charptr] = ACTIONS(1570),
    [anon_sym_i8] = ACTIONS(1570),
    [anon_sym_i16] = ACTIONS(1570),
    [anon_sym_i32] = ACTIONS(1570),
    [anon_sym_int] = ACTIONS(1570),
    [anon_sym_i64] = ACTIONS(1570),
    [anon_sym_byte] = ACTIONS(1570),
    [anon_sym_u8] = ACTIONS(1570),
    [anon_sym_u16] = ACTIONS(1570),
    [anon_sym_u32] = ACTIONS(1570),
    [anon_sym_u64] = ACTIONS(1570),
    [anon_sym_f32] = ACTIONS(1570),
    [anon_sym_f64] = ACTIONS(1570),
    [anon_sym_bool] = ACTIONS(1570),
    [anon_sym_rune] = ACTIONS(1570),
    [anon_sym_map] = ACTIONS(1570),
    [anon_sym_mapnode] = ACTIONS(1570),
    [anon_sym_size_t] = ACTIONS(1570),
    [anon_sym_usize] = ACTIONS(1570),
    [anon_sym_isize] = ACTIONS(1570),
    [anon_sym_float_literal] = ACTIONS(1570),
    [anon_sym_int_literal] = ACTIONS(1570),
    [anon_sym_IError] = ACTIONS(1570),
    [sym_type_placeholder] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [sym_type_identifier] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_defer] = ACTIONS(1570),
    [anon_sym_unsafe] = ACTIONS(1570),
    [anon_sym_fn] = ACTIONS(1570),
    [anon_sym_asm] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_continue] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_go] = ACTIONS(1570),
    [anon_sym_spawn] = ACTIONS(1570),
    [anon_sym_goto] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_DOLLARfor] = ACTIONS(1568),
    [anon_sym_DOLLARif] = ACTIONS(1568),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_is] = ACTIONS(1570),
    [anon_sym_BANGis] = ACTIONS(1568),
    [anon_sym_POUND] = ACTIONS(1568),
    [anon_sym_match] = ACTIONS(1570),
    [anon_sym_select] = ACTIONS(1570),
    [anon_sym_lock] = ACTIONS(1570),
    [anon_sym_rlock] = ACTIONS(1570),
    [sym__automatic_separator] = ACTIONS(1568),
    [sym__c_string_opening] = ACTIONS(1568),
    [sym__raw_string_opening] = ACTIONS(1568),
    [sym__string_opening] = ACTIONS(1568),
    [sym__comment] = ACTIONS(3),
  },
  [1312] = {
    [sym_comment] = STATE(1312),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3602),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_PERCENT] = ACTIONS(3600),
    [anon_sym_LT_LT] = ACTIONS(3600),
    [anon_sym_GT_GT] = ACTIONS(3602),
    [anon_sym_GT_GT_GT] = ACTIONS(3600),
    [anon_sym_AMP_CARET] = ACTIONS(3600),
    [anon_sym_PIPE] = ACTIONS(3604),
    [anon_sym_EQ_EQ] = ACTIONS(3606),
    [anon_sym_BANG_EQ] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_LT_EQ] = ACTIONS(3606),
    [anon_sym_GT] = ACTIONS(3608),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_in] = ACTIONS(3608),
    [anon_sym_BANGin] = ACTIONS(3606),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1313] = {
    [sym_comment] = STATE(1313),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_defer] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_go] = ACTIONS(852),
    [anon_sym_spawn] = ACTIONS(852),
    [anon_sym_goto] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOLLARfor] = ACTIONS(850),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(3250),
    [anon_sym_BANGis] = ACTIONS(3252),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__automatic_separator] = ACTIONS(850),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1314] = {
    [sym_comment] = STATE(1314),
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_LT_DASH] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_LT_LT] = ACTIONS(1448),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1448),
    [anon_sym_AMP_CARET] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_BANGin] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_as] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [sym_none] = ACTIONS(1450),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_map_LBRACK] = ACTIONS(1448),
    [anon_sym_chan] = ACTIONS(1450),
    [anon_sym_shared] = ACTIONS(1450),
    [anon_sym_thread] = ACTIONS(1450),
    [sym_int_literal] = ACTIONS(1450),
    [sym_float_literal] = ACTIONS(1448),
    [sym_rune_literal] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1450),
    [anon_sym_array] = ACTIONS(1450),
    [anon_sym_string] = ACTIONS(1450),
    [anon_sym_char] = ACTIONS(1450),
    [anon_sym_sql] = ACTIONS(1450),
    [anon_sym_mut] = ACTIONS(1450),
    [anon_sym_C] = ACTIONS(1450),
    [anon_sym_JS] = ACTIONS(1450),
    [anon_sym_voidptr] = ACTIONS(1450),
    [anon_sym_byteptr] = ACTIONS(1450),
    [anon_sym_charptr] = ACTIONS(1450),
    [anon_sym_i8] = ACTIONS(1450),
    [anon_sym_i16] = ACTIONS(1450),
    [anon_sym_i32] = ACTIONS(1450),
    [anon_sym_int] = ACTIONS(1450),
    [anon_sym_i64] = ACTIONS(1450),
    [anon_sym_byte] = ACTIONS(1450),
    [anon_sym_u8] = ACTIONS(1450),
    [anon_sym_u16] = ACTIONS(1450),
    [anon_sym_u32] = ACTIONS(1450),
    [anon_sym_u64] = ACTIONS(1450),
    [anon_sym_f32] = ACTIONS(1450),
    [anon_sym_f64] = ACTIONS(1450),
    [anon_sym_bool] = ACTIONS(1450),
    [anon_sym_rune] = ACTIONS(1450),
    [anon_sym_map] = ACTIONS(1450),
    [anon_sym_mapnode] = ACTIONS(1450),
    [anon_sym_size_t] = ACTIONS(1450),
    [anon_sym_usize] = ACTIONS(1450),
    [anon_sym_isize] = ACTIONS(1450),
    [anon_sym_float_literal] = ACTIONS(1450),
    [anon_sym_int_literal] = ACTIONS(1450),
    [anon_sym_IError] = ACTIONS(1450),
    [sym_type_placeholder] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [sym_type_identifier] = ACTIONS(1450),
    [anon_sym_assert] = ACTIONS(1450),
    [anon_sym_defer] = ACTIONS(1450),
    [anon_sym_unsafe] = ACTIONS(1450),
    [anon_sym_fn] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_go] = ACTIONS(1450),
    [anon_sym_spawn] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_DOLLARfor] = ACTIONS(1448),
    [anon_sym_DOLLARif] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_is] = ACTIONS(1450),
    [anon_sym_BANGis] = ACTIONS(1448),
    [anon_sym_POUND] = ACTIONS(1448),
    [anon_sym_match] = ACTIONS(1450),
    [anon_sym_select] = ACTIONS(1450),
    [anon_sym_lock] = ACTIONS(1450),
    [anon_sym_rlock] = ACTIONS(1450),
    [sym__automatic_separator] = ACTIONS(1448),
    [sym__c_string_opening] = ACTIONS(1448),
    [sym__raw_string_opening] = ACTIONS(1448),
    [sym__string_opening] = ACTIONS(1448),
    [sym__comment] = ACTIONS(3),
  },
  [1315] = {
    [sym_comment] = STATE(1315),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3602),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_PERCENT] = ACTIONS(3600),
    [anon_sym_LT_LT] = ACTIONS(3600),
    [anon_sym_GT_GT] = ACTIONS(3602),
    [anon_sym_GT_GT_GT] = ACTIONS(3600),
    [anon_sym_AMP_CARET] = ACTIONS(3600),
    [anon_sym_PIPE] = ACTIONS(3604),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1316] = {
    [sym_comment] = STATE(1316),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_PERCENT] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1317] = {
    [sym_comment] = STATE(1317),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3602),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_PERCENT] = ACTIONS(3600),
    [anon_sym_LT_LT] = ACTIONS(3600),
    [anon_sym_GT_GT] = ACTIONS(3602),
    [anon_sym_GT_GT_GT] = ACTIONS(3600),
    [anon_sym_AMP_CARET] = ACTIONS(3600),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1318] = {
    [sym_comment] = STATE(1318),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_LT_DASH] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_GT_GT_GT] = ACTIONS(1514),
    [anon_sym_AMP_CARET] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_BANGin] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1514),
    [anon_sym_as] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [sym_none] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_map_LBRACK] = ACTIONS(1514),
    [anon_sym_chan] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_thread] = ACTIONS(1516),
    [sym_int_literal] = ACTIONS(1516),
    [sym_float_literal] = ACTIONS(1514),
    [sym_rune_literal] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_array] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_char] = ACTIONS(1516),
    [anon_sym_sql] = ACTIONS(1516),
    [anon_sym_mut] = ACTIONS(1516),
    [anon_sym_C] = ACTIONS(1516),
    [anon_sym_JS] = ACTIONS(1516),
    [anon_sym_voidptr] = ACTIONS(1516),
    [anon_sym_byteptr] = ACTIONS(1516),
    [anon_sym_charptr] = ACTIONS(1516),
    [anon_sym_i8] = ACTIONS(1516),
    [anon_sym_i16] = ACTIONS(1516),
    [anon_sym_i32] = ACTIONS(1516),
    [anon_sym_int] = ACTIONS(1516),
    [anon_sym_i64] = ACTIONS(1516),
    [anon_sym_byte] = ACTIONS(1516),
    [anon_sym_u8] = ACTIONS(1516),
    [anon_sym_u16] = ACTIONS(1516),
    [anon_sym_u32] = ACTIONS(1516),
    [anon_sym_u64] = ACTIONS(1516),
    [anon_sym_f32] = ACTIONS(1516),
    [anon_sym_f64] = ACTIONS(1516),
    [anon_sym_bool] = ACTIONS(1516),
    [anon_sym_rune] = ACTIONS(1516),
    [anon_sym_map] = ACTIONS(1516),
    [anon_sym_mapnode] = ACTIONS(1516),
    [anon_sym_size_t] = ACTIONS(1516),
    [anon_sym_usize] = ACTIONS(1516),
    [anon_sym_isize] = ACTIONS(1516),
    [anon_sym_float_literal] = ACTIONS(1516),
    [anon_sym_int_literal] = ACTIONS(1516),
    [anon_sym_IError] = ACTIONS(1516),
    [sym_type_placeholder] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [sym_type_identifier] = ACTIONS(1516),
    [anon_sym_assert] = ACTIONS(1516),
    [anon_sym_defer] = ACTIONS(1516),
    [anon_sym_unsafe] = ACTIONS(1516),
    [anon_sym_fn] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_go] = ACTIONS(1516),
    [anon_sym_spawn] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_DOLLARfor] = ACTIONS(1514),
    [anon_sym_DOLLARif] = ACTIONS(1514),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_is] = ACTIONS(1516),
    [anon_sym_BANGis] = ACTIONS(1514),
    [anon_sym_POUND] = ACTIONS(1514),
    [anon_sym_match] = ACTIONS(1516),
    [anon_sym_select] = ACTIONS(1516),
    [anon_sym_lock] = ACTIONS(1516),
    [anon_sym_rlock] = ACTIONS(1516),
    [sym__automatic_separator] = ACTIONS(1514),
    [sym__c_string_opening] = ACTIONS(1514),
    [sym__raw_string_opening] = ACTIONS(1514),
    [sym__string_opening] = ACTIONS(1514),
    [sym__comment] = ACTIONS(3),
  },
  [1319] = {
    [sym_comment] = STATE(1319),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_GT_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_BANGin] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [sym_none] = ACTIONS(1416),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_map_LBRACK] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_thread] = ACTIONS(1416),
    [sym_int_literal] = ACTIONS(1416),
    [sym_float_literal] = ACTIONS(1414),
    [sym_rune_literal] = ACTIONS(1414),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_array] = ACTIONS(1416),
    [anon_sym_string] = ACTIONS(1416),
    [anon_sym_char] = ACTIONS(1416),
    [anon_sym_sql] = ACTIONS(1416),
    [anon_sym_mut] = ACTIONS(1416),
    [anon_sym_C] = ACTIONS(1416),
    [anon_sym_JS] = ACTIONS(1416),
    [anon_sym_voidptr] = ACTIONS(1416),
    [anon_sym_byteptr] = ACTIONS(1416),
    [anon_sym_charptr] = ACTIONS(1416),
    [anon_sym_i8] = ACTIONS(1416),
    [anon_sym_i16] = ACTIONS(1416),
    [anon_sym_i32] = ACTIONS(1416),
    [anon_sym_int] = ACTIONS(1416),
    [anon_sym_i64] = ACTIONS(1416),
    [anon_sym_byte] = ACTIONS(1416),
    [anon_sym_u8] = ACTIONS(1416),
    [anon_sym_u16] = ACTIONS(1416),
    [anon_sym_u32] = ACTIONS(1416),
    [anon_sym_u64] = ACTIONS(1416),
    [anon_sym_f32] = ACTIONS(1416),
    [anon_sym_f64] = ACTIONS(1416),
    [anon_sym_bool] = ACTIONS(1416),
    [anon_sym_rune] = ACTIONS(1416),
    [anon_sym_map] = ACTIONS(1416),
    [anon_sym_mapnode] = ACTIONS(1416),
    [anon_sym_size_t] = ACTIONS(1416),
    [anon_sym_usize] = ACTIONS(1416),
    [anon_sym_isize] = ACTIONS(1416),
    [anon_sym_float_literal] = ACTIONS(1416),
    [anon_sym_int_literal] = ACTIONS(1416),
    [anon_sym_IError] = ACTIONS(1416),
    [sym_type_placeholder] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym_type_identifier] = ACTIONS(1416),
    [anon_sym_assert] = ACTIONS(1416),
    [anon_sym_defer] = ACTIONS(1416),
    [anon_sym_unsafe] = ACTIONS(1416),
    [anon_sym_fn] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_go] = ACTIONS(1416),
    [anon_sym_spawn] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_DOLLARfor] = ACTIONS(1414),
    [anon_sym_DOLLARif] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1416),
    [anon_sym_BANGis] = ACTIONS(1414),
    [anon_sym_POUND] = ACTIONS(1414),
    [anon_sym_match] = ACTIONS(1416),
    [anon_sym_select] = ACTIONS(1416),
    [anon_sym_lock] = ACTIONS(1416),
    [anon_sym_rlock] = ACTIONS(1416),
    [sym__automatic_separator] = ACTIONS(1414),
    [sym__c_string_opening] = ACTIONS(1414),
    [sym__raw_string_opening] = ACTIONS(1414),
    [sym__string_opening] = ACTIONS(1414),
    [sym__comment] = ACTIONS(3),
  },
  [1320] = {
    [sym_comment] = STATE(1320),
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_LPAREN] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3352),
    [anon_sym_CARET] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(3676),
    [anon_sym_LT_DASH] = ACTIONS(3352),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_PERCENT] = ACTIONS(3674),
    [anon_sym_LT_LT] = ACTIONS(3674),
    [anon_sym_GT_GT] = ACTIONS(3676),
    [anon_sym_GT_GT_GT] = ACTIONS(3674),
    [anon_sym_AMP_CARET] = ACTIONS(3674),
    [anon_sym_PIPE] = ACTIONS(3678),
    [anon_sym_EQ_EQ] = ACTIONS(3680),
    [anon_sym_BANG_EQ] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_LT_EQ] = ACTIONS(3680),
    [anon_sym_GT] = ACTIONS(3682),
    [anon_sym_GT_EQ] = ACTIONS(3680),
    [anon_sym_in] = ACTIONS(3682),
    [anon_sym_BANGin] = ACTIONS(3680),
    [anon_sym_AMP_AMP] = ACTIONS(3684),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_as] = ACTIONS(3614),
    [anon_sym_DOLLAR] = ACTIONS(3354),
    [sym_none] = ACTIONS(3354),
    [sym_true] = ACTIONS(3354),
    [sym_false] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3352),
    [anon_sym_RBRACE] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(3352),
    [anon_sym_chan] = ACTIONS(3354),
    [anon_sym_shared] = ACTIONS(3354),
    [anon_sym_thread] = ACTIONS(3354),
    [sym_int_literal] = ACTIONS(3354),
    [sym_float_literal] = ACTIONS(3352),
    [sym_rune_literal] = ACTIONS(3352),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_char] = ACTIONS(3354),
    [anon_sym_sql] = ACTIONS(3354),
    [anon_sym_mut] = ACTIONS(3354),
    [anon_sym_C] = ACTIONS(3354),
    [anon_sym_JS] = ACTIONS(3354),
    [anon_sym_voidptr] = ACTIONS(3354),
    [anon_sym_byteptr] = ACTIONS(3354),
    [anon_sym_charptr] = ACTIONS(3354),
    [anon_sym_i8] = ACTIONS(3354),
    [anon_sym_i16] = ACTIONS(3354),
    [anon_sym_i32] = ACTIONS(3354),
    [anon_sym_int] = ACTIONS(3354),
    [anon_sym_i64] = ACTIONS(3354),
    [anon_sym_byte] = ACTIONS(3354),
    [anon_sym_u8] = ACTIONS(3354),
    [anon_sym_u16] = ACTIONS(3354),
    [anon_sym_u32] = ACTIONS(3354),
    [anon_sym_u64] = ACTIONS(3354),
    [anon_sym_f32] = ACTIONS(3354),
    [anon_sym_f64] = ACTIONS(3354),
    [anon_sym_bool] = ACTIONS(3354),
    [anon_sym_rune] = ACTIONS(3354),
    [anon_sym_map] = ACTIONS(3354),
    [anon_sym_mapnode] = ACTIONS(3354),
    [anon_sym_size_t] = ACTIONS(3354),
    [anon_sym_usize] = ACTIONS(3354),
    [anon_sym_isize] = ACTIONS(3354),
    [anon_sym_float_literal] = ACTIONS(3354),
    [anon_sym_int_literal] = ACTIONS(3354),
    [anon_sym_IError] = ACTIONS(3354),
    [sym_type_placeholder] = ACTIONS(3354),
    [anon_sym_AT] = ACTIONS(3354),
    [sym_type_identifier] = ACTIONS(3354),
    [anon_sym_assert] = ACTIONS(3354),
    [anon_sym_defer] = ACTIONS(3354),
    [anon_sym_unsafe] = ACTIONS(3354),
    [anon_sym_fn] = ACTIONS(3354),
    [anon_sym_asm] = ACTIONS(3354),
    [anon_sym_break] = ACTIONS(3354),
    [anon_sym_continue] = ACTIONS(3354),
    [anon_sym_return] = ACTIONS(3354),
    [anon_sym_go] = ACTIONS(3354),
    [anon_sym_spawn] = ACTIONS(3354),
    [anon_sym_goto] = ACTIONS(3354),
    [anon_sym_for] = ACTIONS(3354),
    [anon_sym_DOLLARfor] = ACTIONS(3352),
    [anon_sym_DOLLARif] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3354),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(3352),
    [anon_sym_match] = ACTIONS(3354),
    [anon_sym_select] = ACTIONS(3354),
    [anon_sym_lock] = ACTIONS(3354),
    [anon_sym_rlock] = ACTIONS(3354),
    [sym__automatic_separator] = ACTIONS(3352),
    [sym__c_string_opening] = ACTIONS(3352),
    [sym__raw_string_opening] = ACTIONS(3352),
    [sym__string_opening] = ACTIONS(3352),
    [sym__comment] = ACTIONS(3),
  },
  [1321] = {
    [sym_comment] = STATE(1321),
    [sym_identifier] = ACTIONS(3388),
    [anon_sym_LPAREN] = ACTIONS(3386),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(3388),
    [anon_sym_TILDE] = ACTIONS(3386),
    [anon_sym_CARET] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(3676),
    [anon_sym_LT_DASH] = ACTIONS(3386),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_PERCENT] = ACTIONS(3674),
    [anon_sym_LT_LT] = ACTIONS(3674),
    [anon_sym_GT_GT] = ACTIONS(3676),
    [anon_sym_GT_GT_GT] = ACTIONS(3674),
    [anon_sym_AMP_CARET] = ACTIONS(3674),
    [anon_sym_PIPE] = ACTIONS(3678),
    [anon_sym_EQ_EQ] = ACTIONS(3680),
    [anon_sym_BANG_EQ] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_LT_EQ] = ACTIONS(3680),
    [anon_sym_GT] = ACTIONS(3682),
    [anon_sym_GT_EQ] = ACTIONS(3680),
    [anon_sym_in] = ACTIONS(3682),
    [anon_sym_BANGin] = ACTIONS(3680),
    [anon_sym_AMP_AMP] = ACTIONS(3684),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_as] = ACTIONS(3614),
    [anon_sym_DOLLAR] = ACTIONS(3388),
    [sym_none] = ACTIONS(3388),
    [sym_true] = ACTIONS(3388),
    [sym_false] = ACTIONS(3388),
    [anon_sym_LBRACE] = ACTIONS(3386),
    [anon_sym_RBRACE] = ACTIONS(3386),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(3386),
    [anon_sym_chan] = ACTIONS(3388),
    [anon_sym_shared] = ACTIONS(3388),
    [anon_sym_thread] = ACTIONS(3388),
    [sym_int_literal] = ACTIONS(3388),
    [sym_float_literal] = ACTIONS(3386),
    [sym_rune_literal] = ACTIONS(3386),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(3388),
    [anon_sym_string] = ACTIONS(3388),
    [anon_sym_char] = ACTIONS(3388),
    [anon_sym_sql] = ACTIONS(3388),
    [anon_sym_mut] = ACTIONS(3388),
    [anon_sym_C] = ACTIONS(3388),
    [anon_sym_JS] = ACTIONS(3388),
    [anon_sym_voidptr] = ACTIONS(3388),
    [anon_sym_byteptr] = ACTIONS(3388),
    [anon_sym_charptr] = ACTIONS(3388),
    [anon_sym_i8] = ACTIONS(3388),
    [anon_sym_i16] = ACTIONS(3388),
    [anon_sym_i32] = ACTIONS(3388),
    [anon_sym_int] = ACTIONS(3388),
    [anon_sym_i64] = ACTIONS(3388),
    [anon_sym_byte] = ACTIONS(3388),
    [anon_sym_u8] = ACTIONS(3388),
    [anon_sym_u16] = ACTIONS(3388),
    [anon_sym_u32] = ACTIONS(3388),
    [anon_sym_u64] = ACTIONS(3388),
    [anon_sym_f32] = ACTIONS(3388),
    [anon_sym_f64] = ACTIONS(3388),
    [anon_sym_bool] = ACTIONS(3388),
    [anon_sym_rune] = ACTIONS(3388),
    [anon_sym_map] = ACTIONS(3388),
    [anon_sym_mapnode] = ACTIONS(3388),
    [anon_sym_size_t] = ACTIONS(3388),
    [anon_sym_usize] = ACTIONS(3388),
    [anon_sym_isize] = ACTIONS(3388),
    [anon_sym_float_literal] = ACTIONS(3388),
    [anon_sym_int_literal] = ACTIONS(3388),
    [anon_sym_IError] = ACTIONS(3388),
    [sym_type_placeholder] = ACTIONS(3388),
    [anon_sym_AT] = ACTIONS(3388),
    [sym_type_identifier] = ACTIONS(3388),
    [anon_sym_assert] = ACTIONS(3388),
    [anon_sym_defer] = ACTIONS(3388),
    [anon_sym_unsafe] = ACTIONS(3388),
    [anon_sym_fn] = ACTIONS(3388),
    [anon_sym_asm] = ACTIONS(3388),
    [anon_sym_break] = ACTIONS(3388),
    [anon_sym_continue] = ACTIONS(3388),
    [anon_sym_return] = ACTIONS(3388),
    [anon_sym_go] = ACTIONS(3388),
    [anon_sym_spawn] = ACTIONS(3388),
    [anon_sym_goto] = ACTIONS(3388),
    [anon_sym_for] = ACTIONS(3388),
    [anon_sym_DOLLARfor] = ACTIONS(3386),
    [anon_sym_DOLLARif] = ACTIONS(3386),
    [anon_sym_if] = ACTIONS(3388),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(3386),
    [anon_sym_match] = ACTIONS(3388),
    [anon_sym_select] = ACTIONS(3388),
    [anon_sym_lock] = ACTIONS(3388),
    [anon_sym_rlock] = ACTIONS(3388),
    [sym__automatic_separator] = ACTIONS(3386),
    [sym__c_string_opening] = ACTIONS(3386),
    [sym__raw_string_opening] = ACTIONS(3386),
    [sym__string_opening] = ACTIONS(3386),
    [sym__comment] = ACTIONS(3),
  },
  [1322] = {
    [sym_comment] = STATE(1322),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(3676),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_PERCENT] = ACTIONS(3674),
    [anon_sym_LT_LT] = ACTIONS(3674),
    [anon_sym_GT_GT] = ACTIONS(3676),
    [anon_sym_GT_GT_GT] = ACTIONS(3674),
    [anon_sym_AMP_CARET] = ACTIONS(3674),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1323] = {
    [sym_comment] = STATE(1323),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_CARET] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(3676),
    [anon_sym_LT_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_PERCENT] = ACTIONS(3674),
    [anon_sym_LT_LT] = ACTIONS(3674),
    [anon_sym_GT_GT] = ACTIONS(3676),
    [anon_sym_GT_GT_GT] = ACTIONS(3674),
    [anon_sym_AMP_CARET] = ACTIONS(3674),
    [anon_sym_PIPE] = ACTIONS(3678),
    [anon_sym_EQ_EQ] = ACTIONS(3680),
    [anon_sym_BANG_EQ] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_LT_EQ] = ACTIONS(3680),
    [anon_sym_GT] = ACTIONS(3682),
    [anon_sym_GT_EQ] = ACTIONS(3680),
    [anon_sym_in] = ACTIONS(3682),
    [anon_sym_BANGin] = ACTIONS(3680),
    [anon_sym_AMP_AMP] = ACTIONS(3684),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_as] = ACTIONS(3614),
    [anon_sym_DOLLAR] = ACTIONS(3346),
    [sym_none] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(3344),
    [anon_sym_chan] = ACTIONS(3346),
    [anon_sym_shared] = ACTIONS(3346),
    [anon_sym_thread] = ACTIONS(3346),
    [sym_int_literal] = ACTIONS(3346),
    [sym_float_literal] = ACTIONS(3344),
    [sym_rune_literal] = ACTIONS(3344),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_char] = ACTIONS(3346),
    [anon_sym_sql] = ACTIONS(3346),
    [anon_sym_mut] = ACTIONS(3346),
    [anon_sym_C] = ACTIONS(3346),
    [anon_sym_JS] = ACTIONS(3346),
    [anon_sym_voidptr] = ACTIONS(3346),
    [anon_sym_byteptr] = ACTIONS(3346),
    [anon_sym_charptr] = ACTIONS(3346),
    [anon_sym_i8] = ACTIONS(3346),
    [anon_sym_i16] = ACTIONS(3346),
    [anon_sym_i32] = ACTIONS(3346),
    [anon_sym_int] = ACTIONS(3346),
    [anon_sym_i64] = ACTIONS(3346),
    [anon_sym_byte] = ACTIONS(3346),
    [anon_sym_u8] = ACTIONS(3346),
    [anon_sym_u16] = ACTIONS(3346),
    [anon_sym_u32] = ACTIONS(3346),
    [anon_sym_u64] = ACTIONS(3346),
    [anon_sym_f32] = ACTIONS(3346),
    [anon_sym_f64] = ACTIONS(3346),
    [anon_sym_bool] = ACTIONS(3346),
    [anon_sym_rune] = ACTIONS(3346),
    [anon_sym_map] = ACTIONS(3346),
    [anon_sym_mapnode] = ACTIONS(3346),
    [anon_sym_size_t] = ACTIONS(3346),
    [anon_sym_usize] = ACTIONS(3346),
    [anon_sym_isize] = ACTIONS(3346),
    [anon_sym_float_literal] = ACTIONS(3346),
    [anon_sym_int_literal] = ACTIONS(3346),
    [anon_sym_IError] = ACTIONS(3346),
    [sym_type_placeholder] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [sym_type_identifier] = ACTIONS(3346),
    [anon_sym_assert] = ACTIONS(3346),
    [anon_sym_defer] = ACTIONS(3346),
    [anon_sym_unsafe] = ACTIONS(3346),
    [anon_sym_fn] = ACTIONS(3346),
    [anon_sym_asm] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_go] = ACTIONS(3346),
    [anon_sym_spawn] = ACTIONS(3346),
    [anon_sym_goto] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_DOLLARfor] = ACTIONS(3344),
    [anon_sym_DOLLARif] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(3344),
    [anon_sym_match] = ACTIONS(3346),
    [anon_sym_select] = ACTIONS(3346),
    [anon_sym_lock] = ACTIONS(3346),
    [anon_sym_rlock] = ACTIONS(3346),
    [sym__automatic_separator] = ACTIONS(3344),
    [sym__c_string_opening] = ACTIONS(3344),
    [sym__raw_string_opening] = ACTIONS(3344),
    [sym__string_opening] = ACTIONS(3344),
    [sym__comment] = ACTIONS(3),
  },
  [1324] = {
    [sym_comment] = STATE(1324),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(3676),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_PERCENT] = ACTIONS(3674),
    [anon_sym_LT_LT] = ACTIONS(3674),
    [anon_sym_GT_GT] = ACTIONS(3676),
    [anon_sym_GT_GT_GT] = ACTIONS(3674),
    [anon_sym_AMP_CARET] = ACTIONS(3674),
    [anon_sym_PIPE] = ACTIONS(3678),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1325] = {
    [sym_comment] = STATE(1325),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(3676),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_PERCENT] = ACTIONS(3674),
    [anon_sym_LT_LT] = ACTIONS(3674),
    [anon_sym_GT_GT] = ACTIONS(3676),
    [anon_sym_GT_GT_GT] = ACTIONS(3674),
    [anon_sym_AMP_CARET] = ACTIONS(3674),
    [anon_sym_PIPE] = ACTIONS(3678),
    [anon_sym_EQ_EQ] = ACTIONS(3680),
    [anon_sym_BANG_EQ] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_LT_EQ] = ACTIONS(3680),
    [anon_sym_GT] = ACTIONS(3682),
    [anon_sym_GT_EQ] = ACTIONS(3680),
    [anon_sym_in] = ACTIONS(3682),
    [anon_sym_BANGin] = ACTIONS(3680),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1326] = {
    [sym_comment] = STATE(1326),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(3676),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_PERCENT] = ACTIONS(3674),
    [anon_sym_LT_LT] = ACTIONS(3674),
    [anon_sym_GT_GT] = ACTIONS(3676),
    [anon_sym_GT_GT_GT] = ACTIONS(3674),
    [anon_sym_AMP_CARET] = ACTIONS(3674),
    [anon_sym_PIPE] = ACTIONS(3678),
    [anon_sym_EQ_EQ] = ACTIONS(3680),
    [anon_sym_BANG_EQ] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_LT_EQ] = ACTIONS(3680),
    [anon_sym_GT] = ACTIONS(3682),
    [anon_sym_GT_EQ] = ACTIONS(3680),
    [anon_sym_in] = ACTIONS(3682),
    [anon_sym_BANGin] = ACTIONS(3680),
    [anon_sym_AMP_AMP] = ACTIONS(3684),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_assert] = ACTIONS(1542),
    [anon_sym_defer] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_go] = ACTIONS(1542),
    [anon_sym_spawn] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_DOLLARfor] = ACTIONS(1540),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__automatic_separator] = ACTIONS(1540),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1327] = {
    [sym_comment] = STATE(1327),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_CARET] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3340),
    [anon_sym_AMP] = ACTIONS(3342),
    [anon_sym_LT_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_PERCENT] = ACTIONS(3674),
    [anon_sym_LT_LT] = ACTIONS(3674),
    [anon_sym_GT_GT] = ACTIONS(3676),
    [anon_sym_GT_GT_GT] = ACTIONS(3674),
    [anon_sym_AMP_CARET] = ACTIONS(3674),
    [anon_sym_PIPE] = ACTIONS(3678),
    [anon_sym_EQ_EQ] = ACTIONS(3680),
    [anon_sym_BANG_EQ] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_LT_EQ] = ACTIONS(3680),
    [anon_sym_GT] = ACTIONS(3682),
    [anon_sym_GT_EQ] = ACTIONS(3680),
    [anon_sym_in] = ACTIONS(3682),
    [anon_sym_BANGin] = ACTIONS(3680),
    [anon_sym_AMP_AMP] = ACTIONS(3684),
    [anon_sym_PIPE_PIPE] = ACTIONS(3686),
    [anon_sym_as] = ACTIONS(3614),
    [anon_sym_DOLLAR] = ACTIONS(3342),
    [sym_none] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_map_LBRACK] = ACTIONS(3340),
    [anon_sym_chan] = ACTIONS(3342),
    [anon_sym_shared] = ACTIONS(3342),
    [anon_sym_thread] = ACTIONS(3342),
    [sym_int_literal] = ACTIONS(3342),
    [sym_float_literal] = ACTIONS(3340),
    [sym_rune_literal] = ACTIONS(3340),
    [anon_sym_DOT] = ACTIONS(3620),
    [anon_sym_array] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_char] = ACTIONS(3342),
    [anon_sym_sql] = ACTIONS(3342),
    [anon_sym_mut] = ACTIONS(3342),
    [anon_sym_C] = ACTIONS(3342),
    [anon_sym_JS] = ACTIONS(3342),
    [anon_sym_voidptr] = ACTIONS(3342),
    [anon_sym_byteptr] = ACTIONS(3342),
    [anon_sym_charptr] = ACTIONS(3342),
    [anon_sym_i8] = ACTIONS(3342),
    [anon_sym_i16] = ACTIONS(3342),
    [anon_sym_i32] = ACTIONS(3342),
    [anon_sym_int] = ACTIONS(3342),
    [anon_sym_i64] = ACTIONS(3342),
    [anon_sym_byte] = ACTIONS(3342),
    [anon_sym_u8] = ACTIONS(3342),
    [anon_sym_u16] = ACTIONS(3342),
    [anon_sym_u32] = ACTIONS(3342),
    [anon_sym_u64] = ACTIONS(3342),
    [anon_sym_f32] = ACTIONS(3342),
    [anon_sym_f64] = ACTIONS(3342),
    [anon_sym_bool] = ACTIONS(3342),
    [anon_sym_rune] = ACTIONS(3342),
    [anon_sym_map] = ACTIONS(3342),
    [anon_sym_mapnode] = ACTIONS(3342),
    [anon_sym_size_t] = ACTIONS(3342),
    [anon_sym_usize] = ACTIONS(3342),
    [anon_sym_isize] = ACTIONS(3342),
    [anon_sym_float_literal] = ACTIONS(3342),
    [anon_sym_int_literal] = ACTIONS(3342),
    [anon_sym_IError] = ACTIONS(3342),
    [sym_type_placeholder] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [sym_type_identifier] = ACTIONS(3342),
    [anon_sym_assert] = ACTIONS(3342),
    [anon_sym_defer] = ACTIONS(3342),
    [anon_sym_unsafe] = ACTIONS(3342),
    [anon_sym_fn] = ACTIONS(3342),
    [anon_sym_asm] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_go] = ACTIONS(3342),
    [anon_sym_spawn] = ACTIONS(3342),
    [anon_sym_goto] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_DOLLARfor] = ACTIONS(3340),
    [anon_sym_DOLLARif] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(3340),
    [anon_sym_match] = ACTIONS(3342),
    [anon_sym_select] = ACTIONS(3342),
    [anon_sym_lock] = ACTIONS(3342),
    [anon_sym_rlock] = ACTIONS(3342),
    [sym__automatic_separator] = ACTIONS(3340),
    [sym__c_string_opening] = ACTIONS(3340),
    [sym__raw_string_opening] = ACTIONS(3340),
    [sym__string_opening] = ACTIONS(3340),
    [sym__comment] = ACTIONS(3),
  },
  [1328] = {
    [sym_comment] = STATE(1328),
    [sym_fixed_array_type] = STATE(2339),
    [sym_array_type] = STATE(2339),
    [sym_pointer_type] = STATE(2339),
    [sym_map_type] = STATE(2339),
    [sym_channel_type] = STATE(2339),
    [sym_shared_type] = STATE(2339),
    [sym_thread_type] = STATE(2339),
    [sym_binded_identifier] = STATE(2323),
    [sym_multi_return_type] = STATE(2358),
    [sym__simple_type] = STATE(2358),
    [sym_builtin_type] = STATE(2339),
    [sym__binded_type] = STATE(2339),
    [sym_generic_type] = STATE(2339),
    [sym_qualified_type] = STATE(2271),
    [sym_function_type] = STATE(2339),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_LPAREN] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(738),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_map_LBRACK] = ACTIONS(3640),
    [anon_sym_chan] = ACTIONS(3642),
    [anon_sym_shared] = ACTIONS(3644),
    [anon_sym_thread] = ACTIONS(3646),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_char] = ACTIONS(3648),
    [anon_sym_C] = ACTIONS(3650),
    [anon_sym_JS] = ACTIONS(3650),
    [anon_sym_voidptr] = ACTIONS(3648),
    [anon_sym_byteptr] = ACTIONS(3648),
    [anon_sym_charptr] = ACTIONS(3648),
    [anon_sym_i8] = ACTIONS(3648),
    [anon_sym_i16] = ACTIONS(3648),
    [anon_sym_i32] = ACTIONS(3648),
    [anon_sym_int] = ACTIONS(3648),
    [anon_sym_i64] = ACTIONS(3648),
    [anon_sym_byte] = ACTIONS(3648),
    [anon_sym_u8] = ACTIONS(3648),
    [anon_sym_u16] = ACTIONS(3648),
    [anon_sym_u32] = ACTIONS(3648),
    [anon_sym_u64] = ACTIONS(3648),
    [anon_sym_f32] = ACTIONS(3648),
    [anon_sym_f64] = ACTIONS(3648),
    [anon_sym_bool] = ACTIONS(3648),
    [anon_sym_rune] = ACTIONS(3648),
    [anon_sym_map] = ACTIONS(3648),
    [anon_sym_mapnode] = ACTIONS(3648),
    [anon_sym_size_t] = ACTIONS(3648),
    [anon_sym_usize] = ACTIONS(3648),
    [anon_sym_isize] = ACTIONS(3648),
    [anon_sym_float_literal] = ACTIONS(3648),
    [anon_sym_int_literal] = ACTIONS(3648),
    [anon_sym_IError] = ACTIONS(3648),
    [sym_type_placeholder] = ACTIONS(3652),
    [sym_type_identifier] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(738),
    [anon_sym_DASH_DASH] = ACTIONS(738),
    [anon_sym_COLON_EQ] = ACTIONS(738),
    [anon_sym_STAR_EQ] = ACTIONS(738),
    [anon_sym_SLASH_EQ] = ACTIONS(738),
    [anon_sym_PERCENT_EQ] = ACTIONS(738),
    [anon_sym_LT_LT_EQ] = ACTIONS(738),
    [anon_sym_GT_GT_EQ] = ACTIONS(738),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(738),
    [anon_sym_AMP_EQ] = ACTIONS(738),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(738),
    [anon_sym_PLUS_EQ] = ACTIONS(738),
    [anon_sym_DASH_EQ] = ACTIONS(738),
    [anon_sym_PIPE_EQ] = ACTIONS(738),
    [anon_sym_CARET_EQ] = ACTIONS(738),
    [anon_sym_EQ] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(3656),
    [anon_sym_DOT_DOT] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1329] = {
    [sym_comment] = STATE(1329),
    [sym_fixed_array_type] = STATE(2339),
    [sym_array_type] = STATE(2339),
    [sym_pointer_type] = STATE(2339),
    [sym_map_type] = STATE(2339),
    [sym_channel_type] = STATE(2339),
    [sym_shared_type] = STATE(2339),
    [sym_thread_type] = STATE(2339),
    [sym_binded_identifier] = STATE(2323),
    [sym_multi_return_type] = STATE(2367),
    [sym__simple_type] = STATE(2367),
    [sym_builtin_type] = STATE(2339),
    [sym__binded_type] = STATE(2339),
    [sym_generic_type] = STATE(2339),
    [sym_qualified_type] = STATE(2271),
    [sym_function_type] = STATE(2339),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_LPAREN] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(734),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_map_LBRACK] = ACTIONS(3640),
    [anon_sym_chan] = ACTIONS(3642),
    [anon_sym_shared] = ACTIONS(3644),
    [anon_sym_thread] = ACTIONS(3646),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_char] = ACTIONS(3648),
    [anon_sym_C] = ACTIONS(3650),
    [anon_sym_JS] = ACTIONS(3650),
    [anon_sym_voidptr] = ACTIONS(3648),
    [anon_sym_byteptr] = ACTIONS(3648),
    [anon_sym_charptr] = ACTIONS(3648),
    [anon_sym_i8] = ACTIONS(3648),
    [anon_sym_i16] = ACTIONS(3648),
    [anon_sym_i32] = ACTIONS(3648),
    [anon_sym_int] = ACTIONS(3648),
    [anon_sym_i64] = ACTIONS(3648),
    [anon_sym_byte] = ACTIONS(3648),
    [anon_sym_u8] = ACTIONS(3648),
    [anon_sym_u16] = ACTIONS(3648),
    [anon_sym_u32] = ACTIONS(3648),
    [anon_sym_u64] = ACTIONS(3648),
    [anon_sym_f32] = ACTIONS(3648),
    [anon_sym_f64] = ACTIONS(3648),
    [anon_sym_bool] = ACTIONS(3648),
    [anon_sym_rune] = ACTIONS(3648),
    [anon_sym_map] = ACTIONS(3648),
    [anon_sym_mapnode] = ACTIONS(3648),
    [anon_sym_size_t] = ACTIONS(3648),
    [anon_sym_usize] = ACTIONS(3648),
    [anon_sym_isize] = ACTIONS(3648),
    [anon_sym_float_literal] = ACTIONS(3648),
    [anon_sym_int_literal] = ACTIONS(3648),
    [anon_sym_IError] = ACTIONS(3648),
    [sym_type_placeholder] = ACTIONS(3652),
    [sym_type_identifier] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(734),
    [anon_sym_DASH_DASH] = ACTIONS(734),
    [anon_sym_COLON_EQ] = ACTIONS(734),
    [anon_sym_STAR_EQ] = ACTIONS(734),
    [anon_sym_SLASH_EQ] = ACTIONS(734),
    [anon_sym_PERCENT_EQ] = ACTIONS(734),
    [anon_sym_LT_LT_EQ] = ACTIONS(734),
    [anon_sym_GT_GT_EQ] = ACTIONS(734),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(734),
    [anon_sym_AMP_EQ] = ACTIONS(734),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(734),
    [anon_sym_PLUS_EQ] = ACTIONS(734),
    [anon_sym_DASH_EQ] = ACTIONS(734),
    [anon_sym_PIPE_EQ] = ACTIONS(734),
    [anon_sym_CARET_EQ] = ACTIONS(734),
    [anon_sym_EQ] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(3656),
    [anon_sym_DOT_DOT] = ACTIONS(736),
    [anon_sym_SEMI] = ACTIONS(734),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1330] = {
    [sym_comment] = STATE(1330),
    [sym_fixed_array_type] = STATE(2440),
    [sym_array_type] = STATE(2440),
    [sym_pointer_type] = STATE(2440),
    [sym_map_type] = STATE(2440),
    [sym_channel_type] = STATE(2440),
    [sym_shared_type] = STATE(2440),
    [sym_thread_type] = STATE(2440),
    [sym_binded_identifier] = STATE(2465),
    [sym_option_type] = STATE(2499),
    [sym_result_type] = STATE(2499),
    [sym_multi_return_type] = STATE(2499),
    [sym__simple_type] = STATE(2499),
    [sym_builtin_type] = STATE(2440),
    [sym__binded_type] = STATE(2440),
    [sym_generic_type] = STATE(2440),
    [sym_qualified_type] = STATE(2402),
    [sym_function_type] = STATE(2440),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_LPAREN] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(3692),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(3694),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(3696),
    [anon_sym_RBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(3698),
    [anon_sym_map_LBRACK] = ACTIONS(3700),
    [anon_sym_chan] = ACTIONS(3702),
    [anon_sym_shared] = ACTIONS(3704),
    [anon_sym_thread] = ACTIONS(3706),
    [anon_sym_DOT] = ACTIONS(644),
    [anon_sym_array] = ACTIONS(3708),
    [anon_sym_string] = ACTIONS(3708),
    [anon_sym_char] = ACTIONS(3708),
    [anon_sym_C] = ACTIONS(3710),
    [anon_sym_JS] = ACTIONS(3710),
    [anon_sym_voidptr] = ACTIONS(3708),
    [anon_sym_byteptr] = ACTIONS(3708),
    [anon_sym_charptr] = ACTIONS(3708),
    [anon_sym_i8] = ACTIONS(3708),
    [anon_sym_i16] = ACTIONS(3708),
    [anon_sym_i32] = ACTIONS(3708),
    [anon_sym_int] = ACTIONS(3708),
    [anon_sym_i64] = ACTIONS(3708),
    [anon_sym_byte] = ACTIONS(3708),
    [anon_sym_u8] = ACTIONS(3708),
    [anon_sym_u16] = ACTIONS(3708),
    [anon_sym_u32] = ACTIONS(3708),
    [anon_sym_u64] = ACTIONS(3708),
    [anon_sym_f32] = ACTIONS(3708),
    [anon_sym_f64] = ACTIONS(3708),
    [anon_sym_bool] = ACTIONS(3708),
    [anon_sym_rune] = ACTIONS(3708),
    [anon_sym_map] = ACTIONS(3708),
    [anon_sym_mapnode] = ACTIONS(3708),
    [anon_sym_size_t] = ACTIONS(3708),
    [anon_sym_usize] = ACTIONS(3708),
    [anon_sym_isize] = ACTIONS(3708),
    [anon_sym_float_literal] = ACTIONS(3708),
    [anon_sym_int_literal] = ACTIONS(3708),
    [anon_sym_IError] = ACTIONS(3708),
    [sym_type_placeholder] = ACTIONS(3712),
    [sym_type_identifier] = ACTIONS(3714),
    [anon_sym_COLON_EQ] = ACTIONS(644),
    [anon_sym_STAR_EQ] = ACTIONS(644),
    [anon_sym_SLASH_EQ] = ACTIONS(644),
    [anon_sym_PERCENT_EQ] = ACTIONS(644),
    [anon_sym_LT_LT_EQ] = ACTIONS(644),
    [anon_sym_GT_GT_EQ] = ACTIONS(644),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(644),
    [anon_sym_AMP_EQ] = ACTIONS(644),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(644),
    [anon_sym_PLUS_EQ] = ACTIONS(644),
    [anon_sym_DASH_EQ] = ACTIONS(644),
    [anon_sym_PIPE_EQ] = ACTIONS(644),
    [anon_sym_CARET_EQ] = ACTIONS(644),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(3716),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1331] = {
    [sym_comment] = STATE(1331),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(3718),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(750),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(750),
    [anon_sym_AMP_CARET] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(746),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(746),
    [anon_sym_DASH_DASH] = ACTIONS(746),
    [anon_sym_COLON_EQ] = ACTIONS(746),
    [anon_sym_STAR_EQ] = ACTIONS(746),
    [anon_sym_SLASH_EQ] = ACTIONS(746),
    [anon_sym_PERCENT_EQ] = ACTIONS(746),
    [anon_sym_LT_LT_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_AMP_EQ] = ACTIONS(746),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(746),
    [anon_sym_PLUS_EQ] = ACTIONS(746),
    [anon_sym_DASH_EQ] = ACTIONS(746),
    [anon_sym_PIPE_EQ] = ACTIONS(746),
    [anon_sym_CARET_EQ] = ACTIONS(746),
    [anon_sym_EQ] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_DOT_DOT] = ACTIONS(750),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [1332] = {
    [sym_comment] = STATE(1332),
    [sym_fixed_array_type] = STATE(2339),
    [sym_array_type] = STATE(2339),
    [sym_pointer_type] = STATE(2339),
    [sym_map_type] = STATE(2339),
    [sym_channel_type] = STATE(2339),
    [sym_shared_type] = STATE(2339),
    [sym_thread_type] = STATE(2339),
    [sym_binded_identifier] = STATE(2323),
    [sym__simple_type] = STATE(2311),
    [sym_builtin_type] = STATE(2339),
    [sym__binded_type] = STATE(2339),
    [sym_generic_type] = STATE(2339),
    [sym_qualified_type] = STATE(2271),
    [sym_function_type] = STATE(2339),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(3640),
    [anon_sym_chan] = ACTIONS(3642),
    [anon_sym_shared] = ACTIONS(3644),
    [anon_sym_thread] = ACTIONS(3646),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_char] = ACTIONS(3648),
    [anon_sym_C] = ACTIONS(3650),
    [anon_sym_JS] = ACTIONS(3650),
    [anon_sym_voidptr] = ACTIONS(3648),
    [anon_sym_byteptr] = ACTIONS(3648),
    [anon_sym_charptr] = ACTIONS(3648),
    [anon_sym_i8] = ACTIONS(3648),
    [anon_sym_i16] = ACTIONS(3648),
    [anon_sym_i32] = ACTIONS(3648),
    [anon_sym_int] = ACTIONS(3648),
    [anon_sym_i64] = ACTIONS(3648),
    [anon_sym_byte] = ACTIONS(3648),
    [anon_sym_u8] = ACTIONS(3648),
    [anon_sym_u16] = ACTIONS(3648),
    [anon_sym_u32] = ACTIONS(3648),
    [anon_sym_u64] = ACTIONS(3648),
    [anon_sym_f32] = ACTIONS(3648),
    [anon_sym_f64] = ACTIONS(3648),
    [anon_sym_bool] = ACTIONS(3648),
    [anon_sym_rune] = ACTIONS(3648),
    [anon_sym_map] = ACTIONS(3648),
    [anon_sym_mapnode] = ACTIONS(3648),
    [anon_sym_size_t] = ACTIONS(3648),
    [anon_sym_usize] = ACTIONS(3648),
    [anon_sym_isize] = ACTIONS(3648),
    [anon_sym_float_literal] = ACTIONS(3648),
    [anon_sym_int_literal] = ACTIONS(3648),
    [anon_sym_IError] = ACTIONS(3648),
    [sym_type_placeholder] = ACTIONS(3652),
    [sym_type_identifier] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(3656),
    [anon_sym_DOT_DOT] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1333] = {
    [sym_option_propagator] = STATE(1398),
    [sym_or_block] = STATE(1433),
    [sym_comment] = STATE(1333),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(879),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_BANG] = ACTIONS(3720),
    [anon_sym_TILDE] = ACTIONS(879),
    [anon_sym_CARET] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(879),
    [anon_sym_AMP] = ACTIONS(879),
    [anon_sym_LT_DASH] = ACTIONS(879),
    [anon_sym_SLASH] = ACTIONS(879),
    [anon_sym_PERCENT] = ACTIONS(879),
    [anon_sym_LT_LT] = ACTIONS(879),
    [anon_sym_GT_GT] = ACTIONS(879),
    [anon_sym_GT_GT_GT] = ACTIONS(879),
    [anon_sym_AMP_CARET] = ACTIONS(879),
    [anon_sym_PIPE] = ACTIONS(879),
    [anon_sym_EQ_EQ] = ACTIONS(879),
    [anon_sym_BANG_EQ] = ACTIONS(879),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(879),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_GT_EQ] = ACTIONS(879),
    [anon_sym_in] = ACTIONS(879),
    [anon_sym_BANGin] = ACTIONS(879),
    [anon_sym_AMP_AMP] = ACTIONS(879),
    [anon_sym_PIPE_PIPE] = ACTIONS(879),
    [anon_sym_as] = ACTIONS(879),
    [anon_sym_COMMA] = ACTIONS(879),
    [anon_sym_DOLLAR] = ACTIONS(879),
    [anon_sym_QMARK] = ACTIONS(3720),
    [anon_sym_or] = ACTIONS(3722),
    [sym_none] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(879),
    [anon_sym_LF] = ACTIONS(879),
    [anon_sym_CR] = ACTIONS(879),
    [anon_sym_CR_LF] = ACTIONS(879),
    [anon_sym_RBRACE] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(879),
    [anon_sym_map_LBRACK] = ACTIONS(879),
    [anon_sym_chan] = ACTIONS(879),
    [anon_sym_shared] = ACTIONS(879),
    [anon_sym_thread] = ACTIONS(879),
    [sym_int_literal] = ACTIONS(879),
    [sym_float_literal] = ACTIONS(879),
    [sym_rune_literal] = ACTIONS(879),
    [anon_sym_DOT] = ACTIONS(879),
    [anon_sym_array] = ACTIONS(879),
    [anon_sym_string] = ACTIONS(879),
    [anon_sym_char] = ACTIONS(879),
    [anon_sym_sql] = ACTIONS(879),
    [anon_sym_mut] = ACTIONS(879),
    [anon_sym_C] = ACTIONS(879),
    [anon_sym_JS] = ACTIONS(879),
    [anon_sym_voidptr] = ACTIONS(879),
    [anon_sym_byteptr] = ACTIONS(879),
    [anon_sym_charptr] = ACTIONS(879),
    [anon_sym_i8] = ACTIONS(879),
    [anon_sym_i16] = ACTIONS(879),
    [anon_sym_i32] = ACTIONS(879),
    [anon_sym_int] = ACTIONS(879),
    [anon_sym_i64] = ACTIONS(879),
    [anon_sym_byte] = ACTIONS(879),
    [anon_sym_u8] = ACTIONS(879),
    [anon_sym_u16] = ACTIONS(879),
    [anon_sym_u32] = ACTIONS(879),
    [anon_sym_u64] = ACTIONS(879),
    [anon_sym_f32] = ACTIONS(879),
    [anon_sym_f64] = ACTIONS(879),
    [anon_sym_bool] = ACTIONS(879),
    [anon_sym_rune] = ACTIONS(879),
    [anon_sym_map] = ACTIONS(879),
    [anon_sym_mapnode] = ACTIONS(879),
    [anon_sym_size_t] = ACTIONS(879),
    [anon_sym_usize] = ACTIONS(879),
    [anon_sym_isize] = ACTIONS(879),
    [anon_sym_float_literal] = ACTIONS(879),
    [anon_sym_int_literal] = ACTIONS(879),
    [anon_sym_IError] = ACTIONS(879),
    [sym_type_placeholder] = ACTIONS(879),
    [anon_sym_AT] = ACTIONS(879),
    [sym_type_identifier] = ACTIONS(879),
    [anon_sym_unsafe] = ACTIONS(879),
    [anon_sym_fn] = ACTIONS(879),
    [anon_sym_DOLLARif] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(879),
    [anon_sym_is] = ACTIONS(879),
    [anon_sym_BANGis] = ACTIONS(879),
    [anon_sym_match] = ACTIONS(879),
    [anon_sym_select] = ACTIONS(879),
    [anon_sym_lock] = ACTIONS(879),
    [anon_sym_rlock] = ACTIONS(879),
    [sym__c_string_opening] = ACTIONS(877),
    [sym__raw_string_opening] = ACTIONS(877),
    [sym__string_opening] = ACTIONS(877),
    [sym__comment] = ACTIONS(3),
  },
  [1334] = {
    [sym_comment] = STATE(1334),
    [sym_fixed_array_type] = STATE(2339),
    [sym_array_type] = STATE(2339),
    [sym_pointer_type] = STATE(2339),
    [sym_map_type] = STATE(2339),
    [sym_channel_type] = STATE(2339),
    [sym_shared_type] = STATE(2339),
    [sym_thread_type] = STATE(2339),
    [sym_binded_identifier] = STATE(2323),
    [sym__simple_type] = STATE(2317),
    [sym_builtin_type] = STATE(2339),
    [sym__binded_type] = STATE(2339),
    [sym_generic_type] = STATE(2339),
    [sym_qualified_type] = STATE(2271),
    [sym_function_type] = STATE(2339),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_map_LBRACK] = ACTIONS(3640),
    [anon_sym_chan] = ACTIONS(3642),
    [anon_sym_shared] = ACTIONS(3644),
    [anon_sym_thread] = ACTIONS(3646),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_char] = ACTIONS(3648),
    [anon_sym_C] = ACTIONS(3650),
    [anon_sym_JS] = ACTIONS(3650),
    [anon_sym_voidptr] = ACTIONS(3648),
    [anon_sym_byteptr] = ACTIONS(3648),
    [anon_sym_charptr] = ACTIONS(3648),
    [anon_sym_i8] = ACTIONS(3648),
    [anon_sym_i16] = ACTIONS(3648),
    [anon_sym_i32] = ACTIONS(3648),
    [anon_sym_int] = ACTIONS(3648),
    [anon_sym_i64] = ACTIONS(3648),
    [anon_sym_byte] = ACTIONS(3648),
    [anon_sym_u8] = ACTIONS(3648),
    [anon_sym_u16] = ACTIONS(3648),
    [anon_sym_u32] = ACTIONS(3648),
    [anon_sym_u64] = ACTIONS(3648),
    [anon_sym_f32] = ACTIONS(3648),
    [anon_sym_f64] = ACTIONS(3648),
    [anon_sym_bool] = ACTIONS(3648),
    [anon_sym_rune] = ACTIONS(3648),
    [anon_sym_map] = ACTIONS(3648),
    [anon_sym_mapnode] = ACTIONS(3648),
    [anon_sym_size_t] = ACTIONS(3648),
    [anon_sym_usize] = ACTIONS(3648),
    [anon_sym_isize] = ACTIONS(3648),
    [anon_sym_float_literal] = ACTIONS(3648),
    [anon_sym_int_literal] = ACTIONS(3648),
    [anon_sym_IError] = ACTIONS(3648),
    [sym_type_placeholder] = ACTIONS(3652),
    [sym_type_identifier] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(3656),
    [anon_sym_DOT_DOT] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1335] = {
    [sym_option_propagator] = STATE(1471),
    [sym_or_block] = STATE(1433),
    [sym_comment] = STATE(1335),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_BANG] = ACTIONS(3720),
    [anon_sym_TILDE] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_LT_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_GT_GT_GT] = ACTIONS(883),
    [anon_sym_AMP_CARET] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_BANGin] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_as] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(3720),
    [anon_sym_or] = ACTIONS(3722),
    [sym_none] = ACTIONS(883),
    [sym_true] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(883),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_LF] = ACTIONS(883),
    [anon_sym_CR] = ACTIONS(883),
    [anon_sym_CR_LF] = ACTIONS(883),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_map_LBRACK] = ACTIONS(883),
    [anon_sym_chan] = ACTIONS(883),
    [anon_sym_shared] = ACTIONS(883),
    [anon_sym_thread] = ACTIONS(883),
    [sym_int_literal] = ACTIONS(883),
    [sym_float_literal] = ACTIONS(883),
    [sym_rune_literal] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_array] = ACTIONS(883),
    [anon_sym_string] = ACTIONS(883),
    [anon_sym_char] = ACTIONS(883),
    [anon_sym_sql] = ACTIONS(883),
    [anon_sym_mut] = ACTIONS(883),
    [anon_sym_C] = ACTIONS(883),
    [anon_sym_JS] = ACTIONS(883),
    [anon_sym_voidptr] = ACTIONS(883),
    [anon_sym_byteptr] = ACTIONS(883),
    [anon_sym_charptr] = ACTIONS(883),
    [anon_sym_i8] = ACTIONS(883),
    [anon_sym_i16] = ACTIONS(883),
    [anon_sym_i32] = ACTIONS(883),
    [anon_sym_int] = ACTIONS(883),
    [anon_sym_i64] = ACTIONS(883),
    [anon_sym_byte] = ACTIONS(883),
    [anon_sym_u8] = ACTIONS(883),
    [anon_sym_u16] = ACTIONS(883),
    [anon_sym_u32] = ACTIONS(883),
    [anon_sym_u64] = ACTIONS(883),
    [anon_sym_f32] = ACTIONS(883),
    [anon_sym_f64] = ACTIONS(883),
    [anon_sym_bool] = ACTIONS(883),
    [anon_sym_rune] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(883),
    [anon_sym_mapnode] = ACTIONS(883),
    [anon_sym_size_t] = ACTIONS(883),
    [anon_sym_usize] = ACTIONS(883),
    [anon_sym_isize] = ACTIONS(883),
    [anon_sym_float_literal] = ACTIONS(883),
    [anon_sym_int_literal] = ACTIONS(883),
    [anon_sym_IError] = ACTIONS(883),
    [sym_type_placeholder] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [sym_type_identifier] = ACTIONS(883),
    [anon_sym_unsafe] = ACTIONS(883),
    [anon_sym_fn] = ACTIONS(883),
    [anon_sym_DOLLARif] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_BANGis] = ACTIONS(883),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_select] = ACTIONS(883),
    [anon_sym_lock] = ACTIONS(883),
    [anon_sym_rlock] = ACTIONS(883),
    [sym__c_string_opening] = ACTIONS(881),
    [sym__raw_string_opening] = ACTIONS(881),
    [sym__string_opening] = ACTIONS(881),
    [sym__comment] = ACTIONS(3),
  },
  [1336] = {
    [sym_special_argument_list] = STATE(1339),
    [sym_comment] = STATE(1336),
    [sym_argument_list] = STATE(1338),
    [sym_type_parameters] = STATE(4579),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3724),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_LF] = ACTIONS(852),
    [anon_sym_CR] = ACTIONS(852),
    [anon_sym_CR_LF] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_map_LBRACK] = ACTIONS(852),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(852),
    [sym_rune_literal] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1337] = {
    [sym_special_argument_list] = STATE(1339),
    [sym_comment] = STATE(1337),
    [sym_argument_list] = STATE(1338),
    [sym_type_parameters] = STATE(4579),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3724),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_LF] = ACTIONS(852),
    [anon_sym_CR] = ACTIONS(852),
    [anon_sym_CR_LF] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_map_LBRACK] = ACTIONS(852),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(852),
    [sym_rune_literal] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1338] = {
    [sym_option_propagator] = STATE(1436),
    [sym_or_block] = STATE(1433),
    [sym_comment] = STATE(1338),
    [sym_identifier] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(875),
    [anon_sym_BANG] = ACTIONS(3720),
    [anon_sym_TILDE] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_LT_DASH] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_PERCENT] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_GT_GT_GT] = ACTIONS(875),
    [anon_sym_AMP_CARET] = ACTIONS(875),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(875),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_in] = ACTIONS(875),
    [anon_sym_BANGin] = ACTIONS(875),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_as] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(875),
    [anon_sym_QMARK] = ACTIONS(3720),
    [anon_sym_or] = ACTIONS(3722),
    [sym_none] = ACTIONS(875),
    [sym_true] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_LF] = ACTIONS(875),
    [anon_sym_CR] = ACTIONS(875),
    [anon_sym_CR_LF] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(875),
    [anon_sym_map_LBRACK] = ACTIONS(875),
    [anon_sym_chan] = ACTIONS(875),
    [anon_sym_shared] = ACTIONS(875),
    [anon_sym_thread] = ACTIONS(875),
    [sym_int_literal] = ACTIONS(875),
    [sym_float_literal] = ACTIONS(875),
    [sym_rune_literal] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_array] = ACTIONS(875),
    [anon_sym_string] = ACTIONS(875),
    [anon_sym_char] = ACTIONS(875),
    [anon_sym_sql] = ACTIONS(875),
    [anon_sym_mut] = ACTIONS(875),
    [anon_sym_C] = ACTIONS(875),
    [anon_sym_JS] = ACTIONS(875),
    [anon_sym_voidptr] = ACTIONS(875),
    [anon_sym_byteptr] = ACTIONS(875),
    [anon_sym_charptr] = ACTIONS(875),
    [anon_sym_i8] = ACTIONS(875),
    [anon_sym_i16] = ACTIONS(875),
    [anon_sym_i32] = ACTIONS(875),
    [anon_sym_int] = ACTIONS(875),
    [anon_sym_i64] = ACTIONS(875),
    [anon_sym_byte] = ACTIONS(875),
    [anon_sym_u8] = ACTIONS(875),
    [anon_sym_u16] = ACTIONS(875),
    [anon_sym_u32] = ACTIONS(875),
    [anon_sym_u64] = ACTIONS(875),
    [anon_sym_f32] = ACTIONS(875),
    [anon_sym_f64] = ACTIONS(875),
    [anon_sym_bool] = ACTIONS(875),
    [anon_sym_rune] = ACTIONS(875),
    [anon_sym_map] = ACTIONS(875),
    [anon_sym_mapnode] = ACTIONS(875),
    [anon_sym_size_t] = ACTIONS(875),
    [anon_sym_usize] = ACTIONS(875),
    [anon_sym_isize] = ACTIONS(875),
    [anon_sym_float_literal] = ACTIONS(875),
    [anon_sym_int_literal] = ACTIONS(875),
    [anon_sym_IError] = ACTIONS(875),
    [sym_type_placeholder] = ACTIONS(875),
    [anon_sym_AT] = ACTIONS(875),
    [sym_type_identifier] = ACTIONS(875),
    [anon_sym_unsafe] = ACTIONS(875),
    [anon_sym_fn] = ACTIONS(875),
    [anon_sym_DOLLARif] = ACTIONS(875),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_is] = ACTIONS(875),
    [anon_sym_BANGis] = ACTIONS(875),
    [anon_sym_match] = ACTIONS(875),
    [anon_sym_select] = ACTIONS(875),
    [anon_sym_lock] = ACTIONS(875),
    [anon_sym_rlock] = ACTIONS(875),
    [sym__c_string_opening] = ACTIONS(873),
    [sym__raw_string_opening] = ACTIONS(873),
    [sym__string_opening] = ACTIONS(873),
    [sym__comment] = ACTIONS(3),
  },
  [1339] = {
    [sym_option_propagator] = STATE(1434),
    [sym_or_block] = STATE(1433),
    [sym_comment] = STATE(1339),
    [sym_identifier] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(3720),
    [anon_sym_TILDE] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_LT_DASH] = ACTIONS(865),
    [anon_sym_SLASH] = ACTIONS(865),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_LT_LT] = ACTIONS(865),
    [anon_sym_GT_GT] = ACTIONS(865),
    [anon_sym_GT_GT_GT] = ACTIONS(865),
    [anon_sym_AMP_CARET] = ACTIONS(865),
    [anon_sym_PIPE] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_LT] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(865),
    [anon_sym_BANGin] = ACTIONS(865),
    [anon_sym_AMP_AMP] = ACTIONS(865),
    [anon_sym_PIPE_PIPE] = ACTIONS(865),
    [anon_sym_as] = ACTIONS(865),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(865),
    [anon_sym_QMARK] = ACTIONS(3720),
    [anon_sym_or] = ACTIONS(3722),
    [sym_none] = ACTIONS(865),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_LF] = ACTIONS(865),
    [anon_sym_CR] = ACTIONS(865),
    [anon_sym_CR_LF] = ACTIONS(865),
    [anon_sym_RBRACE] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(865),
    [anon_sym_map_LBRACK] = ACTIONS(865),
    [anon_sym_chan] = ACTIONS(865),
    [anon_sym_shared] = ACTIONS(865),
    [anon_sym_thread] = ACTIONS(865),
    [sym_int_literal] = ACTIONS(865),
    [sym_float_literal] = ACTIONS(865),
    [sym_rune_literal] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_array] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_char] = ACTIONS(865),
    [anon_sym_sql] = ACTIONS(865),
    [anon_sym_mut] = ACTIONS(865),
    [anon_sym_C] = ACTIONS(865),
    [anon_sym_JS] = ACTIONS(865),
    [anon_sym_voidptr] = ACTIONS(865),
    [anon_sym_byteptr] = ACTIONS(865),
    [anon_sym_charptr] = ACTIONS(865),
    [anon_sym_i8] = ACTIONS(865),
    [anon_sym_i16] = ACTIONS(865),
    [anon_sym_i32] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_i64] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_u8] = ACTIONS(865),
    [anon_sym_u16] = ACTIONS(865),
    [anon_sym_u32] = ACTIONS(865),
    [anon_sym_u64] = ACTIONS(865),
    [anon_sym_f32] = ACTIONS(865),
    [anon_sym_f64] = ACTIONS(865),
    [anon_sym_bool] = ACTIONS(865),
    [anon_sym_rune] = ACTIONS(865),
    [anon_sym_map] = ACTIONS(865),
    [anon_sym_mapnode] = ACTIONS(865),
    [anon_sym_size_t] = ACTIONS(865),
    [anon_sym_usize] = ACTIONS(865),
    [anon_sym_isize] = ACTIONS(865),
    [anon_sym_float_literal] = ACTIONS(865),
    [anon_sym_int_literal] = ACTIONS(865),
    [anon_sym_IError] = ACTIONS(865),
    [sym_type_placeholder] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(865),
    [sym_type_identifier] = ACTIONS(865),
    [anon_sym_unsafe] = ACTIONS(865),
    [anon_sym_fn] = ACTIONS(865),
    [anon_sym_DOLLARif] = ACTIONS(865),
    [anon_sym_if] = ACTIONS(865),
    [anon_sym_is] = ACTIONS(865),
    [anon_sym_BANGis] = ACTIONS(865),
    [anon_sym_match] = ACTIONS(865),
    [anon_sym_select] = ACTIONS(865),
    [anon_sym_lock] = ACTIONS(865),
    [anon_sym_rlock] = ACTIONS(865),
    [sym__c_string_opening] = ACTIONS(863),
    [sym__raw_string_opening] = ACTIONS(863),
    [sym__string_opening] = ACTIONS(863),
    [sym__comment] = ACTIONS(3),
  },
  [1340] = {
    [sym_comment] = STATE(1340),
    [sym_argument_list] = STATE(1338),
    [sym_type_parameters] = STATE(4579),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(3728),
    [anon_sym_LF] = ACTIONS(852),
    [anon_sym_CR] = ACTIONS(852),
    [anon_sym_CR_LF] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_map_LBRACK] = ACTIONS(852),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(852),
    [sym_rune_literal] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1341] = {
    [sym_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1040),
    [anon_sym_STAR] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_LT_DASH] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1040),
    [anon_sym_LT_LT] = ACTIONS(1040),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1040),
    [anon_sym_AMP_CARET] = ACTIONS(1040),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1040),
    [anon_sym_BANG_EQ] = ACTIONS(1040),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1040),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1040),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_BANGin] = ACTIONS(1040),
    [anon_sym_AMP_AMP] = ACTIONS(1040),
    [anon_sym_PIPE_PIPE] = ACTIONS(1040),
    [anon_sym_as] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1040),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [anon_sym_QMARK] = ACTIONS(1040),
    [anon_sym_or] = ACTIONS(1040),
    [sym_none] = ACTIONS(1040),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_LF] = ACTIONS(1040),
    [anon_sym_CR] = ACTIONS(1040),
    [anon_sym_CR_LF] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_map_LBRACK] = ACTIONS(1040),
    [anon_sym_chan] = ACTIONS(1040),
    [anon_sym_shared] = ACTIONS(1040),
    [anon_sym_thread] = ACTIONS(1040),
    [sym_int_literal] = ACTIONS(1040),
    [sym_float_literal] = ACTIONS(1040),
    [sym_rune_literal] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_array] = ACTIONS(1040),
    [anon_sym_string] = ACTIONS(1040),
    [anon_sym_char] = ACTIONS(1040),
    [anon_sym_sql] = ACTIONS(1040),
    [anon_sym_mut] = ACTIONS(1040),
    [anon_sym_C] = ACTIONS(1040),
    [anon_sym_JS] = ACTIONS(1040),
    [anon_sym_voidptr] = ACTIONS(1040),
    [anon_sym_byteptr] = ACTIONS(1040),
    [anon_sym_charptr] = ACTIONS(1040),
    [anon_sym_i8] = ACTIONS(1040),
    [anon_sym_i16] = ACTIONS(1040),
    [anon_sym_i32] = ACTIONS(1040),
    [anon_sym_int] = ACTIONS(1040),
    [anon_sym_i64] = ACTIONS(1040),
    [anon_sym_byte] = ACTIONS(1040),
    [anon_sym_u8] = ACTIONS(1040),
    [anon_sym_u16] = ACTIONS(1040),
    [anon_sym_u32] = ACTIONS(1040),
    [anon_sym_u64] = ACTIONS(1040),
    [anon_sym_f32] = ACTIONS(1040),
    [anon_sym_f64] = ACTIONS(1040),
    [anon_sym_bool] = ACTIONS(1040),
    [anon_sym_rune] = ACTIONS(1040),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_mapnode] = ACTIONS(1040),
    [anon_sym_size_t] = ACTIONS(1040),
    [anon_sym_usize] = ACTIONS(1040),
    [anon_sym_isize] = ACTIONS(1040),
    [anon_sym_float_literal] = ACTIONS(1040),
    [anon_sym_int_literal] = ACTIONS(1040),
    [anon_sym_IError] = ACTIONS(1040),
    [sym_type_placeholder] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [sym_type_identifier] = ACTIONS(1040),
    [anon_sym_unsafe] = ACTIONS(1040),
    [anon_sym_fn] = ACTIONS(1040),
    [anon_sym_DOLLARif] = ACTIONS(1040),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_is] = ACTIONS(1040),
    [anon_sym_BANGis] = ACTIONS(1040),
    [anon_sym_match] = ACTIONS(1040),
    [anon_sym_select] = ACTIONS(1040),
    [anon_sym_lock] = ACTIONS(1040),
    [anon_sym_rlock] = ACTIONS(1040),
    [sym__c_string_opening] = ACTIONS(1038),
    [sym__raw_string_opening] = ACTIONS(1038),
    [sym__string_opening] = ACTIONS(1038),
    [sym__comment] = ACTIONS(3),
  },
  [1342] = {
    [sym_comment] = STATE(1342),
    [sym_identifier] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_CARET] = ACTIONS(1062),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_AMP] = ACTIONS(1062),
    [anon_sym_LT_DASH] = ACTIONS(1062),
    [anon_sym_SLASH] = ACTIONS(1062),
    [anon_sym_PERCENT] = ACTIONS(1062),
    [anon_sym_LT_LT] = ACTIONS(1062),
    [anon_sym_GT_GT] = ACTIONS(1062),
    [anon_sym_GT_GT_GT] = ACTIONS(1062),
    [anon_sym_AMP_CARET] = ACTIONS(1062),
    [anon_sym_PIPE] = ACTIONS(1062),
    [anon_sym_EQ_EQ] = ACTIONS(1062),
    [anon_sym_BANG_EQ] = ACTIONS(1062),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_LT_EQ] = ACTIONS(1062),
    [anon_sym_GT] = ACTIONS(1062),
    [anon_sym_GT_EQ] = ACTIONS(1062),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_BANGin] = ACTIONS(1062),
    [anon_sym_AMP_AMP] = ACTIONS(1062),
    [anon_sym_PIPE_PIPE] = ACTIONS(1062),
    [anon_sym_as] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1062),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [anon_sym_QMARK] = ACTIONS(1062),
    [anon_sym_or] = ACTIONS(1062),
    [sym_none] = ACTIONS(1062),
    [sym_true] = ACTIONS(1062),
    [sym_false] = ACTIONS(1062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_LF] = ACTIONS(1062),
    [anon_sym_CR] = ACTIONS(1062),
    [anon_sym_CR_LF] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_map_LBRACK] = ACTIONS(1062),
    [anon_sym_chan] = ACTIONS(1062),
    [anon_sym_shared] = ACTIONS(1062),
    [anon_sym_thread] = ACTIONS(1062),
    [sym_int_literal] = ACTIONS(1062),
    [sym_float_literal] = ACTIONS(1062),
    [sym_rune_literal] = ACTIONS(1062),
    [anon_sym_DOT] = ACTIONS(1062),
    [anon_sym_array] = ACTIONS(1062),
    [anon_sym_string] = ACTIONS(1062),
    [anon_sym_char] = ACTIONS(1062),
    [anon_sym_sql] = ACTIONS(1062),
    [anon_sym_mut] = ACTIONS(1062),
    [anon_sym_C] = ACTIONS(1062),
    [anon_sym_JS] = ACTIONS(1062),
    [anon_sym_voidptr] = ACTIONS(1062),
    [anon_sym_byteptr] = ACTIONS(1062),
    [anon_sym_charptr] = ACTIONS(1062),
    [anon_sym_i8] = ACTIONS(1062),
    [anon_sym_i16] = ACTIONS(1062),
    [anon_sym_i32] = ACTIONS(1062),
    [anon_sym_int] = ACTIONS(1062),
    [anon_sym_i64] = ACTIONS(1062),
    [anon_sym_byte] = ACTIONS(1062),
    [anon_sym_u8] = ACTIONS(1062),
    [anon_sym_u16] = ACTIONS(1062),
    [anon_sym_u32] = ACTIONS(1062),
    [anon_sym_u64] = ACTIONS(1062),
    [anon_sym_f32] = ACTIONS(1062),
    [anon_sym_f64] = ACTIONS(1062),
    [anon_sym_bool] = ACTIONS(1062),
    [anon_sym_rune] = ACTIONS(1062),
    [anon_sym_map] = ACTIONS(1062),
    [anon_sym_mapnode] = ACTIONS(1062),
    [anon_sym_size_t] = ACTIONS(1062),
    [anon_sym_usize] = ACTIONS(1062),
    [anon_sym_isize] = ACTIONS(1062),
    [anon_sym_float_literal] = ACTIONS(1062),
    [anon_sym_int_literal] = ACTIONS(1062),
    [anon_sym_IError] = ACTIONS(1062),
    [sym_type_placeholder] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [sym_type_identifier] = ACTIONS(1062),
    [anon_sym_unsafe] = ACTIONS(1062),
    [anon_sym_fn] = ACTIONS(1062),
    [anon_sym_DOLLARif] = ACTIONS(1062),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_is] = ACTIONS(1062),
    [anon_sym_BANGis] = ACTIONS(1062),
    [anon_sym_match] = ACTIONS(1062),
    [anon_sym_select] = ACTIONS(1062),
    [anon_sym_lock] = ACTIONS(1062),
    [anon_sym_rlock] = ACTIONS(1062),
    [sym__c_string_opening] = ACTIONS(1060),
    [sym__raw_string_opening] = ACTIONS(1060),
    [sym__string_opening] = ACTIONS(1060),
    [sym__comment] = ACTIONS(3),
  },
  [1343] = {
    [sym_comment] = STATE(1343),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_CARET] = ACTIONS(1044),
    [anon_sym_STAR] = ACTIONS(1044),
    [anon_sym_AMP] = ACTIONS(1044),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_SLASH] = ACTIONS(1044),
    [anon_sym_PERCENT] = ACTIONS(1044),
    [anon_sym_LT_LT] = ACTIONS(1044),
    [anon_sym_GT_GT] = ACTIONS(1044),
    [anon_sym_GT_GT_GT] = ACTIONS(1044),
    [anon_sym_AMP_CARET] = ACTIONS(1044),
    [anon_sym_PIPE] = ACTIONS(1044),
    [anon_sym_EQ_EQ] = ACTIONS(1044),
    [anon_sym_BANG_EQ] = ACTIONS(1044),
    [anon_sym_LT] = ACTIONS(1044),
    [anon_sym_LT_EQ] = ACTIONS(1044),
    [anon_sym_GT] = ACTIONS(1044),
    [anon_sym_GT_EQ] = ACTIONS(1044),
    [anon_sym_in] = ACTIONS(1044),
    [anon_sym_BANGin] = ACTIONS(1044),
    [anon_sym_AMP_AMP] = ACTIONS(1044),
    [anon_sym_PIPE_PIPE] = ACTIONS(1044),
    [anon_sym_as] = ACTIONS(1044),
    [anon_sym_COMMA] = ACTIONS(1044),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(1044),
    [anon_sym_or] = ACTIONS(1044),
    [sym_none] = ACTIONS(1044),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_LF] = ACTIONS(1044),
    [anon_sym_CR] = ACTIONS(1044),
    [anon_sym_CR_LF] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_map_LBRACK] = ACTIONS(1044),
    [anon_sym_chan] = ACTIONS(1044),
    [anon_sym_shared] = ACTIONS(1044),
    [anon_sym_thread] = ACTIONS(1044),
    [sym_int_literal] = ACTIONS(1044),
    [sym_float_literal] = ACTIONS(1044),
    [sym_rune_literal] = ACTIONS(1044),
    [anon_sym_DOT] = ACTIONS(1044),
    [anon_sym_array] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_char] = ACTIONS(1044),
    [anon_sym_sql] = ACTIONS(1044),
    [anon_sym_mut] = ACTIONS(1044),
    [anon_sym_C] = ACTIONS(1044),
    [anon_sym_JS] = ACTIONS(1044),
    [anon_sym_voidptr] = ACTIONS(1044),
    [anon_sym_byteptr] = ACTIONS(1044),
    [anon_sym_charptr] = ACTIONS(1044),
    [anon_sym_i8] = ACTIONS(1044),
    [anon_sym_i16] = ACTIONS(1044),
    [anon_sym_i32] = ACTIONS(1044),
    [anon_sym_int] = ACTIONS(1044),
    [anon_sym_i64] = ACTIONS(1044),
    [anon_sym_byte] = ACTIONS(1044),
    [anon_sym_u8] = ACTIONS(1044),
    [anon_sym_u16] = ACTIONS(1044),
    [anon_sym_u32] = ACTIONS(1044),
    [anon_sym_u64] = ACTIONS(1044),
    [anon_sym_f32] = ACTIONS(1044),
    [anon_sym_f64] = ACTIONS(1044),
    [anon_sym_bool] = ACTIONS(1044),
    [anon_sym_rune] = ACTIONS(1044),
    [anon_sym_map] = ACTIONS(1044),
    [anon_sym_mapnode] = ACTIONS(1044),
    [anon_sym_size_t] = ACTIONS(1044),
    [anon_sym_usize] = ACTIONS(1044),
    [anon_sym_isize] = ACTIONS(1044),
    [anon_sym_float_literal] = ACTIONS(1044),
    [anon_sym_int_literal] = ACTIONS(1044),
    [anon_sym_IError] = ACTIONS(1044),
    [sym_type_placeholder] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [sym_type_identifier] = ACTIONS(1044),
    [anon_sym_unsafe] = ACTIONS(1044),
    [anon_sym_fn] = ACTIONS(1044),
    [anon_sym_DOLLARif] = ACTIONS(1044),
    [anon_sym_if] = ACTIONS(1044),
    [anon_sym_is] = ACTIONS(1044),
    [anon_sym_BANGis] = ACTIONS(1044),
    [anon_sym_match] = ACTIONS(1044),
    [anon_sym_select] = ACTIONS(1044),
    [anon_sym_lock] = ACTIONS(1044),
    [anon_sym_rlock] = ACTIONS(1044),
    [sym__c_string_opening] = ACTIONS(1042),
    [sym__raw_string_opening] = ACTIONS(1042),
    [sym__string_opening] = ACTIONS(1042),
    [sym__comment] = ACTIONS(3),
  },
  [1344] = {
    [sym_comment] = STATE(1344),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1054),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1054),
    [anon_sym_SLASH] = ACTIONS(1054),
    [anon_sym_PERCENT] = ACTIONS(1054),
    [anon_sym_LT_LT] = ACTIONS(1054),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_GT_GT_GT] = ACTIONS(1054),
    [anon_sym_AMP_CARET] = ACTIONS(1054),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1054),
    [anon_sym_BANG_EQ] = ACTIONS(1054),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1054),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1054),
    [anon_sym_in] = ACTIONS(1054),
    [anon_sym_BANGin] = ACTIONS(1054),
    [anon_sym_AMP_AMP] = ACTIONS(1054),
    [anon_sym_PIPE_PIPE] = ACTIONS(1054),
    [anon_sym_as] = ACTIONS(1054),
    [anon_sym_COMMA] = ACTIONS(1054),
    [anon_sym_DOLLAR] = ACTIONS(1054),
    [anon_sym_QMARK] = ACTIONS(1054),
    [anon_sym_or] = ACTIONS(1054),
    [sym_none] = ACTIONS(1054),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_LF] = ACTIONS(1054),
    [anon_sym_CR] = ACTIONS(1054),
    [anon_sym_CR_LF] = ACTIONS(1054),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1054),
    [anon_sym_map_LBRACK] = ACTIONS(1054),
    [anon_sym_chan] = ACTIONS(1054),
    [anon_sym_shared] = ACTIONS(1054),
    [anon_sym_thread] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(1054),
    [sym_float_literal] = ACTIONS(1054),
    [sym_rune_literal] = ACTIONS(1054),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_array] = ACTIONS(1054),
    [anon_sym_string] = ACTIONS(1054),
    [anon_sym_char] = ACTIONS(1054),
    [anon_sym_sql] = ACTIONS(1054),
    [anon_sym_mut] = ACTIONS(1054),
    [anon_sym_C] = ACTIONS(1054),
    [anon_sym_JS] = ACTIONS(1054),
    [anon_sym_voidptr] = ACTIONS(1054),
    [anon_sym_byteptr] = ACTIONS(1054),
    [anon_sym_charptr] = ACTIONS(1054),
    [anon_sym_i8] = ACTIONS(1054),
    [anon_sym_i16] = ACTIONS(1054),
    [anon_sym_i32] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_i64] = ACTIONS(1054),
    [anon_sym_byte] = ACTIONS(1054),
    [anon_sym_u8] = ACTIONS(1054),
    [anon_sym_u16] = ACTIONS(1054),
    [anon_sym_u32] = ACTIONS(1054),
    [anon_sym_u64] = ACTIONS(1054),
    [anon_sym_f32] = ACTIONS(1054),
    [anon_sym_f64] = ACTIONS(1054),
    [anon_sym_bool] = ACTIONS(1054),
    [anon_sym_rune] = ACTIONS(1054),
    [anon_sym_map] = ACTIONS(1054),
    [anon_sym_mapnode] = ACTIONS(1054),
    [anon_sym_size_t] = ACTIONS(1054),
    [anon_sym_usize] = ACTIONS(1054),
    [anon_sym_isize] = ACTIONS(1054),
    [anon_sym_float_literal] = ACTIONS(1054),
    [anon_sym_int_literal] = ACTIONS(1054),
    [anon_sym_IError] = ACTIONS(1054),
    [sym_type_placeholder] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1054),
    [sym_type_identifier] = ACTIONS(1054),
    [anon_sym_unsafe] = ACTIONS(1054),
    [anon_sym_fn] = ACTIONS(1054),
    [anon_sym_DOLLARif] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_is] = ACTIONS(1054),
    [anon_sym_BANGis] = ACTIONS(1054),
    [anon_sym_match] = ACTIONS(1054),
    [anon_sym_select] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_rlock] = ACTIONS(1054),
    [sym__c_string_opening] = ACTIONS(1052),
    [sym__raw_string_opening] = ACTIONS(1052),
    [sym__string_opening] = ACTIONS(1052),
    [sym__comment] = ACTIONS(3),
  },
  [1345] = {
    [sym_comment] = STATE(1345),
    [sym_identifier] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [anon_sym_LT_DASH] = ACTIONS(1066),
    [anon_sym_SLASH] = ACTIONS(1066),
    [anon_sym_PERCENT] = ACTIONS(1066),
    [anon_sym_LT_LT] = ACTIONS(1066),
    [anon_sym_GT_GT] = ACTIONS(1066),
    [anon_sym_GT_GT_GT] = ACTIONS(1066),
    [anon_sym_AMP_CARET] = ACTIONS(1066),
    [anon_sym_PIPE] = ACTIONS(1066),
    [anon_sym_EQ_EQ] = ACTIONS(1066),
    [anon_sym_BANG_EQ] = ACTIONS(1066),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_LT_EQ] = ACTIONS(1066),
    [anon_sym_GT] = ACTIONS(1066),
    [anon_sym_GT_EQ] = ACTIONS(1066),
    [anon_sym_in] = ACTIONS(1066),
    [anon_sym_BANGin] = ACTIONS(1066),
    [anon_sym_AMP_AMP] = ACTIONS(1066),
    [anon_sym_PIPE_PIPE] = ACTIONS(1066),
    [anon_sym_as] = ACTIONS(1066),
    [anon_sym_COMMA] = ACTIONS(1066),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(1066),
    [anon_sym_or] = ACTIONS(1066),
    [sym_none] = ACTIONS(1066),
    [sym_true] = ACTIONS(1066),
    [sym_false] = ACTIONS(1066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1066),
    [anon_sym_LF] = ACTIONS(1066),
    [anon_sym_CR] = ACTIONS(1066),
    [anon_sym_CR_LF] = ACTIONS(1066),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_map_LBRACK] = ACTIONS(1066),
    [anon_sym_chan] = ACTIONS(1066),
    [anon_sym_shared] = ACTIONS(1066),
    [anon_sym_thread] = ACTIONS(1066),
    [sym_int_literal] = ACTIONS(1066),
    [sym_float_literal] = ACTIONS(1066),
    [sym_rune_literal] = ACTIONS(1066),
    [anon_sym_DOT] = ACTIONS(1066),
    [anon_sym_array] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_char] = ACTIONS(1066),
    [anon_sym_sql] = ACTIONS(1066),
    [anon_sym_mut] = ACTIONS(1066),
    [anon_sym_C] = ACTIONS(1066),
    [anon_sym_JS] = ACTIONS(1066),
    [anon_sym_voidptr] = ACTIONS(1066),
    [anon_sym_byteptr] = ACTIONS(1066),
    [anon_sym_charptr] = ACTIONS(1066),
    [anon_sym_i8] = ACTIONS(1066),
    [anon_sym_i16] = ACTIONS(1066),
    [anon_sym_i32] = ACTIONS(1066),
    [anon_sym_int] = ACTIONS(1066),
    [anon_sym_i64] = ACTIONS(1066),
    [anon_sym_byte] = ACTIONS(1066),
    [anon_sym_u8] = ACTIONS(1066),
    [anon_sym_u16] = ACTIONS(1066),
    [anon_sym_u32] = ACTIONS(1066),
    [anon_sym_u64] = ACTIONS(1066),
    [anon_sym_f32] = ACTIONS(1066),
    [anon_sym_f64] = ACTIONS(1066),
    [anon_sym_bool] = ACTIONS(1066),
    [anon_sym_rune] = ACTIONS(1066),
    [anon_sym_map] = ACTIONS(1066),
    [anon_sym_mapnode] = ACTIONS(1066),
    [anon_sym_size_t] = ACTIONS(1066),
    [anon_sym_usize] = ACTIONS(1066),
    [anon_sym_isize] = ACTIONS(1066),
    [anon_sym_float_literal] = ACTIONS(1066),
    [anon_sym_int_literal] = ACTIONS(1066),
    [anon_sym_IError] = ACTIONS(1066),
    [sym_type_placeholder] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [sym_type_identifier] = ACTIONS(1066),
    [anon_sym_unsafe] = ACTIONS(1066),
    [anon_sym_fn] = ACTIONS(1066),
    [anon_sym_DOLLARif] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_is] = ACTIONS(1066),
    [anon_sym_BANGis] = ACTIONS(1066),
    [anon_sym_match] = ACTIONS(1066),
    [anon_sym_select] = ACTIONS(1066),
    [anon_sym_lock] = ACTIONS(1066),
    [anon_sym_rlock] = ACTIONS(1066),
    [sym__c_string_opening] = ACTIONS(1064),
    [sym__raw_string_opening] = ACTIONS(1064),
    [sym__string_opening] = ACTIONS(1064),
    [sym__comment] = ACTIONS(3),
  },
  [1346] = {
    [sym_comment] = STATE(1346),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_LT_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_GT_GT_GT] = ACTIONS(1058),
    [anon_sym_AMP_CARET] = ACTIONS(1058),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1058),
    [anon_sym_BANG_EQ] = ACTIONS(1058),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_GT_EQ] = ACTIONS(1058),
    [anon_sym_in] = ACTIONS(1058),
    [anon_sym_BANGin] = ACTIONS(1058),
    [anon_sym_AMP_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1058),
    [anon_sym_as] = ACTIONS(1058),
    [anon_sym_COMMA] = ACTIONS(1058),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1058),
    [anon_sym_or] = ACTIONS(1058),
    [sym_none] = ACTIONS(1058),
    [sym_true] = ACTIONS(1058),
    [sym_false] = ACTIONS(1058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1058),
    [anon_sym_LF] = ACTIONS(1058),
    [anon_sym_CR] = ACTIONS(1058),
    [anon_sym_CR_LF] = ACTIONS(1058),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_map_LBRACK] = ACTIONS(1058),
    [anon_sym_chan] = ACTIONS(1058),
    [anon_sym_shared] = ACTIONS(1058),
    [anon_sym_thread] = ACTIONS(1058),
    [sym_int_literal] = ACTIONS(1058),
    [sym_float_literal] = ACTIONS(1058),
    [sym_rune_literal] = ACTIONS(1058),
    [anon_sym_DOT] = ACTIONS(1058),
    [anon_sym_array] = ACTIONS(1058),
    [anon_sym_string] = ACTIONS(1058),
    [anon_sym_char] = ACTIONS(1058),
    [anon_sym_sql] = ACTIONS(1058),
    [anon_sym_mut] = ACTIONS(1058),
    [anon_sym_C] = ACTIONS(1058),
    [anon_sym_JS] = ACTIONS(1058),
    [anon_sym_voidptr] = ACTIONS(1058),
    [anon_sym_byteptr] = ACTIONS(1058),
    [anon_sym_charptr] = ACTIONS(1058),
    [anon_sym_i8] = ACTIONS(1058),
    [anon_sym_i16] = ACTIONS(1058),
    [anon_sym_i32] = ACTIONS(1058),
    [anon_sym_int] = ACTIONS(1058),
    [anon_sym_i64] = ACTIONS(1058),
    [anon_sym_byte] = ACTIONS(1058),
    [anon_sym_u8] = ACTIONS(1058),
    [anon_sym_u16] = ACTIONS(1058),
    [anon_sym_u32] = ACTIONS(1058),
    [anon_sym_u64] = ACTIONS(1058),
    [anon_sym_f32] = ACTIONS(1058),
    [anon_sym_f64] = ACTIONS(1058),
    [anon_sym_bool] = ACTIONS(1058),
    [anon_sym_rune] = ACTIONS(1058),
    [anon_sym_map] = ACTIONS(1058),
    [anon_sym_mapnode] = ACTIONS(1058),
    [anon_sym_size_t] = ACTIONS(1058),
    [anon_sym_usize] = ACTIONS(1058),
    [anon_sym_isize] = ACTIONS(1058),
    [anon_sym_float_literal] = ACTIONS(1058),
    [anon_sym_int_literal] = ACTIONS(1058),
    [anon_sym_IError] = ACTIONS(1058),
    [sym_type_placeholder] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1058),
    [sym_type_identifier] = ACTIONS(1058),
    [anon_sym_unsafe] = ACTIONS(1058),
    [anon_sym_fn] = ACTIONS(1058),
    [anon_sym_DOLLARif] = ACTIONS(1058),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_is] = ACTIONS(1058),
    [anon_sym_BANGis] = ACTIONS(1058),
    [anon_sym_match] = ACTIONS(1058),
    [anon_sym_select] = ACTIONS(1058),
    [anon_sym_lock] = ACTIONS(1058),
    [anon_sym_rlock] = ACTIONS(1058),
    [sym__c_string_opening] = ACTIONS(1056),
    [sym__raw_string_opening] = ACTIONS(1056),
    [sym__string_opening] = ACTIONS(1056),
    [sym__comment] = ACTIONS(3),
  },
  [1347] = {
    [sym_special_argument_list] = STATE(1448),
    [sym_comment] = STATE(1347),
    [sym_argument_list] = STATE(1450),
    [sym_type_parameters] = STATE(4369),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_COLON] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(3735),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(3735),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1348] = {
    [sym_comment] = STATE(1348),
    [sym_type_parameters] = STATE(1406),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_CARET] = ACTIONS(1048),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1048),
    [anon_sym_SLASH] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1048),
    [anon_sym_LT_LT] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1048),
    [anon_sym_AMP_CARET] = ACTIONS(1048),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1048),
    [anon_sym_BANG_EQ] = ACTIONS(1048),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1048),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1048),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1048),
    [anon_sym_AMP_AMP] = ACTIONS(1048),
    [anon_sym_PIPE_PIPE] = ACTIONS(1048),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_LF] = ACTIONS(1048),
    [anon_sym_CR] = ACTIONS(1048),
    [anon_sym_CR_LF] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_map_LBRACK] = ACTIONS(1048),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1048),
    [sym_rune_literal] = ACTIONS(1048),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_LT2] = ACTIONS(3737),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym_DOLLARif] = ACTIONS(1048),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1048),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1349] = {
    [sym_comment] = STATE(1349),
    [aux_sym_expression_list_repeat1] = STATE(1469),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_CARET] = ACTIONS(1172),
    [anon_sym_STAR] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1172),
    [anon_sym_LT_DASH] = ACTIONS(1172),
    [anon_sym_COMMA] = ACTIONS(3288),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [sym_none] = ACTIONS(1174),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_map_LBRACK] = ACTIONS(1172),
    [anon_sym_chan] = ACTIONS(1174),
    [anon_sym_shared] = ACTIONS(1174),
    [anon_sym_thread] = ACTIONS(1174),
    [sym_int_literal] = ACTIONS(1174),
    [sym_float_literal] = ACTIONS(1172),
    [sym_rune_literal] = ACTIONS(1172),
    [anon_sym_DOT] = ACTIONS(1174),
    [anon_sym_array] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_char] = ACTIONS(1174),
    [anon_sym_sql] = ACTIONS(1174),
    [anon_sym_mut] = ACTIONS(1174),
    [anon_sym_C] = ACTIONS(1174),
    [anon_sym_JS] = ACTIONS(1174),
    [anon_sym_voidptr] = ACTIONS(1174),
    [anon_sym_byteptr] = ACTIONS(1174),
    [anon_sym_charptr] = ACTIONS(1174),
    [anon_sym_i8] = ACTIONS(1174),
    [anon_sym_i16] = ACTIONS(1174),
    [anon_sym_i32] = ACTIONS(1174),
    [anon_sym_int] = ACTIONS(1174),
    [anon_sym_i64] = ACTIONS(1174),
    [anon_sym_byte] = ACTIONS(1174),
    [anon_sym_u8] = ACTIONS(1174),
    [anon_sym_u16] = ACTIONS(1174),
    [anon_sym_u32] = ACTIONS(1174),
    [anon_sym_u64] = ACTIONS(1174),
    [anon_sym_f32] = ACTIONS(1174),
    [anon_sym_f64] = ACTIONS(1174),
    [anon_sym_bool] = ACTIONS(1174),
    [anon_sym_rune] = ACTIONS(1174),
    [anon_sym_map] = ACTIONS(1174),
    [anon_sym_mapnode] = ACTIONS(1174),
    [anon_sym_size_t] = ACTIONS(1174),
    [anon_sym_usize] = ACTIONS(1174),
    [anon_sym_isize] = ACTIONS(1174),
    [anon_sym_float_literal] = ACTIONS(1174),
    [anon_sym_int_literal] = ACTIONS(1174),
    [anon_sym_IError] = ACTIONS(1174),
    [sym_type_placeholder] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [sym_type_identifier] = ACTIONS(1174),
    [anon_sym_assert] = ACTIONS(1174),
    [anon_sym_defer] = ACTIONS(1174),
    [anon_sym_unsafe] = ACTIONS(1174),
    [anon_sym_pub] = ACTIONS(1174),
    [anon_sym_fn] = ACTIONS(1174),
    [anon_sym___global] = ACTIONS(1174),
    [anon_sym_const] = ACTIONS(1174),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_go] = ACTIONS(1174),
    [anon_sym_spawn] = ACTIONS(1174),
    [anon_sym_goto] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_DOLLARfor] = ACTIONS(1172),
    [anon_sym_DOLLARif] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(1174),
    [anon_sym_union] = ACTIONS(1174),
    [anon_sym_enum] = ACTIONS(1174),
    [anon_sym_interface] = ACTIONS(1174),
    [anon_sym_POUND] = ACTIONS(1172),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_import] = ACTIONS(1174),
    [anon_sym_match] = ACTIONS(1174),
    [anon_sym_select] = ACTIONS(1174),
    [anon_sym_lock] = ACTIONS(1174),
    [anon_sym_rlock] = ACTIONS(1174),
    [sym__automatic_separator] = ACTIONS(1172),
    [sym__c_string_opening] = ACTIONS(1172),
    [sym__raw_string_opening] = ACTIONS(1172),
    [sym__string_opening] = ACTIONS(1172),
    [sym__comment] = ACTIONS(3),
  },
  [1350] = {
    [sym_comment] = STATE(1350),
    [sym_fixed_array_type] = STATE(2440),
    [sym_array_type] = STATE(2440),
    [sym_pointer_type] = STATE(2440),
    [sym_map_type] = STATE(2440),
    [sym_channel_type] = STATE(2440),
    [sym_shared_type] = STATE(2440),
    [sym_thread_type] = STATE(2440),
    [sym_binded_identifier] = STATE(2465),
    [sym_multi_return_type] = STATE(2419),
    [sym__simple_type] = STATE(2419),
    [sym_builtin_type] = STATE(2440),
    [sym__binded_type] = STATE(2440),
    [sym_generic_type] = STATE(2440),
    [sym_qualified_type] = STATE(2402),
    [sym_function_type] = STATE(2440),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_LPAREN] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(3694),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(3698),
    [anon_sym_map_LBRACK] = ACTIONS(3700),
    [anon_sym_chan] = ACTIONS(3702),
    [anon_sym_shared] = ACTIONS(3704),
    [anon_sym_thread] = ACTIONS(3706),
    [anon_sym_DOT] = ACTIONS(734),
    [anon_sym_array] = ACTIONS(3708),
    [anon_sym_string] = ACTIONS(3708),
    [anon_sym_char] = ACTIONS(3708),
    [anon_sym_C] = ACTIONS(3710),
    [anon_sym_JS] = ACTIONS(3710),
    [anon_sym_voidptr] = ACTIONS(3708),
    [anon_sym_byteptr] = ACTIONS(3708),
    [anon_sym_charptr] = ACTIONS(3708),
    [anon_sym_i8] = ACTIONS(3708),
    [anon_sym_i16] = ACTIONS(3708),
    [anon_sym_i32] = ACTIONS(3708),
    [anon_sym_int] = ACTIONS(3708),
    [anon_sym_i64] = ACTIONS(3708),
    [anon_sym_byte] = ACTIONS(3708),
    [anon_sym_u8] = ACTIONS(3708),
    [anon_sym_u16] = ACTIONS(3708),
    [anon_sym_u32] = ACTIONS(3708),
    [anon_sym_u64] = ACTIONS(3708),
    [anon_sym_f32] = ACTIONS(3708),
    [anon_sym_f64] = ACTIONS(3708),
    [anon_sym_bool] = ACTIONS(3708),
    [anon_sym_rune] = ACTIONS(3708),
    [anon_sym_map] = ACTIONS(3708),
    [anon_sym_mapnode] = ACTIONS(3708),
    [anon_sym_size_t] = ACTIONS(3708),
    [anon_sym_usize] = ACTIONS(3708),
    [anon_sym_isize] = ACTIONS(3708),
    [anon_sym_float_literal] = ACTIONS(3708),
    [anon_sym_int_literal] = ACTIONS(3708),
    [anon_sym_IError] = ACTIONS(3708),
    [sym_type_placeholder] = ACTIONS(3712),
    [sym_type_identifier] = ACTIONS(3714),
    [anon_sym_COLON_EQ] = ACTIONS(734),
    [anon_sym_STAR_EQ] = ACTIONS(734),
    [anon_sym_SLASH_EQ] = ACTIONS(734),
    [anon_sym_PERCENT_EQ] = ACTIONS(734),
    [anon_sym_LT_LT_EQ] = ACTIONS(734),
    [anon_sym_GT_GT_EQ] = ACTIONS(734),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(734),
    [anon_sym_AMP_EQ] = ACTIONS(734),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(734),
    [anon_sym_PLUS_EQ] = ACTIONS(734),
    [anon_sym_DASH_EQ] = ACTIONS(734),
    [anon_sym_PIPE_EQ] = ACTIONS(734),
    [anon_sym_CARET_EQ] = ACTIONS(734),
    [anon_sym_EQ] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(3716),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1351] = {
    [sym_comment] = STATE(1351),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_CARET] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_LT_DASH] = ACTIONS(1244),
    [anon_sym_SLASH] = ACTIONS(1244),
    [anon_sym_PERCENT] = ACTIONS(1244),
    [anon_sym_LT_LT] = ACTIONS(1244),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_GT_GT_GT] = ACTIONS(1244),
    [anon_sym_AMP_CARET] = ACTIONS(1244),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1244),
    [anon_sym_BANG_EQ] = ACTIONS(1244),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1244),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(1244),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_BANGin] = ACTIONS(1244),
    [anon_sym_AMP_AMP] = ACTIONS(1244),
    [anon_sym_PIPE_PIPE] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym_none] = ACTIONS(1244),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_LF] = ACTIONS(1244),
    [anon_sym_CR] = ACTIONS(1244),
    [anon_sym_CR_LF] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_map_LBRACK] = ACTIONS(1244),
    [anon_sym_chan] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_thread] = ACTIONS(1244),
    [sym_int_literal] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1244),
    [sym_rune_literal] = ACTIONS(1244),
    [anon_sym_DOT] = ACTIONS(1244),
    [anon_sym_array] = ACTIONS(1244),
    [anon_sym_string] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_sql] = ACTIONS(1244),
    [anon_sym_mut] = ACTIONS(1244),
    [anon_sym_C] = ACTIONS(1244),
    [anon_sym_JS] = ACTIONS(1244),
    [anon_sym_voidptr] = ACTIONS(1244),
    [anon_sym_byteptr] = ACTIONS(1244),
    [anon_sym_charptr] = ACTIONS(1244),
    [anon_sym_i8] = ACTIONS(1244),
    [anon_sym_i16] = ACTIONS(1244),
    [anon_sym_i32] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_i64] = ACTIONS(1244),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1244),
    [anon_sym_u16] = ACTIONS(1244),
    [anon_sym_u32] = ACTIONS(1244),
    [anon_sym_u64] = ACTIONS(1244),
    [anon_sym_f32] = ACTIONS(1244),
    [anon_sym_f64] = ACTIONS(1244),
    [anon_sym_bool] = ACTIONS(1244),
    [anon_sym_rune] = ACTIONS(1244),
    [anon_sym_map] = ACTIONS(1244),
    [anon_sym_mapnode] = ACTIONS(1244),
    [anon_sym_size_t] = ACTIONS(1244),
    [anon_sym_usize] = ACTIONS(1244),
    [anon_sym_isize] = ACTIONS(1244),
    [anon_sym_float_literal] = ACTIONS(1244),
    [anon_sym_int_literal] = ACTIONS(1244),
    [anon_sym_IError] = ACTIONS(1244),
    [sym_type_placeholder] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [sym_type_identifier] = ACTIONS(1244),
    [anon_sym_unsafe] = ACTIONS(1244),
    [anon_sym_fn] = ACTIONS(1244),
    [anon_sym_DOLLARif] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(3739),
    [anon_sym_is] = ACTIONS(1244),
    [anon_sym_BANGis] = ACTIONS(1244),
    [anon_sym_match] = ACTIONS(1244),
    [anon_sym_select] = ACTIONS(1244),
    [anon_sym_lock] = ACTIONS(1244),
    [anon_sym_rlock] = ACTIONS(1244),
    [sym__c_string_opening] = ACTIONS(1242),
    [sym__raw_string_opening] = ACTIONS(1242),
    [sym__string_opening] = ACTIONS(1242),
    [sym__comment] = ACTIONS(3),
  },
  [1352] = {
    [sym_comment] = STATE(1352),
    [sym_identifier] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1206),
    [anon_sym_GT_GT_GT] = ACTIONS(1206),
    [anon_sym_AMP_CARET] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_in] = ACTIONS(1206),
    [anon_sym_BANGin] = ACTIONS(1206),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_as] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [sym_none] = ACTIONS(1206),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_CR] = ACTIONS(1206),
    [anon_sym_CR_LF] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_map_LBRACK] = ACTIONS(1206),
    [anon_sym_chan] = ACTIONS(1206),
    [anon_sym_shared] = ACTIONS(1206),
    [anon_sym_thread] = ACTIONS(1206),
    [sym_int_literal] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1206),
    [sym_rune_literal] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(1206),
    [anon_sym_array] = ACTIONS(1206),
    [anon_sym_string] = ACTIONS(1206),
    [anon_sym_char] = ACTIONS(1206),
    [anon_sym_sql] = ACTIONS(1206),
    [anon_sym_mut] = ACTIONS(1206),
    [anon_sym_C] = ACTIONS(1206),
    [anon_sym_JS] = ACTIONS(1206),
    [anon_sym_LT2] = ACTIONS(1206),
    [anon_sym_voidptr] = ACTIONS(1206),
    [anon_sym_byteptr] = ACTIONS(1206),
    [anon_sym_charptr] = ACTIONS(1206),
    [anon_sym_i8] = ACTIONS(1206),
    [anon_sym_i16] = ACTIONS(1206),
    [anon_sym_i32] = ACTIONS(1206),
    [anon_sym_int] = ACTIONS(1206),
    [anon_sym_i64] = ACTIONS(1206),
    [anon_sym_byte] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1206),
    [anon_sym_u16] = ACTIONS(1206),
    [anon_sym_u32] = ACTIONS(1206),
    [anon_sym_u64] = ACTIONS(1206),
    [anon_sym_f32] = ACTIONS(1206),
    [anon_sym_f64] = ACTIONS(1206),
    [anon_sym_bool] = ACTIONS(1206),
    [anon_sym_rune] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1206),
    [anon_sym_mapnode] = ACTIONS(1206),
    [anon_sym_size_t] = ACTIONS(1206),
    [anon_sym_usize] = ACTIONS(1206),
    [anon_sym_isize] = ACTIONS(1206),
    [anon_sym_float_literal] = ACTIONS(1206),
    [anon_sym_int_literal] = ACTIONS(1206),
    [anon_sym_IError] = ACTIONS(1206),
    [sym_type_placeholder] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [sym_type_identifier] = ACTIONS(1206),
    [anon_sym_unsafe] = ACTIONS(1206),
    [anon_sym_fn] = ACTIONS(1206),
    [anon_sym_DOLLARif] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_is] = ACTIONS(1206),
    [anon_sym_BANGis] = ACTIONS(1206),
    [anon_sym_match] = ACTIONS(1206),
    [anon_sym_select] = ACTIONS(1206),
    [anon_sym_lock] = ACTIONS(1206),
    [anon_sym_rlock] = ACTIONS(1206),
    [sym__c_string_opening] = ACTIONS(1204),
    [sym__raw_string_opening] = ACTIONS(1204),
    [sym__string_opening] = ACTIONS(1204),
    [sym__comment] = ACTIONS(3),
  },
  [1353] = {
    [sym_comment] = STATE(1353),
    [sym__content_block] = STATE(1402),
    [sym_identifier] = ACTIONS(3741),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1104),
    [anon_sym_BANG_EQ] = ACTIONS(1104),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1104),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1104),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1104),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE_PIPE] = ACTIONS(1104),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(3743),
    [anon_sym_LF] = ACTIONS(1104),
    [anon_sym_CR] = ACTIONS(1104),
    [anon_sym_CR_LF] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_map_LBRACK] = ACTIONS(1104),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1104),
    [sym_rune_literal] = ACTIONS(1104),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_DOLLARif] = ACTIONS(1104),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1354] = {
    [sym_comment] = STATE(1354),
    [sym_identifier] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_LT_DASH] = ACTIONS(1182),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_GT_GT_GT] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1182),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1182),
    [anon_sym_BANG_EQ] = ACTIONS(1182),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1182),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1182),
    [anon_sym_in] = ACTIONS(1182),
    [anon_sym_BANGin] = ACTIONS(1182),
    [anon_sym_AMP_AMP] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1182),
    [anon_sym_as] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [sym_none] = ACTIONS(1182),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_LF] = ACTIONS(1182),
    [anon_sym_CR] = ACTIONS(1182),
    [anon_sym_CR_LF] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_map_LBRACK] = ACTIONS(1182),
    [anon_sym_chan] = ACTIONS(1182),
    [anon_sym_shared] = ACTIONS(1182),
    [anon_sym_thread] = ACTIONS(1182),
    [sym_int_literal] = ACTIONS(1182),
    [sym_float_literal] = ACTIONS(1182),
    [sym_rune_literal] = ACTIONS(1182),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_array] = ACTIONS(1182),
    [anon_sym_string] = ACTIONS(1182),
    [anon_sym_char] = ACTIONS(1182),
    [anon_sym_sql] = ACTIONS(1182),
    [anon_sym_mut] = ACTIONS(1182),
    [anon_sym_C] = ACTIONS(1182),
    [anon_sym_JS] = ACTIONS(1182),
    [anon_sym_LT2] = ACTIONS(1182),
    [anon_sym_voidptr] = ACTIONS(1182),
    [anon_sym_byteptr] = ACTIONS(1182),
    [anon_sym_charptr] = ACTIONS(1182),
    [anon_sym_i8] = ACTIONS(1182),
    [anon_sym_i16] = ACTIONS(1182),
    [anon_sym_i32] = ACTIONS(1182),
    [anon_sym_int] = ACTIONS(1182),
    [anon_sym_i64] = ACTIONS(1182),
    [anon_sym_byte] = ACTIONS(1182),
    [anon_sym_u8] = ACTIONS(1182),
    [anon_sym_u16] = ACTIONS(1182),
    [anon_sym_u32] = ACTIONS(1182),
    [anon_sym_u64] = ACTIONS(1182),
    [anon_sym_f32] = ACTIONS(1182),
    [anon_sym_f64] = ACTIONS(1182),
    [anon_sym_bool] = ACTIONS(1182),
    [anon_sym_rune] = ACTIONS(1182),
    [anon_sym_map] = ACTIONS(1182),
    [anon_sym_mapnode] = ACTIONS(1182),
    [anon_sym_size_t] = ACTIONS(1182),
    [anon_sym_usize] = ACTIONS(1182),
    [anon_sym_isize] = ACTIONS(1182),
    [anon_sym_float_literal] = ACTIONS(1182),
    [anon_sym_int_literal] = ACTIONS(1182),
    [anon_sym_IError] = ACTIONS(1182),
    [sym_type_placeholder] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [sym_type_identifier] = ACTIONS(1182),
    [anon_sym_unsafe] = ACTIONS(1182),
    [anon_sym_fn] = ACTIONS(1182),
    [anon_sym_DOLLARif] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_is] = ACTIONS(1182),
    [anon_sym_BANGis] = ACTIONS(1182),
    [anon_sym_match] = ACTIONS(1182),
    [anon_sym_select] = ACTIONS(1182),
    [anon_sym_lock] = ACTIONS(1182),
    [anon_sym_rlock] = ACTIONS(1182),
    [sym__c_string_opening] = ACTIONS(1180),
    [sym__raw_string_opening] = ACTIONS(1180),
    [sym__string_opening] = ACTIONS(1180),
    [sym__comment] = ACTIONS(3),
  },
  [1355] = {
    [sym_comment] = STATE(1355),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_LT_DASH] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1124),
    [anon_sym_PERCENT] = ACTIONS(1124),
    [anon_sym_LT_LT] = ACTIONS(1124),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1124),
    [anon_sym_AMP_CARET] = ACTIONS(1124),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1124),
    [anon_sym_BANG_EQ] = ACTIONS(1124),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1124),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1124),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1124),
    [anon_sym_AMP_AMP] = ACTIONS(1124),
    [anon_sym_PIPE_PIPE] = ACTIONS(1124),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1124),
    [sym_none] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_LF] = ACTIONS(1124),
    [anon_sym_CR] = ACTIONS(1124),
    [anon_sym_CR_LF] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_map_LBRACK] = ACTIONS(1124),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [sym_int_literal] = ACTIONS(1124),
    [sym_float_literal] = ACTIONS(1124),
    [sym_rune_literal] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_sql] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_unsafe] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_DOLLARif] = ACTIONS(1124),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1124),
    [anon_sym_match] = ACTIONS(1124),
    [anon_sym_select] = ACTIONS(1124),
    [anon_sym_lock] = ACTIONS(1124),
    [anon_sym_rlock] = ACTIONS(1124),
    [sym__c_string_opening] = ACTIONS(1122),
    [sym__raw_string_opening] = ACTIONS(1122),
    [sym__string_opening] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1356] = {
    [sym_comment] = STATE(1356),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1190),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1190),
    [anon_sym_AMP_CARET] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1190),
    [anon_sym_AMP_AMP] = ACTIONS(1190),
    [anon_sym_PIPE_PIPE] = ACTIONS(1190),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_LF] = ACTIONS(1190),
    [anon_sym_CR] = ACTIONS(1190),
    [anon_sym_CR_LF] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_map_LBRACK] = ACTIONS(1190),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1190),
    [sym_rune_literal] = ACTIONS(1190),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_DOLLARif] = ACTIONS(1190),
    [anon_sym_DOLLARelse] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1357] = {
    [sym_comment] = STATE(1357),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1112),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_LF] = ACTIONS(1112),
    [anon_sym_CR] = ACTIONS(1112),
    [anon_sym_CR_LF] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_map_LBRACK] = ACTIONS(1112),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1112),
    [sym_rune_literal] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_DOLLARif] = ACTIONS(1112),
    [anon_sym_DOLLARelse] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1358] = {
    [sym_comment] = STATE(1358),
    [sym_identifier] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_CARET] = ACTIONS(1120),
    [anon_sym_STAR] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(1120),
    [anon_sym_LT_DASH] = ACTIONS(1120),
    [anon_sym_SLASH] = ACTIONS(1120),
    [anon_sym_PERCENT] = ACTIONS(1120),
    [anon_sym_LT_LT] = ACTIONS(1120),
    [anon_sym_GT_GT] = ACTIONS(1120),
    [anon_sym_GT_GT_GT] = ACTIONS(1120),
    [anon_sym_AMP_CARET] = ACTIONS(1120),
    [anon_sym_PIPE] = ACTIONS(1120),
    [anon_sym_EQ_EQ] = ACTIONS(1120),
    [anon_sym_BANG_EQ] = ACTIONS(1120),
    [anon_sym_LT] = ACTIONS(1120),
    [anon_sym_LT_EQ] = ACTIONS(1120),
    [anon_sym_GT] = ACTIONS(1120),
    [anon_sym_GT_EQ] = ACTIONS(1120),
    [anon_sym_in] = ACTIONS(1120),
    [anon_sym_BANGin] = ACTIONS(1120),
    [anon_sym_AMP_AMP] = ACTIONS(1120),
    [anon_sym_PIPE_PIPE] = ACTIONS(1120),
    [anon_sym_as] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [sym_none] = ACTIONS(1120),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_LF] = ACTIONS(1120),
    [anon_sym_CR] = ACTIONS(1120),
    [anon_sym_CR_LF] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_map_LBRACK] = ACTIONS(1120),
    [anon_sym_chan] = ACTIONS(1120),
    [anon_sym_shared] = ACTIONS(1120),
    [anon_sym_thread] = ACTIONS(1120),
    [sym_int_literal] = ACTIONS(1120),
    [sym_float_literal] = ACTIONS(1120),
    [sym_rune_literal] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1120),
    [anon_sym_array] = ACTIONS(1120),
    [anon_sym_string] = ACTIONS(1120),
    [anon_sym_char] = ACTIONS(1120),
    [anon_sym_sql] = ACTIONS(1120),
    [anon_sym_mut] = ACTIONS(1120),
    [anon_sym_C] = ACTIONS(1120),
    [anon_sym_JS] = ACTIONS(1120),
    [anon_sym_LT2] = ACTIONS(1120),
    [anon_sym_voidptr] = ACTIONS(1120),
    [anon_sym_byteptr] = ACTIONS(1120),
    [anon_sym_charptr] = ACTIONS(1120),
    [anon_sym_i8] = ACTIONS(1120),
    [anon_sym_i16] = ACTIONS(1120),
    [anon_sym_i32] = ACTIONS(1120),
    [anon_sym_int] = ACTIONS(1120),
    [anon_sym_i64] = ACTIONS(1120),
    [anon_sym_byte] = ACTIONS(1120),
    [anon_sym_u8] = ACTIONS(1120),
    [anon_sym_u16] = ACTIONS(1120),
    [anon_sym_u32] = ACTIONS(1120),
    [anon_sym_u64] = ACTIONS(1120),
    [anon_sym_f32] = ACTIONS(1120),
    [anon_sym_f64] = ACTIONS(1120),
    [anon_sym_bool] = ACTIONS(1120),
    [anon_sym_rune] = ACTIONS(1120),
    [anon_sym_map] = ACTIONS(1120),
    [anon_sym_mapnode] = ACTIONS(1120),
    [anon_sym_size_t] = ACTIONS(1120),
    [anon_sym_usize] = ACTIONS(1120),
    [anon_sym_isize] = ACTIONS(1120),
    [anon_sym_float_literal] = ACTIONS(1120),
    [anon_sym_int_literal] = ACTIONS(1120),
    [anon_sym_IError] = ACTIONS(1120),
    [sym_type_placeholder] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [sym_type_identifier] = ACTIONS(1120),
    [anon_sym_unsafe] = ACTIONS(1120),
    [anon_sym_fn] = ACTIONS(1120),
    [anon_sym_DOLLARif] = ACTIONS(1120),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_is] = ACTIONS(1120),
    [anon_sym_BANGis] = ACTIONS(1120),
    [anon_sym_match] = ACTIONS(1120),
    [anon_sym_select] = ACTIONS(1120),
    [anon_sym_lock] = ACTIONS(1120),
    [anon_sym_rlock] = ACTIONS(1120),
    [sym__c_string_opening] = ACTIONS(1118),
    [sym__raw_string_opening] = ACTIONS(1118),
    [sym__string_opening] = ACTIONS(1118),
    [sym__comment] = ACTIONS(3),
  },
  [1359] = {
    [sym_comment] = STATE(1359),
    [sym_identifier] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_LT_DASH] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_GT_GT_GT] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1214),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1214),
    [anon_sym_in] = ACTIONS(1214),
    [anon_sym_BANGin] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1214),
    [anon_sym_PIPE_PIPE] = ACTIONS(1214),
    [anon_sym_as] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_LF] = ACTIONS(1214),
    [anon_sym_CR] = ACTIONS(1214),
    [anon_sym_CR_LF] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_map_LBRACK] = ACTIONS(1214),
    [anon_sym_chan] = ACTIONS(1214),
    [anon_sym_shared] = ACTIONS(1214),
    [anon_sym_thread] = ACTIONS(1214),
    [sym_int_literal] = ACTIONS(1214),
    [sym_float_literal] = ACTIONS(1214),
    [sym_rune_literal] = ACTIONS(1214),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_array] = ACTIONS(1214),
    [anon_sym_string] = ACTIONS(1214),
    [anon_sym_char] = ACTIONS(1214),
    [anon_sym_sql] = ACTIONS(1214),
    [anon_sym_mut] = ACTIONS(1214),
    [anon_sym_C] = ACTIONS(1214),
    [anon_sym_JS] = ACTIONS(1214),
    [anon_sym_LT2] = ACTIONS(1214),
    [anon_sym_voidptr] = ACTIONS(1214),
    [anon_sym_byteptr] = ACTIONS(1214),
    [anon_sym_charptr] = ACTIONS(1214),
    [anon_sym_i8] = ACTIONS(1214),
    [anon_sym_i16] = ACTIONS(1214),
    [anon_sym_i32] = ACTIONS(1214),
    [anon_sym_int] = ACTIONS(1214),
    [anon_sym_i64] = ACTIONS(1214),
    [anon_sym_byte] = ACTIONS(1214),
    [anon_sym_u8] = ACTIONS(1214),
    [anon_sym_u16] = ACTIONS(1214),
    [anon_sym_u32] = ACTIONS(1214),
    [anon_sym_u64] = ACTIONS(1214),
    [anon_sym_f32] = ACTIONS(1214),
    [anon_sym_f64] = ACTIONS(1214),
    [anon_sym_bool] = ACTIONS(1214),
    [anon_sym_rune] = ACTIONS(1214),
    [anon_sym_map] = ACTIONS(1214),
    [anon_sym_mapnode] = ACTIONS(1214),
    [anon_sym_size_t] = ACTIONS(1214),
    [anon_sym_usize] = ACTIONS(1214),
    [anon_sym_isize] = ACTIONS(1214),
    [anon_sym_float_literal] = ACTIONS(1214),
    [anon_sym_int_literal] = ACTIONS(1214),
    [anon_sym_IError] = ACTIONS(1214),
    [sym_type_placeholder] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [sym_type_identifier] = ACTIONS(1214),
    [anon_sym_unsafe] = ACTIONS(1214),
    [anon_sym_fn] = ACTIONS(1214),
    [anon_sym_DOLLARif] = ACTIONS(1214),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_is] = ACTIONS(1214),
    [anon_sym_BANGis] = ACTIONS(1214),
    [anon_sym_match] = ACTIONS(1214),
    [anon_sym_select] = ACTIONS(1214),
    [anon_sym_lock] = ACTIONS(1214),
    [anon_sym_rlock] = ACTIONS(1214),
    [sym__c_string_opening] = ACTIONS(1212),
    [sym__raw_string_opening] = ACTIONS(1212),
    [sym__string_opening] = ACTIONS(1212),
    [sym__comment] = ACTIONS(3),
  },
  [1360] = {
    [sym_comment] = STATE(1360),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1194),
    [anon_sym_SLASH] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1194),
    [anon_sym_AMP_CARET] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_LF] = ACTIONS(1194),
    [anon_sym_CR] = ACTIONS(1194),
    [anon_sym_CR_LF] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_map_LBRACK] = ACTIONS(1194),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1194),
    [sym_rune_literal] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_DOLLARif] = ACTIONS(1194),
    [anon_sym_DOLLARelse] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1194),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1361] = {
    [sym_comment] = STATE(1361),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_STAR] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_LT_DASH] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(1108),
    [anon_sym_PERCENT] = ACTIONS(1108),
    [anon_sym_LT_LT] = ACTIONS(1108),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1108),
    [anon_sym_AMP_CARET] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1108),
    [anon_sym_LT_EQ] = ACTIONS(1108),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_GT_EQ] = ACTIONS(1108),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_BANGin] = ACTIONS(1108),
    [anon_sym_AMP_AMP] = ACTIONS(1108),
    [anon_sym_PIPE_PIPE] = ACTIONS(1108),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [sym_none] = ACTIONS(1108),
    [sym_true] = ACTIONS(1108),
    [sym_false] = ACTIONS(1108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LF] = ACTIONS(1108),
    [anon_sym_CR] = ACTIONS(1108),
    [anon_sym_CR_LF] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_map_LBRACK] = ACTIONS(1108),
    [anon_sym_chan] = ACTIONS(1108),
    [anon_sym_shared] = ACTIONS(1108),
    [anon_sym_thread] = ACTIONS(1108),
    [sym_int_literal] = ACTIONS(1108),
    [sym_float_literal] = ACTIONS(1108),
    [sym_rune_literal] = ACTIONS(1108),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_array] = ACTIONS(1108),
    [anon_sym_string] = ACTIONS(1108),
    [anon_sym_char] = ACTIONS(1108),
    [anon_sym_sql] = ACTIONS(1108),
    [anon_sym_mut] = ACTIONS(1108),
    [anon_sym_C] = ACTIONS(1108),
    [anon_sym_JS] = ACTIONS(1108),
    [anon_sym_LT2] = ACTIONS(1108),
    [anon_sym_voidptr] = ACTIONS(1108),
    [anon_sym_byteptr] = ACTIONS(1108),
    [anon_sym_charptr] = ACTIONS(1108),
    [anon_sym_i8] = ACTIONS(1108),
    [anon_sym_i16] = ACTIONS(1108),
    [anon_sym_i32] = ACTIONS(1108),
    [anon_sym_int] = ACTIONS(1108),
    [anon_sym_i64] = ACTIONS(1108),
    [anon_sym_byte] = ACTIONS(1108),
    [anon_sym_u8] = ACTIONS(1108),
    [anon_sym_u16] = ACTIONS(1108),
    [anon_sym_u32] = ACTIONS(1108),
    [anon_sym_u64] = ACTIONS(1108),
    [anon_sym_f32] = ACTIONS(1108),
    [anon_sym_f64] = ACTIONS(1108),
    [anon_sym_bool] = ACTIONS(1108),
    [anon_sym_rune] = ACTIONS(1108),
    [anon_sym_map] = ACTIONS(1108),
    [anon_sym_mapnode] = ACTIONS(1108),
    [anon_sym_size_t] = ACTIONS(1108),
    [anon_sym_usize] = ACTIONS(1108),
    [anon_sym_isize] = ACTIONS(1108),
    [anon_sym_float_literal] = ACTIONS(1108),
    [anon_sym_int_literal] = ACTIONS(1108),
    [anon_sym_IError] = ACTIONS(1108),
    [sym_type_placeholder] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [sym_type_identifier] = ACTIONS(1108),
    [anon_sym_unsafe] = ACTIONS(1108),
    [anon_sym_fn] = ACTIONS(1108),
    [anon_sym_DOLLARif] = ACTIONS(1108),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_is] = ACTIONS(1108),
    [anon_sym_BANGis] = ACTIONS(1108),
    [anon_sym_match] = ACTIONS(1108),
    [anon_sym_select] = ACTIONS(1108),
    [anon_sym_lock] = ACTIONS(1108),
    [anon_sym_rlock] = ACTIONS(1108),
    [sym__c_string_opening] = ACTIONS(1106),
    [sym__raw_string_opening] = ACTIONS(1106),
    [sym__string_opening] = ACTIONS(1106),
    [sym__comment] = ACTIONS(3),
  },
  [1362] = {
    [sym_comment] = STATE(1362),
    [sym_argument_list] = STATE(1481),
    [sym_identifier] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_LT_DASH] = ACTIONS(1224),
    [anon_sym_SLASH] = ACTIONS(1224),
    [anon_sym_PERCENT] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1224),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_GT_GT_GT] = ACTIONS(1224),
    [anon_sym_AMP_CARET] = ACTIONS(1224),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1224),
    [anon_sym_BANG_EQ] = ACTIONS(1224),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1224),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_GT_EQ] = ACTIONS(1224),
    [anon_sym_in] = ACTIONS(1224),
    [anon_sym_BANGin] = ACTIONS(1224),
    [anon_sym_AMP_AMP] = ACTIONS(1224),
    [anon_sym_PIPE_PIPE] = ACTIONS(1224),
    [anon_sym_as] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym_none] = ACTIONS(1224),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_LF] = ACTIONS(1224),
    [anon_sym_CR] = ACTIONS(1224),
    [anon_sym_CR_LF] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_map_LBRACK] = ACTIONS(1224),
    [anon_sym_chan] = ACTIONS(1224),
    [anon_sym_shared] = ACTIONS(1224),
    [anon_sym_thread] = ACTIONS(1224),
    [sym_int_literal] = ACTIONS(1224),
    [sym_float_literal] = ACTIONS(1224),
    [sym_rune_literal] = ACTIONS(1224),
    [anon_sym_DOT] = ACTIONS(1224),
    [anon_sym_array] = ACTIONS(1224),
    [anon_sym_string] = ACTIONS(1224),
    [anon_sym_char] = ACTIONS(1224),
    [anon_sym_sql] = ACTIONS(1224),
    [anon_sym_mut] = ACTIONS(1224),
    [anon_sym_C] = ACTIONS(1224),
    [anon_sym_JS] = ACTIONS(1224),
    [anon_sym_voidptr] = ACTIONS(1224),
    [anon_sym_byteptr] = ACTIONS(1224),
    [anon_sym_charptr] = ACTIONS(1224),
    [anon_sym_i8] = ACTIONS(1224),
    [anon_sym_i16] = ACTIONS(1224),
    [anon_sym_i32] = ACTIONS(1224),
    [anon_sym_int] = ACTIONS(1224),
    [anon_sym_i64] = ACTIONS(1224),
    [anon_sym_byte] = ACTIONS(1224),
    [anon_sym_u8] = ACTIONS(1224),
    [anon_sym_u16] = ACTIONS(1224),
    [anon_sym_u32] = ACTIONS(1224),
    [anon_sym_u64] = ACTIONS(1224),
    [anon_sym_f32] = ACTIONS(1224),
    [anon_sym_f64] = ACTIONS(1224),
    [anon_sym_bool] = ACTIONS(1224),
    [anon_sym_rune] = ACTIONS(1224),
    [anon_sym_map] = ACTIONS(1224),
    [anon_sym_mapnode] = ACTIONS(1224),
    [anon_sym_size_t] = ACTIONS(1224),
    [anon_sym_usize] = ACTIONS(1224),
    [anon_sym_isize] = ACTIONS(1224),
    [anon_sym_float_literal] = ACTIONS(1224),
    [anon_sym_int_literal] = ACTIONS(1224),
    [anon_sym_IError] = ACTIONS(1224),
    [sym_type_placeholder] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [sym_type_identifier] = ACTIONS(1224),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_fn] = ACTIONS(1224),
    [anon_sym_DOLLARif] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_is] = ACTIONS(1224),
    [anon_sym_BANGis] = ACTIONS(1224),
    [anon_sym_match] = ACTIONS(1224),
    [anon_sym_select] = ACTIONS(1224),
    [anon_sym_lock] = ACTIONS(1224),
    [anon_sym_rlock] = ACTIONS(1224),
    [sym__c_string_opening] = ACTIONS(1222),
    [sym__raw_string_opening] = ACTIONS(1222),
    [sym__string_opening] = ACTIONS(1222),
    [sym__comment] = ACTIONS(3),
  },
  [1363] = {
    [sym_comment] = STATE(1363),
    [sym_identifier] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_CARET] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_LT_DASH] = ACTIONS(1232),
    [anon_sym_SLASH] = ACTIONS(1232),
    [anon_sym_PERCENT] = ACTIONS(1232),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_GT_GT_GT] = ACTIONS(1232),
    [anon_sym_AMP_CARET] = ACTIONS(1232),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1232),
    [anon_sym_BANG_EQ] = ACTIONS(1232),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_GT_EQ] = ACTIONS(1232),
    [anon_sym_in] = ACTIONS(1232),
    [anon_sym_BANGin] = ACTIONS(1232),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_PIPE_PIPE] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_LF] = ACTIONS(1232),
    [anon_sym_CR] = ACTIONS(1232),
    [anon_sym_CR_LF] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_map_LBRACK] = ACTIONS(1232),
    [anon_sym_chan] = ACTIONS(1232),
    [anon_sym_shared] = ACTIONS(1232),
    [anon_sym_thread] = ACTIONS(1232),
    [sym_int_literal] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1232),
    [sym_rune_literal] = ACTIONS(1232),
    [anon_sym_DOT] = ACTIONS(1232),
    [anon_sym_array] = ACTIONS(1232),
    [anon_sym_string] = ACTIONS(1232),
    [anon_sym_char] = ACTIONS(1232),
    [anon_sym_sql] = ACTIONS(1232),
    [anon_sym_mut] = ACTIONS(1232),
    [anon_sym_C] = ACTIONS(1232),
    [anon_sym_JS] = ACTIONS(1232),
    [anon_sym_voidptr] = ACTIONS(1232),
    [anon_sym_byteptr] = ACTIONS(1232),
    [anon_sym_charptr] = ACTIONS(1232),
    [anon_sym_i8] = ACTIONS(1232),
    [anon_sym_i16] = ACTIONS(1232),
    [anon_sym_i32] = ACTIONS(1232),
    [anon_sym_int] = ACTIONS(1232),
    [anon_sym_i64] = ACTIONS(1232),
    [anon_sym_byte] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1232),
    [anon_sym_u16] = ACTIONS(1232),
    [anon_sym_u32] = ACTIONS(1232),
    [anon_sym_u64] = ACTIONS(1232),
    [anon_sym_f32] = ACTIONS(1232),
    [anon_sym_f64] = ACTIONS(1232),
    [anon_sym_bool] = ACTIONS(1232),
    [anon_sym_rune] = ACTIONS(1232),
    [anon_sym_map] = ACTIONS(1232),
    [anon_sym_mapnode] = ACTIONS(1232),
    [anon_sym_size_t] = ACTIONS(1232),
    [anon_sym_usize] = ACTIONS(1232),
    [anon_sym_isize] = ACTIONS(1232),
    [anon_sym_float_literal] = ACTIONS(1232),
    [anon_sym_int_literal] = ACTIONS(1232),
    [anon_sym_IError] = ACTIONS(1232),
    [sym_type_placeholder] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [sym_type_identifier] = ACTIONS(1232),
    [anon_sym_unsafe] = ACTIONS(1232),
    [anon_sym_fn] = ACTIONS(1232),
    [anon_sym_DOLLARif] = ACTIONS(1232),
    [anon_sym_DOLLARelse] = ACTIONS(3745),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_is] = ACTIONS(1232),
    [anon_sym_BANGis] = ACTIONS(1232),
    [anon_sym_match] = ACTIONS(1232),
    [anon_sym_select] = ACTIONS(1232),
    [anon_sym_lock] = ACTIONS(1232),
    [anon_sym_rlock] = ACTIONS(1232),
    [sym__c_string_opening] = ACTIONS(1230),
    [sym__raw_string_opening] = ACTIONS(1230),
    [sym__string_opening] = ACTIONS(1230),
    [sym__comment] = ACTIONS(3),
  },
  [1364] = {
    [sym_comment] = STATE(1364),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_CARET] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_LT_DASH] = ACTIONS(1238),
    [anon_sym_SLASH] = ACTIONS(1238),
    [anon_sym_PERCENT] = ACTIONS(1238),
    [anon_sym_LT_LT] = ACTIONS(1238),
    [anon_sym_GT_GT] = ACTIONS(1238),
    [anon_sym_GT_GT_GT] = ACTIONS(1238),
    [anon_sym_AMP_CARET] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_EQ_EQ] = ACTIONS(1238),
    [anon_sym_BANG_EQ] = ACTIONS(1238),
    [anon_sym_LT] = ACTIONS(1238),
    [anon_sym_LT_EQ] = ACTIONS(1238),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1238),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_BANGin] = ACTIONS(1238),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_PIPE_PIPE] = ACTIONS(1238),
    [anon_sym_as] = ACTIONS(1238),
    [anon_sym_COMMA] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [sym_none] = ACTIONS(1238),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_LF] = ACTIONS(1238),
    [anon_sym_CR] = ACTIONS(1238),
    [anon_sym_CR_LF] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_map_LBRACK] = ACTIONS(1238),
    [anon_sym_chan] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_thread] = ACTIONS(1238),
    [sym_int_literal] = ACTIONS(1238),
    [sym_float_literal] = ACTIONS(1238),
    [sym_rune_literal] = ACTIONS(1238),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_array] = ACTIONS(1238),
    [anon_sym_string] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_sql] = ACTIONS(1238),
    [anon_sym_mut] = ACTIONS(1238),
    [anon_sym_C] = ACTIONS(1238),
    [anon_sym_JS] = ACTIONS(1238),
    [anon_sym_voidptr] = ACTIONS(1238),
    [anon_sym_byteptr] = ACTIONS(1238),
    [anon_sym_charptr] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_int] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_byte] = ACTIONS(1238),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_rune] = ACTIONS(1238),
    [anon_sym_map] = ACTIONS(1238),
    [anon_sym_mapnode] = ACTIONS(1238),
    [anon_sym_size_t] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_float_literal] = ACTIONS(1238),
    [anon_sym_int_literal] = ACTIONS(1238),
    [anon_sym_IError] = ACTIONS(1238),
    [sym_type_placeholder] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [sym_type_identifier] = ACTIONS(1238),
    [anon_sym_unsafe] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym_DOLLARif] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(3747),
    [anon_sym_is] = ACTIONS(1238),
    [anon_sym_BANGis] = ACTIONS(1238),
    [anon_sym_match] = ACTIONS(1238),
    [anon_sym_select] = ACTIONS(1238),
    [anon_sym_lock] = ACTIONS(1238),
    [anon_sym_rlock] = ACTIONS(1238),
    [sym__c_string_opening] = ACTIONS(1236),
    [sym__raw_string_opening] = ACTIONS(1236),
    [sym__string_opening] = ACTIONS(1236),
    [sym__comment] = ACTIONS(3),
  },
  [1365] = {
    [sym_comment] = STATE(1365),
    [sym_fixed_array_type] = STATE(2440),
    [sym_array_type] = STATE(2440),
    [sym_pointer_type] = STATE(2440),
    [sym_map_type] = STATE(2440),
    [sym_channel_type] = STATE(2440),
    [sym_shared_type] = STATE(2440),
    [sym_thread_type] = STATE(2440),
    [sym_binded_identifier] = STATE(2465),
    [sym_multi_return_type] = STATE(2479),
    [sym__simple_type] = STATE(2479),
    [sym_builtin_type] = STATE(2440),
    [sym__binded_type] = STATE(2440),
    [sym_generic_type] = STATE(2440),
    [sym_qualified_type] = STATE(2402),
    [sym_function_type] = STATE(2440),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_LPAREN] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(3694),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(3698),
    [anon_sym_map_LBRACK] = ACTIONS(3700),
    [anon_sym_chan] = ACTIONS(3702),
    [anon_sym_shared] = ACTIONS(3704),
    [anon_sym_thread] = ACTIONS(3706),
    [anon_sym_DOT] = ACTIONS(738),
    [anon_sym_array] = ACTIONS(3708),
    [anon_sym_string] = ACTIONS(3708),
    [anon_sym_char] = ACTIONS(3708),
    [anon_sym_C] = ACTIONS(3710),
    [anon_sym_JS] = ACTIONS(3710),
    [anon_sym_voidptr] = ACTIONS(3708),
    [anon_sym_byteptr] = ACTIONS(3708),
    [anon_sym_charptr] = ACTIONS(3708),
    [anon_sym_i8] = ACTIONS(3708),
    [anon_sym_i16] = ACTIONS(3708),
    [anon_sym_i32] = ACTIONS(3708),
    [anon_sym_int] = ACTIONS(3708),
    [anon_sym_i64] = ACTIONS(3708),
    [anon_sym_byte] = ACTIONS(3708),
    [anon_sym_u8] = ACTIONS(3708),
    [anon_sym_u16] = ACTIONS(3708),
    [anon_sym_u32] = ACTIONS(3708),
    [anon_sym_u64] = ACTIONS(3708),
    [anon_sym_f32] = ACTIONS(3708),
    [anon_sym_f64] = ACTIONS(3708),
    [anon_sym_bool] = ACTIONS(3708),
    [anon_sym_rune] = ACTIONS(3708),
    [anon_sym_map] = ACTIONS(3708),
    [anon_sym_mapnode] = ACTIONS(3708),
    [anon_sym_size_t] = ACTIONS(3708),
    [anon_sym_usize] = ACTIONS(3708),
    [anon_sym_isize] = ACTIONS(3708),
    [anon_sym_float_literal] = ACTIONS(3708),
    [anon_sym_int_literal] = ACTIONS(3708),
    [anon_sym_IError] = ACTIONS(3708),
    [sym_type_placeholder] = ACTIONS(3712),
    [sym_type_identifier] = ACTIONS(3714),
    [anon_sym_COLON_EQ] = ACTIONS(738),
    [anon_sym_STAR_EQ] = ACTIONS(738),
    [anon_sym_SLASH_EQ] = ACTIONS(738),
    [anon_sym_PERCENT_EQ] = ACTIONS(738),
    [anon_sym_LT_LT_EQ] = ACTIONS(738),
    [anon_sym_GT_GT_EQ] = ACTIONS(738),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(738),
    [anon_sym_AMP_EQ] = ACTIONS(738),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(738),
    [anon_sym_PLUS_EQ] = ACTIONS(738),
    [anon_sym_DASH_EQ] = ACTIONS(738),
    [anon_sym_PIPE_EQ] = ACTIONS(738),
    [anon_sym_CARET_EQ] = ACTIONS(738),
    [anon_sym_EQ] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(3716),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1366] = {
    [sym_comment] = STATE(1366),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_LT_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1186),
    [anon_sym_AMP_CARET] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1186),
    [anon_sym_BANG_EQ] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1186),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1186),
    [anon_sym_AMP_AMP] = ACTIONS(1186),
    [anon_sym_PIPE_PIPE] = ACTIONS(1186),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1186),
    [sym_none] = ACTIONS(1186),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_LF] = ACTIONS(1186),
    [anon_sym_CR] = ACTIONS(1186),
    [anon_sym_CR_LF] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_map_LBRACK] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [sym_int_literal] = ACTIONS(1186),
    [sym_float_literal] = ACTIONS(1186),
    [sym_rune_literal] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_sql] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_unsafe] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_DOLLARif] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1186),
    [anon_sym_match] = ACTIONS(1186),
    [anon_sym_select] = ACTIONS(1186),
    [anon_sym_lock] = ACTIONS(1186),
    [anon_sym_rlock] = ACTIONS(1186),
    [sym__c_string_opening] = ACTIONS(1184),
    [sym__raw_string_opening] = ACTIONS(1184),
    [sym__string_opening] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1367] = {
    [sym_comment] = STATE(1367),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_LT_DASH] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1140),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1140),
    [anon_sym_AMP_CARET] = ACTIONS(1140),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1140),
    [anon_sym_BANG_EQ] = ACTIONS(1140),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1140),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1140),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1140),
    [anon_sym_AMP_AMP] = ACTIONS(1140),
    [anon_sym_PIPE_PIPE] = ACTIONS(1140),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1140),
    [sym_none] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_LF] = ACTIONS(1140),
    [anon_sym_CR] = ACTIONS(1140),
    [anon_sym_CR_LF] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_map_LBRACK] = ACTIONS(1140),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [sym_int_literal] = ACTIONS(1140),
    [sym_float_literal] = ACTIONS(1140),
    [sym_rune_literal] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_sql] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_unsafe] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_DOLLARif] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1140),
    [anon_sym_match] = ACTIONS(1140),
    [anon_sym_select] = ACTIONS(1140),
    [anon_sym_lock] = ACTIONS(1140),
    [anon_sym_rlock] = ACTIONS(1140),
    [sym__c_string_opening] = ACTIONS(1138),
    [sym__raw_string_opening] = ACTIONS(1138),
    [sym__string_opening] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1368] = {
    [sym_comment] = STATE(1368),
    [sym_type_parameters] = STATE(1490),
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_LT2] = ACTIONS(3749),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_pub] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym___global] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_type] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_struct] = ACTIONS(1048),
    [anon_sym_union] = ACTIONS(1048),
    [anon_sym_enum] = ACTIONS(1048),
    [anon_sym_interface] = ACTIONS(1048),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1048),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1369] = {
    [sym_comment] = STATE(1369),
    [ts_builtin_sym_end] = ACTIONS(3310),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_CARET] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym_LT_DASH] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_DOLLAR] = ACTIONS(3312),
    [sym_none] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_map_LBRACK] = ACTIONS(3310),
    [anon_sym_chan] = ACTIONS(3312),
    [anon_sym_shared] = ACTIONS(3312),
    [anon_sym_thread] = ACTIONS(3312),
    [sym_int_literal] = ACTIONS(3312),
    [sym_float_literal] = ACTIONS(3310),
    [sym_rune_literal] = ACTIONS(3310),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_array] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_char] = ACTIONS(3312),
    [anon_sym_sql] = ACTIONS(3312),
    [anon_sym_mut] = ACTIONS(3312),
    [anon_sym_C] = ACTIONS(3312),
    [anon_sym_JS] = ACTIONS(3312),
    [anon_sym_voidptr] = ACTIONS(3312),
    [anon_sym_byteptr] = ACTIONS(3312),
    [anon_sym_charptr] = ACTIONS(3312),
    [anon_sym_i8] = ACTIONS(3312),
    [anon_sym_i16] = ACTIONS(3312),
    [anon_sym_i32] = ACTIONS(3312),
    [anon_sym_int] = ACTIONS(3312),
    [anon_sym_i64] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_u8] = ACTIONS(3312),
    [anon_sym_u16] = ACTIONS(3312),
    [anon_sym_u32] = ACTIONS(3312),
    [anon_sym_u64] = ACTIONS(3312),
    [anon_sym_f32] = ACTIONS(3312),
    [anon_sym_f64] = ACTIONS(3312),
    [anon_sym_bool] = ACTIONS(3312),
    [anon_sym_rune] = ACTIONS(3312),
    [anon_sym_map] = ACTIONS(3312),
    [anon_sym_mapnode] = ACTIONS(3312),
    [anon_sym_size_t] = ACTIONS(3312),
    [anon_sym_usize] = ACTIONS(3312),
    [anon_sym_isize] = ACTIONS(3312),
    [anon_sym_float_literal] = ACTIONS(3312),
    [anon_sym_int_literal] = ACTIONS(3312),
    [anon_sym_IError] = ACTIONS(3312),
    [sym_type_placeholder] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [sym_type_identifier] = ACTIONS(3312),
    [anon_sym_assert] = ACTIONS(3312),
    [anon_sym_defer] = ACTIONS(3312),
    [anon_sym_unsafe] = ACTIONS(3312),
    [anon_sym_pub] = ACTIONS(3312),
    [anon_sym_fn] = ACTIONS(3312),
    [anon_sym___global] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_go] = ACTIONS(3312),
    [anon_sym_spawn] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_DOLLARfor] = ACTIONS(3310),
    [anon_sym_DOLLARif] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_is] = ACTIONS(3294),
    [anon_sym_BANGis] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_POUND] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_match] = ACTIONS(3312),
    [anon_sym_select] = ACTIONS(3312),
    [anon_sym_lock] = ACTIONS(3312),
    [anon_sym_rlock] = ACTIONS(3312),
    [sym__automatic_separator] = ACTIONS(3310),
    [sym__c_string_opening] = ACTIONS(3310),
    [sym__raw_string_opening] = ACTIONS(3310),
    [sym__string_opening] = ACTIONS(3310),
    [sym__comment] = ACTIONS(3),
  },
  [1370] = {
    [sym_comment] = STATE(1370),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1190),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1190),
    [anon_sym_AMP_CARET] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1190),
    [anon_sym_AMP_AMP] = ACTIONS(1190),
    [anon_sym_PIPE_PIPE] = ACTIONS(1190),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_LF] = ACTIONS(1190),
    [anon_sym_CR] = ACTIONS(1190),
    [anon_sym_CR_LF] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_map_LBRACK] = ACTIONS(1190),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1190),
    [sym_rune_literal] = ACTIONS(1190),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_DOLLARif] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1371] = {
    [sym_comment] = STATE(1371),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1112),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_LF] = ACTIONS(1112),
    [anon_sym_CR] = ACTIONS(1112),
    [anon_sym_CR_LF] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_map_LBRACK] = ACTIONS(1112),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1112),
    [sym_rune_literal] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_DOLLARif] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1372] = {
    [sym_comment] = STATE(1372),
    [sym_identifier] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_CARET] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_LT_DASH] = ACTIONS(1218),
    [anon_sym_SLASH] = ACTIONS(1218),
    [anon_sym_PERCENT] = ACTIONS(1218),
    [anon_sym_LT_LT] = ACTIONS(1218),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_GT_GT_GT] = ACTIONS(1218),
    [anon_sym_AMP_CARET] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1218),
    [anon_sym_BANG_EQ] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1218),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1218),
    [anon_sym_in] = ACTIONS(1218),
    [anon_sym_BANGin] = ACTIONS(1218),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_PIPE_PIPE] = ACTIONS(1218),
    [anon_sym_as] = ACTIONS(1218),
    [anon_sym_COMMA] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [sym_none] = ACTIONS(1218),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_LF] = ACTIONS(1218),
    [anon_sym_CR] = ACTIONS(1218),
    [anon_sym_CR_LF] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_map_LBRACK] = ACTIONS(1218),
    [anon_sym_chan] = ACTIONS(1218),
    [anon_sym_shared] = ACTIONS(1218),
    [anon_sym_thread] = ACTIONS(1218),
    [sym_int_literal] = ACTIONS(1218),
    [sym_float_literal] = ACTIONS(1218),
    [sym_rune_literal] = ACTIONS(1218),
    [anon_sym_DOT] = ACTIONS(1218),
    [anon_sym_array] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_char] = ACTIONS(1218),
    [anon_sym_sql] = ACTIONS(1218),
    [anon_sym_mut] = ACTIONS(1218),
    [anon_sym_C] = ACTIONS(1218),
    [anon_sym_JS] = ACTIONS(1218),
    [anon_sym_voidptr] = ACTIONS(1218),
    [anon_sym_byteptr] = ACTIONS(1218),
    [anon_sym_charptr] = ACTIONS(1218),
    [anon_sym_i8] = ACTIONS(1218),
    [anon_sym_i16] = ACTIONS(1218),
    [anon_sym_i32] = ACTIONS(1218),
    [anon_sym_int] = ACTIONS(1218),
    [anon_sym_i64] = ACTIONS(1218),
    [anon_sym_byte] = ACTIONS(1218),
    [anon_sym_u8] = ACTIONS(1218),
    [anon_sym_u16] = ACTIONS(1218),
    [anon_sym_u32] = ACTIONS(1218),
    [anon_sym_u64] = ACTIONS(1218),
    [anon_sym_f32] = ACTIONS(1218),
    [anon_sym_f64] = ACTIONS(1218),
    [anon_sym_bool] = ACTIONS(1218),
    [anon_sym_rune] = ACTIONS(1218),
    [anon_sym_map] = ACTIONS(1218),
    [anon_sym_mapnode] = ACTIONS(1218),
    [anon_sym_size_t] = ACTIONS(1218),
    [anon_sym_usize] = ACTIONS(1218),
    [anon_sym_isize] = ACTIONS(1218),
    [anon_sym_float_literal] = ACTIONS(1218),
    [anon_sym_int_literal] = ACTIONS(1218),
    [anon_sym_IError] = ACTIONS(1218),
    [sym_type_placeholder] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [sym_type_identifier] = ACTIONS(1218),
    [anon_sym_unsafe] = ACTIONS(1218),
    [anon_sym_fn] = ACTIONS(1218),
    [anon_sym_DOLLARif] = ACTIONS(1218),
    [anon_sym_DOLLARelse] = ACTIONS(3751),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_is] = ACTIONS(1218),
    [anon_sym_BANGis] = ACTIONS(1218),
    [anon_sym_match] = ACTIONS(1218),
    [anon_sym_select] = ACTIONS(1218),
    [anon_sym_lock] = ACTIONS(1218),
    [anon_sym_rlock] = ACTIONS(1218),
    [sym__c_string_opening] = ACTIONS(1216),
    [sym__raw_string_opening] = ACTIONS(1216),
    [sym__string_opening] = ACTIONS(1216),
    [sym__comment] = ACTIONS(3),
  },
  [1373] = {
    [sym_comment] = STATE(1373),
    [sym_argument_list] = STATE(1446),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_CARET] = ACTIONS(1100),
    [anon_sym_STAR] = ACTIONS(1100),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_LT_DASH] = ACTIONS(1100),
    [anon_sym_SLASH] = ACTIONS(1100),
    [anon_sym_PERCENT] = ACTIONS(1100),
    [anon_sym_LT_LT] = ACTIONS(1100),
    [anon_sym_GT_GT] = ACTIONS(1100),
    [anon_sym_GT_GT_GT] = ACTIONS(1100),
    [anon_sym_AMP_CARET] = ACTIONS(1100),
    [anon_sym_PIPE] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1100),
    [anon_sym_BANG_EQ] = ACTIONS(1100),
    [anon_sym_LT] = ACTIONS(1100),
    [anon_sym_LT_EQ] = ACTIONS(1100),
    [anon_sym_GT] = ACTIONS(1100),
    [anon_sym_GT_EQ] = ACTIONS(1100),
    [anon_sym_in] = ACTIONS(1100),
    [anon_sym_BANGin] = ACTIONS(1100),
    [anon_sym_AMP_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1100),
    [anon_sym_as] = ACTIONS(1100),
    [anon_sym_COMMA] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [sym_none] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [sym_false] = ACTIONS(1100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_LF] = ACTIONS(1100),
    [anon_sym_CR] = ACTIONS(1100),
    [anon_sym_CR_LF] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_map_LBRACK] = ACTIONS(1100),
    [anon_sym_chan] = ACTIONS(1100),
    [anon_sym_shared] = ACTIONS(1100),
    [anon_sym_thread] = ACTIONS(1100),
    [sym_int_literal] = ACTIONS(1100),
    [sym_float_literal] = ACTIONS(1100),
    [sym_rune_literal] = ACTIONS(1100),
    [anon_sym_DOT] = ACTIONS(1100),
    [anon_sym_array] = ACTIONS(1100),
    [anon_sym_string] = ACTIONS(1100),
    [anon_sym_char] = ACTIONS(1100),
    [anon_sym_sql] = ACTIONS(1100),
    [anon_sym_mut] = ACTIONS(1100),
    [anon_sym_C] = ACTIONS(1100),
    [anon_sym_JS] = ACTIONS(1100),
    [anon_sym_voidptr] = ACTIONS(1100),
    [anon_sym_byteptr] = ACTIONS(1100),
    [anon_sym_charptr] = ACTIONS(1100),
    [anon_sym_i8] = ACTIONS(1100),
    [anon_sym_i16] = ACTIONS(1100),
    [anon_sym_i32] = ACTIONS(1100),
    [anon_sym_int] = ACTIONS(1100),
    [anon_sym_i64] = ACTIONS(1100),
    [anon_sym_byte] = ACTIONS(1100),
    [anon_sym_u8] = ACTIONS(1100),
    [anon_sym_u16] = ACTIONS(1100),
    [anon_sym_u32] = ACTIONS(1100),
    [anon_sym_u64] = ACTIONS(1100),
    [anon_sym_f32] = ACTIONS(1100),
    [anon_sym_f64] = ACTIONS(1100),
    [anon_sym_bool] = ACTIONS(1100),
    [anon_sym_rune] = ACTIONS(1100),
    [anon_sym_map] = ACTIONS(1100),
    [anon_sym_mapnode] = ACTIONS(1100),
    [anon_sym_size_t] = ACTIONS(1100),
    [anon_sym_usize] = ACTIONS(1100),
    [anon_sym_isize] = ACTIONS(1100),
    [anon_sym_float_literal] = ACTIONS(1100),
    [anon_sym_int_literal] = ACTIONS(1100),
    [anon_sym_IError] = ACTIONS(1100),
    [sym_type_placeholder] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [sym_type_identifier] = ACTIONS(1100),
    [anon_sym_unsafe] = ACTIONS(1100),
    [anon_sym_fn] = ACTIONS(1100),
    [anon_sym_DOLLARif] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1100),
    [anon_sym_is] = ACTIONS(1100),
    [anon_sym_BANGis] = ACTIONS(1100),
    [anon_sym_match] = ACTIONS(1100),
    [anon_sym_select] = ACTIONS(1100),
    [anon_sym_lock] = ACTIONS(1100),
    [anon_sym_rlock] = ACTIONS(1100),
    [sym__c_string_opening] = ACTIONS(1098),
    [sym__raw_string_opening] = ACTIONS(1098),
    [sym__string_opening] = ACTIONS(1098),
    [sym__comment] = ACTIONS(3),
  },
  [1374] = {
    [sym_comment] = STATE(1374),
    [sym_argument_list] = STATE(1418),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_CARET] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_LT_DASH] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1210),
    [anon_sym_PERCENT] = ACTIONS(1210),
    [anon_sym_LT_LT] = ACTIONS(1210),
    [anon_sym_GT_GT] = ACTIONS(1210),
    [anon_sym_GT_GT_GT] = ACTIONS(1210),
    [anon_sym_AMP_CARET] = ACTIONS(1210),
    [anon_sym_PIPE] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1210),
    [anon_sym_BANG_EQ] = ACTIONS(1210),
    [anon_sym_LT] = ACTIONS(1210),
    [anon_sym_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1210),
    [anon_sym_in] = ACTIONS(1210),
    [anon_sym_BANGin] = ACTIONS(1210),
    [anon_sym_AMP_AMP] = ACTIONS(1210),
    [anon_sym_PIPE_PIPE] = ACTIONS(1210),
    [anon_sym_as] = ACTIONS(1210),
    [anon_sym_COMMA] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [sym_none] = ACTIONS(1210),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_LF] = ACTIONS(1210),
    [anon_sym_CR] = ACTIONS(1210),
    [anon_sym_CR_LF] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_map_LBRACK] = ACTIONS(1210),
    [anon_sym_chan] = ACTIONS(1210),
    [anon_sym_shared] = ACTIONS(1210),
    [anon_sym_thread] = ACTIONS(1210),
    [sym_int_literal] = ACTIONS(1210),
    [sym_float_literal] = ACTIONS(1210),
    [sym_rune_literal] = ACTIONS(1210),
    [anon_sym_DOT] = ACTIONS(1210),
    [anon_sym_array] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_char] = ACTIONS(1210),
    [anon_sym_sql] = ACTIONS(1210),
    [anon_sym_mut] = ACTIONS(1210),
    [anon_sym_C] = ACTIONS(1210),
    [anon_sym_JS] = ACTIONS(1210),
    [anon_sym_voidptr] = ACTIONS(1210),
    [anon_sym_byteptr] = ACTIONS(1210),
    [anon_sym_charptr] = ACTIONS(1210),
    [anon_sym_i8] = ACTIONS(1210),
    [anon_sym_i16] = ACTIONS(1210),
    [anon_sym_i32] = ACTIONS(1210),
    [anon_sym_int] = ACTIONS(1210),
    [anon_sym_i64] = ACTIONS(1210),
    [anon_sym_byte] = ACTIONS(1210),
    [anon_sym_u8] = ACTIONS(1210),
    [anon_sym_u16] = ACTIONS(1210),
    [anon_sym_u32] = ACTIONS(1210),
    [anon_sym_u64] = ACTIONS(1210),
    [anon_sym_f32] = ACTIONS(1210),
    [anon_sym_f64] = ACTIONS(1210),
    [anon_sym_bool] = ACTIONS(1210),
    [anon_sym_rune] = ACTIONS(1210),
    [anon_sym_map] = ACTIONS(1210),
    [anon_sym_mapnode] = ACTIONS(1210),
    [anon_sym_size_t] = ACTIONS(1210),
    [anon_sym_usize] = ACTIONS(1210),
    [anon_sym_isize] = ACTIONS(1210),
    [anon_sym_float_literal] = ACTIONS(1210),
    [anon_sym_int_literal] = ACTIONS(1210),
    [anon_sym_IError] = ACTIONS(1210),
    [sym_type_placeholder] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [sym_type_identifier] = ACTIONS(1210),
    [anon_sym_unsafe] = ACTIONS(1210),
    [anon_sym_fn] = ACTIONS(1210),
    [anon_sym_DOLLARif] = ACTIONS(1210),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_is] = ACTIONS(1210),
    [anon_sym_BANGis] = ACTIONS(1210),
    [anon_sym_match] = ACTIONS(1210),
    [anon_sym_select] = ACTIONS(1210),
    [anon_sym_lock] = ACTIONS(1210),
    [anon_sym_rlock] = ACTIONS(1210),
    [sym__c_string_opening] = ACTIONS(1208),
    [sym__raw_string_opening] = ACTIONS(1208),
    [sym__string_opening] = ACTIONS(1208),
    [sym__comment] = ACTIONS(3),
  },
  [1375] = {
    [sym_comment] = STATE(1375),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1198),
    [anon_sym_AMP_CARET] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1198),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_LF] = ACTIONS(1198),
    [anon_sym_CR] = ACTIONS(1198),
    [anon_sym_CR_LF] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_map_LBRACK] = ACTIONS(1198),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1198),
    [sym_rune_literal] = ACTIONS(1198),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_LT2] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_DOLLARif] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1198),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1376] = {
    [sym_comment] = STATE(1376),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1104),
    [anon_sym_BANG_EQ] = ACTIONS(1104),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1104),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1104),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1104),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE_PIPE] = ACTIONS(1104),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_LF] = ACTIONS(1104),
    [anon_sym_CR] = ACTIONS(1104),
    [anon_sym_CR_LF] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_map_LBRACK] = ACTIONS(1104),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1104),
    [sym_rune_literal] = ACTIONS(1104),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_LT2] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_DOLLARif] = ACTIONS(1104),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1377] = {
    [sym_comment] = STATE(1377),
    [sym_argument_list] = STATE(1460),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_CARET] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_LT_DASH] = ACTIONS(1128),
    [anon_sym_SLASH] = ACTIONS(1128),
    [anon_sym_PERCENT] = ACTIONS(1128),
    [anon_sym_LT_LT] = ACTIONS(1128),
    [anon_sym_GT_GT] = ACTIONS(1128),
    [anon_sym_GT_GT_GT] = ACTIONS(1128),
    [anon_sym_AMP_CARET] = ACTIONS(1128),
    [anon_sym_PIPE] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1128),
    [anon_sym_BANG_EQ] = ACTIONS(1128),
    [anon_sym_LT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1128),
    [anon_sym_GT] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1128),
    [anon_sym_in] = ACTIONS(1128),
    [anon_sym_BANGin] = ACTIONS(1128),
    [anon_sym_AMP_AMP] = ACTIONS(1128),
    [anon_sym_PIPE_PIPE] = ACTIONS(1128),
    [anon_sym_as] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [sym_none] = ACTIONS(1128),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_LF] = ACTIONS(1128),
    [anon_sym_CR] = ACTIONS(1128),
    [anon_sym_CR_LF] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_map_LBRACK] = ACTIONS(1128),
    [anon_sym_chan] = ACTIONS(1128),
    [anon_sym_shared] = ACTIONS(1128),
    [anon_sym_thread] = ACTIONS(1128),
    [sym_int_literal] = ACTIONS(1128),
    [sym_float_literal] = ACTIONS(1128),
    [sym_rune_literal] = ACTIONS(1128),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_array] = ACTIONS(1128),
    [anon_sym_string] = ACTIONS(1128),
    [anon_sym_char] = ACTIONS(1128),
    [anon_sym_sql] = ACTIONS(1128),
    [anon_sym_mut] = ACTIONS(1128),
    [anon_sym_C] = ACTIONS(1128),
    [anon_sym_JS] = ACTIONS(1128),
    [anon_sym_voidptr] = ACTIONS(1128),
    [anon_sym_byteptr] = ACTIONS(1128),
    [anon_sym_charptr] = ACTIONS(1128),
    [anon_sym_i8] = ACTIONS(1128),
    [anon_sym_i16] = ACTIONS(1128),
    [anon_sym_i32] = ACTIONS(1128),
    [anon_sym_int] = ACTIONS(1128),
    [anon_sym_i64] = ACTIONS(1128),
    [anon_sym_byte] = ACTIONS(1128),
    [anon_sym_u8] = ACTIONS(1128),
    [anon_sym_u16] = ACTIONS(1128),
    [anon_sym_u32] = ACTIONS(1128),
    [anon_sym_u64] = ACTIONS(1128),
    [anon_sym_f32] = ACTIONS(1128),
    [anon_sym_f64] = ACTIONS(1128),
    [anon_sym_bool] = ACTIONS(1128),
    [anon_sym_rune] = ACTIONS(1128),
    [anon_sym_map] = ACTIONS(1128),
    [anon_sym_mapnode] = ACTIONS(1128),
    [anon_sym_size_t] = ACTIONS(1128),
    [anon_sym_usize] = ACTIONS(1128),
    [anon_sym_isize] = ACTIONS(1128),
    [anon_sym_float_literal] = ACTIONS(1128),
    [anon_sym_int_literal] = ACTIONS(1128),
    [anon_sym_IError] = ACTIONS(1128),
    [sym_type_placeholder] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [sym_type_identifier] = ACTIONS(1128),
    [anon_sym_unsafe] = ACTIONS(1128),
    [anon_sym_fn] = ACTIONS(1128),
    [anon_sym_DOLLARif] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_is] = ACTIONS(1128),
    [anon_sym_BANGis] = ACTIONS(1128),
    [anon_sym_match] = ACTIONS(1128),
    [anon_sym_select] = ACTIONS(1128),
    [anon_sym_lock] = ACTIONS(1128),
    [anon_sym_rlock] = ACTIONS(1128),
    [sym__c_string_opening] = ACTIONS(1126),
    [sym__raw_string_opening] = ACTIONS(1126),
    [sym__string_opening] = ACTIONS(1126),
    [sym__comment] = ACTIONS(3),
  },
  [1378] = {
    [sym_comment] = STATE(1378),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1194),
    [anon_sym_SLASH] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1194),
    [anon_sym_AMP_CARET] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_LF] = ACTIONS(1194),
    [anon_sym_CR] = ACTIONS(1194),
    [anon_sym_CR_LF] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_map_LBRACK] = ACTIONS(1194),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1194),
    [sym_rune_literal] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_DOLLARif] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1194),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1379] = {
    [sym_comment] = STATE(1379),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_AMP_CARET] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_LF] = ACTIONS(1202),
    [anon_sym_CR] = ACTIONS(1202),
    [anon_sym_CR_LF] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_map_LBRACK] = ACTIONS(1202),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1202),
    [sym_rune_literal] = ACTIONS(1202),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_LT2] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_DOLLARif] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1202),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1380] = {
    [sym_comment] = STATE(1380),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_LT_DASH] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_AMP_CARET] = ACTIONS(1136),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1136),
    [anon_sym_BANG_EQ] = ACTIONS(1136),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1136),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1136),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1136),
    [anon_sym_AMP_AMP] = ACTIONS(1136),
    [anon_sym_PIPE_PIPE] = ACTIONS(1136),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1136),
    [sym_none] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LF] = ACTIONS(1136),
    [anon_sym_CR] = ACTIONS(1136),
    [anon_sym_CR_LF] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_map_LBRACK] = ACTIONS(1136),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [sym_int_literal] = ACTIONS(1136),
    [sym_float_literal] = ACTIONS(1136),
    [sym_rune_literal] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_sql] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_unsafe] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_DOLLARif] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1136),
    [anon_sym_match] = ACTIONS(1136),
    [anon_sym_select] = ACTIONS(1136),
    [anon_sym_lock] = ACTIONS(1136),
    [anon_sym_rlock] = ACTIONS(1136),
    [sym__c_string_opening] = ACTIONS(1134),
    [sym__raw_string_opening] = ACTIONS(1134),
    [sym__string_opening] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1381] = {
    [sym_comment] = STATE(1381),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_LT_DASH] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1132),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_AMP_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [sym_none] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_LF] = ACTIONS(1132),
    [anon_sym_CR] = ACTIONS(1132),
    [anon_sym_CR_LF] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_map_LBRACK] = ACTIONS(1132),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [sym_int_literal] = ACTIONS(1132),
    [sym_float_literal] = ACTIONS(1132),
    [sym_rune_literal] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_sql] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_unsafe] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_DOLLARif] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1132),
    [anon_sym_match] = ACTIONS(1132),
    [anon_sym_select] = ACTIONS(1132),
    [anon_sym_lock] = ACTIONS(1132),
    [anon_sym_rlock] = ACTIONS(1132),
    [sym__c_string_opening] = ACTIONS(1130),
    [sym__raw_string_opening] = ACTIONS(1130),
    [sym__string_opening] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1382] = {
    [sym_comment] = STATE(1382),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_CARET] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_LT_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PERCENT] = ACTIONS(1412),
    [anon_sym_LT_LT] = ACTIONS(1412),
    [anon_sym_GT_GT] = ACTIONS(1412),
    [anon_sym_GT_GT_GT] = ACTIONS(1412),
    [anon_sym_AMP_CARET] = ACTIONS(1412),
    [anon_sym_PIPE] = ACTIONS(1412),
    [anon_sym_EQ_EQ] = ACTIONS(1412),
    [anon_sym_BANG_EQ] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_LT_EQ] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [anon_sym_GT_EQ] = ACTIONS(1412),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_BANGin] = ACTIONS(1412),
    [anon_sym_AMP_AMP] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1412),
    [anon_sym_as] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [sym_none] = ACTIONS(1412),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_LF] = ACTIONS(1412),
    [anon_sym_CR] = ACTIONS(1412),
    [anon_sym_CR_LF] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_map_LBRACK] = ACTIONS(1412),
    [anon_sym_chan] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_thread] = ACTIONS(1412),
    [sym_int_literal] = ACTIONS(1412),
    [sym_float_literal] = ACTIONS(1412),
    [sym_rune_literal] = ACTIONS(1412),
    [anon_sym_DOT] = ACTIONS(1412),
    [anon_sym_array] = ACTIONS(1412),
    [anon_sym_string] = ACTIONS(1412),
    [anon_sym_char] = ACTIONS(1412),
    [anon_sym_sql] = ACTIONS(1412),
    [anon_sym_mut] = ACTIONS(1412),
    [anon_sym_C] = ACTIONS(1412),
    [anon_sym_JS] = ACTIONS(1412),
    [anon_sym_voidptr] = ACTIONS(1412),
    [anon_sym_byteptr] = ACTIONS(1412),
    [anon_sym_charptr] = ACTIONS(1412),
    [anon_sym_i8] = ACTIONS(1412),
    [anon_sym_i16] = ACTIONS(1412),
    [anon_sym_i32] = ACTIONS(1412),
    [anon_sym_int] = ACTIONS(1412),
    [anon_sym_i64] = ACTIONS(1412),
    [anon_sym_byte] = ACTIONS(1412),
    [anon_sym_u8] = ACTIONS(1412),
    [anon_sym_u16] = ACTIONS(1412),
    [anon_sym_u32] = ACTIONS(1412),
    [anon_sym_u64] = ACTIONS(1412),
    [anon_sym_f32] = ACTIONS(1412),
    [anon_sym_f64] = ACTIONS(1412),
    [anon_sym_bool] = ACTIONS(1412),
    [anon_sym_rune] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1412),
    [anon_sym_mapnode] = ACTIONS(1412),
    [anon_sym_size_t] = ACTIONS(1412),
    [anon_sym_usize] = ACTIONS(1412),
    [anon_sym_isize] = ACTIONS(1412),
    [anon_sym_float_literal] = ACTIONS(1412),
    [anon_sym_int_literal] = ACTIONS(1412),
    [anon_sym_IError] = ACTIONS(1412),
    [sym_type_placeholder] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [sym_type_identifier] = ACTIONS(1412),
    [anon_sym_unsafe] = ACTIONS(1412),
    [anon_sym_fn] = ACTIONS(1412),
    [anon_sym_DOLLARif] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_is] = ACTIONS(1412),
    [anon_sym_BANGis] = ACTIONS(1412),
    [anon_sym_match] = ACTIONS(1412),
    [anon_sym_select] = ACTIONS(1412),
    [anon_sym_lock] = ACTIONS(1412),
    [anon_sym_rlock] = ACTIONS(1412),
    [sym__c_string_opening] = ACTIONS(1410),
    [sym__raw_string_opening] = ACTIONS(1410),
    [sym__string_opening] = ACTIONS(1410),
    [sym__comment] = ACTIONS(3),
  },
  [1383] = {
    [sym_comment] = STATE(1383),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_LT_DASH] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_PERCENT] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_GT_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1438),
    [anon_sym_EQ_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_in] = ACTIONS(1438),
    [anon_sym_BANGin] = ACTIONS(1438),
    [anon_sym_AMP_AMP] = ACTIONS(1438),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_as] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [sym_none] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_LF] = ACTIONS(1438),
    [anon_sym_CR] = ACTIONS(1438),
    [anon_sym_CR_LF] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_map_LBRACK] = ACTIONS(1438),
    [anon_sym_chan] = ACTIONS(1438),
    [anon_sym_shared] = ACTIONS(1438),
    [anon_sym_thread] = ACTIONS(1438),
    [sym_int_literal] = ACTIONS(1438),
    [sym_float_literal] = ACTIONS(1438),
    [sym_rune_literal] = ACTIONS(1438),
    [anon_sym_DOT] = ACTIONS(1438),
    [anon_sym_array] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_char] = ACTIONS(1438),
    [anon_sym_sql] = ACTIONS(1438),
    [anon_sym_mut] = ACTIONS(1438),
    [anon_sym_C] = ACTIONS(1438),
    [anon_sym_JS] = ACTIONS(1438),
    [anon_sym_voidptr] = ACTIONS(1438),
    [anon_sym_byteptr] = ACTIONS(1438),
    [anon_sym_charptr] = ACTIONS(1438),
    [anon_sym_i8] = ACTIONS(1438),
    [anon_sym_i16] = ACTIONS(1438),
    [anon_sym_i32] = ACTIONS(1438),
    [anon_sym_int] = ACTIONS(1438),
    [anon_sym_i64] = ACTIONS(1438),
    [anon_sym_byte] = ACTIONS(1438),
    [anon_sym_u8] = ACTIONS(1438),
    [anon_sym_u16] = ACTIONS(1438),
    [anon_sym_u32] = ACTIONS(1438),
    [anon_sym_u64] = ACTIONS(1438),
    [anon_sym_f32] = ACTIONS(1438),
    [anon_sym_f64] = ACTIONS(1438),
    [anon_sym_bool] = ACTIONS(1438),
    [anon_sym_rune] = ACTIONS(1438),
    [anon_sym_map] = ACTIONS(1438),
    [anon_sym_mapnode] = ACTIONS(1438),
    [anon_sym_size_t] = ACTIONS(1438),
    [anon_sym_usize] = ACTIONS(1438),
    [anon_sym_isize] = ACTIONS(1438),
    [anon_sym_float_literal] = ACTIONS(1438),
    [anon_sym_int_literal] = ACTIONS(1438),
    [anon_sym_IError] = ACTIONS(1438),
    [sym_type_placeholder] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [sym_type_identifier] = ACTIONS(1438),
    [anon_sym_unsafe] = ACTIONS(1438),
    [anon_sym_fn] = ACTIONS(1438),
    [anon_sym_DOLLARif] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_is] = ACTIONS(1438),
    [anon_sym_BANGis] = ACTIONS(1438),
    [anon_sym_match] = ACTIONS(1438),
    [anon_sym_select] = ACTIONS(1438),
    [anon_sym_lock] = ACTIONS(1438),
    [anon_sym_rlock] = ACTIONS(1438),
    [sym__c_string_opening] = ACTIONS(1436),
    [sym__raw_string_opening] = ACTIONS(1436),
    [sym__string_opening] = ACTIONS(1436),
    [sym__comment] = ACTIONS(3),
  },
  [1384] = {
    [sym_comment] = STATE(1384),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_CARET] = ACTIONS(1048),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1048),
    [anon_sym_SLASH] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1048),
    [anon_sym_LT_LT] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1048),
    [anon_sym_AMP_CARET] = ACTIONS(1048),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1048),
    [anon_sym_BANG_EQ] = ACTIONS(1048),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1048),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1048),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1048),
    [anon_sym_AMP_AMP] = ACTIONS(1048),
    [anon_sym_PIPE_PIPE] = ACTIONS(1048),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_LF] = ACTIONS(1048),
    [anon_sym_CR] = ACTIONS(1048),
    [anon_sym_CR_LF] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_map_LBRACK] = ACTIONS(1048),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1048),
    [sym_rune_literal] = ACTIONS(1048),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym_DOLLARif] = ACTIONS(1048),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1048),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1385] = {
    [sym_comment] = STATE(1385),
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_LT_DASH] = ACTIONS(1608),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PERCENT] = ACTIONS(1608),
    [anon_sym_LT_LT] = ACTIONS(1608),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_GT_GT_GT] = ACTIONS(1608),
    [anon_sym_AMP_CARET] = ACTIONS(1608),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_EQ_EQ] = ACTIONS(1608),
    [anon_sym_BANG_EQ] = ACTIONS(1608),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_LT_EQ] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_GT_EQ] = ACTIONS(1608),
    [anon_sym_in] = ACTIONS(1608),
    [anon_sym_BANGin] = ACTIONS(1608),
    [anon_sym_AMP_AMP] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1608),
    [anon_sym_as] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [sym_none] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1608),
    [anon_sym_LF] = ACTIONS(1608),
    [anon_sym_CR] = ACTIONS(1608),
    [anon_sym_CR_LF] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_map_LBRACK] = ACTIONS(1608),
    [anon_sym_chan] = ACTIONS(1608),
    [anon_sym_shared] = ACTIONS(1608),
    [anon_sym_thread] = ACTIONS(1608),
    [sym_int_literal] = ACTIONS(1608),
    [sym_float_literal] = ACTIONS(1608),
    [sym_rune_literal] = ACTIONS(1608),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_array] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_char] = ACTIONS(1608),
    [anon_sym_sql] = ACTIONS(1608),
    [anon_sym_mut] = ACTIONS(1608),
    [anon_sym_C] = ACTIONS(1608),
    [anon_sym_JS] = ACTIONS(1608),
    [anon_sym_voidptr] = ACTIONS(1608),
    [anon_sym_byteptr] = ACTIONS(1608),
    [anon_sym_charptr] = ACTIONS(1608),
    [anon_sym_i8] = ACTIONS(1608),
    [anon_sym_i16] = ACTIONS(1608),
    [anon_sym_i32] = ACTIONS(1608),
    [anon_sym_int] = ACTIONS(1608),
    [anon_sym_i64] = ACTIONS(1608),
    [anon_sym_byte] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1608),
    [anon_sym_u16] = ACTIONS(1608),
    [anon_sym_u32] = ACTIONS(1608),
    [anon_sym_u64] = ACTIONS(1608),
    [anon_sym_f32] = ACTIONS(1608),
    [anon_sym_f64] = ACTIONS(1608),
    [anon_sym_bool] = ACTIONS(1608),
    [anon_sym_rune] = ACTIONS(1608),
    [anon_sym_map] = ACTIONS(1608),
    [anon_sym_mapnode] = ACTIONS(1608),
    [anon_sym_size_t] = ACTIONS(1608),
    [anon_sym_usize] = ACTIONS(1608),
    [anon_sym_isize] = ACTIONS(1608),
    [anon_sym_float_literal] = ACTIONS(1608),
    [anon_sym_int_literal] = ACTIONS(1608),
    [anon_sym_IError] = ACTIONS(1608),
    [sym_type_placeholder] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [sym_type_identifier] = ACTIONS(1608),
    [anon_sym_unsafe] = ACTIONS(1608),
    [anon_sym_fn] = ACTIONS(1608),
    [anon_sym_DOLLARif] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_is] = ACTIONS(1608),
    [anon_sym_BANGis] = ACTIONS(1608),
    [anon_sym_match] = ACTIONS(1608),
    [anon_sym_select] = ACTIONS(1608),
    [anon_sym_lock] = ACTIONS(1608),
    [anon_sym_rlock] = ACTIONS(1608),
    [sym__c_string_opening] = ACTIONS(1606),
    [sym__raw_string_opening] = ACTIONS(1606),
    [sym__string_opening] = ACTIONS(1606),
    [sym__comment] = ACTIONS(3),
  },
  [1386] = {
    [sym_option_propagator] = STATE(1733),
    [sym_or_block] = STATE(1771),
    [sym_comment] = STATE(1386),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(3753),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_AMP] = ACTIONS(879),
    [anon_sym_LT_DASH] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(879),
    [anon_sym_GT_GT_GT] = ACTIONS(877),
    [anon_sym_AMP_CARET] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(879),
    [anon_sym_EQ_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_GT_EQ] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(879),
    [anon_sym_BANGin] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(879),
    [anon_sym_COMMA] = ACTIONS(877),
    [anon_sym_DOLLAR] = ACTIONS(879),
    [anon_sym_QMARK] = ACTIONS(3755),
    [anon_sym_or] = ACTIONS(3757),
    [sym_none] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_RBRACK] = ACTIONS(877),
    [anon_sym_map_LBRACK] = ACTIONS(877),
    [anon_sym_chan] = ACTIONS(879),
    [anon_sym_shared] = ACTIONS(879),
    [anon_sym_thread] = ACTIONS(879),
    [sym_int_literal] = ACTIONS(879),
    [sym_float_literal] = ACTIONS(877),
    [sym_rune_literal] = ACTIONS(877),
    [anon_sym_DOT] = ACTIONS(879),
    [anon_sym_array] = ACTIONS(879),
    [anon_sym_string] = ACTIONS(879),
    [anon_sym_char] = ACTIONS(879),
    [anon_sym_sql] = ACTIONS(879),
    [anon_sym_mut] = ACTIONS(879),
    [anon_sym_C] = ACTIONS(879),
    [anon_sym_JS] = ACTIONS(879),
    [anon_sym_voidptr] = ACTIONS(879),
    [anon_sym_byteptr] = ACTIONS(879),
    [anon_sym_charptr] = ACTIONS(879),
    [anon_sym_i8] = ACTIONS(879),
    [anon_sym_i16] = ACTIONS(879),
    [anon_sym_i32] = ACTIONS(879),
    [anon_sym_int] = ACTIONS(879),
    [anon_sym_i64] = ACTIONS(879),
    [anon_sym_byte] = ACTIONS(879),
    [anon_sym_u8] = ACTIONS(879),
    [anon_sym_u16] = ACTIONS(879),
    [anon_sym_u32] = ACTIONS(879),
    [anon_sym_u64] = ACTIONS(879),
    [anon_sym_f32] = ACTIONS(879),
    [anon_sym_f64] = ACTIONS(879),
    [anon_sym_bool] = ACTIONS(879),
    [anon_sym_rune] = ACTIONS(879),
    [anon_sym_map] = ACTIONS(879),
    [anon_sym_mapnode] = ACTIONS(879),
    [anon_sym_size_t] = ACTIONS(879),
    [anon_sym_usize] = ACTIONS(879),
    [anon_sym_isize] = ACTIONS(879),
    [anon_sym_float_literal] = ACTIONS(879),
    [anon_sym_int_literal] = ACTIONS(879),
    [anon_sym_IError] = ACTIONS(879),
    [sym_type_placeholder] = ACTIONS(879),
    [anon_sym_AT] = ACTIONS(879),
    [sym_type_identifier] = ACTIONS(879),
    [anon_sym_unsafe] = ACTIONS(879),
    [anon_sym_fn] = ACTIONS(879),
    [anon_sym_DOLLARif] = ACTIONS(877),
    [anon_sym_if] = ACTIONS(879),
    [anon_sym_is] = ACTIONS(879),
    [anon_sym_BANGis] = ACTIONS(877),
    [anon_sym_match] = ACTIONS(879),
    [anon_sym_select] = ACTIONS(879),
    [anon_sym_lock] = ACTIONS(879),
    [anon_sym_rlock] = ACTIONS(879),
    [sym__c_string_opening] = ACTIONS(877),
    [sym__raw_string_opening] = ACTIONS(877),
    [sym__string_opening] = ACTIONS(877),
    [sym__comment] = ACTIONS(3),
  },
  [1387] = {
    [sym_special_argument_list] = STATE(1448),
    [sym_comment] = STATE(1387),
    [sym_argument_list] = STATE(1450),
    [sym_type_parameters] = STATE(4369),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1388] = {
    [sym_comment] = STATE(1388),
    [sym_identifier] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_LT_DASH] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1366),
    [anon_sym_AMP_CARET] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_EQ_EQ] = ACTIONS(1366),
    [anon_sym_BANG_EQ] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1366),
    [anon_sym_BANGin] = ACTIONS(1366),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_as] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [sym_none] = ACTIONS(1366),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_LF] = ACTIONS(1366),
    [anon_sym_CR] = ACTIONS(1366),
    [anon_sym_CR_LF] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_map_LBRACK] = ACTIONS(1366),
    [anon_sym_chan] = ACTIONS(1366),
    [anon_sym_shared] = ACTIONS(1366),
    [anon_sym_thread] = ACTIONS(1366),
    [sym_int_literal] = ACTIONS(1366),
    [sym_float_literal] = ACTIONS(1366),
    [sym_rune_literal] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_array] = ACTIONS(1366),
    [anon_sym_string] = ACTIONS(1366),
    [anon_sym_char] = ACTIONS(1366),
    [anon_sym_sql] = ACTIONS(1366),
    [anon_sym_mut] = ACTIONS(1366),
    [anon_sym_C] = ACTIONS(1366),
    [anon_sym_JS] = ACTIONS(1366),
    [anon_sym_voidptr] = ACTIONS(1366),
    [anon_sym_byteptr] = ACTIONS(1366),
    [anon_sym_charptr] = ACTIONS(1366),
    [anon_sym_i8] = ACTIONS(1366),
    [anon_sym_i16] = ACTIONS(1366),
    [anon_sym_i32] = ACTIONS(1366),
    [anon_sym_int] = ACTIONS(1366),
    [anon_sym_i64] = ACTIONS(1366),
    [anon_sym_byte] = ACTIONS(1366),
    [anon_sym_u8] = ACTIONS(1366),
    [anon_sym_u16] = ACTIONS(1366),
    [anon_sym_u32] = ACTIONS(1366),
    [anon_sym_u64] = ACTIONS(1366),
    [anon_sym_f32] = ACTIONS(1366),
    [anon_sym_f64] = ACTIONS(1366),
    [anon_sym_bool] = ACTIONS(1366),
    [anon_sym_rune] = ACTIONS(1366),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_mapnode] = ACTIONS(1366),
    [anon_sym_size_t] = ACTIONS(1366),
    [anon_sym_usize] = ACTIONS(1366),
    [anon_sym_isize] = ACTIONS(1366),
    [anon_sym_float_literal] = ACTIONS(1366),
    [anon_sym_int_literal] = ACTIONS(1366),
    [anon_sym_IError] = ACTIONS(1366),
    [sym_type_placeholder] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [sym_type_identifier] = ACTIONS(1366),
    [anon_sym_unsafe] = ACTIONS(1366),
    [anon_sym_fn] = ACTIONS(1366),
    [anon_sym_DOLLARif] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_is] = ACTIONS(1366),
    [anon_sym_BANGis] = ACTIONS(1366),
    [anon_sym_match] = ACTIONS(1366),
    [anon_sym_select] = ACTIONS(1366),
    [anon_sym_lock] = ACTIONS(1366),
    [anon_sym_rlock] = ACTIONS(1366),
    [sym__c_string_opening] = ACTIONS(1364),
    [sym__raw_string_opening] = ACTIONS(1364),
    [sym__string_opening] = ACTIONS(1364),
    [sym__comment] = ACTIONS(3),
  },
  [1389] = {
    [sym_comment] = STATE(1389),
    [sym_identifier] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_PLUS] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_LT_DASH] = ACTIONS(1596),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1596),
    [anon_sym_GT_GT_GT] = ACTIONS(1596),
    [anon_sym_AMP_CARET] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_BANGin] = ACTIONS(1596),
    [anon_sym_AMP_AMP] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1596),
    [anon_sym_as] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [sym_none] = ACTIONS(1596),
    [sym_true] = ACTIONS(1596),
    [sym_false] = ACTIONS(1596),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_LF] = ACTIONS(1596),
    [anon_sym_CR] = ACTIONS(1596),
    [anon_sym_CR_LF] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_map_LBRACK] = ACTIONS(1596),
    [anon_sym_chan] = ACTIONS(1596),
    [anon_sym_shared] = ACTIONS(1596),
    [anon_sym_thread] = ACTIONS(1596),
    [sym_int_literal] = ACTIONS(1596),
    [sym_float_literal] = ACTIONS(1596),
    [sym_rune_literal] = ACTIONS(1596),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_array] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_char] = ACTIONS(1596),
    [anon_sym_sql] = ACTIONS(1596),
    [anon_sym_mut] = ACTIONS(1596),
    [anon_sym_C] = ACTIONS(1596),
    [anon_sym_JS] = ACTIONS(1596),
    [anon_sym_voidptr] = ACTIONS(1596),
    [anon_sym_byteptr] = ACTIONS(1596),
    [anon_sym_charptr] = ACTIONS(1596),
    [anon_sym_i8] = ACTIONS(1596),
    [anon_sym_i16] = ACTIONS(1596),
    [anon_sym_i32] = ACTIONS(1596),
    [anon_sym_int] = ACTIONS(1596),
    [anon_sym_i64] = ACTIONS(1596),
    [anon_sym_byte] = ACTIONS(1596),
    [anon_sym_u8] = ACTIONS(1596),
    [anon_sym_u16] = ACTIONS(1596),
    [anon_sym_u32] = ACTIONS(1596),
    [anon_sym_u64] = ACTIONS(1596),
    [anon_sym_f32] = ACTIONS(1596),
    [anon_sym_f64] = ACTIONS(1596),
    [anon_sym_bool] = ACTIONS(1596),
    [anon_sym_rune] = ACTIONS(1596),
    [anon_sym_map] = ACTIONS(1596),
    [anon_sym_mapnode] = ACTIONS(1596),
    [anon_sym_size_t] = ACTIONS(1596),
    [anon_sym_usize] = ACTIONS(1596),
    [anon_sym_isize] = ACTIONS(1596),
    [anon_sym_float_literal] = ACTIONS(1596),
    [anon_sym_int_literal] = ACTIONS(1596),
    [anon_sym_IError] = ACTIONS(1596),
    [sym_type_placeholder] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [sym_type_identifier] = ACTIONS(1596),
    [anon_sym_unsafe] = ACTIONS(1596),
    [anon_sym_fn] = ACTIONS(1596),
    [anon_sym_DOLLARif] = ACTIONS(1596),
    [anon_sym_if] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1596),
    [anon_sym_BANGis] = ACTIONS(1596),
    [anon_sym_match] = ACTIONS(1596),
    [anon_sym_select] = ACTIONS(1596),
    [anon_sym_lock] = ACTIONS(1596),
    [anon_sym_rlock] = ACTIONS(1596),
    [sym__c_string_opening] = ACTIONS(1594),
    [sym__raw_string_opening] = ACTIONS(1594),
    [sym__string_opening] = ACTIONS(1594),
    [sym__comment] = ACTIONS(3),
  },
  [1390] = {
    [sym_comment] = STATE(1390),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1580),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_LT_DASH] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1580),
    [anon_sym_AMP_CARET] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1580),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_BANGin] = ACTIONS(1580),
    [anon_sym_AMP_AMP] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1580),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [sym_none] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_LF] = ACTIONS(1580),
    [anon_sym_CR] = ACTIONS(1580),
    [anon_sym_CR_LF] = ACTIONS(1580),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1580),
    [anon_sym_map_LBRACK] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1580),
    [anon_sym_shared] = ACTIONS(1580),
    [anon_sym_thread] = ACTIONS(1580),
    [sym_int_literal] = ACTIONS(1580),
    [sym_float_literal] = ACTIONS(1580),
    [sym_rune_literal] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_array] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_char] = ACTIONS(1580),
    [anon_sym_sql] = ACTIONS(1580),
    [anon_sym_mut] = ACTIONS(1580),
    [anon_sym_C] = ACTIONS(1580),
    [anon_sym_JS] = ACTIONS(1580),
    [anon_sym_voidptr] = ACTIONS(1580),
    [anon_sym_byteptr] = ACTIONS(1580),
    [anon_sym_charptr] = ACTIONS(1580),
    [anon_sym_i8] = ACTIONS(1580),
    [anon_sym_i16] = ACTIONS(1580),
    [anon_sym_i32] = ACTIONS(1580),
    [anon_sym_int] = ACTIONS(1580),
    [anon_sym_i64] = ACTIONS(1580),
    [anon_sym_byte] = ACTIONS(1580),
    [anon_sym_u8] = ACTIONS(1580),
    [anon_sym_u16] = ACTIONS(1580),
    [anon_sym_u32] = ACTIONS(1580),
    [anon_sym_u64] = ACTIONS(1580),
    [anon_sym_f32] = ACTIONS(1580),
    [anon_sym_f64] = ACTIONS(1580),
    [anon_sym_bool] = ACTIONS(1580),
    [anon_sym_rune] = ACTIONS(1580),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_mapnode] = ACTIONS(1580),
    [anon_sym_size_t] = ACTIONS(1580),
    [anon_sym_usize] = ACTIONS(1580),
    [anon_sym_isize] = ACTIONS(1580),
    [anon_sym_float_literal] = ACTIONS(1580),
    [anon_sym_int_literal] = ACTIONS(1580),
    [anon_sym_IError] = ACTIONS(1580),
    [sym_type_placeholder] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [sym_type_identifier] = ACTIONS(1580),
    [anon_sym_unsafe] = ACTIONS(1580),
    [anon_sym_fn] = ACTIONS(1580),
    [anon_sym_DOLLARif] = ACTIONS(1580),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_is] = ACTIONS(1580),
    [anon_sym_BANGis] = ACTIONS(1580),
    [anon_sym_match] = ACTIONS(1580),
    [anon_sym_select] = ACTIONS(1580),
    [anon_sym_lock] = ACTIONS(1580),
    [anon_sym_rlock] = ACTIONS(1580),
    [sym__c_string_opening] = ACTIONS(1578),
    [sym__raw_string_opening] = ACTIONS(1578),
    [sym__string_opening] = ACTIONS(1578),
    [sym__comment] = ACTIONS(3),
  },
  [1391] = {
    [sym_comment] = STATE(1391),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1122),
    [anon_sym_LT_DASH] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1122),
    [sym_none] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [sym_int_literal] = ACTIONS(1124),
    [sym_float_literal] = ACTIONS(1122),
    [sym_rune_literal] = ACTIONS(1122),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_sql] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_assert] = ACTIONS(1124),
    [anon_sym_defer] = ACTIONS(1124),
    [anon_sym_unsafe] = ACTIONS(1124),
    [anon_sym_pub] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym___global] = ACTIONS(1124),
    [anon_sym_const] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_type] = ACTIONS(1124),
    [anon_sym_go] = ACTIONS(1124),
    [anon_sym_spawn] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_DOLLARfor] = ACTIONS(1122),
    [anon_sym_DOLLARif] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_struct] = ACTIONS(1124),
    [anon_sym_union] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1124),
    [anon_sym_interface] = ACTIONS(1124),
    [anon_sym_POUND] = ACTIONS(1122),
    [anon_sym_module] = ACTIONS(1124),
    [anon_sym_import] = ACTIONS(1124),
    [anon_sym_match] = ACTIONS(1124),
    [anon_sym_select] = ACTIONS(1124),
    [anon_sym_lock] = ACTIONS(1124),
    [anon_sym_rlock] = ACTIONS(1124),
    [sym__automatic_separator] = ACTIONS(1122),
    [sym__c_string_opening] = ACTIONS(1122),
    [sym__raw_string_opening] = ACTIONS(1122),
    [sym__string_opening] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1392] = {
    [sym_comment] = STATE(1392),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_LT_DASH] = ACTIONS(1574),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_PERCENT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1574),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1574),
    [anon_sym_AMP_CARET] = ACTIONS(1574),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1574),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1574),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_BANGin] = ACTIONS(1574),
    [anon_sym_AMP_AMP] = ACTIONS(1574),
    [anon_sym_PIPE_PIPE] = ACTIONS(1574),
    [anon_sym_as] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1574),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [sym_none] = ACTIONS(1574),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_LF] = ACTIONS(1574),
    [anon_sym_CR] = ACTIONS(1574),
    [anon_sym_CR_LF] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_map_LBRACK] = ACTIONS(1574),
    [anon_sym_chan] = ACTIONS(1574),
    [anon_sym_shared] = ACTIONS(1574),
    [anon_sym_thread] = ACTIONS(1574),
    [sym_int_literal] = ACTIONS(1574),
    [sym_float_literal] = ACTIONS(1574),
    [sym_rune_literal] = ACTIONS(1574),
    [anon_sym_DOT] = ACTIONS(1574),
    [anon_sym_array] = ACTIONS(1574),
    [anon_sym_string] = ACTIONS(1574),
    [anon_sym_char] = ACTIONS(1574),
    [anon_sym_sql] = ACTIONS(1574),
    [anon_sym_mut] = ACTIONS(1574),
    [anon_sym_C] = ACTIONS(1574),
    [anon_sym_JS] = ACTIONS(1574),
    [anon_sym_voidptr] = ACTIONS(1574),
    [anon_sym_byteptr] = ACTIONS(1574),
    [anon_sym_charptr] = ACTIONS(1574),
    [anon_sym_i8] = ACTIONS(1574),
    [anon_sym_i16] = ACTIONS(1574),
    [anon_sym_i32] = ACTIONS(1574),
    [anon_sym_int] = ACTIONS(1574),
    [anon_sym_i64] = ACTIONS(1574),
    [anon_sym_byte] = ACTIONS(1574),
    [anon_sym_u8] = ACTIONS(1574),
    [anon_sym_u16] = ACTIONS(1574),
    [anon_sym_u32] = ACTIONS(1574),
    [anon_sym_u64] = ACTIONS(1574),
    [anon_sym_f32] = ACTIONS(1574),
    [anon_sym_f64] = ACTIONS(1574),
    [anon_sym_bool] = ACTIONS(1574),
    [anon_sym_rune] = ACTIONS(1574),
    [anon_sym_map] = ACTIONS(1574),
    [anon_sym_mapnode] = ACTIONS(1574),
    [anon_sym_size_t] = ACTIONS(1574),
    [anon_sym_usize] = ACTIONS(1574),
    [anon_sym_isize] = ACTIONS(1574),
    [anon_sym_float_literal] = ACTIONS(1574),
    [anon_sym_int_literal] = ACTIONS(1574),
    [anon_sym_IError] = ACTIONS(1574),
    [sym_type_placeholder] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [sym_type_identifier] = ACTIONS(1574),
    [anon_sym_unsafe] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym_DOLLARif] = ACTIONS(1574),
    [anon_sym_if] = ACTIONS(1574),
    [anon_sym_is] = ACTIONS(1574),
    [anon_sym_BANGis] = ACTIONS(1574),
    [anon_sym_match] = ACTIONS(1574),
    [anon_sym_select] = ACTIONS(1574),
    [anon_sym_lock] = ACTIONS(1574),
    [anon_sym_rlock] = ACTIONS(1574),
    [sym__c_string_opening] = ACTIONS(1572),
    [sym__raw_string_opening] = ACTIONS(1572),
    [sym__string_opening] = ACTIONS(1572),
    [sym__comment] = ACTIONS(3),
  },
  [1393] = {
    [sym_comment] = STATE(1393),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_CARET] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(1550),
    [anon_sym_AMP] = ACTIONS(1550),
    [anon_sym_LT_DASH] = ACTIONS(1550),
    [anon_sym_SLASH] = ACTIONS(1550),
    [anon_sym_PERCENT] = ACTIONS(1550),
    [anon_sym_LT_LT] = ACTIONS(1550),
    [anon_sym_GT_GT] = ACTIONS(1550),
    [anon_sym_GT_GT_GT] = ACTIONS(1550),
    [anon_sym_AMP_CARET] = ACTIONS(1550),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1550),
    [anon_sym_BANG_EQ] = ACTIONS(1550),
    [anon_sym_LT] = ACTIONS(1550),
    [anon_sym_LT_EQ] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(1550),
    [anon_sym_GT_EQ] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1550),
    [anon_sym_BANGin] = ACTIONS(1550),
    [anon_sym_AMP_AMP] = ACTIONS(1550),
    [anon_sym_PIPE_PIPE] = ACTIONS(1550),
    [anon_sym_as] = ACTIONS(1550),
    [anon_sym_COMMA] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [sym_none] = ACTIONS(1550),
    [sym_true] = ACTIONS(1550),
    [sym_false] = ACTIONS(1550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_LF] = ACTIONS(1550),
    [anon_sym_CR] = ACTIONS(1550),
    [anon_sym_CR_LF] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_map_LBRACK] = ACTIONS(1550),
    [anon_sym_chan] = ACTIONS(1550),
    [anon_sym_shared] = ACTIONS(1550),
    [anon_sym_thread] = ACTIONS(1550),
    [sym_int_literal] = ACTIONS(1550),
    [sym_float_literal] = ACTIONS(1550),
    [sym_rune_literal] = ACTIONS(1550),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_array] = ACTIONS(1550),
    [anon_sym_string] = ACTIONS(1550),
    [anon_sym_char] = ACTIONS(1550),
    [anon_sym_sql] = ACTIONS(1550),
    [anon_sym_mut] = ACTIONS(1550),
    [anon_sym_C] = ACTIONS(1550),
    [anon_sym_JS] = ACTIONS(1550),
    [anon_sym_voidptr] = ACTIONS(1550),
    [anon_sym_byteptr] = ACTIONS(1550),
    [anon_sym_charptr] = ACTIONS(1550),
    [anon_sym_i8] = ACTIONS(1550),
    [anon_sym_i16] = ACTIONS(1550),
    [anon_sym_i32] = ACTIONS(1550),
    [anon_sym_int] = ACTIONS(1550),
    [anon_sym_i64] = ACTIONS(1550),
    [anon_sym_byte] = ACTIONS(1550),
    [anon_sym_u8] = ACTIONS(1550),
    [anon_sym_u16] = ACTIONS(1550),
    [anon_sym_u32] = ACTIONS(1550),
    [anon_sym_u64] = ACTIONS(1550),
    [anon_sym_f32] = ACTIONS(1550),
    [anon_sym_f64] = ACTIONS(1550),
    [anon_sym_bool] = ACTIONS(1550),
    [anon_sym_rune] = ACTIONS(1550),
    [anon_sym_map] = ACTIONS(1550),
    [anon_sym_mapnode] = ACTIONS(1550),
    [anon_sym_size_t] = ACTIONS(1550),
    [anon_sym_usize] = ACTIONS(1550),
    [anon_sym_isize] = ACTIONS(1550),
    [anon_sym_float_literal] = ACTIONS(1550),
    [anon_sym_int_literal] = ACTIONS(1550),
    [anon_sym_IError] = ACTIONS(1550),
    [sym_type_placeholder] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [sym_type_identifier] = ACTIONS(1550),
    [anon_sym_unsafe] = ACTIONS(1550),
    [anon_sym_fn] = ACTIONS(1550),
    [anon_sym_DOLLARif] = ACTIONS(1550),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_is] = ACTIONS(1550),
    [anon_sym_BANGis] = ACTIONS(1550),
    [anon_sym_match] = ACTIONS(1550),
    [anon_sym_select] = ACTIONS(1550),
    [anon_sym_lock] = ACTIONS(1550),
    [anon_sym_rlock] = ACTIONS(1550),
    [sym__c_string_opening] = ACTIONS(1548),
    [sym__raw_string_opening] = ACTIONS(1548),
    [sym__string_opening] = ACTIONS(1548),
    [sym__comment] = ACTIONS(3),
  },
  [1394] = {
    [sym_comment] = STATE(1394),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_CARET] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_LT_DASH] = ACTIONS(1292),
    [anon_sym_SLASH] = ACTIONS(1292),
    [anon_sym_PERCENT] = ACTIONS(1292),
    [anon_sym_LT_LT] = ACTIONS(1292),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_GT_GT_GT] = ACTIONS(1292),
    [anon_sym_AMP_CARET] = ACTIONS(1292),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_EQ_EQ] = ACTIONS(1292),
    [anon_sym_BANG_EQ] = ACTIONS(1292),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1292),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_GT_EQ] = ACTIONS(1292),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_BANGin] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE] = ACTIONS(1292),
    [anon_sym_as] = ACTIONS(1292),
    [anon_sym_COMMA] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [sym_none] = ACTIONS(1292),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_LF] = ACTIONS(1292),
    [anon_sym_CR] = ACTIONS(1292),
    [anon_sym_CR_LF] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_map_LBRACK] = ACTIONS(1292),
    [anon_sym_chan] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_thread] = ACTIONS(1292),
    [sym_int_literal] = ACTIONS(1292),
    [sym_float_literal] = ACTIONS(1292),
    [sym_rune_literal] = ACTIONS(1292),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_array] = ACTIONS(1292),
    [anon_sym_string] = ACTIONS(1292),
    [anon_sym_char] = ACTIONS(1292),
    [anon_sym_sql] = ACTIONS(1292),
    [anon_sym_mut] = ACTIONS(1292),
    [anon_sym_C] = ACTIONS(1292),
    [anon_sym_JS] = ACTIONS(1292),
    [anon_sym_voidptr] = ACTIONS(1292),
    [anon_sym_byteptr] = ACTIONS(1292),
    [anon_sym_charptr] = ACTIONS(1292),
    [anon_sym_i8] = ACTIONS(1292),
    [anon_sym_i16] = ACTIONS(1292),
    [anon_sym_i32] = ACTIONS(1292),
    [anon_sym_int] = ACTIONS(1292),
    [anon_sym_i64] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(1292),
    [anon_sym_u8] = ACTIONS(1292),
    [anon_sym_u16] = ACTIONS(1292),
    [anon_sym_u32] = ACTIONS(1292),
    [anon_sym_u64] = ACTIONS(1292),
    [anon_sym_f32] = ACTIONS(1292),
    [anon_sym_f64] = ACTIONS(1292),
    [anon_sym_bool] = ACTIONS(1292),
    [anon_sym_rune] = ACTIONS(1292),
    [anon_sym_map] = ACTIONS(1292),
    [anon_sym_mapnode] = ACTIONS(1292),
    [anon_sym_size_t] = ACTIONS(1292),
    [anon_sym_usize] = ACTIONS(1292),
    [anon_sym_isize] = ACTIONS(1292),
    [anon_sym_float_literal] = ACTIONS(1292),
    [anon_sym_int_literal] = ACTIONS(1292),
    [anon_sym_IError] = ACTIONS(1292),
    [sym_type_placeholder] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [sym_type_identifier] = ACTIONS(1292),
    [anon_sym_unsafe] = ACTIONS(1292),
    [anon_sym_fn] = ACTIONS(1292),
    [anon_sym_DOLLARif] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_is] = ACTIONS(1292),
    [anon_sym_BANGis] = ACTIONS(1292),
    [anon_sym_match] = ACTIONS(1292),
    [anon_sym_select] = ACTIONS(1292),
    [anon_sym_lock] = ACTIONS(1292),
    [anon_sym_rlock] = ACTIONS(1292),
    [sym__c_string_opening] = ACTIONS(1290),
    [sym__raw_string_opening] = ACTIONS(1290),
    [sym__string_opening] = ACTIONS(1290),
    [sym__comment] = ACTIONS(3),
  },
  [1395] = {
    [sym_comment] = STATE(1395),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_LT_DASH] = ACTIONS(1284),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_GT_GT_GT] = ACTIONS(1284),
    [anon_sym_AMP_CARET] = ACTIONS(1284),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1284),
    [anon_sym_BANG_EQ] = ACTIONS(1284),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_GT_EQ] = ACTIONS(1284),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_BANGin] = ACTIONS(1284),
    [anon_sym_AMP_AMP] = ACTIONS(1284),
    [anon_sym_PIPE_PIPE] = ACTIONS(1284),
    [anon_sym_as] = ACTIONS(1284),
    [anon_sym_COMMA] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym_none] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_LF] = ACTIONS(1284),
    [anon_sym_CR] = ACTIONS(1284),
    [anon_sym_CR_LF] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_map_LBRACK] = ACTIONS(1284),
    [anon_sym_chan] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_thread] = ACTIONS(1284),
    [sym_int_literal] = ACTIONS(1284),
    [sym_float_literal] = ACTIONS(1284),
    [sym_rune_literal] = ACTIONS(1284),
    [anon_sym_DOT] = ACTIONS(1284),
    [anon_sym_array] = ACTIONS(1284),
    [anon_sym_string] = ACTIONS(1284),
    [anon_sym_char] = ACTIONS(1284),
    [anon_sym_sql] = ACTIONS(1284),
    [anon_sym_mut] = ACTIONS(1284),
    [anon_sym_C] = ACTIONS(1284),
    [anon_sym_JS] = ACTIONS(1284),
    [anon_sym_voidptr] = ACTIONS(1284),
    [anon_sym_byteptr] = ACTIONS(1284),
    [anon_sym_charptr] = ACTIONS(1284),
    [anon_sym_i8] = ACTIONS(1284),
    [anon_sym_i16] = ACTIONS(1284),
    [anon_sym_i32] = ACTIONS(1284),
    [anon_sym_int] = ACTIONS(1284),
    [anon_sym_i64] = ACTIONS(1284),
    [anon_sym_byte] = ACTIONS(1284),
    [anon_sym_u8] = ACTIONS(1284),
    [anon_sym_u16] = ACTIONS(1284),
    [anon_sym_u32] = ACTIONS(1284),
    [anon_sym_u64] = ACTIONS(1284),
    [anon_sym_f32] = ACTIONS(1284),
    [anon_sym_f64] = ACTIONS(1284),
    [anon_sym_bool] = ACTIONS(1284),
    [anon_sym_rune] = ACTIONS(1284),
    [anon_sym_map] = ACTIONS(1284),
    [anon_sym_mapnode] = ACTIONS(1284),
    [anon_sym_size_t] = ACTIONS(1284),
    [anon_sym_usize] = ACTIONS(1284),
    [anon_sym_isize] = ACTIONS(1284),
    [anon_sym_float_literal] = ACTIONS(1284),
    [anon_sym_int_literal] = ACTIONS(1284),
    [anon_sym_IError] = ACTIONS(1284),
    [sym_type_placeholder] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [sym_type_identifier] = ACTIONS(1284),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_fn] = ACTIONS(1284),
    [anon_sym_DOLLARif] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_is] = ACTIONS(1284),
    [anon_sym_BANGis] = ACTIONS(1284),
    [anon_sym_match] = ACTIONS(1284),
    [anon_sym_select] = ACTIONS(1284),
    [anon_sym_lock] = ACTIONS(1284),
    [anon_sym_rlock] = ACTIONS(1284),
    [sym__c_string_opening] = ACTIONS(1282),
    [sym__raw_string_opening] = ACTIONS(1282),
    [sym__string_opening] = ACTIONS(1282),
    [sym__comment] = ACTIONS(3),
  },
  [1396] = {
    [sym_comment] = STATE(1396),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_LT_DASH] = ACTIONS(1288),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_GT_GT_GT] = ACTIONS(1288),
    [anon_sym_AMP_CARET] = ACTIONS(1288),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1288),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_BANGin] = ACTIONS(1288),
    [anon_sym_AMP_AMP] = ACTIONS(1288),
    [anon_sym_PIPE_PIPE] = ACTIONS(1288),
    [anon_sym_as] = ACTIONS(1288),
    [anon_sym_COMMA] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym_none] = ACTIONS(1288),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_LF] = ACTIONS(1288),
    [anon_sym_CR] = ACTIONS(1288),
    [anon_sym_CR_LF] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_map_LBRACK] = ACTIONS(1288),
    [anon_sym_chan] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_thread] = ACTIONS(1288),
    [sym_int_literal] = ACTIONS(1288),
    [sym_float_literal] = ACTIONS(1288),
    [sym_rune_literal] = ACTIONS(1288),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_array] = ACTIONS(1288),
    [anon_sym_string] = ACTIONS(1288),
    [anon_sym_char] = ACTIONS(1288),
    [anon_sym_sql] = ACTIONS(1288),
    [anon_sym_mut] = ACTIONS(1288),
    [anon_sym_C] = ACTIONS(1288),
    [anon_sym_JS] = ACTIONS(1288),
    [anon_sym_voidptr] = ACTIONS(1288),
    [anon_sym_byteptr] = ACTIONS(1288),
    [anon_sym_charptr] = ACTIONS(1288),
    [anon_sym_i8] = ACTIONS(1288),
    [anon_sym_i16] = ACTIONS(1288),
    [anon_sym_i32] = ACTIONS(1288),
    [anon_sym_int] = ACTIONS(1288),
    [anon_sym_i64] = ACTIONS(1288),
    [anon_sym_byte] = ACTIONS(1288),
    [anon_sym_u8] = ACTIONS(1288),
    [anon_sym_u16] = ACTIONS(1288),
    [anon_sym_u32] = ACTIONS(1288),
    [anon_sym_u64] = ACTIONS(1288),
    [anon_sym_f32] = ACTIONS(1288),
    [anon_sym_f64] = ACTIONS(1288),
    [anon_sym_bool] = ACTIONS(1288),
    [anon_sym_rune] = ACTIONS(1288),
    [anon_sym_map] = ACTIONS(1288),
    [anon_sym_mapnode] = ACTIONS(1288),
    [anon_sym_size_t] = ACTIONS(1288),
    [anon_sym_usize] = ACTIONS(1288),
    [anon_sym_isize] = ACTIONS(1288),
    [anon_sym_float_literal] = ACTIONS(1288),
    [anon_sym_int_literal] = ACTIONS(1288),
    [anon_sym_IError] = ACTIONS(1288),
    [sym_type_placeholder] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [sym_type_identifier] = ACTIONS(1288),
    [anon_sym_unsafe] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1288),
    [anon_sym_DOLLARif] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_is] = ACTIONS(1288),
    [anon_sym_BANGis] = ACTIONS(1288),
    [anon_sym_match] = ACTIONS(1288),
    [anon_sym_select] = ACTIONS(1288),
    [anon_sym_lock] = ACTIONS(1288),
    [anon_sym_rlock] = ACTIONS(1288),
    [sym__c_string_opening] = ACTIONS(1286),
    [sym__raw_string_opening] = ACTIONS(1286),
    [sym__string_opening] = ACTIONS(1286),
    [sym__comment] = ACTIONS(3),
  },
  [1397] = {
    [sym_comment] = STATE(1397),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_map_LBRACK] = ACTIONS(744),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(744),
    [sym_rune_literal] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym_DOLLARif] = ACTIONS(744),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1398] = {
    [sym_comment] = STATE(1398),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_LT_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1428),
    [anon_sym_LT_LT] = ACTIONS(1428),
    [anon_sym_GT_GT] = ACTIONS(1428),
    [anon_sym_GT_GT_GT] = ACTIONS(1428),
    [anon_sym_AMP_CARET] = ACTIONS(1428),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_EQ_EQ] = ACTIONS(1428),
    [anon_sym_BANG_EQ] = ACTIONS(1428),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1428),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_BANGin] = ACTIONS(1428),
    [anon_sym_AMP_AMP] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1428),
    [anon_sym_as] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [sym_none] = ACTIONS(1428),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_LF] = ACTIONS(1428),
    [anon_sym_CR] = ACTIONS(1428),
    [anon_sym_CR_LF] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_map_LBRACK] = ACTIONS(1428),
    [anon_sym_chan] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_thread] = ACTIONS(1428),
    [sym_int_literal] = ACTIONS(1428),
    [sym_float_literal] = ACTIONS(1428),
    [sym_rune_literal] = ACTIONS(1428),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_array] = ACTIONS(1428),
    [anon_sym_string] = ACTIONS(1428),
    [anon_sym_char] = ACTIONS(1428),
    [anon_sym_sql] = ACTIONS(1428),
    [anon_sym_mut] = ACTIONS(1428),
    [anon_sym_C] = ACTIONS(1428),
    [anon_sym_JS] = ACTIONS(1428),
    [anon_sym_voidptr] = ACTIONS(1428),
    [anon_sym_byteptr] = ACTIONS(1428),
    [anon_sym_charptr] = ACTIONS(1428),
    [anon_sym_i8] = ACTIONS(1428),
    [anon_sym_i16] = ACTIONS(1428),
    [anon_sym_i32] = ACTIONS(1428),
    [anon_sym_int] = ACTIONS(1428),
    [anon_sym_i64] = ACTIONS(1428),
    [anon_sym_byte] = ACTIONS(1428),
    [anon_sym_u8] = ACTIONS(1428),
    [anon_sym_u16] = ACTIONS(1428),
    [anon_sym_u32] = ACTIONS(1428),
    [anon_sym_u64] = ACTIONS(1428),
    [anon_sym_f32] = ACTIONS(1428),
    [anon_sym_f64] = ACTIONS(1428),
    [anon_sym_bool] = ACTIONS(1428),
    [anon_sym_rune] = ACTIONS(1428),
    [anon_sym_map] = ACTIONS(1428),
    [anon_sym_mapnode] = ACTIONS(1428),
    [anon_sym_size_t] = ACTIONS(1428),
    [anon_sym_usize] = ACTIONS(1428),
    [anon_sym_isize] = ACTIONS(1428),
    [anon_sym_float_literal] = ACTIONS(1428),
    [anon_sym_int_literal] = ACTIONS(1428),
    [anon_sym_IError] = ACTIONS(1428),
    [sym_type_placeholder] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [sym_type_identifier] = ACTIONS(1428),
    [anon_sym_unsafe] = ACTIONS(1428),
    [anon_sym_fn] = ACTIONS(1428),
    [anon_sym_DOLLARif] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_is] = ACTIONS(1428),
    [anon_sym_BANGis] = ACTIONS(1428),
    [anon_sym_match] = ACTIONS(1428),
    [anon_sym_select] = ACTIONS(1428),
    [anon_sym_lock] = ACTIONS(1428),
    [anon_sym_rlock] = ACTIONS(1428),
    [sym__c_string_opening] = ACTIONS(1426),
    [sym__raw_string_opening] = ACTIONS(1426),
    [sym__string_opening] = ACTIONS(1426),
    [sym__comment] = ACTIONS(3),
  },
  [1399] = {
    [sym_comment] = STATE(1399),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_LT_DASH] = ACTIONS(1296),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PERCENT] = ACTIONS(1296),
    [anon_sym_LT_LT] = ACTIONS(1296),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1296),
    [anon_sym_AMP_CARET] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1296),
    [anon_sym_BANG_EQ] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_LT_EQ] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_GT_EQ] = ACTIONS(1296),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_BANGin] = ACTIONS(1296),
    [anon_sym_AMP_AMP] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1296),
    [anon_sym_as] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [sym_none] = ACTIONS(1296),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_LF] = ACTIONS(1296),
    [anon_sym_CR] = ACTIONS(1296),
    [anon_sym_CR_LF] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_map_LBRACK] = ACTIONS(1296),
    [anon_sym_chan] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_thread] = ACTIONS(1296),
    [sym_int_literal] = ACTIONS(1296),
    [sym_float_literal] = ACTIONS(1296),
    [sym_rune_literal] = ACTIONS(1296),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_array] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_char] = ACTIONS(1296),
    [anon_sym_sql] = ACTIONS(1296),
    [anon_sym_mut] = ACTIONS(1296),
    [anon_sym_C] = ACTIONS(1296),
    [anon_sym_JS] = ACTIONS(1296),
    [anon_sym_voidptr] = ACTIONS(1296),
    [anon_sym_byteptr] = ACTIONS(1296),
    [anon_sym_charptr] = ACTIONS(1296),
    [anon_sym_i8] = ACTIONS(1296),
    [anon_sym_i16] = ACTIONS(1296),
    [anon_sym_i32] = ACTIONS(1296),
    [anon_sym_int] = ACTIONS(1296),
    [anon_sym_i64] = ACTIONS(1296),
    [anon_sym_byte] = ACTIONS(1296),
    [anon_sym_u8] = ACTIONS(1296),
    [anon_sym_u16] = ACTIONS(1296),
    [anon_sym_u32] = ACTIONS(1296),
    [anon_sym_u64] = ACTIONS(1296),
    [anon_sym_f32] = ACTIONS(1296),
    [anon_sym_f64] = ACTIONS(1296),
    [anon_sym_bool] = ACTIONS(1296),
    [anon_sym_rune] = ACTIONS(1296),
    [anon_sym_map] = ACTIONS(1296),
    [anon_sym_mapnode] = ACTIONS(1296),
    [anon_sym_size_t] = ACTIONS(1296),
    [anon_sym_usize] = ACTIONS(1296),
    [anon_sym_isize] = ACTIONS(1296),
    [anon_sym_float_literal] = ACTIONS(1296),
    [anon_sym_int_literal] = ACTIONS(1296),
    [anon_sym_IError] = ACTIONS(1296),
    [sym_type_placeholder] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [sym_type_identifier] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1296),
    [anon_sym_fn] = ACTIONS(1296),
    [anon_sym_DOLLARif] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_is] = ACTIONS(1296),
    [anon_sym_BANGis] = ACTIONS(1296),
    [anon_sym_match] = ACTIONS(1296),
    [anon_sym_select] = ACTIONS(1296),
    [anon_sym_lock] = ACTIONS(1296),
    [anon_sym_rlock] = ACTIONS(1296),
    [sym__c_string_opening] = ACTIONS(1294),
    [sym__raw_string_opening] = ACTIONS(1294),
    [sym__string_opening] = ACTIONS(1294),
    [sym__comment] = ACTIONS(3),
  },
  [1400] = {
    [sym_comment] = STATE(1400),
    [sym_identifier] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_CARET] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_LT_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(1318),
    [anon_sym_PERCENT] = ACTIONS(1318),
    [anon_sym_LT_LT] = ACTIONS(1318),
    [anon_sym_GT_GT] = ACTIONS(1318),
    [anon_sym_GT_GT_GT] = ACTIONS(1318),
    [anon_sym_AMP_CARET] = ACTIONS(1318),
    [anon_sym_PIPE] = ACTIONS(1318),
    [anon_sym_EQ_EQ] = ACTIONS(1318),
    [anon_sym_BANG_EQ] = ACTIONS(1318),
    [anon_sym_LT] = ACTIONS(1318),
    [anon_sym_LT_EQ] = ACTIONS(1318),
    [anon_sym_GT] = ACTIONS(1318),
    [anon_sym_GT_EQ] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1318),
    [anon_sym_BANGin] = ACTIONS(1318),
    [anon_sym_AMP_AMP] = ACTIONS(1318),
    [anon_sym_PIPE_PIPE] = ACTIONS(1318),
    [anon_sym_as] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [sym_none] = ACTIONS(1318),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_LF] = ACTIONS(1318),
    [anon_sym_CR] = ACTIONS(1318),
    [anon_sym_CR_LF] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_map_LBRACK] = ACTIONS(1318),
    [anon_sym_chan] = ACTIONS(1318),
    [anon_sym_shared] = ACTIONS(1318),
    [anon_sym_thread] = ACTIONS(1318),
    [sym_int_literal] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1318),
    [sym_rune_literal] = ACTIONS(1318),
    [anon_sym_DOT] = ACTIONS(1318),
    [anon_sym_array] = ACTIONS(1318),
    [anon_sym_string] = ACTIONS(1318),
    [anon_sym_char] = ACTIONS(1318),
    [anon_sym_sql] = ACTIONS(1318),
    [anon_sym_mut] = ACTIONS(1318),
    [anon_sym_C] = ACTIONS(1318),
    [anon_sym_JS] = ACTIONS(1318),
    [anon_sym_voidptr] = ACTIONS(1318),
    [anon_sym_byteptr] = ACTIONS(1318),
    [anon_sym_charptr] = ACTIONS(1318),
    [anon_sym_i8] = ACTIONS(1318),
    [anon_sym_i16] = ACTIONS(1318),
    [anon_sym_i32] = ACTIONS(1318),
    [anon_sym_int] = ACTIONS(1318),
    [anon_sym_i64] = ACTIONS(1318),
    [anon_sym_byte] = ACTIONS(1318),
    [anon_sym_u8] = ACTIONS(1318),
    [anon_sym_u16] = ACTIONS(1318),
    [anon_sym_u32] = ACTIONS(1318),
    [anon_sym_u64] = ACTIONS(1318),
    [anon_sym_f32] = ACTIONS(1318),
    [anon_sym_f64] = ACTIONS(1318),
    [anon_sym_bool] = ACTIONS(1318),
    [anon_sym_rune] = ACTIONS(1318),
    [anon_sym_map] = ACTIONS(1318),
    [anon_sym_mapnode] = ACTIONS(1318),
    [anon_sym_size_t] = ACTIONS(1318),
    [anon_sym_usize] = ACTIONS(1318),
    [anon_sym_isize] = ACTIONS(1318),
    [anon_sym_float_literal] = ACTIONS(1318),
    [anon_sym_int_literal] = ACTIONS(1318),
    [anon_sym_IError] = ACTIONS(1318),
    [sym_type_placeholder] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [sym_type_identifier] = ACTIONS(1318),
    [anon_sym_unsafe] = ACTIONS(1318),
    [anon_sym_fn] = ACTIONS(1318),
    [anon_sym_DOLLARif] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_is] = ACTIONS(1318),
    [anon_sym_BANGis] = ACTIONS(1318),
    [anon_sym_match] = ACTIONS(1318),
    [anon_sym_select] = ACTIONS(1318),
    [anon_sym_lock] = ACTIONS(1318),
    [anon_sym_rlock] = ACTIONS(1318),
    [sym__c_string_opening] = ACTIONS(1316),
    [sym__raw_string_opening] = ACTIONS(1316),
    [sym__string_opening] = ACTIONS(1316),
    [sym__comment] = ACTIONS(3),
  },
  [1401] = {
    [sym_comment] = STATE(1401),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_LT_DASH] = ACTIONS(1404),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_GT_GT_GT] = ACTIONS(1404),
    [anon_sym_AMP_CARET] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_BANGin] = ACTIONS(1404),
    [anon_sym_AMP_AMP] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1404),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [sym_none] = ACTIONS(1404),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_LF] = ACTIONS(1404),
    [anon_sym_CR] = ACTIONS(1404),
    [anon_sym_CR_LF] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_map_LBRACK] = ACTIONS(1404),
    [anon_sym_chan] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_thread] = ACTIONS(1404),
    [sym_int_literal] = ACTIONS(1404),
    [sym_float_literal] = ACTIONS(1404),
    [sym_rune_literal] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_array] = ACTIONS(1404),
    [anon_sym_string] = ACTIONS(1404),
    [anon_sym_char] = ACTIONS(1404),
    [anon_sym_sql] = ACTIONS(1404),
    [anon_sym_mut] = ACTIONS(1404),
    [anon_sym_C] = ACTIONS(1404),
    [anon_sym_JS] = ACTIONS(1404),
    [anon_sym_voidptr] = ACTIONS(1404),
    [anon_sym_byteptr] = ACTIONS(1404),
    [anon_sym_charptr] = ACTIONS(1404),
    [anon_sym_i8] = ACTIONS(1404),
    [anon_sym_i16] = ACTIONS(1404),
    [anon_sym_i32] = ACTIONS(1404),
    [anon_sym_int] = ACTIONS(1404),
    [anon_sym_i64] = ACTIONS(1404),
    [anon_sym_byte] = ACTIONS(1404),
    [anon_sym_u8] = ACTIONS(1404),
    [anon_sym_u16] = ACTIONS(1404),
    [anon_sym_u32] = ACTIONS(1404),
    [anon_sym_u64] = ACTIONS(1404),
    [anon_sym_f32] = ACTIONS(1404),
    [anon_sym_f64] = ACTIONS(1404),
    [anon_sym_bool] = ACTIONS(1404),
    [anon_sym_rune] = ACTIONS(1404),
    [anon_sym_map] = ACTIONS(1404),
    [anon_sym_mapnode] = ACTIONS(1404),
    [anon_sym_size_t] = ACTIONS(1404),
    [anon_sym_usize] = ACTIONS(1404),
    [anon_sym_isize] = ACTIONS(1404),
    [anon_sym_float_literal] = ACTIONS(1404),
    [anon_sym_int_literal] = ACTIONS(1404),
    [anon_sym_IError] = ACTIONS(1404),
    [sym_type_placeholder] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [sym_type_identifier] = ACTIONS(1404),
    [anon_sym_unsafe] = ACTIONS(1404),
    [anon_sym_fn] = ACTIONS(1404),
    [anon_sym_DOLLARif] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_BANGis] = ACTIONS(1404),
    [anon_sym_match] = ACTIONS(1404),
    [anon_sym_select] = ACTIONS(1404),
    [anon_sym_lock] = ACTIONS(1404),
    [anon_sym_rlock] = ACTIONS(1404),
    [sym__c_string_opening] = ACTIONS(1402),
    [sym__raw_string_opening] = ACTIONS(1402),
    [sym__string_opening] = ACTIONS(1402),
    [sym__comment] = ACTIONS(3),
  },
  [1402] = {
    [sym_comment] = STATE(1402),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_CARET] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_LT_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(1272),
    [anon_sym_PERCENT] = ACTIONS(1272),
    [anon_sym_LT_LT] = ACTIONS(1272),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_GT_GT_GT] = ACTIONS(1272),
    [anon_sym_AMP_CARET] = ACTIONS(1272),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1272),
    [anon_sym_BANG_EQ] = ACTIONS(1272),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1272),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_GT_EQ] = ACTIONS(1272),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_BANGin] = ACTIONS(1272),
    [anon_sym_AMP_AMP] = ACTIONS(1272),
    [anon_sym_PIPE_PIPE] = ACTIONS(1272),
    [anon_sym_as] = ACTIONS(1272),
    [anon_sym_COMMA] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym_none] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_LF] = ACTIONS(1272),
    [anon_sym_CR] = ACTIONS(1272),
    [anon_sym_CR_LF] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_map_LBRACK] = ACTIONS(1272),
    [anon_sym_chan] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_thread] = ACTIONS(1272),
    [sym_int_literal] = ACTIONS(1272),
    [sym_float_literal] = ACTIONS(1272),
    [sym_rune_literal] = ACTIONS(1272),
    [anon_sym_DOT] = ACTIONS(1272),
    [anon_sym_array] = ACTIONS(1272),
    [anon_sym_string] = ACTIONS(1272),
    [anon_sym_char] = ACTIONS(1272),
    [anon_sym_sql] = ACTIONS(1272),
    [anon_sym_mut] = ACTIONS(1272),
    [anon_sym_C] = ACTIONS(1272),
    [anon_sym_JS] = ACTIONS(1272),
    [anon_sym_voidptr] = ACTIONS(1272),
    [anon_sym_byteptr] = ACTIONS(1272),
    [anon_sym_charptr] = ACTIONS(1272),
    [anon_sym_i8] = ACTIONS(1272),
    [anon_sym_i16] = ACTIONS(1272),
    [anon_sym_i32] = ACTIONS(1272),
    [anon_sym_int] = ACTIONS(1272),
    [anon_sym_i64] = ACTIONS(1272),
    [anon_sym_byte] = ACTIONS(1272),
    [anon_sym_u8] = ACTIONS(1272),
    [anon_sym_u16] = ACTIONS(1272),
    [anon_sym_u32] = ACTIONS(1272),
    [anon_sym_u64] = ACTIONS(1272),
    [anon_sym_f32] = ACTIONS(1272),
    [anon_sym_f64] = ACTIONS(1272),
    [anon_sym_bool] = ACTIONS(1272),
    [anon_sym_rune] = ACTIONS(1272),
    [anon_sym_map] = ACTIONS(1272),
    [anon_sym_mapnode] = ACTIONS(1272),
    [anon_sym_size_t] = ACTIONS(1272),
    [anon_sym_usize] = ACTIONS(1272),
    [anon_sym_isize] = ACTIONS(1272),
    [anon_sym_float_literal] = ACTIONS(1272),
    [anon_sym_int_literal] = ACTIONS(1272),
    [anon_sym_IError] = ACTIONS(1272),
    [sym_type_placeholder] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [sym_type_identifier] = ACTIONS(1272),
    [anon_sym_unsafe] = ACTIONS(1272),
    [anon_sym_fn] = ACTIONS(1272),
    [anon_sym_DOLLARif] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_is] = ACTIONS(1272),
    [anon_sym_BANGis] = ACTIONS(1272),
    [anon_sym_match] = ACTIONS(1272),
    [anon_sym_select] = ACTIONS(1272),
    [anon_sym_lock] = ACTIONS(1272),
    [anon_sym_rlock] = ACTIONS(1272),
    [sym__c_string_opening] = ACTIONS(1270),
    [sym__raw_string_opening] = ACTIONS(1270),
    [sym__string_opening] = ACTIONS(1270),
    [sym__comment] = ACTIONS(3),
  },
  [1403] = {
    [sym_comment] = STATE(1403),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_AMP_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_LF] = ACTIONS(852),
    [anon_sym_CR] = ACTIONS(852),
    [anon_sym_CR_LF] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_map_LBRACK] = ACTIONS(852),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(852),
    [sym_rune_literal] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(852),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1404] = {
    [sym_comment] = STATE(1404),
    [sym_identifier] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_LT_DASH] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_GT_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_BANGin] = ACTIONS(1354),
    [anon_sym_AMP_AMP] = ACTIONS(1354),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_as] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_none] = ACTIONS(1354),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_LF] = ACTIONS(1354),
    [anon_sym_CR] = ACTIONS(1354),
    [anon_sym_CR_LF] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_map_LBRACK] = ACTIONS(1354),
    [anon_sym_chan] = ACTIONS(1354),
    [anon_sym_shared] = ACTIONS(1354),
    [anon_sym_thread] = ACTIONS(1354),
    [sym_int_literal] = ACTIONS(1354),
    [sym_float_literal] = ACTIONS(1354),
    [sym_rune_literal] = ACTIONS(1354),
    [anon_sym_DOT] = ACTIONS(1354),
    [anon_sym_array] = ACTIONS(1354),
    [anon_sym_string] = ACTIONS(1354),
    [anon_sym_char] = ACTIONS(1354),
    [anon_sym_sql] = ACTIONS(1354),
    [anon_sym_mut] = ACTIONS(1354),
    [anon_sym_C] = ACTIONS(1354),
    [anon_sym_JS] = ACTIONS(1354),
    [anon_sym_voidptr] = ACTIONS(1354),
    [anon_sym_byteptr] = ACTIONS(1354),
    [anon_sym_charptr] = ACTIONS(1354),
    [anon_sym_i8] = ACTIONS(1354),
    [anon_sym_i16] = ACTIONS(1354),
    [anon_sym_i32] = ACTIONS(1354),
    [anon_sym_int] = ACTIONS(1354),
    [anon_sym_i64] = ACTIONS(1354),
    [anon_sym_byte] = ACTIONS(1354),
    [anon_sym_u8] = ACTIONS(1354),
    [anon_sym_u16] = ACTIONS(1354),
    [anon_sym_u32] = ACTIONS(1354),
    [anon_sym_u64] = ACTIONS(1354),
    [anon_sym_f32] = ACTIONS(1354),
    [anon_sym_f64] = ACTIONS(1354),
    [anon_sym_bool] = ACTIONS(1354),
    [anon_sym_rune] = ACTIONS(1354),
    [anon_sym_map] = ACTIONS(1354),
    [anon_sym_mapnode] = ACTIONS(1354),
    [anon_sym_size_t] = ACTIONS(1354),
    [anon_sym_usize] = ACTIONS(1354),
    [anon_sym_isize] = ACTIONS(1354),
    [anon_sym_float_literal] = ACTIONS(1354),
    [anon_sym_int_literal] = ACTIONS(1354),
    [anon_sym_IError] = ACTIONS(1354),
    [sym_type_placeholder] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [sym_type_identifier] = ACTIONS(1354),
    [anon_sym_unsafe] = ACTIONS(1354),
    [anon_sym_fn] = ACTIONS(1354),
    [anon_sym_DOLLARif] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_is] = ACTIONS(1354),
    [anon_sym_BANGis] = ACTIONS(1354),
    [anon_sym_match] = ACTIONS(1354),
    [anon_sym_select] = ACTIONS(1354),
    [anon_sym_lock] = ACTIONS(1354),
    [anon_sym_rlock] = ACTIONS(1354),
    [sym__c_string_opening] = ACTIONS(1352),
    [sym__raw_string_opening] = ACTIONS(1352),
    [sym__string_opening] = ACTIONS(1352),
    [sym__comment] = ACTIONS(3),
  },
  [1405] = {
    [sym_comment] = STATE(1405),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_CARET] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_LT_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1358),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_GT_GT_GT] = ACTIONS(1358),
    [anon_sym_AMP_CARET] = ACTIONS(1358),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1358),
    [anon_sym_BANG_EQ] = ACTIONS(1358),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_EQ] = ACTIONS(1358),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1358),
    [anon_sym_in] = ACTIONS(1358),
    [anon_sym_BANGin] = ACTIONS(1358),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1358),
    [anon_sym_as] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [sym_none] = ACTIONS(1358),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_LF] = ACTIONS(1358),
    [anon_sym_CR] = ACTIONS(1358),
    [anon_sym_CR_LF] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_map_LBRACK] = ACTIONS(1358),
    [anon_sym_chan] = ACTIONS(1358),
    [anon_sym_shared] = ACTIONS(1358),
    [anon_sym_thread] = ACTIONS(1358),
    [sym_int_literal] = ACTIONS(1358),
    [sym_float_literal] = ACTIONS(1358),
    [sym_rune_literal] = ACTIONS(1358),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_array] = ACTIONS(1358),
    [anon_sym_string] = ACTIONS(1358),
    [anon_sym_char] = ACTIONS(1358),
    [anon_sym_sql] = ACTIONS(1358),
    [anon_sym_mut] = ACTIONS(1358),
    [anon_sym_C] = ACTIONS(1358),
    [anon_sym_JS] = ACTIONS(1358),
    [anon_sym_voidptr] = ACTIONS(1358),
    [anon_sym_byteptr] = ACTIONS(1358),
    [anon_sym_charptr] = ACTIONS(1358),
    [anon_sym_i8] = ACTIONS(1358),
    [anon_sym_i16] = ACTIONS(1358),
    [anon_sym_i32] = ACTIONS(1358),
    [anon_sym_int] = ACTIONS(1358),
    [anon_sym_i64] = ACTIONS(1358),
    [anon_sym_byte] = ACTIONS(1358),
    [anon_sym_u8] = ACTIONS(1358),
    [anon_sym_u16] = ACTIONS(1358),
    [anon_sym_u32] = ACTIONS(1358),
    [anon_sym_u64] = ACTIONS(1358),
    [anon_sym_f32] = ACTIONS(1358),
    [anon_sym_f64] = ACTIONS(1358),
    [anon_sym_bool] = ACTIONS(1358),
    [anon_sym_rune] = ACTIONS(1358),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_mapnode] = ACTIONS(1358),
    [anon_sym_size_t] = ACTIONS(1358),
    [anon_sym_usize] = ACTIONS(1358),
    [anon_sym_isize] = ACTIONS(1358),
    [anon_sym_float_literal] = ACTIONS(1358),
    [anon_sym_int_literal] = ACTIONS(1358),
    [anon_sym_IError] = ACTIONS(1358),
    [sym_type_placeholder] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [sym_type_identifier] = ACTIONS(1358),
    [anon_sym_unsafe] = ACTIONS(1358),
    [anon_sym_fn] = ACTIONS(1358),
    [anon_sym_DOLLARif] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_is] = ACTIONS(1358),
    [anon_sym_BANGis] = ACTIONS(1358),
    [anon_sym_match] = ACTIONS(1358),
    [anon_sym_select] = ACTIONS(1358),
    [anon_sym_lock] = ACTIONS(1358),
    [anon_sym_rlock] = ACTIONS(1358),
    [sym__c_string_opening] = ACTIONS(1356),
    [sym__raw_string_opening] = ACTIONS(1356),
    [sym__string_opening] = ACTIONS(1356),
    [sym__comment] = ACTIONS(3),
  },
  [1406] = {
    [sym_comment] = STATE(1406),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_CARET] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_LT_DASH] = ACTIONS(1350),
    [anon_sym_SLASH] = ACTIONS(1350),
    [anon_sym_PERCENT] = ACTIONS(1350),
    [anon_sym_LT_LT] = ACTIONS(1350),
    [anon_sym_GT_GT] = ACTIONS(1350),
    [anon_sym_GT_GT_GT] = ACTIONS(1350),
    [anon_sym_AMP_CARET] = ACTIONS(1350),
    [anon_sym_PIPE] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1350),
    [anon_sym_BANG_EQ] = ACTIONS(1350),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1350),
    [anon_sym_GT] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1350),
    [anon_sym_BANGin] = ACTIONS(1350),
    [anon_sym_AMP_AMP] = ACTIONS(1350),
    [anon_sym_PIPE_PIPE] = ACTIONS(1350),
    [anon_sym_as] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [sym_none] = ACTIONS(1350),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_LF] = ACTIONS(1350),
    [anon_sym_CR] = ACTIONS(1350),
    [anon_sym_CR_LF] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_map_LBRACK] = ACTIONS(1350),
    [anon_sym_chan] = ACTIONS(1350),
    [anon_sym_shared] = ACTIONS(1350),
    [anon_sym_thread] = ACTIONS(1350),
    [sym_int_literal] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1350),
    [sym_rune_literal] = ACTIONS(1350),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_array] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_char] = ACTIONS(1350),
    [anon_sym_sql] = ACTIONS(1350),
    [anon_sym_mut] = ACTIONS(1350),
    [anon_sym_C] = ACTIONS(1350),
    [anon_sym_JS] = ACTIONS(1350),
    [anon_sym_voidptr] = ACTIONS(1350),
    [anon_sym_byteptr] = ACTIONS(1350),
    [anon_sym_charptr] = ACTIONS(1350),
    [anon_sym_i8] = ACTIONS(1350),
    [anon_sym_i16] = ACTIONS(1350),
    [anon_sym_i32] = ACTIONS(1350),
    [anon_sym_int] = ACTIONS(1350),
    [anon_sym_i64] = ACTIONS(1350),
    [anon_sym_byte] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1350),
    [anon_sym_u16] = ACTIONS(1350),
    [anon_sym_u32] = ACTIONS(1350),
    [anon_sym_u64] = ACTIONS(1350),
    [anon_sym_f32] = ACTIONS(1350),
    [anon_sym_f64] = ACTIONS(1350),
    [anon_sym_bool] = ACTIONS(1350),
    [anon_sym_rune] = ACTIONS(1350),
    [anon_sym_map] = ACTIONS(1350),
    [anon_sym_mapnode] = ACTIONS(1350),
    [anon_sym_size_t] = ACTIONS(1350),
    [anon_sym_usize] = ACTIONS(1350),
    [anon_sym_isize] = ACTIONS(1350),
    [anon_sym_float_literal] = ACTIONS(1350),
    [anon_sym_int_literal] = ACTIONS(1350),
    [anon_sym_IError] = ACTIONS(1350),
    [sym_type_placeholder] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [sym_type_identifier] = ACTIONS(1350),
    [anon_sym_unsafe] = ACTIONS(1350),
    [anon_sym_fn] = ACTIONS(1350),
    [anon_sym_DOLLARif] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_is] = ACTIONS(1350),
    [anon_sym_BANGis] = ACTIONS(1350),
    [anon_sym_match] = ACTIONS(1350),
    [anon_sym_select] = ACTIONS(1350),
    [anon_sym_lock] = ACTIONS(1350),
    [anon_sym_rlock] = ACTIONS(1350),
    [sym__c_string_opening] = ACTIONS(1348),
    [sym__raw_string_opening] = ACTIONS(1348),
    [sym__string_opening] = ACTIONS(1348),
    [sym__comment] = ACTIONS(3),
  },
  [1407] = {
    [sym_comment] = STATE(1407),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_CARET] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_LT_DASH] = ACTIONS(1388),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1388),
    [anon_sym_LT_LT] = ACTIONS(1388),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_GT_GT_GT] = ACTIONS(1388),
    [anon_sym_AMP_CARET] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1388),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_BANGin] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1388),
    [anon_sym_as] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [sym_none] = ACTIONS(1388),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_LF] = ACTIONS(1388),
    [anon_sym_CR] = ACTIONS(1388),
    [anon_sym_CR_LF] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_map_LBRACK] = ACTIONS(1388),
    [anon_sym_chan] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_thread] = ACTIONS(1388),
    [sym_int_literal] = ACTIONS(1388),
    [sym_float_literal] = ACTIONS(1388),
    [sym_rune_literal] = ACTIONS(1388),
    [anon_sym_DOT] = ACTIONS(1388),
    [anon_sym_array] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_char] = ACTIONS(1388),
    [anon_sym_sql] = ACTIONS(1388),
    [anon_sym_mut] = ACTIONS(1388),
    [anon_sym_C] = ACTIONS(1388),
    [anon_sym_JS] = ACTIONS(1388),
    [anon_sym_voidptr] = ACTIONS(1388),
    [anon_sym_byteptr] = ACTIONS(1388),
    [anon_sym_charptr] = ACTIONS(1388),
    [anon_sym_i8] = ACTIONS(1388),
    [anon_sym_i16] = ACTIONS(1388),
    [anon_sym_i32] = ACTIONS(1388),
    [anon_sym_int] = ACTIONS(1388),
    [anon_sym_i64] = ACTIONS(1388),
    [anon_sym_byte] = ACTIONS(1388),
    [anon_sym_u8] = ACTIONS(1388),
    [anon_sym_u16] = ACTIONS(1388),
    [anon_sym_u32] = ACTIONS(1388),
    [anon_sym_u64] = ACTIONS(1388),
    [anon_sym_f32] = ACTIONS(1388),
    [anon_sym_f64] = ACTIONS(1388),
    [anon_sym_bool] = ACTIONS(1388),
    [anon_sym_rune] = ACTIONS(1388),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_mapnode] = ACTIONS(1388),
    [anon_sym_size_t] = ACTIONS(1388),
    [anon_sym_usize] = ACTIONS(1388),
    [anon_sym_isize] = ACTIONS(1388),
    [anon_sym_float_literal] = ACTIONS(1388),
    [anon_sym_int_literal] = ACTIONS(1388),
    [anon_sym_IError] = ACTIONS(1388),
    [sym_type_placeholder] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [sym_type_identifier] = ACTIONS(1388),
    [anon_sym_unsafe] = ACTIONS(1388),
    [anon_sym_fn] = ACTIONS(1388),
    [anon_sym_DOLLARif] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_is] = ACTIONS(1388),
    [anon_sym_BANGis] = ACTIONS(1388),
    [anon_sym_match] = ACTIONS(1388),
    [anon_sym_select] = ACTIONS(1388),
    [anon_sym_lock] = ACTIONS(1388),
    [anon_sym_rlock] = ACTIONS(1388),
    [sym__c_string_opening] = ACTIONS(1386),
    [sym__raw_string_opening] = ACTIONS(1386),
    [sym__string_opening] = ACTIONS(1386),
    [sym__comment] = ACTIONS(3),
  },
  [1408] = {
    [sym_comment] = STATE(1408),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_CARET] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_LT_DASH] = ACTIONS(1280),
    [anon_sym_SLASH] = ACTIONS(1280),
    [anon_sym_PERCENT] = ACTIONS(1280),
    [anon_sym_LT_LT] = ACTIONS(1280),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_GT_GT_GT] = ACTIONS(1280),
    [anon_sym_AMP_CARET] = ACTIONS(1280),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1280),
    [anon_sym_BANG_EQ] = ACTIONS(1280),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1280),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1280),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_BANGin] = ACTIONS(1280),
    [anon_sym_AMP_AMP] = ACTIONS(1280),
    [anon_sym_PIPE_PIPE] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(1280),
    [anon_sym_COMMA] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym_none] = ACTIONS(1280),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_LF] = ACTIONS(1280),
    [anon_sym_CR] = ACTIONS(1280),
    [anon_sym_CR_LF] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_map_LBRACK] = ACTIONS(1280),
    [anon_sym_chan] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_thread] = ACTIONS(1280),
    [sym_int_literal] = ACTIONS(1280),
    [sym_float_literal] = ACTIONS(1280),
    [sym_rune_literal] = ACTIONS(1280),
    [anon_sym_DOT] = ACTIONS(1280),
    [anon_sym_array] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_char] = ACTIONS(1280),
    [anon_sym_sql] = ACTIONS(1280),
    [anon_sym_mut] = ACTIONS(1280),
    [anon_sym_C] = ACTIONS(1280),
    [anon_sym_JS] = ACTIONS(1280),
    [anon_sym_voidptr] = ACTIONS(1280),
    [anon_sym_byteptr] = ACTIONS(1280),
    [anon_sym_charptr] = ACTIONS(1280),
    [anon_sym_i8] = ACTIONS(1280),
    [anon_sym_i16] = ACTIONS(1280),
    [anon_sym_i32] = ACTIONS(1280),
    [anon_sym_int] = ACTIONS(1280),
    [anon_sym_i64] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_u8] = ACTIONS(1280),
    [anon_sym_u16] = ACTIONS(1280),
    [anon_sym_u32] = ACTIONS(1280),
    [anon_sym_u64] = ACTIONS(1280),
    [anon_sym_f32] = ACTIONS(1280),
    [anon_sym_f64] = ACTIONS(1280),
    [anon_sym_bool] = ACTIONS(1280),
    [anon_sym_rune] = ACTIONS(1280),
    [anon_sym_map] = ACTIONS(1280),
    [anon_sym_mapnode] = ACTIONS(1280),
    [anon_sym_size_t] = ACTIONS(1280),
    [anon_sym_usize] = ACTIONS(1280),
    [anon_sym_isize] = ACTIONS(1280),
    [anon_sym_float_literal] = ACTIONS(1280),
    [anon_sym_int_literal] = ACTIONS(1280),
    [anon_sym_IError] = ACTIONS(1280),
    [sym_type_placeholder] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [sym_type_identifier] = ACTIONS(1280),
    [anon_sym_unsafe] = ACTIONS(1280),
    [anon_sym_fn] = ACTIONS(1280),
    [anon_sym_DOLLARif] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_is] = ACTIONS(1280),
    [anon_sym_BANGis] = ACTIONS(1280),
    [anon_sym_match] = ACTIONS(1280),
    [anon_sym_select] = ACTIONS(1280),
    [anon_sym_lock] = ACTIONS(1280),
    [anon_sym_rlock] = ACTIONS(1280),
    [sym__c_string_opening] = ACTIONS(1278),
    [sym__raw_string_opening] = ACTIONS(1278),
    [sym__string_opening] = ACTIONS(1278),
    [sym__comment] = ACTIONS(3),
  },
  [1409] = {
    [sym_comment] = STATE(1409),
    [aux_sym_sum_type_list_repeat1] = STATE(1455),
    [ts_builtin_sym_end] = ACTIONS(3763),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_LPAREN] = ACTIONS(3763),
    [anon_sym_PLUS] = ACTIONS(3763),
    [anon_sym_DASH] = ACTIONS(3763),
    [anon_sym_BANG] = ACTIONS(3763),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_CARET] = ACTIONS(3763),
    [anon_sym_STAR] = ACTIONS(3763),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_LT_DASH] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3767),
    [anon_sym_DOLLAR] = ACTIONS(3765),
    [sym_none] = ACTIONS(3765),
    [sym_true] = ACTIONS(3765),
    [sym_false] = ACTIONS(3765),
    [anon_sym_LBRACE] = ACTIONS(3763),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_map_LBRACK] = ACTIONS(3763),
    [anon_sym_chan] = ACTIONS(3765),
    [anon_sym_shared] = ACTIONS(3765),
    [anon_sym_thread] = ACTIONS(3765),
    [sym_int_literal] = ACTIONS(3765),
    [sym_float_literal] = ACTIONS(3763),
    [sym_rune_literal] = ACTIONS(3763),
    [anon_sym_DOT] = ACTIONS(3765),
    [anon_sym_array] = ACTIONS(3765),
    [anon_sym_string] = ACTIONS(3765),
    [anon_sym_char] = ACTIONS(3765),
    [anon_sym_sql] = ACTIONS(3765),
    [anon_sym_mut] = ACTIONS(3765),
    [anon_sym_C] = ACTIONS(3765),
    [anon_sym_JS] = ACTIONS(3765),
    [anon_sym_voidptr] = ACTIONS(3765),
    [anon_sym_byteptr] = ACTIONS(3765),
    [anon_sym_charptr] = ACTIONS(3765),
    [anon_sym_i8] = ACTIONS(3765),
    [anon_sym_i16] = ACTIONS(3765),
    [anon_sym_i32] = ACTIONS(3765),
    [anon_sym_int] = ACTIONS(3765),
    [anon_sym_i64] = ACTIONS(3765),
    [anon_sym_byte] = ACTIONS(3765),
    [anon_sym_u8] = ACTIONS(3765),
    [anon_sym_u16] = ACTIONS(3765),
    [anon_sym_u32] = ACTIONS(3765),
    [anon_sym_u64] = ACTIONS(3765),
    [anon_sym_f32] = ACTIONS(3765),
    [anon_sym_f64] = ACTIONS(3765),
    [anon_sym_bool] = ACTIONS(3765),
    [anon_sym_rune] = ACTIONS(3765),
    [anon_sym_map] = ACTIONS(3765),
    [anon_sym_mapnode] = ACTIONS(3765),
    [anon_sym_size_t] = ACTIONS(3765),
    [anon_sym_usize] = ACTIONS(3765),
    [anon_sym_isize] = ACTIONS(3765),
    [anon_sym_float_literal] = ACTIONS(3765),
    [anon_sym_int_literal] = ACTIONS(3765),
    [anon_sym_IError] = ACTIONS(3765),
    [sym_type_placeholder] = ACTIONS(3765),
    [anon_sym_AT] = ACTIONS(3765),
    [sym_type_identifier] = ACTIONS(3765),
    [anon_sym_assert] = ACTIONS(3765),
    [anon_sym_defer] = ACTIONS(3765),
    [anon_sym_unsafe] = ACTIONS(3765),
    [anon_sym_pub] = ACTIONS(3765),
    [anon_sym_fn] = ACTIONS(3765),
    [anon_sym___global] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3765),
    [anon_sym_asm] = ACTIONS(3765),
    [anon_sym_break] = ACTIONS(3765),
    [anon_sym_continue] = ACTIONS(3765),
    [anon_sym_return] = ACTIONS(3765),
    [anon_sym_type] = ACTIONS(3765),
    [anon_sym_go] = ACTIONS(3765),
    [anon_sym_spawn] = ACTIONS(3765),
    [anon_sym_goto] = ACTIONS(3765),
    [anon_sym_for] = ACTIONS(3765),
    [anon_sym_DOLLARfor] = ACTIONS(3763),
    [anon_sym_DOLLARif] = ACTIONS(3763),
    [anon_sym_if] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3765),
    [anon_sym_union] = ACTIONS(3765),
    [anon_sym_enum] = ACTIONS(3765),
    [anon_sym_interface] = ACTIONS(3765),
    [anon_sym_POUND] = ACTIONS(3763),
    [anon_sym_module] = ACTIONS(3765),
    [anon_sym_import] = ACTIONS(3765),
    [anon_sym_match] = ACTIONS(3765),
    [anon_sym_select] = ACTIONS(3765),
    [anon_sym_lock] = ACTIONS(3765),
    [anon_sym_rlock] = ACTIONS(3765),
    [sym__automatic_separator] = ACTIONS(3763),
    [sym__c_string_opening] = ACTIONS(3763),
    [sym__raw_string_opening] = ACTIONS(3763),
    [sym__string_opening] = ACTIONS(3763),
    [sym__comment] = ACTIONS(3),
  },
  [1410] = {
    [sym_comment] = STATE(1410),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_LT_DASH] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1622),
    [anon_sym_PERCENT] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_GT_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_EQ_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_in] = ACTIONS(1622),
    [anon_sym_BANGin] = ACTIONS(1622),
    [anon_sym_AMP_AMP] = ACTIONS(1622),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_as] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [sym_none] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_LF] = ACTIONS(1622),
    [anon_sym_CR] = ACTIONS(1622),
    [anon_sym_CR_LF] = ACTIONS(1622),
    [anon_sym_RBRACE] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_map_LBRACK] = ACTIONS(1622),
    [anon_sym_chan] = ACTIONS(1622),
    [anon_sym_shared] = ACTIONS(1622),
    [anon_sym_thread] = ACTIONS(1622),
    [sym_int_literal] = ACTIONS(1622),
    [sym_float_literal] = ACTIONS(1622),
    [sym_rune_literal] = ACTIONS(1622),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_array] = ACTIONS(1622),
    [anon_sym_string] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_sql] = ACTIONS(1622),
    [anon_sym_mut] = ACTIONS(1622),
    [anon_sym_C] = ACTIONS(1622),
    [anon_sym_JS] = ACTIONS(1622),
    [anon_sym_voidptr] = ACTIONS(1622),
    [anon_sym_byteptr] = ACTIONS(1622),
    [anon_sym_charptr] = ACTIONS(1622),
    [anon_sym_i8] = ACTIONS(1622),
    [anon_sym_i16] = ACTIONS(1622),
    [anon_sym_i32] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_i64] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_u8] = ACTIONS(1622),
    [anon_sym_u16] = ACTIONS(1622),
    [anon_sym_u32] = ACTIONS(1622),
    [anon_sym_u64] = ACTIONS(1622),
    [anon_sym_f32] = ACTIONS(1622),
    [anon_sym_f64] = ACTIONS(1622),
    [anon_sym_bool] = ACTIONS(1622),
    [anon_sym_rune] = ACTIONS(1622),
    [anon_sym_map] = ACTIONS(1622),
    [anon_sym_mapnode] = ACTIONS(1622),
    [anon_sym_size_t] = ACTIONS(1622),
    [anon_sym_usize] = ACTIONS(1622),
    [anon_sym_isize] = ACTIONS(1622),
    [anon_sym_float_literal] = ACTIONS(1622),
    [anon_sym_int_literal] = ACTIONS(1622),
    [anon_sym_IError] = ACTIONS(1622),
    [sym_type_placeholder] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [sym_type_identifier] = ACTIONS(1622),
    [anon_sym_unsafe] = ACTIONS(1622),
    [anon_sym_fn] = ACTIONS(1622),
    [anon_sym_DOLLARif] = ACTIONS(1622),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_is] = ACTIONS(1622),
    [anon_sym_BANGis] = ACTIONS(1622),
    [anon_sym_match] = ACTIONS(1622),
    [anon_sym_select] = ACTIONS(1622),
    [anon_sym_lock] = ACTIONS(1622),
    [anon_sym_rlock] = ACTIONS(1622),
    [sym__c_string_opening] = ACTIONS(1620),
    [sym__raw_string_opening] = ACTIONS(1620),
    [sym__string_opening] = ACTIONS(1620),
    [sym__comment] = ACTIONS(3),
  },
  [1411] = {
    [sym_comment] = STATE(1411),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_LT_DASH] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1520),
    [anon_sym_AMP_CARET] = ACTIONS(1520),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1520),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_BANGin] = ACTIONS(1520),
    [anon_sym_AMP_AMP] = ACTIONS(1520),
    [anon_sym_PIPE_PIPE] = ACTIONS(1520),
    [anon_sym_as] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [sym_none] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_LF] = ACTIONS(1520),
    [anon_sym_CR] = ACTIONS(1520),
    [anon_sym_CR_LF] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_map_LBRACK] = ACTIONS(1520),
    [anon_sym_chan] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_thread] = ACTIONS(1520),
    [sym_int_literal] = ACTIONS(1520),
    [sym_float_literal] = ACTIONS(1520),
    [sym_rune_literal] = ACTIONS(1520),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_array] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_char] = ACTIONS(1520),
    [anon_sym_sql] = ACTIONS(1520),
    [anon_sym_mut] = ACTIONS(1520),
    [anon_sym_C] = ACTIONS(1520),
    [anon_sym_JS] = ACTIONS(1520),
    [anon_sym_voidptr] = ACTIONS(1520),
    [anon_sym_byteptr] = ACTIONS(1520),
    [anon_sym_charptr] = ACTIONS(1520),
    [anon_sym_i8] = ACTIONS(1520),
    [anon_sym_i16] = ACTIONS(1520),
    [anon_sym_i32] = ACTIONS(1520),
    [anon_sym_int] = ACTIONS(1520),
    [anon_sym_i64] = ACTIONS(1520),
    [anon_sym_byte] = ACTIONS(1520),
    [anon_sym_u8] = ACTIONS(1520),
    [anon_sym_u16] = ACTIONS(1520),
    [anon_sym_u32] = ACTIONS(1520),
    [anon_sym_u64] = ACTIONS(1520),
    [anon_sym_f32] = ACTIONS(1520),
    [anon_sym_f64] = ACTIONS(1520),
    [anon_sym_bool] = ACTIONS(1520),
    [anon_sym_rune] = ACTIONS(1520),
    [anon_sym_map] = ACTIONS(1520),
    [anon_sym_mapnode] = ACTIONS(1520),
    [anon_sym_size_t] = ACTIONS(1520),
    [anon_sym_usize] = ACTIONS(1520),
    [anon_sym_isize] = ACTIONS(1520),
    [anon_sym_float_literal] = ACTIONS(1520),
    [anon_sym_int_literal] = ACTIONS(1520),
    [anon_sym_IError] = ACTIONS(1520),
    [sym_type_placeholder] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [sym_type_identifier] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym_DOLLARif] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_is] = ACTIONS(1520),
    [anon_sym_BANGis] = ACTIONS(1520),
    [anon_sym_match] = ACTIONS(1520),
    [anon_sym_select] = ACTIONS(1520),
    [anon_sym_lock] = ACTIONS(1520),
    [anon_sym_rlock] = ACTIONS(1520),
    [sym__c_string_opening] = ACTIONS(1518),
    [sym__raw_string_opening] = ACTIONS(1518),
    [sym__string_opening] = ACTIONS(1518),
    [sym__comment] = ACTIONS(3),
  },
  [1412] = {
    [sym_comment] = STATE(1412),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_CARET] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1528),
    [anon_sym_LT_LT] = ACTIONS(1528),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1528),
    [anon_sym_AMP_CARET] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1528),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_BANGin] = ACTIONS(1528),
    [anon_sym_AMP_AMP] = ACTIONS(1528),
    [anon_sym_PIPE_PIPE] = ACTIONS(1528),
    [anon_sym_as] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_none] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_LF] = ACTIONS(1528),
    [anon_sym_CR] = ACTIONS(1528),
    [anon_sym_CR_LF] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_map_LBRACK] = ACTIONS(1528),
    [anon_sym_chan] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_thread] = ACTIONS(1528),
    [sym_int_literal] = ACTIONS(1528),
    [sym_float_literal] = ACTIONS(1528),
    [sym_rune_literal] = ACTIONS(1528),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_array] = ACTIONS(1528),
    [anon_sym_string] = ACTIONS(1528),
    [anon_sym_char] = ACTIONS(1528),
    [anon_sym_sql] = ACTIONS(1528),
    [anon_sym_mut] = ACTIONS(1528),
    [anon_sym_C] = ACTIONS(1528),
    [anon_sym_JS] = ACTIONS(1528),
    [anon_sym_voidptr] = ACTIONS(1528),
    [anon_sym_byteptr] = ACTIONS(1528),
    [anon_sym_charptr] = ACTIONS(1528),
    [anon_sym_i8] = ACTIONS(1528),
    [anon_sym_i16] = ACTIONS(1528),
    [anon_sym_i32] = ACTIONS(1528),
    [anon_sym_int] = ACTIONS(1528),
    [anon_sym_i64] = ACTIONS(1528),
    [anon_sym_byte] = ACTIONS(1528),
    [anon_sym_u8] = ACTIONS(1528),
    [anon_sym_u16] = ACTIONS(1528),
    [anon_sym_u32] = ACTIONS(1528),
    [anon_sym_u64] = ACTIONS(1528),
    [anon_sym_f32] = ACTIONS(1528),
    [anon_sym_f64] = ACTIONS(1528),
    [anon_sym_bool] = ACTIONS(1528),
    [anon_sym_rune] = ACTIONS(1528),
    [anon_sym_map] = ACTIONS(1528),
    [anon_sym_mapnode] = ACTIONS(1528),
    [anon_sym_size_t] = ACTIONS(1528),
    [anon_sym_usize] = ACTIONS(1528),
    [anon_sym_isize] = ACTIONS(1528),
    [anon_sym_float_literal] = ACTIONS(1528),
    [anon_sym_int_literal] = ACTIONS(1528),
    [anon_sym_IError] = ACTIONS(1528),
    [sym_type_placeholder] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [sym_type_identifier] = ACTIONS(1528),
    [anon_sym_unsafe] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym_DOLLARif] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_is] = ACTIONS(1528),
    [anon_sym_BANGis] = ACTIONS(1528),
    [anon_sym_match] = ACTIONS(1528),
    [anon_sym_select] = ACTIONS(1528),
    [anon_sym_lock] = ACTIONS(1528),
    [anon_sym_rlock] = ACTIONS(1528),
    [sym__c_string_opening] = ACTIONS(1526),
    [sym__raw_string_opening] = ACTIONS(1526),
    [sym__string_opening] = ACTIONS(1526),
    [sym__comment] = ACTIONS(3),
  },
  [1413] = {
    [sym_comment] = STATE(1413),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_LT_DASH] = ACTIONS(1534),
    [anon_sym_SLASH] = ACTIONS(1534),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1534),
    [anon_sym_GT_GT_GT] = ACTIONS(1534),
    [anon_sym_AMP_CARET] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1534),
    [anon_sym_BANG_EQ] = ACTIONS(1534),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1534),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1534),
    [anon_sym_in] = ACTIONS(1534),
    [anon_sym_BANGin] = ACTIONS(1534),
    [anon_sym_AMP_AMP] = ACTIONS(1534),
    [anon_sym_PIPE_PIPE] = ACTIONS(1534),
    [anon_sym_as] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1534),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [sym_none] = ACTIONS(1534),
    [sym_true] = ACTIONS(1534),
    [sym_false] = ACTIONS(1534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_LF] = ACTIONS(1534),
    [anon_sym_CR] = ACTIONS(1534),
    [anon_sym_CR_LF] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_map_LBRACK] = ACTIONS(1534),
    [anon_sym_chan] = ACTIONS(1534),
    [anon_sym_shared] = ACTIONS(1534),
    [anon_sym_thread] = ACTIONS(1534),
    [sym_int_literal] = ACTIONS(1534),
    [sym_float_literal] = ACTIONS(1534),
    [sym_rune_literal] = ACTIONS(1534),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_array] = ACTIONS(1534),
    [anon_sym_string] = ACTIONS(1534),
    [anon_sym_char] = ACTIONS(1534),
    [anon_sym_sql] = ACTIONS(1534),
    [anon_sym_mut] = ACTIONS(1534),
    [anon_sym_C] = ACTIONS(1534),
    [anon_sym_JS] = ACTIONS(1534),
    [anon_sym_voidptr] = ACTIONS(1534),
    [anon_sym_byteptr] = ACTIONS(1534),
    [anon_sym_charptr] = ACTIONS(1534),
    [anon_sym_i8] = ACTIONS(1534),
    [anon_sym_i16] = ACTIONS(1534),
    [anon_sym_i32] = ACTIONS(1534),
    [anon_sym_int] = ACTIONS(1534),
    [anon_sym_i64] = ACTIONS(1534),
    [anon_sym_byte] = ACTIONS(1534),
    [anon_sym_u8] = ACTIONS(1534),
    [anon_sym_u16] = ACTIONS(1534),
    [anon_sym_u32] = ACTIONS(1534),
    [anon_sym_u64] = ACTIONS(1534),
    [anon_sym_f32] = ACTIONS(1534),
    [anon_sym_f64] = ACTIONS(1534),
    [anon_sym_bool] = ACTIONS(1534),
    [anon_sym_rune] = ACTIONS(1534),
    [anon_sym_map] = ACTIONS(1534),
    [anon_sym_mapnode] = ACTIONS(1534),
    [anon_sym_size_t] = ACTIONS(1534),
    [anon_sym_usize] = ACTIONS(1534),
    [anon_sym_isize] = ACTIONS(1534),
    [anon_sym_float_literal] = ACTIONS(1534),
    [anon_sym_int_literal] = ACTIONS(1534),
    [anon_sym_IError] = ACTIONS(1534),
    [sym_type_placeholder] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [sym_type_identifier] = ACTIONS(1534),
    [anon_sym_unsafe] = ACTIONS(1534),
    [anon_sym_fn] = ACTIONS(1534),
    [anon_sym_DOLLARif] = ACTIONS(1534),
    [anon_sym_if] = ACTIONS(1534),
    [anon_sym_is] = ACTIONS(1534),
    [anon_sym_BANGis] = ACTIONS(1534),
    [anon_sym_match] = ACTIONS(1534),
    [anon_sym_select] = ACTIONS(1534),
    [anon_sym_lock] = ACTIONS(1534),
    [anon_sym_rlock] = ACTIONS(1534),
    [sym__c_string_opening] = ACTIONS(1532),
    [sym__raw_string_opening] = ACTIONS(1532),
    [sym__string_opening] = ACTIONS(1532),
    [sym__comment] = ACTIONS(3),
  },
  [1414] = {
    [sym_comment] = STATE(1414),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_DASH] = ACTIONS(1114),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1114),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1114),
    [anon_sym_AMP_CARET] = ACTIONS(1114),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1114),
    [anon_sym_BANG_EQ] = ACTIONS(1114),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_BANGin] = ACTIONS(1114),
    [anon_sym_AMP_AMP] = ACTIONS(1114),
    [anon_sym_PIPE_PIPE] = ACTIONS(1114),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1114),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [sym_none] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_LF] = ACTIONS(1114),
    [anon_sym_CR] = ACTIONS(1114),
    [anon_sym_CR_LF] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_map_LBRACK] = ACTIONS(1114),
    [anon_sym_chan] = ACTIONS(1114),
    [anon_sym_shared] = ACTIONS(1114),
    [anon_sym_thread] = ACTIONS(1114),
    [sym_int_literal] = ACTIONS(1114),
    [sym_float_literal] = ACTIONS(1114),
    [sym_rune_literal] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_array] = ACTIONS(1114),
    [anon_sym_string] = ACTIONS(1114),
    [anon_sym_char] = ACTIONS(1114),
    [anon_sym_sql] = ACTIONS(1114),
    [anon_sym_mut] = ACTIONS(1114),
    [anon_sym_C] = ACTIONS(1114),
    [anon_sym_JS] = ACTIONS(1114),
    [anon_sym_voidptr] = ACTIONS(1114),
    [anon_sym_byteptr] = ACTIONS(1114),
    [anon_sym_charptr] = ACTIONS(1114),
    [anon_sym_i8] = ACTIONS(1114),
    [anon_sym_i16] = ACTIONS(1114),
    [anon_sym_i32] = ACTIONS(1114),
    [anon_sym_int] = ACTIONS(1114),
    [anon_sym_i64] = ACTIONS(1114),
    [anon_sym_byte] = ACTIONS(1114),
    [anon_sym_u8] = ACTIONS(1114),
    [anon_sym_u16] = ACTIONS(1114),
    [anon_sym_u32] = ACTIONS(1114),
    [anon_sym_u64] = ACTIONS(1114),
    [anon_sym_f32] = ACTIONS(1114),
    [anon_sym_f64] = ACTIONS(1114),
    [anon_sym_bool] = ACTIONS(1114),
    [anon_sym_rune] = ACTIONS(1114),
    [anon_sym_map] = ACTIONS(1114),
    [anon_sym_mapnode] = ACTIONS(1114),
    [anon_sym_size_t] = ACTIONS(1114),
    [anon_sym_usize] = ACTIONS(1114),
    [anon_sym_isize] = ACTIONS(1114),
    [anon_sym_float_literal] = ACTIONS(1114),
    [anon_sym_int_literal] = ACTIONS(1114),
    [anon_sym_IError] = ACTIONS(1114),
    [sym_type_placeholder] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [sym_type_identifier] = ACTIONS(1114),
    [anon_sym_unsafe] = ACTIONS(1114),
    [anon_sym_fn] = ACTIONS(1114),
    [anon_sym_DOLLARif] = ACTIONS(1114),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_BANGis] = ACTIONS(1114),
    [anon_sym_match] = ACTIONS(1114),
    [anon_sym_select] = ACTIONS(1114),
    [anon_sym_lock] = ACTIONS(1114),
    [anon_sym_rlock] = ACTIONS(1114),
    [sym__c_string_opening] = ACTIONS(1116),
    [sym__raw_string_opening] = ACTIONS(1116),
    [sym__string_opening] = ACTIONS(1116),
    [sym__comment] = ACTIONS(3),
  },
  [1415] = {
    [sym_comment] = STATE(1415),
    [sym_identifier] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_CARET] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_LT_DASH] = ACTIONS(1254),
    [anon_sym_SLASH] = ACTIONS(1254),
    [anon_sym_PERCENT] = ACTIONS(1254),
    [anon_sym_LT_LT] = ACTIONS(1254),
    [anon_sym_GT_GT] = ACTIONS(1254),
    [anon_sym_GT_GT_GT] = ACTIONS(1254),
    [anon_sym_AMP_CARET] = ACTIONS(1254),
    [anon_sym_PIPE] = ACTIONS(1254),
    [anon_sym_EQ_EQ] = ACTIONS(1254),
    [anon_sym_BANG_EQ] = ACTIONS(1254),
    [anon_sym_LT] = ACTIONS(1254),
    [anon_sym_LT_EQ] = ACTIONS(1254),
    [anon_sym_GT] = ACTIONS(1254),
    [anon_sym_GT_EQ] = ACTIONS(1254),
    [anon_sym_in] = ACTIONS(1254),
    [anon_sym_BANGin] = ACTIONS(1254),
    [anon_sym_AMP_AMP] = ACTIONS(1254),
    [anon_sym_PIPE_PIPE] = ACTIONS(1254),
    [anon_sym_as] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [sym_none] = ACTIONS(1254),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_LF] = ACTIONS(1254),
    [anon_sym_CR] = ACTIONS(1254),
    [anon_sym_CR_LF] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_map_LBRACK] = ACTIONS(1254),
    [anon_sym_chan] = ACTIONS(1254),
    [anon_sym_shared] = ACTIONS(1254),
    [anon_sym_thread] = ACTIONS(1254),
    [sym_int_literal] = ACTIONS(1254),
    [sym_float_literal] = ACTIONS(1254),
    [sym_rune_literal] = ACTIONS(1254),
    [anon_sym_DOT] = ACTIONS(1254),
    [anon_sym_array] = ACTIONS(1254),
    [anon_sym_string] = ACTIONS(1254),
    [anon_sym_char] = ACTIONS(1254),
    [anon_sym_sql] = ACTIONS(1254),
    [anon_sym_mut] = ACTIONS(1254),
    [anon_sym_C] = ACTIONS(1254),
    [anon_sym_JS] = ACTIONS(1254),
    [anon_sym_voidptr] = ACTIONS(1254),
    [anon_sym_byteptr] = ACTIONS(1254),
    [anon_sym_charptr] = ACTIONS(1254),
    [anon_sym_i8] = ACTIONS(1254),
    [anon_sym_i16] = ACTIONS(1254),
    [anon_sym_i32] = ACTIONS(1254),
    [anon_sym_int] = ACTIONS(1254),
    [anon_sym_i64] = ACTIONS(1254),
    [anon_sym_byte] = ACTIONS(1254),
    [anon_sym_u8] = ACTIONS(1254),
    [anon_sym_u16] = ACTIONS(1254),
    [anon_sym_u32] = ACTIONS(1254),
    [anon_sym_u64] = ACTIONS(1254),
    [anon_sym_f32] = ACTIONS(1254),
    [anon_sym_f64] = ACTIONS(1254),
    [anon_sym_bool] = ACTIONS(1254),
    [anon_sym_rune] = ACTIONS(1254),
    [anon_sym_map] = ACTIONS(1254),
    [anon_sym_mapnode] = ACTIONS(1254),
    [anon_sym_size_t] = ACTIONS(1254),
    [anon_sym_usize] = ACTIONS(1254),
    [anon_sym_isize] = ACTIONS(1254),
    [anon_sym_float_literal] = ACTIONS(1254),
    [anon_sym_int_literal] = ACTIONS(1254),
    [anon_sym_IError] = ACTIONS(1254),
    [sym_type_placeholder] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [sym_type_identifier] = ACTIONS(1254),
    [anon_sym_unsafe] = ACTIONS(1254),
    [anon_sym_fn] = ACTIONS(1254),
    [anon_sym_DOLLARif] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_is] = ACTIONS(1254),
    [anon_sym_BANGis] = ACTIONS(1254),
    [anon_sym_match] = ACTIONS(1254),
    [anon_sym_select] = ACTIONS(1254),
    [anon_sym_lock] = ACTIONS(1254),
    [anon_sym_rlock] = ACTIONS(1254),
    [sym__c_string_opening] = ACTIONS(1252),
    [sym__raw_string_opening] = ACTIONS(1252),
    [sym__string_opening] = ACTIONS(1252),
    [sym__comment] = ACTIONS(3),
  },
  [1416] = {
    [sym_comment] = STATE(1416),
    [sym_identifier] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_CARET] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_LT_DASH] = ACTIONS(1250),
    [anon_sym_SLASH] = ACTIONS(1250),
    [anon_sym_PERCENT] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1250),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_GT_GT_GT] = ACTIONS(1250),
    [anon_sym_AMP_CARET] = ACTIONS(1250),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1250),
    [anon_sym_BANG_EQ] = ACTIONS(1250),
    [anon_sym_LT] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1250),
    [anon_sym_GT] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_BANGin] = ACTIONS(1250),
    [anon_sym_AMP_AMP] = ACTIONS(1250),
    [anon_sym_PIPE_PIPE] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [sym_none] = ACTIONS(1250),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_LF] = ACTIONS(1250),
    [anon_sym_CR] = ACTIONS(1250),
    [anon_sym_CR_LF] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_map_LBRACK] = ACTIONS(1250),
    [anon_sym_chan] = ACTIONS(1250),
    [anon_sym_shared] = ACTIONS(1250),
    [anon_sym_thread] = ACTIONS(1250),
    [sym_int_literal] = ACTIONS(1250),
    [sym_float_literal] = ACTIONS(1250),
    [sym_rune_literal] = ACTIONS(1250),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_array] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_char] = ACTIONS(1250),
    [anon_sym_sql] = ACTIONS(1250),
    [anon_sym_mut] = ACTIONS(1250),
    [anon_sym_C] = ACTIONS(1250),
    [anon_sym_JS] = ACTIONS(1250),
    [anon_sym_voidptr] = ACTIONS(1250),
    [anon_sym_byteptr] = ACTIONS(1250),
    [anon_sym_charptr] = ACTIONS(1250),
    [anon_sym_i8] = ACTIONS(1250),
    [anon_sym_i16] = ACTIONS(1250),
    [anon_sym_i32] = ACTIONS(1250),
    [anon_sym_int] = ACTIONS(1250),
    [anon_sym_i64] = ACTIONS(1250),
    [anon_sym_byte] = ACTIONS(1250),
    [anon_sym_u8] = ACTIONS(1250),
    [anon_sym_u16] = ACTIONS(1250),
    [anon_sym_u32] = ACTIONS(1250),
    [anon_sym_u64] = ACTIONS(1250),
    [anon_sym_f32] = ACTIONS(1250),
    [anon_sym_f64] = ACTIONS(1250),
    [anon_sym_bool] = ACTIONS(1250),
    [anon_sym_rune] = ACTIONS(1250),
    [anon_sym_map] = ACTIONS(1250),
    [anon_sym_mapnode] = ACTIONS(1250),
    [anon_sym_size_t] = ACTIONS(1250),
    [anon_sym_usize] = ACTIONS(1250),
    [anon_sym_isize] = ACTIONS(1250),
    [anon_sym_float_literal] = ACTIONS(1250),
    [anon_sym_int_literal] = ACTIONS(1250),
    [anon_sym_IError] = ACTIONS(1250),
    [sym_type_placeholder] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [sym_type_identifier] = ACTIONS(1250),
    [anon_sym_unsafe] = ACTIONS(1250),
    [anon_sym_fn] = ACTIONS(1250),
    [anon_sym_DOLLARif] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_BANGis] = ACTIONS(1250),
    [anon_sym_match] = ACTIONS(1250),
    [anon_sym_select] = ACTIONS(1250),
    [anon_sym_lock] = ACTIONS(1250),
    [anon_sym_rlock] = ACTIONS(1250),
    [sym__c_string_opening] = ACTIONS(1248),
    [sym__raw_string_opening] = ACTIONS(1248),
    [sym__string_opening] = ACTIONS(1248),
    [sym__comment] = ACTIONS(3),
  },
  [1417] = {
    [sym_comment] = STATE(1417),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1104),
    [anon_sym_BANG_EQ] = ACTIONS(1104),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1104),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1104),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1104),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE_PIPE] = ACTIONS(1104),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_LF] = ACTIONS(1104),
    [anon_sym_CR] = ACTIONS(1104),
    [anon_sym_CR_LF] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_map_LBRACK] = ACTIONS(1104),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1104),
    [sym_rune_literal] = ACTIONS(1104),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_DOLLARif] = ACTIONS(1104),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1418] = {
    [sym_comment] = STATE(1418),
    [sym_identifier] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_LT_DASH] = ACTIONS(1512),
    [anon_sym_SLASH] = ACTIONS(1512),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_GT_GT_GT] = ACTIONS(1512),
    [anon_sym_AMP_CARET] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1512),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1512),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_BANGin] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1512),
    [anon_sym_as] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [sym_none] = ACTIONS(1512),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_LF] = ACTIONS(1512),
    [anon_sym_CR] = ACTIONS(1512),
    [anon_sym_CR_LF] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_map_LBRACK] = ACTIONS(1512),
    [anon_sym_chan] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_thread] = ACTIONS(1512),
    [sym_int_literal] = ACTIONS(1512),
    [sym_float_literal] = ACTIONS(1512),
    [sym_rune_literal] = ACTIONS(1512),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_array] = ACTIONS(1512),
    [anon_sym_string] = ACTIONS(1512),
    [anon_sym_char] = ACTIONS(1512),
    [anon_sym_sql] = ACTIONS(1512),
    [anon_sym_mut] = ACTIONS(1512),
    [anon_sym_C] = ACTIONS(1512),
    [anon_sym_JS] = ACTIONS(1512),
    [anon_sym_voidptr] = ACTIONS(1512),
    [anon_sym_byteptr] = ACTIONS(1512),
    [anon_sym_charptr] = ACTIONS(1512),
    [anon_sym_i8] = ACTIONS(1512),
    [anon_sym_i16] = ACTIONS(1512),
    [anon_sym_i32] = ACTIONS(1512),
    [anon_sym_int] = ACTIONS(1512),
    [anon_sym_i64] = ACTIONS(1512),
    [anon_sym_byte] = ACTIONS(1512),
    [anon_sym_u8] = ACTIONS(1512),
    [anon_sym_u16] = ACTIONS(1512),
    [anon_sym_u32] = ACTIONS(1512),
    [anon_sym_u64] = ACTIONS(1512),
    [anon_sym_f32] = ACTIONS(1512),
    [anon_sym_f64] = ACTIONS(1512),
    [anon_sym_bool] = ACTIONS(1512),
    [anon_sym_rune] = ACTIONS(1512),
    [anon_sym_map] = ACTIONS(1512),
    [anon_sym_mapnode] = ACTIONS(1512),
    [anon_sym_size_t] = ACTIONS(1512),
    [anon_sym_usize] = ACTIONS(1512),
    [anon_sym_isize] = ACTIONS(1512),
    [anon_sym_float_literal] = ACTIONS(1512),
    [anon_sym_int_literal] = ACTIONS(1512),
    [anon_sym_IError] = ACTIONS(1512),
    [sym_type_placeholder] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [sym_type_identifier] = ACTIONS(1512),
    [anon_sym_unsafe] = ACTIONS(1512),
    [anon_sym_fn] = ACTIONS(1512),
    [anon_sym_DOLLARif] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1512),
    [anon_sym_BANGis] = ACTIONS(1512),
    [anon_sym_match] = ACTIONS(1512),
    [anon_sym_select] = ACTIONS(1512),
    [anon_sym_lock] = ACTIONS(1512),
    [anon_sym_rlock] = ACTIONS(1512),
    [sym__c_string_opening] = ACTIONS(1510),
    [sym__raw_string_opening] = ACTIONS(1510),
    [sym__string_opening] = ACTIONS(1510),
    [sym__comment] = ACTIONS(3),
  },
  [1419] = {
    [sym_comment] = STATE(1419),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_BANGin] = ACTIONS(1524),
    [anon_sym_AMP_AMP] = ACTIONS(1524),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_none] = ACTIONS(1524),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_LF] = ACTIONS(1524),
    [anon_sym_CR] = ACTIONS(1524),
    [anon_sym_CR_LF] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_map_LBRACK] = ACTIONS(1524),
    [anon_sym_chan] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_thread] = ACTIONS(1524),
    [sym_int_literal] = ACTIONS(1524),
    [sym_float_literal] = ACTIONS(1524),
    [sym_rune_literal] = ACTIONS(1524),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_array] = ACTIONS(1524),
    [anon_sym_string] = ACTIONS(1524),
    [anon_sym_char] = ACTIONS(1524),
    [anon_sym_sql] = ACTIONS(1524),
    [anon_sym_mut] = ACTIONS(1524),
    [anon_sym_C] = ACTIONS(1524),
    [anon_sym_JS] = ACTIONS(1524),
    [anon_sym_voidptr] = ACTIONS(1524),
    [anon_sym_byteptr] = ACTIONS(1524),
    [anon_sym_charptr] = ACTIONS(1524),
    [anon_sym_i8] = ACTIONS(1524),
    [anon_sym_i16] = ACTIONS(1524),
    [anon_sym_i32] = ACTIONS(1524),
    [anon_sym_int] = ACTIONS(1524),
    [anon_sym_i64] = ACTIONS(1524),
    [anon_sym_byte] = ACTIONS(1524),
    [anon_sym_u8] = ACTIONS(1524),
    [anon_sym_u16] = ACTIONS(1524),
    [anon_sym_u32] = ACTIONS(1524),
    [anon_sym_u64] = ACTIONS(1524),
    [anon_sym_f32] = ACTIONS(1524),
    [anon_sym_f64] = ACTIONS(1524),
    [anon_sym_bool] = ACTIONS(1524),
    [anon_sym_rune] = ACTIONS(1524),
    [anon_sym_map] = ACTIONS(1524),
    [anon_sym_mapnode] = ACTIONS(1524),
    [anon_sym_size_t] = ACTIONS(1524),
    [anon_sym_usize] = ACTIONS(1524),
    [anon_sym_isize] = ACTIONS(1524),
    [anon_sym_float_literal] = ACTIONS(1524),
    [anon_sym_int_literal] = ACTIONS(1524),
    [anon_sym_IError] = ACTIONS(1524),
    [sym_type_placeholder] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [sym_type_identifier] = ACTIONS(1524),
    [anon_sym_unsafe] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym_DOLLARif] = ACTIONS(1524),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_is] = ACTIONS(1524),
    [anon_sym_BANGis] = ACTIONS(1524),
    [anon_sym_match] = ACTIONS(1524),
    [anon_sym_select] = ACTIONS(1524),
    [anon_sym_lock] = ACTIONS(1524),
    [anon_sym_rlock] = ACTIONS(1524),
    [sym__c_string_opening] = ACTIONS(1522),
    [sym__raw_string_opening] = ACTIONS(1522),
    [sym__string_opening] = ACTIONS(1522),
    [sym__comment] = ACTIONS(3),
  },
  [1420] = {
    [sym_comment] = STATE(1420),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_CARET] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_LT_DASH] = ACTIONS(1588),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PERCENT] = ACTIONS(1588),
    [anon_sym_LT_LT] = ACTIONS(1588),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(1588),
    [anon_sym_AMP_CARET] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1588),
    [anon_sym_BANG_EQ] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1588),
    [anon_sym_in] = ACTIONS(1588),
    [anon_sym_BANGin] = ACTIONS(1588),
    [anon_sym_AMP_AMP] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1588),
    [anon_sym_as] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_none] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_LF] = ACTIONS(1588),
    [anon_sym_CR] = ACTIONS(1588),
    [anon_sym_CR_LF] = ACTIONS(1588),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1588),
    [anon_sym_map_LBRACK] = ACTIONS(1588),
    [anon_sym_chan] = ACTIONS(1588),
    [anon_sym_shared] = ACTIONS(1588),
    [anon_sym_thread] = ACTIONS(1588),
    [sym_int_literal] = ACTIONS(1588),
    [sym_float_literal] = ACTIONS(1588),
    [sym_rune_literal] = ACTIONS(1588),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_array] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_char] = ACTIONS(1588),
    [anon_sym_sql] = ACTIONS(1588),
    [anon_sym_mut] = ACTIONS(1588),
    [anon_sym_C] = ACTIONS(1588),
    [anon_sym_JS] = ACTIONS(1588),
    [anon_sym_voidptr] = ACTIONS(1588),
    [anon_sym_byteptr] = ACTIONS(1588),
    [anon_sym_charptr] = ACTIONS(1588),
    [anon_sym_i8] = ACTIONS(1588),
    [anon_sym_i16] = ACTIONS(1588),
    [anon_sym_i32] = ACTIONS(1588),
    [anon_sym_int] = ACTIONS(1588),
    [anon_sym_i64] = ACTIONS(1588),
    [anon_sym_byte] = ACTIONS(1588),
    [anon_sym_u8] = ACTIONS(1588),
    [anon_sym_u16] = ACTIONS(1588),
    [anon_sym_u32] = ACTIONS(1588),
    [anon_sym_u64] = ACTIONS(1588),
    [anon_sym_f32] = ACTIONS(1588),
    [anon_sym_f64] = ACTIONS(1588),
    [anon_sym_bool] = ACTIONS(1588),
    [anon_sym_rune] = ACTIONS(1588),
    [anon_sym_map] = ACTIONS(1588),
    [anon_sym_mapnode] = ACTIONS(1588),
    [anon_sym_size_t] = ACTIONS(1588),
    [anon_sym_usize] = ACTIONS(1588),
    [anon_sym_isize] = ACTIONS(1588),
    [anon_sym_float_literal] = ACTIONS(1588),
    [anon_sym_int_literal] = ACTIONS(1588),
    [anon_sym_IError] = ACTIONS(1588),
    [sym_type_placeholder] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [sym_type_identifier] = ACTIONS(1588),
    [anon_sym_unsafe] = ACTIONS(1588),
    [anon_sym_fn] = ACTIONS(1588),
    [anon_sym_DOLLARif] = ACTIONS(1588),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_is] = ACTIONS(1588),
    [anon_sym_BANGis] = ACTIONS(1588),
    [anon_sym_match] = ACTIONS(1588),
    [anon_sym_select] = ACTIONS(1588),
    [anon_sym_lock] = ACTIONS(1588),
    [anon_sym_rlock] = ACTIONS(1588),
    [sym__c_string_opening] = ACTIONS(1586),
    [sym__raw_string_opening] = ACTIONS(1586),
    [sym__string_opening] = ACTIONS(1586),
    [sym__comment] = ACTIONS(3),
  },
  [1421] = {
    [sym_comment] = STATE(1421),
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_LT_DASH] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1600),
    [anon_sym_LT_LT] = ACTIONS(1600),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_GT_GT_GT] = ACTIONS(1600),
    [anon_sym_AMP_CARET] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1600),
    [anon_sym_BANG_EQ] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1600),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_BANGin] = ACTIONS(1600),
    [anon_sym_AMP_AMP] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1600),
    [anon_sym_as] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [sym_none] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_LF] = ACTIONS(1600),
    [anon_sym_CR] = ACTIONS(1600),
    [anon_sym_CR_LF] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_map_LBRACK] = ACTIONS(1600),
    [anon_sym_chan] = ACTIONS(1600),
    [anon_sym_shared] = ACTIONS(1600),
    [anon_sym_thread] = ACTIONS(1600),
    [sym_int_literal] = ACTIONS(1600),
    [sym_float_literal] = ACTIONS(1600),
    [sym_rune_literal] = ACTIONS(1600),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_array] = ACTIONS(1600),
    [anon_sym_string] = ACTIONS(1600),
    [anon_sym_char] = ACTIONS(1600),
    [anon_sym_sql] = ACTIONS(1600),
    [anon_sym_mut] = ACTIONS(1600),
    [anon_sym_C] = ACTIONS(1600),
    [anon_sym_JS] = ACTIONS(1600),
    [anon_sym_voidptr] = ACTIONS(1600),
    [anon_sym_byteptr] = ACTIONS(1600),
    [anon_sym_charptr] = ACTIONS(1600),
    [anon_sym_i8] = ACTIONS(1600),
    [anon_sym_i16] = ACTIONS(1600),
    [anon_sym_i32] = ACTIONS(1600),
    [anon_sym_int] = ACTIONS(1600),
    [anon_sym_i64] = ACTIONS(1600),
    [anon_sym_byte] = ACTIONS(1600),
    [anon_sym_u8] = ACTIONS(1600),
    [anon_sym_u16] = ACTIONS(1600),
    [anon_sym_u32] = ACTIONS(1600),
    [anon_sym_u64] = ACTIONS(1600),
    [anon_sym_f32] = ACTIONS(1600),
    [anon_sym_f64] = ACTIONS(1600),
    [anon_sym_bool] = ACTIONS(1600),
    [anon_sym_rune] = ACTIONS(1600),
    [anon_sym_map] = ACTIONS(1600),
    [anon_sym_mapnode] = ACTIONS(1600),
    [anon_sym_size_t] = ACTIONS(1600),
    [anon_sym_usize] = ACTIONS(1600),
    [anon_sym_isize] = ACTIONS(1600),
    [anon_sym_float_literal] = ACTIONS(1600),
    [anon_sym_int_literal] = ACTIONS(1600),
    [anon_sym_IError] = ACTIONS(1600),
    [sym_type_placeholder] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [sym_type_identifier] = ACTIONS(1600),
    [anon_sym_unsafe] = ACTIONS(1600),
    [anon_sym_fn] = ACTIONS(1600),
    [anon_sym_DOLLARif] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_is] = ACTIONS(1600),
    [anon_sym_BANGis] = ACTIONS(1600),
    [anon_sym_match] = ACTIONS(1600),
    [anon_sym_select] = ACTIONS(1600),
    [anon_sym_lock] = ACTIONS(1600),
    [anon_sym_rlock] = ACTIONS(1600),
    [sym__c_string_opening] = ACTIONS(1598),
    [sym__raw_string_opening] = ACTIONS(1598),
    [sym__string_opening] = ACTIONS(1598),
    [sym__comment] = ACTIONS(3),
  },
  [1422] = {
    [sym_comment] = STATE(1422),
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_LT_DASH] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1130),
    [sym_none] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [sym_int_literal] = ACTIONS(1132),
    [sym_float_literal] = ACTIONS(1130),
    [sym_rune_literal] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_sql] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_assert] = ACTIONS(1132),
    [anon_sym_defer] = ACTIONS(1132),
    [anon_sym_unsafe] = ACTIONS(1132),
    [anon_sym_pub] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym___global] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_type] = ACTIONS(1132),
    [anon_sym_go] = ACTIONS(1132),
    [anon_sym_spawn] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_DOLLARfor] = ACTIONS(1130),
    [anon_sym_DOLLARif] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_interface] = ACTIONS(1132),
    [anon_sym_POUND] = ACTIONS(1130),
    [anon_sym_module] = ACTIONS(1132),
    [anon_sym_import] = ACTIONS(1132),
    [anon_sym_match] = ACTIONS(1132),
    [anon_sym_select] = ACTIONS(1132),
    [anon_sym_lock] = ACTIONS(1132),
    [anon_sym_rlock] = ACTIONS(1132),
    [sym__automatic_separator] = ACTIONS(1130),
    [sym__c_string_opening] = ACTIONS(1130),
    [sym__raw_string_opening] = ACTIONS(1130),
    [sym__string_opening] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1423] = {
    [sym_comment] = STATE(1423),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_CARET] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_LT_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_GT_GT_GT] = ACTIONS(1604),
    [anon_sym_AMP_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1604),
    [anon_sym_BANG_EQ] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1604),
    [anon_sym_in] = ACTIONS(1604),
    [anon_sym_BANGin] = ACTIONS(1604),
    [anon_sym_AMP_AMP] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1604),
    [anon_sym_as] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1604),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [sym_none] = ACTIONS(1604),
    [sym_true] = ACTIONS(1604),
    [sym_false] = ACTIONS(1604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_LF] = ACTIONS(1604),
    [anon_sym_CR] = ACTIONS(1604),
    [anon_sym_CR_LF] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_map_LBRACK] = ACTIONS(1604),
    [anon_sym_chan] = ACTIONS(1604),
    [anon_sym_shared] = ACTIONS(1604),
    [anon_sym_thread] = ACTIONS(1604),
    [sym_int_literal] = ACTIONS(1604),
    [sym_float_literal] = ACTIONS(1604),
    [sym_rune_literal] = ACTIONS(1604),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_array] = ACTIONS(1604),
    [anon_sym_string] = ACTIONS(1604),
    [anon_sym_char] = ACTIONS(1604),
    [anon_sym_sql] = ACTIONS(1604),
    [anon_sym_mut] = ACTIONS(1604),
    [anon_sym_C] = ACTIONS(1604),
    [anon_sym_JS] = ACTIONS(1604),
    [anon_sym_voidptr] = ACTIONS(1604),
    [anon_sym_byteptr] = ACTIONS(1604),
    [anon_sym_charptr] = ACTIONS(1604),
    [anon_sym_i8] = ACTIONS(1604),
    [anon_sym_i16] = ACTIONS(1604),
    [anon_sym_i32] = ACTIONS(1604),
    [anon_sym_int] = ACTIONS(1604),
    [anon_sym_i64] = ACTIONS(1604),
    [anon_sym_byte] = ACTIONS(1604),
    [anon_sym_u8] = ACTIONS(1604),
    [anon_sym_u16] = ACTIONS(1604),
    [anon_sym_u32] = ACTIONS(1604),
    [anon_sym_u64] = ACTIONS(1604),
    [anon_sym_f32] = ACTIONS(1604),
    [anon_sym_f64] = ACTIONS(1604),
    [anon_sym_bool] = ACTIONS(1604),
    [anon_sym_rune] = ACTIONS(1604),
    [anon_sym_map] = ACTIONS(1604),
    [anon_sym_mapnode] = ACTIONS(1604),
    [anon_sym_size_t] = ACTIONS(1604),
    [anon_sym_usize] = ACTIONS(1604),
    [anon_sym_isize] = ACTIONS(1604),
    [anon_sym_float_literal] = ACTIONS(1604),
    [anon_sym_int_literal] = ACTIONS(1604),
    [anon_sym_IError] = ACTIONS(1604),
    [sym_type_placeholder] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [sym_type_identifier] = ACTIONS(1604),
    [anon_sym_unsafe] = ACTIONS(1604),
    [anon_sym_fn] = ACTIONS(1604),
    [anon_sym_DOLLARif] = ACTIONS(1604),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1604),
    [anon_sym_BANGis] = ACTIONS(1604),
    [anon_sym_match] = ACTIONS(1604),
    [anon_sym_select] = ACTIONS(1604),
    [anon_sym_lock] = ACTIONS(1604),
    [anon_sym_rlock] = ACTIONS(1604),
    [sym__c_string_opening] = ACTIONS(1602),
    [sym__raw_string_opening] = ACTIONS(1602),
    [sym__string_opening] = ACTIONS(1602),
    [sym__comment] = ACTIONS(3),
  },
  [1424] = {
    [sym_special_argument_list] = STATE(1448),
    [sym_comment] = STATE(1424),
    [sym_argument_list] = STATE(1450),
    [sym_type_parameters] = STATE(4369),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(3769),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1425] = {
    [sym_comment] = STATE(1425),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_identifier] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1212),
    [anon_sym_LT_DASH] = ACTIONS(1212),
    [anon_sym_PIPE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_map_LBRACK] = ACTIONS(1212),
    [anon_sym_chan] = ACTIONS(1214),
    [anon_sym_shared] = ACTIONS(1214),
    [anon_sym_thread] = ACTIONS(1214),
    [sym_int_literal] = ACTIONS(1214),
    [sym_float_literal] = ACTIONS(1212),
    [sym_rune_literal] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_array] = ACTIONS(1214),
    [anon_sym_string] = ACTIONS(1214),
    [anon_sym_char] = ACTIONS(1214),
    [anon_sym_sql] = ACTIONS(1214),
    [anon_sym_mut] = ACTIONS(1214),
    [anon_sym_C] = ACTIONS(1214),
    [anon_sym_JS] = ACTIONS(1214),
    [anon_sym_LT2] = ACTIONS(1214),
    [anon_sym_voidptr] = ACTIONS(1214),
    [anon_sym_byteptr] = ACTIONS(1214),
    [anon_sym_charptr] = ACTIONS(1214),
    [anon_sym_i8] = ACTIONS(1214),
    [anon_sym_i16] = ACTIONS(1214),
    [anon_sym_i32] = ACTIONS(1214),
    [anon_sym_int] = ACTIONS(1214),
    [anon_sym_i64] = ACTIONS(1214),
    [anon_sym_byte] = ACTIONS(1214),
    [anon_sym_u8] = ACTIONS(1214),
    [anon_sym_u16] = ACTIONS(1214),
    [anon_sym_u32] = ACTIONS(1214),
    [anon_sym_u64] = ACTIONS(1214),
    [anon_sym_f32] = ACTIONS(1214),
    [anon_sym_f64] = ACTIONS(1214),
    [anon_sym_bool] = ACTIONS(1214),
    [anon_sym_rune] = ACTIONS(1214),
    [anon_sym_map] = ACTIONS(1214),
    [anon_sym_mapnode] = ACTIONS(1214),
    [anon_sym_size_t] = ACTIONS(1214),
    [anon_sym_usize] = ACTIONS(1214),
    [anon_sym_isize] = ACTIONS(1214),
    [anon_sym_float_literal] = ACTIONS(1214),
    [anon_sym_int_literal] = ACTIONS(1214),
    [anon_sym_IError] = ACTIONS(1214),
    [sym_type_placeholder] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [sym_type_identifier] = ACTIONS(1214),
    [anon_sym_assert] = ACTIONS(1214),
    [anon_sym_defer] = ACTIONS(1214),
    [anon_sym_unsafe] = ACTIONS(1214),
    [anon_sym_pub] = ACTIONS(1214),
    [anon_sym_fn] = ACTIONS(1214),
    [anon_sym___global] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_type] = ACTIONS(1214),
    [anon_sym_go] = ACTIONS(1214),
    [anon_sym_spawn] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_DOLLARfor] = ACTIONS(1212),
    [anon_sym_DOLLARif] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_struct] = ACTIONS(1214),
    [anon_sym_union] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1214),
    [anon_sym_interface] = ACTIONS(1214),
    [anon_sym_POUND] = ACTIONS(1212),
    [anon_sym_module] = ACTIONS(1214),
    [anon_sym_import] = ACTIONS(1214),
    [anon_sym_match] = ACTIONS(1214),
    [anon_sym_select] = ACTIONS(1214),
    [anon_sym_lock] = ACTIONS(1214),
    [anon_sym_rlock] = ACTIONS(1214),
    [sym__automatic_separator] = ACTIONS(1212),
    [sym__c_string_opening] = ACTIONS(1212),
    [sym__raw_string_opening] = ACTIONS(1212),
    [sym__string_opening] = ACTIONS(1212),
    [sym__comment] = ACTIONS(3),
  },
  [1426] = {
    [sym_comment] = STATE(1426),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1396),
    [anon_sym_LT_LT] = ACTIONS(1396),
    [anon_sym_GT_GT] = ACTIONS(1396),
    [anon_sym_GT_GT_GT] = ACTIONS(1396),
    [anon_sym_AMP_CARET] = ACTIONS(1396),
    [anon_sym_PIPE] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1396),
    [anon_sym_BANG_EQ] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_LT_EQ] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [anon_sym_GT_EQ] = ACTIONS(1396),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_BANGin] = ACTIONS(1396),
    [anon_sym_AMP_AMP] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1396),
    [anon_sym_as] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [sym_none] = ACTIONS(1396),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_LF] = ACTIONS(1396),
    [anon_sym_CR] = ACTIONS(1396),
    [anon_sym_CR_LF] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_map_LBRACK] = ACTIONS(1396),
    [anon_sym_chan] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_thread] = ACTIONS(1396),
    [sym_int_literal] = ACTIONS(1396),
    [sym_float_literal] = ACTIONS(1396),
    [sym_rune_literal] = ACTIONS(1396),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_array] = ACTIONS(1396),
    [anon_sym_string] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_sql] = ACTIONS(1396),
    [anon_sym_mut] = ACTIONS(1396),
    [anon_sym_C] = ACTIONS(1396),
    [anon_sym_JS] = ACTIONS(1396),
    [anon_sym_voidptr] = ACTIONS(1396),
    [anon_sym_byteptr] = ACTIONS(1396),
    [anon_sym_charptr] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_int] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_byte] = ACTIONS(1396),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_rune] = ACTIONS(1396),
    [anon_sym_map] = ACTIONS(1396),
    [anon_sym_mapnode] = ACTIONS(1396),
    [anon_sym_size_t] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_float_literal] = ACTIONS(1396),
    [anon_sym_int_literal] = ACTIONS(1396),
    [anon_sym_IError] = ACTIONS(1396),
    [sym_type_placeholder] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [sym_type_identifier] = ACTIONS(1396),
    [anon_sym_unsafe] = ACTIONS(1396),
    [anon_sym_fn] = ACTIONS(1396),
    [anon_sym_DOLLARif] = ACTIONS(1396),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_is] = ACTIONS(1396),
    [anon_sym_BANGis] = ACTIONS(1396),
    [anon_sym_match] = ACTIONS(1396),
    [anon_sym_select] = ACTIONS(1396),
    [anon_sym_lock] = ACTIONS(1396),
    [anon_sym_rlock] = ACTIONS(1396),
    [sym__c_string_opening] = ACTIONS(1394),
    [sym__raw_string_opening] = ACTIONS(1394),
    [sym__string_opening] = ACTIONS(1394),
    [sym__comment] = ACTIONS(3),
  },
  [1427] = {
    [sym_comment] = STATE(1427),
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_LT_DASH] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1134),
    [sym_none] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [sym_int_literal] = ACTIONS(1136),
    [sym_float_literal] = ACTIONS(1134),
    [sym_rune_literal] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_sql] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_assert] = ACTIONS(1136),
    [anon_sym_defer] = ACTIONS(1136),
    [anon_sym_unsafe] = ACTIONS(1136),
    [anon_sym_pub] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym___global] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_type] = ACTIONS(1136),
    [anon_sym_go] = ACTIONS(1136),
    [anon_sym_spawn] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_DOLLARfor] = ACTIONS(1134),
    [anon_sym_DOLLARif] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_interface] = ACTIONS(1136),
    [anon_sym_POUND] = ACTIONS(1134),
    [anon_sym_module] = ACTIONS(1136),
    [anon_sym_import] = ACTIONS(1136),
    [anon_sym_match] = ACTIONS(1136),
    [anon_sym_select] = ACTIONS(1136),
    [anon_sym_lock] = ACTIONS(1136),
    [anon_sym_rlock] = ACTIONS(1136),
    [sym__automatic_separator] = ACTIONS(1134),
    [sym__c_string_opening] = ACTIONS(1134),
    [sym__raw_string_opening] = ACTIONS(1134),
    [sym__string_opening] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1428] = {
    [sym_comment] = STATE(1428),
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_LT_DASH] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1612),
    [anon_sym_LT_LT] = ACTIONS(1612),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1612),
    [anon_sym_AMP_CARET] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1612),
    [anon_sym_BANG_EQ] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1612),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_BANGin] = ACTIONS(1612),
    [anon_sym_AMP_AMP] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1612),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1612),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [sym_none] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_LF] = ACTIONS(1612),
    [anon_sym_CR] = ACTIONS(1612),
    [anon_sym_CR_LF] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1612),
    [anon_sym_map_LBRACK] = ACTIONS(1612),
    [anon_sym_chan] = ACTIONS(1612),
    [anon_sym_shared] = ACTIONS(1612),
    [anon_sym_thread] = ACTIONS(1612),
    [sym_int_literal] = ACTIONS(1612),
    [sym_float_literal] = ACTIONS(1612),
    [sym_rune_literal] = ACTIONS(1612),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_array] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_sql] = ACTIONS(1612),
    [anon_sym_mut] = ACTIONS(1612),
    [anon_sym_C] = ACTIONS(1612),
    [anon_sym_JS] = ACTIONS(1612),
    [anon_sym_voidptr] = ACTIONS(1612),
    [anon_sym_byteptr] = ACTIONS(1612),
    [anon_sym_charptr] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_int] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_byte] = ACTIONS(1612),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_rune] = ACTIONS(1612),
    [anon_sym_map] = ACTIONS(1612),
    [anon_sym_mapnode] = ACTIONS(1612),
    [anon_sym_size_t] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_float_literal] = ACTIONS(1612),
    [anon_sym_int_literal] = ACTIONS(1612),
    [anon_sym_IError] = ACTIONS(1612),
    [sym_type_placeholder] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [sym_type_identifier] = ACTIONS(1612),
    [anon_sym_unsafe] = ACTIONS(1612),
    [anon_sym_fn] = ACTIONS(1612),
    [anon_sym_DOLLARif] = ACTIONS(1612),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1612),
    [anon_sym_BANGis] = ACTIONS(1612),
    [anon_sym_match] = ACTIONS(1612),
    [anon_sym_select] = ACTIONS(1612),
    [anon_sym_lock] = ACTIONS(1612),
    [anon_sym_rlock] = ACTIONS(1612),
    [sym__c_string_opening] = ACTIONS(1610),
    [sym__raw_string_opening] = ACTIONS(1610),
    [sym__string_opening] = ACTIONS(1610),
    [sym__comment] = ACTIONS(3),
  },
  [1429] = {
    [sym_comment] = STATE(1429),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_LT_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_AMP_CARET] = ACTIONS(1400),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1400),
    [anon_sym_BANG_EQ] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_LT_EQ] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_GT_EQ] = ACTIONS(1400),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_BANGin] = ACTIONS(1400),
    [anon_sym_AMP_AMP] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1400),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_LF] = ACTIONS(1400),
    [anon_sym_CR] = ACTIONS(1400),
    [anon_sym_CR_LF] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_map_LBRACK] = ACTIONS(1400),
    [anon_sym_chan] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_thread] = ACTIONS(1400),
    [sym_int_literal] = ACTIONS(1400),
    [sym_float_literal] = ACTIONS(1400),
    [sym_rune_literal] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_array] = ACTIONS(1400),
    [anon_sym_string] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_sql] = ACTIONS(1400),
    [anon_sym_mut] = ACTIONS(1400),
    [anon_sym_C] = ACTIONS(1400),
    [anon_sym_JS] = ACTIONS(1400),
    [anon_sym_voidptr] = ACTIONS(1400),
    [anon_sym_byteptr] = ACTIONS(1400),
    [anon_sym_charptr] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_int] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_byte] = ACTIONS(1400),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_rune] = ACTIONS(1400),
    [anon_sym_map] = ACTIONS(1400),
    [anon_sym_mapnode] = ACTIONS(1400),
    [anon_sym_size_t] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_float_literal] = ACTIONS(1400),
    [anon_sym_int_literal] = ACTIONS(1400),
    [anon_sym_IError] = ACTIONS(1400),
    [sym_type_placeholder] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [sym_type_identifier] = ACTIONS(1400),
    [anon_sym_unsafe] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym_DOLLARif] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_is] = ACTIONS(1400),
    [anon_sym_BANGis] = ACTIONS(1400),
    [anon_sym_match] = ACTIONS(1400),
    [anon_sym_select] = ACTIONS(1400),
    [anon_sym_lock] = ACTIONS(1400),
    [anon_sym_rlock] = ACTIONS(1400),
    [sym__c_string_opening] = ACTIONS(1398),
    [sym__raw_string_opening] = ACTIONS(1398),
    [sym__string_opening] = ACTIONS(1398),
    [sym__comment] = ACTIONS(3),
  },
  [1430] = {
    [sym_comment] = STATE(1430),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_LT_DASH] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_EQ_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_BANGin] = ACTIONS(1374),
    [anon_sym_AMP_AMP] = ACTIONS(1374),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [sym_none] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_LF] = ACTIONS(1374),
    [anon_sym_CR] = ACTIONS(1374),
    [anon_sym_CR_LF] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_map_LBRACK] = ACTIONS(1374),
    [anon_sym_chan] = ACTIONS(1374),
    [anon_sym_shared] = ACTIONS(1374),
    [anon_sym_thread] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_rune_literal] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_array] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_char] = ACTIONS(1374),
    [anon_sym_sql] = ACTIONS(1374),
    [anon_sym_mut] = ACTIONS(1374),
    [anon_sym_C] = ACTIONS(1374),
    [anon_sym_JS] = ACTIONS(1374),
    [anon_sym_voidptr] = ACTIONS(1374),
    [anon_sym_byteptr] = ACTIONS(1374),
    [anon_sym_charptr] = ACTIONS(1374),
    [anon_sym_i8] = ACTIONS(1374),
    [anon_sym_i16] = ACTIONS(1374),
    [anon_sym_i32] = ACTIONS(1374),
    [anon_sym_int] = ACTIONS(1374),
    [anon_sym_i64] = ACTIONS(1374),
    [anon_sym_byte] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1374),
    [anon_sym_u16] = ACTIONS(1374),
    [anon_sym_u32] = ACTIONS(1374),
    [anon_sym_u64] = ACTIONS(1374),
    [anon_sym_f32] = ACTIONS(1374),
    [anon_sym_f64] = ACTIONS(1374),
    [anon_sym_bool] = ACTIONS(1374),
    [anon_sym_rune] = ACTIONS(1374),
    [anon_sym_map] = ACTIONS(1374),
    [anon_sym_mapnode] = ACTIONS(1374),
    [anon_sym_size_t] = ACTIONS(1374),
    [anon_sym_usize] = ACTIONS(1374),
    [anon_sym_isize] = ACTIONS(1374),
    [anon_sym_float_literal] = ACTIONS(1374),
    [anon_sym_int_literal] = ACTIONS(1374),
    [anon_sym_IError] = ACTIONS(1374),
    [sym_type_placeholder] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [sym_type_identifier] = ACTIONS(1374),
    [anon_sym_unsafe] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym_DOLLARif] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_is] = ACTIONS(1374),
    [anon_sym_BANGis] = ACTIONS(1374),
    [anon_sym_match] = ACTIONS(1374),
    [anon_sym_select] = ACTIONS(1374),
    [anon_sym_lock] = ACTIONS(1374),
    [anon_sym_rlock] = ACTIONS(1374),
    [sym__c_string_opening] = ACTIONS(1372),
    [sym__raw_string_opening] = ACTIONS(1372),
    [sym__string_opening] = ACTIONS(1372),
    [sym__comment] = ACTIONS(3),
  },
  [1431] = {
    [sym_comment] = STATE(1431),
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_CARET] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1562),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_LT_DASH] = ACTIONS(1562),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_PERCENT] = ACTIONS(1562),
    [anon_sym_LT_LT] = ACTIONS(1562),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1562),
    [anon_sym_AMP_CARET] = ACTIONS(1562),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_EQ_EQ] = ACTIONS(1562),
    [anon_sym_BANG_EQ] = ACTIONS(1562),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_LT_EQ] = ACTIONS(1562),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1562),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_BANGin] = ACTIONS(1562),
    [anon_sym_AMP_AMP] = ACTIONS(1562),
    [anon_sym_PIPE_PIPE] = ACTIONS(1562),
    [anon_sym_as] = ACTIONS(1562),
    [anon_sym_COMMA] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_none] = ACTIONS(1562),
    [sym_true] = ACTIONS(1562),
    [sym_false] = ACTIONS(1562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_LF] = ACTIONS(1562),
    [anon_sym_CR] = ACTIONS(1562),
    [anon_sym_CR_LF] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_map_LBRACK] = ACTIONS(1562),
    [anon_sym_chan] = ACTIONS(1562),
    [anon_sym_shared] = ACTIONS(1562),
    [anon_sym_thread] = ACTIONS(1562),
    [sym_int_literal] = ACTIONS(1562),
    [sym_float_literal] = ACTIONS(1562),
    [sym_rune_literal] = ACTIONS(1562),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_array] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_char] = ACTIONS(1562),
    [anon_sym_sql] = ACTIONS(1562),
    [anon_sym_mut] = ACTIONS(1562),
    [anon_sym_C] = ACTIONS(1562),
    [anon_sym_JS] = ACTIONS(1562),
    [anon_sym_voidptr] = ACTIONS(1562),
    [anon_sym_byteptr] = ACTIONS(1562),
    [anon_sym_charptr] = ACTIONS(1562),
    [anon_sym_i8] = ACTIONS(1562),
    [anon_sym_i16] = ACTIONS(1562),
    [anon_sym_i32] = ACTIONS(1562),
    [anon_sym_int] = ACTIONS(1562),
    [anon_sym_i64] = ACTIONS(1562),
    [anon_sym_byte] = ACTIONS(1562),
    [anon_sym_u8] = ACTIONS(1562),
    [anon_sym_u16] = ACTIONS(1562),
    [anon_sym_u32] = ACTIONS(1562),
    [anon_sym_u64] = ACTIONS(1562),
    [anon_sym_f32] = ACTIONS(1562),
    [anon_sym_f64] = ACTIONS(1562),
    [anon_sym_bool] = ACTIONS(1562),
    [anon_sym_rune] = ACTIONS(1562),
    [anon_sym_map] = ACTIONS(1562),
    [anon_sym_mapnode] = ACTIONS(1562),
    [anon_sym_size_t] = ACTIONS(1562),
    [anon_sym_usize] = ACTIONS(1562),
    [anon_sym_isize] = ACTIONS(1562),
    [anon_sym_float_literal] = ACTIONS(1562),
    [anon_sym_int_literal] = ACTIONS(1562),
    [anon_sym_IError] = ACTIONS(1562),
    [sym_type_placeholder] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [sym_type_identifier] = ACTIONS(1562),
    [anon_sym_unsafe] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym_DOLLARif] = ACTIONS(1562),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_is] = ACTIONS(1562),
    [anon_sym_BANGis] = ACTIONS(1562),
    [anon_sym_match] = ACTIONS(1562),
    [anon_sym_select] = ACTIONS(1562),
    [anon_sym_lock] = ACTIONS(1562),
    [anon_sym_rlock] = ACTIONS(1562),
    [sym__c_string_opening] = ACTIONS(1560),
    [sym__raw_string_opening] = ACTIONS(1560),
    [sym__string_opening] = ACTIONS(1560),
    [sym__comment] = ACTIONS(3),
  },
  [1432] = {
    [sym_comment] = STATE(1432),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_STAR] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1104),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_AMP_CARET] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1104),
    [anon_sym_BANG_EQ] = ACTIONS(1104),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1104),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1104),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1104),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE_PIPE] = ACTIONS(1104),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(1104),
    [anon_sym_CR] = ACTIONS(1104),
    [anon_sym_CR_LF] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_map_LBRACK] = ACTIONS(1104),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1104),
    [sym_rune_literal] = ACTIONS(1104),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_DOLLARif] = ACTIONS(1104),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1104),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1433] = {
    [sym_comment] = STATE(1433),
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_LT_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_GT_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_BANGin] = ACTIONS(1502),
    [anon_sym_AMP_AMP] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [sym_none] = ACTIONS(1502),
    [sym_true] = ACTIONS(1502),
    [sym_false] = ACTIONS(1502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_LF] = ACTIONS(1502),
    [anon_sym_CR] = ACTIONS(1502),
    [anon_sym_CR_LF] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_map_LBRACK] = ACTIONS(1502),
    [anon_sym_chan] = ACTIONS(1502),
    [anon_sym_shared] = ACTIONS(1502),
    [anon_sym_thread] = ACTIONS(1502),
    [sym_int_literal] = ACTIONS(1502),
    [sym_float_literal] = ACTIONS(1502),
    [sym_rune_literal] = ACTIONS(1502),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_array] = ACTIONS(1502),
    [anon_sym_string] = ACTIONS(1502),
    [anon_sym_char] = ACTIONS(1502),
    [anon_sym_sql] = ACTIONS(1502),
    [anon_sym_mut] = ACTIONS(1502),
    [anon_sym_C] = ACTIONS(1502),
    [anon_sym_JS] = ACTIONS(1502),
    [anon_sym_voidptr] = ACTIONS(1502),
    [anon_sym_byteptr] = ACTIONS(1502),
    [anon_sym_charptr] = ACTIONS(1502),
    [anon_sym_i8] = ACTIONS(1502),
    [anon_sym_i16] = ACTIONS(1502),
    [anon_sym_i32] = ACTIONS(1502),
    [anon_sym_int] = ACTIONS(1502),
    [anon_sym_i64] = ACTIONS(1502),
    [anon_sym_byte] = ACTIONS(1502),
    [anon_sym_u8] = ACTIONS(1502),
    [anon_sym_u16] = ACTIONS(1502),
    [anon_sym_u32] = ACTIONS(1502),
    [anon_sym_u64] = ACTIONS(1502),
    [anon_sym_f32] = ACTIONS(1502),
    [anon_sym_f64] = ACTIONS(1502),
    [anon_sym_bool] = ACTIONS(1502),
    [anon_sym_rune] = ACTIONS(1502),
    [anon_sym_map] = ACTIONS(1502),
    [anon_sym_mapnode] = ACTIONS(1502),
    [anon_sym_size_t] = ACTIONS(1502),
    [anon_sym_usize] = ACTIONS(1502),
    [anon_sym_isize] = ACTIONS(1502),
    [anon_sym_float_literal] = ACTIONS(1502),
    [anon_sym_int_literal] = ACTIONS(1502),
    [anon_sym_IError] = ACTIONS(1502),
    [sym_type_placeholder] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [sym_type_identifier] = ACTIONS(1502),
    [anon_sym_unsafe] = ACTIONS(1502),
    [anon_sym_fn] = ACTIONS(1502),
    [anon_sym_DOLLARif] = ACTIONS(1502),
    [anon_sym_if] = ACTIONS(1502),
    [anon_sym_is] = ACTIONS(1502),
    [anon_sym_BANGis] = ACTIONS(1502),
    [anon_sym_match] = ACTIONS(1502),
    [anon_sym_select] = ACTIONS(1502),
    [anon_sym_lock] = ACTIONS(1502),
    [anon_sym_rlock] = ACTIONS(1502),
    [sym__c_string_opening] = ACTIONS(1500),
    [sym__raw_string_opening] = ACTIONS(1500),
    [sym__string_opening] = ACTIONS(1500),
    [sym__comment] = ACTIONS(3),
  },
  [1434] = {
    [sym_comment] = STATE(1434),
    [sym_identifier] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PERCENT] = ACTIONS(1494),
    [anon_sym_LT_LT] = ACTIONS(1494),
    [anon_sym_GT_GT] = ACTIONS(1494),
    [anon_sym_GT_GT_GT] = ACTIONS(1494),
    [anon_sym_AMP_CARET] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(1494),
    [anon_sym_BANGin] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_as] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [sym_none] = ACTIONS(1494),
    [sym_true] = ACTIONS(1494),
    [sym_false] = ACTIONS(1494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_LF] = ACTIONS(1494),
    [anon_sym_CR] = ACTIONS(1494),
    [anon_sym_CR_LF] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_map_LBRACK] = ACTIONS(1494),
    [anon_sym_chan] = ACTIONS(1494),
    [anon_sym_shared] = ACTIONS(1494),
    [anon_sym_thread] = ACTIONS(1494),
    [sym_int_literal] = ACTIONS(1494),
    [sym_float_literal] = ACTIONS(1494),
    [sym_rune_literal] = ACTIONS(1494),
    [anon_sym_DOT] = ACTIONS(1494),
    [anon_sym_array] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_char] = ACTIONS(1494),
    [anon_sym_sql] = ACTIONS(1494),
    [anon_sym_mut] = ACTIONS(1494),
    [anon_sym_C] = ACTIONS(1494),
    [anon_sym_JS] = ACTIONS(1494),
    [anon_sym_voidptr] = ACTIONS(1494),
    [anon_sym_byteptr] = ACTIONS(1494),
    [anon_sym_charptr] = ACTIONS(1494),
    [anon_sym_i8] = ACTIONS(1494),
    [anon_sym_i16] = ACTIONS(1494),
    [anon_sym_i32] = ACTIONS(1494),
    [anon_sym_int] = ACTIONS(1494),
    [anon_sym_i64] = ACTIONS(1494),
    [anon_sym_byte] = ACTIONS(1494),
    [anon_sym_u8] = ACTIONS(1494),
    [anon_sym_u16] = ACTIONS(1494),
    [anon_sym_u32] = ACTIONS(1494),
    [anon_sym_u64] = ACTIONS(1494),
    [anon_sym_f32] = ACTIONS(1494),
    [anon_sym_f64] = ACTIONS(1494),
    [anon_sym_bool] = ACTIONS(1494),
    [anon_sym_rune] = ACTIONS(1494),
    [anon_sym_map] = ACTIONS(1494),
    [anon_sym_mapnode] = ACTIONS(1494),
    [anon_sym_size_t] = ACTIONS(1494),
    [anon_sym_usize] = ACTIONS(1494),
    [anon_sym_isize] = ACTIONS(1494),
    [anon_sym_float_literal] = ACTIONS(1494),
    [anon_sym_int_literal] = ACTIONS(1494),
    [anon_sym_IError] = ACTIONS(1494),
    [sym_type_placeholder] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym_type_identifier] = ACTIONS(1494),
    [anon_sym_unsafe] = ACTIONS(1494),
    [anon_sym_fn] = ACTIONS(1494),
    [anon_sym_DOLLARif] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_is] = ACTIONS(1494),
    [anon_sym_BANGis] = ACTIONS(1494),
    [anon_sym_match] = ACTIONS(1494),
    [anon_sym_select] = ACTIONS(1494),
    [anon_sym_lock] = ACTIONS(1494),
    [anon_sym_rlock] = ACTIONS(1494),
    [sym__c_string_opening] = ACTIONS(1492),
    [sym__raw_string_opening] = ACTIONS(1492),
    [sym__string_opening] = ACTIONS(1492),
    [sym__comment] = ACTIONS(3),
  },
  [1435] = {
    [sym_comment] = STATE(1435),
    [aux_sym_sum_type_list_repeat1] = STATE(1435),
    [ts_builtin_sym_end] = ACTIONS(3774),
    [sym_identifier] = ACTIONS(3776),
    [anon_sym_LPAREN] = ACTIONS(3774),
    [anon_sym_PLUS] = ACTIONS(3774),
    [anon_sym_DASH] = ACTIONS(3774),
    [anon_sym_BANG] = ACTIONS(3774),
    [anon_sym_TILDE] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3774),
    [anon_sym_STAR] = ACTIONS(3774),
    [anon_sym_AMP] = ACTIONS(3774),
    [anon_sym_LT_DASH] = ACTIONS(3774),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_DOLLAR] = ACTIONS(3776),
    [sym_none] = ACTIONS(3776),
    [sym_true] = ACTIONS(3776),
    [sym_false] = ACTIONS(3776),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_map_LBRACK] = ACTIONS(3774),
    [anon_sym_chan] = ACTIONS(3776),
    [anon_sym_shared] = ACTIONS(3776),
    [anon_sym_thread] = ACTIONS(3776),
    [sym_int_literal] = ACTIONS(3776),
    [sym_float_literal] = ACTIONS(3774),
    [sym_rune_literal] = ACTIONS(3774),
    [anon_sym_DOT] = ACTIONS(3776),
    [anon_sym_array] = ACTIONS(3776),
    [anon_sym_string] = ACTIONS(3776),
    [anon_sym_char] = ACTIONS(3776),
    [anon_sym_sql] = ACTIONS(3776),
    [anon_sym_mut] = ACTIONS(3776),
    [anon_sym_C] = ACTIONS(3776),
    [anon_sym_JS] = ACTIONS(3776),
    [anon_sym_voidptr] = ACTIONS(3776),
    [anon_sym_byteptr] = ACTIONS(3776),
    [anon_sym_charptr] = ACTIONS(3776),
    [anon_sym_i8] = ACTIONS(3776),
    [anon_sym_i16] = ACTIONS(3776),
    [anon_sym_i32] = ACTIONS(3776),
    [anon_sym_int] = ACTIONS(3776),
    [anon_sym_i64] = ACTIONS(3776),
    [anon_sym_byte] = ACTIONS(3776),
    [anon_sym_u8] = ACTIONS(3776),
    [anon_sym_u16] = ACTIONS(3776),
    [anon_sym_u32] = ACTIONS(3776),
    [anon_sym_u64] = ACTIONS(3776),
    [anon_sym_f32] = ACTIONS(3776),
    [anon_sym_f64] = ACTIONS(3776),
    [anon_sym_bool] = ACTIONS(3776),
    [anon_sym_rune] = ACTIONS(3776),
    [anon_sym_map] = ACTIONS(3776),
    [anon_sym_mapnode] = ACTIONS(3776),
    [anon_sym_size_t] = ACTIONS(3776),
    [anon_sym_usize] = ACTIONS(3776),
    [anon_sym_isize] = ACTIONS(3776),
    [anon_sym_float_literal] = ACTIONS(3776),
    [anon_sym_int_literal] = ACTIONS(3776),
    [anon_sym_IError] = ACTIONS(3776),
    [sym_type_placeholder] = ACTIONS(3776),
    [anon_sym_AT] = ACTIONS(3776),
    [sym_type_identifier] = ACTIONS(3776),
    [anon_sym_assert] = ACTIONS(3776),
    [anon_sym_defer] = ACTIONS(3776),
    [anon_sym_unsafe] = ACTIONS(3776),
    [anon_sym_pub] = ACTIONS(3776),
    [anon_sym_fn] = ACTIONS(3776),
    [anon_sym___global] = ACTIONS(3776),
    [anon_sym_const] = ACTIONS(3776),
    [anon_sym_asm] = ACTIONS(3776),
    [anon_sym_break] = ACTIONS(3776),
    [anon_sym_continue] = ACTIONS(3776),
    [anon_sym_return] = ACTIONS(3776),
    [anon_sym_type] = ACTIONS(3776),
    [anon_sym_go] = ACTIONS(3776),
    [anon_sym_spawn] = ACTIONS(3776),
    [anon_sym_goto] = ACTIONS(3776),
    [anon_sym_for] = ACTIONS(3776),
    [anon_sym_DOLLARfor] = ACTIONS(3774),
    [anon_sym_DOLLARif] = ACTIONS(3774),
    [anon_sym_if] = ACTIONS(3776),
    [anon_sym_struct] = ACTIONS(3776),
    [anon_sym_union] = ACTIONS(3776),
    [anon_sym_enum] = ACTIONS(3776),
    [anon_sym_interface] = ACTIONS(3776),
    [anon_sym_POUND] = ACTIONS(3774),
    [anon_sym_module] = ACTIONS(3776),
    [anon_sym_import] = ACTIONS(3776),
    [anon_sym_match] = ACTIONS(3776),
    [anon_sym_select] = ACTIONS(3776),
    [anon_sym_lock] = ACTIONS(3776),
    [anon_sym_rlock] = ACTIONS(3776),
    [sym__automatic_separator] = ACTIONS(3774),
    [sym__c_string_opening] = ACTIONS(3774),
    [sym__raw_string_opening] = ACTIONS(3774),
    [sym__string_opening] = ACTIONS(3774),
    [sym__comment] = ACTIONS(3),
  },
  [1436] = {
    [sym_comment] = STATE(1436),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_BANGin] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_as] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [sym_none] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_CR] = ACTIONS(1484),
    [anon_sym_CR_LF] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_map_LBRACK] = ACTIONS(1484),
    [anon_sym_chan] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_thread] = ACTIONS(1484),
    [sym_int_literal] = ACTIONS(1484),
    [sym_float_literal] = ACTIONS(1484),
    [sym_rune_literal] = ACTIONS(1484),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_array] = ACTIONS(1484),
    [anon_sym_string] = ACTIONS(1484),
    [anon_sym_char] = ACTIONS(1484),
    [anon_sym_sql] = ACTIONS(1484),
    [anon_sym_mut] = ACTIONS(1484),
    [anon_sym_C] = ACTIONS(1484),
    [anon_sym_JS] = ACTIONS(1484),
    [anon_sym_voidptr] = ACTIONS(1484),
    [anon_sym_byteptr] = ACTIONS(1484),
    [anon_sym_charptr] = ACTIONS(1484),
    [anon_sym_i8] = ACTIONS(1484),
    [anon_sym_i16] = ACTIONS(1484),
    [anon_sym_i32] = ACTIONS(1484),
    [anon_sym_int] = ACTIONS(1484),
    [anon_sym_i64] = ACTIONS(1484),
    [anon_sym_byte] = ACTIONS(1484),
    [anon_sym_u8] = ACTIONS(1484),
    [anon_sym_u16] = ACTIONS(1484),
    [anon_sym_u32] = ACTIONS(1484),
    [anon_sym_u64] = ACTIONS(1484),
    [anon_sym_f32] = ACTIONS(1484),
    [anon_sym_f64] = ACTIONS(1484),
    [anon_sym_bool] = ACTIONS(1484),
    [anon_sym_rune] = ACTIONS(1484),
    [anon_sym_map] = ACTIONS(1484),
    [anon_sym_mapnode] = ACTIONS(1484),
    [anon_sym_size_t] = ACTIONS(1484),
    [anon_sym_usize] = ACTIONS(1484),
    [anon_sym_isize] = ACTIONS(1484),
    [anon_sym_float_literal] = ACTIONS(1484),
    [anon_sym_int_literal] = ACTIONS(1484),
    [anon_sym_IError] = ACTIONS(1484),
    [sym_type_placeholder] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym_type_identifier] = ACTIONS(1484),
    [anon_sym_unsafe] = ACTIONS(1484),
    [anon_sym_fn] = ACTIONS(1484),
    [anon_sym_DOLLARif] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1484),
    [anon_sym_BANGis] = ACTIONS(1484),
    [anon_sym_match] = ACTIONS(1484),
    [anon_sym_select] = ACTIONS(1484),
    [anon_sym_lock] = ACTIONS(1484),
    [anon_sym_rlock] = ACTIONS(1484),
    [sym__c_string_opening] = ACTIONS(1482),
    [sym__raw_string_opening] = ACTIONS(1482),
    [sym__string_opening] = ACTIONS(1482),
    [sym__comment] = ACTIONS(3),
  },
  [1437] = {
    [sym_comment] = STATE(1437),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1184),
    [anon_sym_LT_DASH] = ACTIONS(1184),
    [anon_sym_PIPE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1184),
    [sym_none] = ACTIONS(1186),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [sym_int_literal] = ACTIONS(1186),
    [sym_float_literal] = ACTIONS(1184),
    [sym_rune_literal] = ACTIONS(1184),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_sql] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_assert] = ACTIONS(1186),
    [anon_sym_defer] = ACTIONS(1186),
    [anon_sym_unsafe] = ACTIONS(1186),
    [anon_sym_pub] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym___global] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_go] = ACTIONS(1186),
    [anon_sym_spawn] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_DOLLARfor] = ACTIONS(1184),
    [anon_sym_DOLLARif] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_struct] = ACTIONS(1186),
    [anon_sym_union] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1186),
    [anon_sym_interface] = ACTIONS(1186),
    [anon_sym_POUND] = ACTIONS(1184),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1186),
    [anon_sym_match] = ACTIONS(1186),
    [anon_sym_select] = ACTIONS(1186),
    [anon_sym_lock] = ACTIONS(1186),
    [anon_sym_rlock] = ACTIONS(1186),
    [sym__automatic_separator] = ACTIONS(1184),
    [sym__c_string_opening] = ACTIONS(1184),
    [sym__raw_string_opening] = ACTIONS(1184),
    [sym__string_opening] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1438] = {
    [sym_comment] = STATE(1438),
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_LT_DASH] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1138),
    [sym_none] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [sym_int_literal] = ACTIONS(1140),
    [sym_float_literal] = ACTIONS(1138),
    [sym_rune_literal] = ACTIONS(1138),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_sql] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_assert] = ACTIONS(1140),
    [anon_sym_defer] = ACTIONS(1140),
    [anon_sym_unsafe] = ACTIONS(1140),
    [anon_sym_pub] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym___global] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_type] = ACTIONS(1140),
    [anon_sym_go] = ACTIONS(1140),
    [anon_sym_spawn] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_DOLLARfor] = ACTIONS(1138),
    [anon_sym_DOLLARif] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_struct] = ACTIONS(1140),
    [anon_sym_union] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1140),
    [anon_sym_interface] = ACTIONS(1140),
    [anon_sym_POUND] = ACTIONS(1138),
    [anon_sym_module] = ACTIONS(1140),
    [anon_sym_import] = ACTIONS(1140),
    [anon_sym_match] = ACTIONS(1140),
    [anon_sym_select] = ACTIONS(1140),
    [anon_sym_lock] = ACTIONS(1140),
    [anon_sym_rlock] = ACTIONS(1140),
    [sym__automatic_separator] = ACTIONS(1138),
    [sym__c_string_opening] = ACTIONS(1138),
    [sym__raw_string_opening] = ACTIONS(1138),
    [sym__string_opening] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1439] = {
    [sym_comment] = STATE(1439),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PERCENT] = ACTIONS(1476),
    [anon_sym_LT_LT] = ACTIONS(1476),
    [anon_sym_GT_GT] = ACTIONS(1476),
    [anon_sym_GT_GT_GT] = ACTIONS(1476),
    [anon_sym_AMP_CARET] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_BANGin] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_as] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [sym_none] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_LF] = ACTIONS(1476),
    [anon_sym_CR] = ACTIONS(1476),
    [anon_sym_CR_LF] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_map_LBRACK] = ACTIONS(1476),
    [anon_sym_chan] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_thread] = ACTIONS(1476),
    [sym_int_literal] = ACTIONS(1476),
    [sym_float_literal] = ACTIONS(1476),
    [sym_rune_literal] = ACTIONS(1476),
    [anon_sym_DOT] = ACTIONS(1476),
    [anon_sym_array] = ACTIONS(1476),
    [anon_sym_string] = ACTIONS(1476),
    [anon_sym_char] = ACTIONS(1476),
    [anon_sym_sql] = ACTIONS(1476),
    [anon_sym_mut] = ACTIONS(1476),
    [anon_sym_C] = ACTIONS(1476),
    [anon_sym_JS] = ACTIONS(1476),
    [anon_sym_voidptr] = ACTIONS(1476),
    [anon_sym_byteptr] = ACTIONS(1476),
    [anon_sym_charptr] = ACTIONS(1476),
    [anon_sym_i8] = ACTIONS(1476),
    [anon_sym_i16] = ACTIONS(1476),
    [anon_sym_i32] = ACTIONS(1476),
    [anon_sym_int] = ACTIONS(1476),
    [anon_sym_i64] = ACTIONS(1476),
    [anon_sym_byte] = ACTIONS(1476),
    [anon_sym_u8] = ACTIONS(1476),
    [anon_sym_u16] = ACTIONS(1476),
    [anon_sym_u32] = ACTIONS(1476),
    [anon_sym_u64] = ACTIONS(1476),
    [anon_sym_f32] = ACTIONS(1476),
    [anon_sym_f64] = ACTIONS(1476),
    [anon_sym_bool] = ACTIONS(1476),
    [anon_sym_rune] = ACTIONS(1476),
    [anon_sym_map] = ACTIONS(1476),
    [anon_sym_mapnode] = ACTIONS(1476),
    [anon_sym_size_t] = ACTIONS(1476),
    [anon_sym_usize] = ACTIONS(1476),
    [anon_sym_isize] = ACTIONS(1476),
    [anon_sym_float_literal] = ACTIONS(1476),
    [anon_sym_int_literal] = ACTIONS(1476),
    [anon_sym_IError] = ACTIONS(1476),
    [sym_type_placeholder] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym_type_identifier] = ACTIONS(1476),
    [anon_sym_unsafe] = ACTIONS(1476),
    [anon_sym_fn] = ACTIONS(1476),
    [anon_sym_DOLLARif] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_is] = ACTIONS(1476),
    [anon_sym_BANGis] = ACTIONS(1476),
    [anon_sym_match] = ACTIONS(1476),
    [anon_sym_select] = ACTIONS(1476),
    [anon_sym_lock] = ACTIONS(1476),
    [anon_sym_rlock] = ACTIONS(1476),
    [sym__c_string_opening] = ACTIONS(1474),
    [sym__raw_string_opening] = ACTIONS(1474),
    [sym__string_opening] = ACTIONS(1474),
    [sym__comment] = ACTIONS(3),
  },
  [1440] = {
    [sym_comment] = STATE(1440),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_GT_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1454),
    [anon_sym_BANGin] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_as] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [sym_none] = ACTIONS(1454),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_LF] = ACTIONS(1454),
    [anon_sym_CR] = ACTIONS(1454),
    [anon_sym_CR_LF] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_map_LBRACK] = ACTIONS(1454),
    [anon_sym_chan] = ACTIONS(1454),
    [anon_sym_shared] = ACTIONS(1454),
    [anon_sym_thread] = ACTIONS(1454),
    [sym_int_literal] = ACTIONS(1454),
    [sym_float_literal] = ACTIONS(1454),
    [sym_rune_literal] = ACTIONS(1454),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_array] = ACTIONS(1454),
    [anon_sym_string] = ACTIONS(1454),
    [anon_sym_char] = ACTIONS(1454),
    [anon_sym_sql] = ACTIONS(1454),
    [anon_sym_mut] = ACTIONS(1454),
    [anon_sym_C] = ACTIONS(1454),
    [anon_sym_JS] = ACTIONS(1454),
    [anon_sym_voidptr] = ACTIONS(1454),
    [anon_sym_byteptr] = ACTIONS(1454),
    [anon_sym_charptr] = ACTIONS(1454),
    [anon_sym_i8] = ACTIONS(1454),
    [anon_sym_i16] = ACTIONS(1454),
    [anon_sym_i32] = ACTIONS(1454),
    [anon_sym_int] = ACTIONS(1454),
    [anon_sym_i64] = ACTIONS(1454),
    [anon_sym_byte] = ACTIONS(1454),
    [anon_sym_u8] = ACTIONS(1454),
    [anon_sym_u16] = ACTIONS(1454),
    [anon_sym_u32] = ACTIONS(1454),
    [anon_sym_u64] = ACTIONS(1454),
    [anon_sym_f32] = ACTIONS(1454),
    [anon_sym_f64] = ACTIONS(1454),
    [anon_sym_bool] = ACTIONS(1454),
    [anon_sym_rune] = ACTIONS(1454),
    [anon_sym_map] = ACTIONS(1454),
    [anon_sym_mapnode] = ACTIONS(1454),
    [anon_sym_size_t] = ACTIONS(1454),
    [anon_sym_usize] = ACTIONS(1454),
    [anon_sym_isize] = ACTIONS(1454),
    [anon_sym_float_literal] = ACTIONS(1454),
    [anon_sym_int_literal] = ACTIONS(1454),
    [anon_sym_IError] = ACTIONS(1454),
    [sym_type_placeholder] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym_type_identifier] = ACTIONS(1454),
    [anon_sym_unsafe] = ACTIONS(1454),
    [anon_sym_fn] = ACTIONS(1454),
    [anon_sym_DOLLARif] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_is] = ACTIONS(1454),
    [anon_sym_BANGis] = ACTIONS(1454),
    [anon_sym_match] = ACTIONS(1454),
    [anon_sym_select] = ACTIONS(1454),
    [anon_sym_lock] = ACTIONS(1454),
    [anon_sym_rlock] = ACTIONS(1454),
    [sym__c_string_opening] = ACTIONS(1452),
    [sym__raw_string_opening] = ACTIONS(1452),
    [sym__string_opening] = ACTIONS(1452),
    [sym__comment] = ACTIONS(3),
  },
  [1441] = {
    [sym_comment] = STATE(1441),
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_LT_DASH] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_BANGin] = ACTIONS(1450),
    [anon_sym_AMP_AMP] = ACTIONS(1450),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_as] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [sym_none] = ACTIONS(1450),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_LF] = ACTIONS(1450),
    [anon_sym_CR] = ACTIONS(1450),
    [anon_sym_CR_LF] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_map_LBRACK] = ACTIONS(1450),
    [anon_sym_chan] = ACTIONS(1450),
    [anon_sym_shared] = ACTIONS(1450),
    [anon_sym_thread] = ACTIONS(1450),
    [sym_int_literal] = ACTIONS(1450),
    [sym_float_literal] = ACTIONS(1450),
    [sym_rune_literal] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1450),
    [anon_sym_array] = ACTIONS(1450),
    [anon_sym_string] = ACTIONS(1450),
    [anon_sym_char] = ACTIONS(1450),
    [anon_sym_sql] = ACTIONS(1450),
    [anon_sym_mut] = ACTIONS(1450),
    [anon_sym_C] = ACTIONS(1450),
    [anon_sym_JS] = ACTIONS(1450),
    [anon_sym_voidptr] = ACTIONS(1450),
    [anon_sym_byteptr] = ACTIONS(1450),
    [anon_sym_charptr] = ACTIONS(1450),
    [anon_sym_i8] = ACTIONS(1450),
    [anon_sym_i16] = ACTIONS(1450),
    [anon_sym_i32] = ACTIONS(1450),
    [anon_sym_int] = ACTIONS(1450),
    [anon_sym_i64] = ACTIONS(1450),
    [anon_sym_byte] = ACTIONS(1450),
    [anon_sym_u8] = ACTIONS(1450),
    [anon_sym_u16] = ACTIONS(1450),
    [anon_sym_u32] = ACTIONS(1450),
    [anon_sym_u64] = ACTIONS(1450),
    [anon_sym_f32] = ACTIONS(1450),
    [anon_sym_f64] = ACTIONS(1450),
    [anon_sym_bool] = ACTIONS(1450),
    [anon_sym_rune] = ACTIONS(1450),
    [anon_sym_map] = ACTIONS(1450),
    [anon_sym_mapnode] = ACTIONS(1450),
    [anon_sym_size_t] = ACTIONS(1450),
    [anon_sym_usize] = ACTIONS(1450),
    [anon_sym_isize] = ACTIONS(1450),
    [anon_sym_float_literal] = ACTIONS(1450),
    [anon_sym_int_literal] = ACTIONS(1450),
    [anon_sym_IError] = ACTIONS(1450),
    [sym_type_placeholder] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [sym_type_identifier] = ACTIONS(1450),
    [anon_sym_unsafe] = ACTIONS(1450),
    [anon_sym_fn] = ACTIONS(1450),
    [anon_sym_DOLLARif] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_is] = ACTIONS(1450),
    [anon_sym_BANGis] = ACTIONS(1450),
    [anon_sym_match] = ACTIONS(1450),
    [anon_sym_select] = ACTIONS(1450),
    [anon_sym_lock] = ACTIONS(1450),
    [anon_sym_rlock] = ACTIONS(1450),
    [sym__c_string_opening] = ACTIONS(1448),
    [sym__raw_string_opening] = ACTIONS(1448),
    [sym__string_opening] = ACTIONS(1448),
    [sym__comment] = ACTIONS(3),
  },
  [1442] = {
    [sym_comment] = STATE(1442),
    [sym_identifier] = ACTIONS(3781),
    [anon_sym_LPAREN] = ACTIONS(3781),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_BANG] = ACTIONS(3781),
    [anon_sym_TILDE] = ACTIONS(3781),
    [anon_sym_CARET] = ACTIONS(3781),
    [anon_sym_STAR] = ACTIONS(3781),
    [anon_sym_AMP] = ACTIONS(3781),
    [anon_sym_LT_DASH] = ACTIONS(3781),
    [anon_sym_SLASH] = ACTIONS(3783),
    [anon_sym_PERCENT] = ACTIONS(3783),
    [anon_sym_LT_LT] = ACTIONS(3783),
    [anon_sym_GT_GT] = ACTIONS(3783),
    [anon_sym_GT_GT_GT] = ACTIONS(3783),
    [anon_sym_AMP_CARET] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3785),
    [anon_sym_EQ_EQ] = ACTIONS(3787),
    [anon_sym_BANG_EQ] = ACTIONS(3787),
    [anon_sym_LT] = ACTIONS(3787),
    [anon_sym_LT_EQ] = ACTIONS(3787),
    [anon_sym_GT] = ACTIONS(3787),
    [anon_sym_GT_EQ] = ACTIONS(3787),
    [anon_sym_in] = ACTIONS(3787),
    [anon_sym_BANGin] = ACTIONS(3787),
    [anon_sym_AMP_AMP] = ACTIONS(3789),
    [anon_sym_PIPE_PIPE] = ACTIONS(3791),
    [anon_sym_as] = ACTIONS(3793),
    [anon_sym_COMMA] = ACTIONS(3781),
    [anon_sym_DOLLAR] = ACTIONS(3781),
    [sym_none] = ACTIONS(3781),
    [sym_true] = ACTIONS(3781),
    [sym_false] = ACTIONS(3781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(3781),
    [anon_sym_LF] = ACTIONS(3781),
    [anon_sym_CR] = ACTIONS(3781),
    [anon_sym_CR_LF] = ACTIONS(3781),
    [anon_sym_RBRACE] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_map_LBRACK] = ACTIONS(3781),
    [anon_sym_chan] = ACTIONS(3781),
    [anon_sym_shared] = ACTIONS(3781),
    [anon_sym_thread] = ACTIONS(3781),
    [sym_int_literal] = ACTIONS(3781),
    [sym_float_literal] = ACTIONS(3781),
    [sym_rune_literal] = ACTIONS(3781),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_array] = ACTIONS(3781),
    [anon_sym_string] = ACTIONS(3781),
    [anon_sym_char] = ACTIONS(3781),
    [anon_sym_sql] = ACTIONS(3781),
    [anon_sym_mut] = ACTIONS(3781),
    [anon_sym_C] = ACTIONS(3781),
    [anon_sym_JS] = ACTIONS(3781),
    [anon_sym_voidptr] = ACTIONS(3781),
    [anon_sym_byteptr] = ACTIONS(3781),
    [anon_sym_charptr] = ACTIONS(3781),
    [anon_sym_i8] = ACTIONS(3781),
    [anon_sym_i16] = ACTIONS(3781),
    [anon_sym_i32] = ACTIONS(3781),
    [anon_sym_int] = ACTIONS(3781),
    [anon_sym_i64] = ACTIONS(3781),
    [anon_sym_byte] = ACTIONS(3781),
    [anon_sym_u8] = ACTIONS(3781),
    [anon_sym_u16] = ACTIONS(3781),
    [anon_sym_u32] = ACTIONS(3781),
    [anon_sym_u64] = ACTIONS(3781),
    [anon_sym_f32] = ACTIONS(3781),
    [anon_sym_f64] = ACTIONS(3781),
    [anon_sym_bool] = ACTIONS(3781),
    [anon_sym_rune] = ACTIONS(3781),
    [anon_sym_map] = ACTIONS(3781),
    [anon_sym_mapnode] = ACTIONS(3781),
    [anon_sym_size_t] = ACTIONS(3781),
    [anon_sym_usize] = ACTIONS(3781),
    [anon_sym_isize] = ACTIONS(3781),
    [anon_sym_float_literal] = ACTIONS(3781),
    [anon_sym_int_literal] = ACTIONS(3781),
    [anon_sym_IError] = ACTIONS(3781),
    [sym_type_placeholder] = ACTIONS(3781),
    [anon_sym_AT] = ACTIONS(3781),
    [sym_type_identifier] = ACTIONS(3781),
    [anon_sym_unsafe] = ACTIONS(3781),
    [anon_sym_fn] = ACTIONS(3781),
    [anon_sym_DOLLARif] = ACTIONS(3781),
    [anon_sym_if] = ACTIONS(3781),
    [anon_sym_is] = ACTIONS(3795),
    [anon_sym_BANGis] = ACTIONS(3795),
    [anon_sym_match] = ACTIONS(3781),
    [anon_sym_select] = ACTIONS(3781),
    [anon_sym_lock] = ACTIONS(3781),
    [anon_sym_rlock] = ACTIONS(3781),
    [sym__c_string_opening] = ACTIONS(3797),
    [sym__raw_string_opening] = ACTIONS(3797),
    [sym__string_opening] = ACTIONS(3797),
    [sym__comment] = ACTIONS(3),
  },
  [1443] = {
    [sym_comment] = STATE(1443),
    [sym_identifier] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_CARET] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_LT_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(1336),
    [anon_sym_PERCENT] = ACTIONS(1336),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_GT_GT_GT] = ACTIONS(1336),
    [anon_sym_AMP_CARET] = ACTIONS(1336),
    [anon_sym_PIPE] = ACTIONS(1336),
    [anon_sym_EQ_EQ] = ACTIONS(1336),
    [anon_sym_BANG_EQ] = ACTIONS(1336),
    [anon_sym_LT] = ACTIONS(1336),
    [anon_sym_LT_EQ] = ACTIONS(1336),
    [anon_sym_GT] = ACTIONS(1336),
    [anon_sym_GT_EQ] = ACTIONS(1336),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_BANGin] = ACTIONS(1336),
    [anon_sym_AMP_AMP] = ACTIONS(1336),
    [anon_sym_PIPE_PIPE] = ACTIONS(1336),
    [anon_sym_as] = ACTIONS(1336),
    [anon_sym_COMMA] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [sym_none] = ACTIONS(1336),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_LF] = ACTIONS(1336),
    [anon_sym_CR] = ACTIONS(1336),
    [anon_sym_CR_LF] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_map_LBRACK] = ACTIONS(1336),
    [anon_sym_chan] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_thread] = ACTIONS(1336),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1336),
    [sym_rune_literal] = ACTIONS(1336),
    [anon_sym_DOT] = ACTIONS(1336),
    [anon_sym_array] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_char] = ACTIONS(1336),
    [anon_sym_sql] = ACTIONS(1336),
    [anon_sym_mut] = ACTIONS(1336),
    [anon_sym_C] = ACTIONS(1336),
    [anon_sym_JS] = ACTIONS(1336),
    [anon_sym_voidptr] = ACTIONS(1336),
    [anon_sym_byteptr] = ACTIONS(1336),
    [anon_sym_charptr] = ACTIONS(1336),
    [anon_sym_i8] = ACTIONS(1336),
    [anon_sym_i16] = ACTIONS(1336),
    [anon_sym_i32] = ACTIONS(1336),
    [anon_sym_int] = ACTIONS(1336),
    [anon_sym_i64] = ACTIONS(1336),
    [anon_sym_byte] = ACTIONS(1336),
    [anon_sym_u8] = ACTIONS(1336),
    [anon_sym_u16] = ACTIONS(1336),
    [anon_sym_u32] = ACTIONS(1336),
    [anon_sym_u64] = ACTIONS(1336),
    [anon_sym_f32] = ACTIONS(1336),
    [anon_sym_f64] = ACTIONS(1336),
    [anon_sym_bool] = ACTIONS(1336),
    [anon_sym_rune] = ACTIONS(1336),
    [anon_sym_map] = ACTIONS(1336),
    [anon_sym_mapnode] = ACTIONS(1336),
    [anon_sym_size_t] = ACTIONS(1336),
    [anon_sym_usize] = ACTIONS(1336),
    [anon_sym_isize] = ACTIONS(1336),
    [anon_sym_float_literal] = ACTIONS(1336),
    [anon_sym_int_literal] = ACTIONS(1336),
    [anon_sym_IError] = ACTIONS(1336),
    [sym_type_placeholder] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [sym_type_identifier] = ACTIONS(1336),
    [anon_sym_unsafe] = ACTIONS(1336),
    [anon_sym_fn] = ACTIONS(1336),
    [anon_sym_DOLLARif] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_is] = ACTIONS(1336),
    [anon_sym_BANGis] = ACTIONS(1336),
    [anon_sym_match] = ACTIONS(1336),
    [anon_sym_select] = ACTIONS(1336),
    [anon_sym_lock] = ACTIONS(1336),
    [anon_sym_rlock] = ACTIONS(1336),
    [sym__c_string_opening] = ACTIONS(1334),
    [sym__raw_string_opening] = ACTIONS(1334),
    [sym__string_opening] = ACTIONS(1334),
    [sym__comment] = ACTIONS(3),
  },
  [1444] = {
    [sym_comment] = STATE(1444),
    [sym_identifier] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_CARET] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_LT_DASH] = ACTIONS(1342),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PERCENT] = ACTIONS(1342),
    [anon_sym_LT_LT] = ACTIONS(1342),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_GT_GT_GT] = ACTIONS(1342),
    [anon_sym_AMP_CARET] = ACTIONS(1342),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_EQ_EQ] = ACTIONS(1342),
    [anon_sym_BANG_EQ] = ACTIONS(1342),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_LT_EQ] = ACTIONS(1342),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1342),
    [anon_sym_in] = ACTIONS(1342),
    [anon_sym_BANGin] = ACTIONS(1342),
    [anon_sym_AMP_AMP] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1342),
    [anon_sym_as] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [sym_none] = ACTIONS(1342),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_LF] = ACTIONS(1342),
    [anon_sym_CR] = ACTIONS(1342),
    [anon_sym_CR_LF] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_map_LBRACK] = ACTIONS(1342),
    [anon_sym_chan] = ACTIONS(1342),
    [anon_sym_shared] = ACTIONS(1342),
    [anon_sym_thread] = ACTIONS(1342),
    [sym_int_literal] = ACTIONS(1342),
    [sym_float_literal] = ACTIONS(1342),
    [sym_rune_literal] = ACTIONS(1342),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_array] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_char] = ACTIONS(1342),
    [anon_sym_sql] = ACTIONS(1342),
    [anon_sym_mut] = ACTIONS(1342),
    [anon_sym_C] = ACTIONS(1342),
    [anon_sym_JS] = ACTIONS(1342),
    [anon_sym_voidptr] = ACTIONS(1342),
    [anon_sym_byteptr] = ACTIONS(1342),
    [anon_sym_charptr] = ACTIONS(1342),
    [anon_sym_i8] = ACTIONS(1342),
    [anon_sym_i16] = ACTIONS(1342),
    [anon_sym_i32] = ACTIONS(1342),
    [anon_sym_int] = ACTIONS(1342),
    [anon_sym_i64] = ACTIONS(1342),
    [anon_sym_byte] = ACTIONS(1342),
    [anon_sym_u8] = ACTIONS(1342),
    [anon_sym_u16] = ACTIONS(1342),
    [anon_sym_u32] = ACTIONS(1342),
    [anon_sym_u64] = ACTIONS(1342),
    [anon_sym_f32] = ACTIONS(1342),
    [anon_sym_f64] = ACTIONS(1342),
    [anon_sym_bool] = ACTIONS(1342),
    [anon_sym_rune] = ACTIONS(1342),
    [anon_sym_map] = ACTIONS(1342),
    [anon_sym_mapnode] = ACTIONS(1342),
    [anon_sym_size_t] = ACTIONS(1342),
    [anon_sym_usize] = ACTIONS(1342),
    [anon_sym_isize] = ACTIONS(1342),
    [anon_sym_float_literal] = ACTIONS(1342),
    [anon_sym_int_literal] = ACTIONS(1342),
    [anon_sym_IError] = ACTIONS(1342),
    [sym_type_placeholder] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [sym_type_identifier] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1342),
    [anon_sym_fn] = ACTIONS(1342),
    [anon_sym_DOLLARif] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_is] = ACTIONS(1342),
    [anon_sym_BANGis] = ACTIONS(1342),
    [anon_sym_match] = ACTIONS(1342),
    [anon_sym_select] = ACTIONS(1342),
    [anon_sym_lock] = ACTIONS(1342),
    [anon_sym_rlock] = ACTIONS(1342),
    [sym__c_string_opening] = ACTIONS(1340),
    [sym__raw_string_opening] = ACTIONS(1340),
    [sym__string_opening] = ACTIONS(1340),
    [sym__comment] = ACTIONS(3),
  },
  [1445] = {
    [sym_comment] = STATE(1445),
    [sym_identifier] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_LT_DASH] = ACTIONS(1346),
    [anon_sym_SLASH] = ACTIONS(1346),
    [anon_sym_PERCENT] = ACTIONS(1346),
    [anon_sym_LT_LT] = ACTIONS(1346),
    [anon_sym_GT_GT] = ACTIONS(1346),
    [anon_sym_GT_GT_GT] = ACTIONS(1346),
    [anon_sym_AMP_CARET] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_EQ_EQ] = ACTIONS(1346),
    [anon_sym_BANG_EQ] = ACTIONS(1346),
    [anon_sym_LT] = ACTIONS(1346),
    [anon_sym_LT_EQ] = ACTIONS(1346),
    [anon_sym_GT] = ACTIONS(1346),
    [anon_sym_GT_EQ] = ACTIONS(1346),
    [anon_sym_in] = ACTIONS(1346),
    [anon_sym_BANGin] = ACTIONS(1346),
    [anon_sym_AMP_AMP] = ACTIONS(1346),
    [anon_sym_PIPE_PIPE] = ACTIONS(1346),
    [anon_sym_as] = ACTIONS(1346),
    [anon_sym_COMMA] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [sym_none] = ACTIONS(1346),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_LF] = ACTIONS(1346),
    [anon_sym_CR] = ACTIONS(1346),
    [anon_sym_CR_LF] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_map_LBRACK] = ACTIONS(1346),
    [anon_sym_chan] = ACTIONS(1346),
    [anon_sym_shared] = ACTIONS(1346),
    [anon_sym_thread] = ACTIONS(1346),
    [sym_int_literal] = ACTIONS(1346),
    [sym_float_literal] = ACTIONS(1346),
    [sym_rune_literal] = ACTIONS(1346),
    [anon_sym_DOT] = ACTIONS(1346),
    [anon_sym_array] = ACTIONS(1346),
    [anon_sym_string] = ACTIONS(1346),
    [anon_sym_char] = ACTIONS(1346),
    [anon_sym_sql] = ACTIONS(1346),
    [anon_sym_mut] = ACTIONS(1346),
    [anon_sym_C] = ACTIONS(1346),
    [anon_sym_JS] = ACTIONS(1346),
    [anon_sym_voidptr] = ACTIONS(1346),
    [anon_sym_byteptr] = ACTIONS(1346),
    [anon_sym_charptr] = ACTIONS(1346),
    [anon_sym_i8] = ACTIONS(1346),
    [anon_sym_i16] = ACTIONS(1346),
    [anon_sym_i32] = ACTIONS(1346),
    [anon_sym_int] = ACTIONS(1346),
    [anon_sym_i64] = ACTIONS(1346),
    [anon_sym_byte] = ACTIONS(1346),
    [anon_sym_u8] = ACTIONS(1346),
    [anon_sym_u16] = ACTIONS(1346),
    [anon_sym_u32] = ACTIONS(1346),
    [anon_sym_u64] = ACTIONS(1346),
    [anon_sym_f32] = ACTIONS(1346),
    [anon_sym_f64] = ACTIONS(1346),
    [anon_sym_bool] = ACTIONS(1346),
    [anon_sym_rune] = ACTIONS(1346),
    [anon_sym_map] = ACTIONS(1346),
    [anon_sym_mapnode] = ACTIONS(1346),
    [anon_sym_size_t] = ACTIONS(1346),
    [anon_sym_usize] = ACTIONS(1346),
    [anon_sym_isize] = ACTIONS(1346),
    [anon_sym_float_literal] = ACTIONS(1346),
    [anon_sym_int_literal] = ACTIONS(1346),
    [anon_sym_IError] = ACTIONS(1346),
    [sym_type_placeholder] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [sym_type_identifier] = ACTIONS(1346),
    [anon_sym_unsafe] = ACTIONS(1346),
    [anon_sym_fn] = ACTIONS(1346),
    [anon_sym_DOLLARif] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_is] = ACTIONS(1346),
    [anon_sym_BANGis] = ACTIONS(1346),
    [anon_sym_match] = ACTIONS(1346),
    [anon_sym_select] = ACTIONS(1346),
    [anon_sym_lock] = ACTIONS(1346),
    [anon_sym_rlock] = ACTIONS(1346),
    [sym__c_string_opening] = ACTIONS(1344),
    [sym__raw_string_opening] = ACTIONS(1344),
    [sym__string_opening] = ACTIONS(1344),
    [sym__comment] = ACTIONS(3),
  },
  [1446] = {
    [sym_comment] = STATE(1446),
    [sym_identifier] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_LT_DASH] = ACTIONS(1362),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_LT_LT] = ACTIONS(1362),
    [anon_sym_GT_GT] = ACTIONS(1362),
    [anon_sym_GT_GT_GT] = ACTIONS(1362),
    [anon_sym_AMP_CARET] = ACTIONS(1362),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_EQ_EQ] = ACTIONS(1362),
    [anon_sym_BANG_EQ] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_LT_EQ] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_GT_EQ] = ACTIONS(1362),
    [anon_sym_in] = ACTIONS(1362),
    [anon_sym_BANGin] = ACTIONS(1362),
    [anon_sym_AMP_AMP] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1362),
    [anon_sym_as] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [sym_none] = ACTIONS(1362),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_LF] = ACTIONS(1362),
    [anon_sym_CR] = ACTIONS(1362),
    [anon_sym_CR_LF] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_map_LBRACK] = ACTIONS(1362),
    [anon_sym_chan] = ACTIONS(1362),
    [anon_sym_shared] = ACTIONS(1362),
    [anon_sym_thread] = ACTIONS(1362),
    [sym_int_literal] = ACTIONS(1362),
    [sym_float_literal] = ACTIONS(1362),
    [sym_rune_literal] = ACTIONS(1362),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_array] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_char] = ACTIONS(1362),
    [anon_sym_sql] = ACTIONS(1362),
    [anon_sym_mut] = ACTIONS(1362),
    [anon_sym_C] = ACTIONS(1362),
    [anon_sym_JS] = ACTIONS(1362),
    [anon_sym_voidptr] = ACTIONS(1362),
    [anon_sym_byteptr] = ACTIONS(1362),
    [anon_sym_charptr] = ACTIONS(1362),
    [anon_sym_i8] = ACTIONS(1362),
    [anon_sym_i16] = ACTIONS(1362),
    [anon_sym_i32] = ACTIONS(1362),
    [anon_sym_int] = ACTIONS(1362),
    [anon_sym_i64] = ACTIONS(1362),
    [anon_sym_byte] = ACTIONS(1362),
    [anon_sym_u8] = ACTIONS(1362),
    [anon_sym_u16] = ACTIONS(1362),
    [anon_sym_u32] = ACTIONS(1362),
    [anon_sym_u64] = ACTIONS(1362),
    [anon_sym_f32] = ACTIONS(1362),
    [anon_sym_f64] = ACTIONS(1362),
    [anon_sym_bool] = ACTIONS(1362),
    [anon_sym_rune] = ACTIONS(1362),
    [anon_sym_map] = ACTIONS(1362),
    [anon_sym_mapnode] = ACTIONS(1362),
    [anon_sym_size_t] = ACTIONS(1362),
    [anon_sym_usize] = ACTIONS(1362),
    [anon_sym_isize] = ACTIONS(1362),
    [anon_sym_float_literal] = ACTIONS(1362),
    [anon_sym_int_literal] = ACTIONS(1362),
    [anon_sym_IError] = ACTIONS(1362),
    [sym_type_placeholder] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [sym_type_identifier] = ACTIONS(1362),
    [anon_sym_unsafe] = ACTIONS(1362),
    [anon_sym_fn] = ACTIONS(1362),
    [anon_sym_DOLLARif] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_is] = ACTIONS(1362),
    [anon_sym_BANGis] = ACTIONS(1362),
    [anon_sym_match] = ACTIONS(1362),
    [anon_sym_select] = ACTIONS(1362),
    [anon_sym_lock] = ACTIONS(1362),
    [anon_sym_rlock] = ACTIONS(1362),
    [sym__c_string_opening] = ACTIONS(1360),
    [sym__raw_string_opening] = ACTIONS(1360),
    [sym__string_opening] = ACTIONS(1360),
    [sym__comment] = ACTIONS(3),
  },
  [1447] = {
    [sym_comment] = STATE(1447),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_GT_GT_GT] = ACTIONS(1416),
    [anon_sym_AMP_CARET] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_BANGin] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [sym_none] = ACTIONS(1416),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_LF] = ACTIONS(1416),
    [anon_sym_CR] = ACTIONS(1416),
    [anon_sym_CR_LF] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_map_LBRACK] = ACTIONS(1416),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_thread] = ACTIONS(1416),
    [sym_int_literal] = ACTIONS(1416),
    [sym_float_literal] = ACTIONS(1416),
    [sym_rune_literal] = ACTIONS(1416),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_array] = ACTIONS(1416),
    [anon_sym_string] = ACTIONS(1416),
    [anon_sym_char] = ACTIONS(1416),
    [anon_sym_sql] = ACTIONS(1416),
    [anon_sym_mut] = ACTIONS(1416),
    [anon_sym_C] = ACTIONS(1416),
    [anon_sym_JS] = ACTIONS(1416),
    [anon_sym_voidptr] = ACTIONS(1416),
    [anon_sym_byteptr] = ACTIONS(1416),
    [anon_sym_charptr] = ACTIONS(1416),
    [anon_sym_i8] = ACTIONS(1416),
    [anon_sym_i16] = ACTIONS(1416),
    [anon_sym_i32] = ACTIONS(1416),
    [anon_sym_int] = ACTIONS(1416),
    [anon_sym_i64] = ACTIONS(1416),
    [anon_sym_byte] = ACTIONS(1416),
    [anon_sym_u8] = ACTIONS(1416),
    [anon_sym_u16] = ACTIONS(1416),
    [anon_sym_u32] = ACTIONS(1416),
    [anon_sym_u64] = ACTIONS(1416),
    [anon_sym_f32] = ACTIONS(1416),
    [anon_sym_f64] = ACTIONS(1416),
    [anon_sym_bool] = ACTIONS(1416),
    [anon_sym_rune] = ACTIONS(1416),
    [anon_sym_map] = ACTIONS(1416),
    [anon_sym_mapnode] = ACTIONS(1416),
    [anon_sym_size_t] = ACTIONS(1416),
    [anon_sym_usize] = ACTIONS(1416),
    [anon_sym_isize] = ACTIONS(1416),
    [anon_sym_float_literal] = ACTIONS(1416),
    [anon_sym_int_literal] = ACTIONS(1416),
    [anon_sym_IError] = ACTIONS(1416),
    [sym_type_placeholder] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym_type_identifier] = ACTIONS(1416),
    [anon_sym_unsafe] = ACTIONS(1416),
    [anon_sym_fn] = ACTIONS(1416),
    [anon_sym_DOLLARif] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1416),
    [anon_sym_BANGis] = ACTIONS(1416),
    [anon_sym_match] = ACTIONS(1416),
    [anon_sym_select] = ACTIONS(1416),
    [anon_sym_lock] = ACTIONS(1416),
    [anon_sym_rlock] = ACTIONS(1416),
    [sym__c_string_opening] = ACTIONS(1414),
    [sym__raw_string_opening] = ACTIONS(1414),
    [sym__string_opening] = ACTIONS(1414),
    [sym__comment] = ACTIONS(3),
  },
  [1448] = {
    [sym_option_propagator] = STATE(1770),
    [sym_or_block] = STATE(1771),
    [sym_comment] = STATE(1448),
    [sym_identifier] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_BANG] = ACTIONS(3753),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_CARET] = ACTIONS(863),
    [anon_sym_STAR] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(865),
    [anon_sym_LT_DASH] = ACTIONS(863),
    [anon_sym_SLASH] = ACTIONS(863),
    [anon_sym_PERCENT] = ACTIONS(863),
    [anon_sym_LT_LT] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(865),
    [anon_sym_GT_GT_GT] = ACTIONS(863),
    [anon_sym_AMP_CARET] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(863),
    [anon_sym_BANG_EQ] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(863),
    [anon_sym_in] = ACTIONS(865),
    [anon_sym_BANGin] = ACTIONS(863),
    [anon_sym_AMP_AMP] = ACTIONS(863),
    [anon_sym_PIPE_PIPE] = ACTIONS(863),
    [anon_sym_as] = ACTIONS(865),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOLLAR] = ACTIONS(865),
    [anon_sym_QMARK] = ACTIONS(3755),
    [anon_sym_or] = ACTIONS(3757),
    [sym_none] = ACTIONS(865),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(863),
    [anon_sym_map_LBRACK] = ACTIONS(863),
    [anon_sym_chan] = ACTIONS(865),
    [anon_sym_shared] = ACTIONS(865),
    [anon_sym_thread] = ACTIONS(865),
    [sym_int_literal] = ACTIONS(865),
    [sym_float_literal] = ACTIONS(863),
    [sym_rune_literal] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_array] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_char] = ACTIONS(865),
    [anon_sym_sql] = ACTIONS(865),
    [anon_sym_mut] = ACTIONS(865),
    [anon_sym_C] = ACTIONS(865),
    [anon_sym_JS] = ACTIONS(865),
    [anon_sym_voidptr] = ACTIONS(865),
    [anon_sym_byteptr] = ACTIONS(865),
    [anon_sym_charptr] = ACTIONS(865),
    [anon_sym_i8] = ACTIONS(865),
    [anon_sym_i16] = ACTIONS(865),
    [anon_sym_i32] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_i64] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_u8] = ACTIONS(865),
    [anon_sym_u16] = ACTIONS(865),
    [anon_sym_u32] = ACTIONS(865),
    [anon_sym_u64] = ACTIONS(865),
    [anon_sym_f32] = ACTIONS(865),
    [anon_sym_f64] = ACTIONS(865),
    [anon_sym_bool] = ACTIONS(865),
    [anon_sym_rune] = ACTIONS(865),
    [anon_sym_map] = ACTIONS(865),
    [anon_sym_mapnode] = ACTIONS(865),
    [anon_sym_size_t] = ACTIONS(865),
    [anon_sym_usize] = ACTIONS(865),
    [anon_sym_isize] = ACTIONS(865),
    [anon_sym_float_literal] = ACTIONS(865),
    [anon_sym_int_literal] = ACTIONS(865),
    [anon_sym_IError] = ACTIONS(865),
    [sym_type_placeholder] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(865),
    [sym_type_identifier] = ACTIONS(865),
    [anon_sym_unsafe] = ACTIONS(865),
    [anon_sym_fn] = ACTIONS(865),
    [anon_sym_DOLLARif] = ACTIONS(863),
    [anon_sym_if] = ACTIONS(865),
    [anon_sym_is] = ACTIONS(865),
    [anon_sym_BANGis] = ACTIONS(863),
    [anon_sym_match] = ACTIONS(865),
    [anon_sym_select] = ACTIONS(865),
    [anon_sym_lock] = ACTIONS(865),
    [anon_sym_rlock] = ACTIONS(865),
    [sym__c_string_opening] = ACTIONS(863),
    [sym__raw_string_opening] = ACTIONS(863),
    [sym__string_opening] = ACTIONS(863),
    [sym__comment] = ACTIONS(3),
  },
  [1449] = {
    [sym_special_argument_list] = STATE(1448),
    [sym_comment] = STATE(1449),
    [sym_argument_list] = STATE(1450),
    [sym_type_parameters] = STATE(4369),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1450] = {
    [sym_option_propagator] = STATE(1769),
    [sym_or_block] = STATE(1771),
    [sym_comment] = STATE(1450),
    [sym_identifier] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(873),
    [anon_sym_PLUS] = ACTIONS(873),
    [anon_sym_DASH] = ACTIONS(873),
    [anon_sym_BANG] = ACTIONS(3753),
    [anon_sym_TILDE] = ACTIONS(873),
    [anon_sym_CARET] = ACTIONS(873),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_SLASH] = ACTIONS(873),
    [anon_sym_PERCENT] = ACTIONS(873),
    [anon_sym_LT_LT] = ACTIONS(873),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_GT_GT_GT] = ACTIONS(873),
    [anon_sym_AMP_CARET] = ACTIONS(873),
    [anon_sym_PIPE] = ACTIONS(875),
    [anon_sym_EQ_EQ] = ACTIONS(873),
    [anon_sym_BANG_EQ] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(873),
    [anon_sym_GT] = ACTIONS(875),
    [anon_sym_GT_EQ] = ACTIONS(873),
    [anon_sym_in] = ACTIONS(875),
    [anon_sym_BANGin] = ACTIONS(873),
    [anon_sym_AMP_AMP] = ACTIONS(873),
    [anon_sym_PIPE_PIPE] = ACTIONS(873),
    [anon_sym_as] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(873),
    [anon_sym_DOLLAR] = ACTIONS(875),
    [anon_sym_QMARK] = ACTIONS(3755),
    [anon_sym_or] = ACTIONS(3757),
    [sym_none] = ACTIONS(875),
    [sym_true] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_RBRACK] = ACTIONS(873),
    [anon_sym_map_LBRACK] = ACTIONS(873),
    [anon_sym_chan] = ACTIONS(875),
    [anon_sym_shared] = ACTIONS(875),
    [anon_sym_thread] = ACTIONS(875),
    [sym_int_literal] = ACTIONS(875),
    [sym_float_literal] = ACTIONS(873),
    [sym_rune_literal] = ACTIONS(873),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_array] = ACTIONS(875),
    [anon_sym_string] = ACTIONS(875),
    [anon_sym_char] = ACTIONS(875),
    [anon_sym_sql] = ACTIONS(875),
    [anon_sym_mut] = ACTIONS(875),
    [anon_sym_C] = ACTIONS(875),
    [anon_sym_JS] = ACTIONS(875),
    [anon_sym_voidptr] = ACTIONS(875),
    [anon_sym_byteptr] = ACTIONS(875),
    [anon_sym_charptr] = ACTIONS(875),
    [anon_sym_i8] = ACTIONS(875),
    [anon_sym_i16] = ACTIONS(875),
    [anon_sym_i32] = ACTIONS(875),
    [anon_sym_int] = ACTIONS(875),
    [anon_sym_i64] = ACTIONS(875),
    [anon_sym_byte] = ACTIONS(875),
    [anon_sym_u8] = ACTIONS(875),
    [anon_sym_u16] = ACTIONS(875),
    [anon_sym_u32] = ACTIONS(875),
    [anon_sym_u64] = ACTIONS(875),
    [anon_sym_f32] = ACTIONS(875),
    [anon_sym_f64] = ACTIONS(875),
    [anon_sym_bool] = ACTIONS(875),
    [anon_sym_rune] = ACTIONS(875),
    [anon_sym_map] = ACTIONS(875),
    [anon_sym_mapnode] = ACTIONS(875),
    [anon_sym_size_t] = ACTIONS(875),
    [anon_sym_usize] = ACTIONS(875),
    [anon_sym_isize] = ACTIONS(875),
    [anon_sym_float_literal] = ACTIONS(875),
    [anon_sym_int_literal] = ACTIONS(875),
    [anon_sym_IError] = ACTIONS(875),
    [sym_type_placeholder] = ACTIONS(875),
    [anon_sym_AT] = ACTIONS(875),
    [sym_type_identifier] = ACTIONS(875),
    [anon_sym_unsafe] = ACTIONS(875),
    [anon_sym_fn] = ACTIONS(875),
    [anon_sym_DOLLARif] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_is] = ACTIONS(875),
    [anon_sym_BANGis] = ACTIONS(873),
    [anon_sym_match] = ACTIONS(875),
    [anon_sym_select] = ACTIONS(875),
    [anon_sym_lock] = ACTIONS(875),
    [anon_sym_rlock] = ACTIONS(875),
    [sym__c_string_opening] = ACTIONS(873),
    [sym__raw_string_opening] = ACTIONS(873),
    [sym__string_opening] = ACTIONS(873),
    [sym__comment] = ACTIONS(3),
  },
  [1451] = {
    [sym_comment] = STATE(1451),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_LT_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_GT_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_BANGin] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_as] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [sym_none] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_LF] = ACTIONS(1516),
    [anon_sym_CR] = ACTIONS(1516),
    [anon_sym_CR_LF] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_map_LBRACK] = ACTIONS(1516),
    [anon_sym_chan] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_thread] = ACTIONS(1516),
    [sym_int_literal] = ACTIONS(1516),
    [sym_float_literal] = ACTIONS(1516),
    [sym_rune_literal] = ACTIONS(1516),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_array] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_char] = ACTIONS(1516),
    [anon_sym_sql] = ACTIONS(1516),
    [anon_sym_mut] = ACTIONS(1516),
    [anon_sym_C] = ACTIONS(1516),
    [anon_sym_JS] = ACTIONS(1516),
    [anon_sym_voidptr] = ACTIONS(1516),
    [anon_sym_byteptr] = ACTIONS(1516),
    [anon_sym_charptr] = ACTIONS(1516),
    [anon_sym_i8] = ACTIONS(1516),
    [anon_sym_i16] = ACTIONS(1516),
    [anon_sym_i32] = ACTIONS(1516),
    [anon_sym_int] = ACTIONS(1516),
    [anon_sym_i64] = ACTIONS(1516),
    [anon_sym_byte] = ACTIONS(1516),
    [anon_sym_u8] = ACTIONS(1516),
    [anon_sym_u16] = ACTIONS(1516),
    [anon_sym_u32] = ACTIONS(1516),
    [anon_sym_u64] = ACTIONS(1516),
    [anon_sym_f32] = ACTIONS(1516),
    [anon_sym_f64] = ACTIONS(1516),
    [anon_sym_bool] = ACTIONS(1516),
    [anon_sym_rune] = ACTIONS(1516),
    [anon_sym_map] = ACTIONS(1516),
    [anon_sym_mapnode] = ACTIONS(1516),
    [anon_sym_size_t] = ACTIONS(1516),
    [anon_sym_usize] = ACTIONS(1516),
    [anon_sym_isize] = ACTIONS(1516),
    [anon_sym_float_literal] = ACTIONS(1516),
    [anon_sym_int_literal] = ACTIONS(1516),
    [anon_sym_IError] = ACTIONS(1516),
    [sym_type_placeholder] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [sym_type_identifier] = ACTIONS(1516),
    [anon_sym_unsafe] = ACTIONS(1516),
    [anon_sym_fn] = ACTIONS(1516),
    [anon_sym_DOLLARif] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_is] = ACTIONS(1516),
    [anon_sym_BANGis] = ACTIONS(1516),
    [anon_sym_match] = ACTIONS(1516),
    [anon_sym_select] = ACTIONS(1516),
    [anon_sym_lock] = ACTIONS(1516),
    [anon_sym_rlock] = ACTIONS(1516),
    [sym__c_string_opening] = ACTIONS(1514),
    [sym__raw_string_opening] = ACTIONS(1514),
    [sym__string_opening] = ACTIONS(1514),
    [sym__comment] = ACTIONS(3),
  },
  [1452] = {
    [sym_comment] = STATE(1452),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_LT_DASH] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(3783),
    [anon_sym_PERCENT] = ACTIONS(3783),
    [anon_sym_LT_LT] = ACTIONS(3783),
    [anon_sym_GT_GT] = ACTIONS(3783),
    [anon_sym_GT_GT_GT] = ACTIONS(3783),
    [anon_sym_AMP_CARET] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1542),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1542),
    [anon_sym_AMP_AMP] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_LF] = ACTIONS(1542),
    [anon_sym_CR] = ACTIONS(1542),
    [anon_sym_CR_LF] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_map_LBRACK] = ACTIONS(1542),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1542),
    [sym_rune_literal] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1453] = {
    [sym_comment] = STATE(1453),
    [aux_sym_expression_list_repeat1] = STATE(1453),
    [ts_builtin_sym_end] = ACTIONS(3310),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_CARET] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym_LT_DASH] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3799),
    [anon_sym_DOLLAR] = ACTIONS(3312),
    [sym_none] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_map_LBRACK] = ACTIONS(3310),
    [anon_sym_chan] = ACTIONS(3312),
    [anon_sym_shared] = ACTIONS(3312),
    [anon_sym_thread] = ACTIONS(3312),
    [sym_int_literal] = ACTIONS(3312),
    [sym_float_literal] = ACTIONS(3310),
    [sym_rune_literal] = ACTIONS(3310),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_array] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_char] = ACTIONS(3312),
    [anon_sym_sql] = ACTIONS(3312),
    [anon_sym_mut] = ACTIONS(3312),
    [anon_sym_C] = ACTIONS(3312),
    [anon_sym_JS] = ACTIONS(3312),
    [anon_sym_voidptr] = ACTIONS(3312),
    [anon_sym_byteptr] = ACTIONS(3312),
    [anon_sym_charptr] = ACTIONS(3312),
    [anon_sym_i8] = ACTIONS(3312),
    [anon_sym_i16] = ACTIONS(3312),
    [anon_sym_i32] = ACTIONS(3312),
    [anon_sym_int] = ACTIONS(3312),
    [anon_sym_i64] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_u8] = ACTIONS(3312),
    [anon_sym_u16] = ACTIONS(3312),
    [anon_sym_u32] = ACTIONS(3312),
    [anon_sym_u64] = ACTIONS(3312),
    [anon_sym_f32] = ACTIONS(3312),
    [anon_sym_f64] = ACTIONS(3312),
    [anon_sym_bool] = ACTIONS(3312),
    [anon_sym_rune] = ACTIONS(3312),
    [anon_sym_map] = ACTIONS(3312),
    [anon_sym_mapnode] = ACTIONS(3312),
    [anon_sym_size_t] = ACTIONS(3312),
    [anon_sym_usize] = ACTIONS(3312),
    [anon_sym_isize] = ACTIONS(3312),
    [anon_sym_float_literal] = ACTIONS(3312),
    [anon_sym_int_literal] = ACTIONS(3312),
    [anon_sym_IError] = ACTIONS(3312),
    [sym_type_placeholder] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [sym_type_identifier] = ACTIONS(3312),
    [anon_sym_assert] = ACTIONS(3312),
    [anon_sym_defer] = ACTIONS(3312),
    [anon_sym_unsafe] = ACTIONS(3312),
    [anon_sym_pub] = ACTIONS(3312),
    [anon_sym_fn] = ACTIONS(3312),
    [anon_sym___global] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_go] = ACTIONS(3312),
    [anon_sym_spawn] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_DOLLARfor] = ACTIONS(3310),
    [anon_sym_DOLLARif] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_POUND] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_match] = ACTIONS(3312),
    [anon_sym_select] = ACTIONS(3312),
    [anon_sym_lock] = ACTIONS(3312),
    [anon_sym_rlock] = ACTIONS(3312),
    [sym__automatic_separator] = ACTIONS(3310),
    [sym__c_string_opening] = ACTIONS(3310),
    [sym__raw_string_opening] = ACTIONS(3310),
    [sym__string_opening] = ACTIONS(3310),
    [sym__comment] = ACTIONS(3),
  },
  [1454] = {
    [sym_comment] = STATE(1454),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_LT_DASH] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1542),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1542),
    [anon_sym_AMP_AMP] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_LF] = ACTIONS(1542),
    [anon_sym_CR] = ACTIONS(1542),
    [anon_sym_CR_LF] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_map_LBRACK] = ACTIONS(1542),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1542),
    [sym_rune_literal] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1455] = {
    [sym_comment] = STATE(1455),
    [aux_sym_sum_type_list_repeat1] = STATE(1435),
    [ts_builtin_sym_end] = ACTIONS(3802),
    [sym_identifier] = ACTIONS(3804),
    [anon_sym_LPAREN] = ACTIONS(3802),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_BANG] = ACTIONS(3802),
    [anon_sym_TILDE] = ACTIONS(3802),
    [anon_sym_CARET] = ACTIONS(3802),
    [anon_sym_STAR] = ACTIONS(3802),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_LT_DASH] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3767),
    [anon_sym_DOLLAR] = ACTIONS(3804),
    [sym_none] = ACTIONS(3804),
    [sym_true] = ACTIONS(3804),
    [sym_false] = ACTIONS(3804),
    [anon_sym_LBRACE] = ACTIONS(3802),
    [anon_sym_LBRACK] = ACTIONS(3802),
    [anon_sym_map_LBRACK] = ACTIONS(3802),
    [anon_sym_chan] = ACTIONS(3804),
    [anon_sym_shared] = ACTIONS(3804),
    [anon_sym_thread] = ACTIONS(3804),
    [sym_int_literal] = ACTIONS(3804),
    [sym_float_literal] = ACTIONS(3802),
    [sym_rune_literal] = ACTIONS(3802),
    [anon_sym_DOT] = ACTIONS(3804),
    [anon_sym_array] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_char] = ACTIONS(3804),
    [anon_sym_sql] = ACTIONS(3804),
    [anon_sym_mut] = ACTIONS(3804),
    [anon_sym_C] = ACTIONS(3804),
    [anon_sym_JS] = ACTIONS(3804),
    [anon_sym_voidptr] = ACTIONS(3804),
    [anon_sym_byteptr] = ACTIONS(3804),
    [anon_sym_charptr] = ACTIONS(3804),
    [anon_sym_i8] = ACTIONS(3804),
    [anon_sym_i16] = ACTIONS(3804),
    [anon_sym_i32] = ACTIONS(3804),
    [anon_sym_int] = ACTIONS(3804),
    [anon_sym_i64] = ACTIONS(3804),
    [anon_sym_byte] = ACTIONS(3804),
    [anon_sym_u8] = ACTIONS(3804),
    [anon_sym_u16] = ACTIONS(3804),
    [anon_sym_u32] = ACTIONS(3804),
    [anon_sym_u64] = ACTIONS(3804),
    [anon_sym_f32] = ACTIONS(3804),
    [anon_sym_f64] = ACTIONS(3804),
    [anon_sym_bool] = ACTIONS(3804),
    [anon_sym_rune] = ACTIONS(3804),
    [anon_sym_map] = ACTIONS(3804),
    [anon_sym_mapnode] = ACTIONS(3804),
    [anon_sym_size_t] = ACTIONS(3804),
    [anon_sym_usize] = ACTIONS(3804),
    [anon_sym_isize] = ACTIONS(3804),
    [anon_sym_float_literal] = ACTIONS(3804),
    [anon_sym_int_literal] = ACTIONS(3804),
    [anon_sym_IError] = ACTIONS(3804),
    [sym_type_placeholder] = ACTIONS(3804),
    [anon_sym_AT] = ACTIONS(3804),
    [sym_type_identifier] = ACTIONS(3804),
    [anon_sym_assert] = ACTIONS(3804),
    [anon_sym_defer] = ACTIONS(3804),
    [anon_sym_unsafe] = ACTIONS(3804),
    [anon_sym_pub] = ACTIONS(3804),
    [anon_sym_fn] = ACTIONS(3804),
    [anon_sym___global] = ACTIONS(3804),
    [anon_sym_const] = ACTIONS(3804),
    [anon_sym_asm] = ACTIONS(3804),
    [anon_sym_break] = ACTIONS(3804),
    [anon_sym_continue] = ACTIONS(3804),
    [anon_sym_return] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_go] = ACTIONS(3804),
    [anon_sym_spawn] = ACTIONS(3804),
    [anon_sym_goto] = ACTIONS(3804),
    [anon_sym_for] = ACTIONS(3804),
    [anon_sym_DOLLARfor] = ACTIONS(3802),
    [anon_sym_DOLLARif] = ACTIONS(3802),
    [anon_sym_if] = ACTIONS(3804),
    [anon_sym_struct] = ACTIONS(3804),
    [anon_sym_union] = ACTIONS(3804),
    [anon_sym_enum] = ACTIONS(3804),
    [anon_sym_interface] = ACTIONS(3804),
    [anon_sym_POUND] = ACTIONS(3802),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_import] = ACTIONS(3804),
    [anon_sym_match] = ACTIONS(3804),
    [anon_sym_select] = ACTIONS(3804),
    [anon_sym_lock] = ACTIONS(3804),
    [anon_sym_rlock] = ACTIONS(3804),
    [sym__automatic_separator] = ACTIONS(3802),
    [sym__c_string_opening] = ACTIONS(3802),
    [sym__raw_string_opening] = ACTIONS(3802),
    [sym__string_opening] = ACTIONS(3802),
    [sym__comment] = ACTIONS(3),
  },
  [1456] = {
    [sym_comment] = STATE(1456),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(3785),
    [anon_sym_DASH] = ACTIONS(3785),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(3785),
    [anon_sym_STAR] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_LT_DASH] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(3783),
    [anon_sym_PERCENT] = ACTIONS(3783),
    [anon_sym_LT_LT] = ACTIONS(3783),
    [anon_sym_GT_GT] = ACTIONS(3783),
    [anon_sym_GT_GT_GT] = ACTIONS(3783),
    [anon_sym_AMP_CARET] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3785),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1542),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1542),
    [anon_sym_AMP_AMP] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_LF] = ACTIONS(1542),
    [anon_sym_CR] = ACTIONS(1542),
    [anon_sym_CR_LF] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_map_LBRACK] = ACTIONS(1542),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1542),
    [sym_rune_literal] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1542),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1457] = {
    [sym_comment] = STATE(1457),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(3785),
    [anon_sym_DASH] = ACTIONS(3785),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(3785),
    [anon_sym_STAR] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_LT_DASH] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(3783),
    [anon_sym_PERCENT] = ACTIONS(3783),
    [anon_sym_LT_LT] = ACTIONS(3783),
    [anon_sym_GT_GT] = ACTIONS(3783),
    [anon_sym_GT_GT_GT] = ACTIONS(3783),
    [anon_sym_AMP_CARET] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3785),
    [anon_sym_EQ_EQ] = ACTIONS(3787),
    [anon_sym_BANG_EQ] = ACTIONS(3787),
    [anon_sym_LT] = ACTIONS(3787),
    [anon_sym_LT_EQ] = ACTIONS(3787),
    [anon_sym_GT] = ACTIONS(3787),
    [anon_sym_GT_EQ] = ACTIONS(3787),
    [anon_sym_in] = ACTIONS(3787),
    [anon_sym_BANGin] = ACTIONS(3787),
    [anon_sym_AMP_AMP] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_LF] = ACTIONS(1542),
    [anon_sym_CR] = ACTIONS(1542),
    [anon_sym_CR_LF] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_map_LBRACK] = ACTIONS(1542),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1542),
    [sym_rune_literal] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3795),
    [anon_sym_BANGis] = ACTIONS(3795),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1458] = {
    [sym_comment] = STATE(1458),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(3785),
    [anon_sym_DASH] = ACTIONS(3785),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(3785),
    [anon_sym_STAR] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_LT_DASH] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(3783),
    [anon_sym_PERCENT] = ACTIONS(3783),
    [anon_sym_LT_LT] = ACTIONS(3783),
    [anon_sym_GT_GT] = ACTIONS(3783),
    [anon_sym_GT_GT_GT] = ACTIONS(3783),
    [anon_sym_AMP_CARET] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3785),
    [anon_sym_EQ_EQ] = ACTIONS(3787),
    [anon_sym_BANG_EQ] = ACTIONS(3787),
    [anon_sym_LT] = ACTIONS(3787),
    [anon_sym_LT_EQ] = ACTIONS(3787),
    [anon_sym_GT] = ACTIONS(3787),
    [anon_sym_GT_EQ] = ACTIONS(3787),
    [anon_sym_in] = ACTIONS(3787),
    [anon_sym_BANGin] = ACTIONS(3787),
    [anon_sym_AMP_AMP] = ACTIONS(3789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_LF] = ACTIONS(1542),
    [anon_sym_CR] = ACTIONS(1542),
    [anon_sym_CR_LF] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_map_LBRACK] = ACTIONS(1542),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1542),
    [sym_rune_literal] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(3795),
    [anon_sym_BANGis] = ACTIONS(3795),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1459] = {
    [sym_comment] = STATE(1459),
    [sym_identifier] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_LT_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1570),
    [anon_sym_AMP_CARET] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1570),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_BANGin] = ACTIONS(1570),
    [anon_sym_AMP_AMP] = ACTIONS(1570),
    [anon_sym_PIPE_PIPE] = ACTIONS(1570),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [sym_none] = ACTIONS(1570),
    [sym_true] = ACTIONS(1570),
    [sym_false] = ACTIONS(1570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_LF] = ACTIONS(1570),
    [anon_sym_CR] = ACTIONS(1570),
    [anon_sym_CR_LF] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_map_LBRACK] = ACTIONS(1570),
    [anon_sym_chan] = ACTIONS(1570),
    [anon_sym_shared] = ACTIONS(1570),
    [anon_sym_thread] = ACTIONS(1570),
    [sym_int_literal] = ACTIONS(1570),
    [sym_float_literal] = ACTIONS(1570),
    [sym_rune_literal] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_array] = ACTIONS(1570),
    [anon_sym_string] = ACTIONS(1570),
    [anon_sym_char] = ACTIONS(1570),
    [anon_sym_sql] = ACTIONS(1570),
    [anon_sym_mut] = ACTIONS(1570),
    [anon_sym_C] = ACTIONS(1570),
    [anon_sym_JS] = ACTIONS(1570),
    [anon_sym_voidptr] = ACTIONS(1570),
    [anon_sym_byteptr] = ACTIONS(1570),
    [anon_sym_charptr] = ACTIONS(1570),
    [anon_sym_i8] = ACTIONS(1570),
    [anon_sym_i16] = ACTIONS(1570),
    [anon_sym_i32] = ACTIONS(1570),
    [anon_sym_int] = ACTIONS(1570),
    [anon_sym_i64] = ACTIONS(1570),
    [anon_sym_byte] = ACTIONS(1570),
    [anon_sym_u8] = ACTIONS(1570),
    [anon_sym_u16] = ACTIONS(1570),
    [anon_sym_u32] = ACTIONS(1570),
    [anon_sym_u64] = ACTIONS(1570),
    [anon_sym_f32] = ACTIONS(1570),
    [anon_sym_f64] = ACTIONS(1570),
    [anon_sym_bool] = ACTIONS(1570),
    [anon_sym_rune] = ACTIONS(1570),
    [anon_sym_map] = ACTIONS(1570),
    [anon_sym_mapnode] = ACTIONS(1570),
    [anon_sym_size_t] = ACTIONS(1570),
    [anon_sym_usize] = ACTIONS(1570),
    [anon_sym_isize] = ACTIONS(1570),
    [anon_sym_float_literal] = ACTIONS(1570),
    [anon_sym_int_literal] = ACTIONS(1570),
    [anon_sym_IError] = ACTIONS(1570),
    [sym_type_placeholder] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [sym_type_identifier] = ACTIONS(1570),
    [anon_sym_unsafe] = ACTIONS(1570),
    [anon_sym_fn] = ACTIONS(1570),
    [anon_sym_DOLLARif] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_is] = ACTIONS(1570),
    [anon_sym_BANGis] = ACTIONS(1570),
    [anon_sym_match] = ACTIONS(1570),
    [anon_sym_select] = ACTIONS(1570),
    [anon_sym_lock] = ACTIONS(1570),
    [anon_sym_rlock] = ACTIONS(1570),
    [sym__c_string_opening] = ACTIONS(1568),
    [sym__raw_string_opening] = ACTIONS(1568),
    [sym__string_opening] = ACTIONS(1568),
    [sym__comment] = ACTIONS(3),
  },
  [1460] = {
    [sym_comment] = STATE(1460),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_CARET] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_LT_DASH] = ACTIONS(1392),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PERCENT] = ACTIONS(1392),
    [anon_sym_LT_LT] = ACTIONS(1392),
    [anon_sym_GT_GT] = ACTIONS(1392),
    [anon_sym_GT_GT_GT] = ACTIONS(1392),
    [anon_sym_AMP_CARET] = ACTIONS(1392),
    [anon_sym_PIPE] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_BANGin] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1392),
    [anon_sym_as] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [sym_none] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_LF] = ACTIONS(1392),
    [anon_sym_CR] = ACTIONS(1392),
    [anon_sym_CR_LF] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_map_LBRACK] = ACTIONS(1392),
    [anon_sym_chan] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_thread] = ACTIONS(1392),
    [sym_int_literal] = ACTIONS(1392),
    [sym_float_literal] = ACTIONS(1392),
    [sym_rune_literal] = ACTIONS(1392),
    [anon_sym_DOT] = ACTIONS(1392),
    [anon_sym_array] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_char] = ACTIONS(1392),
    [anon_sym_sql] = ACTIONS(1392),
    [anon_sym_mut] = ACTIONS(1392),
    [anon_sym_C] = ACTIONS(1392),
    [anon_sym_JS] = ACTIONS(1392),
    [anon_sym_voidptr] = ACTIONS(1392),
    [anon_sym_byteptr] = ACTIONS(1392),
    [anon_sym_charptr] = ACTIONS(1392),
    [anon_sym_i8] = ACTIONS(1392),
    [anon_sym_i16] = ACTIONS(1392),
    [anon_sym_i32] = ACTIONS(1392),
    [anon_sym_int] = ACTIONS(1392),
    [anon_sym_i64] = ACTIONS(1392),
    [anon_sym_byte] = ACTIONS(1392),
    [anon_sym_u8] = ACTIONS(1392),
    [anon_sym_u16] = ACTIONS(1392),
    [anon_sym_u32] = ACTIONS(1392),
    [anon_sym_u64] = ACTIONS(1392),
    [anon_sym_f32] = ACTIONS(1392),
    [anon_sym_f64] = ACTIONS(1392),
    [anon_sym_bool] = ACTIONS(1392),
    [anon_sym_rune] = ACTIONS(1392),
    [anon_sym_map] = ACTIONS(1392),
    [anon_sym_mapnode] = ACTIONS(1392),
    [anon_sym_size_t] = ACTIONS(1392),
    [anon_sym_usize] = ACTIONS(1392),
    [anon_sym_isize] = ACTIONS(1392),
    [anon_sym_float_literal] = ACTIONS(1392),
    [anon_sym_int_literal] = ACTIONS(1392),
    [anon_sym_IError] = ACTIONS(1392),
    [sym_type_placeholder] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [sym_type_identifier] = ACTIONS(1392),
    [anon_sym_unsafe] = ACTIONS(1392),
    [anon_sym_fn] = ACTIONS(1392),
    [anon_sym_DOLLARif] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_is] = ACTIONS(1392),
    [anon_sym_BANGis] = ACTIONS(1392),
    [anon_sym_match] = ACTIONS(1392),
    [anon_sym_select] = ACTIONS(1392),
    [anon_sym_lock] = ACTIONS(1392),
    [anon_sym_rlock] = ACTIONS(1392),
    [sym__c_string_opening] = ACTIONS(1390),
    [sym__raw_string_opening] = ACTIONS(1390),
    [sym__string_opening] = ACTIONS(1390),
    [sym__comment] = ACTIONS(3),
  },
  [1461] = {
    [sym_comment] = STATE(1461),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_CARET] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_LT_DASH] = ACTIONS(1424),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_GT_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1424),
    [anon_sym_BANG_EQ] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [anon_sym_GT_EQ] = ACTIONS(1424),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_BANGin] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_as] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [sym_none] = ACTIONS(1424),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_LF] = ACTIONS(1424),
    [anon_sym_CR] = ACTIONS(1424),
    [anon_sym_CR_LF] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_map_LBRACK] = ACTIONS(1424),
    [anon_sym_chan] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_thread] = ACTIONS(1424),
    [sym_int_literal] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1424),
    [sym_rune_literal] = ACTIONS(1424),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_array] = ACTIONS(1424),
    [anon_sym_string] = ACTIONS(1424),
    [anon_sym_char] = ACTIONS(1424),
    [anon_sym_sql] = ACTIONS(1424),
    [anon_sym_mut] = ACTIONS(1424),
    [anon_sym_C] = ACTIONS(1424),
    [anon_sym_JS] = ACTIONS(1424),
    [anon_sym_voidptr] = ACTIONS(1424),
    [anon_sym_byteptr] = ACTIONS(1424),
    [anon_sym_charptr] = ACTIONS(1424),
    [anon_sym_i8] = ACTIONS(1424),
    [anon_sym_i16] = ACTIONS(1424),
    [anon_sym_i32] = ACTIONS(1424),
    [anon_sym_int] = ACTIONS(1424),
    [anon_sym_i64] = ACTIONS(1424),
    [anon_sym_byte] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1424),
    [anon_sym_u16] = ACTIONS(1424),
    [anon_sym_u32] = ACTIONS(1424),
    [anon_sym_u64] = ACTIONS(1424),
    [anon_sym_f32] = ACTIONS(1424),
    [anon_sym_f64] = ACTIONS(1424),
    [anon_sym_bool] = ACTIONS(1424),
    [anon_sym_rune] = ACTIONS(1424),
    [anon_sym_map] = ACTIONS(1424),
    [anon_sym_mapnode] = ACTIONS(1424),
    [anon_sym_size_t] = ACTIONS(1424),
    [anon_sym_usize] = ACTIONS(1424),
    [anon_sym_isize] = ACTIONS(1424),
    [anon_sym_float_literal] = ACTIONS(1424),
    [anon_sym_int_literal] = ACTIONS(1424),
    [anon_sym_IError] = ACTIONS(1424),
    [sym_type_placeholder] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [sym_type_identifier] = ACTIONS(1424),
    [anon_sym_unsafe] = ACTIONS(1424),
    [anon_sym_fn] = ACTIONS(1424),
    [anon_sym_DOLLARif] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_is] = ACTIONS(1424),
    [anon_sym_BANGis] = ACTIONS(1424),
    [anon_sym_match] = ACTIONS(1424),
    [anon_sym_select] = ACTIONS(1424),
    [anon_sym_lock] = ACTIONS(1424),
    [anon_sym_rlock] = ACTIONS(1424),
    [sym__c_string_opening] = ACTIONS(1422),
    [sym__raw_string_opening] = ACTIONS(1422),
    [sym__string_opening] = ACTIONS(1422),
    [sym__comment] = ACTIONS(3),
  },
  [1462] = {
    [sym_comment] = STATE(1462),
    [sym_identifier] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1378),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_GT_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_in] = ACTIONS(1378),
    [anon_sym_BANGin] = ACTIONS(1378),
    [anon_sym_AMP_AMP] = ACTIONS(1378),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_as] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [sym_none] = ACTIONS(1378),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_LF] = ACTIONS(1378),
    [anon_sym_CR] = ACTIONS(1378),
    [anon_sym_CR_LF] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_map_LBRACK] = ACTIONS(1378),
    [anon_sym_chan] = ACTIONS(1378),
    [anon_sym_shared] = ACTIONS(1378),
    [anon_sym_thread] = ACTIONS(1378),
    [sym_int_literal] = ACTIONS(1378),
    [sym_float_literal] = ACTIONS(1378),
    [sym_rune_literal] = ACTIONS(1378),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_array] = ACTIONS(1378),
    [anon_sym_string] = ACTIONS(1378),
    [anon_sym_char] = ACTIONS(1378),
    [anon_sym_sql] = ACTIONS(1378),
    [anon_sym_mut] = ACTIONS(1378),
    [anon_sym_C] = ACTIONS(1378),
    [anon_sym_JS] = ACTIONS(1378),
    [anon_sym_voidptr] = ACTIONS(1378),
    [anon_sym_byteptr] = ACTIONS(1378),
    [anon_sym_charptr] = ACTIONS(1378),
    [anon_sym_i8] = ACTIONS(1378),
    [anon_sym_i16] = ACTIONS(1378),
    [anon_sym_i32] = ACTIONS(1378),
    [anon_sym_int] = ACTIONS(1378),
    [anon_sym_i64] = ACTIONS(1378),
    [anon_sym_byte] = ACTIONS(1378),
    [anon_sym_u8] = ACTIONS(1378),
    [anon_sym_u16] = ACTIONS(1378),
    [anon_sym_u32] = ACTIONS(1378),
    [anon_sym_u64] = ACTIONS(1378),
    [anon_sym_f32] = ACTIONS(1378),
    [anon_sym_f64] = ACTIONS(1378),
    [anon_sym_bool] = ACTIONS(1378),
    [anon_sym_rune] = ACTIONS(1378),
    [anon_sym_map] = ACTIONS(1378),
    [anon_sym_mapnode] = ACTIONS(1378),
    [anon_sym_size_t] = ACTIONS(1378),
    [anon_sym_usize] = ACTIONS(1378),
    [anon_sym_isize] = ACTIONS(1378),
    [anon_sym_float_literal] = ACTIONS(1378),
    [anon_sym_int_literal] = ACTIONS(1378),
    [anon_sym_IError] = ACTIONS(1378),
    [sym_type_placeholder] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [sym_type_identifier] = ACTIONS(1378),
    [anon_sym_unsafe] = ACTIONS(1378),
    [anon_sym_fn] = ACTIONS(1378),
    [anon_sym_DOLLARif] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_is] = ACTIONS(1378),
    [anon_sym_BANGis] = ACTIONS(1378),
    [anon_sym_match] = ACTIONS(1378),
    [anon_sym_select] = ACTIONS(1378),
    [anon_sym_lock] = ACTIONS(1378),
    [anon_sym_rlock] = ACTIONS(1378),
    [sym__c_string_opening] = ACTIONS(1376),
    [sym__raw_string_opening] = ACTIONS(1376),
    [sym__string_opening] = ACTIONS(1376),
    [sym__comment] = ACTIONS(3),
  },
  [1463] = {
    [sym_comment] = STATE(1463),
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_CARET] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_LT_DASH] = ACTIONS(1420),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PERCENT] = ACTIONS(1420),
    [anon_sym_LT_LT] = ACTIONS(1420),
    [anon_sym_GT_GT] = ACTIONS(1420),
    [anon_sym_GT_GT_GT] = ACTIONS(1420),
    [anon_sym_AMP_CARET] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_BANGin] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1420),
    [anon_sym_as] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [sym_none] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_LF] = ACTIONS(1420),
    [anon_sym_CR] = ACTIONS(1420),
    [anon_sym_CR_LF] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_map_LBRACK] = ACTIONS(1420),
    [anon_sym_chan] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_thread] = ACTIONS(1420),
    [sym_int_literal] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1420),
    [sym_rune_literal] = ACTIONS(1420),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_array] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_char] = ACTIONS(1420),
    [anon_sym_sql] = ACTIONS(1420),
    [anon_sym_mut] = ACTIONS(1420),
    [anon_sym_C] = ACTIONS(1420),
    [anon_sym_JS] = ACTIONS(1420),
    [anon_sym_voidptr] = ACTIONS(1420),
    [anon_sym_byteptr] = ACTIONS(1420),
    [anon_sym_charptr] = ACTIONS(1420),
    [anon_sym_i8] = ACTIONS(1420),
    [anon_sym_i16] = ACTIONS(1420),
    [anon_sym_i32] = ACTIONS(1420),
    [anon_sym_int] = ACTIONS(1420),
    [anon_sym_i64] = ACTIONS(1420),
    [anon_sym_byte] = ACTIONS(1420),
    [anon_sym_u8] = ACTIONS(1420),
    [anon_sym_u16] = ACTIONS(1420),
    [anon_sym_u32] = ACTIONS(1420),
    [anon_sym_u64] = ACTIONS(1420),
    [anon_sym_f32] = ACTIONS(1420),
    [anon_sym_f64] = ACTIONS(1420),
    [anon_sym_bool] = ACTIONS(1420),
    [anon_sym_rune] = ACTIONS(1420),
    [anon_sym_map] = ACTIONS(1420),
    [anon_sym_mapnode] = ACTIONS(1420),
    [anon_sym_size_t] = ACTIONS(1420),
    [anon_sym_usize] = ACTIONS(1420),
    [anon_sym_isize] = ACTIONS(1420),
    [anon_sym_float_literal] = ACTIONS(1420),
    [anon_sym_int_literal] = ACTIONS(1420),
    [anon_sym_IError] = ACTIONS(1420),
    [sym_type_placeholder] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [sym_type_identifier] = ACTIONS(1420),
    [anon_sym_unsafe] = ACTIONS(1420),
    [anon_sym_fn] = ACTIONS(1420),
    [anon_sym_DOLLARif] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_is] = ACTIONS(1420),
    [anon_sym_BANGis] = ACTIONS(1420),
    [anon_sym_match] = ACTIONS(1420),
    [anon_sym_select] = ACTIONS(1420),
    [anon_sym_lock] = ACTIONS(1420),
    [anon_sym_rlock] = ACTIONS(1420),
    [sym__c_string_opening] = ACTIONS(1418),
    [sym__raw_string_opening] = ACTIONS(1418),
    [sym__string_opening] = ACTIONS(1418),
    [sym__comment] = ACTIONS(3),
  },
  [1464] = {
    [sym_comment] = STATE(1464),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_CARET] = ACTIONS(1566),
    [anon_sym_STAR] = ACTIONS(1566),
    [anon_sym_AMP] = ACTIONS(1566),
    [anon_sym_LT_DASH] = ACTIONS(1566),
    [anon_sym_SLASH] = ACTIONS(1566),
    [anon_sym_PERCENT] = ACTIONS(1566),
    [anon_sym_LT_LT] = ACTIONS(1566),
    [anon_sym_GT_GT] = ACTIONS(1566),
    [anon_sym_GT_GT_GT] = ACTIONS(1566),
    [anon_sym_AMP_CARET] = ACTIONS(1566),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_EQ_EQ] = ACTIONS(1566),
    [anon_sym_BANG_EQ] = ACTIONS(1566),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_LT_EQ] = ACTIONS(1566),
    [anon_sym_GT] = ACTIONS(1566),
    [anon_sym_GT_EQ] = ACTIONS(1566),
    [anon_sym_in] = ACTIONS(1566),
    [anon_sym_BANGin] = ACTIONS(1566),
    [anon_sym_AMP_AMP] = ACTIONS(1566),
    [anon_sym_PIPE_PIPE] = ACTIONS(1566),
    [anon_sym_as] = ACTIONS(1566),
    [anon_sym_COMMA] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [sym_none] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [anon_sym_LF] = ACTIONS(1566),
    [anon_sym_CR] = ACTIONS(1566),
    [anon_sym_CR_LF] = ACTIONS(1566),
    [anon_sym_RBRACE] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_map_LBRACK] = ACTIONS(1566),
    [anon_sym_chan] = ACTIONS(1566),
    [anon_sym_shared] = ACTIONS(1566),
    [anon_sym_thread] = ACTIONS(1566),
    [sym_int_literal] = ACTIONS(1566),
    [sym_float_literal] = ACTIONS(1566),
    [sym_rune_literal] = ACTIONS(1566),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_array] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_sql] = ACTIONS(1566),
    [anon_sym_mut] = ACTIONS(1566),
    [anon_sym_C] = ACTIONS(1566),
    [anon_sym_JS] = ACTIONS(1566),
    [anon_sym_voidptr] = ACTIONS(1566),
    [anon_sym_byteptr] = ACTIONS(1566),
    [anon_sym_charptr] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_int] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_byte] = ACTIONS(1566),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_rune] = ACTIONS(1566),
    [anon_sym_map] = ACTIONS(1566),
    [anon_sym_mapnode] = ACTIONS(1566),
    [anon_sym_size_t] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_float_literal] = ACTIONS(1566),
    [anon_sym_int_literal] = ACTIONS(1566),
    [anon_sym_IError] = ACTIONS(1566),
    [sym_type_placeholder] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [sym_type_identifier] = ACTIONS(1566),
    [anon_sym_unsafe] = ACTIONS(1566),
    [anon_sym_fn] = ACTIONS(1566),
    [anon_sym_DOLLARif] = ACTIONS(1566),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_is] = ACTIONS(1566),
    [anon_sym_BANGis] = ACTIONS(1566),
    [anon_sym_match] = ACTIONS(1566),
    [anon_sym_select] = ACTIONS(1566),
    [anon_sym_lock] = ACTIONS(1566),
    [anon_sym_rlock] = ACTIONS(1566),
    [sym__c_string_opening] = ACTIONS(1564),
    [sym__raw_string_opening] = ACTIONS(1564),
    [sym__string_opening] = ACTIONS(1564),
    [sym__comment] = ACTIONS(3),
  },
  [1465] = {
    [sym_comment] = STATE(1465),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_GT_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1458),
    [anon_sym_BANGin] = ACTIONS(1458),
    [anon_sym_AMP_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_as] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [sym_none] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_LF] = ACTIONS(1458),
    [anon_sym_CR] = ACTIONS(1458),
    [anon_sym_CR_LF] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_map_LBRACK] = ACTIONS(1458),
    [anon_sym_chan] = ACTIONS(1458),
    [anon_sym_shared] = ACTIONS(1458),
    [anon_sym_thread] = ACTIONS(1458),
    [sym_int_literal] = ACTIONS(1458),
    [sym_float_literal] = ACTIONS(1458),
    [sym_rune_literal] = ACTIONS(1458),
    [anon_sym_DOT] = ACTIONS(1458),
    [anon_sym_array] = ACTIONS(1458),
    [anon_sym_string] = ACTIONS(1458),
    [anon_sym_char] = ACTIONS(1458),
    [anon_sym_sql] = ACTIONS(1458),
    [anon_sym_mut] = ACTIONS(1458),
    [anon_sym_C] = ACTIONS(1458),
    [anon_sym_JS] = ACTIONS(1458),
    [anon_sym_voidptr] = ACTIONS(1458),
    [anon_sym_byteptr] = ACTIONS(1458),
    [anon_sym_charptr] = ACTIONS(1458),
    [anon_sym_i8] = ACTIONS(1458),
    [anon_sym_i16] = ACTIONS(1458),
    [anon_sym_i32] = ACTIONS(1458),
    [anon_sym_int] = ACTIONS(1458),
    [anon_sym_i64] = ACTIONS(1458),
    [anon_sym_byte] = ACTIONS(1458),
    [anon_sym_u8] = ACTIONS(1458),
    [anon_sym_u16] = ACTIONS(1458),
    [anon_sym_u32] = ACTIONS(1458),
    [anon_sym_u64] = ACTIONS(1458),
    [anon_sym_f32] = ACTIONS(1458),
    [anon_sym_f64] = ACTIONS(1458),
    [anon_sym_bool] = ACTIONS(1458),
    [anon_sym_rune] = ACTIONS(1458),
    [anon_sym_map] = ACTIONS(1458),
    [anon_sym_mapnode] = ACTIONS(1458),
    [anon_sym_size_t] = ACTIONS(1458),
    [anon_sym_usize] = ACTIONS(1458),
    [anon_sym_isize] = ACTIONS(1458),
    [anon_sym_float_literal] = ACTIONS(1458),
    [anon_sym_int_literal] = ACTIONS(1458),
    [anon_sym_IError] = ACTIONS(1458),
    [sym_type_placeholder] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [sym_type_identifier] = ACTIONS(1458),
    [anon_sym_unsafe] = ACTIONS(1458),
    [anon_sym_fn] = ACTIONS(1458),
    [anon_sym_DOLLARif] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1458),
    [anon_sym_BANGis] = ACTIONS(1458),
    [anon_sym_match] = ACTIONS(1458),
    [anon_sym_select] = ACTIONS(1458),
    [anon_sym_lock] = ACTIONS(1458),
    [anon_sym_rlock] = ACTIONS(1458),
    [sym__c_string_opening] = ACTIONS(1456),
    [sym__raw_string_opening] = ACTIONS(1456),
    [sym__string_opening] = ACTIONS(1456),
    [sym__comment] = ACTIONS(3),
  },
  [1466] = {
    [sym_comment] = STATE(1466),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(3806),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(750),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(750),
    [anon_sym_AMP_CARET] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_DOT] = ACTIONS(746),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_COLON_EQ] = ACTIONS(746),
    [anon_sym_STAR_EQ] = ACTIONS(746),
    [anon_sym_SLASH_EQ] = ACTIONS(746),
    [anon_sym_PERCENT_EQ] = ACTIONS(746),
    [anon_sym_LT_LT_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_AMP_EQ] = ACTIONS(746),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(746),
    [anon_sym_PLUS_EQ] = ACTIONS(746),
    [anon_sym_DASH_EQ] = ACTIONS(746),
    [anon_sym_PIPE_EQ] = ACTIONS(746),
    [anon_sym_CARET_EQ] = ACTIONS(746),
    [anon_sym_EQ] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [1467] = {
    [sym_comment] = STATE(1467),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_BANGin] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [sym_none] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_LF] = ACTIONS(1466),
    [anon_sym_CR] = ACTIONS(1466),
    [anon_sym_CR_LF] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_map_LBRACK] = ACTIONS(1466),
    [anon_sym_chan] = ACTIONS(1466),
    [anon_sym_shared] = ACTIONS(1466),
    [anon_sym_thread] = ACTIONS(1466),
    [sym_int_literal] = ACTIONS(1466),
    [sym_float_literal] = ACTIONS(1466),
    [sym_rune_literal] = ACTIONS(1466),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_array] = ACTIONS(1466),
    [anon_sym_string] = ACTIONS(1466),
    [anon_sym_char] = ACTIONS(1466),
    [anon_sym_sql] = ACTIONS(1466),
    [anon_sym_mut] = ACTIONS(1466),
    [anon_sym_C] = ACTIONS(1466),
    [anon_sym_JS] = ACTIONS(1466),
    [anon_sym_voidptr] = ACTIONS(1466),
    [anon_sym_byteptr] = ACTIONS(1466),
    [anon_sym_charptr] = ACTIONS(1466),
    [anon_sym_i8] = ACTIONS(1466),
    [anon_sym_i16] = ACTIONS(1466),
    [anon_sym_i32] = ACTIONS(1466),
    [anon_sym_int] = ACTIONS(1466),
    [anon_sym_i64] = ACTIONS(1466),
    [anon_sym_byte] = ACTIONS(1466),
    [anon_sym_u8] = ACTIONS(1466),
    [anon_sym_u16] = ACTIONS(1466),
    [anon_sym_u32] = ACTIONS(1466),
    [anon_sym_u64] = ACTIONS(1466),
    [anon_sym_f32] = ACTIONS(1466),
    [anon_sym_f64] = ACTIONS(1466),
    [anon_sym_bool] = ACTIONS(1466),
    [anon_sym_rune] = ACTIONS(1466),
    [anon_sym_map] = ACTIONS(1466),
    [anon_sym_mapnode] = ACTIONS(1466),
    [anon_sym_size_t] = ACTIONS(1466),
    [anon_sym_usize] = ACTIONS(1466),
    [anon_sym_isize] = ACTIONS(1466),
    [anon_sym_float_literal] = ACTIONS(1466),
    [anon_sym_int_literal] = ACTIONS(1466),
    [anon_sym_IError] = ACTIONS(1466),
    [sym_type_placeholder] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym_type_identifier] = ACTIONS(1466),
    [anon_sym_unsafe] = ACTIONS(1466),
    [anon_sym_fn] = ACTIONS(1466),
    [anon_sym_DOLLARif] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_is] = ACTIONS(1466),
    [anon_sym_BANGis] = ACTIONS(1466),
    [anon_sym_match] = ACTIONS(1466),
    [anon_sym_select] = ACTIONS(1466),
    [anon_sym_lock] = ACTIONS(1466),
    [anon_sym_rlock] = ACTIONS(1466),
    [sym__c_string_opening] = ACTIONS(1464),
    [sym__raw_string_opening] = ACTIONS(1464),
    [sym__string_opening] = ACTIONS(1464),
    [sym__comment] = ACTIONS(3),
  },
  [1468] = {
    [sym_comment] = STATE(1468),
    [sym_identifier] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_CARET] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_LT_DASH] = ACTIONS(1332),
    [anon_sym_SLASH] = ACTIONS(1332),
    [anon_sym_PERCENT] = ACTIONS(1332),
    [anon_sym_LT_LT] = ACTIONS(1332),
    [anon_sym_GT_GT] = ACTIONS(1332),
    [anon_sym_GT_GT_GT] = ACTIONS(1332),
    [anon_sym_AMP_CARET] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1332),
    [anon_sym_EQ_EQ] = ACTIONS(1332),
    [anon_sym_BANG_EQ] = ACTIONS(1332),
    [anon_sym_LT] = ACTIONS(1332),
    [anon_sym_LT_EQ] = ACTIONS(1332),
    [anon_sym_GT] = ACTIONS(1332),
    [anon_sym_GT_EQ] = ACTIONS(1332),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_BANGin] = ACTIONS(1332),
    [anon_sym_AMP_AMP] = ACTIONS(1332),
    [anon_sym_PIPE_PIPE] = ACTIONS(1332),
    [anon_sym_as] = ACTIONS(1332),
    [anon_sym_COMMA] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [sym_none] = ACTIONS(1332),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_LF] = ACTIONS(1332),
    [anon_sym_CR] = ACTIONS(1332),
    [anon_sym_CR_LF] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_map_LBRACK] = ACTIONS(1332),
    [anon_sym_chan] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_thread] = ACTIONS(1332),
    [sym_int_literal] = ACTIONS(1332),
    [sym_float_literal] = ACTIONS(1332),
    [sym_rune_literal] = ACTIONS(1332),
    [anon_sym_DOT] = ACTIONS(1332),
    [anon_sym_array] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_char] = ACTIONS(1332),
    [anon_sym_sql] = ACTIONS(1332),
    [anon_sym_mut] = ACTIONS(1332),
    [anon_sym_C] = ACTIONS(1332),
    [anon_sym_JS] = ACTIONS(1332),
    [anon_sym_voidptr] = ACTIONS(1332),
    [anon_sym_byteptr] = ACTIONS(1332),
    [anon_sym_charptr] = ACTIONS(1332),
    [anon_sym_i8] = ACTIONS(1332),
    [anon_sym_i16] = ACTIONS(1332),
    [anon_sym_i32] = ACTIONS(1332),
    [anon_sym_int] = ACTIONS(1332),
    [anon_sym_i64] = ACTIONS(1332),
    [anon_sym_byte] = ACTIONS(1332),
    [anon_sym_u8] = ACTIONS(1332),
    [anon_sym_u16] = ACTIONS(1332),
    [anon_sym_u32] = ACTIONS(1332),
    [anon_sym_u64] = ACTIONS(1332),
    [anon_sym_f32] = ACTIONS(1332),
    [anon_sym_f64] = ACTIONS(1332),
    [anon_sym_bool] = ACTIONS(1332),
    [anon_sym_rune] = ACTIONS(1332),
    [anon_sym_map] = ACTIONS(1332),
    [anon_sym_mapnode] = ACTIONS(1332),
    [anon_sym_size_t] = ACTIONS(1332),
    [anon_sym_usize] = ACTIONS(1332),
    [anon_sym_isize] = ACTIONS(1332),
    [anon_sym_float_literal] = ACTIONS(1332),
    [anon_sym_int_literal] = ACTIONS(1332),
    [anon_sym_IError] = ACTIONS(1332),
    [sym_type_placeholder] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [sym_type_identifier] = ACTIONS(1332),
    [anon_sym_unsafe] = ACTIONS(1332),
    [anon_sym_fn] = ACTIONS(1332),
    [anon_sym_DOLLARif] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_is] = ACTIONS(1332),
    [anon_sym_BANGis] = ACTIONS(1332),
    [anon_sym_match] = ACTIONS(1332),
    [anon_sym_select] = ACTIONS(1332),
    [anon_sym_lock] = ACTIONS(1332),
    [anon_sym_rlock] = ACTIONS(1332),
    [sym__c_string_opening] = ACTIONS(1330),
    [sym__raw_string_opening] = ACTIONS(1330),
    [sym__string_opening] = ACTIONS(1330),
    [sym__comment] = ACTIONS(3),
  },
  [1469] = {
    [sym_comment] = STATE(1469),
    [aux_sym_expression_list_repeat1] = STATE(1453),
    [ts_builtin_sym_end] = ACTIONS(3808),
    [sym_identifier] = ACTIONS(3810),
    [anon_sym_LPAREN] = ACTIONS(3808),
    [anon_sym_PLUS] = ACTIONS(3808),
    [anon_sym_DASH] = ACTIONS(3808),
    [anon_sym_BANG] = ACTIONS(3808),
    [anon_sym_TILDE] = ACTIONS(3808),
    [anon_sym_CARET] = ACTIONS(3808),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_AMP] = ACTIONS(3808),
    [anon_sym_LT_DASH] = ACTIONS(3808),
    [anon_sym_COMMA] = ACTIONS(3288),
    [anon_sym_DOLLAR] = ACTIONS(3810),
    [sym_none] = ACTIONS(3810),
    [sym_true] = ACTIONS(3810),
    [sym_false] = ACTIONS(3810),
    [anon_sym_LBRACE] = ACTIONS(3808),
    [anon_sym_LBRACK] = ACTIONS(3808),
    [anon_sym_map_LBRACK] = ACTIONS(3808),
    [anon_sym_chan] = ACTIONS(3810),
    [anon_sym_shared] = ACTIONS(3810),
    [anon_sym_thread] = ACTIONS(3810),
    [sym_int_literal] = ACTIONS(3810),
    [sym_float_literal] = ACTIONS(3808),
    [sym_rune_literal] = ACTIONS(3808),
    [anon_sym_DOT] = ACTIONS(3810),
    [anon_sym_array] = ACTIONS(3810),
    [anon_sym_string] = ACTIONS(3810),
    [anon_sym_char] = ACTIONS(3810),
    [anon_sym_sql] = ACTIONS(3810),
    [anon_sym_mut] = ACTIONS(3810),
    [anon_sym_C] = ACTIONS(3810),
    [anon_sym_JS] = ACTIONS(3810),
    [anon_sym_voidptr] = ACTIONS(3810),
    [anon_sym_byteptr] = ACTIONS(3810),
    [anon_sym_charptr] = ACTIONS(3810),
    [anon_sym_i8] = ACTIONS(3810),
    [anon_sym_i16] = ACTIONS(3810),
    [anon_sym_i32] = ACTIONS(3810),
    [anon_sym_int] = ACTIONS(3810),
    [anon_sym_i64] = ACTIONS(3810),
    [anon_sym_byte] = ACTIONS(3810),
    [anon_sym_u8] = ACTIONS(3810),
    [anon_sym_u16] = ACTIONS(3810),
    [anon_sym_u32] = ACTIONS(3810),
    [anon_sym_u64] = ACTIONS(3810),
    [anon_sym_f32] = ACTIONS(3810),
    [anon_sym_f64] = ACTIONS(3810),
    [anon_sym_bool] = ACTIONS(3810),
    [anon_sym_rune] = ACTIONS(3810),
    [anon_sym_map] = ACTIONS(3810),
    [anon_sym_mapnode] = ACTIONS(3810),
    [anon_sym_size_t] = ACTIONS(3810),
    [anon_sym_usize] = ACTIONS(3810),
    [anon_sym_isize] = ACTIONS(3810),
    [anon_sym_float_literal] = ACTIONS(3810),
    [anon_sym_int_literal] = ACTIONS(3810),
    [anon_sym_IError] = ACTIONS(3810),
    [sym_type_placeholder] = ACTIONS(3810),
    [anon_sym_AT] = ACTIONS(3810),
    [sym_type_identifier] = ACTIONS(3810),
    [anon_sym_assert] = ACTIONS(3810),
    [anon_sym_defer] = ACTIONS(3810),
    [anon_sym_unsafe] = ACTIONS(3810),
    [anon_sym_pub] = ACTIONS(3810),
    [anon_sym_fn] = ACTIONS(3810),
    [anon_sym___global] = ACTIONS(3810),
    [anon_sym_const] = ACTIONS(3810),
    [anon_sym_asm] = ACTIONS(3810),
    [anon_sym_break] = ACTIONS(3810),
    [anon_sym_continue] = ACTIONS(3810),
    [anon_sym_return] = ACTIONS(3810),
    [anon_sym_type] = ACTIONS(3810),
    [anon_sym_go] = ACTIONS(3810),
    [anon_sym_spawn] = ACTIONS(3810),
    [anon_sym_goto] = ACTIONS(3810),
    [anon_sym_for] = ACTIONS(3810),
    [anon_sym_DOLLARfor] = ACTIONS(3808),
    [anon_sym_DOLLARif] = ACTIONS(3808),
    [anon_sym_if] = ACTIONS(3810),
    [anon_sym_struct] = ACTIONS(3810),
    [anon_sym_union] = ACTIONS(3810),
    [anon_sym_enum] = ACTIONS(3810),
    [anon_sym_interface] = ACTIONS(3810),
    [anon_sym_POUND] = ACTIONS(3808),
    [anon_sym_module] = ACTIONS(3810),
    [anon_sym_import] = ACTIONS(3810),
    [anon_sym_match] = ACTIONS(3810),
    [anon_sym_select] = ACTIONS(3810),
    [anon_sym_lock] = ACTIONS(3810),
    [anon_sym_rlock] = ACTIONS(3810),
    [sym__automatic_separator] = ACTIONS(3808),
    [sym__c_string_opening] = ACTIONS(3808),
    [sym__raw_string_opening] = ACTIONS(3808),
    [sym__string_opening] = ACTIONS(3808),
    [sym__comment] = ACTIONS(3),
  },
  [1470] = {
    [sym_comment] = STATE(1470),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_AMP_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1112),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_LF] = ACTIONS(1112),
    [anon_sym_CR] = ACTIONS(1112),
    [anon_sym_CR_LF] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_map_LBRACK] = ACTIONS(1112),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1112),
    [sym_rune_literal] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_DOLLARif] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1471] = {
    [sym_comment] = STATE(1471),
    [sym_identifier] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_CARET] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_LT_DASH] = ACTIONS(1328),
    [anon_sym_SLASH] = ACTIONS(1328),
    [anon_sym_PERCENT] = ACTIONS(1328),
    [anon_sym_LT_LT] = ACTIONS(1328),
    [anon_sym_GT_GT] = ACTIONS(1328),
    [anon_sym_GT_GT_GT] = ACTIONS(1328),
    [anon_sym_AMP_CARET] = ACTIONS(1328),
    [anon_sym_PIPE] = ACTIONS(1328),
    [anon_sym_EQ_EQ] = ACTIONS(1328),
    [anon_sym_BANG_EQ] = ACTIONS(1328),
    [anon_sym_LT] = ACTIONS(1328),
    [anon_sym_LT_EQ] = ACTIONS(1328),
    [anon_sym_GT] = ACTIONS(1328),
    [anon_sym_GT_EQ] = ACTIONS(1328),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_BANGin] = ACTIONS(1328),
    [anon_sym_AMP_AMP] = ACTIONS(1328),
    [anon_sym_PIPE_PIPE] = ACTIONS(1328),
    [anon_sym_as] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [sym_none] = ACTIONS(1328),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_LF] = ACTIONS(1328),
    [anon_sym_CR] = ACTIONS(1328),
    [anon_sym_CR_LF] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_map_LBRACK] = ACTIONS(1328),
    [anon_sym_chan] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_thread] = ACTIONS(1328),
    [sym_int_literal] = ACTIONS(1328),
    [sym_float_literal] = ACTIONS(1328),
    [sym_rune_literal] = ACTIONS(1328),
    [anon_sym_DOT] = ACTIONS(1328),
    [anon_sym_array] = ACTIONS(1328),
    [anon_sym_string] = ACTIONS(1328),
    [anon_sym_char] = ACTIONS(1328),
    [anon_sym_sql] = ACTIONS(1328),
    [anon_sym_mut] = ACTIONS(1328),
    [anon_sym_C] = ACTIONS(1328),
    [anon_sym_JS] = ACTIONS(1328),
    [anon_sym_voidptr] = ACTIONS(1328),
    [anon_sym_byteptr] = ACTIONS(1328),
    [anon_sym_charptr] = ACTIONS(1328),
    [anon_sym_i8] = ACTIONS(1328),
    [anon_sym_i16] = ACTIONS(1328),
    [anon_sym_i32] = ACTIONS(1328),
    [anon_sym_int] = ACTIONS(1328),
    [anon_sym_i64] = ACTIONS(1328),
    [anon_sym_byte] = ACTIONS(1328),
    [anon_sym_u8] = ACTIONS(1328),
    [anon_sym_u16] = ACTIONS(1328),
    [anon_sym_u32] = ACTIONS(1328),
    [anon_sym_u64] = ACTIONS(1328),
    [anon_sym_f32] = ACTIONS(1328),
    [anon_sym_f64] = ACTIONS(1328),
    [anon_sym_bool] = ACTIONS(1328),
    [anon_sym_rune] = ACTIONS(1328),
    [anon_sym_map] = ACTIONS(1328),
    [anon_sym_mapnode] = ACTIONS(1328),
    [anon_sym_size_t] = ACTIONS(1328),
    [anon_sym_usize] = ACTIONS(1328),
    [anon_sym_isize] = ACTIONS(1328),
    [anon_sym_float_literal] = ACTIONS(1328),
    [anon_sym_int_literal] = ACTIONS(1328),
    [anon_sym_IError] = ACTIONS(1328),
    [sym_type_placeholder] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [sym_type_identifier] = ACTIONS(1328),
    [anon_sym_unsafe] = ACTIONS(1328),
    [anon_sym_fn] = ACTIONS(1328),
    [anon_sym_DOLLARif] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_is] = ACTIONS(1328),
    [anon_sym_BANGis] = ACTIONS(1328),
    [anon_sym_match] = ACTIONS(1328),
    [anon_sym_select] = ACTIONS(1328),
    [anon_sym_lock] = ACTIONS(1328),
    [anon_sym_rlock] = ACTIONS(1328),
    [sym__c_string_opening] = ACTIONS(1326),
    [sym__raw_string_opening] = ACTIONS(1326),
    [sym__string_opening] = ACTIONS(1326),
    [sym__comment] = ACTIONS(3),
  },
  [1472] = {
    [sym_comment] = STATE(1472),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_CARET] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_LT_DASH] = ACTIONS(1322),
    [anon_sym_SLASH] = ACTIONS(1322),
    [anon_sym_PERCENT] = ACTIONS(1322),
    [anon_sym_LT_LT] = ACTIONS(1322),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_GT_GT_GT] = ACTIONS(1322),
    [anon_sym_AMP_CARET] = ACTIONS(1322),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1322),
    [anon_sym_BANG_EQ] = ACTIONS(1322),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_LT_EQ] = ACTIONS(1322),
    [anon_sym_GT] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1322),
    [anon_sym_in] = ACTIONS(1322),
    [anon_sym_BANGin] = ACTIONS(1322),
    [anon_sym_AMP_AMP] = ACTIONS(1322),
    [anon_sym_PIPE_PIPE] = ACTIONS(1322),
    [anon_sym_as] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [sym_none] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_LF] = ACTIONS(1322),
    [anon_sym_CR] = ACTIONS(1322),
    [anon_sym_CR_LF] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_map_LBRACK] = ACTIONS(1322),
    [anon_sym_chan] = ACTIONS(1322),
    [anon_sym_shared] = ACTIONS(1322),
    [anon_sym_thread] = ACTIONS(1322),
    [sym_int_literal] = ACTIONS(1322),
    [sym_float_literal] = ACTIONS(1322),
    [sym_rune_literal] = ACTIONS(1322),
    [anon_sym_DOT] = ACTIONS(1322),
    [anon_sym_array] = ACTIONS(1322),
    [anon_sym_string] = ACTIONS(1322),
    [anon_sym_char] = ACTIONS(1322),
    [anon_sym_sql] = ACTIONS(1322),
    [anon_sym_mut] = ACTIONS(1322),
    [anon_sym_C] = ACTIONS(1322),
    [anon_sym_JS] = ACTIONS(1322),
    [anon_sym_voidptr] = ACTIONS(1322),
    [anon_sym_byteptr] = ACTIONS(1322),
    [anon_sym_charptr] = ACTIONS(1322),
    [anon_sym_i8] = ACTIONS(1322),
    [anon_sym_i16] = ACTIONS(1322),
    [anon_sym_i32] = ACTIONS(1322),
    [anon_sym_int] = ACTIONS(1322),
    [anon_sym_i64] = ACTIONS(1322),
    [anon_sym_byte] = ACTIONS(1322),
    [anon_sym_u8] = ACTIONS(1322),
    [anon_sym_u16] = ACTIONS(1322),
    [anon_sym_u32] = ACTIONS(1322),
    [anon_sym_u64] = ACTIONS(1322),
    [anon_sym_f32] = ACTIONS(1322),
    [anon_sym_f64] = ACTIONS(1322),
    [anon_sym_bool] = ACTIONS(1322),
    [anon_sym_rune] = ACTIONS(1322),
    [anon_sym_map] = ACTIONS(1322),
    [anon_sym_mapnode] = ACTIONS(1322),
    [anon_sym_size_t] = ACTIONS(1322),
    [anon_sym_usize] = ACTIONS(1322),
    [anon_sym_isize] = ACTIONS(1322),
    [anon_sym_float_literal] = ACTIONS(1322),
    [anon_sym_int_literal] = ACTIONS(1322),
    [anon_sym_IError] = ACTIONS(1322),
    [sym_type_placeholder] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [sym_type_identifier] = ACTIONS(1322),
    [anon_sym_unsafe] = ACTIONS(1322),
    [anon_sym_fn] = ACTIONS(1322),
    [anon_sym_DOLLARif] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_is] = ACTIONS(1322),
    [anon_sym_BANGis] = ACTIONS(1322),
    [anon_sym_match] = ACTIONS(1322),
    [anon_sym_select] = ACTIONS(1322),
    [anon_sym_lock] = ACTIONS(1322),
    [anon_sym_rlock] = ACTIONS(1322),
    [sym__c_string_opening] = ACTIONS(1320),
    [sym__raw_string_opening] = ACTIONS(1320),
    [sym__string_opening] = ACTIONS(1320),
    [sym__comment] = ACTIONS(3),
  },
  [1473] = {
    [sym_option_propagator] = STATE(1745),
    [sym_or_block] = STATE(1771),
    [sym_comment] = STATE(1473),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_BANG] = ACTIONS(3753),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(881),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_LT_DASH] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(881),
    [anon_sym_PERCENT] = ACTIONS(881),
    [anon_sym_LT_LT] = ACTIONS(881),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_GT_GT_GT] = ACTIONS(881),
    [anon_sym_AMP_CARET] = ACTIONS(881),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_BANGin] = ACTIONS(881),
    [anon_sym_AMP_AMP] = ACTIONS(881),
    [anon_sym_PIPE_PIPE] = ACTIONS(881),
    [anon_sym_as] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(3755),
    [anon_sym_or] = ACTIONS(3757),
    [sym_none] = ACTIONS(883),
    [sym_true] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_RBRACK] = ACTIONS(881),
    [anon_sym_map_LBRACK] = ACTIONS(881),
    [anon_sym_chan] = ACTIONS(883),
    [anon_sym_shared] = ACTIONS(883),
    [anon_sym_thread] = ACTIONS(883),
    [sym_int_literal] = ACTIONS(883),
    [sym_float_literal] = ACTIONS(881),
    [sym_rune_literal] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_array] = ACTIONS(883),
    [anon_sym_string] = ACTIONS(883),
    [anon_sym_char] = ACTIONS(883),
    [anon_sym_sql] = ACTIONS(883),
    [anon_sym_mut] = ACTIONS(883),
    [anon_sym_C] = ACTIONS(883),
    [anon_sym_JS] = ACTIONS(883),
    [anon_sym_voidptr] = ACTIONS(883),
    [anon_sym_byteptr] = ACTIONS(883),
    [anon_sym_charptr] = ACTIONS(883),
    [anon_sym_i8] = ACTIONS(883),
    [anon_sym_i16] = ACTIONS(883),
    [anon_sym_i32] = ACTIONS(883),
    [anon_sym_int] = ACTIONS(883),
    [anon_sym_i64] = ACTIONS(883),
    [anon_sym_byte] = ACTIONS(883),
    [anon_sym_u8] = ACTIONS(883),
    [anon_sym_u16] = ACTIONS(883),
    [anon_sym_u32] = ACTIONS(883),
    [anon_sym_u64] = ACTIONS(883),
    [anon_sym_f32] = ACTIONS(883),
    [anon_sym_f64] = ACTIONS(883),
    [anon_sym_bool] = ACTIONS(883),
    [anon_sym_rune] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(883),
    [anon_sym_mapnode] = ACTIONS(883),
    [anon_sym_size_t] = ACTIONS(883),
    [anon_sym_usize] = ACTIONS(883),
    [anon_sym_isize] = ACTIONS(883),
    [anon_sym_float_literal] = ACTIONS(883),
    [anon_sym_int_literal] = ACTIONS(883),
    [anon_sym_IError] = ACTIONS(883),
    [sym_type_placeholder] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [sym_type_identifier] = ACTIONS(883),
    [anon_sym_unsafe] = ACTIONS(883),
    [anon_sym_fn] = ACTIONS(883),
    [anon_sym_DOLLARif] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_BANGis] = ACTIONS(881),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_select] = ACTIONS(883),
    [anon_sym_lock] = ACTIONS(883),
    [anon_sym_rlock] = ACTIONS(883),
    [sym__c_string_opening] = ACTIONS(881),
    [sym__raw_string_opening] = ACTIONS(881),
    [sym__string_opening] = ACTIONS(881),
    [sym__comment] = ACTIONS(3),
  },
  [1474] = {
    [sym_comment] = STATE(1474),
    [sym_identifier] = ACTIONS(3812),
    [anon_sym_LPAREN] = ACTIONS(3812),
    [anon_sym_PLUS] = ACTIONS(3785),
    [anon_sym_DASH] = ACTIONS(3785),
    [anon_sym_BANG] = ACTIONS(3812),
    [anon_sym_TILDE] = ACTIONS(3812),
    [anon_sym_CARET] = ACTIONS(3785),
    [anon_sym_STAR] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_LT_DASH] = ACTIONS(3812),
    [anon_sym_SLASH] = ACTIONS(3783),
    [anon_sym_PERCENT] = ACTIONS(3783),
    [anon_sym_LT_LT] = ACTIONS(3783),
    [anon_sym_GT_GT] = ACTIONS(3783),
    [anon_sym_GT_GT_GT] = ACTIONS(3783),
    [anon_sym_AMP_CARET] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3785),
    [anon_sym_EQ_EQ] = ACTIONS(3787),
    [anon_sym_BANG_EQ] = ACTIONS(3787),
    [anon_sym_LT] = ACTIONS(3787),
    [anon_sym_LT_EQ] = ACTIONS(3787),
    [anon_sym_GT] = ACTIONS(3787),
    [anon_sym_GT_EQ] = ACTIONS(3787),
    [anon_sym_in] = ACTIONS(3787),
    [anon_sym_BANGin] = ACTIONS(3787),
    [anon_sym_AMP_AMP] = ACTIONS(3789),
    [anon_sym_PIPE_PIPE] = ACTIONS(3791),
    [anon_sym_as] = ACTIONS(3793),
    [anon_sym_COMMA] = ACTIONS(3812),
    [anon_sym_DOLLAR] = ACTIONS(3812),
    [sym_none] = ACTIONS(3812),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3812),
    [anon_sym_LBRACE] = ACTIONS(3812),
    [anon_sym_LF] = ACTIONS(3812),
    [anon_sym_CR] = ACTIONS(3812),
    [anon_sym_CR_LF] = ACTIONS(3812),
    [anon_sym_RBRACE] = ACTIONS(3812),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_map_LBRACK] = ACTIONS(3812),
    [anon_sym_chan] = ACTIONS(3812),
    [anon_sym_shared] = ACTIONS(3812),
    [anon_sym_thread] = ACTIONS(3812),
    [sym_int_literal] = ACTIONS(3812),
    [sym_float_literal] = ACTIONS(3812),
    [sym_rune_literal] = ACTIONS(3812),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_array] = ACTIONS(3812),
    [anon_sym_string] = ACTIONS(3812),
    [anon_sym_char] = ACTIONS(3812),
    [anon_sym_sql] = ACTIONS(3812),
    [anon_sym_mut] = ACTIONS(3812),
    [anon_sym_C] = ACTIONS(3812),
    [anon_sym_JS] = ACTIONS(3812),
    [anon_sym_voidptr] = ACTIONS(3812),
    [anon_sym_byteptr] = ACTIONS(3812),
    [anon_sym_charptr] = ACTIONS(3812),
    [anon_sym_i8] = ACTIONS(3812),
    [anon_sym_i16] = ACTIONS(3812),
    [anon_sym_i32] = ACTIONS(3812),
    [anon_sym_int] = ACTIONS(3812),
    [anon_sym_i64] = ACTIONS(3812),
    [anon_sym_byte] = ACTIONS(3812),
    [anon_sym_u8] = ACTIONS(3812),
    [anon_sym_u16] = ACTIONS(3812),
    [anon_sym_u32] = ACTIONS(3812),
    [anon_sym_u64] = ACTIONS(3812),
    [anon_sym_f32] = ACTIONS(3812),
    [anon_sym_f64] = ACTIONS(3812),
    [anon_sym_bool] = ACTIONS(3812),
    [anon_sym_rune] = ACTIONS(3812),
    [anon_sym_map] = ACTIONS(3812),
    [anon_sym_mapnode] = ACTIONS(3812),
    [anon_sym_size_t] = ACTIONS(3812),
    [anon_sym_usize] = ACTIONS(3812),
    [anon_sym_isize] = ACTIONS(3812),
    [anon_sym_float_literal] = ACTIONS(3812),
    [anon_sym_int_literal] = ACTIONS(3812),
    [anon_sym_IError] = ACTIONS(3812),
    [sym_type_placeholder] = ACTIONS(3812),
    [anon_sym_AT] = ACTIONS(3812),
    [sym_type_identifier] = ACTIONS(3812),
    [anon_sym_unsafe] = ACTIONS(3812),
    [anon_sym_fn] = ACTIONS(3812),
    [anon_sym_DOLLARif] = ACTIONS(3812),
    [anon_sym_if] = ACTIONS(3812),
    [anon_sym_is] = ACTIONS(3795),
    [anon_sym_BANGis] = ACTIONS(3795),
    [anon_sym_match] = ACTIONS(3812),
    [anon_sym_select] = ACTIONS(3812),
    [anon_sym_lock] = ACTIONS(3812),
    [anon_sym_rlock] = ACTIONS(3812),
    [sym__c_string_opening] = ACTIONS(3814),
    [sym__raw_string_opening] = ACTIONS(3814),
    [sym__string_opening] = ACTIONS(3814),
    [sym__comment] = ACTIONS(3),
  },
  [1475] = {
    [sym_comment] = STATE(1475),
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1490),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_AMP_CARET] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_in] = ACTIONS(1490),
    [anon_sym_BANGin] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_as] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [sym_none] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_LF] = ACTIONS(1490),
    [anon_sym_CR] = ACTIONS(1490),
    [anon_sym_CR_LF] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_map_LBRACK] = ACTIONS(1490),
    [anon_sym_chan] = ACTIONS(1490),
    [anon_sym_shared] = ACTIONS(1490),
    [anon_sym_thread] = ACTIONS(1490),
    [sym_int_literal] = ACTIONS(1490),
    [sym_float_literal] = ACTIONS(1490),
    [sym_rune_literal] = ACTIONS(1490),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_array] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_char] = ACTIONS(1490),
    [anon_sym_sql] = ACTIONS(1490),
    [anon_sym_mut] = ACTIONS(1490),
    [anon_sym_C] = ACTIONS(1490),
    [anon_sym_JS] = ACTIONS(1490),
    [anon_sym_voidptr] = ACTIONS(1490),
    [anon_sym_byteptr] = ACTIONS(1490),
    [anon_sym_charptr] = ACTIONS(1490),
    [anon_sym_i8] = ACTIONS(1490),
    [anon_sym_i16] = ACTIONS(1490),
    [anon_sym_i32] = ACTIONS(1490),
    [anon_sym_int] = ACTIONS(1490),
    [anon_sym_i64] = ACTIONS(1490),
    [anon_sym_byte] = ACTIONS(1490),
    [anon_sym_u8] = ACTIONS(1490),
    [anon_sym_u16] = ACTIONS(1490),
    [anon_sym_u32] = ACTIONS(1490),
    [anon_sym_u64] = ACTIONS(1490),
    [anon_sym_f32] = ACTIONS(1490),
    [anon_sym_f64] = ACTIONS(1490),
    [anon_sym_bool] = ACTIONS(1490),
    [anon_sym_rune] = ACTIONS(1490),
    [anon_sym_map] = ACTIONS(1490),
    [anon_sym_mapnode] = ACTIONS(1490),
    [anon_sym_size_t] = ACTIONS(1490),
    [anon_sym_usize] = ACTIONS(1490),
    [anon_sym_isize] = ACTIONS(1490),
    [anon_sym_float_literal] = ACTIONS(1490),
    [anon_sym_int_literal] = ACTIONS(1490),
    [anon_sym_IError] = ACTIONS(1490),
    [sym_type_placeholder] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym_type_identifier] = ACTIONS(1490),
    [anon_sym_unsafe] = ACTIONS(1490),
    [anon_sym_fn] = ACTIONS(1490),
    [anon_sym_DOLLARif] = ACTIONS(1490),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_is] = ACTIONS(1490),
    [anon_sym_BANGis] = ACTIONS(1490),
    [anon_sym_match] = ACTIONS(1490),
    [anon_sym_select] = ACTIONS(1490),
    [anon_sym_lock] = ACTIONS(1490),
    [anon_sym_rlock] = ACTIONS(1490),
    [sym__c_string_opening] = ACTIONS(1488),
    [sym__raw_string_opening] = ACTIONS(1488),
    [sym__string_opening] = ACTIONS(1488),
    [sym__comment] = ACTIONS(3),
  },
  [1476] = {
    [sym_comment] = STATE(1476),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1198),
    [anon_sym_AMP_CARET] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1198),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_LF] = ACTIONS(1198),
    [anon_sym_CR] = ACTIONS(1198),
    [anon_sym_CR_LF] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_map_LBRACK] = ACTIONS(1198),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1198),
    [sym_rune_literal] = ACTIONS(1198),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_DOLLARif] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1198),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1477] = {
    [sym_comment] = STATE(1477),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_AMP_CARET] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_LF] = ACTIONS(1202),
    [anon_sym_CR] = ACTIONS(1202),
    [anon_sym_CR_LF] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_map_LBRACK] = ACTIONS(1202),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1202),
    [sym_rune_literal] = ACTIONS(1202),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_DOLLARif] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1202),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1478] = {
    [sym_comment] = STATE(1478),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1584),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1584),
    [anon_sym_AMP_CARET] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1584),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_BANGin] = ACTIONS(1584),
    [anon_sym_AMP_AMP] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1584),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [sym_none] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_LF] = ACTIONS(1584),
    [anon_sym_CR] = ACTIONS(1584),
    [anon_sym_CR_LF] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_map_LBRACK] = ACTIONS(1584),
    [anon_sym_chan] = ACTIONS(1584),
    [anon_sym_shared] = ACTIONS(1584),
    [anon_sym_thread] = ACTIONS(1584),
    [sym_int_literal] = ACTIONS(1584),
    [sym_float_literal] = ACTIONS(1584),
    [sym_rune_literal] = ACTIONS(1584),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_array] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_char] = ACTIONS(1584),
    [anon_sym_sql] = ACTIONS(1584),
    [anon_sym_mut] = ACTIONS(1584),
    [anon_sym_C] = ACTIONS(1584),
    [anon_sym_JS] = ACTIONS(1584),
    [anon_sym_voidptr] = ACTIONS(1584),
    [anon_sym_byteptr] = ACTIONS(1584),
    [anon_sym_charptr] = ACTIONS(1584),
    [anon_sym_i8] = ACTIONS(1584),
    [anon_sym_i16] = ACTIONS(1584),
    [anon_sym_i32] = ACTIONS(1584),
    [anon_sym_int] = ACTIONS(1584),
    [anon_sym_i64] = ACTIONS(1584),
    [anon_sym_byte] = ACTIONS(1584),
    [anon_sym_u8] = ACTIONS(1584),
    [anon_sym_u16] = ACTIONS(1584),
    [anon_sym_u32] = ACTIONS(1584),
    [anon_sym_u64] = ACTIONS(1584),
    [anon_sym_f32] = ACTIONS(1584),
    [anon_sym_f64] = ACTIONS(1584),
    [anon_sym_bool] = ACTIONS(1584),
    [anon_sym_rune] = ACTIONS(1584),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_mapnode] = ACTIONS(1584),
    [anon_sym_size_t] = ACTIONS(1584),
    [anon_sym_usize] = ACTIONS(1584),
    [anon_sym_isize] = ACTIONS(1584),
    [anon_sym_float_literal] = ACTIONS(1584),
    [anon_sym_int_literal] = ACTIONS(1584),
    [anon_sym_IError] = ACTIONS(1584),
    [sym_type_placeholder] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [sym_type_identifier] = ACTIONS(1584),
    [anon_sym_unsafe] = ACTIONS(1584),
    [anon_sym_fn] = ACTIONS(1584),
    [anon_sym_DOLLARif] = ACTIONS(1584),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_is] = ACTIONS(1584),
    [anon_sym_BANGis] = ACTIONS(1584),
    [anon_sym_match] = ACTIONS(1584),
    [anon_sym_select] = ACTIONS(1584),
    [anon_sym_lock] = ACTIONS(1584),
    [anon_sym_rlock] = ACTIONS(1584),
    [sym__c_string_opening] = ACTIONS(1582),
    [sym__raw_string_opening] = ACTIONS(1582),
    [sym__string_opening] = ACTIONS(1582),
    [sym__comment] = ACTIONS(3),
  },
  [1479] = {
    [sym_comment] = STATE(1479),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_LT_DASH] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1618),
    [anon_sym_PERCENT] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_GT_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_EQ_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_in] = ACTIONS(1618),
    [anon_sym_BANGin] = ACTIONS(1618),
    [anon_sym_AMP_AMP] = ACTIONS(1618),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_as] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1618),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [sym_none] = ACTIONS(1618),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1618),
    [anon_sym_LF] = ACTIONS(1618),
    [anon_sym_CR] = ACTIONS(1618),
    [anon_sym_CR_LF] = ACTIONS(1618),
    [anon_sym_RBRACE] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [anon_sym_map_LBRACK] = ACTIONS(1618),
    [anon_sym_chan] = ACTIONS(1618),
    [anon_sym_shared] = ACTIONS(1618),
    [anon_sym_thread] = ACTIONS(1618),
    [sym_int_literal] = ACTIONS(1618),
    [sym_float_literal] = ACTIONS(1618),
    [sym_rune_literal] = ACTIONS(1618),
    [anon_sym_DOT] = ACTIONS(1618),
    [anon_sym_array] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_char] = ACTIONS(1618),
    [anon_sym_sql] = ACTIONS(1618),
    [anon_sym_mut] = ACTIONS(1618),
    [anon_sym_C] = ACTIONS(1618),
    [anon_sym_JS] = ACTIONS(1618),
    [anon_sym_voidptr] = ACTIONS(1618),
    [anon_sym_byteptr] = ACTIONS(1618),
    [anon_sym_charptr] = ACTIONS(1618),
    [anon_sym_i8] = ACTIONS(1618),
    [anon_sym_i16] = ACTIONS(1618),
    [anon_sym_i32] = ACTIONS(1618),
    [anon_sym_int] = ACTIONS(1618),
    [anon_sym_i64] = ACTIONS(1618),
    [anon_sym_byte] = ACTIONS(1618),
    [anon_sym_u8] = ACTIONS(1618),
    [anon_sym_u16] = ACTIONS(1618),
    [anon_sym_u32] = ACTIONS(1618),
    [anon_sym_u64] = ACTIONS(1618),
    [anon_sym_f32] = ACTIONS(1618),
    [anon_sym_f64] = ACTIONS(1618),
    [anon_sym_bool] = ACTIONS(1618),
    [anon_sym_rune] = ACTIONS(1618),
    [anon_sym_map] = ACTIONS(1618),
    [anon_sym_mapnode] = ACTIONS(1618),
    [anon_sym_size_t] = ACTIONS(1618),
    [anon_sym_usize] = ACTIONS(1618),
    [anon_sym_isize] = ACTIONS(1618),
    [anon_sym_float_literal] = ACTIONS(1618),
    [anon_sym_int_literal] = ACTIONS(1618),
    [anon_sym_IError] = ACTIONS(1618),
    [sym_type_placeholder] = ACTIONS(1618),
    [anon_sym_AT] = ACTIONS(1618),
    [sym_type_identifier] = ACTIONS(1618),
    [anon_sym_unsafe] = ACTIONS(1618),
    [anon_sym_fn] = ACTIONS(1618),
    [anon_sym_DOLLARif] = ACTIONS(1618),
    [anon_sym_if] = ACTIONS(1618),
    [anon_sym_is] = ACTIONS(1618),
    [anon_sym_BANGis] = ACTIONS(1618),
    [anon_sym_match] = ACTIONS(1618),
    [anon_sym_select] = ACTIONS(1618),
    [anon_sym_lock] = ACTIONS(1618),
    [anon_sym_rlock] = ACTIONS(1618),
    [sym__c_string_opening] = ACTIONS(1616),
    [sym__raw_string_opening] = ACTIONS(1616),
    [sym__string_opening] = ACTIONS(1616),
    [sym__comment] = ACTIONS(3),
  },
  [1480] = {
    [sym_comment] = STATE(1480),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_PERCENT] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_GT_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_in] = ACTIONS(1470),
    [anon_sym_BANGin] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_as] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [sym_none] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_LF] = ACTIONS(1470),
    [anon_sym_CR] = ACTIONS(1470),
    [anon_sym_CR_LF] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_map_LBRACK] = ACTIONS(1470),
    [anon_sym_chan] = ACTIONS(1470),
    [anon_sym_shared] = ACTIONS(1470),
    [anon_sym_thread] = ACTIONS(1470),
    [sym_int_literal] = ACTIONS(1470),
    [sym_float_literal] = ACTIONS(1470),
    [sym_rune_literal] = ACTIONS(1470),
    [anon_sym_DOT] = ACTIONS(1470),
    [anon_sym_array] = ACTIONS(1470),
    [anon_sym_string] = ACTIONS(1470),
    [anon_sym_char] = ACTIONS(1470),
    [anon_sym_sql] = ACTIONS(1470),
    [anon_sym_mut] = ACTIONS(1470),
    [anon_sym_C] = ACTIONS(1470),
    [anon_sym_JS] = ACTIONS(1470),
    [anon_sym_voidptr] = ACTIONS(1470),
    [anon_sym_byteptr] = ACTIONS(1470),
    [anon_sym_charptr] = ACTIONS(1470),
    [anon_sym_i8] = ACTIONS(1470),
    [anon_sym_i16] = ACTIONS(1470),
    [anon_sym_i32] = ACTIONS(1470),
    [anon_sym_int] = ACTIONS(1470),
    [anon_sym_i64] = ACTIONS(1470),
    [anon_sym_byte] = ACTIONS(1470),
    [anon_sym_u8] = ACTIONS(1470),
    [anon_sym_u16] = ACTIONS(1470),
    [anon_sym_u32] = ACTIONS(1470),
    [anon_sym_u64] = ACTIONS(1470),
    [anon_sym_f32] = ACTIONS(1470),
    [anon_sym_f64] = ACTIONS(1470),
    [anon_sym_bool] = ACTIONS(1470),
    [anon_sym_rune] = ACTIONS(1470),
    [anon_sym_map] = ACTIONS(1470),
    [anon_sym_mapnode] = ACTIONS(1470),
    [anon_sym_size_t] = ACTIONS(1470),
    [anon_sym_usize] = ACTIONS(1470),
    [anon_sym_isize] = ACTIONS(1470),
    [anon_sym_float_literal] = ACTIONS(1470),
    [anon_sym_int_literal] = ACTIONS(1470),
    [anon_sym_IError] = ACTIONS(1470),
    [sym_type_placeholder] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym_type_identifier] = ACTIONS(1470),
    [anon_sym_unsafe] = ACTIONS(1470),
    [anon_sym_fn] = ACTIONS(1470),
    [anon_sym_DOLLARif] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_is] = ACTIONS(1470),
    [anon_sym_BANGis] = ACTIONS(1470),
    [anon_sym_match] = ACTIONS(1470),
    [anon_sym_select] = ACTIONS(1470),
    [anon_sym_lock] = ACTIONS(1470),
    [anon_sym_rlock] = ACTIONS(1470),
    [sym__c_string_opening] = ACTIONS(1468),
    [sym__raw_string_opening] = ACTIONS(1468),
    [sym__string_opening] = ACTIONS(1468),
    [sym__comment] = ACTIONS(3),
  },
  [1481] = {
    [sym_comment] = STATE(1481),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_CARET] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [anon_sym_SLASH] = ACTIONS(1276),
    [anon_sym_PERCENT] = ACTIONS(1276),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_GT_GT_GT] = ACTIONS(1276),
    [anon_sym_AMP_CARET] = ACTIONS(1276),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1276),
    [anon_sym_BANG_EQ] = ACTIONS(1276),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1276),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_GT_EQ] = ACTIONS(1276),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_BANGin] = ACTIONS(1276),
    [anon_sym_AMP_AMP] = ACTIONS(1276),
    [anon_sym_PIPE_PIPE] = ACTIONS(1276),
    [anon_sym_as] = ACTIONS(1276),
    [anon_sym_COMMA] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym_none] = ACTIONS(1276),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_LF] = ACTIONS(1276),
    [anon_sym_CR] = ACTIONS(1276),
    [anon_sym_CR_LF] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_map_LBRACK] = ACTIONS(1276),
    [anon_sym_chan] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_thread] = ACTIONS(1276),
    [sym_int_literal] = ACTIONS(1276),
    [sym_float_literal] = ACTIONS(1276),
    [sym_rune_literal] = ACTIONS(1276),
    [anon_sym_DOT] = ACTIONS(1276),
    [anon_sym_array] = ACTIONS(1276),
    [anon_sym_string] = ACTIONS(1276),
    [anon_sym_char] = ACTIONS(1276),
    [anon_sym_sql] = ACTIONS(1276),
    [anon_sym_mut] = ACTIONS(1276),
    [anon_sym_C] = ACTIONS(1276),
    [anon_sym_JS] = ACTIONS(1276),
    [anon_sym_voidptr] = ACTIONS(1276),
    [anon_sym_byteptr] = ACTIONS(1276),
    [anon_sym_charptr] = ACTIONS(1276),
    [anon_sym_i8] = ACTIONS(1276),
    [anon_sym_i16] = ACTIONS(1276),
    [anon_sym_i32] = ACTIONS(1276),
    [anon_sym_int] = ACTIONS(1276),
    [anon_sym_i64] = ACTIONS(1276),
    [anon_sym_byte] = ACTIONS(1276),
    [anon_sym_u8] = ACTIONS(1276),
    [anon_sym_u16] = ACTIONS(1276),
    [anon_sym_u32] = ACTIONS(1276),
    [anon_sym_u64] = ACTIONS(1276),
    [anon_sym_f32] = ACTIONS(1276),
    [anon_sym_f64] = ACTIONS(1276),
    [anon_sym_bool] = ACTIONS(1276),
    [anon_sym_rune] = ACTIONS(1276),
    [anon_sym_map] = ACTIONS(1276),
    [anon_sym_mapnode] = ACTIONS(1276),
    [anon_sym_size_t] = ACTIONS(1276),
    [anon_sym_usize] = ACTIONS(1276),
    [anon_sym_isize] = ACTIONS(1276),
    [anon_sym_float_literal] = ACTIONS(1276),
    [anon_sym_int_literal] = ACTIONS(1276),
    [anon_sym_IError] = ACTIONS(1276),
    [sym_type_placeholder] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [sym_type_identifier] = ACTIONS(1276),
    [anon_sym_unsafe] = ACTIONS(1276),
    [anon_sym_fn] = ACTIONS(1276),
    [anon_sym_DOLLARif] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_is] = ACTIONS(1276),
    [anon_sym_BANGis] = ACTIONS(1276),
    [anon_sym_match] = ACTIONS(1276),
    [anon_sym_select] = ACTIONS(1276),
    [anon_sym_lock] = ACTIONS(1276),
    [anon_sym_rlock] = ACTIONS(1276),
    [sym__c_string_opening] = ACTIONS(1274),
    [sym__raw_string_opening] = ACTIONS(1274),
    [sym__string_opening] = ACTIONS(1274),
    [sym__comment] = ACTIONS(3),
  },
  [1482] = {
    [sym_comment] = STATE(1482),
    [sym_identifier] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_LT_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1370),
    [anon_sym_PERCENT] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1370),
    [anon_sym_EQ_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_in] = ACTIONS(1370),
    [anon_sym_BANGin] = ACTIONS(1370),
    [anon_sym_AMP_AMP] = ACTIONS(1370),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_as] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [sym_none] = ACTIONS(1370),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_LF] = ACTIONS(1370),
    [anon_sym_CR] = ACTIONS(1370),
    [anon_sym_CR_LF] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_map_LBRACK] = ACTIONS(1370),
    [anon_sym_chan] = ACTIONS(1370),
    [anon_sym_shared] = ACTIONS(1370),
    [anon_sym_thread] = ACTIONS(1370),
    [sym_int_literal] = ACTIONS(1370),
    [sym_float_literal] = ACTIONS(1370),
    [sym_rune_literal] = ACTIONS(1370),
    [anon_sym_DOT] = ACTIONS(1370),
    [anon_sym_array] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_char] = ACTIONS(1370),
    [anon_sym_sql] = ACTIONS(1370),
    [anon_sym_mut] = ACTIONS(1370),
    [anon_sym_C] = ACTIONS(1370),
    [anon_sym_JS] = ACTIONS(1370),
    [anon_sym_voidptr] = ACTIONS(1370),
    [anon_sym_byteptr] = ACTIONS(1370),
    [anon_sym_charptr] = ACTIONS(1370),
    [anon_sym_i8] = ACTIONS(1370),
    [anon_sym_i16] = ACTIONS(1370),
    [anon_sym_i32] = ACTIONS(1370),
    [anon_sym_int] = ACTIONS(1370),
    [anon_sym_i64] = ACTIONS(1370),
    [anon_sym_byte] = ACTIONS(1370),
    [anon_sym_u8] = ACTIONS(1370),
    [anon_sym_u16] = ACTIONS(1370),
    [anon_sym_u32] = ACTIONS(1370),
    [anon_sym_u64] = ACTIONS(1370),
    [anon_sym_f32] = ACTIONS(1370),
    [anon_sym_f64] = ACTIONS(1370),
    [anon_sym_bool] = ACTIONS(1370),
    [anon_sym_rune] = ACTIONS(1370),
    [anon_sym_map] = ACTIONS(1370),
    [anon_sym_mapnode] = ACTIONS(1370),
    [anon_sym_size_t] = ACTIONS(1370),
    [anon_sym_usize] = ACTIONS(1370),
    [anon_sym_isize] = ACTIONS(1370),
    [anon_sym_float_literal] = ACTIONS(1370),
    [anon_sym_int_literal] = ACTIONS(1370),
    [anon_sym_IError] = ACTIONS(1370),
    [sym_type_placeholder] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [sym_type_identifier] = ACTIONS(1370),
    [anon_sym_unsafe] = ACTIONS(1370),
    [anon_sym_fn] = ACTIONS(1370),
    [anon_sym_DOLLARif] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_is] = ACTIONS(1370),
    [anon_sym_BANGis] = ACTIONS(1370),
    [anon_sym_match] = ACTIONS(1370),
    [anon_sym_select] = ACTIONS(1370),
    [anon_sym_lock] = ACTIONS(1370),
    [anon_sym_rlock] = ACTIONS(1370),
    [sym__c_string_opening] = ACTIONS(1368),
    [sym__raw_string_opening] = ACTIONS(1368),
    [sym__string_opening] = ACTIONS(1368),
    [sym__comment] = ACTIONS(3),
  },
  [1483] = {
    [sym_comment] = STATE(1483),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_PERCENT] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_BANGin] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_as] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [sym_none] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_CR] = ACTIONS(1480),
    [anon_sym_CR_LF] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_map_LBRACK] = ACTIONS(1480),
    [anon_sym_chan] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_thread] = ACTIONS(1480),
    [sym_int_literal] = ACTIONS(1480),
    [sym_float_literal] = ACTIONS(1480),
    [sym_rune_literal] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_array] = ACTIONS(1480),
    [anon_sym_string] = ACTIONS(1480),
    [anon_sym_char] = ACTIONS(1480),
    [anon_sym_sql] = ACTIONS(1480),
    [anon_sym_mut] = ACTIONS(1480),
    [anon_sym_C] = ACTIONS(1480),
    [anon_sym_JS] = ACTIONS(1480),
    [anon_sym_voidptr] = ACTIONS(1480),
    [anon_sym_byteptr] = ACTIONS(1480),
    [anon_sym_charptr] = ACTIONS(1480),
    [anon_sym_i8] = ACTIONS(1480),
    [anon_sym_i16] = ACTIONS(1480),
    [anon_sym_i32] = ACTIONS(1480),
    [anon_sym_int] = ACTIONS(1480),
    [anon_sym_i64] = ACTIONS(1480),
    [anon_sym_byte] = ACTIONS(1480),
    [anon_sym_u8] = ACTIONS(1480),
    [anon_sym_u16] = ACTIONS(1480),
    [anon_sym_u32] = ACTIONS(1480),
    [anon_sym_u64] = ACTIONS(1480),
    [anon_sym_f32] = ACTIONS(1480),
    [anon_sym_f64] = ACTIONS(1480),
    [anon_sym_bool] = ACTIONS(1480),
    [anon_sym_rune] = ACTIONS(1480),
    [anon_sym_map] = ACTIONS(1480),
    [anon_sym_mapnode] = ACTIONS(1480),
    [anon_sym_size_t] = ACTIONS(1480),
    [anon_sym_usize] = ACTIONS(1480),
    [anon_sym_isize] = ACTIONS(1480),
    [anon_sym_float_literal] = ACTIONS(1480),
    [anon_sym_int_literal] = ACTIONS(1480),
    [anon_sym_IError] = ACTIONS(1480),
    [sym_type_placeholder] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym_type_identifier] = ACTIONS(1480),
    [anon_sym_unsafe] = ACTIONS(1480),
    [anon_sym_fn] = ACTIONS(1480),
    [anon_sym_DOLLARif] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1480),
    [anon_sym_BANGis] = ACTIONS(1480),
    [anon_sym_match] = ACTIONS(1480),
    [anon_sym_select] = ACTIONS(1480),
    [anon_sym_lock] = ACTIONS(1480),
    [anon_sym_rlock] = ACTIONS(1480),
    [sym__c_string_opening] = ACTIONS(1478),
    [sym__raw_string_opening] = ACTIONS(1478),
    [sym__string_opening] = ACTIONS(1478),
    [sym__comment] = ACTIONS(3),
  },
  [1484] = {
    [sym_comment] = STATE(1484),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_LT_DASH] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1592),
    [anon_sym_LT_LT] = ACTIONS(1592),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1592),
    [anon_sym_AMP_CARET] = ACTIONS(1592),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_EQ_EQ] = ACTIONS(1592),
    [anon_sym_BANG_EQ] = ACTIONS(1592),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_LT_EQ] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_GT_EQ] = ACTIONS(1592),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_BANGin] = ACTIONS(1592),
    [anon_sym_AMP_AMP] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1592),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_none] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_LF] = ACTIONS(1592),
    [anon_sym_CR] = ACTIONS(1592),
    [anon_sym_CR_LF] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1592),
    [anon_sym_map_LBRACK] = ACTIONS(1592),
    [anon_sym_chan] = ACTIONS(1592),
    [anon_sym_shared] = ACTIONS(1592),
    [anon_sym_thread] = ACTIONS(1592),
    [sym_int_literal] = ACTIONS(1592),
    [sym_float_literal] = ACTIONS(1592),
    [sym_rune_literal] = ACTIONS(1592),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_array] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_char] = ACTIONS(1592),
    [anon_sym_sql] = ACTIONS(1592),
    [anon_sym_mut] = ACTIONS(1592),
    [anon_sym_C] = ACTIONS(1592),
    [anon_sym_JS] = ACTIONS(1592),
    [anon_sym_voidptr] = ACTIONS(1592),
    [anon_sym_byteptr] = ACTIONS(1592),
    [anon_sym_charptr] = ACTIONS(1592),
    [anon_sym_i8] = ACTIONS(1592),
    [anon_sym_i16] = ACTIONS(1592),
    [anon_sym_i32] = ACTIONS(1592),
    [anon_sym_int] = ACTIONS(1592),
    [anon_sym_i64] = ACTIONS(1592),
    [anon_sym_byte] = ACTIONS(1592),
    [anon_sym_u8] = ACTIONS(1592),
    [anon_sym_u16] = ACTIONS(1592),
    [anon_sym_u32] = ACTIONS(1592),
    [anon_sym_u64] = ACTIONS(1592),
    [anon_sym_f32] = ACTIONS(1592),
    [anon_sym_f64] = ACTIONS(1592),
    [anon_sym_bool] = ACTIONS(1592),
    [anon_sym_rune] = ACTIONS(1592),
    [anon_sym_map] = ACTIONS(1592),
    [anon_sym_mapnode] = ACTIONS(1592),
    [anon_sym_size_t] = ACTIONS(1592),
    [anon_sym_usize] = ACTIONS(1592),
    [anon_sym_isize] = ACTIONS(1592),
    [anon_sym_float_literal] = ACTIONS(1592),
    [anon_sym_int_literal] = ACTIONS(1592),
    [anon_sym_IError] = ACTIONS(1592),
    [sym_type_placeholder] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [sym_type_identifier] = ACTIONS(1592),
    [anon_sym_unsafe] = ACTIONS(1592),
    [anon_sym_fn] = ACTIONS(1592),
    [anon_sym_DOLLARif] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_is] = ACTIONS(1592),
    [anon_sym_BANGis] = ACTIONS(1592),
    [anon_sym_match] = ACTIONS(1592),
    [anon_sym_select] = ACTIONS(1592),
    [anon_sym_lock] = ACTIONS(1592),
    [anon_sym_rlock] = ACTIONS(1592),
    [sym__c_string_opening] = ACTIONS(1590),
    [sym__raw_string_opening] = ACTIONS(1590),
    [sym__string_opening] = ACTIONS(1590),
    [sym__comment] = ACTIONS(3),
  },
  [1485] = {
    [sym_comment] = STATE(1485),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_LT_DASH] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_GT_GT_GT] = ACTIONS(1538),
    [anon_sym_AMP_CARET] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1538),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1538),
    [anon_sym_in] = ACTIONS(1538),
    [anon_sym_BANGin] = ACTIONS(1538),
    [anon_sym_AMP_AMP] = ACTIONS(1538),
    [anon_sym_PIPE_PIPE] = ACTIONS(1538),
    [anon_sym_as] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [sym_none] = ACTIONS(1538),
    [sym_true] = ACTIONS(1538),
    [sym_false] = ACTIONS(1538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_LF] = ACTIONS(1538),
    [anon_sym_CR] = ACTIONS(1538),
    [anon_sym_CR_LF] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_map_LBRACK] = ACTIONS(1538),
    [anon_sym_chan] = ACTIONS(1538),
    [anon_sym_shared] = ACTIONS(1538),
    [anon_sym_thread] = ACTIONS(1538),
    [sym_int_literal] = ACTIONS(1538),
    [sym_float_literal] = ACTIONS(1538),
    [sym_rune_literal] = ACTIONS(1538),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_array] = ACTIONS(1538),
    [anon_sym_string] = ACTIONS(1538),
    [anon_sym_char] = ACTIONS(1538),
    [anon_sym_sql] = ACTIONS(1538),
    [anon_sym_mut] = ACTIONS(1538),
    [anon_sym_C] = ACTIONS(1538),
    [anon_sym_JS] = ACTIONS(1538),
    [anon_sym_voidptr] = ACTIONS(1538),
    [anon_sym_byteptr] = ACTIONS(1538),
    [anon_sym_charptr] = ACTIONS(1538),
    [anon_sym_i8] = ACTIONS(1538),
    [anon_sym_i16] = ACTIONS(1538),
    [anon_sym_i32] = ACTIONS(1538),
    [anon_sym_int] = ACTIONS(1538),
    [anon_sym_i64] = ACTIONS(1538),
    [anon_sym_byte] = ACTIONS(1538),
    [anon_sym_u8] = ACTIONS(1538),
    [anon_sym_u16] = ACTIONS(1538),
    [anon_sym_u32] = ACTIONS(1538),
    [anon_sym_u64] = ACTIONS(1538),
    [anon_sym_f32] = ACTIONS(1538),
    [anon_sym_f64] = ACTIONS(1538),
    [anon_sym_bool] = ACTIONS(1538),
    [anon_sym_rune] = ACTIONS(1538),
    [anon_sym_map] = ACTIONS(1538),
    [anon_sym_mapnode] = ACTIONS(1538),
    [anon_sym_size_t] = ACTIONS(1538),
    [anon_sym_usize] = ACTIONS(1538),
    [anon_sym_isize] = ACTIONS(1538),
    [anon_sym_float_literal] = ACTIONS(1538),
    [anon_sym_int_literal] = ACTIONS(1538),
    [anon_sym_IError] = ACTIONS(1538),
    [sym_type_placeholder] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [sym_type_identifier] = ACTIONS(1538),
    [anon_sym_unsafe] = ACTIONS(1538),
    [anon_sym_fn] = ACTIONS(1538),
    [anon_sym_DOLLARif] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_is] = ACTIONS(1538),
    [anon_sym_BANGis] = ACTIONS(1538),
    [anon_sym_match] = ACTIONS(1538),
    [anon_sym_select] = ACTIONS(1538),
    [anon_sym_lock] = ACTIONS(1538),
    [anon_sym_rlock] = ACTIONS(1538),
    [sym__c_string_opening] = ACTIONS(1536),
    [sym__raw_string_opening] = ACTIONS(1536),
    [sym__string_opening] = ACTIONS(1536),
    [sym__comment] = ACTIONS(3),
  },
  [1486] = {
    [sym_comment] = STATE(1486),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_CARET] = ACTIONS(1556),
    [anon_sym_STAR] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_LT_DASH] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(1556),
    [anon_sym_PERCENT] = ACTIONS(1556),
    [anon_sym_LT_LT] = ACTIONS(1556),
    [anon_sym_GT_GT] = ACTIONS(1556),
    [anon_sym_GT_GT_GT] = ACTIONS(1556),
    [anon_sym_AMP_CARET] = ACTIONS(1556),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_EQ_EQ] = ACTIONS(1556),
    [anon_sym_BANG_EQ] = ACTIONS(1556),
    [anon_sym_LT] = ACTIONS(1556),
    [anon_sym_LT_EQ] = ACTIONS(1556),
    [anon_sym_GT] = ACTIONS(1556),
    [anon_sym_GT_EQ] = ACTIONS(1556),
    [anon_sym_in] = ACTIONS(1556),
    [anon_sym_BANGin] = ACTIONS(1556),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1556),
    [anon_sym_as] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1556),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_none] = ACTIONS(1556),
    [sym_true] = ACTIONS(1556),
    [sym_false] = ACTIONS(1556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_LF] = ACTIONS(1556),
    [anon_sym_CR] = ACTIONS(1556),
    [anon_sym_CR_LF] = ACTIONS(1556),
    [anon_sym_RBRACE] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_map_LBRACK] = ACTIONS(1556),
    [anon_sym_chan] = ACTIONS(1556),
    [anon_sym_shared] = ACTIONS(1556),
    [anon_sym_thread] = ACTIONS(1556),
    [sym_int_literal] = ACTIONS(1556),
    [sym_float_literal] = ACTIONS(1556),
    [sym_rune_literal] = ACTIONS(1556),
    [anon_sym_DOT] = ACTIONS(1556),
    [anon_sym_array] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_char] = ACTIONS(1556),
    [anon_sym_sql] = ACTIONS(1556),
    [anon_sym_mut] = ACTIONS(1556),
    [anon_sym_C] = ACTIONS(1556),
    [anon_sym_JS] = ACTIONS(1556),
    [anon_sym_voidptr] = ACTIONS(1556),
    [anon_sym_byteptr] = ACTIONS(1556),
    [anon_sym_charptr] = ACTIONS(1556),
    [anon_sym_i8] = ACTIONS(1556),
    [anon_sym_i16] = ACTIONS(1556),
    [anon_sym_i32] = ACTIONS(1556),
    [anon_sym_int] = ACTIONS(1556),
    [anon_sym_i64] = ACTIONS(1556),
    [anon_sym_byte] = ACTIONS(1556),
    [anon_sym_u8] = ACTIONS(1556),
    [anon_sym_u16] = ACTIONS(1556),
    [anon_sym_u32] = ACTIONS(1556),
    [anon_sym_u64] = ACTIONS(1556),
    [anon_sym_f32] = ACTIONS(1556),
    [anon_sym_f64] = ACTIONS(1556),
    [anon_sym_bool] = ACTIONS(1556),
    [anon_sym_rune] = ACTIONS(1556),
    [anon_sym_map] = ACTIONS(1556),
    [anon_sym_mapnode] = ACTIONS(1556),
    [anon_sym_size_t] = ACTIONS(1556),
    [anon_sym_usize] = ACTIONS(1556),
    [anon_sym_isize] = ACTIONS(1556),
    [anon_sym_float_literal] = ACTIONS(1556),
    [anon_sym_int_literal] = ACTIONS(1556),
    [anon_sym_IError] = ACTIONS(1556),
    [sym_type_placeholder] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [sym_type_identifier] = ACTIONS(1556),
    [anon_sym_unsafe] = ACTIONS(1556),
    [anon_sym_fn] = ACTIONS(1556),
    [anon_sym_DOLLARif] = ACTIONS(1556),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_is] = ACTIONS(1556),
    [anon_sym_BANGis] = ACTIONS(1556),
    [anon_sym_match] = ACTIONS(1556),
    [anon_sym_select] = ACTIONS(1556),
    [anon_sym_lock] = ACTIONS(1556),
    [anon_sym_rlock] = ACTIONS(1556),
    [sym__c_string_opening] = ACTIONS(1554),
    [sym__raw_string_opening] = ACTIONS(1554),
    [sym__string_opening] = ACTIONS(1554),
    [sym__comment] = ACTIONS(3),
  },
  [1487] = {
    [sym_comment] = STATE(1487),
    [sym_block] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(3816),
    [sym_identifier] = ACTIONS(3818),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_PLUS] = ACTIONS(3816),
    [anon_sym_DASH] = ACTIONS(3816),
    [anon_sym_BANG] = ACTIONS(3816),
    [anon_sym_TILDE] = ACTIONS(3816),
    [anon_sym_CARET] = ACTIONS(3816),
    [anon_sym_STAR] = ACTIONS(3816),
    [anon_sym_AMP] = ACTIONS(3816),
    [anon_sym_LT_DASH] = ACTIONS(3816),
    [anon_sym_DOLLAR] = ACTIONS(3818),
    [sym_none] = ACTIONS(3818),
    [sym_true] = ACTIONS(3818),
    [sym_false] = ACTIONS(3818),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3816),
    [anon_sym_map_LBRACK] = ACTIONS(3816),
    [anon_sym_chan] = ACTIONS(3818),
    [anon_sym_shared] = ACTIONS(3818),
    [anon_sym_thread] = ACTIONS(3818),
    [sym_int_literal] = ACTIONS(3818),
    [sym_float_literal] = ACTIONS(3816),
    [sym_rune_literal] = ACTIONS(3816),
    [anon_sym_DOT] = ACTIONS(3818),
    [anon_sym_array] = ACTIONS(3818),
    [anon_sym_string] = ACTIONS(3818),
    [anon_sym_char] = ACTIONS(3818),
    [anon_sym_sql] = ACTIONS(3818),
    [anon_sym_mut] = ACTIONS(3818),
    [anon_sym_C] = ACTIONS(3818),
    [anon_sym_JS] = ACTIONS(3818),
    [anon_sym_voidptr] = ACTIONS(3818),
    [anon_sym_byteptr] = ACTIONS(3818),
    [anon_sym_charptr] = ACTIONS(3818),
    [anon_sym_i8] = ACTIONS(3818),
    [anon_sym_i16] = ACTIONS(3818),
    [anon_sym_i32] = ACTIONS(3818),
    [anon_sym_int] = ACTIONS(3818),
    [anon_sym_i64] = ACTIONS(3818),
    [anon_sym_byte] = ACTIONS(3818),
    [anon_sym_u8] = ACTIONS(3818),
    [anon_sym_u16] = ACTIONS(3818),
    [anon_sym_u32] = ACTIONS(3818),
    [anon_sym_u64] = ACTIONS(3818),
    [anon_sym_f32] = ACTIONS(3818),
    [anon_sym_f64] = ACTIONS(3818),
    [anon_sym_bool] = ACTIONS(3818),
    [anon_sym_rune] = ACTIONS(3818),
    [anon_sym_map] = ACTIONS(3818),
    [anon_sym_mapnode] = ACTIONS(3818),
    [anon_sym_size_t] = ACTIONS(3818),
    [anon_sym_usize] = ACTIONS(3818),
    [anon_sym_isize] = ACTIONS(3818),
    [anon_sym_float_literal] = ACTIONS(3818),
    [anon_sym_int_literal] = ACTIONS(3818),
    [anon_sym_IError] = ACTIONS(3818),
    [sym_type_placeholder] = ACTIONS(3818),
    [anon_sym_AT] = ACTIONS(3818),
    [sym_type_identifier] = ACTIONS(3818),
    [anon_sym_assert] = ACTIONS(3818),
    [anon_sym_defer] = ACTIONS(3818),
    [anon_sym_unsafe] = ACTIONS(3818),
    [anon_sym_pub] = ACTIONS(3818),
    [anon_sym_fn] = ACTIONS(3818),
    [anon_sym___global] = ACTIONS(3818),
    [anon_sym_const] = ACTIONS(3818),
    [anon_sym_asm] = ACTIONS(3818),
    [anon_sym_break] = ACTIONS(3818),
    [anon_sym_continue] = ACTIONS(3818),
    [anon_sym_return] = ACTIONS(3818),
    [anon_sym_type] = ACTIONS(3818),
    [anon_sym_go] = ACTIONS(3818),
    [anon_sym_spawn] = ACTIONS(3818),
    [anon_sym_goto] = ACTIONS(3818),
    [anon_sym_for] = ACTIONS(3818),
    [anon_sym_DOLLARfor] = ACTIONS(3816),
    [anon_sym_DOLLARif] = ACTIONS(3816),
    [anon_sym_if] = ACTIONS(3818),
    [anon_sym_struct] = ACTIONS(3818),
    [anon_sym_union] = ACTIONS(3818),
    [anon_sym_enum] = ACTIONS(3818),
    [anon_sym_interface] = ACTIONS(3818),
    [anon_sym_POUND] = ACTIONS(3816),
    [anon_sym_module] = ACTIONS(3818),
    [anon_sym_import] = ACTIONS(3818),
    [anon_sym_match] = ACTIONS(3818),
    [anon_sym_select] = ACTIONS(3818),
    [anon_sym_lock] = ACTIONS(3818),
    [anon_sym_rlock] = ACTIONS(3818),
    [sym__automatic_separator] = ACTIONS(3816),
    [sym__c_string_opening] = ACTIONS(3816),
    [sym__raw_string_opening] = ACTIONS(3816),
    [sym__string_opening] = ACTIONS(3816),
    [sym__comment] = ACTIONS(3),
  },
  [1488] = {
    [sym_comment] = STATE(1488),
    [sym_block] = STATE(1598),
    [ts_builtin_sym_end] = ACTIONS(3820),
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_LPAREN] = ACTIONS(3820),
    [anon_sym_PLUS] = ACTIONS(3820),
    [anon_sym_DASH] = ACTIONS(3820),
    [anon_sym_BANG] = ACTIONS(3820),
    [anon_sym_TILDE] = ACTIONS(3820),
    [anon_sym_CARET] = ACTIONS(3820),
    [anon_sym_STAR] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3820),
    [anon_sym_LT_DASH] = ACTIONS(3820),
    [anon_sym_DOLLAR] = ACTIONS(3822),
    [sym_none] = ACTIONS(3822),
    [sym_true] = ACTIONS(3822),
    [sym_false] = ACTIONS(3822),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3820),
    [anon_sym_map_LBRACK] = ACTIONS(3820),
    [anon_sym_chan] = ACTIONS(3822),
    [anon_sym_shared] = ACTIONS(3822),
    [anon_sym_thread] = ACTIONS(3822),
    [sym_int_literal] = ACTIONS(3822),
    [sym_float_literal] = ACTIONS(3820),
    [sym_rune_literal] = ACTIONS(3820),
    [anon_sym_DOT] = ACTIONS(3822),
    [anon_sym_array] = ACTIONS(3822),
    [anon_sym_string] = ACTIONS(3822),
    [anon_sym_char] = ACTIONS(3822),
    [anon_sym_sql] = ACTIONS(3822),
    [anon_sym_mut] = ACTIONS(3822),
    [anon_sym_C] = ACTIONS(3822),
    [anon_sym_JS] = ACTIONS(3822),
    [anon_sym_voidptr] = ACTIONS(3822),
    [anon_sym_byteptr] = ACTIONS(3822),
    [anon_sym_charptr] = ACTIONS(3822),
    [anon_sym_i8] = ACTIONS(3822),
    [anon_sym_i16] = ACTIONS(3822),
    [anon_sym_i32] = ACTIONS(3822),
    [anon_sym_int] = ACTIONS(3822),
    [anon_sym_i64] = ACTIONS(3822),
    [anon_sym_byte] = ACTIONS(3822),
    [anon_sym_u8] = ACTIONS(3822),
    [anon_sym_u16] = ACTIONS(3822),
    [anon_sym_u32] = ACTIONS(3822),
    [anon_sym_u64] = ACTIONS(3822),
    [anon_sym_f32] = ACTIONS(3822),
    [anon_sym_f64] = ACTIONS(3822),
    [anon_sym_bool] = ACTIONS(3822),
    [anon_sym_rune] = ACTIONS(3822),
    [anon_sym_map] = ACTIONS(3822),
    [anon_sym_mapnode] = ACTIONS(3822),
    [anon_sym_size_t] = ACTIONS(3822),
    [anon_sym_usize] = ACTIONS(3822),
    [anon_sym_isize] = ACTIONS(3822),
    [anon_sym_float_literal] = ACTIONS(3822),
    [anon_sym_int_literal] = ACTIONS(3822),
    [anon_sym_IError] = ACTIONS(3822),
    [sym_type_placeholder] = ACTIONS(3822),
    [anon_sym_AT] = ACTIONS(3822),
    [sym_type_identifier] = ACTIONS(3822),
    [anon_sym_assert] = ACTIONS(3822),
    [anon_sym_defer] = ACTIONS(3822),
    [anon_sym_unsafe] = ACTIONS(3822),
    [anon_sym_pub] = ACTIONS(3822),
    [anon_sym_fn] = ACTIONS(3822),
    [anon_sym___global] = ACTIONS(3822),
    [anon_sym_const] = ACTIONS(3822),
    [anon_sym_asm] = ACTIONS(3822),
    [anon_sym_break] = ACTIONS(3822),
    [anon_sym_continue] = ACTIONS(3822),
    [anon_sym_return] = ACTIONS(3822),
    [anon_sym_type] = ACTIONS(3822),
    [anon_sym_go] = ACTIONS(3822),
    [anon_sym_spawn] = ACTIONS(3822),
    [anon_sym_goto] = ACTIONS(3822),
    [anon_sym_for] = ACTIONS(3822),
    [anon_sym_DOLLARfor] = ACTIONS(3820),
    [anon_sym_DOLLARif] = ACTIONS(3820),
    [anon_sym_if] = ACTIONS(3822),
    [anon_sym_struct] = ACTIONS(3822),
    [anon_sym_union] = ACTIONS(3822),
    [anon_sym_enum] = ACTIONS(3822),
    [anon_sym_interface] = ACTIONS(3822),
    [anon_sym_POUND] = ACTIONS(3820),
    [anon_sym_module] = ACTIONS(3822),
    [anon_sym_import] = ACTIONS(3822),
    [anon_sym_match] = ACTIONS(3822),
    [anon_sym_select] = ACTIONS(3822),
    [anon_sym_lock] = ACTIONS(3822),
    [anon_sym_rlock] = ACTIONS(3822),
    [sym__automatic_separator] = ACTIONS(3820),
    [sym__c_string_opening] = ACTIONS(3820),
    [sym__raw_string_opening] = ACTIONS(3820),
    [sym__string_opening] = ACTIONS(3820),
    [sym__comment] = ACTIONS(3),
  },
  [1489] = {
    [sym_comment] = STATE(1489),
    [sym_block] = STATE(1544),
    [ts_builtin_sym_end] = ACTIONS(3824),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN] = ACTIONS(3824),
    [anon_sym_PLUS] = ACTIONS(3824),
    [anon_sym_DASH] = ACTIONS(3824),
    [anon_sym_BANG] = ACTIONS(3824),
    [anon_sym_TILDE] = ACTIONS(3824),
    [anon_sym_CARET] = ACTIONS(3824),
    [anon_sym_STAR] = ACTIONS(3824),
    [anon_sym_AMP] = ACTIONS(3824),
    [anon_sym_LT_DASH] = ACTIONS(3824),
    [anon_sym_DOLLAR] = ACTIONS(3826),
    [sym_none] = ACTIONS(3826),
    [sym_true] = ACTIONS(3826),
    [sym_false] = ACTIONS(3826),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3824),
    [anon_sym_map_LBRACK] = ACTIONS(3824),
    [anon_sym_chan] = ACTIONS(3826),
    [anon_sym_shared] = ACTIONS(3826),
    [anon_sym_thread] = ACTIONS(3826),
    [sym_int_literal] = ACTIONS(3826),
    [sym_float_literal] = ACTIONS(3824),
    [sym_rune_literal] = ACTIONS(3824),
    [anon_sym_DOT] = ACTIONS(3826),
    [anon_sym_array] = ACTIONS(3826),
    [anon_sym_string] = ACTIONS(3826),
    [anon_sym_char] = ACTIONS(3826),
    [anon_sym_sql] = ACTIONS(3826),
    [anon_sym_mut] = ACTIONS(3826),
    [anon_sym_C] = ACTIONS(3826),
    [anon_sym_JS] = ACTIONS(3826),
    [anon_sym_voidptr] = ACTIONS(3826),
    [anon_sym_byteptr] = ACTIONS(3826),
    [anon_sym_charptr] = ACTIONS(3826),
    [anon_sym_i8] = ACTIONS(3826),
    [anon_sym_i16] = ACTIONS(3826),
    [anon_sym_i32] = ACTIONS(3826),
    [anon_sym_int] = ACTIONS(3826),
    [anon_sym_i64] = ACTIONS(3826),
    [anon_sym_byte] = ACTIONS(3826),
    [anon_sym_u8] = ACTIONS(3826),
    [anon_sym_u16] = ACTIONS(3826),
    [anon_sym_u32] = ACTIONS(3826),
    [anon_sym_u64] = ACTIONS(3826),
    [anon_sym_f32] = ACTIONS(3826),
    [anon_sym_f64] = ACTIONS(3826),
    [anon_sym_bool] = ACTIONS(3826),
    [anon_sym_rune] = ACTIONS(3826),
    [anon_sym_map] = ACTIONS(3826),
    [anon_sym_mapnode] = ACTIONS(3826),
    [anon_sym_size_t] = ACTIONS(3826),
    [anon_sym_usize] = ACTIONS(3826),
    [anon_sym_isize] = ACTIONS(3826),
    [anon_sym_float_literal] = ACTIONS(3826),
    [anon_sym_int_literal] = ACTIONS(3826),
    [anon_sym_IError] = ACTIONS(3826),
    [sym_type_placeholder] = ACTIONS(3826),
    [anon_sym_AT] = ACTIONS(3826),
    [sym_type_identifier] = ACTIONS(3826),
    [anon_sym_assert] = ACTIONS(3826),
    [anon_sym_defer] = ACTIONS(3826),
    [anon_sym_unsafe] = ACTIONS(3826),
    [anon_sym_pub] = ACTIONS(3826),
    [anon_sym_fn] = ACTIONS(3826),
    [anon_sym___global] = ACTIONS(3826),
    [anon_sym_const] = ACTIONS(3826),
    [anon_sym_asm] = ACTIONS(3826),
    [anon_sym_break] = ACTIONS(3826),
    [anon_sym_continue] = ACTIONS(3826),
    [anon_sym_return] = ACTIONS(3826),
    [anon_sym_type] = ACTIONS(3826),
    [anon_sym_go] = ACTIONS(3826),
    [anon_sym_spawn] = ACTIONS(3826),
    [anon_sym_goto] = ACTIONS(3826),
    [anon_sym_for] = ACTIONS(3826),
    [anon_sym_DOLLARfor] = ACTIONS(3824),
    [anon_sym_DOLLARif] = ACTIONS(3824),
    [anon_sym_if] = ACTIONS(3826),
    [anon_sym_struct] = ACTIONS(3826),
    [anon_sym_union] = ACTIONS(3826),
    [anon_sym_enum] = ACTIONS(3826),
    [anon_sym_interface] = ACTIONS(3826),
    [anon_sym_POUND] = ACTIONS(3824),
    [anon_sym_module] = ACTIONS(3826),
    [anon_sym_import] = ACTIONS(3826),
    [anon_sym_match] = ACTIONS(3826),
    [anon_sym_select] = ACTIONS(3826),
    [anon_sym_lock] = ACTIONS(3826),
    [anon_sym_rlock] = ACTIONS(3826),
    [sym__automatic_separator] = ACTIONS(3824),
    [sym__c_string_opening] = ACTIONS(3824),
    [sym__raw_string_opening] = ACTIONS(3824),
    [sym__string_opening] = ACTIONS(3824),
    [sym__comment] = ACTIONS(3),
  },
  [1490] = {
    [sym_comment] = STATE(1490),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_LT_DASH] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [sym_none] = ACTIONS(1350),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_map_LBRACK] = ACTIONS(1348),
    [anon_sym_chan] = ACTIONS(1350),
    [anon_sym_shared] = ACTIONS(1350),
    [anon_sym_thread] = ACTIONS(1350),
    [sym_int_literal] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1348),
    [sym_rune_literal] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_array] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_char] = ACTIONS(1350),
    [anon_sym_sql] = ACTIONS(1350),
    [anon_sym_mut] = ACTIONS(1350),
    [anon_sym_C] = ACTIONS(1350),
    [anon_sym_JS] = ACTIONS(1350),
    [anon_sym_voidptr] = ACTIONS(1350),
    [anon_sym_byteptr] = ACTIONS(1350),
    [anon_sym_charptr] = ACTIONS(1350),
    [anon_sym_i8] = ACTIONS(1350),
    [anon_sym_i16] = ACTIONS(1350),
    [anon_sym_i32] = ACTIONS(1350),
    [anon_sym_int] = ACTIONS(1350),
    [anon_sym_i64] = ACTIONS(1350),
    [anon_sym_byte] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1350),
    [anon_sym_u16] = ACTIONS(1350),
    [anon_sym_u32] = ACTIONS(1350),
    [anon_sym_u64] = ACTIONS(1350),
    [anon_sym_f32] = ACTIONS(1350),
    [anon_sym_f64] = ACTIONS(1350),
    [anon_sym_bool] = ACTIONS(1350),
    [anon_sym_rune] = ACTIONS(1350),
    [anon_sym_map] = ACTIONS(1350),
    [anon_sym_mapnode] = ACTIONS(1350),
    [anon_sym_size_t] = ACTIONS(1350),
    [anon_sym_usize] = ACTIONS(1350),
    [anon_sym_isize] = ACTIONS(1350),
    [anon_sym_float_literal] = ACTIONS(1350),
    [anon_sym_int_literal] = ACTIONS(1350),
    [anon_sym_IError] = ACTIONS(1350),
    [sym_type_placeholder] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [sym_type_identifier] = ACTIONS(1350),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_defer] = ACTIONS(1350),
    [anon_sym_unsafe] = ACTIONS(1350),
    [anon_sym_pub] = ACTIONS(1350),
    [anon_sym_fn] = ACTIONS(1350),
    [anon_sym___global] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_go] = ACTIONS(1350),
    [anon_sym_spawn] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_DOLLARfor] = ACTIONS(1348),
    [anon_sym_DOLLARif] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_interface] = ACTIONS(1350),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_import] = ACTIONS(1350),
    [anon_sym_match] = ACTIONS(1350),
    [anon_sym_select] = ACTIONS(1350),
    [anon_sym_lock] = ACTIONS(1350),
    [anon_sym_rlock] = ACTIONS(1350),
    [sym__automatic_separator] = ACTIONS(1348),
    [sym__c_string_opening] = ACTIONS(1348),
    [sym__raw_string_opening] = ACTIONS(1348),
    [sym__string_opening] = ACTIONS(1348),
    [sym__comment] = ACTIONS(3),
  },
  [1491] = {
    [sym_comment] = STATE(1491),
    [sym_block] = STATE(1665),
    [ts_builtin_sym_end] = ACTIONS(3828),
    [sym_identifier] = ACTIONS(3830),
    [anon_sym_LPAREN] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_BANG] = ACTIONS(3828),
    [anon_sym_TILDE] = ACTIONS(3828),
    [anon_sym_CARET] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_AMP] = ACTIONS(3828),
    [anon_sym_LT_DASH] = ACTIONS(3828),
    [anon_sym_DOLLAR] = ACTIONS(3830),
    [sym_none] = ACTIONS(3830),
    [sym_true] = ACTIONS(3830),
    [sym_false] = ACTIONS(3830),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3828),
    [anon_sym_map_LBRACK] = ACTIONS(3828),
    [anon_sym_chan] = ACTIONS(3830),
    [anon_sym_shared] = ACTIONS(3830),
    [anon_sym_thread] = ACTIONS(3830),
    [sym_int_literal] = ACTIONS(3830),
    [sym_float_literal] = ACTIONS(3828),
    [sym_rune_literal] = ACTIONS(3828),
    [anon_sym_DOT] = ACTIONS(3830),
    [anon_sym_array] = ACTIONS(3830),
    [anon_sym_string] = ACTIONS(3830),
    [anon_sym_char] = ACTIONS(3830),
    [anon_sym_sql] = ACTIONS(3830),
    [anon_sym_mut] = ACTIONS(3830),
    [anon_sym_C] = ACTIONS(3830),
    [anon_sym_JS] = ACTIONS(3830),
    [anon_sym_voidptr] = ACTIONS(3830),
    [anon_sym_byteptr] = ACTIONS(3830),
    [anon_sym_charptr] = ACTIONS(3830),
    [anon_sym_i8] = ACTIONS(3830),
    [anon_sym_i16] = ACTIONS(3830),
    [anon_sym_i32] = ACTIONS(3830),
    [anon_sym_int] = ACTIONS(3830),
    [anon_sym_i64] = ACTIONS(3830),
    [anon_sym_byte] = ACTIONS(3830),
    [anon_sym_u8] = ACTIONS(3830),
    [anon_sym_u16] = ACTIONS(3830),
    [anon_sym_u32] = ACTIONS(3830),
    [anon_sym_u64] = ACTIONS(3830),
    [anon_sym_f32] = ACTIONS(3830),
    [anon_sym_f64] = ACTIONS(3830),
    [anon_sym_bool] = ACTIONS(3830),
    [anon_sym_rune] = ACTIONS(3830),
    [anon_sym_map] = ACTIONS(3830),
    [anon_sym_mapnode] = ACTIONS(3830),
    [anon_sym_size_t] = ACTIONS(3830),
    [anon_sym_usize] = ACTIONS(3830),
    [anon_sym_isize] = ACTIONS(3830),
    [anon_sym_float_literal] = ACTIONS(3830),
    [anon_sym_int_literal] = ACTIONS(3830),
    [anon_sym_IError] = ACTIONS(3830),
    [sym_type_placeholder] = ACTIONS(3830),
    [anon_sym_AT] = ACTIONS(3830),
    [sym_type_identifier] = ACTIONS(3830),
    [anon_sym_assert] = ACTIONS(3830),
    [anon_sym_defer] = ACTIONS(3830),
    [anon_sym_unsafe] = ACTIONS(3830),
    [anon_sym_pub] = ACTIONS(3830),
    [anon_sym_fn] = ACTIONS(3830),
    [anon_sym___global] = ACTIONS(3830),
    [anon_sym_const] = ACTIONS(3830),
    [anon_sym_asm] = ACTIONS(3830),
    [anon_sym_break] = ACTIONS(3830),
    [anon_sym_continue] = ACTIONS(3830),
    [anon_sym_return] = ACTIONS(3830),
    [anon_sym_type] = ACTIONS(3830),
    [anon_sym_go] = ACTIONS(3830),
    [anon_sym_spawn] = ACTIONS(3830),
    [anon_sym_goto] = ACTIONS(3830),
    [anon_sym_for] = ACTIONS(3830),
    [anon_sym_DOLLARfor] = ACTIONS(3828),
    [anon_sym_DOLLARif] = ACTIONS(3828),
    [anon_sym_if] = ACTIONS(3830),
    [anon_sym_struct] = ACTIONS(3830),
    [anon_sym_union] = ACTIONS(3830),
    [anon_sym_enum] = ACTIONS(3830),
    [anon_sym_interface] = ACTIONS(3830),
    [anon_sym_POUND] = ACTIONS(3828),
    [anon_sym_module] = ACTIONS(3830),
    [anon_sym_import] = ACTIONS(3830),
    [anon_sym_match] = ACTIONS(3830),
    [anon_sym_select] = ACTIONS(3830),
    [anon_sym_lock] = ACTIONS(3830),
    [anon_sym_rlock] = ACTIONS(3830),
    [sym__automatic_separator] = ACTIONS(3828),
    [sym__c_string_opening] = ACTIONS(3828),
    [sym__raw_string_opening] = ACTIONS(3828),
    [sym__string_opening] = ACTIONS(3828),
    [sym__comment] = ACTIONS(3),
  },
  [1492] = {
    [sym_comment] = STATE(1492),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_identifier] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_CARET] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_LT_DASH] = ACTIONS(1316),
    [anon_sym_PIPE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [sym_none] = ACTIONS(1318),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_map_LBRACK] = ACTIONS(1316),
    [anon_sym_chan] = ACTIONS(1318),
    [anon_sym_shared] = ACTIONS(1318),
    [anon_sym_thread] = ACTIONS(1318),
    [sym_int_literal] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1316),
    [sym_rune_literal] = ACTIONS(1316),
    [anon_sym_DOT] = ACTIONS(1318),
    [anon_sym_array] = ACTIONS(1318),
    [anon_sym_string] = ACTIONS(1318),
    [anon_sym_char] = ACTIONS(1318),
    [anon_sym_sql] = ACTIONS(1318),
    [anon_sym_mut] = ACTIONS(1318),
    [anon_sym_C] = ACTIONS(1318),
    [anon_sym_JS] = ACTIONS(1318),
    [anon_sym_voidptr] = ACTIONS(1318),
    [anon_sym_byteptr] = ACTIONS(1318),
    [anon_sym_charptr] = ACTIONS(1318),
    [anon_sym_i8] = ACTIONS(1318),
    [anon_sym_i16] = ACTIONS(1318),
    [anon_sym_i32] = ACTIONS(1318),
    [anon_sym_int] = ACTIONS(1318),
    [anon_sym_i64] = ACTIONS(1318),
    [anon_sym_byte] = ACTIONS(1318),
    [anon_sym_u8] = ACTIONS(1318),
    [anon_sym_u16] = ACTIONS(1318),
    [anon_sym_u32] = ACTIONS(1318),
    [anon_sym_u64] = ACTIONS(1318),
    [anon_sym_f32] = ACTIONS(1318),
    [anon_sym_f64] = ACTIONS(1318),
    [anon_sym_bool] = ACTIONS(1318),
    [anon_sym_rune] = ACTIONS(1318),
    [anon_sym_map] = ACTIONS(1318),
    [anon_sym_mapnode] = ACTIONS(1318),
    [anon_sym_size_t] = ACTIONS(1318),
    [anon_sym_usize] = ACTIONS(1318),
    [anon_sym_isize] = ACTIONS(1318),
    [anon_sym_float_literal] = ACTIONS(1318),
    [anon_sym_int_literal] = ACTIONS(1318),
    [anon_sym_IError] = ACTIONS(1318),
    [sym_type_placeholder] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [sym_type_identifier] = ACTIONS(1318),
    [anon_sym_assert] = ACTIONS(1318),
    [anon_sym_defer] = ACTIONS(1318),
    [anon_sym_unsafe] = ACTIONS(1318),
    [anon_sym_pub] = ACTIONS(1318),
    [anon_sym_fn] = ACTIONS(1318),
    [anon_sym___global] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_type] = ACTIONS(1318),
    [anon_sym_go] = ACTIONS(1318),
    [anon_sym_spawn] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_DOLLARfor] = ACTIONS(1316),
    [anon_sym_DOLLARif] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_interface] = ACTIONS(1318),
    [anon_sym_POUND] = ACTIONS(1316),
    [anon_sym_module] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(1318),
    [anon_sym_match] = ACTIONS(1318),
    [anon_sym_select] = ACTIONS(1318),
    [anon_sym_lock] = ACTIONS(1318),
    [anon_sym_rlock] = ACTIONS(1318),
    [sym__automatic_separator] = ACTIONS(1316),
    [sym__c_string_opening] = ACTIONS(1316),
    [sym__raw_string_opening] = ACTIONS(1316),
    [sym__string_opening] = ACTIONS(1316),
    [sym__comment] = ACTIONS(3),
  },
  [1493] = {
    [sym_comment] = STATE(1493),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_LT_DASH] = ACTIONS(1294),
    [anon_sym_PIPE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [sym_none] = ACTIONS(1296),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_map_LBRACK] = ACTIONS(1294),
    [anon_sym_chan] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_thread] = ACTIONS(1296),
    [sym_int_literal] = ACTIONS(1296),
    [sym_float_literal] = ACTIONS(1294),
    [sym_rune_literal] = ACTIONS(1294),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_array] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_char] = ACTIONS(1296),
    [anon_sym_sql] = ACTIONS(1296),
    [anon_sym_mut] = ACTIONS(1296),
    [anon_sym_C] = ACTIONS(1296),
    [anon_sym_JS] = ACTIONS(1296),
    [anon_sym_voidptr] = ACTIONS(1296),
    [anon_sym_byteptr] = ACTIONS(1296),
    [anon_sym_charptr] = ACTIONS(1296),
    [anon_sym_i8] = ACTIONS(1296),
    [anon_sym_i16] = ACTIONS(1296),
    [anon_sym_i32] = ACTIONS(1296),
    [anon_sym_int] = ACTIONS(1296),
    [anon_sym_i64] = ACTIONS(1296),
    [anon_sym_byte] = ACTIONS(1296),
    [anon_sym_u8] = ACTIONS(1296),
    [anon_sym_u16] = ACTIONS(1296),
    [anon_sym_u32] = ACTIONS(1296),
    [anon_sym_u64] = ACTIONS(1296),
    [anon_sym_f32] = ACTIONS(1296),
    [anon_sym_f64] = ACTIONS(1296),
    [anon_sym_bool] = ACTIONS(1296),
    [anon_sym_rune] = ACTIONS(1296),
    [anon_sym_map] = ACTIONS(1296),
    [anon_sym_mapnode] = ACTIONS(1296),
    [anon_sym_size_t] = ACTIONS(1296),
    [anon_sym_usize] = ACTIONS(1296),
    [anon_sym_isize] = ACTIONS(1296),
    [anon_sym_float_literal] = ACTIONS(1296),
    [anon_sym_int_literal] = ACTIONS(1296),
    [anon_sym_IError] = ACTIONS(1296),
    [sym_type_placeholder] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [sym_type_identifier] = ACTIONS(1296),
    [anon_sym_assert] = ACTIONS(1296),
    [anon_sym_defer] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1296),
    [anon_sym_pub] = ACTIONS(1296),
    [anon_sym_fn] = ACTIONS(1296),
    [anon_sym___global] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_go] = ACTIONS(1296),
    [anon_sym_spawn] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_DOLLARfor] = ACTIONS(1294),
    [anon_sym_DOLLARif] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_interface] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1294),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_import] = ACTIONS(1296),
    [anon_sym_match] = ACTIONS(1296),
    [anon_sym_select] = ACTIONS(1296),
    [anon_sym_lock] = ACTIONS(1296),
    [anon_sym_rlock] = ACTIONS(1296),
    [sym__automatic_separator] = ACTIONS(1294),
    [sym__c_string_opening] = ACTIONS(1294),
    [sym__raw_string_opening] = ACTIONS(1294),
    [sym__string_opening] = ACTIONS(1294),
    [sym__comment] = ACTIONS(3),
  },
  [1494] = {
    [sym_comment] = STATE(1494),
    [sym_block] = STATE(1602),
    [ts_builtin_sym_end] = ACTIONS(3832),
    [sym_identifier] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3832),
    [anon_sym_PLUS] = ACTIONS(3832),
    [anon_sym_DASH] = ACTIONS(3832),
    [anon_sym_BANG] = ACTIONS(3832),
    [anon_sym_TILDE] = ACTIONS(3832),
    [anon_sym_CARET] = ACTIONS(3832),
    [anon_sym_STAR] = ACTIONS(3832),
    [anon_sym_AMP] = ACTIONS(3832),
    [anon_sym_LT_DASH] = ACTIONS(3832),
    [anon_sym_DOLLAR] = ACTIONS(3834),
    [sym_none] = ACTIONS(3834),
    [sym_true] = ACTIONS(3834),
    [sym_false] = ACTIONS(3834),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3832),
    [anon_sym_map_LBRACK] = ACTIONS(3832),
    [anon_sym_chan] = ACTIONS(3834),
    [anon_sym_shared] = ACTIONS(3834),
    [anon_sym_thread] = ACTIONS(3834),
    [sym_int_literal] = ACTIONS(3834),
    [sym_float_literal] = ACTIONS(3832),
    [sym_rune_literal] = ACTIONS(3832),
    [anon_sym_DOT] = ACTIONS(3834),
    [anon_sym_array] = ACTIONS(3834),
    [anon_sym_string] = ACTIONS(3834),
    [anon_sym_char] = ACTIONS(3834),
    [anon_sym_sql] = ACTIONS(3834),
    [anon_sym_mut] = ACTIONS(3834),
    [anon_sym_C] = ACTIONS(3834),
    [anon_sym_JS] = ACTIONS(3834),
    [anon_sym_voidptr] = ACTIONS(3834),
    [anon_sym_byteptr] = ACTIONS(3834),
    [anon_sym_charptr] = ACTIONS(3834),
    [anon_sym_i8] = ACTIONS(3834),
    [anon_sym_i16] = ACTIONS(3834),
    [anon_sym_i32] = ACTIONS(3834),
    [anon_sym_int] = ACTIONS(3834),
    [anon_sym_i64] = ACTIONS(3834),
    [anon_sym_byte] = ACTIONS(3834),
    [anon_sym_u8] = ACTIONS(3834),
    [anon_sym_u16] = ACTIONS(3834),
    [anon_sym_u32] = ACTIONS(3834),
    [anon_sym_u64] = ACTIONS(3834),
    [anon_sym_f32] = ACTIONS(3834),
    [anon_sym_f64] = ACTIONS(3834),
    [anon_sym_bool] = ACTIONS(3834),
    [anon_sym_rune] = ACTIONS(3834),
    [anon_sym_map] = ACTIONS(3834),
    [anon_sym_mapnode] = ACTIONS(3834),
    [anon_sym_size_t] = ACTIONS(3834),
    [anon_sym_usize] = ACTIONS(3834),
    [anon_sym_isize] = ACTIONS(3834),
    [anon_sym_float_literal] = ACTIONS(3834),
    [anon_sym_int_literal] = ACTIONS(3834),
    [anon_sym_IError] = ACTIONS(3834),
    [sym_type_placeholder] = ACTIONS(3834),
    [anon_sym_AT] = ACTIONS(3834),
    [sym_type_identifier] = ACTIONS(3834),
    [anon_sym_assert] = ACTIONS(3834),
    [anon_sym_defer] = ACTIONS(3834),
    [anon_sym_unsafe] = ACTIONS(3834),
    [anon_sym_pub] = ACTIONS(3834),
    [anon_sym_fn] = ACTIONS(3834),
    [anon_sym___global] = ACTIONS(3834),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_asm] = ACTIONS(3834),
    [anon_sym_break] = ACTIONS(3834),
    [anon_sym_continue] = ACTIONS(3834),
    [anon_sym_return] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3834),
    [anon_sym_go] = ACTIONS(3834),
    [anon_sym_spawn] = ACTIONS(3834),
    [anon_sym_goto] = ACTIONS(3834),
    [anon_sym_for] = ACTIONS(3834),
    [anon_sym_DOLLARfor] = ACTIONS(3832),
    [anon_sym_DOLLARif] = ACTIONS(3832),
    [anon_sym_if] = ACTIONS(3834),
    [anon_sym_struct] = ACTIONS(3834),
    [anon_sym_union] = ACTIONS(3834),
    [anon_sym_enum] = ACTIONS(3834),
    [anon_sym_interface] = ACTIONS(3834),
    [anon_sym_POUND] = ACTIONS(3832),
    [anon_sym_module] = ACTIONS(3834),
    [anon_sym_import] = ACTIONS(3834),
    [anon_sym_match] = ACTIONS(3834),
    [anon_sym_select] = ACTIONS(3834),
    [anon_sym_lock] = ACTIONS(3834),
    [anon_sym_rlock] = ACTIONS(3834),
    [sym__automatic_separator] = ACTIONS(3832),
    [sym__c_string_opening] = ACTIONS(3832),
    [sym__raw_string_opening] = ACTIONS(3832),
    [sym__string_opening] = ACTIONS(3832),
    [sym__comment] = ACTIONS(3),
  },
  [1495] = {
    [sym_comment] = STATE(1495),
    [sym_block] = STATE(1659),
    [ts_builtin_sym_end] = ACTIONS(3836),
    [sym_identifier] = ACTIONS(3838),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_PLUS] = ACTIONS(3836),
    [anon_sym_DASH] = ACTIONS(3836),
    [anon_sym_BANG] = ACTIONS(3836),
    [anon_sym_TILDE] = ACTIONS(3836),
    [anon_sym_CARET] = ACTIONS(3836),
    [anon_sym_STAR] = ACTIONS(3836),
    [anon_sym_AMP] = ACTIONS(3836),
    [anon_sym_LT_DASH] = ACTIONS(3836),
    [anon_sym_DOLLAR] = ACTIONS(3838),
    [sym_none] = ACTIONS(3838),
    [sym_true] = ACTIONS(3838),
    [sym_false] = ACTIONS(3838),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3836),
    [anon_sym_map_LBRACK] = ACTIONS(3836),
    [anon_sym_chan] = ACTIONS(3838),
    [anon_sym_shared] = ACTIONS(3838),
    [anon_sym_thread] = ACTIONS(3838),
    [sym_int_literal] = ACTIONS(3838),
    [sym_float_literal] = ACTIONS(3836),
    [sym_rune_literal] = ACTIONS(3836),
    [anon_sym_DOT] = ACTIONS(3838),
    [anon_sym_array] = ACTIONS(3838),
    [anon_sym_string] = ACTIONS(3838),
    [anon_sym_char] = ACTIONS(3838),
    [anon_sym_sql] = ACTIONS(3838),
    [anon_sym_mut] = ACTIONS(3838),
    [anon_sym_C] = ACTIONS(3838),
    [anon_sym_JS] = ACTIONS(3838),
    [anon_sym_voidptr] = ACTIONS(3838),
    [anon_sym_byteptr] = ACTIONS(3838),
    [anon_sym_charptr] = ACTIONS(3838),
    [anon_sym_i8] = ACTIONS(3838),
    [anon_sym_i16] = ACTIONS(3838),
    [anon_sym_i32] = ACTIONS(3838),
    [anon_sym_int] = ACTIONS(3838),
    [anon_sym_i64] = ACTIONS(3838),
    [anon_sym_byte] = ACTIONS(3838),
    [anon_sym_u8] = ACTIONS(3838),
    [anon_sym_u16] = ACTIONS(3838),
    [anon_sym_u32] = ACTIONS(3838),
    [anon_sym_u64] = ACTIONS(3838),
    [anon_sym_f32] = ACTIONS(3838),
    [anon_sym_f64] = ACTIONS(3838),
    [anon_sym_bool] = ACTIONS(3838),
    [anon_sym_rune] = ACTIONS(3838),
    [anon_sym_map] = ACTIONS(3838),
    [anon_sym_mapnode] = ACTIONS(3838),
    [anon_sym_size_t] = ACTIONS(3838),
    [anon_sym_usize] = ACTIONS(3838),
    [anon_sym_isize] = ACTIONS(3838),
    [anon_sym_float_literal] = ACTIONS(3838),
    [anon_sym_int_literal] = ACTIONS(3838),
    [anon_sym_IError] = ACTIONS(3838),
    [sym_type_placeholder] = ACTIONS(3838),
    [anon_sym_AT] = ACTIONS(3838),
    [sym_type_identifier] = ACTIONS(3838),
    [anon_sym_assert] = ACTIONS(3838),
    [anon_sym_defer] = ACTIONS(3838),
    [anon_sym_unsafe] = ACTIONS(3838),
    [anon_sym_pub] = ACTIONS(3838),
    [anon_sym_fn] = ACTIONS(3838),
    [anon_sym___global] = ACTIONS(3838),
    [anon_sym_const] = ACTIONS(3838),
    [anon_sym_asm] = ACTIONS(3838),
    [anon_sym_break] = ACTIONS(3838),
    [anon_sym_continue] = ACTIONS(3838),
    [anon_sym_return] = ACTIONS(3838),
    [anon_sym_type] = ACTIONS(3838),
    [anon_sym_go] = ACTIONS(3838),
    [anon_sym_spawn] = ACTIONS(3838),
    [anon_sym_goto] = ACTIONS(3838),
    [anon_sym_for] = ACTIONS(3838),
    [anon_sym_DOLLARfor] = ACTIONS(3836),
    [anon_sym_DOLLARif] = ACTIONS(3836),
    [anon_sym_if] = ACTIONS(3838),
    [anon_sym_struct] = ACTIONS(3838),
    [anon_sym_union] = ACTIONS(3838),
    [anon_sym_enum] = ACTIONS(3838),
    [anon_sym_interface] = ACTIONS(3838),
    [anon_sym_POUND] = ACTIONS(3836),
    [anon_sym_module] = ACTIONS(3838),
    [anon_sym_import] = ACTIONS(3838),
    [anon_sym_match] = ACTIONS(3838),
    [anon_sym_select] = ACTIONS(3838),
    [anon_sym_lock] = ACTIONS(3838),
    [anon_sym_rlock] = ACTIONS(3838),
    [sym__automatic_separator] = ACTIONS(3836),
    [sym__c_string_opening] = ACTIONS(3836),
    [sym__raw_string_opening] = ACTIONS(3836),
    [sym__string_opening] = ACTIONS(3836),
    [sym__comment] = ACTIONS(3),
  },
  [1496] = {
    [sym_comment] = STATE(1496),
    [sym_block] = STATE(1556),
    [ts_builtin_sym_end] = ACTIONS(3840),
    [sym_identifier] = ACTIONS(3842),
    [anon_sym_LPAREN] = ACTIONS(3840),
    [anon_sym_PLUS] = ACTIONS(3840),
    [anon_sym_DASH] = ACTIONS(3840),
    [anon_sym_BANG] = ACTIONS(3840),
    [anon_sym_TILDE] = ACTIONS(3840),
    [anon_sym_CARET] = ACTIONS(3840),
    [anon_sym_STAR] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3840),
    [anon_sym_LT_DASH] = ACTIONS(3840),
    [anon_sym_DOLLAR] = ACTIONS(3842),
    [sym_none] = ACTIONS(3842),
    [sym_true] = ACTIONS(3842),
    [sym_false] = ACTIONS(3842),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3840),
    [anon_sym_map_LBRACK] = ACTIONS(3840),
    [anon_sym_chan] = ACTIONS(3842),
    [anon_sym_shared] = ACTIONS(3842),
    [anon_sym_thread] = ACTIONS(3842),
    [sym_int_literal] = ACTIONS(3842),
    [sym_float_literal] = ACTIONS(3840),
    [sym_rune_literal] = ACTIONS(3840),
    [anon_sym_DOT] = ACTIONS(3842),
    [anon_sym_array] = ACTIONS(3842),
    [anon_sym_string] = ACTIONS(3842),
    [anon_sym_char] = ACTIONS(3842),
    [anon_sym_sql] = ACTIONS(3842),
    [anon_sym_mut] = ACTIONS(3842),
    [anon_sym_C] = ACTIONS(3842),
    [anon_sym_JS] = ACTIONS(3842),
    [anon_sym_voidptr] = ACTIONS(3842),
    [anon_sym_byteptr] = ACTIONS(3842),
    [anon_sym_charptr] = ACTIONS(3842),
    [anon_sym_i8] = ACTIONS(3842),
    [anon_sym_i16] = ACTIONS(3842),
    [anon_sym_i32] = ACTIONS(3842),
    [anon_sym_int] = ACTIONS(3842),
    [anon_sym_i64] = ACTIONS(3842),
    [anon_sym_byte] = ACTIONS(3842),
    [anon_sym_u8] = ACTIONS(3842),
    [anon_sym_u16] = ACTIONS(3842),
    [anon_sym_u32] = ACTIONS(3842),
    [anon_sym_u64] = ACTIONS(3842),
    [anon_sym_f32] = ACTIONS(3842),
    [anon_sym_f64] = ACTIONS(3842),
    [anon_sym_bool] = ACTIONS(3842),
    [anon_sym_rune] = ACTIONS(3842),
    [anon_sym_map] = ACTIONS(3842),
    [anon_sym_mapnode] = ACTIONS(3842),
    [anon_sym_size_t] = ACTIONS(3842),
    [anon_sym_usize] = ACTIONS(3842),
    [anon_sym_isize] = ACTIONS(3842),
    [anon_sym_float_literal] = ACTIONS(3842),
    [anon_sym_int_literal] = ACTIONS(3842),
    [anon_sym_IError] = ACTIONS(3842),
    [sym_type_placeholder] = ACTIONS(3842),
    [anon_sym_AT] = ACTIONS(3842),
    [sym_type_identifier] = ACTIONS(3842),
    [anon_sym_assert] = ACTIONS(3842),
    [anon_sym_defer] = ACTIONS(3842),
    [anon_sym_unsafe] = ACTIONS(3842),
    [anon_sym_pub] = ACTIONS(3842),
    [anon_sym_fn] = ACTIONS(3842),
    [anon_sym___global] = ACTIONS(3842),
    [anon_sym_const] = ACTIONS(3842),
    [anon_sym_asm] = ACTIONS(3842),
    [anon_sym_break] = ACTIONS(3842),
    [anon_sym_continue] = ACTIONS(3842),
    [anon_sym_return] = ACTIONS(3842),
    [anon_sym_type] = ACTIONS(3842),
    [anon_sym_go] = ACTIONS(3842),
    [anon_sym_spawn] = ACTIONS(3842),
    [anon_sym_goto] = ACTIONS(3842),
    [anon_sym_for] = ACTIONS(3842),
    [anon_sym_DOLLARfor] = ACTIONS(3840),
    [anon_sym_DOLLARif] = ACTIONS(3840),
    [anon_sym_if] = ACTIONS(3842),
    [anon_sym_struct] = ACTIONS(3842),
    [anon_sym_union] = ACTIONS(3842),
    [anon_sym_enum] = ACTIONS(3842),
    [anon_sym_interface] = ACTIONS(3842),
    [anon_sym_POUND] = ACTIONS(3840),
    [anon_sym_module] = ACTIONS(3842),
    [anon_sym_import] = ACTIONS(3842),
    [anon_sym_match] = ACTIONS(3842),
    [anon_sym_select] = ACTIONS(3842),
    [anon_sym_lock] = ACTIONS(3842),
    [anon_sym_rlock] = ACTIONS(3842),
    [sym__automatic_separator] = ACTIONS(3840),
    [sym__c_string_opening] = ACTIONS(3840),
    [sym__raw_string_opening] = ACTIONS(3840),
    [sym__string_opening] = ACTIONS(3840),
    [sym__comment] = ACTIONS(3),
  },
  [1497] = {
    [sym_comment] = STATE(1497),
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_CARET] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_LT_DASH] = ACTIONS(1282),
    [anon_sym_PIPE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym_none] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_map_LBRACK] = ACTIONS(1282),
    [anon_sym_chan] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_thread] = ACTIONS(1284),
    [sym_int_literal] = ACTIONS(1284),
    [sym_float_literal] = ACTIONS(1282),
    [sym_rune_literal] = ACTIONS(1282),
    [anon_sym_DOT] = ACTIONS(1284),
    [anon_sym_array] = ACTIONS(1284),
    [anon_sym_string] = ACTIONS(1284),
    [anon_sym_char] = ACTIONS(1284),
    [anon_sym_sql] = ACTIONS(1284),
    [anon_sym_mut] = ACTIONS(1284),
    [anon_sym_C] = ACTIONS(1284),
    [anon_sym_JS] = ACTIONS(1284),
    [anon_sym_voidptr] = ACTIONS(1284),
    [anon_sym_byteptr] = ACTIONS(1284),
    [anon_sym_charptr] = ACTIONS(1284),
    [anon_sym_i8] = ACTIONS(1284),
    [anon_sym_i16] = ACTIONS(1284),
    [anon_sym_i32] = ACTIONS(1284),
    [anon_sym_int] = ACTIONS(1284),
    [anon_sym_i64] = ACTIONS(1284),
    [anon_sym_byte] = ACTIONS(1284),
    [anon_sym_u8] = ACTIONS(1284),
    [anon_sym_u16] = ACTIONS(1284),
    [anon_sym_u32] = ACTIONS(1284),
    [anon_sym_u64] = ACTIONS(1284),
    [anon_sym_f32] = ACTIONS(1284),
    [anon_sym_f64] = ACTIONS(1284),
    [anon_sym_bool] = ACTIONS(1284),
    [anon_sym_rune] = ACTIONS(1284),
    [anon_sym_map] = ACTIONS(1284),
    [anon_sym_mapnode] = ACTIONS(1284),
    [anon_sym_size_t] = ACTIONS(1284),
    [anon_sym_usize] = ACTIONS(1284),
    [anon_sym_isize] = ACTIONS(1284),
    [anon_sym_float_literal] = ACTIONS(1284),
    [anon_sym_int_literal] = ACTIONS(1284),
    [anon_sym_IError] = ACTIONS(1284),
    [sym_type_placeholder] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [sym_type_identifier] = ACTIONS(1284),
    [anon_sym_assert] = ACTIONS(1284),
    [anon_sym_defer] = ACTIONS(1284),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_pub] = ACTIONS(1284),
    [anon_sym_fn] = ACTIONS(1284),
    [anon_sym___global] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_type] = ACTIONS(1284),
    [anon_sym_go] = ACTIONS(1284),
    [anon_sym_spawn] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_DOLLARfor] = ACTIONS(1282),
    [anon_sym_DOLLARif] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_interface] = ACTIONS(1284),
    [anon_sym_POUND] = ACTIONS(1282),
    [anon_sym_module] = ACTIONS(1284),
    [anon_sym_import] = ACTIONS(1284),
    [anon_sym_match] = ACTIONS(1284),
    [anon_sym_select] = ACTIONS(1284),
    [anon_sym_lock] = ACTIONS(1284),
    [anon_sym_rlock] = ACTIONS(1284),
    [sym__automatic_separator] = ACTIONS(1282),
    [sym__c_string_opening] = ACTIONS(1282),
    [sym__raw_string_opening] = ACTIONS(1282),
    [sym__string_opening] = ACTIONS(1282),
    [sym__comment] = ACTIONS(3),
  },
  [1498] = {
    [sym_comment] = STATE(1498),
    [sym_block] = STATE(1667),
    [ts_builtin_sym_end] = ACTIONS(3844),
    [sym_identifier] = ACTIONS(3846),
    [anon_sym_LPAREN] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3844),
    [anon_sym_DASH] = ACTIONS(3844),
    [anon_sym_BANG] = ACTIONS(3844),
    [anon_sym_TILDE] = ACTIONS(3844),
    [anon_sym_CARET] = ACTIONS(3844),
    [anon_sym_STAR] = ACTIONS(3844),
    [anon_sym_AMP] = ACTIONS(3844),
    [anon_sym_LT_DASH] = ACTIONS(3844),
    [anon_sym_DOLLAR] = ACTIONS(3846),
    [sym_none] = ACTIONS(3846),
    [sym_true] = ACTIONS(3846),
    [sym_false] = ACTIONS(3846),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3844),
    [anon_sym_map_LBRACK] = ACTIONS(3844),
    [anon_sym_chan] = ACTIONS(3846),
    [anon_sym_shared] = ACTIONS(3846),
    [anon_sym_thread] = ACTIONS(3846),
    [sym_int_literal] = ACTIONS(3846),
    [sym_float_literal] = ACTIONS(3844),
    [sym_rune_literal] = ACTIONS(3844),
    [anon_sym_DOT] = ACTIONS(3846),
    [anon_sym_array] = ACTIONS(3846),
    [anon_sym_string] = ACTIONS(3846),
    [anon_sym_char] = ACTIONS(3846),
    [anon_sym_sql] = ACTIONS(3846),
    [anon_sym_mut] = ACTIONS(3846),
    [anon_sym_C] = ACTIONS(3846),
    [anon_sym_JS] = ACTIONS(3846),
    [anon_sym_voidptr] = ACTIONS(3846),
    [anon_sym_byteptr] = ACTIONS(3846),
    [anon_sym_charptr] = ACTIONS(3846),
    [anon_sym_i8] = ACTIONS(3846),
    [anon_sym_i16] = ACTIONS(3846),
    [anon_sym_i32] = ACTIONS(3846),
    [anon_sym_int] = ACTIONS(3846),
    [anon_sym_i64] = ACTIONS(3846),
    [anon_sym_byte] = ACTIONS(3846),
    [anon_sym_u8] = ACTIONS(3846),
    [anon_sym_u16] = ACTIONS(3846),
    [anon_sym_u32] = ACTIONS(3846),
    [anon_sym_u64] = ACTIONS(3846),
    [anon_sym_f32] = ACTIONS(3846),
    [anon_sym_f64] = ACTIONS(3846),
    [anon_sym_bool] = ACTIONS(3846),
    [anon_sym_rune] = ACTIONS(3846),
    [anon_sym_map] = ACTIONS(3846),
    [anon_sym_mapnode] = ACTIONS(3846),
    [anon_sym_size_t] = ACTIONS(3846),
    [anon_sym_usize] = ACTIONS(3846),
    [anon_sym_isize] = ACTIONS(3846),
    [anon_sym_float_literal] = ACTIONS(3846),
    [anon_sym_int_literal] = ACTIONS(3846),
    [anon_sym_IError] = ACTIONS(3846),
    [sym_type_placeholder] = ACTIONS(3846),
    [anon_sym_AT] = ACTIONS(3846),
    [sym_type_identifier] = ACTIONS(3846),
    [anon_sym_assert] = ACTIONS(3846),
    [anon_sym_defer] = ACTIONS(3846),
    [anon_sym_unsafe] = ACTIONS(3846),
    [anon_sym_pub] = ACTIONS(3846),
    [anon_sym_fn] = ACTIONS(3846),
    [anon_sym___global] = ACTIONS(3846),
    [anon_sym_const] = ACTIONS(3846),
    [anon_sym_asm] = ACTIONS(3846),
    [anon_sym_break] = ACTIONS(3846),
    [anon_sym_continue] = ACTIONS(3846),
    [anon_sym_return] = ACTIONS(3846),
    [anon_sym_type] = ACTIONS(3846),
    [anon_sym_go] = ACTIONS(3846),
    [anon_sym_spawn] = ACTIONS(3846),
    [anon_sym_goto] = ACTIONS(3846),
    [anon_sym_for] = ACTIONS(3846),
    [anon_sym_DOLLARfor] = ACTIONS(3844),
    [anon_sym_DOLLARif] = ACTIONS(3844),
    [anon_sym_if] = ACTIONS(3846),
    [anon_sym_struct] = ACTIONS(3846),
    [anon_sym_union] = ACTIONS(3846),
    [anon_sym_enum] = ACTIONS(3846),
    [anon_sym_interface] = ACTIONS(3846),
    [anon_sym_POUND] = ACTIONS(3844),
    [anon_sym_module] = ACTIONS(3846),
    [anon_sym_import] = ACTIONS(3846),
    [anon_sym_match] = ACTIONS(3846),
    [anon_sym_select] = ACTIONS(3846),
    [anon_sym_lock] = ACTIONS(3846),
    [anon_sym_rlock] = ACTIONS(3846),
    [sym__automatic_separator] = ACTIONS(3844),
    [sym__c_string_opening] = ACTIONS(3844),
    [sym__raw_string_opening] = ACTIONS(3844),
    [sym__string_opening] = ACTIONS(3844),
    [sym__comment] = ACTIONS(3),
  },
  [1499] = {
    [sym_comment] = STATE(1499),
    [sym_block] = STATE(1625),
    [ts_builtin_sym_end] = ACTIONS(3848),
    [sym_identifier] = ACTIONS(3850),
    [anon_sym_LPAREN] = ACTIONS(3848),
    [anon_sym_PLUS] = ACTIONS(3848),
    [anon_sym_DASH] = ACTIONS(3848),
    [anon_sym_BANG] = ACTIONS(3848),
    [anon_sym_TILDE] = ACTIONS(3848),
    [anon_sym_CARET] = ACTIONS(3848),
    [anon_sym_STAR] = ACTIONS(3848),
    [anon_sym_AMP] = ACTIONS(3848),
    [anon_sym_LT_DASH] = ACTIONS(3848),
    [anon_sym_DOLLAR] = ACTIONS(3850),
    [sym_none] = ACTIONS(3850),
    [sym_true] = ACTIONS(3850),
    [sym_false] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3848),
    [anon_sym_map_LBRACK] = ACTIONS(3848),
    [anon_sym_chan] = ACTIONS(3850),
    [anon_sym_shared] = ACTIONS(3850),
    [anon_sym_thread] = ACTIONS(3850),
    [sym_int_literal] = ACTIONS(3850),
    [sym_float_literal] = ACTIONS(3848),
    [sym_rune_literal] = ACTIONS(3848),
    [anon_sym_DOT] = ACTIONS(3850),
    [anon_sym_array] = ACTIONS(3850),
    [anon_sym_string] = ACTIONS(3850),
    [anon_sym_char] = ACTIONS(3850),
    [anon_sym_sql] = ACTIONS(3850),
    [anon_sym_mut] = ACTIONS(3850),
    [anon_sym_C] = ACTIONS(3850),
    [anon_sym_JS] = ACTIONS(3850),
    [anon_sym_voidptr] = ACTIONS(3850),
    [anon_sym_byteptr] = ACTIONS(3850),
    [anon_sym_charptr] = ACTIONS(3850),
    [anon_sym_i8] = ACTIONS(3850),
    [anon_sym_i16] = ACTIONS(3850),
    [anon_sym_i32] = ACTIONS(3850),
    [anon_sym_int] = ACTIONS(3850),
    [anon_sym_i64] = ACTIONS(3850),
    [anon_sym_byte] = ACTIONS(3850),
    [anon_sym_u8] = ACTIONS(3850),
    [anon_sym_u16] = ACTIONS(3850),
    [anon_sym_u32] = ACTIONS(3850),
    [anon_sym_u64] = ACTIONS(3850),
    [anon_sym_f32] = ACTIONS(3850),
    [anon_sym_f64] = ACTIONS(3850),
    [anon_sym_bool] = ACTIONS(3850),
    [anon_sym_rune] = ACTIONS(3850),
    [anon_sym_map] = ACTIONS(3850),
    [anon_sym_mapnode] = ACTIONS(3850),
    [anon_sym_size_t] = ACTIONS(3850),
    [anon_sym_usize] = ACTIONS(3850),
    [anon_sym_isize] = ACTIONS(3850),
    [anon_sym_float_literal] = ACTIONS(3850),
    [anon_sym_int_literal] = ACTIONS(3850),
    [anon_sym_IError] = ACTIONS(3850),
    [sym_type_placeholder] = ACTIONS(3850),
    [anon_sym_AT] = ACTIONS(3850),
    [sym_type_identifier] = ACTIONS(3850),
    [anon_sym_assert] = ACTIONS(3850),
    [anon_sym_defer] = ACTIONS(3850),
    [anon_sym_unsafe] = ACTIONS(3850),
    [anon_sym_pub] = ACTIONS(3850),
    [anon_sym_fn] = ACTIONS(3850),
    [anon_sym___global] = ACTIONS(3850),
    [anon_sym_const] = ACTIONS(3850),
    [anon_sym_asm] = ACTIONS(3850),
    [anon_sym_break] = ACTIONS(3850),
    [anon_sym_continue] = ACTIONS(3850),
    [anon_sym_return] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_go] = ACTIONS(3850),
    [anon_sym_spawn] = ACTIONS(3850),
    [anon_sym_goto] = ACTIONS(3850),
    [anon_sym_for] = ACTIONS(3850),
    [anon_sym_DOLLARfor] = ACTIONS(3848),
    [anon_sym_DOLLARif] = ACTIONS(3848),
    [anon_sym_if] = ACTIONS(3850),
    [anon_sym_struct] = ACTIONS(3850),
    [anon_sym_union] = ACTIONS(3850),
    [anon_sym_enum] = ACTIONS(3850),
    [anon_sym_interface] = ACTIONS(3850),
    [anon_sym_POUND] = ACTIONS(3848),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_import] = ACTIONS(3850),
    [anon_sym_match] = ACTIONS(3850),
    [anon_sym_select] = ACTIONS(3850),
    [anon_sym_lock] = ACTIONS(3850),
    [anon_sym_rlock] = ACTIONS(3850),
    [sym__automatic_separator] = ACTIONS(3848),
    [sym__c_string_opening] = ACTIONS(3848),
    [sym__raw_string_opening] = ACTIONS(3848),
    [sym__string_opening] = ACTIONS(3848),
    [sym__comment] = ACTIONS(3),
  },
  [1500] = {
    [sym_comment] = STATE(1500),
    [sym_block] = STATE(1636),
    [ts_builtin_sym_end] = ACTIONS(3852),
    [sym_identifier] = ACTIONS(3854),
    [anon_sym_LPAREN] = ACTIONS(3852),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_BANG] = ACTIONS(3852),
    [anon_sym_TILDE] = ACTIONS(3852),
    [anon_sym_CARET] = ACTIONS(3852),
    [anon_sym_STAR] = ACTIONS(3852),
    [anon_sym_AMP] = ACTIONS(3852),
    [anon_sym_LT_DASH] = ACTIONS(3852),
    [anon_sym_DOLLAR] = ACTIONS(3854),
    [sym_none] = ACTIONS(3854),
    [sym_true] = ACTIONS(3854),
    [sym_false] = ACTIONS(3854),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3852),
    [anon_sym_map_LBRACK] = ACTIONS(3852),
    [anon_sym_chan] = ACTIONS(3854),
    [anon_sym_shared] = ACTIONS(3854),
    [anon_sym_thread] = ACTIONS(3854),
    [sym_int_literal] = ACTIONS(3854),
    [sym_float_literal] = ACTIONS(3852),
    [sym_rune_literal] = ACTIONS(3852),
    [anon_sym_DOT] = ACTIONS(3854),
    [anon_sym_array] = ACTIONS(3854),
    [anon_sym_string] = ACTIONS(3854),
    [anon_sym_char] = ACTIONS(3854),
    [anon_sym_sql] = ACTIONS(3854),
    [anon_sym_mut] = ACTIONS(3854),
    [anon_sym_C] = ACTIONS(3854),
    [anon_sym_JS] = ACTIONS(3854),
    [anon_sym_voidptr] = ACTIONS(3854),
    [anon_sym_byteptr] = ACTIONS(3854),
    [anon_sym_charptr] = ACTIONS(3854),
    [anon_sym_i8] = ACTIONS(3854),
    [anon_sym_i16] = ACTIONS(3854),
    [anon_sym_i32] = ACTIONS(3854),
    [anon_sym_int] = ACTIONS(3854),
    [anon_sym_i64] = ACTIONS(3854),
    [anon_sym_byte] = ACTIONS(3854),
    [anon_sym_u8] = ACTIONS(3854),
    [anon_sym_u16] = ACTIONS(3854),
    [anon_sym_u32] = ACTIONS(3854),
    [anon_sym_u64] = ACTIONS(3854),
    [anon_sym_f32] = ACTIONS(3854),
    [anon_sym_f64] = ACTIONS(3854),
    [anon_sym_bool] = ACTIONS(3854),
    [anon_sym_rune] = ACTIONS(3854),
    [anon_sym_map] = ACTIONS(3854),
    [anon_sym_mapnode] = ACTIONS(3854),
    [anon_sym_size_t] = ACTIONS(3854),
    [anon_sym_usize] = ACTIONS(3854),
    [anon_sym_isize] = ACTIONS(3854),
    [anon_sym_float_literal] = ACTIONS(3854),
    [anon_sym_int_literal] = ACTIONS(3854),
    [anon_sym_IError] = ACTIONS(3854),
    [sym_type_placeholder] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(3854),
    [sym_type_identifier] = ACTIONS(3854),
    [anon_sym_assert] = ACTIONS(3854),
    [anon_sym_defer] = ACTIONS(3854),
    [anon_sym_unsafe] = ACTIONS(3854),
    [anon_sym_pub] = ACTIONS(3854),
    [anon_sym_fn] = ACTIONS(3854),
    [anon_sym___global] = ACTIONS(3854),
    [anon_sym_const] = ACTIONS(3854),
    [anon_sym_asm] = ACTIONS(3854),
    [anon_sym_break] = ACTIONS(3854),
    [anon_sym_continue] = ACTIONS(3854),
    [anon_sym_return] = ACTIONS(3854),
    [anon_sym_type] = ACTIONS(3854),
    [anon_sym_go] = ACTIONS(3854),
    [anon_sym_spawn] = ACTIONS(3854),
    [anon_sym_goto] = ACTIONS(3854),
    [anon_sym_for] = ACTIONS(3854),
    [anon_sym_DOLLARfor] = ACTIONS(3852),
    [anon_sym_DOLLARif] = ACTIONS(3852),
    [anon_sym_if] = ACTIONS(3854),
    [anon_sym_struct] = ACTIONS(3854),
    [anon_sym_union] = ACTIONS(3854),
    [anon_sym_enum] = ACTIONS(3854),
    [anon_sym_interface] = ACTIONS(3854),
    [anon_sym_POUND] = ACTIONS(3852),
    [anon_sym_module] = ACTIONS(3854),
    [anon_sym_import] = ACTIONS(3854),
    [anon_sym_match] = ACTIONS(3854),
    [anon_sym_select] = ACTIONS(3854),
    [anon_sym_lock] = ACTIONS(3854),
    [anon_sym_rlock] = ACTIONS(3854),
    [sym__automatic_separator] = ACTIONS(3852),
    [sym__c_string_opening] = ACTIONS(3852),
    [sym__raw_string_opening] = ACTIONS(3852),
    [sym__string_opening] = ACTIONS(3852),
    [sym__comment] = ACTIONS(3),
  },
  [1501] = {
    [sym_comment] = STATE(1501),
    [sym_block] = STATE(1601),
    [ts_builtin_sym_end] = ACTIONS(3856),
    [sym_identifier] = ACTIONS(3858),
    [anon_sym_LPAREN] = ACTIONS(3856),
    [anon_sym_PLUS] = ACTIONS(3856),
    [anon_sym_DASH] = ACTIONS(3856),
    [anon_sym_BANG] = ACTIONS(3856),
    [anon_sym_TILDE] = ACTIONS(3856),
    [anon_sym_CARET] = ACTIONS(3856),
    [anon_sym_STAR] = ACTIONS(3856),
    [anon_sym_AMP] = ACTIONS(3856),
    [anon_sym_LT_DASH] = ACTIONS(3856),
    [anon_sym_DOLLAR] = ACTIONS(3858),
    [sym_none] = ACTIONS(3858),
    [sym_true] = ACTIONS(3858),
    [sym_false] = ACTIONS(3858),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3856),
    [anon_sym_map_LBRACK] = ACTIONS(3856),
    [anon_sym_chan] = ACTIONS(3858),
    [anon_sym_shared] = ACTIONS(3858),
    [anon_sym_thread] = ACTIONS(3858),
    [sym_int_literal] = ACTIONS(3858),
    [sym_float_literal] = ACTIONS(3856),
    [sym_rune_literal] = ACTIONS(3856),
    [anon_sym_DOT] = ACTIONS(3858),
    [anon_sym_array] = ACTIONS(3858),
    [anon_sym_string] = ACTIONS(3858),
    [anon_sym_char] = ACTIONS(3858),
    [anon_sym_sql] = ACTIONS(3858),
    [anon_sym_mut] = ACTIONS(3858),
    [anon_sym_C] = ACTIONS(3858),
    [anon_sym_JS] = ACTIONS(3858),
    [anon_sym_voidptr] = ACTIONS(3858),
    [anon_sym_byteptr] = ACTIONS(3858),
    [anon_sym_charptr] = ACTIONS(3858),
    [anon_sym_i8] = ACTIONS(3858),
    [anon_sym_i16] = ACTIONS(3858),
    [anon_sym_i32] = ACTIONS(3858),
    [anon_sym_int] = ACTIONS(3858),
    [anon_sym_i64] = ACTIONS(3858),
    [anon_sym_byte] = ACTIONS(3858),
    [anon_sym_u8] = ACTIONS(3858),
    [anon_sym_u16] = ACTIONS(3858),
    [anon_sym_u32] = ACTIONS(3858),
    [anon_sym_u64] = ACTIONS(3858),
    [anon_sym_f32] = ACTIONS(3858),
    [anon_sym_f64] = ACTIONS(3858),
    [anon_sym_bool] = ACTIONS(3858),
    [anon_sym_rune] = ACTIONS(3858),
    [anon_sym_map] = ACTIONS(3858),
    [anon_sym_mapnode] = ACTIONS(3858),
    [anon_sym_size_t] = ACTIONS(3858),
    [anon_sym_usize] = ACTIONS(3858),
    [anon_sym_isize] = ACTIONS(3858),
    [anon_sym_float_literal] = ACTIONS(3858),
    [anon_sym_int_literal] = ACTIONS(3858),
    [anon_sym_IError] = ACTIONS(3858),
    [sym_type_placeholder] = ACTIONS(3858),
    [anon_sym_AT] = ACTIONS(3858),
    [sym_type_identifier] = ACTIONS(3858),
    [anon_sym_assert] = ACTIONS(3858),
    [anon_sym_defer] = ACTIONS(3858),
    [anon_sym_unsafe] = ACTIONS(3858),
    [anon_sym_pub] = ACTIONS(3858),
    [anon_sym_fn] = ACTIONS(3858),
    [anon_sym___global] = ACTIONS(3858),
    [anon_sym_const] = ACTIONS(3858),
    [anon_sym_asm] = ACTIONS(3858),
    [anon_sym_break] = ACTIONS(3858),
    [anon_sym_continue] = ACTIONS(3858),
    [anon_sym_return] = ACTIONS(3858),
    [anon_sym_type] = ACTIONS(3858),
    [anon_sym_go] = ACTIONS(3858),
    [anon_sym_spawn] = ACTIONS(3858),
    [anon_sym_goto] = ACTIONS(3858),
    [anon_sym_for] = ACTIONS(3858),
    [anon_sym_DOLLARfor] = ACTIONS(3856),
    [anon_sym_DOLLARif] = ACTIONS(3856),
    [anon_sym_if] = ACTIONS(3858),
    [anon_sym_struct] = ACTIONS(3858),
    [anon_sym_union] = ACTIONS(3858),
    [anon_sym_enum] = ACTIONS(3858),
    [anon_sym_interface] = ACTIONS(3858),
    [anon_sym_POUND] = ACTIONS(3856),
    [anon_sym_module] = ACTIONS(3858),
    [anon_sym_import] = ACTIONS(3858),
    [anon_sym_match] = ACTIONS(3858),
    [anon_sym_select] = ACTIONS(3858),
    [anon_sym_lock] = ACTIONS(3858),
    [anon_sym_rlock] = ACTIONS(3858),
    [sym__automatic_separator] = ACTIONS(3856),
    [sym__c_string_opening] = ACTIONS(3856),
    [sym__raw_string_opening] = ACTIONS(3856),
    [sym__string_opening] = ACTIONS(3856),
    [sym__comment] = ACTIONS(3),
  },
  [1502] = {
    [sym_comment] = STATE(1502),
    [ts_builtin_sym_end] = ACTIONS(3774),
    [sym_identifier] = ACTIONS(3776),
    [anon_sym_LPAREN] = ACTIONS(3774),
    [anon_sym_PLUS] = ACTIONS(3774),
    [anon_sym_DASH] = ACTIONS(3774),
    [anon_sym_BANG] = ACTIONS(3774),
    [anon_sym_TILDE] = ACTIONS(3774),
    [anon_sym_CARET] = ACTIONS(3774),
    [anon_sym_STAR] = ACTIONS(3774),
    [anon_sym_AMP] = ACTIONS(3774),
    [anon_sym_LT_DASH] = ACTIONS(3774),
    [anon_sym_PIPE] = ACTIONS(3774),
    [anon_sym_DOLLAR] = ACTIONS(3776),
    [sym_none] = ACTIONS(3776),
    [sym_true] = ACTIONS(3776),
    [sym_false] = ACTIONS(3776),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_LBRACK] = ACTIONS(3774),
    [anon_sym_map_LBRACK] = ACTIONS(3774),
    [anon_sym_chan] = ACTIONS(3776),
    [anon_sym_shared] = ACTIONS(3776),
    [anon_sym_thread] = ACTIONS(3776),
    [sym_int_literal] = ACTIONS(3776),
    [sym_float_literal] = ACTIONS(3774),
    [sym_rune_literal] = ACTIONS(3774),
    [anon_sym_DOT] = ACTIONS(3776),
    [anon_sym_array] = ACTIONS(3776),
    [anon_sym_string] = ACTIONS(3776),
    [anon_sym_char] = ACTIONS(3776),
    [anon_sym_sql] = ACTIONS(3776),
    [anon_sym_mut] = ACTIONS(3776),
    [anon_sym_C] = ACTIONS(3776),
    [anon_sym_JS] = ACTIONS(3776),
    [anon_sym_voidptr] = ACTIONS(3776),
    [anon_sym_byteptr] = ACTIONS(3776),
    [anon_sym_charptr] = ACTIONS(3776),
    [anon_sym_i8] = ACTIONS(3776),
    [anon_sym_i16] = ACTIONS(3776),
    [anon_sym_i32] = ACTIONS(3776),
    [anon_sym_int] = ACTIONS(3776),
    [anon_sym_i64] = ACTIONS(3776),
    [anon_sym_byte] = ACTIONS(3776),
    [anon_sym_u8] = ACTIONS(3776),
    [anon_sym_u16] = ACTIONS(3776),
    [anon_sym_u32] = ACTIONS(3776),
    [anon_sym_u64] = ACTIONS(3776),
    [anon_sym_f32] = ACTIONS(3776),
    [anon_sym_f64] = ACTIONS(3776),
    [anon_sym_bool] = ACTIONS(3776),
    [anon_sym_rune] = ACTIONS(3776),
    [anon_sym_map] = ACTIONS(3776),
    [anon_sym_mapnode] = ACTIONS(3776),
    [anon_sym_size_t] = ACTIONS(3776),
    [anon_sym_usize] = ACTIONS(3776),
    [anon_sym_isize] = ACTIONS(3776),
    [anon_sym_float_literal] = ACTIONS(3776),
    [anon_sym_int_literal] = ACTIONS(3776),
    [anon_sym_IError] = ACTIONS(3776),
    [sym_type_placeholder] = ACTIONS(3776),
    [anon_sym_AT] = ACTIONS(3776),
    [sym_type_identifier] = ACTIONS(3776),
    [anon_sym_assert] = ACTIONS(3776),
    [anon_sym_defer] = ACTIONS(3776),
    [anon_sym_unsafe] = ACTIONS(3776),
    [anon_sym_pub] = ACTIONS(3776),
    [anon_sym_fn] = ACTIONS(3776),
    [anon_sym___global] = ACTIONS(3776),
    [anon_sym_const] = ACTIONS(3776),
    [anon_sym_asm] = ACTIONS(3776),
    [anon_sym_break] = ACTIONS(3776),
    [anon_sym_continue] = ACTIONS(3776),
    [anon_sym_return] = ACTIONS(3776),
    [anon_sym_type] = ACTIONS(3776),
    [anon_sym_go] = ACTIONS(3776),
    [anon_sym_spawn] = ACTIONS(3776),
    [anon_sym_goto] = ACTIONS(3776),
    [anon_sym_for] = ACTIONS(3776),
    [anon_sym_DOLLARfor] = ACTIONS(3774),
    [anon_sym_DOLLARif] = ACTIONS(3774),
    [anon_sym_if] = ACTIONS(3776),
    [anon_sym_struct] = ACTIONS(3776),
    [anon_sym_union] = ACTIONS(3776),
    [anon_sym_enum] = ACTIONS(3776),
    [anon_sym_interface] = ACTIONS(3776),
    [anon_sym_POUND] = ACTIONS(3774),
    [anon_sym_module] = ACTIONS(3776),
    [anon_sym_import] = ACTIONS(3776),
    [anon_sym_match] = ACTIONS(3776),
    [anon_sym_select] = ACTIONS(3776),
    [anon_sym_lock] = ACTIONS(3776),
    [anon_sym_rlock] = ACTIONS(3776),
    [sym__automatic_separator] = ACTIONS(3774),
    [sym__c_string_opening] = ACTIONS(3774),
    [sym__raw_string_opening] = ACTIONS(3774),
    [sym__string_opening] = ACTIONS(3774),
    [sym__comment] = ACTIONS(3),
  },
  [1503] = {
    [sym_comment] = STATE(1503),
    [sym_block] = STATE(1606),
    [ts_builtin_sym_end] = ACTIONS(3860),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN] = ACTIONS(3860),
    [anon_sym_PLUS] = ACTIONS(3860),
    [anon_sym_DASH] = ACTIONS(3860),
    [anon_sym_BANG] = ACTIONS(3860),
    [anon_sym_TILDE] = ACTIONS(3860),
    [anon_sym_CARET] = ACTIONS(3860),
    [anon_sym_STAR] = ACTIONS(3860),
    [anon_sym_AMP] = ACTIONS(3860),
    [anon_sym_LT_DASH] = ACTIONS(3860),
    [anon_sym_DOLLAR] = ACTIONS(3862),
    [sym_none] = ACTIONS(3862),
    [sym_true] = ACTIONS(3862),
    [sym_false] = ACTIONS(3862),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3860),
    [anon_sym_map_LBRACK] = ACTIONS(3860),
    [anon_sym_chan] = ACTIONS(3862),
    [anon_sym_shared] = ACTIONS(3862),
    [anon_sym_thread] = ACTIONS(3862),
    [sym_int_literal] = ACTIONS(3862),
    [sym_float_literal] = ACTIONS(3860),
    [sym_rune_literal] = ACTIONS(3860),
    [anon_sym_DOT] = ACTIONS(3862),
    [anon_sym_array] = ACTIONS(3862),
    [anon_sym_string] = ACTIONS(3862),
    [anon_sym_char] = ACTIONS(3862),
    [anon_sym_sql] = ACTIONS(3862),
    [anon_sym_mut] = ACTIONS(3862),
    [anon_sym_C] = ACTIONS(3862),
    [anon_sym_JS] = ACTIONS(3862),
    [anon_sym_voidptr] = ACTIONS(3862),
    [anon_sym_byteptr] = ACTIONS(3862),
    [anon_sym_charptr] = ACTIONS(3862),
    [anon_sym_i8] = ACTIONS(3862),
    [anon_sym_i16] = ACTIONS(3862),
    [anon_sym_i32] = ACTIONS(3862),
    [anon_sym_int] = ACTIONS(3862),
    [anon_sym_i64] = ACTIONS(3862),
    [anon_sym_byte] = ACTIONS(3862),
    [anon_sym_u8] = ACTIONS(3862),
    [anon_sym_u16] = ACTIONS(3862),
    [anon_sym_u32] = ACTIONS(3862),
    [anon_sym_u64] = ACTIONS(3862),
    [anon_sym_f32] = ACTIONS(3862),
    [anon_sym_f64] = ACTIONS(3862),
    [anon_sym_bool] = ACTIONS(3862),
    [anon_sym_rune] = ACTIONS(3862),
    [anon_sym_map] = ACTIONS(3862),
    [anon_sym_mapnode] = ACTIONS(3862),
    [anon_sym_size_t] = ACTIONS(3862),
    [anon_sym_usize] = ACTIONS(3862),
    [anon_sym_isize] = ACTIONS(3862),
    [anon_sym_float_literal] = ACTIONS(3862),
    [anon_sym_int_literal] = ACTIONS(3862),
    [anon_sym_IError] = ACTIONS(3862),
    [sym_type_placeholder] = ACTIONS(3862),
    [anon_sym_AT] = ACTIONS(3862),
    [sym_type_identifier] = ACTIONS(3862),
    [anon_sym_assert] = ACTIONS(3862),
    [anon_sym_defer] = ACTIONS(3862),
    [anon_sym_unsafe] = ACTIONS(3862),
    [anon_sym_pub] = ACTIONS(3862),
    [anon_sym_fn] = ACTIONS(3862),
    [anon_sym___global] = ACTIONS(3862),
    [anon_sym_const] = ACTIONS(3862),
    [anon_sym_asm] = ACTIONS(3862),
    [anon_sym_break] = ACTIONS(3862),
    [anon_sym_continue] = ACTIONS(3862),
    [anon_sym_return] = ACTIONS(3862),
    [anon_sym_type] = ACTIONS(3862),
    [anon_sym_go] = ACTIONS(3862),
    [anon_sym_spawn] = ACTIONS(3862),
    [anon_sym_goto] = ACTIONS(3862),
    [anon_sym_for] = ACTIONS(3862),
    [anon_sym_DOLLARfor] = ACTIONS(3860),
    [anon_sym_DOLLARif] = ACTIONS(3860),
    [anon_sym_if] = ACTIONS(3862),
    [anon_sym_struct] = ACTIONS(3862),
    [anon_sym_union] = ACTIONS(3862),
    [anon_sym_enum] = ACTIONS(3862),
    [anon_sym_interface] = ACTIONS(3862),
    [anon_sym_POUND] = ACTIONS(3860),
    [anon_sym_module] = ACTIONS(3862),
    [anon_sym_import] = ACTIONS(3862),
    [anon_sym_match] = ACTIONS(3862),
    [anon_sym_select] = ACTIONS(3862),
    [anon_sym_lock] = ACTIONS(3862),
    [anon_sym_rlock] = ACTIONS(3862),
    [sym__automatic_separator] = ACTIONS(3860),
    [sym__c_string_opening] = ACTIONS(3860),
    [sym__raw_string_opening] = ACTIONS(3860),
    [sym__string_opening] = ACTIONS(3860),
    [sym__comment] = ACTIONS(3),
  },
  [1504] = {
    [sym_comment] = STATE(1504),
    [sym_block] = STATE(1587),
    [ts_builtin_sym_end] = ACTIONS(3864),
    [sym_identifier] = ACTIONS(3866),
    [anon_sym_LPAREN] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_BANG] = ACTIONS(3864),
    [anon_sym_TILDE] = ACTIONS(3864),
    [anon_sym_CARET] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(3864),
    [anon_sym_AMP] = ACTIONS(3864),
    [anon_sym_LT_DASH] = ACTIONS(3864),
    [anon_sym_DOLLAR] = ACTIONS(3866),
    [sym_none] = ACTIONS(3866),
    [sym_true] = ACTIONS(3866),
    [sym_false] = ACTIONS(3866),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3864),
    [anon_sym_map_LBRACK] = ACTIONS(3864),
    [anon_sym_chan] = ACTIONS(3866),
    [anon_sym_shared] = ACTIONS(3866),
    [anon_sym_thread] = ACTIONS(3866),
    [sym_int_literal] = ACTIONS(3866),
    [sym_float_literal] = ACTIONS(3864),
    [sym_rune_literal] = ACTIONS(3864),
    [anon_sym_DOT] = ACTIONS(3866),
    [anon_sym_array] = ACTIONS(3866),
    [anon_sym_string] = ACTIONS(3866),
    [anon_sym_char] = ACTIONS(3866),
    [anon_sym_sql] = ACTIONS(3866),
    [anon_sym_mut] = ACTIONS(3866),
    [anon_sym_C] = ACTIONS(3866),
    [anon_sym_JS] = ACTIONS(3866),
    [anon_sym_voidptr] = ACTIONS(3866),
    [anon_sym_byteptr] = ACTIONS(3866),
    [anon_sym_charptr] = ACTIONS(3866),
    [anon_sym_i8] = ACTIONS(3866),
    [anon_sym_i16] = ACTIONS(3866),
    [anon_sym_i32] = ACTIONS(3866),
    [anon_sym_int] = ACTIONS(3866),
    [anon_sym_i64] = ACTIONS(3866),
    [anon_sym_byte] = ACTIONS(3866),
    [anon_sym_u8] = ACTIONS(3866),
    [anon_sym_u16] = ACTIONS(3866),
    [anon_sym_u32] = ACTIONS(3866),
    [anon_sym_u64] = ACTIONS(3866),
    [anon_sym_f32] = ACTIONS(3866),
    [anon_sym_f64] = ACTIONS(3866),
    [anon_sym_bool] = ACTIONS(3866),
    [anon_sym_rune] = ACTIONS(3866),
    [anon_sym_map] = ACTIONS(3866),
    [anon_sym_mapnode] = ACTIONS(3866),
    [anon_sym_size_t] = ACTIONS(3866),
    [anon_sym_usize] = ACTIONS(3866),
    [anon_sym_isize] = ACTIONS(3866),
    [anon_sym_float_literal] = ACTIONS(3866),
    [anon_sym_int_literal] = ACTIONS(3866),
    [anon_sym_IError] = ACTIONS(3866),
    [sym_type_placeholder] = ACTIONS(3866),
    [anon_sym_AT] = ACTIONS(3866),
    [sym_type_identifier] = ACTIONS(3866),
    [anon_sym_assert] = ACTIONS(3866),
    [anon_sym_defer] = ACTIONS(3866),
    [anon_sym_unsafe] = ACTIONS(3866),
    [anon_sym_pub] = ACTIONS(3866),
    [anon_sym_fn] = ACTIONS(3866),
    [anon_sym___global] = ACTIONS(3866),
    [anon_sym_const] = ACTIONS(3866),
    [anon_sym_asm] = ACTIONS(3866),
    [anon_sym_break] = ACTIONS(3866),
    [anon_sym_continue] = ACTIONS(3866),
    [anon_sym_return] = ACTIONS(3866),
    [anon_sym_type] = ACTIONS(3866),
    [anon_sym_go] = ACTIONS(3866),
    [anon_sym_spawn] = ACTIONS(3866),
    [anon_sym_goto] = ACTIONS(3866),
    [anon_sym_for] = ACTIONS(3866),
    [anon_sym_DOLLARfor] = ACTIONS(3864),
    [anon_sym_DOLLARif] = ACTIONS(3864),
    [anon_sym_if] = ACTIONS(3866),
    [anon_sym_struct] = ACTIONS(3866),
    [anon_sym_union] = ACTIONS(3866),
    [anon_sym_enum] = ACTIONS(3866),
    [anon_sym_interface] = ACTIONS(3866),
    [anon_sym_POUND] = ACTIONS(3864),
    [anon_sym_module] = ACTIONS(3866),
    [anon_sym_import] = ACTIONS(3866),
    [anon_sym_match] = ACTIONS(3866),
    [anon_sym_select] = ACTIONS(3866),
    [anon_sym_lock] = ACTIONS(3866),
    [anon_sym_rlock] = ACTIONS(3866),
    [sym__automatic_separator] = ACTIONS(3864),
    [sym__c_string_opening] = ACTIONS(3864),
    [sym__raw_string_opening] = ACTIONS(3864),
    [sym__string_opening] = ACTIONS(3864),
    [sym__comment] = ACTIONS(3),
  },
  [1505] = {
    [sym_comment] = STATE(1505),
    [sym_block] = STATE(1590),
    [ts_builtin_sym_end] = ACTIONS(3868),
    [sym_identifier] = ACTIONS(3870),
    [anon_sym_LPAREN] = ACTIONS(3868),
    [anon_sym_PLUS] = ACTIONS(3868),
    [anon_sym_DASH] = ACTIONS(3868),
    [anon_sym_BANG] = ACTIONS(3868),
    [anon_sym_TILDE] = ACTIONS(3868),
    [anon_sym_CARET] = ACTIONS(3868),
    [anon_sym_STAR] = ACTIONS(3868),
    [anon_sym_AMP] = ACTIONS(3868),
    [anon_sym_LT_DASH] = ACTIONS(3868),
    [anon_sym_DOLLAR] = ACTIONS(3870),
    [sym_none] = ACTIONS(3870),
    [sym_true] = ACTIONS(3870),
    [sym_false] = ACTIONS(3870),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [anon_sym_map_LBRACK] = ACTIONS(3868),
    [anon_sym_chan] = ACTIONS(3870),
    [anon_sym_shared] = ACTIONS(3870),
    [anon_sym_thread] = ACTIONS(3870),
    [sym_int_literal] = ACTIONS(3870),
    [sym_float_literal] = ACTIONS(3868),
    [sym_rune_literal] = ACTIONS(3868),
    [anon_sym_DOT] = ACTIONS(3870),
    [anon_sym_array] = ACTIONS(3870),
    [anon_sym_string] = ACTIONS(3870),
    [anon_sym_char] = ACTIONS(3870),
    [anon_sym_sql] = ACTIONS(3870),
    [anon_sym_mut] = ACTIONS(3870),
    [anon_sym_C] = ACTIONS(3870),
    [anon_sym_JS] = ACTIONS(3870),
    [anon_sym_voidptr] = ACTIONS(3870),
    [anon_sym_byteptr] = ACTIONS(3870),
    [anon_sym_charptr] = ACTIONS(3870),
    [anon_sym_i8] = ACTIONS(3870),
    [anon_sym_i16] = ACTIONS(3870),
    [anon_sym_i32] = ACTIONS(3870),
    [anon_sym_int] = ACTIONS(3870),
    [anon_sym_i64] = ACTIONS(3870),
    [anon_sym_byte] = ACTIONS(3870),
    [anon_sym_u8] = ACTIONS(3870),
    [anon_sym_u16] = ACTIONS(3870),
    [anon_sym_u32] = ACTIONS(3870),
    [anon_sym_u64] = ACTIONS(3870),
    [anon_sym_f32] = ACTIONS(3870),
    [anon_sym_f64] = ACTIONS(3870),
    [anon_sym_bool] = ACTIONS(3870),
    [anon_sym_rune] = ACTIONS(3870),
    [anon_sym_map] = ACTIONS(3870),
    [anon_sym_mapnode] = ACTIONS(3870),
    [anon_sym_size_t] = ACTIONS(3870),
    [anon_sym_usize] = ACTIONS(3870),
    [anon_sym_isize] = ACTIONS(3870),
    [anon_sym_float_literal] = ACTIONS(3870),
    [anon_sym_int_literal] = ACTIONS(3870),
    [anon_sym_IError] = ACTIONS(3870),
    [sym_type_placeholder] = ACTIONS(3870),
    [anon_sym_AT] = ACTIONS(3870),
    [sym_type_identifier] = ACTIONS(3870),
    [anon_sym_assert] = ACTIONS(3870),
    [anon_sym_defer] = ACTIONS(3870),
    [anon_sym_unsafe] = ACTIONS(3870),
    [anon_sym_pub] = ACTIONS(3870),
    [anon_sym_fn] = ACTIONS(3870),
    [anon_sym___global] = ACTIONS(3870),
    [anon_sym_const] = ACTIONS(3870),
    [anon_sym_asm] = ACTIONS(3870),
    [anon_sym_break] = ACTIONS(3870),
    [anon_sym_continue] = ACTIONS(3870),
    [anon_sym_return] = ACTIONS(3870),
    [anon_sym_type] = ACTIONS(3870),
    [anon_sym_go] = ACTIONS(3870),
    [anon_sym_spawn] = ACTIONS(3870),
    [anon_sym_goto] = ACTIONS(3870),
    [anon_sym_for] = ACTIONS(3870),
    [anon_sym_DOLLARfor] = ACTIONS(3868),
    [anon_sym_DOLLARif] = ACTIONS(3868),
    [anon_sym_if] = ACTIONS(3870),
    [anon_sym_struct] = ACTIONS(3870),
    [anon_sym_union] = ACTIONS(3870),
    [anon_sym_enum] = ACTIONS(3870),
    [anon_sym_interface] = ACTIONS(3870),
    [anon_sym_POUND] = ACTIONS(3868),
    [anon_sym_module] = ACTIONS(3870),
    [anon_sym_import] = ACTIONS(3870),
    [anon_sym_match] = ACTIONS(3870),
    [anon_sym_select] = ACTIONS(3870),
    [anon_sym_lock] = ACTIONS(3870),
    [anon_sym_rlock] = ACTIONS(3870),
    [sym__automatic_separator] = ACTIONS(3868),
    [sym__c_string_opening] = ACTIONS(3868),
    [sym__raw_string_opening] = ACTIONS(3868),
    [sym__string_opening] = ACTIONS(3868),
    [sym__comment] = ACTIONS(3),
  },
  [1506] = {
    [sym_comment] = STATE(1506),
    [sym_block] = STATE(1623),
    [ts_builtin_sym_end] = ACTIONS(3872),
    [sym_identifier] = ACTIONS(3874),
    [anon_sym_LPAREN] = ACTIONS(3872),
    [anon_sym_PLUS] = ACTIONS(3872),
    [anon_sym_DASH] = ACTIONS(3872),
    [anon_sym_BANG] = ACTIONS(3872),
    [anon_sym_TILDE] = ACTIONS(3872),
    [anon_sym_CARET] = ACTIONS(3872),
    [anon_sym_STAR] = ACTIONS(3872),
    [anon_sym_AMP] = ACTIONS(3872),
    [anon_sym_LT_DASH] = ACTIONS(3872),
    [anon_sym_DOLLAR] = ACTIONS(3874),
    [sym_none] = ACTIONS(3874),
    [sym_true] = ACTIONS(3874),
    [sym_false] = ACTIONS(3874),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3872),
    [anon_sym_map_LBRACK] = ACTIONS(3872),
    [anon_sym_chan] = ACTIONS(3874),
    [anon_sym_shared] = ACTIONS(3874),
    [anon_sym_thread] = ACTIONS(3874),
    [sym_int_literal] = ACTIONS(3874),
    [sym_float_literal] = ACTIONS(3872),
    [sym_rune_literal] = ACTIONS(3872),
    [anon_sym_DOT] = ACTIONS(3874),
    [anon_sym_array] = ACTIONS(3874),
    [anon_sym_string] = ACTIONS(3874),
    [anon_sym_char] = ACTIONS(3874),
    [anon_sym_sql] = ACTIONS(3874),
    [anon_sym_mut] = ACTIONS(3874),
    [anon_sym_C] = ACTIONS(3874),
    [anon_sym_JS] = ACTIONS(3874),
    [anon_sym_voidptr] = ACTIONS(3874),
    [anon_sym_byteptr] = ACTIONS(3874),
    [anon_sym_charptr] = ACTIONS(3874),
    [anon_sym_i8] = ACTIONS(3874),
    [anon_sym_i16] = ACTIONS(3874),
    [anon_sym_i32] = ACTIONS(3874),
    [anon_sym_int] = ACTIONS(3874),
    [anon_sym_i64] = ACTIONS(3874),
    [anon_sym_byte] = ACTIONS(3874),
    [anon_sym_u8] = ACTIONS(3874),
    [anon_sym_u16] = ACTIONS(3874),
    [anon_sym_u32] = ACTIONS(3874),
    [anon_sym_u64] = ACTIONS(3874),
    [anon_sym_f32] = ACTIONS(3874),
    [anon_sym_f64] = ACTIONS(3874),
    [anon_sym_bool] = ACTIONS(3874),
    [anon_sym_rune] = ACTIONS(3874),
    [anon_sym_map] = ACTIONS(3874),
    [anon_sym_mapnode] = ACTIONS(3874),
    [anon_sym_size_t] = ACTIONS(3874),
    [anon_sym_usize] = ACTIONS(3874),
    [anon_sym_isize] = ACTIONS(3874),
    [anon_sym_float_literal] = ACTIONS(3874),
    [anon_sym_int_literal] = ACTIONS(3874),
    [anon_sym_IError] = ACTIONS(3874),
    [sym_type_placeholder] = ACTIONS(3874),
    [anon_sym_AT] = ACTIONS(3874),
    [sym_type_identifier] = ACTIONS(3874),
    [anon_sym_assert] = ACTIONS(3874),
    [anon_sym_defer] = ACTIONS(3874),
    [anon_sym_unsafe] = ACTIONS(3874),
    [anon_sym_pub] = ACTIONS(3874),
    [anon_sym_fn] = ACTIONS(3874),
    [anon_sym___global] = ACTIONS(3874),
    [anon_sym_const] = ACTIONS(3874),
    [anon_sym_asm] = ACTIONS(3874),
    [anon_sym_break] = ACTIONS(3874),
    [anon_sym_continue] = ACTIONS(3874),
    [anon_sym_return] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3874),
    [anon_sym_go] = ACTIONS(3874),
    [anon_sym_spawn] = ACTIONS(3874),
    [anon_sym_goto] = ACTIONS(3874),
    [anon_sym_for] = ACTIONS(3874),
    [anon_sym_DOLLARfor] = ACTIONS(3872),
    [anon_sym_DOLLARif] = ACTIONS(3872),
    [anon_sym_if] = ACTIONS(3874),
    [anon_sym_struct] = ACTIONS(3874),
    [anon_sym_union] = ACTIONS(3874),
    [anon_sym_enum] = ACTIONS(3874),
    [anon_sym_interface] = ACTIONS(3874),
    [anon_sym_POUND] = ACTIONS(3872),
    [anon_sym_module] = ACTIONS(3874),
    [anon_sym_import] = ACTIONS(3874),
    [anon_sym_match] = ACTIONS(3874),
    [anon_sym_select] = ACTIONS(3874),
    [anon_sym_lock] = ACTIONS(3874),
    [anon_sym_rlock] = ACTIONS(3874),
    [sym__automatic_separator] = ACTIONS(3872),
    [sym__c_string_opening] = ACTIONS(3872),
    [sym__raw_string_opening] = ACTIONS(3872),
    [sym__string_opening] = ACTIONS(3872),
    [sym__comment] = ACTIONS(3),
  },
  [1507] = {
    [sym_comment] = STATE(1507),
    [sym_block] = STATE(1579),
    [ts_builtin_sym_end] = ACTIONS(3876),
    [sym_identifier] = ACTIONS(3878),
    [anon_sym_LPAREN] = ACTIONS(3876),
    [anon_sym_PLUS] = ACTIONS(3876),
    [anon_sym_DASH] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3876),
    [anon_sym_TILDE] = ACTIONS(3876),
    [anon_sym_CARET] = ACTIONS(3876),
    [anon_sym_STAR] = ACTIONS(3876),
    [anon_sym_AMP] = ACTIONS(3876),
    [anon_sym_LT_DASH] = ACTIONS(3876),
    [anon_sym_DOLLAR] = ACTIONS(3878),
    [sym_none] = ACTIONS(3878),
    [sym_true] = ACTIONS(3878),
    [sym_false] = ACTIONS(3878),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3876),
    [anon_sym_map_LBRACK] = ACTIONS(3876),
    [anon_sym_chan] = ACTIONS(3878),
    [anon_sym_shared] = ACTIONS(3878),
    [anon_sym_thread] = ACTIONS(3878),
    [sym_int_literal] = ACTIONS(3878),
    [sym_float_literal] = ACTIONS(3876),
    [sym_rune_literal] = ACTIONS(3876),
    [anon_sym_DOT] = ACTIONS(3878),
    [anon_sym_array] = ACTIONS(3878),
    [anon_sym_string] = ACTIONS(3878),
    [anon_sym_char] = ACTIONS(3878),
    [anon_sym_sql] = ACTIONS(3878),
    [anon_sym_mut] = ACTIONS(3878),
    [anon_sym_C] = ACTIONS(3878),
    [anon_sym_JS] = ACTIONS(3878),
    [anon_sym_voidptr] = ACTIONS(3878),
    [anon_sym_byteptr] = ACTIONS(3878),
    [anon_sym_charptr] = ACTIONS(3878),
    [anon_sym_i8] = ACTIONS(3878),
    [anon_sym_i16] = ACTIONS(3878),
    [anon_sym_i32] = ACTIONS(3878),
    [anon_sym_int] = ACTIONS(3878),
    [anon_sym_i64] = ACTIONS(3878),
    [anon_sym_byte] = ACTIONS(3878),
    [anon_sym_u8] = ACTIONS(3878),
    [anon_sym_u16] = ACTIONS(3878),
    [anon_sym_u32] = ACTIONS(3878),
    [anon_sym_u64] = ACTIONS(3878),
    [anon_sym_f32] = ACTIONS(3878),
    [anon_sym_f64] = ACTIONS(3878),
    [anon_sym_bool] = ACTIONS(3878),
    [anon_sym_rune] = ACTIONS(3878),
    [anon_sym_map] = ACTIONS(3878),
    [anon_sym_mapnode] = ACTIONS(3878),
    [anon_sym_size_t] = ACTIONS(3878),
    [anon_sym_usize] = ACTIONS(3878),
    [anon_sym_isize] = ACTIONS(3878),
    [anon_sym_float_literal] = ACTIONS(3878),
    [anon_sym_int_literal] = ACTIONS(3878),
    [anon_sym_IError] = ACTIONS(3878),
    [sym_type_placeholder] = ACTIONS(3878),
    [anon_sym_AT] = ACTIONS(3878),
    [sym_type_identifier] = ACTIONS(3878),
    [anon_sym_assert] = ACTIONS(3878),
    [anon_sym_defer] = ACTIONS(3878),
    [anon_sym_unsafe] = ACTIONS(3878),
    [anon_sym_pub] = ACTIONS(3878),
    [anon_sym_fn] = ACTIONS(3878),
    [anon_sym___global] = ACTIONS(3878),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_asm] = ACTIONS(3878),
    [anon_sym_break] = ACTIONS(3878),
    [anon_sym_continue] = ACTIONS(3878),
    [anon_sym_return] = ACTIONS(3878),
    [anon_sym_type] = ACTIONS(3878),
    [anon_sym_go] = ACTIONS(3878),
    [anon_sym_spawn] = ACTIONS(3878),
    [anon_sym_goto] = ACTIONS(3878),
    [anon_sym_for] = ACTIONS(3878),
    [anon_sym_DOLLARfor] = ACTIONS(3876),
    [anon_sym_DOLLARif] = ACTIONS(3876),
    [anon_sym_if] = ACTIONS(3878),
    [anon_sym_struct] = ACTIONS(3878),
    [anon_sym_union] = ACTIONS(3878),
    [anon_sym_enum] = ACTIONS(3878),
    [anon_sym_interface] = ACTIONS(3878),
    [anon_sym_POUND] = ACTIONS(3876),
    [anon_sym_module] = ACTIONS(3878),
    [anon_sym_import] = ACTIONS(3878),
    [anon_sym_match] = ACTIONS(3878),
    [anon_sym_select] = ACTIONS(3878),
    [anon_sym_lock] = ACTIONS(3878),
    [anon_sym_rlock] = ACTIONS(3878),
    [sym__automatic_separator] = ACTIONS(3876),
    [sym__c_string_opening] = ACTIONS(3876),
    [sym__raw_string_opening] = ACTIONS(3876),
    [sym__string_opening] = ACTIONS(3876),
    [sym__comment] = ACTIONS(3),
  },
  [1508] = {
    [sym_comment] = STATE(1508),
    [sym_block] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(3880),
    [sym_identifier] = ACTIONS(3882),
    [anon_sym_LPAREN] = ACTIONS(3880),
    [anon_sym_PLUS] = ACTIONS(3880),
    [anon_sym_DASH] = ACTIONS(3880),
    [anon_sym_BANG] = ACTIONS(3880),
    [anon_sym_TILDE] = ACTIONS(3880),
    [anon_sym_CARET] = ACTIONS(3880),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym_LT_DASH] = ACTIONS(3880),
    [anon_sym_DOLLAR] = ACTIONS(3882),
    [sym_none] = ACTIONS(3882),
    [sym_true] = ACTIONS(3882),
    [sym_false] = ACTIONS(3882),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3880),
    [anon_sym_map_LBRACK] = ACTIONS(3880),
    [anon_sym_chan] = ACTIONS(3882),
    [anon_sym_shared] = ACTIONS(3882),
    [anon_sym_thread] = ACTIONS(3882),
    [sym_int_literal] = ACTIONS(3882),
    [sym_float_literal] = ACTIONS(3880),
    [sym_rune_literal] = ACTIONS(3880),
    [anon_sym_DOT] = ACTIONS(3882),
    [anon_sym_array] = ACTIONS(3882),
    [anon_sym_string] = ACTIONS(3882),
    [anon_sym_char] = ACTIONS(3882),
    [anon_sym_sql] = ACTIONS(3882),
    [anon_sym_mut] = ACTIONS(3882),
    [anon_sym_C] = ACTIONS(3882),
    [anon_sym_JS] = ACTIONS(3882),
    [anon_sym_voidptr] = ACTIONS(3882),
    [anon_sym_byteptr] = ACTIONS(3882),
    [anon_sym_charptr] = ACTIONS(3882),
    [anon_sym_i8] = ACTIONS(3882),
    [anon_sym_i16] = ACTIONS(3882),
    [anon_sym_i32] = ACTIONS(3882),
    [anon_sym_int] = ACTIONS(3882),
    [anon_sym_i64] = ACTIONS(3882),
    [anon_sym_byte] = ACTIONS(3882),
    [anon_sym_u8] = ACTIONS(3882),
    [anon_sym_u16] = ACTIONS(3882),
    [anon_sym_u32] = ACTIONS(3882),
    [anon_sym_u64] = ACTIONS(3882),
    [anon_sym_f32] = ACTIONS(3882),
    [anon_sym_f64] = ACTIONS(3882),
    [anon_sym_bool] = ACTIONS(3882),
    [anon_sym_rune] = ACTIONS(3882),
    [anon_sym_map] = ACTIONS(3882),
    [anon_sym_mapnode] = ACTIONS(3882),
    [anon_sym_size_t] = ACTIONS(3882),
    [anon_sym_usize] = ACTIONS(3882),
    [anon_sym_isize] = ACTIONS(3882),
    [anon_sym_float_literal] = ACTIONS(3882),
    [anon_sym_int_literal] = ACTIONS(3882),
    [anon_sym_IError] = ACTIONS(3882),
    [sym_type_placeholder] = ACTIONS(3882),
    [anon_sym_AT] = ACTIONS(3882),
    [sym_type_identifier] = ACTIONS(3882),
    [anon_sym_assert] = ACTIONS(3882),
    [anon_sym_defer] = ACTIONS(3882),
    [anon_sym_unsafe] = ACTIONS(3882),
    [anon_sym_pub] = ACTIONS(3882),
    [anon_sym_fn] = ACTIONS(3882),
    [anon_sym___global] = ACTIONS(3882),
    [anon_sym_const] = ACTIONS(3882),
    [anon_sym_asm] = ACTIONS(3882),
    [anon_sym_break] = ACTIONS(3882),
    [anon_sym_continue] = ACTIONS(3882),
    [anon_sym_return] = ACTIONS(3882),
    [anon_sym_type] = ACTIONS(3882),
    [anon_sym_go] = ACTIONS(3882),
    [anon_sym_spawn] = ACTIONS(3882),
    [anon_sym_goto] = ACTIONS(3882),
    [anon_sym_for] = ACTIONS(3882),
    [anon_sym_DOLLARfor] = ACTIONS(3880),
    [anon_sym_DOLLARif] = ACTIONS(3880),
    [anon_sym_if] = ACTIONS(3882),
    [anon_sym_struct] = ACTIONS(3882),
    [anon_sym_union] = ACTIONS(3882),
    [anon_sym_enum] = ACTIONS(3882),
    [anon_sym_interface] = ACTIONS(3882),
    [anon_sym_POUND] = ACTIONS(3880),
    [anon_sym_module] = ACTIONS(3882),
    [anon_sym_import] = ACTIONS(3882),
    [anon_sym_match] = ACTIONS(3882),
    [anon_sym_select] = ACTIONS(3882),
    [anon_sym_lock] = ACTIONS(3882),
    [anon_sym_rlock] = ACTIONS(3882),
    [sym__automatic_separator] = ACTIONS(3880),
    [sym__c_string_opening] = ACTIONS(3880),
    [sym__raw_string_opening] = ACTIONS(3880),
    [sym__string_opening] = ACTIONS(3880),
    [sym__comment] = ACTIONS(3),
  },
  [1509] = {
    [sym_comment] = STATE(1509),
    [sym_block] = STATE(1620),
    [ts_builtin_sym_end] = ACTIONS(3884),
    [sym_identifier] = ACTIONS(3886),
    [anon_sym_LPAREN] = ACTIONS(3884),
    [anon_sym_PLUS] = ACTIONS(3884),
    [anon_sym_DASH] = ACTIONS(3884),
    [anon_sym_BANG] = ACTIONS(3884),
    [anon_sym_TILDE] = ACTIONS(3884),
    [anon_sym_CARET] = ACTIONS(3884),
    [anon_sym_STAR] = ACTIONS(3884),
    [anon_sym_AMP] = ACTIONS(3884),
    [anon_sym_LT_DASH] = ACTIONS(3884),
    [anon_sym_DOLLAR] = ACTIONS(3886),
    [sym_none] = ACTIONS(3886),
    [sym_true] = ACTIONS(3886),
    [sym_false] = ACTIONS(3886),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3884),
    [anon_sym_map_LBRACK] = ACTIONS(3884),
    [anon_sym_chan] = ACTIONS(3886),
    [anon_sym_shared] = ACTIONS(3886),
    [anon_sym_thread] = ACTIONS(3886),
    [sym_int_literal] = ACTIONS(3886),
    [sym_float_literal] = ACTIONS(3884),
    [sym_rune_literal] = ACTIONS(3884),
    [anon_sym_DOT] = ACTIONS(3886),
    [anon_sym_array] = ACTIONS(3886),
    [anon_sym_string] = ACTIONS(3886),
    [anon_sym_char] = ACTIONS(3886),
    [anon_sym_sql] = ACTIONS(3886),
    [anon_sym_mut] = ACTIONS(3886),
    [anon_sym_C] = ACTIONS(3886),
    [anon_sym_JS] = ACTIONS(3886),
    [anon_sym_voidptr] = ACTIONS(3886),
    [anon_sym_byteptr] = ACTIONS(3886),
    [anon_sym_charptr] = ACTIONS(3886),
    [anon_sym_i8] = ACTIONS(3886),
    [anon_sym_i16] = ACTIONS(3886),
    [anon_sym_i32] = ACTIONS(3886),
    [anon_sym_int] = ACTIONS(3886),
    [anon_sym_i64] = ACTIONS(3886),
    [anon_sym_byte] = ACTIONS(3886),
    [anon_sym_u8] = ACTIONS(3886),
    [anon_sym_u16] = ACTIONS(3886),
    [anon_sym_u32] = ACTIONS(3886),
    [anon_sym_u64] = ACTIONS(3886),
    [anon_sym_f32] = ACTIONS(3886),
    [anon_sym_f64] = ACTIONS(3886),
    [anon_sym_bool] = ACTIONS(3886),
    [anon_sym_rune] = ACTIONS(3886),
    [anon_sym_map] = ACTIONS(3886),
    [anon_sym_mapnode] = ACTIONS(3886),
    [anon_sym_size_t] = ACTIONS(3886),
    [anon_sym_usize] = ACTIONS(3886),
    [anon_sym_isize] = ACTIONS(3886),
    [anon_sym_float_literal] = ACTIONS(3886),
    [anon_sym_int_literal] = ACTIONS(3886),
    [anon_sym_IError] = ACTIONS(3886),
    [sym_type_placeholder] = ACTIONS(3886),
    [anon_sym_AT] = ACTIONS(3886),
    [sym_type_identifier] = ACTIONS(3886),
    [anon_sym_assert] = ACTIONS(3886),
    [anon_sym_defer] = ACTIONS(3886),
    [anon_sym_unsafe] = ACTIONS(3886),
    [anon_sym_pub] = ACTIONS(3886),
    [anon_sym_fn] = ACTIONS(3886),
    [anon_sym___global] = ACTIONS(3886),
    [anon_sym_const] = ACTIONS(3886),
    [anon_sym_asm] = ACTIONS(3886),
    [anon_sym_break] = ACTIONS(3886),
    [anon_sym_continue] = ACTIONS(3886),
    [anon_sym_return] = ACTIONS(3886),
    [anon_sym_type] = ACTIONS(3886),
    [anon_sym_go] = ACTIONS(3886),
    [anon_sym_spawn] = ACTIONS(3886),
    [anon_sym_goto] = ACTIONS(3886),
    [anon_sym_for] = ACTIONS(3886),
    [anon_sym_DOLLARfor] = ACTIONS(3884),
    [anon_sym_DOLLARif] = ACTIONS(3884),
    [anon_sym_if] = ACTIONS(3886),
    [anon_sym_struct] = ACTIONS(3886),
    [anon_sym_union] = ACTIONS(3886),
    [anon_sym_enum] = ACTIONS(3886),
    [anon_sym_interface] = ACTIONS(3886),
    [anon_sym_POUND] = ACTIONS(3884),
    [anon_sym_module] = ACTIONS(3886),
    [anon_sym_import] = ACTIONS(3886),
    [anon_sym_match] = ACTIONS(3886),
    [anon_sym_select] = ACTIONS(3886),
    [anon_sym_lock] = ACTIONS(3886),
    [anon_sym_rlock] = ACTIONS(3886),
    [sym__automatic_separator] = ACTIONS(3884),
    [sym__c_string_opening] = ACTIONS(3884),
    [sym__raw_string_opening] = ACTIONS(3884),
    [sym__string_opening] = ACTIONS(3884),
    [sym__comment] = ACTIONS(3),
  },
  [1510] = {
    [sym_comment] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_defer] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_pub] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym___global] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_type] = ACTIONS(1048),
    [anon_sym_go] = ACTIONS(1048),
    [anon_sym_spawn] = ACTIONS(1048),
    [anon_sym_goto] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_DOLLARfor] = ACTIONS(1046),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_struct] = ACTIONS(1048),
    [anon_sym_union] = ACTIONS(1048),
    [anon_sym_enum] = ACTIONS(1048),
    [anon_sym_interface] = ACTIONS(1048),
    [anon_sym_POUND] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1048),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__automatic_separator] = ACTIONS(1046),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1511] = {
    [sym_comment] = STATE(1511),
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_defer] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(744),
    [anon_sym_asm] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_type] = ACTIONS(744),
    [anon_sym_go] = ACTIONS(744),
    [anon_sym_spawn] = ACTIONS(744),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_DOLLARfor] = ACTIONS(742),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_struct] = ACTIONS(744),
    [anon_sym_union] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1512] = {
    [sym_comment] = STATE(1512),
    [sym_fixed_array_type] = STATE(2440),
    [sym_array_type] = STATE(2440),
    [sym_pointer_type] = STATE(2440),
    [sym_map_type] = STATE(2440),
    [sym_channel_type] = STATE(2440),
    [sym_shared_type] = STATE(2440),
    [sym_thread_type] = STATE(2440),
    [sym_binded_identifier] = STATE(2465),
    [sym__simple_type] = STATE(2466),
    [sym_builtin_type] = STATE(2440),
    [sym__binded_type] = STATE(2440),
    [sym_generic_type] = STATE(2440),
    [sym_qualified_type] = STATE(2402),
    [sym_function_type] = STATE(2440),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(3694),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(3698),
    [anon_sym_map_LBRACK] = ACTIONS(3700),
    [anon_sym_chan] = ACTIONS(3702),
    [anon_sym_shared] = ACTIONS(3704),
    [anon_sym_thread] = ACTIONS(3706),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_array] = ACTIONS(3708),
    [anon_sym_string] = ACTIONS(3708),
    [anon_sym_char] = ACTIONS(3708),
    [anon_sym_C] = ACTIONS(3710),
    [anon_sym_JS] = ACTIONS(3710),
    [anon_sym_voidptr] = ACTIONS(3708),
    [anon_sym_byteptr] = ACTIONS(3708),
    [anon_sym_charptr] = ACTIONS(3708),
    [anon_sym_i8] = ACTIONS(3708),
    [anon_sym_i16] = ACTIONS(3708),
    [anon_sym_i32] = ACTIONS(3708),
    [anon_sym_int] = ACTIONS(3708),
    [anon_sym_i64] = ACTIONS(3708),
    [anon_sym_byte] = ACTIONS(3708),
    [anon_sym_u8] = ACTIONS(3708),
    [anon_sym_u16] = ACTIONS(3708),
    [anon_sym_u32] = ACTIONS(3708),
    [anon_sym_u64] = ACTIONS(3708),
    [anon_sym_f32] = ACTIONS(3708),
    [anon_sym_f64] = ACTIONS(3708),
    [anon_sym_bool] = ACTIONS(3708),
    [anon_sym_rune] = ACTIONS(3708),
    [anon_sym_map] = ACTIONS(3708),
    [anon_sym_mapnode] = ACTIONS(3708),
    [anon_sym_size_t] = ACTIONS(3708),
    [anon_sym_usize] = ACTIONS(3708),
    [anon_sym_isize] = ACTIONS(3708),
    [anon_sym_float_literal] = ACTIONS(3708),
    [anon_sym_int_literal] = ACTIONS(3708),
    [anon_sym_IError] = ACTIONS(3708),
    [sym_type_placeholder] = ACTIONS(3712),
    [sym_type_identifier] = ACTIONS(3714),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(3716),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1513] = {
    [sym_comment] = STATE(1513),
    [sym_fixed_array_type] = STATE(2440),
    [sym_array_type] = STATE(2440),
    [sym_pointer_type] = STATE(2440),
    [sym_map_type] = STATE(2440),
    [sym_channel_type] = STATE(2440),
    [sym_shared_type] = STATE(2440),
    [sym_thread_type] = STATE(2440),
    [sym_binded_identifier] = STATE(2465),
    [sym__simple_type] = STATE(2469),
    [sym_builtin_type] = STATE(2440),
    [sym__binded_type] = STATE(2440),
    [sym_generic_type] = STATE(2440),
    [sym_qualified_type] = STATE(2402),
    [sym_function_type] = STATE(2440),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(3700),
    [anon_sym_chan] = ACTIONS(3702),
    [anon_sym_shared] = ACTIONS(3704),
    [anon_sym_thread] = ACTIONS(3706),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_array] = ACTIONS(3708),
    [anon_sym_string] = ACTIONS(3708),
    [anon_sym_char] = ACTIONS(3708),
    [anon_sym_C] = ACTIONS(3710),
    [anon_sym_JS] = ACTIONS(3710),
    [anon_sym_voidptr] = ACTIONS(3708),
    [anon_sym_byteptr] = ACTIONS(3708),
    [anon_sym_charptr] = ACTIONS(3708),
    [anon_sym_i8] = ACTIONS(3708),
    [anon_sym_i16] = ACTIONS(3708),
    [anon_sym_i32] = ACTIONS(3708),
    [anon_sym_int] = ACTIONS(3708),
    [anon_sym_i64] = ACTIONS(3708),
    [anon_sym_byte] = ACTIONS(3708),
    [anon_sym_u8] = ACTIONS(3708),
    [anon_sym_u16] = ACTIONS(3708),
    [anon_sym_u32] = ACTIONS(3708),
    [anon_sym_u64] = ACTIONS(3708),
    [anon_sym_f32] = ACTIONS(3708),
    [anon_sym_f64] = ACTIONS(3708),
    [anon_sym_bool] = ACTIONS(3708),
    [anon_sym_rune] = ACTIONS(3708),
    [anon_sym_map] = ACTIONS(3708),
    [anon_sym_mapnode] = ACTIONS(3708),
    [anon_sym_size_t] = ACTIONS(3708),
    [anon_sym_usize] = ACTIONS(3708),
    [anon_sym_isize] = ACTIONS(3708),
    [anon_sym_float_literal] = ACTIONS(3708),
    [anon_sym_int_literal] = ACTIONS(3708),
    [anon_sym_IError] = ACTIONS(3708),
    [sym_type_placeholder] = ACTIONS(3712),
    [sym_type_identifier] = ACTIONS(3714),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(3716),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1514] = {
    [sym_comment] = STATE(1514),
    [sym_block] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(3888),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN] = ACTIONS(3888),
    [anon_sym_PLUS] = ACTIONS(3888),
    [anon_sym_DASH] = ACTIONS(3888),
    [anon_sym_BANG] = ACTIONS(3888),
    [anon_sym_TILDE] = ACTIONS(3888),
    [anon_sym_CARET] = ACTIONS(3888),
    [anon_sym_STAR] = ACTIONS(3888),
    [anon_sym_AMP] = ACTIONS(3888),
    [anon_sym_LT_DASH] = ACTIONS(3888),
    [anon_sym_DOLLAR] = ACTIONS(3890),
    [sym_none] = ACTIONS(3890),
    [sym_true] = ACTIONS(3890),
    [sym_false] = ACTIONS(3890),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3888),
    [anon_sym_map_LBRACK] = ACTIONS(3888),
    [anon_sym_chan] = ACTIONS(3890),
    [anon_sym_shared] = ACTIONS(3890),
    [anon_sym_thread] = ACTIONS(3890),
    [sym_int_literal] = ACTIONS(3890),
    [sym_float_literal] = ACTIONS(3888),
    [sym_rune_literal] = ACTIONS(3888),
    [anon_sym_DOT] = ACTIONS(3890),
    [anon_sym_array] = ACTIONS(3890),
    [anon_sym_string] = ACTIONS(3890),
    [anon_sym_char] = ACTIONS(3890),
    [anon_sym_sql] = ACTIONS(3890),
    [anon_sym_mut] = ACTIONS(3890),
    [anon_sym_C] = ACTIONS(3890),
    [anon_sym_JS] = ACTIONS(3890),
    [anon_sym_voidptr] = ACTIONS(3890),
    [anon_sym_byteptr] = ACTIONS(3890),
    [anon_sym_charptr] = ACTIONS(3890),
    [anon_sym_i8] = ACTIONS(3890),
    [anon_sym_i16] = ACTIONS(3890),
    [anon_sym_i32] = ACTIONS(3890),
    [anon_sym_int] = ACTIONS(3890),
    [anon_sym_i64] = ACTIONS(3890),
    [anon_sym_byte] = ACTIONS(3890),
    [anon_sym_u8] = ACTIONS(3890),
    [anon_sym_u16] = ACTIONS(3890),
    [anon_sym_u32] = ACTIONS(3890),
    [anon_sym_u64] = ACTIONS(3890),
    [anon_sym_f32] = ACTIONS(3890),
    [anon_sym_f64] = ACTIONS(3890),
    [anon_sym_bool] = ACTIONS(3890),
    [anon_sym_rune] = ACTIONS(3890),
    [anon_sym_map] = ACTIONS(3890),
    [anon_sym_mapnode] = ACTIONS(3890),
    [anon_sym_size_t] = ACTIONS(3890),
    [anon_sym_usize] = ACTIONS(3890),
    [anon_sym_isize] = ACTIONS(3890),
    [anon_sym_float_literal] = ACTIONS(3890),
    [anon_sym_int_literal] = ACTIONS(3890),
    [anon_sym_IError] = ACTIONS(3890),
    [sym_type_placeholder] = ACTIONS(3890),
    [anon_sym_AT] = ACTIONS(3890),
    [sym_type_identifier] = ACTIONS(3890),
    [anon_sym_assert] = ACTIONS(3890),
    [anon_sym_defer] = ACTIONS(3890),
    [anon_sym_unsafe] = ACTIONS(3890),
    [anon_sym_pub] = ACTIONS(3890),
    [anon_sym_fn] = ACTIONS(3890),
    [anon_sym___global] = ACTIONS(3890),
    [anon_sym_const] = ACTIONS(3890),
    [anon_sym_asm] = ACTIONS(3890),
    [anon_sym_break] = ACTIONS(3890),
    [anon_sym_continue] = ACTIONS(3890),
    [anon_sym_return] = ACTIONS(3890),
    [anon_sym_type] = ACTIONS(3890),
    [anon_sym_go] = ACTIONS(3890),
    [anon_sym_spawn] = ACTIONS(3890),
    [anon_sym_goto] = ACTIONS(3890),
    [anon_sym_for] = ACTIONS(3890),
    [anon_sym_DOLLARfor] = ACTIONS(3888),
    [anon_sym_DOLLARif] = ACTIONS(3888),
    [anon_sym_if] = ACTIONS(3890),
    [anon_sym_struct] = ACTIONS(3890),
    [anon_sym_union] = ACTIONS(3890),
    [anon_sym_enum] = ACTIONS(3890),
    [anon_sym_interface] = ACTIONS(3890),
    [anon_sym_POUND] = ACTIONS(3888),
    [anon_sym_module] = ACTIONS(3890),
    [anon_sym_import] = ACTIONS(3890),
    [anon_sym_match] = ACTIONS(3890),
    [anon_sym_select] = ACTIONS(3890),
    [anon_sym_lock] = ACTIONS(3890),
    [anon_sym_rlock] = ACTIONS(3890),
    [sym__automatic_separator] = ACTIONS(3888),
    [sym__c_string_opening] = ACTIONS(3888),
    [sym__raw_string_opening] = ACTIONS(3888),
    [sym__string_opening] = ACTIONS(3888),
    [sym__comment] = ACTIONS(3),
  },
  [1515] = {
    [sym_comment] = STATE(1515),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_pub] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym___global] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_type] = ACTIONS(1198),
    [anon_sym_go] = ACTIONS(1198),
    [anon_sym_spawn] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_DOLLARfor] = ACTIONS(1196),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_interface] = ACTIONS(1198),
    [anon_sym_POUND] = ACTIONS(1196),
    [anon_sym_module] = ACTIONS(1198),
    [anon_sym_import] = ACTIONS(1198),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__automatic_separator] = ACTIONS(1196),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1516] = {
    [sym_comment] = STATE(1516),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_pub] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym___global] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_type] = ACTIONS(1202),
    [anon_sym_go] = ACTIONS(1202),
    [anon_sym_spawn] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_DOLLARfor] = ACTIONS(1200),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_POUND] = ACTIONS(1200),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__automatic_separator] = ACTIONS(1200),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1517] = {
    [sym_comment] = STATE(1517),
    [sym_argument_list] = STATE(1450),
    [sym_type_parameters] = STATE(4369),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_LT2] = ACTIONS(861),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1518] = {
    [sym_comment] = STATE(1518),
    [ts_builtin_sym_end] = ACTIONS(3894),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym_LPAREN] = ACTIONS(3896),
    [anon_sym_PLUS] = ACTIONS(3896),
    [anon_sym_DASH] = ACTIONS(3896),
    [anon_sym_BANG] = ACTIONS(3896),
    [anon_sym_TILDE] = ACTIONS(3896),
    [anon_sym_CARET] = ACTIONS(3896),
    [anon_sym_STAR] = ACTIONS(3896),
    [anon_sym_AMP] = ACTIONS(3896),
    [anon_sym_LT_DASH] = ACTIONS(3896),
    [anon_sym_DOLLAR] = ACTIONS(3896),
    [sym_none] = ACTIONS(3896),
    [sym_true] = ACTIONS(3896),
    [sym_false] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(3896),
    [anon_sym_map_LBRACK] = ACTIONS(3896),
    [anon_sym_chan] = ACTIONS(3896),
    [anon_sym_shared] = ACTIONS(3896),
    [anon_sym_thread] = ACTIONS(3896),
    [sym_int_literal] = ACTIONS(3896),
    [sym_float_literal] = ACTIONS(3896),
    [sym_rune_literal] = ACTIONS(3896),
    [anon_sym_DOT] = ACTIONS(3896),
    [anon_sym_array] = ACTIONS(3896),
    [anon_sym_string] = ACTIONS(3896),
    [anon_sym_char] = ACTIONS(3896),
    [anon_sym_sql] = ACTIONS(3896),
    [anon_sym_mut] = ACTIONS(3896),
    [anon_sym_C] = ACTIONS(3896),
    [anon_sym_JS] = ACTIONS(3896),
    [anon_sym_voidptr] = ACTIONS(3896),
    [anon_sym_byteptr] = ACTIONS(3896),
    [anon_sym_charptr] = ACTIONS(3896),
    [anon_sym_i8] = ACTIONS(3896),
    [anon_sym_i16] = ACTIONS(3896),
    [anon_sym_i32] = ACTIONS(3896),
    [anon_sym_int] = ACTIONS(3896),
    [anon_sym_i64] = ACTIONS(3896),
    [anon_sym_byte] = ACTIONS(3896),
    [anon_sym_u8] = ACTIONS(3896),
    [anon_sym_u16] = ACTIONS(3896),
    [anon_sym_u32] = ACTIONS(3896),
    [anon_sym_u64] = ACTIONS(3896),
    [anon_sym_f32] = ACTIONS(3896),
    [anon_sym_f64] = ACTIONS(3896),
    [anon_sym_bool] = ACTIONS(3896),
    [anon_sym_rune] = ACTIONS(3896),
    [anon_sym_map] = ACTIONS(3896),
    [anon_sym_mapnode] = ACTIONS(3896),
    [anon_sym_size_t] = ACTIONS(3896),
    [anon_sym_usize] = ACTIONS(3896),
    [anon_sym_isize] = ACTIONS(3896),
    [anon_sym_float_literal] = ACTIONS(3896),
    [anon_sym_int_literal] = ACTIONS(3896),
    [anon_sym_IError] = ACTIONS(3896),
    [sym_type_placeholder] = ACTIONS(3896),
    [anon_sym_AT] = ACTIONS(3896),
    [sym_type_identifier] = ACTIONS(3896),
    [anon_sym_assert] = ACTIONS(3896),
    [anon_sym_defer] = ACTIONS(3896),
    [anon_sym_unsafe] = ACTIONS(3896),
    [anon_sym_pub] = ACTIONS(3896),
    [anon_sym_fn] = ACTIONS(3896),
    [anon_sym___global] = ACTIONS(3896),
    [anon_sym_const] = ACTIONS(3896),
    [anon_sym_asm] = ACTIONS(3896),
    [anon_sym_break] = ACTIONS(3896),
    [anon_sym_continue] = ACTIONS(3896),
    [anon_sym_return] = ACTIONS(3896),
    [anon_sym_type] = ACTIONS(3896),
    [anon_sym_go] = ACTIONS(3896),
    [anon_sym_spawn] = ACTIONS(3896),
    [anon_sym_goto] = ACTIONS(3896),
    [anon_sym_for] = ACTIONS(3896),
    [anon_sym_DOLLARfor] = ACTIONS(3896),
    [anon_sym_DOLLARif] = ACTIONS(3896),
    [anon_sym_if] = ACTIONS(3896),
    [anon_sym_struct] = ACTIONS(3896),
    [anon_sym_union] = ACTIONS(3896),
    [anon_sym_enum] = ACTIONS(3896),
    [anon_sym_interface] = ACTIONS(3896),
    [anon_sym_POUND] = ACTIONS(3896),
    [anon_sym_module] = ACTIONS(3896),
    [anon_sym_] = ACTIONS(3898),
    [anon_sym_import] = ACTIONS(3896),
    [anon_sym_match] = ACTIONS(3896),
    [anon_sym_select] = ACTIONS(3896),
    [anon_sym_lock] = ACTIONS(3896),
    [anon_sym_rlock] = ACTIONS(3896),
    [sym__automatic_separator] = ACTIONS(3894),
    [sym__c_string_opening] = ACTIONS(3894),
    [sym__raw_string_opening] = ACTIONS(3894),
    [sym__string_opening] = ACTIONS(3894),
    [sym__comment] = ACTIONS(3),
  },
  [1519] = {
    [sym_comment] = STATE(1519),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_LT_DASH] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_map_LBRACK] = ACTIONS(1398),
    [anon_sym_chan] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_thread] = ACTIONS(1400),
    [sym_int_literal] = ACTIONS(1400),
    [sym_float_literal] = ACTIONS(1398),
    [sym_rune_literal] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_array] = ACTIONS(1400),
    [anon_sym_string] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_sql] = ACTIONS(1400),
    [anon_sym_mut] = ACTIONS(1400),
    [anon_sym_C] = ACTIONS(1400),
    [anon_sym_JS] = ACTIONS(1400),
    [anon_sym_voidptr] = ACTIONS(1400),
    [anon_sym_byteptr] = ACTIONS(1400),
    [anon_sym_charptr] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_int] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_byte] = ACTIONS(1400),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_rune] = ACTIONS(1400),
    [anon_sym_map] = ACTIONS(1400),
    [anon_sym_mapnode] = ACTIONS(1400),
    [anon_sym_size_t] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_float_literal] = ACTIONS(1400),
    [anon_sym_int_literal] = ACTIONS(1400),
    [anon_sym_IError] = ACTIONS(1400),
    [sym_type_placeholder] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [sym_type_identifier] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_defer] = ACTIONS(1400),
    [anon_sym_unsafe] = ACTIONS(1400),
    [anon_sym_pub] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym___global] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_type] = ACTIONS(1400),
    [anon_sym_go] = ACTIONS(1400),
    [anon_sym_spawn] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_DOLLARfor] = ACTIONS(1398),
    [anon_sym_DOLLARif] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_struct] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_interface] = ACTIONS(1400),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_module] = ACTIONS(1400),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_match] = ACTIONS(1400),
    [anon_sym_select] = ACTIONS(1400),
    [anon_sym_lock] = ACTIONS(1400),
    [anon_sym_rlock] = ACTIONS(1400),
    [sym__automatic_separator] = ACTIONS(1398),
    [sym__c_string_opening] = ACTIONS(1398),
    [sym__raw_string_opening] = ACTIONS(1398),
    [sym__string_opening] = ACTIONS(1398),
    [sym__comment] = ACTIONS(3),
  },
  [1520] = {
    [sym_comment] = STATE(1520),
    [sym_block] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(3900),
    [sym_identifier] = ACTIONS(3902),
    [anon_sym_LPAREN] = ACTIONS(3900),
    [anon_sym_PLUS] = ACTIONS(3900),
    [anon_sym_DASH] = ACTIONS(3900),
    [anon_sym_BANG] = ACTIONS(3900),
    [anon_sym_TILDE] = ACTIONS(3900),
    [anon_sym_CARET] = ACTIONS(3900),
    [anon_sym_STAR] = ACTIONS(3900),
    [anon_sym_AMP] = ACTIONS(3900),
    [anon_sym_LT_DASH] = ACTIONS(3900),
    [anon_sym_DOLLAR] = ACTIONS(3902),
    [sym_none] = ACTIONS(3902),
    [sym_true] = ACTIONS(3902),
    [sym_false] = ACTIONS(3902),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3900),
    [anon_sym_map_LBRACK] = ACTIONS(3900),
    [anon_sym_chan] = ACTIONS(3902),
    [anon_sym_shared] = ACTIONS(3902),
    [anon_sym_thread] = ACTIONS(3902),
    [sym_int_literal] = ACTIONS(3902),
    [sym_float_literal] = ACTIONS(3900),
    [sym_rune_literal] = ACTIONS(3900),
    [anon_sym_DOT] = ACTIONS(3902),
    [anon_sym_array] = ACTIONS(3902),
    [anon_sym_string] = ACTIONS(3902),
    [anon_sym_char] = ACTIONS(3902),
    [anon_sym_sql] = ACTIONS(3902),
    [anon_sym_mut] = ACTIONS(3902),
    [anon_sym_C] = ACTIONS(3902),
    [anon_sym_JS] = ACTIONS(3902),
    [anon_sym_voidptr] = ACTIONS(3902),
    [anon_sym_byteptr] = ACTIONS(3902),
    [anon_sym_charptr] = ACTIONS(3902),
    [anon_sym_i8] = ACTIONS(3902),
    [anon_sym_i16] = ACTIONS(3902),
    [anon_sym_i32] = ACTIONS(3902),
    [anon_sym_int] = ACTIONS(3902),
    [anon_sym_i64] = ACTIONS(3902),
    [anon_sym_byte] = ACTIONS(3902),
    [anon_sym_u8] = ACTIONS(3902),
    [anon_sym_u16] = ACTIONS(3902),
    [anon_sym_u32] = ACTIONS(3902),
    [anon_sym_u64] = ACTIONS(3902),
    [anon_sym_f32] = ACTIONS(3902),
    [anon_sym_f64] = ACTIONS(3902),
    [anon_sym_bool] = ACTIONS(3902),
    [anon_sym_rune] = ACTIONS(3902),
    [anon_sym_map] = ACTIONS(3902),
    [anon_sym_mapnode] = ACTIONS(3902),
    [anon_sym_size_t] = ACTIONS(3902),
    [anon_sym_usize] = ACTIONS(3902),
    [anon_sym_isize] = ACTIONS(3902),
    [anon_sym_float_literal] = ACTIONS(3902),
    [anon_sym_int_literal] = ACTIONS(3902),
    [anon_sym_IError] = ACTIONS(3902),
    [sym_type_placeholder] = ACTIONS(3902),
    [anon_sym_AT] = ACTIONS(3902),
    [sym_type_identifier] = ACTIONS(3902),
    [anon_sym_assert] = ACTIONS(3902),
    [anon_sym_defer] = ACTIONS(3902),
    [anon_sym_unsafe] = ACTIONS(3902),
    [anon_sym_pub] = ACTIONS(3902),
    [anon_sym_fn] = ACTIONS(3902),
    [anon_sym___global] = ACTIONS(3902),
    [anon_sym_const] = ACTIONS(3902),
    [anon_sym_asm] = ACTIONS(3902),
    [anon_sym_break] = ACTIONS(3902),
    [anon_sym_continue] = ACTIONS(3902),
    [anon_sym_return] = ACTIONS(3902),
    [anon_sym_type] = ACTIONS(3902),
    [anon_sym_go] = ACTIONS(3902),
    [anon_sym_spawn] = ACTIONS(3902),
    [anon_sym_goto] = ACTIONS(3902),
    [anon_sym_for] = ACTIONS(3902),
    [anon_sym_DOLLARfor] = ACTIONS(3900),
    [anon_sym_DOLLARif] = ACTIONS(3900),
    [anon_sym_if] = ACTIONS(3902),
    [anon_sym_struct] = ACTIONS(3902),
    [anon_sym_union] = ACTIONS(3902),
    [anon_sym_enum] = ACTIONS(3902),
    [anon_sym_interface] = ACTIONS(3902),
    [anon_sym_POUND] = ACTIONS(3900),
    [anon_sym_module] = ACTIONS(3902),
    [anon_sym_import] = ACTIONS(3902),
    [anon_sym_match] = ACTIONS(3902),
    [anon_sym_select] = ACTIONS(3902),
    [anon_sym_lock] = ACTIONS(3902),
    [anon_sym_rlock] = ACTIONS(3902),
    [sym__automatic_separator] = ACTIONS(3900),
    [sym__c_string_opening] = ACTIONS(3900),
    [sym__raw_string_opening] = ACTIONS(3900),
    [sym__string_opening] = ACTIONS(3900),
    [sym__comment] = ACTIONS(3),
  },
  [1521] = {
    [sym_comment] = STATE(1521),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [sym_none] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_map_LBRACK] = ACTIONS(1468),
    [anon_sym_chan] = ACTIONS(1470),
    [anon_sym_shared] = ACTIONS(1470),
    [anon_sym_thread] = ACTIONS(1470),
    [sym_int_literal] = ACTIONS(1470),
    [sym_float_literal] = ACTIONS(1468),
    [sym_rune_literal] = ACTIONS(1468),
    [anon_sym_DOT] = ACTIONS(1470),
    [anon_sym_array] = ACTIONS(1470),
    [anon_sym_string] = ACTIONS(1470),
    [anon_sym_char] = ACTIONS(1470),
    [anon_sym_sql] = ACTIONS(1470),
    [anon_sym_mut] = ACTIONS(1470),
    [anon_sym_C] = ACTIONS(1470),
    [anon_sym_JS] = ACTIONS(1470),
    [anon_sym_voidptr] = ACTIONS(1470),
    [anon_sym_byteptr] = ACTIONS(1470),
    [anon_sym_charptr] = ACTIONS(1470),
    [anon_sym_i8] = ACTIONS(1470),
    [anon_sym_i16] = ACTIONS(1470),
    [anon_sym_i32] = ACTIONS(1470),
    [anon_sym_int] = ACTIONS(1470),
    [anon_sym_i64] = ACTIONS(1470),
    [anon_sym_byte] = ACTIONS(1470),
    [anon_sym_u8] = ACTIONS(1470),
    [anon_sym_u16] = ACTIONS(1470),
    [anon_sym_u32] = ACTIONS(1470),
    [anon_sym_u64] = ACTIONS(1470),
    [anon_sym_f32] = ACTIONS(1470),
    [anon_sym_f64] = ACTIONS(1470),
    [anon_sym_bool] = ACTIONS(1470),
    [anon_sym_rune] = ACTIONS(1470),
    [anon_sym_map] = ACTIONS(1470),
    [anon_sym_mapnode] = ACTIONS(1470),
    [anon_sym_size_t] = ACTIONS(1470),
    [anon_sym_usize] = ACTIONS(1470),
    [anon_sym_isize] = ACTIONS(1470),
    [anon_sym_float_literal] = ACTIONS(1470),
    [anon_sym_int_literal] = ACTIONS(1470),
    [anon_sym_IError] = ACTIONS(1470),
    [sym_type_placeholder] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym_type_identifier] = ACTIONS(1470),
    [anon_sym_assert] = ACTIONS(1470),
    [anon_sym_defer] = ACTIONS(1470),
    [anon_sym_unsafe] = ACTIONS(1470),
    [anon_sym_pub] = ACTIONS(1470),
    [anon_sym_fn] = ACTIONS(1470),
    [anon_sym___global] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_type] = ACTIONS(1470),
    [anon_sym_go] = ACTIONS(1470),
    [anon_sym_spawn] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_DOLLARfor] = ACTIONS(1468),
    [anon_sym_DOLLARif] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_struct] = ACTIONS(1470),
    [anon_sym_union] = ACTIONS(1470),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_interface] = ACTIONS(1470),
    [anon_sym_POUND] = ACTIONS(1468),
    [anon_sym_module] = ACTIONS(1470),
    [anon_sym_import] = ACTIONS(1470),
    [anon_sym_match] = ACTIONS(1470),
    [anon_sym_select] = ACTIONS(1470),
    [anon_sym_lock] = ACTIONS(1470),
    [anon_sym_rlock] = ACTIONS(1470),
    [sym__automatic_separator] = ACTIONS(1468),
    [sym__c_string_opening] = ACTIONS(1468),
    [sym__raw_string_opening] = ACTIONS(1468),
    [sym__string_opening] = ACTIONS(1468),
    [sym__comment] = ACTIONS(3),
  },
  [1522] = {
    [sym_comment] = STATE(1522),
    [sym_block] = STATE(1649),
    [ts_builtin_sym_end] = ACTIONS(3904),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [anon_sym_PLUS] = ACTIONS(3904),
    [anon_sym_DASH] = ACTIONS(3904),
    [anon_sym_BANG] = ACTIONS(3904),
    [anon_sym_TILDE] = ACTIONS(3904),
    [anon_sym_CARET] = ACTIONS(3904),
    [anon_sym_STAR] = ACTIONS(3904),
    [anon_sym_AMP] = ACTIONS(3904),
    [anon_sym_LT_DASH] = ACTIONS(3904),
    [anon_sym_DOLLAR] = ACTIONS(3906),
    [sym_none] = ACTIONS(3906),
    [sym_true] = ACTIONS(3906),
    [sym_false] = ACTIONS(3906),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3904),
    [anon_sym_map_LBRACK] = ACTIONS(3904),
    [anon_sym_chan] = ACTIONS(3906),
    [anon_sym_shared] = ACTIONS(3906),
    [anon_sym_thread] = ACTIONS(3906),
    [sym_int_literal] = ACTIONS(3906),
    [sym_float_literal] = ACTIONS(3904),
    [sym_rune_literal] = ACTIONS(3904),
    [anon_sym_DOT] = ACTIONS(3906),
    [anon_sym_array] = ACTIONS(3906),
    [anon_sym_string] = ACTIONS(3906),
    [anon_sym_char] = ACTIONS(3906),
    [anon_sym_sql] = ACTIONS(3906),
    [anon_sym_mut] = ACTIONS(3906),
    [anon_sym_C] = ACTIONS(3906),
    [anon_sym_JS] = ACTIONS(3906),
    [anon_sym_voidptr] = ACTIONS(3906),
    [anon_sym_byteptr] = ACTIONS(3906),
    [anon_sym_charptr] = ACTIONS(3906),
    [anon_sym_i8] = ACTIONS(3906),
    [anon_sym_i16] = ACTIONS(3906),
    [anon_sym_i32] = ACTIONS(3906),
    [anon_sym_int] = ACTIONS(3906),
    [anon_sym_i64] = ACTIONS(3906),
    [anon_sym_byte] = ACTIONS(3906),
    [anon_sym_u8] = ACTIONS(3906),
    [anon_sym_u16] = ACTIONS(3906),
    [anon_sym_u32] = ACTIONS(3906),
    [anon_sym_u64] = ACTIONS(3906),
    [anon_sym_f32] = ACTIONS(3906),
    [anon_sym_f64] = ACTIONS(3906),
    [anon_sym_bool] = ACTIONS(3906),
    [anon_sym_rune] = ACTIONS(3906),
    [anon_sym_map] = ACTIONS(3906),
    [anon_sym_mapnode] = ACTIONS(3906),
    [anon_sym_size_t] = ACTIONS(3906),
    [anon_sym_usize] = ACTIONS(3906),
    [anon_sym_isize] = ACTIONS(3906),
    [anon_sym_float_literal] = ACTIONS(3906),
    [anon_sym_int_literal] = ACTIONS(3906),
    [anon_sym_IError] = ACTIONS(3906),
    [sym_type_placeholder] = ACTIONS(3906),
    [anon_sym_AT] = ACTIONS(3906),
    [sym_type_identifier] = ACTIONS(3906),
    [anon_sym_assert] = ACTIONS(3906),
    [anon_sym_defer] = ACTIONS(3906),
    [anon_sym_unsafe] = ACTIONS(3906),
    [anon_sym_pub] = ACTIONS(3906),
    [anon_sym_fn] = ACTIONS(3906),
    [anon_sym___global] = ACTIONS(3906),
    [anon_sym_const] = ACTIONS(3906),
    [anon_sym_asm] = ACTIONS(3906),
    [anon_sym_break] = ACTIONS(3906),
    [anon_sym_continue] = ACTIONS(3906),
    [anon_sym_return] = ACTIONS(3906),
    [anon_sym_type] = ACTIONS(3906),
    [anon_sym_go] = ACTIONS(3906),
    [anon_sym_spawn] = ACTIONS(3906),
    [anon_sym_goto] = ACTIONS(3906),
    [anon_sym_for] = ACTIONS(3906),
    [anon_sym_DOLLARfor] = ACTIONS(3904),
    [anon_sym_DOLLARif] = ACTIONS(3904),
    [anon_sym_if] = ACTIONS(3906),
    [anon_sym_struct] = ACTIONS(3906),
    [anon_sym_union] = ACTIONS(3906),
    [anon_sym_enum] = ACTIONS(3906),
    [anon_sym_interface] = ACTIONS(3906),
    [anon_sym_POUND] = ACTIONS(3904),
    [anon_sym_module] = ACTIONS(3906),
    [anon_sym_import] = ACTIONS(3906),
    [anon_sym_match] = ACTIONS(3906),
    [anon_sym_select] = ACTIONS(3906),
    [anon_sym_lock] = ACTIONS(3906),
    [anon_sym_rlock] = ACTIONS(3906),
    [sym__automatic_separator] = ACTIONS(3904),
    [sym__c_string_opening] = ACTIONS(3904),
    [sym__raw_string_opening] = ACTIONS(3904),
    [sym__string_opening] = ACTIONS(3904),
    [sym__comment] = ACTIONS(3),
  },
  [1523] = {
    [sym_comment] = STATE(1523),
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1564),
    [anon_sym_LT_DASH] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [sym_none] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_map_LBRACK] = ACTIONS(1564),
    [anon_sym_chan] = ACTIONS(1566),
    [anon_sym_shared] = ACTIONS(1566),
    [anon_sym_thread] = ACTIONS(1566),
    [sym_int_literal] = ACTIONS(1566),
    [sym_float_literal] = ACTIONS(1564),
    [sym_rune_literal] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_array] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_sql] = ACTIONS(1566),
    [anon_sym_mut] = ACTIONS(1566),
    [anon_sym_C] = ACTIONS(1566),
    [anon_sym_JS] = ACTIONS(1566),
    [anon_sym_voidptr] = ACTIONS(1566),
    [anon_sym_byteptr] = ACTIONS(1566),
    [anon_sym_charptr] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_int] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_byte] = ACTIONS(1566),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_rune] = ACTIONS(1566),
    [anon_sym_map] = ACTIONS(1566),
    [anon_sym_mapnode] = ACTIONS(1566),
    [anon_sym_size_t] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_float_literal] = ACTIONS(1566),
    [anon_sym_int_literal] = ACTIONS(1566),
    [anon_sym_IError] = ACTIONS(1566),
    [sym_type_placeholder] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [sym_type_identifier] = ACTIONS(1566),
    [anon_sym_assert] = ACTIONS(1566),
    [anon_sym_defer] = ACTIONS(1566),
    [anon_sym_unsafe] = ACTIONS(1566),
    [anon_sym_pub] = ACTIONS(1566),
    [anon_sym_fn] = ACTIONS(1566),
    [anon_sym___global] = ACTIONS(1566),
    [anon_sym_const] = ACTIONS(1566),
    [anon_sym_asm] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_continue] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_type] = ACTIONS(1566),
    [anon_sym_go] = ACTIONS(1566),
    [anon_sym_spawn] = ACTIONS(1566),
    [anon_sym_goto] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_DOLLARfor] = ACTIONS(1564),
    [anon_sym_DOLLARif] = ACTIONS(1564),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_struct] = ACTIONS(1566),
    [anon_sym_union] = ACTIONS(1566),
    [anon_sym_enum] = ACTIONS(1566),
    [anon_sym_interface] = ACTIONS(1566),
    [anon_sym_POUND] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1566),
    [anon_sym_import] = ACTIONS(1566),
    [anon_sym_match] = ACTIONS(1566),
    [anon_sym_select] = ACTIONS(1566),
    [anon_sym_lock] = ACTIONS(1566),
    [anon_sym_rlock] = ACTIONS(1566),
    [sym__automatic_separator] = ACTIONS(1564),
    [sym__c_string_opening] = ACTIONS(1564),
    [sym__raw_string_opening] = ACTIONS(1564),
    [sym__string_opening] = ACTIONS(1564),
    [sym__comment] = ACTIONS(3),
  },
  [1524] = {
    [sym_comment] = STATE(1524),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [sym_none] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_map_LBRACK] = ACTIONS(1464),
    [anon_sym_chan] = ACTIONS(1466),
    [anon_sym_shared] = ACTIONS(1466),
    [anon_sym_thread] = ACTIONS(1466),
    [sym_int_literal] = ACTIONS(1466),
    [sym_float_literal] = ACTIONS(1464),
    [sym_rune_literal] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_array] = ACTIONS(1466),
    [anon_sym_string] = ACTIONS(1466),
    [anon_sym_char] = ACTIONS(1466),
    [anon_sym_sql] = ACTIONS(1466),
    [anon_sym_mut] = ACTIONS(1466),
    [anon_sym_C] = ACTIONS(1466),
    [anon_sym_JS] = ACTIONS(1466),
    [anon_sym_voidptr] = ACTIONS(1466),
    [anon_sym_byteptr] = ACTIONS(1466),
    [anon_sym_charptr] = ACTIONS(1466),
    [anon_sym_i8] = ACTIONS(1466),
    [anon_sym_i16] = ACTIONS(1466),
    [anon_sym_i32] = ACTIONS(1466),
    [anon_sym_int] = ACTIONS(1466),
    [anon_sym_i64] = ACTIONS(1466),
    [anon_sym_byte] = ACTIONS(1466),
    [anon_sym_u8] = ACTIONS(1466),
    [anon_sym_u16] = ACTIONS(1466),
    [anon_sym_u32] = ACTIONS(1466),
    [anon_sym_u64] = ACTIONS(1466),
    [anon_sym_f32] = ACTIONS(1466),
    [anon_sym_f64] = ACTIONS(1466),
    [anon_sym_bool] = ACTIONS(1466),
    [anon_sym_rune] = ACTIONS(1466),
    [anon_sym_map] = ACTIONS(1466),
    [anon_sym_mapnode] = ACTIONS(1466),
    [anon_sym_size_t] = ACTIONS(1466),
    [anon_sym_usize] = ACTIONS(1466),
    [anon_sym_isize] = ACTIONS(1466),
    [anon_sym_float_literal] = ACTIONS(1466),
    [anon_sym_int_literal] = ACTIONS(1466),
    [anon_sym_IError] = ACTIONS(1466),
    [sym_type_placeholder] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym_type_identifier] = ACTIONS(1466),
    [anon_sym_assert] = ACTIONS(1466),
    [anon_sym_defer] = ACTIONS(1466),
    [anon_sym_unsafe] = ACTIONS(1466),
    [anon_sym_pub] = ACTIONS(1466),
    [anon_sym_fn] = ACTIONS(1466),
    [anon_sym___global] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_type] = ACTIONS(1466),
    [anon_sym_go] = ACTIONS(1466),
    [anon_sym_spawn] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_DOLLARfor] = ACTIONS(1464),
    [anon_sym_DOLLARif] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_struct] = ACTIONS(1466),
    [anon_sym_union] = ACTIONS(1466),
    [anon_sym_enum] = ACTIONS(1466),
    [anon_sym_interface] = ACTIONS(1466),
    [anon_sym_POUND] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1466),
    [anon_sym_import] = ACTIONS(1466),
    [anon_sym_match] = ACTIONS(1466),
    [anon_sym_select] = ACTIONS(1466),
    [anon_sym_lock] = ACTIONS(1466),
    [anon_sym_rlock] = ACTIONS(1466),
    [sym__automatic_separator] = ACTIONS(1464),
    [sym__c_string_opening] = ACTIONS(1464),
    [sym__raw_string_opening] = ACTIONS(1464),
    [sym__string_opening] = ACTIONS(1464),
    [sym__comment] = ACTIONS(3),
  },
  [1525] = {
    [sym_comment] = STATE(1525),
    [ts_builtin_sym_end] = ACTIONS(1616),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_LT_DASH] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [sym_none] = ACTIONS(1618),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_map_LBRACK] = ACTIONS(1616),
    [anon_sym_chan] = ACTIONS(1618),
    [anon_sym_shared] = ACTIONS(1618),
    [anon_sym_thread] = ACTIONS(1618),
    [sym_int_literal] = ACTIONS(1618),
    [sym_float_literal] = ACTIONS(1616),
    [sym_rune_literal] = ACTIONS(1616),
    [anon_sym_DOT] = ACTIONS(1618),
    [anon_sym_array] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_char] = ACTIONS(1618),
    [anon_sym_sql] = ACTIONS(1618),
    [anon_sym_mut] = ACTIONS(1618),
    [anon_sym_C] = ACTIONS(1618),
    [anon_sym_JS] = ACTIONS(1618),
    [anon_sym_voidptr] = ACTIONS(1618),
    [anon_sym_byteptr] = ACTIONS(1618),
    [anon_sym_charptr] = ACTIONS(1618),
    [anon_sym_i8] = ACTIONS(1618),
    [anon_sym_i16] = ACTIONS(1618),
    [anon_sym_i32] = ACTIONS(1618),
    [anon_sym_int] = ACTIONS(1618),
    [anon_sym_i64] = ACTIONS(1618),
    [anon_sym_byte] = ACTIONS(1618),
    [anon_sym_u8] = ACTIONS(1618),
    [anon_sym_u16] = ACTIONS(1618),
    [anon_sym_u32] = ACTIONS(1618),
    [anon_sym_u64] = ACTIONS(1618),
    [anon_sym_f32] = ACTIONS(1618),
    [anon_sym_f64] = ACTIONS(1618),
    [anon_sym_bool] = ACTIONS(1618),
    [anon_sym_rune] = ACTIONS(1618),
    [anon_sym_map] = ACTIONS(1618),
    [anon_sym_mapnode] = ACTIONS(1618),
    [anon_sym_size_t] = ACTIONS(1618),
    [anon_sym_usize] = ACTIONS(1618),
    [anon_sym_isize] = ACTIONS(1618),
    [anon_sym_float_literal] = ACTIONS(1618),
    [anon_sym_int_literal] = ACTIONS(1618),
    [anon_sym_IError] = ACTIONS(1618),
    [sym_type_placeholder] = ACTIONS(1618),
    [anon_sym_AT] = ACTIONS(1618),
    [sym_type_identifier] = ACTIONS(1618),
    [anon_sym_assert] = ACTIONS(1618),
    [anon_sym_defer] = ACTIONS(1618),
    [anon_sym_unsafe] = ACTIONS(1618),
    [anon_sym_pub] = ACTIONS(1618),
    [anon_sym_fn] = ACTIONS(1618),
    [anon_sym___global] = ACTIONS(1618),
    [anon_sym_const] = ACTIONS(1618),
    [anon_sym_asm] = ACTIONS(1618),
    [anon_sym_break] = ACTIONS(1618),
    [anon_sym_continue] = ACTIONS(1618),
    [anon_sym_return] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_go] = ACTIONS(1618),
    [anon_sym_spawn] = ACTIONS(1618),
    [anon_sym_goto] = ACTIONS(1618),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_DOLLARfor] = ACTIONS(1616),
    [anon_sym_DOLLARif] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1618),
    [anon_sym_struct] = ACTIONS(1618),
    [anon_sym_union] = ACTIONS(1618),
    [anon_sym_enum] = ACTIONS(1618),
    [anon_sym_interface] = ACTIONS(1618),
    [anon_sym_POUND] = ACTIONS(1616),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_import] = ACTIONS(1618),
    [anon_sym_match] = ACTIONS(1618),
    [anon_sym_select] = ACTIONS(1618),
    [anon_sym_lock] = ACTIONS(1618),
    [anon_sym_rlock] = ACTIONS(1618),
    [sym__automatic_separator] = ACTIONS(1616),
    [sym__c_string_opening] = ACTIONS(1616),
    [sym__raw_string_opening] = ACTIONS(1616),
    [sym__string_opening] = ACTIONS(1616),
    [sym__comment] = ACTIONS(3),
  },
  [1526] = {
    [sym_comment] = STATE(1526),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [sym_none] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_map_LBRACK] = ACTIONS(1456),
    [anon_sym_chan] = ACTIONS(1458),
    [anon_sym_shared] = ACTIONS(1458),
    [anon_sym_thread] = ACTIONS(1458),
    [sym_int_literal] = ACTIONS(1458),
    [sym_float_literal] = ACTIONS(1456),
    [sym_rune_literal] = ACTIONS(1456),
    [anon_sym_DOT] = ACTIONS(1458),
    [anon_sym_array] = ACTIONS(1458),
    [anon_sym_string] = ACTIONS(1458),
    [anon_sym_char] = ACTIONS(1458),
    [anon_sym_sql] = ACTIONS(1458),
    [anon_sym_mut] = ACTIONS(1458),
    [anon_sym_C] = ACTIONS(1458),
    [anon_sym_JS] = ACTIONS(1458),
    [anon_sym_voidptr] = ACTIONS(1458),
    [anon_sym_byteptr] = ACTIONS(1458),
    [anon_sym_charptr] = ACTIONS(1458),
    [anon_sym_i8] = ACTIONS(1458),
    [anon_sym_i16] = ACTIONS(1458),
    [anon_sym_i32] = ACTIONS(1458),
    [anon_sym_int] = ACTIONS(1458),
    [anon_sym_i64] = ACTIONS(1458),
    [anon_sym_byte] = ACTIONS(1458),
    [anon_sym_u8] = ACTIONS(1458),
    [anon_sym_u16] = ACTIONS(1458),
    [anon_sym_u32] = ACTIONS(1458),
    [anon_sym_u64] = ACTIONS(1458),
    [anon_sym_f32] = ACTIONS(1458),
    [anon_sym_f64] = ACTIONS(1458),
    [anon_sym_bool] = ACTIONS(1458),
    [anon_sym_rune] = ACTIONS(1458),
    [anon_sym_map] = ACTIONS(1458),
    [anon_sym_mapnode] = ACTIONS(1458),
    [anon_sym_size_t] = ACTIONS(1458),
    [anon_sym_usize] = ACTIONS(1458),
    [anon_sym_isize] = ACTIONS(1458),
    [anon_sym_float_literal] = ACTIONS(1458),
    [anon_sym_int_literal] = ACTIONS(1458),
    [anon_sym_IError] = ACTIONS(1458),
    [sym_type_placeholder] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [sym_type_identifier] = ACTIONS(1458),
    [anon_sym_assert] = ACTIONS(1458),
    [anon_sym_defer] = ACTIONS(1458),
    [anon_sym_unsafe] = ACTIONS(1458),
    [anon_sym_pub] = ACTIONS(1458),
    [anon_sym_fn] = ACTIONS(1458),
    [anon_sym___global] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_type] = ACTIONS(1458),
    [anon_sym_go] = ACTIONS(1458),
    [anon_sym_spawn] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_DOLLARfor] = ACTIONS(1456),
    [anon_sym_DOLLARif] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_struct] = ACTIONS(1458),
    [anon_sym_union] = ACTIONS(1458),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_interface] = ACTIONS(1458),
    [anon_sym_POUND] = ACTIONS(1456),
    [anon_sym_module] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(1458),
    [anon_sym_match] = ACTIONS(1458),
    [anon_sym_select] = ACTIONS(1458),
    [anon_sym_lock] = ACTIONS(1458),
    [anon_sym_rlock] = ACTIONS(1458),
    [sym__automatic_separator] = ACTIONS(1456),
    [sym__c_string_opening] = ACTIONS(1456),
    [sym__raw_string_opening] = ACTIONS(1456),
    [sym__string_opening] = ACTIONS(1456),
    [sym__comment] = ACTIONS(3),
  },
  [1527] = {
    [sym_comment] = STATE(1527),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_LT_DASH] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [sym_none] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_map_LBRACK] = ACTIONS(1436),
    [anon_sym_chan] = ACTIONS(1438),
    [anon_sym_shared] = ACTIONS(1438),
    [anon_sym_thread] = ACTIONS(1438),
    [sym_int_literal] = ACTIONS(1438),
    [sym_float_literal] = ACTIONS(1436),
    [sym_rune_literal] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1438),
    [anon_sym_array] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_char] = ACTIONS(1438),
    [anon_sym_sql] = ACTIONS(1438),
    [anon_sym_mut] = ACTIONS(1438),
    [anon_sym_C] = ACTIONS(1438),
    [anon_sym_JS] = ACTIONS(1438),
    [anon_sym_voidptr] = ACTIONS(1438),
    [anon_sym_byteptr] = ACTIONS(1438),
    [anon_sym_charptr] = ACTIONS(1438),
    [anon_sym_i8] = ACTIONS(1438),
    [anon_sym_i16] = ACTIONS(1438),
    [anon_sym_i32] = ACTIONS(1438),
    [anon_sym_int] = ACTIONS(1438),
    [anon_sym_i64] = ACTIONS(1438),
    [anon_sym_byte] = ACTIONS(1438),
    [anon_sym_u8] = ACTIONS(1438),
    [anon_sym_u16] = ACTIONS(1438),
    [anon_sym_u32] = ACTIONS(1438),
    [anon_sym_u64] = ACTIONS(1438),
    [anon_sym_f32] = ACTIONS(1438),
    [anon_sym_f64] = ACTIONS(1438),
    [anon_sym_bool] = ACTIONS(1438),
    [anon_sym_rune] = ACTIONS(1438),
    [anon_sym_map] = ACTIONS(1438),
    [anon_sym_mapnode] = ACTIONS(1438),
    [anon_sym_size_t] = ACTIONS(1438),
    [anon_sym_usize] = ACTIONS(1438),
    [anon_sym_isize] = ACTIONS(1438),
    [anon_sym_float_literal] = ACTIONS(1438),
    [anon_sym_int_literal] = ACTIONS(1438),
    [anon_sym_IError] = ACTIONS(1438),
    [sym_type_placeholder] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [sym_type_identifier] = ACTIONS(1438),
    [anon_sym_assert] = ACTIONS(1438),
    [anon_sym_defer] = ACTIONS(1438),
    [anon_sym_unsafe] = ACTIONS(1438),
    [anon_sym_pub] = ACTIONS(1438),
    [anon_sym_fn] = ACTIONS(1438),
    [anon_sym___global] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_go] = ACTIONS(1438),
    [anon_sym_spawn] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_DOLLARfor] = ACTIONS(1436),
    [anon_sym_DOLLARif] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_struct] = ACTIONS(1438),
    [anon_sym_union] = ACTIONS(1438),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_interface] = ACTIONS(1438),
    [anon_sym_POUND] = ACTIONS(1436),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_match] = ACTIONS(1438),
    [anon_sym_select] = ACTIONS(1438),
    [anon_sym_lock] = ACTIONS(1438),
    [anon_sym_rlock] = ACTIONS(1438),
    [sym__automatic_separator] = ACTIONS(1436),
    [sym__c_string_opening] = ACTIONS(1436),
    [sym__raw_string_opening] = ACTIONS(1436),
    [sym__string_opening] = ACTIONS(1436),
    [sym__comment] = ACTIONS(3),
  },
  [1528] = {
    [sym_comment] = STATE(1528),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_LT_DASH] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [sym_none] = ACTIONS(1424),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_map_LBRACK] = ACTIONS(1422),
    [anon_sym_chan] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_thread] = ACTIONS(1424),
    [sym_int_literal] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1422),
    [sym_rune_literal] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_array] = ACTIONS(1424),
    [anon_sym_string] = ACTIONS(1424),
    [anon_sym_char] = ACTIONS(1424),
    [anon_sym_sql] = ACTIONS(1424),
    [anon_sym_mut] = ACTIONS(1424),
    [anon_sym_C] = ACTIONS(1424),
    [anon_sym_JS] = ACTIONS(1424),
    [anon_sym_voidptr] = ACTIONS(1424),
    [anon_sym_byteptr] = ACTIONS(1424),
    [anon_sym_charptr] = ACTIONS(1424),
    [anon_sym_i8] = ACTIONS(1424),
    [anon_sym_i16] = ACTIONS(1424),
    [anon_sym_i32] = ACTIONS(1424),
    [anon_sym_int] = ACTIONS(1424),
    [anon_sym_i64] = ACTIONS(1424),
    [anon_sym_byte] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1424),
    [anon_sym_u16] = ACTIONS(1424),
    [anon_sym_u32] = ACTIONS(1424),
    [anon_sym_u64] = ACTIONS(1424),
    [anon_sym_f32] = ACTIONS(1424),
    [anon_sym_f64] = ACTIONS(1424),
    [anon_sym_bool] = ACTIONS(1424),
    [anon_sym_rune] = ACTIONS(1424),
    [anon_sym_map] = ACTIONS(1424),
    [anon_sym_mapnode] = ACTIONS(1424),
    [anon_sym_size_t] = ACTIONS(1424),
    [anon_sym_usize] = ACTIONS(1424),
    [anon_sym_isize] = ACTIONS(1424),
    [anon_sym_float_literal] = ACTIONS(1424),
    [anon_sym_int_literal] = ACTIONS(1424),
    [anon_sym_IError] = ACTIONS(1424),
    [sym_type_placeholder] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [sym_type_identifier] = ACTIONS(1424),
    [anon_sym_assert] = ACTIONS(1424),
    [anon_sym_defer] = ACTIONS(1424),
    [anon_sym_unsafe] = ACTIONS(1424),
    [anon_sym_pub] = ACTIONS(1424),
    [anon_sym_fn] = ACTIONS(1424),
    [anon_sym___global] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_type] = ACTIONS(1424),
    [anon_sym_go] = ACTIONS(1424),
    [anon_sym_spawn] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_DOLLARfor] = ACTIONS(1422),
    [anon_sym_DOLLARif] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_interface] = ACTIONS(1424),
    [anon_sym_POUND] = ACTIONS(1422),
    [anon_sym_module] = ACTIONS(1424),
    [anon_sym_import] = ACTIONS(1424),
    [anon_sym_match] = ACTIONS(1424),
    [anon_sym_select] = ACTIONS(1424),
    [anon_sym_lock] = ACTIONS(1424),
    [anon_sym_rlock] = ACTIONS(1424),
    [sym__automatic_separator] = ACTIONS(1422),
    [sym__c_string_opening] = ACTIONS(1422),
    [sym__raw_string_opening] = ACTIONS(1422),
    [sym__string_opening] = ACTIONS(1422),
    [sym__comment] = ACTIONS(3),
  },
  [1529] = {
    [sym_comment] = STATE(1529),
    [sym_block] = STATE(1632),
    [ts_builtin_sym_end] = ACTIONS(3908),
    [sym_identifier] = ACTIONS(3910),
    [anon_sym_LPAREN] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_BANG] = ACTIONS(3908),
    [anon_sym_TILDE] = ACTIONS(3908),
    [anon_sym_CARET] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(3908),
    [anon_sym_AMP] = ACTIONS(3908),
    [anon_sym_LT_DASH] = ACTIONS(3908),
    [anon_sym_DOLLAR] = ACTIONS(3910),
    [sym_none] = ACTIONS(3910),
    [sym_true] = ACTIONS(3910),
    [sym_false] = ACTIONS(3910),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3908),
    [anon_sym_map_LBRACK] = ACTIONS(3908),
    [anon_sym_chan] = ACTIONS(3910),
    [anon_sym_shared] = ACTIONS(3910),
    [anon_sym_thread] = ACTIONS(3910),
    [sym_int_literal] = ACTIONS(3910),
    [sym_float_literal] = ACTIONS(3908),
    [sym_rune_literal] = ACTIONS(3908),
    [anon_sym_DOT] = ACTIONS(3910),
    [anon_sym_array] = ACTIONS(3910),
    [anon_sym_string] = ACTIONS(3910),
    [anon_sym_char] = ACTIONS(3910),
    [anon_sym_sql] = ACTIONS(3910),
    [anon_sym_mut] = ACTIONS(3910),
    [anon_sym_C] = ACTIONS(3910),
    [anon_sym_JS] = ACTIONS(3910),
    [anon_sym_voidptr] = ACTIONS(3910),
    [anon_sym_byteptr] = ACTIONS(3910),
    [anon_sym_charptr] = ACTIONS(3910),
    [anon_sym_i8] = ACTIONS(3910),
    [anon_sym_i16] = ACTIONS(3910),
    [anon_sym_i32] = ACTIONS(3910),
    [anon_sym_int] = ACTIONS(3910),
    [anon_sym_i64] = ACTIONS(3910),
    [anon_sym_byte] = ACTIONS(3910),
    [anon_sym_u8] = ACTIONS(3910),
    [anon_sym_u16] = ACTIONS(3910),
    [anon_sym_u32] = ACTIONS(3910),
    [anon_sym_u64] = ACTIONS(3910),
    [anon_sym_f32] = ACTIONS(3910),
    [anon_sym_f64] = ACTIONS(3910),
    [anon_sym_bool] = ACTIONS(3910),
    [anon_sym_rune] = ACTIONS(3910),
    [anon_sym_map] = ACTIONS(3910),
    [anon_sym_mapnode] = ACTIONS(3910),
    [anon_sym_size_t] = ACTIONS(3910),
    [anon_sym_usize] = ACTIONS(3910),
    [anon_sym_isize] = ACTIONS(3910),
    [anon_sym_float_literal] = ACTIONS(3910),
    [anon_sym_int_literal] = ACTIONS(3910),
    [anon_sym_IError] = ACTIONS(3910),
    [sym_type_placeholder] = ACTIONS(3910),
    [anon_sym_AT] = ACTIONS(3910),
    [sym_type_identifier] = ACTIONS(3910),
    [anon_sym_assert] = ACTIONS(3910),
    [anon_sym_defer] = ACTIONS(3910),
    [anon_sym_unsafe] = ACTIONS(3910),
    [anon_sym_pub] = ACTIONS(3910),
    [anon_sym_fn] = ACTIONS(3910),
    [anon_sym___global] = ACTIONS(3910),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_asm] = ACTIONS(3910),
    [anon_sym_break] = ACTIONS(3910),
    [anon_sym_continue] = ACTIONS(3910),
    [anon_sym_return] = ACTIONS(3910),
    [anon_sym_type] = ACTIONS(3910),
    [anon_sym_go] = ACTIONS(3910),
    [anon_sym_spawn] = ACTIONS(3910),
    [anon_sym_goto] = ACTIONS(3910),
    [anon_sym_for] = ACTIONS(3910),
    [anon_sym_DOLLARfor] = ACTIONS(3908),
    [anon_sym_DOLLARif] = ACTIONS(3908),
    [anon_sym_if] = ACTIONS(3910),
    [anon_sym_struct] = ACTIONS(3910),
    [anon_sym_union] = ACTIONS(3910),
    [anon_sym_enum] = ACTIONS(3910),
    [anon_sym_interface] = ACTIONS(3910),
    [anon_sym_POUND] = ACTIONS(3908),
    [anon_sym_module] = ACTIONS(3910),
    [anon_sym_import] = ACTIONS(3910),
    [anon_sym_match] = ACTIONS(3910),
    [anon_sym_select] = ACTIONS(3910),
    [anon_sym_lock] = ACTIONS(3910),
    [anon_sym_rlock] = ACTIONS(3910),
    [sym__automatic_separator] = ACTIONS(3908),
    [sym__c_string_opening] = ACTIONS(3908),
    [sym__raw_string_opening] = ACTIONS(3908),
    [sym__string_opening] = ACTIONS(3908),
    [sym__comment] = ACTIONS(3),
  },
  [1530] = {
    [sym_comment] = STATE(1530),
    [sym_block] = STATE(1600),
    [ts_builtin_sym_end] = ACTIONS(3912),
    [sym_identifier] = ACTIONS(3914),
    [anon_sym_LPAREN] = ACTIONS(3912),
    [anon_sym_PLUS] = ACTIONS(3912),
    [anon_sym_DASH] = ACTIONS(3912),
    [anon_sym_BANG] = ACTIONS(3912),
    [anon_sym_TILDE] = ACTIONS(3912),
    [anon_sym_CARET] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(3912),
    [anon_sym_AMP] = ACTIONS(3912),
    [anon_sym_LT_DASH] = ACTIONS(3912),
    [anon_sym_DOLLAR] = ACTIONS(3914),
    [sym_none] = ACTIONS(3914),
    [sym_true] = ACTIONS(3914),
    [sym_false] = ACTIONS(3914),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3912),
    [anon_sym_map_LBRACK] = ACTIONS(3912),
    [anon_sym_chan] = ACTIONS(3914),
    [anon_sym_shared] = ACTIONS(3914),
    [anon_sym_thread] = ACTIONS(3914),
    [sym_int_literal] = ACTIONS(3914),
    [sym_float_literal] = ACTIONS(3912),
    [sym_rune_literal] = ACTIONS(3912),
    [anon_sym_DOT] = ACTIONS(3914),
    [anon_sym_array] = ACTIONS(3914),
    [anon_sym_string] = ACTIONS(3914),
    [anon_sym_char] = ACTIONS(3914),
    [anon_sym_sql] = ACTIONS(3914),
    [anon_sym_mut] = ACTIONS(3914),
    [anon_sym_C] = ACTIONS(3914),
    [anon_sym_JS] = ACTIONS(3914),
    [anon_sym_voidptr] = ACTIONS(3914),
    [anon_sym_byteptr] = ACTIONS(3914),
    [anon_sym_charptr] = ACTIONS(3914),
    [anon_sym_i8] = ACTIONS(3914),
    [anon_sym_i16] = ACTIONS(3914),
    [anon_sym_i32] = ACTIONS(3914),
    [anon_sym_int] = ACTIONS(3914),
    [anon_sym_i64] = ACTIONS(3914),
    [anon_sym_byte] = ACTIONS(3914),
    [anon_sym_u8] = ACTIONS(3914),
    [anon_sym_u16] = ACTIONS(3914),
    [anon_sym_u32] = ACTIONS(3914),
    [anon_sym_u64] = ACTIONS(3914),
    [anon_sym_f32] = ACTIONS(3914),
    [anon_sym_f64] = ACTIONS(3914),
    [anon_sym_bool] = ACTIONS(3914),
    [anon_sym_rune] = ACTIONS(3914),
    [anon_sym_map] = ACTIONS(3914),
    [anon_sym_mapnode] = ACTIONS(3914),
    [anon_sym_size_t] = ACTIONS(3914),
    [anon_sym_usize] = ACTIONS(3914),
    [anon_sym_isize] = ACTIONS(3914),
    [anon_sym_float_literal] = ACTIONS(3914),
    [anon_sym_int_literal] = ACTIONS(3914),
    [anon_sym_IError] = ACTIONS(3914),
    [sym_type_placeholder] = ACTIONS(3914),
    [anon_sym_AT] = ACTIONS(3914),
    [sym_type_identifier] = ACTIONS(3914),
    [anon_sym_assert] = ACTIONS(3914),
    [anon_sym_defer] = ACTIONS(3914),
    [anon_sym_unsafe] = ACTIONS(3914),
    [anon_sym_pub] = ACTIONS(3914),
    [anon_sym_fn] = ACTIONS(3914),
    [anon_sym___global] = ACTIONS(3914),
    [anon_sym_const] = ACTIONS(3914),
    [anon_sym_asm] = ACTIONS(3914),
    [anon_sym_break] = ACTIONS(3914),
    [anon_sym_continue] = ACTIONS(3914),
    [anon_sym_return] = ACTIONS(3914),
    [anon_sym_type] = ACTIONS(3914),
    [anon_sym_go] = ACTIONS(3914),
    [anon_sym_spawn] = ACTIONS(3914),
    [anon_sym_goto] = ACTIONS(3914),
    [anon_sym_for] = ACTIONS(3914),
    [anon_sym_DOLLARfor] = ACTIONS(3912),
    [anon_sym_DOLLARif] = ACTIONS(3912),
    [anon_sym_if] = ACTIONS(3914),
    [anon_sym_struct] = ACTIONS(3914),
    [anon_sym_union] = ACTIONS(3914),
    [anon_sym_enum] = ACTIONS(3914),
    [anon_sym_interface] = ACTIONS(3914),
    [anon_sym_POUND] = ACTIONS(3912),
    [anon_sym_module] = ACTIONS(3914),
    [anon_sym_import] = ACTIONS(3914),
    [anon_sym_match] = ACTIONS(3914),
    [anon_sym_select] = ACTIONS(3914),
    [anon_sym_lock] = ACTIONS(3914),
    [anon_sym_rlock] = ACTIONS(3914),
    [sym__automatic_separator] = ACTIONS(3912),
    [sym__c_string_opening] = ACTIONS(3912),
    [sym__raw_string_opening] = ACTIONS(3912),
    [sym__string_opening] = ACTIONS(3912),
    [sym__comment] = ACTIONS(3),
  },
  [1531] = {
    [sym_comment] = STATE(1531),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [sym_none] = ACTIONS(1416),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_map_LBRACK] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_thread] = ACTIONS(1416),
    [sym_int_literal] = ACTIONS(1416),
    [sym_float_literal] = ACTIONS(1414),
    [sym_rune_literal] = ACTIONS(1414),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_array] = ACTIONS(1416),
    [anon_sym_string] = ACTIONS(1416),
    [anon_sym_char] = ACTIONS(1416),
    [anon_sym_sql] = ACTIONS(1416),
    [anon_sym_mut] = ACTIONS(1416),
    [anon_sym_C] = ACTIONS(1416),
    [anon_sym_JS] = ACTIONS(1416),
    [anon_sym_voidptr] = ACTIONS(1416),
    [anon_sym_byteptr] = ACTIONS(1416),
    [anon_sym_charptr] = ACTIONS(1416),
    [anon_sym_i8] = ACTIONS(1416),
    [anon_sym_i16] = ACTIONS(1416),
    [anon_sym_i32] = ACTIONS(1416),
    [anon_sym_int] = ACTIONS(1416),
    [anon_sym_i64] = ACTIONS(1416),
    [anon_sym_byte] = ACTIONS(1416),
    [anon_sym_u8] = ACTIONS(1416),
    [anon_sym_u16] = ACTIONS(1416),
    [anon_sym_u32] = ACTIONS(1416),
    [anon_sym_u64] = ACTIONS(1416),
    [anon_sym_f32] = ACTIONS(1416),
    [anon_sym_f64] = ACTIONS(1416),
    [anon_sym_bool] = ACTIONS(1416),
    [anon_sym_rune] = ACTIONS(1416),
    [anon_sym_map] = ACTIONS(1416),
    [anon_sym_mapnode] = ACTIONS(1416),
    [anon_sym_size_t] = ACTIONS(1416),
    [anon_sym_usize] = ACTIONS(1416),
    [anon_sym_isize] = ACTIONS(1416),
    [anon_sym_float_literal] = ACTIONS(1416),
    [anon_sym_int_literal] = ACTIONS(1416),
    [anon_sym_IError] = ACTIONS(1416),
    [sym_type_placeholder] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym_type_identifier] = ACTIONS(1416),
    [anon_sym_assert] = ACTIONS(1416),
    [anon_sym_defer] = ACTIONS(1416),
    [anon_sym_unsafe] = ACTIONS(1416),
    [anon_sym_pub] = ACTIONS(1416),
    [anon_sym_fn] = ACTIONS(1416),
    [anon_sym___global] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_type] = ACTIONS(1416),
    [anon_sym_go] = ACTIONS(1416),
    [anon_sym_spawn] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_DOLLARfor] = ACTIONS(1414),
    [anon_sym_DOLLARif] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_interface] = ACTIONS(1416),
    [anon_sym_POUND] = ACTIONS(1414),
    [anon_sym_module] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(1416),
    [anon_sym_match] = ACTIONS(1416),
    [anon_sym_select] = ACTIONS(1416),
    [anon_sym_lock] = ACTIONS(1416),
    [anon_sym_rlock] = ACTIONS(1416),
    [sym__automatic_separator] = ACTIONS(1414),
    [sym__c_string_opening] = ACTIONS(1414),
    [sym__raw_string_opening] = ACTIONS(1414),
    [sym__string_opening] = ACTIONS(1414),
    [sym__comment] = ACTIONS(3),
  },
  [1532] = {
    [sym_comment] = STATE(1532),
    [sym_block] = STATE(1610),
    [ts_builtin_sym_end] = ACTIONS(3916),
    [sym_identifier] = ACTIONS(3918),
    [anon_sym_LPAREN] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_BANG] = ACTIONS(3916),
    [anon_sym_TILDE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_LT_DASH] = ACTIONS(3916),
    [anon_sym_DOLLAR] = ACTIONS(3918),
    [sym_none] = ACTIONS(3918),
    [sym_true] = ACTIONS(3918),
    [sym_false] = ACTIONS(3918),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3916),
    [anon_sym_map_LBRACK] = ACTIONS(3916),
    [anon_sym_chan] = ACTIONS(3918),
    [anon_sym_shared] = ACTIONS(3918),
    [anon_sym_thread] = ACTIONS(3918),
    [sym_int_literal] = ACTIONS(3918),
    [sym_float_literal] = ACTIONS(3916),
    [sym_rune_literal] = ACTIONS(3916),
    [anon_sym_DOT] = ACTIONS(3918),
    [anon_sym_array] = ACTIONS(3918),
    [anon_sym_string] = ACTIONS(3918),
    [anon_sym_char] = ACTIONS(3918),
    [anon_sym_sql] = ACTIONS(3918),
    [anon_sym_mut] = ACTIONS(3918),
    [anon_sym_C] = ACTIONS(3918),
    [anon_sym_JS] = ACTIONS(3918),
    [anon_sym_voidptr] = ACTIONS(3918),
    [anon_sym_byteptr] = ACTIONS(3918),
    [anon_sym_charptr] = ACTIONS(3918),
    [anon_sym_i8] = ACTIONS(3918),
    [anon_sym_i16] = ACTIONS(3918),
    [anon_sym_i32] = ACTIONS(3918),
    [anon_sym_int] = ACTIONS(3918),
    [anon_sym_i64] = ACTIONS(3918),
    [anon_sym_byte] = ACTIONS(3918),
    [anon_sym_u8] = ACTIONS(3918),
    [anon_sym_u16] = ACTIONS(3918),
    [anon_sym_u32] = ACTIONS(3918),
    [anon_sym_u64] = ACTIONS(3918),
    [anon_sym_f32] = ACTIONS(3918),
    [anon_sym_f64] = ACTIONS(3918),
    [anon_sym_bool] = ACTIONS(3918),
    [anon_sym_rune] = ACTIONS(3918),
    [anon_sym_map] = ACTIONS(3918),
    [anon_sym_mapnode] = ACTIONS(3918),
    [anon_sym_size_t] = ACTIONS(3918),
    [anon_sym_usize] = ACTIONS(3918),
    [anon_sym_isize] = ACTIONS(3918),
    [anon_sym_float_literal] = ACTIONS(3918),
    [anon_sym_int_literal] = ACTIONS(3918),
    [anon_sym_IError] = ACTIONS(3918),
    [sym_type_placeholder] = ACTIONS(3918),
    [anon_sym_AT] = ACTIONS(3918),
    [sym_type_identifier] = ACTIONS(3918),
    [anon_sym_assert] = ACTIONS(3918),
    [anon_sym_defer] = ACTIONS(3918),
    [anon_sym_unsafe] = ACTIONS(3918),
    [anon_sym_pub] = ACTIONS(3918),
    [anon_sym_fn] = ACTIONS(3918),
    [anon_sym___global] = ACTIONS(3918),
    [anon_sym_const] = ACTIONS(3918),
    [anon_sym_asm] = ACTIONS(3918),
    [anon_sym_break] = ACTIONS(3918),
    [anon_sym_continue] = ACTIONS(3918),
    [anon_sym_return] = ACTIONS(3918),
    [anon_sym_type] = ACTIONS(3918),
    [anon_sym_go] = ACTIONS(3918),
    [anon_sym_spawn] = ACTIONS(3918),
    [anon_sym_goto] = ACTIONS(3918),
    [anon_sym_for] = ACTIONS(3918),
    [anon_sym_DOLLARfor] = ACTIONS(3916),
    [anon_sym_DOLLARif] = ACTIONS(3916),
    [anon_sym_if] = ACTIONS(3918),
    [anon_sym_struct] = ACTIONS(3918),
    [anon_sym_union] = ACTIONS(3918),
    [anon_sym_enum] = ACTIONS(3918),
    [anon_sym_interface] = ACTIONS(3918),
    [anon_sym_POUND] = ACTIONS(3916),
    [anon_sym_module] = ACTIONS(3918),
    [anon_sym_import] = ACTIONS(3918),
    [anon_sym_match] = ACTIONS(3918),
    [anon_sym_select] = ACTIONS(3918),
    [anon_sym_lock] = ACTIONS(3918),
    [anon_sym_rlock] = ACTIONS(3918),
    [sym__automatic_separator] = ACTIONS(3916),
    [sym__c_string_opening] = ACTIONS(3916),
    [sym__raw_string_opening] = ACTIONS(3916),
    [sym__string_opening] = ACTIONS(3916),
    [sym__comment] = ACTIONS(3),
  },
  [1533] = {
    [sym_comment] = STATE(1533),
    [sym_block] = STATE(1578),
    [ts_builtin_sym_end] = ACTIONS(3920),
    [sym_identifier] = ACTIONS(3922),
    [anon_sym_LPAREN] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_BANG] = ACTIONS(3920),
    [anon_sym_TILDE] = ACTIONS(3920),
    [anon_sym_CARET] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(3920),
    [anon_sym_AMP] = ACTIONS(3920),
    [anon_sym_LT_DASH] = ACTIONS(3920),
    [anon_sym_DOLLAR] = ACTIONS(3922),
    [sym_none] = ACTIONS(3922),
    [sym_true] = ACTIONS(3922),
    [sym_false] = ACTIONS(3922),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3920),
    [anon_sym_map_LBRACK] = ACTIONS(3920),
    [anon_sym_chan] = ACTIONS(3922),
    [anon_sym_shared] = ACTIONS(3922),
    [anon_sym_thread] = ACTIONS(3922),
    [sym_int_literal] = ACTIONS(3922),
    [sym_float_literal] = ACTIONS(3920),
    [sym_rune_literal] = ACTIONS(3920),
    [anon_sym_DOT] = ACTIONS(3922),
    [anon_sym_array] = ACTIONS(3922),
    [anon_sym_string] = ACTIONS(3922),
    [anon_sym_char] = ACTIONS(3922),
    [anon_sym_sql] = ACTIONS(3922),
    [anon_sym_mut] = ACTIONS(3922),
    [anon_sym_C] = ACTIONS(3922),
    [anon_sym_JS] = ACTIONS(3922),
    [anon_sym_voidptr] = ACTIONS(3922),
    [anon_sym_byteptr] = ACTIONS(3922),
    [anon_sym_charptr] = ACTIONS(3922),
    [anon_sym_i8] = ACTIONS(3922),
    [anon_sym_i16] = ACTIONS(3922),
    [anon_sym_i32] = ACTIONS(3922),
    [anon_sym_int] = ACTIONS(3922),
    [anon_sym_i64] = ACTIONS(3922),
    [anon_sym_byte] = ACTIONS(3922),
    [anon_sym_u8] = ACTIONS(3922),
    [anon_sym_u16] = ACTIONS(3922),
    [anon_sym_u32] = ACTIONS(3922),
    [anon_sym_u64] = ACTIONS(3922),
    [anon_sym_f32] = ACTIONS(3922),
    [anon_sym_f64] = ACTIONS(3922),
    [anon_sym_bool] = ACTIONS(3922),
    [anon_sym_rune] = ACTIONS(3922),
    [anon_sym_map] = ACTIONS(3922),
    [anon_sym_mapnode] = ACTIONS(3922),
    [anon_sym_size_t] = ACTIONS(3922),
    [anon_sym_usize] = ACTIONS(3922),
    [anon_sym_isize] = ACTIONS(3922),
    [anon_sym_float_literal] = ACTIONS(3922),
    [anon_sym_int_literal] = ACTIONS(3922),
    [anon_sym_IError] = ACTIONS(3922),
    [sym_type_placeholder] = ACTIONS(3922),
    [anon_sym_AT] = ACTIONS(3922),
    [sym_type_identifier] = ACTIONS(3922),
    [anon_sym_assert] = ACTIONS(3922),
    [anon_sym_defer] = ACTIONS(3922),
    [anon_sym_unsafe] = ACTIONS(3922),
    [anon_sym_pub] = ACTIONS(3922),
    [anon_sym_fn] = ACTIONS(3922),
    [anon_sym___global] = ACTIONS(3922),
    [anon_sym_const] = ACTIONS(3922),
    [anon_sym_asm] = ACTIONS(3922),
    [anon_sym_break] = ACTIONS(3922),
    [anon_sym_continue] = ACTIONS(3922),
    [anon_sym_return] = ACTIONS(3922),
    [anon_sym_type] = ACTIONS(3922),
    [anon_sym_go] = ACTIONS(3922),
    [anon_sym_spawn] = ACTIONS(3922),
    [anon_sym_goto] = ACTIONS(3922),
    [anon_sym_for] = ACTIONS(3922),
    [anon_sym_DOLLARfor] = ACTIONS(3920),
    [anon_sym_DOLLARif] = ACTIONS(3920),
    [anon_sym_if] = ACTIONS(3922),
    [anon_sym_struct] = ACTIONS(3922),
    [anon_sym_union] = ACTIONS(3922),
    [anon_sym_enum] = ACTIONS(3922),
    [anon_sym_interface] = ACTIONS(3922),
    [anon_sym_POUND] = ACTIONS(3920),
    [anon_sym_module] = ACTIONS(3922),
    [anon_sym_import] = ACTIONS(3922),
    [anon_sym_match] = ACTIONS(3922),
    [anon_sym_select] = ACTIONS(3922),
    [anon_sym_lock] = ACTIONS(3922),
    [anon_sym_rlock] = ACTIONS(3922),
    [sym__automatic_separator] = ACTIONS(3920),
    [sym__c_string_opening] = ACTIONS(3920),
    [sym__raw_string_opening] = ACTIONS(3920),
    [sym__string_opening] = ACTIONS(3920),
    [sym__comment] = ACTIONS(3),
  },
  [1534] = {
    [sym_comment] = STATE(1534),
    [sym_block] = STATE(1608),
    [ts_builtin_sym_end] = ACTIONS(3924),
    [sym_identifier] = ACTIONS(3926),
    [anon_sym_LPAREN] = ACTIONS(3924),
    [anon_sym_PLUS] = ACTIONS(3924),
    [anon_sym_DASH] = ACTIONS(3924),
    [anon_sym_BANG] = ACTIONS(3924),
    [anon_sym_TILDE] = ACTIONS(3924),
    [anon_sym_CARET] = ACTIONS(3924),
    [anon_sym_STAR] = ACTIONS(3924),
    [anon_sym_AMP] = ACTIONS(3924),
    [anon_sym_LT_DASH] = ACTIONS(3924),
    [anon_sym_DOLLAR] = ACTIONS(3926),
    [sym_none] = ACTIONS(3926),
    [sym_true] = ACTIONS(3926),
    [sym_false] = ACTIONS(3926),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3924),
    [anon_sym_map_LBRACK] = ACTIONS(3924),
    [anon_sym_chan] = ACTIONS(3926),
    [anon_sym_shared] = ACTIONS(3926),
    [anon_sym_thread] = ACTIONS(3926),
    [sym_int_literal] = ACTIONS(3926),
    [sym_float_literal] = ACTIONS(3924),
    [sym_rune_literal] = ACTIONS(3924),
    [anon_sym_DOT] = ACTIONS(3926),
    [anon_sym_array] = ACTIONS(3926),
    [anon_sym_string] = ACTIONS(3926),
    [anon_sym_char] = ACTIONS(3926),
    [anon_sym_sql] = ACTIONS(3926),
    [anon_sym_mut] = ACTIONS(3926),
    [anon_sym_C] = ACTIONS(3926),
    [anon_sym_JS] = ACTIONS(3926),
    [anon_sym_voidptr] = ACTIONS(3926),
    [anon_sym_byteptr] = ACTIONS(3926),
    [anon_sym_charptr] = ACTIONS(3926),
    [anon_sym_i8] = ACTIONS(3926),
    [anon_sym_i16] = ACTIONS(3926),
    [anon_sym_i32] = ACTIONS(3926),
    [anon_sym_int] = ACTIONS(3926),
    [anon_sym_i64] = ACTIONS(3926),
    [anon_sym_byte] = ACTIONS(3926),
    [anon_sym_u8] = ACTIONS(3926),
    [anon_sym_u16] = ACTIONS(3926),
    [anon_sym_u32] = ACTIONS(3926),
    [anon_sym_u64] = ACTIONS(3926),
    [anon_sym_f32] = ACTIONS(3926),
    [anon_sym_f64] = ACTIONS(3926),
    [anon_sym_bool] = ACTIONS(3926),
    [anon_sym_rune] = ACTIONS(3926),
    [anon_sym_map] = ACTIONS(3926),
    [anon_sym_mapnode] = ACTIONS(3926),
    [anon_sym_size_t] = ACTIONS(3926),
    [anon_sym_usize] = ACTIONS(3926),
    [anon_sym_isize] = ACTIONS(3926),
    [anon_sym_float_literal] = ACTIONS(3926),
    [anon_sym_int_literal] = ACTIONS(3926),
    [anon_sym_IError] = ACTIONS(3926),
    [sym_type_placeholder] = ACTIONS(3926),
    [anon_sym_AT] = ACTIONS(3926),
    [sym_type_identifier] = ACTIONS(3926),
    [anon_sym_assert] = ACTIONS(3926),
    [anon_sym_defer] = ACTIONS(3926),
    [anon_sym_unsafe] = ACTIONS(3926),
    [anon_sym_pub] = ACTIONS(3926),
    [anon_sym_fn] = ACTIONS(3926),
    [anon_sym___global] = ACTIONS(3926),
    [anon_sym_const] = ACTIONS(3926),
    [anon_sym_asm] = ACTIONS(3926),
    [anon_sym_break] = ACTIONS(3926),
    [anon_sym_continue] = ACTIONS(3926),
    [anon_sym_return] = ACTIONS(3926),
    [anon_sym_type] = ACTIONS(3926),
    [anon_sym_go] = ACTIONS(3926),
    [anon_sym_spawn] = ACTIONS(3926),
    [anon_sym_goto] = ACTIONS(3926),
    [anon_sym_for] = ACTIONS(3926),
    [anon_sym_DOLLARfor] = ACTIONS(3924),
    [anon_sym_DOLLARif] = ACTIONS(3924),
    [anon_sym_if] = ACTIONS(3926),
    [anon_sym_struct] = ACTIONS(3926),
    [anon_sym_union] = ACTIONS(3926),
    [anon_sym_enum] = ACTIONS(3926),
    [anon_sym_interface] = ACTIONS(3926),
    [anon_sym_POUND] = ACTIONS(3924),
    [anon_sym_module] = ACTIONS(3926),
    [anon_sym_import] = ACTIONS(3926),
    [anon_sym_match] = ACTIONS(3926),
    [anon_sym_select] = ACTIONS(3926),
    [anon_sym_lock] = ACTIONS(3926),
    [anon_sym_rlock] = ACTIONS(3926),
    [sym__automatic_separator] = ACTIONS(3924),
    [sym__c_string_opening] = ACTIONS(3924),
    [sym__raw_string_opening] = ACTIONS(3924),
    [sym__string_opening] = ACTIONS(3924),
    [sym__comment] = ACTIONS(3),
  },
  [1535] = {
    [sym_comment] = STATE(1535),
    [ts_builtin_sym_end] = ACTIONS(1620),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1620),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1620),
    [anon_sym_AMP] = ACTIONS(1620),
    [anon_sym_LT_DASH] = ACTIONS(1620),
    [anon_sym_PIPE] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [sym_none] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_map_LBRACK] = ACTIONS(1620),
    [anon_sym_chan] = ACTIONS(1622),
    [anon_sym_shared] = ACTIONS(1622),
    [anon_sym_thread] = ACTIONS(1622),
    [sym_int_literal] = ACTIONS(1622),
    [sym_float_literal] = ACTIONS(1620),
    [sym_rune_literal] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_array] = ACTIONS(1622),
    [anon_sym_string] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_sql] = ACTIONS(1622),
    [anon_sym_mut] = ACTIONS(1622),
    [anon_sym_C] = ACTIONS(1622),
    [anon_sym_JS] = ACTIONS(1622),
    [anon_sym_voidptr] = ACTIONS(1622),
    [anon_sym_byteptr] = ACTIONS(1622),
    [anon_sym_charptr] = ACTIONS(1622),
    [anon_sym_i8] = ACTIONS(1622),
    [anon_sym_i16] = ACTIONS(1622),
    [anon_sym_i32] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_i64] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_u8] = ACTIONS(1622),
    [anon_sym_u16] = ACTIONS(1622),
    [anon_sym_u32] = ACTIONS(1622),
    [anon_sym_u64] = ACTIONS(1622),
    [anon_sym_f32] = ACTIONS(1622),
    [anon_sym_f64] = ACTIONS(1622),
    [anon_sym_bool] = ACTIONS(1622),
    [anon_sym_rune] = ACTIONS(1622),
    [anon_sym_map] = ACTIONS(1622),
    [anon_sym_mapnode] = ACTIONS(1622),
    [anon_sym_size_t] = ACTIONS(1622),
    [anon_sym_usize] = ACTIONS(1622),
    [anon_sym_isize] = ACTIONS(1622),
    [anon_sym_float_literal] = ACTIONS(1622),
    [anon_sym_int_literal] = ACTIONS(1622),
    [anon_sym_IError] = ACTIONS(1622),
    [sym_type_placeholder] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [sym_type_identifier] = ACTIONS(1622),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_defer] = ACTIONS(1622),
    [anon_sym_unsafe] = ACTIONS(1622),
    [anon_sym_pub] = ACTIONS(1622),
    [anon_sym_fn] = ACTIONS(1622),
    [anon_sym___global] = ACTIONS(1622),
    [anon_sym_const] = ACTIONS(1622),
    [anon_sym_asm] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_type] = ACTIONS(1622),
    [anon_sym_go] = ACTIONS(1622),
    [anon_sym_spawn] = ACTIONS(1622),
    [anon_sym_goto] = ACTIONS(1622),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_DOLLARfor] = ACTIONS(1620),
    [anon_sym_DOLLARif] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_struct] = ACTIONS(1622),
    [anon_sym_union] = ACTIONS(1622),
    [anon_sym_enum] = ACTIONS(1622),
    [anon_sym_interface] = ACTIONS(1622),
    [anon_sym_POUND] = ACTIONS(1620),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(1622),
    [anon_sym_match] = ACTIONS(1622),
    [anon_sym_select] = ACTIONS(1622),
    [anon_sym_lock] = ACTIONS(1622),
    [anon_sym_rlock] = ACTIONS(1622),
    [sym__automatic_separator] = ACTIONS(1620),
    [sym__c_string_opening] = ACTIONS(1620),
    [sym__raw_string_opening] = ACTIONS(1620),
    [sym__string_opening] = ACTIONS(1620),
    [sym__comment] = ACTIONS(3),
  },
  [1536] = {
    [sym_comment] = STATE(1536),
    [sym_block] = STATE(1621),
    [ts_builtin_sym_end] = ACTIONS(3928),
    [sym_identifier] = ACTIONS(3930),
    [anon_sym_LPAREN] = ACTIONS(3928),
    [anon_sym_PLUS] = ACTIONS(3928),
    [anon_sym_DASH] = ACTIONS(3928),
    [anon_sym_BANG] = ACTIONS(3928),
    [anon_sym_TILDE] = ACTIONS(3928),
    [anon_sym_CARET] = ACTIONS(3928),
    [anon_sym_STAR] = ACTIONS(3928),
    [anon_sym_AMP] = ACTIONS(3928),
    [anon_sym_LT_DASH] = ACTIONS(3928),
    [anon_sym_DOLLAR] = ACTIONS(3930),
    [sym_none] = ACTIONS(3930),
    [sym_true] = ACTIONS(3930),
    [sym_false] = ACTIONS(3930),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3928),
    [anon_sym_map_LBRACK] = ACTIONS(3928),
    [anon_sym_chan] = ACTIONS(3930),
    [anon_sym_shared] = ACTIONS(3930),
    [anon_sym_thread] = ACTIONS(3930),
    [sym_int_literal] = ACTIONS(3930),
    [sym_float_literal] = ACTIONS(3928),
    [sym_rune_literal] = ACTIONS(3928),
    [anon_sym_DOT] = ACTIONS(3930),
    [anon_sym_array] = ACTIONS(3930),
    [anon_sym_string] = ACTIONS(3930),
    [anon_sym_char] = ACTIONS(3930),
    [anon_sym_sql] = ACTIONS(3930),
    [anon_sym_mut] = ACTIONS(3930),
    [anon_sym_C] = ACTIONS(3930),
    [anon_sym_JS] = ACTIONS(3930),
    [anon_sym_voidptr] = ACTIONS(3930),
    [anon_sym_byteptr] = ACTIONS(3930),
    [anon_sym_charptr] = ACTIONS(3930),
    [anon_sym_i8] = ACTIONS(3930),
    [anon_sym_i16] = ACTIONS(3930),
    [anon_sym_i32] = ACTIONS(3930),
    [anon_sym_int] = ACTIONS(3930),
    [anon_sym_i64] = ACTIONS(3930),
    [anon_sym_byte] = ACTIONS(3930),
    [anon_sym_u8] = ACTIONS(3930),
    [anon_sym_u16] = ACTIONS(3930),
    [anon_sym_u32] = ACTIONS(3930),
    [anon_sym_u64] = ACTIONS(3930),
    [anon_sym_f32] = ACTIONS(3930),
    [anon_sym_f64] = ACTIONS(3930),
    [anon_sym_bool] = ACTIONS(3930),
    [anon_sym_rune] = ACTIONS(3930),
    [anon_sym_map] = ACTIONS(3930),
    [anon_sym_mapnode] = ACTIONS(3930),
    [anon_sym_size_t] = ACTIONS(3930),
    [anon_sym_usize] = ACTIONS(3930),
    [anon_sym_isize] = ACTIONS(3930),
    [anon_sym_float_literal] = ACTIONS(3930),
    [anon_sym_int_literal] = ACTIONS(3930),
    [anon_sym_IError] = ACTIONS(3930),
    [sym_type_placeholder] = ACTIONS(3930),
    [anon_sym_AT] = ACTIONS(3930),
    [sym_type_identifier] = ACTIONS(3930),
    [anon_sym_assert] = ACTIONS(3930),
    [anon_sym_defer] = ACTIONS(3930),
    [anon_sym_unsafe] = ACTIONS(3930),
    [anon_sym_pub] = ACTIONS(3930),
    [anon_sym_fn] = ACTIONS(3930),
    [anon_sym___global] = ACTIONS(3930),
    [anon_sym_const] = ACTIONS(3930),
    [anon_sym_asm] = ACTIONS(3930),
    [anon_sym_break] = ACTIONS(3930),
    [anon_sym_continue] = ACTIONS(3930),
    [anon_sym_return] = ACTIONS(3930),
    [anon_sym_type] = ACTIONS(3930),
    [anon_sym_go] = ACTIONS(3930),
    [anon_sym_spawn] = ACTIONS(3930),
    [anon_sym_goto] = ACTIONS(3930),
    [anon_sym_for] = ACTIONS(3930),
    [anon_sym_DOLLARfor] = ACTIONS(3928),
    [anon_sym_DOLLARif] = ACTIONS(3928),
    [anon_sym_if] = ACTIONS(3930),
    [anon_sym_struct] = ACTIONS(3930),
    [anon_sym_union] = ACTIONS(3930),
    [anon_sym_enum] = ACTIONS(3930),
    [anon_sym_interface] = ACTIONS(3930),
    [anon_sym_POUND] = ACTIONS(3928),
    [anon_sym_module] = ACTIONS(3930),
    [anon_sym_import] = ACTIONS(3930),
    [anon_sym_match] = ACTIONS(3930),
    [anon_sym_select] = ACTIONS(3930),
    [anon_sym_lock] = ACTIONS(3930),
    [anon_sym_rlock] = ACTIONS(3930),
    [sym__automatic_separator] = ACTIONS(3928),
    [sym__c_string_opening] = ACTIONS(3928),
    [sym__raw_string_opening] = ACTIONS(3928),
    [sym__string_opening] = ACTIONS(3928),
    [sym__comment] = ACTIONS(3),
  },
  [1537] = {
    [sym_comment] = STATE(1537),
    [sym_block] = STATE(1557),
    [ts_builtin_sym_end] = ACTIONS(3932),
    [sym_identifier] = ACTIONS(3934),
    [anon_sym_LPAREN] = ACTIONS(3932),
    [anon_sym_PLUS] = ACTIONS(3932),
    [anon_sym_DASH] = ACTIONS(3932),
    [anon_sym_BANG] = ACTIONS(3932),
    [anon_sym_TILDE] = ACTIONS(3932),
    [anon_sym_CARET] = ACTIONS(3932),
    [anon_sym_STAR] = ACTIONS(3932),
    [anon_sym_AMP] = ACTIONS(3932),
    [anon_sym_LT_DASH] = ACTIONS(3932),
    [anon_sym_DOLLAR] = ACTIONS(3934),
    [sym_none] = ACTIONS(3934),
    [sym_true] = ACTIONS(3934),
    [sym_false] = ACTIONS(3934),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3932),
    [anon_sym_map_LBRACK] = ACTIONS(3932),
    [anon_sym_chan] = ACTIONS(3934),
    [anon_sym_shared] = ACTIONS(3934),
    [anon_sym_thread] = ACTIONS(3934),
    [sym_int_literal] = ACTIONS(3934),
    [sym_float_literal] = ACTIONS(3932),
    [sym_rune_literal] = ACTIONS(3932),
    [anon_sym_DOT] = ACTIONS(3934),
    [anon_sym_array] = ACTIONS(3934),
    [anon_sym_string] = ACTIONS(3934),
    [anon_sym_char] = ACTIONS(3934),
    [anon_sym_sql] = ACTIONS(3934),
    [anon_sym_mut] = ACTIONS(3934),
    [anon_sym_C] = ACTIONS(3934),
    [anon_sym_JS] = ACTIONS(3934),
    [anon_sym_voidptr] = ACTIONS(3934),
    [anon_sym_byteptr] = ACTIONS(3934),
    [anon_sym_charptr] = ACTIONS(3934),
    [anon_sym_i8] = ACTIONS(3934),
    [anon_sym_i16] = ACTIONS(3934),
    [anon_sym_i32] = ACTIONS(3934),
    [anon_sym_int] = ACTIONS(3934),
    [anon_sym_i64] = ACTIONS(3934),
    [anon_sym_byte] = ACTIONS(3934),
    [anon_sym_u8] = ACTIONS(3934),
    [anon_sym_u16] = ACTIONS(3934),
    [anon_sym_u32] = ACTIONS(3934),
    [anon_sym_u64] = ACTIONS(3934),
    [anon_sym_f32] = ACTIONS(3934),
    [anon_sym_f64] = ACTIONS(3934),
    [anon_sym_bool] = ACTIONS(3934),
    [anon_sym_rune] = ACTIONS(3934),
    [anon_sym_map] = ACTIONS(3934),
    [anon_sym_mapnode] = ACTIONS(3934),
    [anon_sym_size_t] = ACTIONS(3934),
    [anon_sym_usize] = ACTIONS(3934),
    [anon_sym_isize] = ACTIONS(3934),
    [anon_sym_float_literal] = ACTIONS(3934),
    [anon_sym_int_literal] = ACTIONS(3934),
    [anon_sym_IError] = ACTIONS(3934),
    [sym_type_placeholder] = ACTIONS(3934),
    [anon_sym_AT] = ACTIONS(3934),
    [sym_type_identifier] = ACTIONS(3934),
    [anon_sym_assert] = ACTIONS(3934),
    [anon_sym_defer] = ACTIONS(3934),
    [anon_sym_unsafe] = ACTIONS(3934),
    [anon_sym_pub] = ACTIONS(3934),
    [anon_sym_fn] = ACTIONS(3934),
    [anon_sym___global] = ACTIONS(3934),
    [anon_sym_const] = ACTIONS(3934),
    [anon_sym_asm] = ACTIONS(3934),
    [anon_sym_break] = ACTIONS(3934),
    [anon_sym_continue] = ACTIONS(3934),
    [anon_sym_return] = ACTIONS(3934),
    [anon_sym_type] = ACTIONS(3934),
    [anon_sym_go] = ACTIONS(3934),
    [anon_sym_spawn] = ACTIONS(3934),
    [anon_sym_goto] = ACTIONS(3934),
    [anon_sym_for] = ACTIONS(3934),
    [anon_sym_DOLLARfor] = ACTIONS(3932),
    [anon_sym_DOLLARif] = ACTIONS(3932),
    [anon_sym_if] = ACTIONS(3934),
    [anon_sym_struct] = ACTIONS(3934),
    [anon_sym_union] = ACTIONS(3934),
    [anon_sym_enum] = ACTIONS(3934),
    [anon_sym_interface] = ACTIONS(3934),
    [anon_sym_POUND] = ACTIONS(3932),
    [anon_sym_module] = ACTIONS(3934),
    [anon_sym_import] = ACTIONS(3934),
    [anon_sym_match] = ACTIONS(3934),
    [anon_sym_select] = ACTIONS(3934),
    [anon_sym_lock] = ACTIONS(3934),
    [anon_sym_rlock] = ACTIONS(3934),
    [sym__automatic_separator] = ACTIONS(3932),
    [sym__c_string_opening] = ACTIONS(3932),
    [sym__raw_string_opening] = ACTIONS(3932),
    [sym__string_opening] = ACTIONS(3932),
    [sym__comment] = ACTIONS(3),
  },
  [1538] = {
    [sym_comment] = STATE(1538),
    [sym_block] = STATE(1570),
    [ts_builtin_sym_end] = ACTIONS(3936),
    [sym_identifier] = ACTIONS(3938),
    [anon_sym_LPAREN] = ACTIONS(3936),
    [anon_sym_PLUS] = ACTIONS(3936),
    [anon_sym_DASH] = ACTIONS(3936),
    [anon_sym_BANG] = ACTIONS(3936),
    [anon_sym_TILDE] = ACTIONS(3936),
    [anon_sym_CARET] = ACTIONS(3936),
    [anon_sym_STAR] = ACTIONS(3936),
    [anon_sym_AMP] = ACTIONS(3936),
    [anon_sym_LT_DASH] = ACTIONS(3936),
    [anon_sym_DOLLAR] = ACTIONS(3938),
    [sym_none] = ACTIONS(3938),
    [sym_true] = ACTIONS(3938),
    [sym_false] = ACTIONS(3938),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3936),
    [anon_sym_map_LBRACK] = ACTIONS(3936),
    [anon_sym_chan] = ACTIONS(3938),
    [anon_sym_shared] = ACTIONS(3938),
    [anon_sym_thread] = ACTIONS(3938),
    [sym_int_literal] = ACTIONS(3938),
    [sym_float_literal] = ACTIONS(3936),
    [sym_rune_literal] = ACTIONS(3936),
    [anon_sym_DOT] = ACTIONS(3938),
    [anon_sym_array] = ACTIONS(3938),
    [anon_sym_string] = ACTIONS(3938),
    [anon_sym_char] = ACTIONS(3938),
    [anon_sym_sql] = ACTIONS(3938),
    [anon_sym_mut] = ACTIONS(3938),
    [anon_sym_C] = ACTIONS(3938),
    [anon_sym_JS] = ACTIONS(3938),
    [anon_sym_voidptr] = ACTIONS(3938),
    [anon_sym_byteptr] = ACTIONS(3938),
    [anon_sym_charptr] = ACTIONS(3938),
    [anon_sym_i8] = ACTIONS(3938),
    [anon_sym_i16] = ACTIONS(3938),
    [anon_sym_i32] = ACTIONS(3938),
    [anon_sym_int] = ACTIONS(3938),
    [anon_sym_i64] = ACTIONS(3938),
    [anon_sym_byte] = ACTIONS(3938),
    [anon_sym_u8] = ACTIONS(3938),
    [anon_sym_u16] = ACTIONS(3938),
    [anon_sym_u32] = ACTIONS(3938),
    [anon_sym_u64] = ACTIONS(3938),
    [anon_sym_f32] = ACTIONS(3938),
    [anon_sym_f64] = ACTIONS(3938),
    [anon_sym_bool] = ACTIONS(3938),
    [anon_sym_rune] = ACTIONS(3938),
    [anon_sym_map] = ACTIONS(3938),
    [anon_sym_mapnode] = ACTIONS(3938),
    [anon_sym_size_t] = ACTIONS(3938),
    [anon_sym_usize] = ACTIONS(3938),
    [anon_sym_isize] = ACTIONS(3938),
    [anon_sym_float_literal] = ACTIONS(3938),
    [anon_sym_int_literal] = ACTIONS(3938),
    [anon_sym_IError] = ACTIONS(3938),
    [sym_type_placeholder] = ACTIONS(3938),
    [anon_sym_AT] = ACTIONS(3938),
    [sym_type_identifier] = ACTIONS(3938),
    [anon_sym_assert] = ACTIONS(3938),
    [anon_sym_defer] = ACTIONS(3938),
    [anon_sym_unsafe] = ACTIONS(3938),
    [anon_sym_pub] = ACTIONS(3938),
    [anon_sym_fn] = ACTIONS(3938),
    [anon_sym___global] = ACTIONS(3938),
    [anon_sym_const] = ACTIONS(3938),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym_break] = ACTIONS(3938),
    [anon_sym_continue] = ACTIONS(3938),
    [anon_sym_return] = ACTIONS(3938),
    [anon_sym_type] = ACTIONS(3938),
    [anon_sym_go] = ACTIONS(3938),
    [anon_sym_spawn] = ACTIONS(3938),
    [anon_sym_goto] = ACTIONS(3938),
    [anon_sym_for] = ACTIONS(3938),
    [anon_sym_DOLLARfor] = ACTIONS(3936),
    [anon_sym_DOLLARif] = ACTIONS(3936),
    [anon_sym_if] = ACTIONS(3938),
    [anon_sym_struct] = ACTIONS(3938),
    [anon_sym_union] = ACTIONS(3938),
    [anon_sym_enum] = ACTIONS(3938),
    [anon_sym_interface] = ACTIONS(3938),
    [anon_sym_POUND] = ACTIONS(3936),
    [anon_sym_module] = ACTIONS(3938),
    [anon_sym_import] = ACTIONS(3938),
    [anon_sym_match] = ACTIONS(3938),
    [anon_sym_select] = ACTIONS(3938),
    [anon_sym_lock] = ACTIONS(3938),
    [anon_sym_rlock] = ACTIONS(3938),
    [sym__automatic_separator] = ACTIONS(3936),
    [sym__c_string_opening] = ACTIONS(3936),
    [sym__raw_string_opening] = ACTIONS(3936),
    [sym__string_opening] = ACTIONS(3936),
    [sym__comment] = ACTIONS(3),
  },
  [1539] = {
    [sym_comment] = STATE(1539),
    [sym_block] = STATE(1653),
    [ts_builtin_sym_end] = ACTIONS(3940),
    [sym_identifier] = ACTIONS(3942),
    [anon_sym_LPAREN] = ACTIONS(3940),
    [anon_sym_PLUS] = ACTIONS(3940),
    [anon_sym_DASH] = ACTIONS(3940),
    [anon_sym_BANG] = ACTIONS(3940),
    [anon_sym_TILDE] = ACTIONS(3940),
    [anon_sym_CARET] = ACTIONS(3940),
    [anon_sym_STAR] = ACTIONS(3940),
    [anon_sym_AMP] = ACTIONS(3940),
    [anon_sym_LT_DASH] = ACTIONS(3940),
    [anon_sym_DOLLAR] = ACTIONS(3942),
    [sym_none] = ACTIONS(3942),
    [sym_true] = ACTIONS(3942),
    [sym_false] = ACTIONS(3942),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3940),
    [anon_sym_map_LBRACK] = ACTIONS(3940),
    [anon_sym_chan] = ACTIONS(3942),
    [anon_sym_shared] = ACTIONS(3942),
    [anon_sym_thread] = ACTIONS(3942),
    [sym_int_literal] = ACTIONS(3942),
    [sym_float_literal] = ACTIONS(3940),
    [sym_rune_literal] = ACTIONS(3940),
    [anon_sym_DOT] = ACTIONS(3942),
    [anon_sym_array] = ACTIONS(3942),
    [anon_sym_string] = ACTIONS(3942),
    [anon_sym_char] = ACTIONS(3942),
    [anon_sym_sql] = ACTIONS(3942),
    [anon_sym_mut] = ACTIONS(3942),
    [anon_sym_C] = ACTIONS(3942),
    [anon_sym_JS] = ACTIONS(3942),
    [anon_sym_voidptr] = ACTIONS(3942),
    [anon_sym_byteptr] = ACTIONS(3942),
    [anon_sym_charptr] = ACTIONS(3942),
    [anon_sym_i8] = ACTIONS(3942),
    [anon_sym_i16] = ACTIONS(3942),
    [anon_sym_i32] = ACTIONS(3942),
    [anon_sym_int] = ACTIONS(3942),
    [anon_sym_i64] = ACTIONS(3942),
    [anon_sym_byte] = ACTIONS(3942),
    [anon_sym_u8] = ACTIONS(3942),
    [anon_sym_u16] = ACTIONS(3942),
    [anon_sym_u32] = ACTIONS(3942),
    [anon_sym_u64] = ACTIONS(3942),
    [anon_sym_f32] = ACTIONS(3942),
    [anon_sym_f64] = ACTIONS(3942),
    [anon_sym_bool] = ACTIONS(3942),
    [anon_sym_rune] = ACTIONS(3942),
    [anon_sym_map] = ACTIONS(3942),
    [anon_sym_mapnode] = ACTIONS(3942),
    [anon_sym_size_t] = ACTIONS(3942),
    [anon_sym_usize] = ACTIONS(3942),
    [anon_sym_isize] = ACTIONS(3942),
    [anon_sym_float_literal] = ACTIONS(3942),
    [anon_sym_int_literal] = ACTIONS(3942),
    [anon_sym_IError] = ACTIONS(3942),
    [sym_type_placeholder] = ACTIONS(3942),
    [anon_sym_AT] = ACTIONS(3942),
    [sym_type_identifier] = ACTIONS(3942),
    [anon_sym_assert] = ACTIONS(3942),
    [anon_sym_defer] = ACTIONS(3942),
    [anon_sym_unsafe] = ACTIONS(3942),
    [anon_sym_pub] = ACTIONS(3942),
    [anon_sym_fn] = ACTIONS(3942),
    [anon_sym___global] = ACTIONS(3942),
    [anon_sym_const] = ACTIONS(3942),
    [anon_sym_asm] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3942),
    [anon_sym_continue] = ACTIONS(3942),
    [anon_sym_return] = ACTIONS(3942),
    [anon_sym_type] = ACTIONS(3942),
    [anon_sym_go] = ACTIONS(3942),
    [anon_sym_spawn] = ACTIONS(3942),
    [anon_sym_goto] = ACTIONS(3942),
    [anon_sym_for] = ACTIONS(3942),
    [anon_sym_DOLLARfor] = ACTIONS(3940),
    [anon_sym_DOLLARif] = ACTIONS(3940),
    [anon_sym_if] = ACTIONS(3942),
    [anon_sym_struct] = ACTIONS(3942),
    [anon_sym_union] = ACTIONS(3942),
    [anon_sym_enum] = ACTIONS(3942),
    [anon_sym_interface] = ACTIONS(3942),
    [anon_sym_POUND] = ACTIONS(3940),
    [anon_sym_module] = ACTIONS(3942),
    [anon_sym_import] = ACTIONS(3942),
    [anon_sym_match] = ACTIONS(3942),
    [anon_sym_select] = ACTIONS(3942),
    [anon_sym_lock] = ACTIONS(3942),
    [anon_sym_rlock] = ACTIONS(3942),
    [sym__automatic_separator] = ACTIONS(3940),
    [sym__c_string_opening] = ACTIONS(3940),
    [sym__raw_string_opening] = ACTIONS(3940),
    [sym__string_opening] = ACTIONS(3940),
    [sym__comment] = ACTIONS(3),
  },
  [1540] = {
    [sym_comment] = STATE(1540),
    [sym_block] = STATE(1558),
    [ts_builtin_sym_end] = ACTIONS(3944),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN] = ACTIONS(3944),
    [anon_sym_PLUS] = ACTIONS(3944),
    [anon_sym_DASH] = ACTIONS(3944),
    [anon_sym_BANG] = ACTIONS(3944),
    [anon_sym_TILDE] = ACTIONS(3944),
    [anon_sym_CARET] = ACTIONS(3944),
    [anon_sym_STAR] = ACTIONS(3944),
    [anon_sym_AMP] = ACTIONS(3944),
    [anon_sym_LT_DASH] = ACTIONS(3944),
    [anon_sym_DOLLAR] = ACTIONS(3946),
    [sym_none] = ACTIONS(3946),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3944),
    [anon_sym_map_LBRACK] = ACTIONS(3944),
    [anon_sym_chan] = ACTIONS(3946),
    [anon_sym_shared] = ACTIONS(3946),
    [anon_sym_thread] = ACTIONS(3946),
    [sym_int_literal] = ACTIONS(3946),
    [sym_float_literal] = ACTIONS(3944),
    [sym_rune_literal] = ACTIONS(3944),
    [anon_sym_DOT] = ACTIONS(3946),
    [anon_sym_array] = ACTIONS(3946),
    [anon_sym_string] = ACTIONS(3946),
    [anon_sym_char] = ACTIONS(3946),
    [anon_sym_sql] = ACTIONS(3946),
    [anon_sym_mut] = ACTIONS(3946),
    [anon_sym_C] = ACTIONS(3946),
    [anon_sym_JS] = ACTIONS(3946),
    [anon_sym_voidptr] = ACTIONS(3946),
    [anon_sym_byteptr] = ACTIONS(3946),
    [anon_sym_charptr] = ACTIONS(3946),
    [anon_sym_i8] = ACTIONS(3946),
    [anon_sym_i16] = ACTIONS(3946),
    [anon_sym_i32] = ACTIONS(3946),
    [anon_sym_int] = ACTIONS(3946),
    [anon_sym_i64] = ACTIONS(3946),
    [anon_sym_byte] = ACTIONS(3946),
    [anon_sym_u8] = ACTIONS(3946),
    [anon_sym_u16] = ACTIONS(3946),
    [anon_sym_u32] = ACTIONS(3946),
    [anon_sym_u64] = ACTIONS(3946),
    [anon_sym_f32] = ACTIONS(3946),
    [anon_sym_f64] = ACTIONS(3946),
    [anon_sym_bool] = ACTIONS(3946),
    [anon_sym_rune] = ACTIONS(3946),
    [anon_sym_map] = ACTIONS(3946),
    [anon_sym_mapnode] = ACTIONS(3946),
    [anon_sym_size_t] = ACTIONS(3946),
    [anon_sym_usize] = ACTIONS(3946),
    [anon_sym_isize] = ACTIONS(3946),
    [anon_sym_float_literal] = ACTIONS(3946),
    [anon_sym_int_literal] = ACTIONS(3946),
    [anon_sym_IError] = ACTIONS(3946),
    [sym_type_placeholder] = ACTIONS(3946),
    [anon_sym_AT] = ACTIONS(3946),
    [sym_type_identifier] = ACTIONS(3946),
    [anon_sym_assert] = ACTIONS(3946),
    [anon_sym_defer] = ACTIONS(3946),
    [anon_sym_unsafe] = ACTIONS(3946),
    [anon_sym_pub] = ACTIONS(3946),
    [anon_sym_fn] = ACTIONS(3946),
    [anon_sym___global] = ACTIONS(3946),
    [anon_sym_const] = ACTIONS(3946),
    [anon_sym_asm] = ACTIONS(3946),
    [anon_sym_break] = ACTIONS(3946),
    [anon_sym_continue] = ACTIONS(3946),
    [anon_sym_return] = ACTIONS(3946),
    [anon_sym_type] = ACTIONS(3946),
    [anon_sym_go] = ACTIONS(3946),
    [anon_sym_spawn] = ACTIONS(3946),
    [anon_sym_goto] = ACTIONS(3946),
    [anon_sym_for] = ACTIONS(3946),
    [anon_sym_DOLLARfor] = ACTIONS(3944),
    [anon_sym_DOLLARif] = ACTIONS(3944),
    [anon_sym_if] = ACTIONS(3946),
    [anon_sym_struct] = ACTIONS(3946),
    [anon_sym_union] = ACTIONS(3946),
    [anon_sym_enum] = ACTIONS(3946),
    [anon_sym_interface] = ACTIONS(3946),
    [anon_sym_POUND] = ACTIONS(3944),
    [anon_sym_module] = ACTIONS(3946),
    [anon_sym_import] = ACTIONS(3946),
    [anon_sym_match] = ACTIONS(3946),
    [anon_sym_select] = ACTIONS(3946),
    [anon_sym_lock] = ACTIONS(3946),
    [anon_sym_rlock] = ACTIONS(3946),
    [sym__automatic_separator] = ACTIONS(3944),
    [sym__c_string_opening] = ACTIONS(3944),
    [sym__raw_string_opening] = ACTIONS(3944),
    [sym__string_opening] = ACTIONS(3944),
    [sym__comment] = ACTIONS(3),
  },
  [1541] = {
    [sym_comment] = STATE(1541),
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_CARET] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_LT_DASH] = ACTIONS(1286),
    [anon_sym_PIPE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym_none] = ACTIONS(1288),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_map_LBRACK] = ACTIONS(1286),
    [anon_sym_chan] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_thread] = ACTIONS(1288),
    [sym_int_literal] = ACTIONS(1288),
    [sym_float_literal] = ACTIONS(1286),
    [sym_rune_literal] = ACTIONS(1286),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_array] = ACTIONS(1288),
    [anon_sym_string] = ACTIONS(1288),
    [anon_sym_char] = ACTIONS(1288),
    [anon_sym_sql] = ACTIONS(1288),
    [anon_sym_mut] = ACTIONS(1288),
    [anon_sym_C] = ACTIONS(1288),
    [anon_sym_JS] = ACTIONS(1288),
    [anon_sym_voidptr] = ACTIONS(1288),
    [anon_sym_byteptr] = ACTIONS(1288),
    [anon_sym_charptr] = ACTIONS(1288),
    [anon_sym_i8] = ACTIONS(1288),
    [anon_sym_i16] = ACTIONS(1288),
    [anon_sym_i32] = ACTIONS(1288),
    [anon_sym_int] = ACTIONS(1288),
    [anon_sym_i64] = ACTIONS(1288),
    [anon_sym_byte] = ACTIONS(1288),
    [anon_sym_u8] = ACTIONS(1288),
    [anon_sym_u16] = ACTIONS(1288),
    [anon_sym_u32] = ACTIONS(1288),
    [anon_sym_u64] = ACTIONS(1288),
    [anon_sym_f32] = ACTIONS(1288),
    [anon_sym_f64] = ACTIONS(1288),
    [anon_sym_bool] = ACTIONS(1288),
    [anon_sym_rune] = ACTIONS(1288),
    [anon_sym_map] = ACTIONS(1288),
    [anon_sym_mapnode] = ACTIONS(1288),
    [anon_sym_size_t] = ACTIONS(1288),
    [anon_sym_usize] = ACTIONS(1288),
    [anon_sym_isize] = ACTIONS(1288),
    [anon_sym_float_literal] = ACTIONS(1288),
    [anon_sym_int_literal] = ACTIONS(1288),
    [anon_sym_IError] = ACTIONS(1288),
    [sym_type_placeholder] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [sym_type_identifier] = ACTIONS(1288),
    [anon_sym_assert] = ACTIONS(1288),
    [anon_sym_defer] = ACTIONS(1288),
    [anon_sym_unsafe] = ACTIONS(1288),
    [anon_sym_pub] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1288),
    [anon_sym___global] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_type] = ACTIONS(1288),
    [anon_sym_go] = ACTIONS(1288),
    [anon_sym_spawn] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_DOLLARfor] = ACTIONS(1286),
    [anon_sym_DOLLARif] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_interface] = ACTIONS(1288),
    [anon_sym_POUND] = ACTIONS(1286),
    [anon_sym_module] = ACTIONS(1288),
    [anon_sym_import] = ACTIONS(1288),
    [anon_sym_match] = ACTIONS(1288),
    [anon_sym_select] = ACTIONS(1288),
    [anon_sym_lock] = ACTIONS(1288),
    [anon_sym_rlock] = ACTIONS(1288),
    [sym__automatic_separator] = ACTIONS(1286),
    [sym__c_string_opening] = ACTIONS(1286),
    [sym__raw_string_opening] = ACTIONS(1286),
    [sym__string_opening] = ACTIONS(1286),
    [sym__comment] = ACTIONS(3),
  },
  [1542] = {
    [sym_comment] = STATE(1542),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_LT_DASH] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [sym_none] = ACTIONS(1396),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_map_LBRACK] = ACTIONS(1394),
    [anon_sym_chan] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_thread] = ACTIONS(1396),
    [sym_int_literal] = ACTIONS(1396),
    [sym_float_literal] = ACTIONS(1394),
    [sym_rune_literal] = ACTIONS(1394),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_array] = ACTIONS(1396),
    [anon_sym_string] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_sql] = ACTIONS(1396),
    [anon_sym_mut] = ACTIONS(1396),
    [anon_sym_C] = ACTIONS(1396),
    [anon_sym_JS] = ACTIONS(1396),
    [anon_sym_voidptr] = ACTIONS(1396),
    [anon_sym_byteptr] = ACTIONS(1396),
    [anon_sym_charptr] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_int] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_byte] = ACTIONS(1396),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_rune] = ACTIONS(1396),
    [anon_sym_map] = ACTIONS(1396),
    [anon_sym_mapnode] = ACTIONS(1396),
    [anon_sym_size_t] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_float_literal] = ACTIONS(1396),
    [anon_sym_int_literal] = ACTIONS(1396),
    [anon_sym_IError] = ACTIONS(1396),
    [sym_type_placeholder] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [sym_type_identifier] = ACTIONS(1396),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_defer] = ACTIONS(1396),
    [anon_sym_unsafe] = ACTIONS(1396),
    [anon_sym_pub] = ACTIONS(1396),
    [anon_sym_fn] = ACTIONS(1396),
    [anon_sym___global] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_go] = ACTIONS(1396),
    [anon_sym_spawn] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_DOLLARfor] = ACTIONS(1394),
    [anon_sym_DOLLARif] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_struct] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_interface] = ACTIONS(1396),
    [anon_sym_POUND] = ACTIONS(1394),
    [anon_sym_module] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1396),
    [anon_sym_match] = ACTIONS(1396),
    [anon_sym_select] = ACTIONS(1396),
    [anon_sym_lock] = ACTIONS(1396),
    [anon_sym_rlock] = ACTIONS(1396),
    [sym__automatic_separator] = ACTIONS(1394),
    [sym__c_string_opening] = ACTIONS(1394),
    [sym__raw_string_opening] = ACTIONS(1394),
    [sym__string_opening] = ACTIONS(1394),
    [sym__comment] = ACTIONS(3),
  },
  [1543] = {
    [sym_comment] = STATE(1543),
    [sym_block] = STATE(1637),
    [ts_builtin_sym_end] = ACTIONS(3948),
    [sym_identifier] = ACTIONS(3950),
    [anon_sym_LPAREN] = ACTIONS(3948),
    [anon_sym_PLUS] = ACTIONS(3948),
    [anon_sym_DASH] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3948),
    [anon_sym_TILDE] = ACTIONS(3948),
    [anon_sym_CARET] = ACTIONS(3948),
    [anon_sym_STAR] = ACTIONS(3948),
    [anon_sym_AMP] = ACTIONS(3948),
    [anon_sym_LT_DASH] = ACTIONS(3948),
    [anon_sym_DOLLAR] = ACTIONS(3950),
    [sym_none] = ACTIONS(3950),
    [sym_true] = ACTIONS(3950),
    [sym_false] = ACTIONS(3950),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3948),
    [anon_sym_map_LBRACK] = ACTIONS(3948),
    [anon_sym_chan] = ACTIONS(3950),
    [anon_sym_shared] = ACTIONS(3950),
    [anon_sym_thread] = ACTIONS(3950),
    [sym_int_literal] = ACTIONS(3950),
    [sym_float_literal] = ACTIONS(3948),
    [sym_rune_literal] = ACTIONS(3948),
    [anon_sym_DOT] = ACTIONS(3950),
    [anon_sym_array] = ACTIONS(3950),
    [anon_sym_string] = ACTIONS(3950),
    [anon_sym_char] = ACTIONS(3950),
    [anon_sym_sql] = ACTIONS(3950),
    [anon_sym_mut] = ACTIONS(3950),
    [anon_sym_C] = ACTIONS(3950),
    [anon_sym_JS] = ACTIONS(3950),
    [anon_sym_voidptr] = ACTIONS(3950),
    [anon_sym_byteptr] = ACTIONS(3950),
    [anon_sym_charptr] = ACTIONS(3950),
    [anon_sym_i8] = ACTIONS(3950),
    [anon_sym_i16] = ACTIONS(3950),
    [anon_sym_i32] = ACTIONS(3950),
    [anon_sym_int] = ACTIONS(3950),
    [anon_sym_i64] = ACTIONS(3950),
    [anon_sym_byte] = ACTIONS(3950),
    [anon_sym_u8] = ACTIONS(3950),
    [anon_sym_u16] = ACTIONS(3950),
    [anon_sym_u32] = ACTIONS(3950),
    [anon_sym_u64] = ACTIONS(3950),
    [anon_sym_f32] = ACTIONS(3950),
    [anon_sym_f64] = ACTIONS(3950),
    [anon_sym_bool] = ACTIONS(3950),
    [anon_sym_rune] = ACTIONS(3950),
    [anon_sym_map] = ACTIONS(3950),
    [anon_sym_mapnode] = ACTIONS(3950),
    [anon_sym_size_t] = ACTIONS(3950),
    [anon_sym_usize] = ACTIONS(3950),
    [anon_sym_isize] = ACTIONS(3950),
    [anon_sym_float_literal] = ACTIONS(3950),
    [anon_sym_int_literal] = ACTIONS(3950),
    [anon_sym_IError] = ACTIONS(3950),
    [sym_type_placeholder] = ACTIONS(3950),
    [anon_sym_AT] = ACTIONS(3950),
    [sym_type_identifier] = ACTIONS(3950),
    [anon_sym_assert] = ACTIONS(3950),
    [anon_sym_defer] = ACTIONS(3950),
    [anon_sym_unsafe] = ACTIONS(3950),
    [anon_sym_pub] = ACTIONS(3950),
    [anon_sym_fn] = ACTIONS(3950),
    [anon_sym___global] = ACTIONS(3950),
    [anon_sym_const] = ACTIONS(3950),
    [anon_sym_asm] = ACTIONS(3950),
    [anon_sym_break] = ACTIONS(3950),
    [anon_sym_continue] = ACTIONS(3950),
    [anon_sym_return] = ACTIONS(3950),
    [anon_sym_type] = ACTIONS(3950),
    [anon_sym_go] = ACTIONS(3950),
    [anon_sym_spawn] = ACTIONS(3950),
    [anon_sym_goto] = ACTIONS(3950),
    [anon_sym_for] = ACTIONS(3950),
    [anon_sym_DOLLARfor] = ACTIONS(3948),
    [anon_sym_DOLLARif] = ACTIONS(3948),
    [anon_sym_if] = ACTIONS(3950),
    [anon_sym_struct] = ACTIONS(3950),
    [anon_sym_union] = ACTIONS(3950),
    [anon_sym_enum] = ACTIONS(3950),
    [anon_sym_interface] = ACTIONS(3950),
    [anon_sym_POUND] = ACTIONS(3948),
    [anon_sym_module] = ACTIONS(3950),
    [anon_sym_import] = ACTIONS(3950),
    [anon_sym_match] = ACTIONS(3950),
    [anon_sym_select] = ACTIONS(3950),
    [anon_sym_lock] = ACTIONS(3950),
    [anon_sym_rlock] = ACTIONS(3950),
    [sym__automatic_separator] = ACTIONS(3948),
    [sym__c_string_opening] = ACTIONS(3948),
    [sym__raw_string_opening] = ACTIONS(3948),
    [sym__string_opening] = ACTIONS(3948),
    [sym__comment] = ACTIONS(3),
  },
  [1544] = {
    [sym_comment] = STATE(1544),
    [ts_builtin_sym_end] = ACTIONS(3952),
    [sym_identifier] = ACTIONS(3954),
    [anon_sym_LPAREN] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_BANG] = ACTIONS(3952),
    [anon_sym_TILDE] = ACTIONS(3952),
    [anon_sym_CARET] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3952),
    [anon_sym_AMP] = ACTIONS(3952),
    [anon_sym_LT_DASH] = ACTIONS(3952),
    [anon_sym_DOLLAR] = ACTIONS(3954),
    [sym_none] = ACTIONS(3954),
    [sym_true] = ACTIONS(3954),
    [sym_false] = ACTIONS(3954),
    [anon_sym_LBRACE] = ACTIONS(3952),
    [anon_sym_LBRACK] = ACTIONS(3952),
    [anon_sym_map_LBRACK] = ACTIONS(3952),
    [anon_sym_chan] = ACTIONS(3954),
    [anon_sym_shared] = ACTIONS(3954),
    [anon_sym_thread] = ACTIONS(3954),
    [sym_int_literal] = ACTIONS(3954),
    [sym_float_literal] = ACTIONS(3952),
    [sym_rune_literal] = ACTIONS(3952),
    [anon_sym_DOT] = ACTIONS(3954),
    [anon_sym_array] = ACTIONS(3954),
    [anon_sym_string] = ACTIONS(3954),
    [anon_sym_char] = ACTIONS(3954),
    [anon_sym_sql] = ACTIONS(3954),
    [anon_sym_mut] = ACTIONS(3954),
    [anon_sym_C] = ACTIONS(3954),
    [anon_sym_JS] = ACTIONS(3954),
    [anon_sym_voidptr] = ACTIONS(3954),
    [anon_sym_byteptr] = ACTIONS(3954),
    [anon_sym_charptr] = ACTIONS(3954),
    [anon_sym_i8] = ACTIONS(3954),
    [anon_sym_i16] = ACTIONS(3954),
    [anon_sym_i32] = ACTIONS(3954),
    [anon_sym_int] = ACTIONS(3954),
    [anon_sym_i64] = ACTIONS(3954),
    [anon_sym_byte] = ACTIONS(3954),
    [anon_sym_u8] = ACTIONS(3954),
    [anon_sym_u16] = ACTIONS(3954),
    [anon_sym_u32] = ACTIONS(3954),
    [anon_sym_u64] = ACTIONS(3954),
    [anon_sym_f32] = ACTIONS(3954),
    [anon_sym_f64] = ACTIONS(3954),
    [anon_sym_bool] = ACTIONS(3954),
    [anon_sym_rune] = ACTIONS(3954),
    [anon_sym_map] = ACTIONS(3954),
    [anon_sym_mapnode] = ACTIONS(3954),
    [anon_sym_size_t] = ACTIONS(3954),
    [anon_sym_usize] = ACTIONS(3954),
    [anon_sym_isize] = ACTIONS(3954),
    [anon_sym_float_literal] = ACTIONS(3954),
    [anon_sym_int_literal] = ACTIONS(3954),
    [anon_sym_IError] = ACTIONS(3954),
    [sym_type_placeholder] = ACTIONS(3954),
    [anon_sym_AT] = ACTIONS(3954),
    [sym_type_identifier] = ACTIONS(3954),
    [anon_sym_assert] = ACTIONS(3954),
    [anon_sym_defer] = ACTIONS(3954),
    [anon_sym_unsafe] = ACTIONS(3954),
    [anon_sym_pub] = ACTIONS(3954),
    [anon_sym_fn] = ACTIONS(3954),
    [anon_sym___global] = ACTIONS(3954),
    [anon_sym_const] = ACTIONS(3954),
    [anon_sym_asm] = ACTIONS(3954),
    [anon_sym_break] = ACTIONS(3954),
    [anon_sym_continue] = ACTIONS(3954),
    [anon_sym_return] = ACTIONS(3954),
    [anon_sym_type] = ACTIONS(3954),
    [anon_sym_go] = ACTIONS(3954),
    [anon_sym_spawn] = ACTIONS(3954),
    [anon_sym_goto] = ACTIONS(3954),
    [anon_sym_for] = ACTIONS(3954),
    [anon_sym_DOLLARfor] = ACTIONS(3952),
    [anon_sym_DOLLARif] = ACTIONS(3952),
    [anon_sym_if] = ACTIONS(3954),
    [anon_sym_struct] = ACTIONS(3954),
    [anon_sym_union] = ACTIONS(3954),
    [anon_sym_enum] = ACTIONS(3954),
    [anon_sym_interface] = ACTIONS(3954),
    [anon_sym_POUND] = ACTIONS(3952),
    [anon_sym_module] = ACTIONS(3954),
    [anon_sym_import] = ACTIONS(3954),
    [anon_sym_match] = ACTIONS(3954),
    [anon_sym_select] = ACTIONS(3954),
    [anon_sym_lock] = ACTIONS(3954),
    [anon_sym_rlock] = ACTIONS(3954),
    [sym__automatic_separator] = ACTIONS(3952),
    [sym__c_string_opening] = ACTIONS(3952),
    [sym__raw_string_opening] = ACTIONS(3952),
    [sym__string_opening] = ACTIONS(3952),
    [sym__comment] = ACTIONS(3),
  },
  [1545] = {
    [sym_comment] = STATE(1545),
    [ts_builtin_sym_end] = ACTIONS(3956),
    [sym_identifier] = ACTIONS(3958),
    [anon_sym_LPAREN] = ACTIONS(3956),
    [anon_sym_PLUS] = ACTIONS(3956),
    [anon_sym_DASH] = ACTIONS(3956),
    [anon_sym_BANG] = ACTIONS(3956),
    [anon_sym_TILDE] = ACTIONS(3956),
    [anon_sym_CARET] = ACTIONS(3956),
    [anon_sym_STAR] = ACTIONS(3956),
    [anon_sym_AMP] = ACTIONS(3956),
    [anon_sym_LT_DASH] = ACTIONS(3956),
    [anon_sym_DOLLAR] = ACTIONS(3958),
    [sym_none] = ACTIONS(3958),
    [sym_true] = ACTIONS(3958),
    [sym_false] = ACTIONS(3958),
    [anon_sym_LBRACE] = ACTIONS(3956),
    [anon_sym_LBRACK] = ACTIONS(3956),
    [anon_sym_map_LBRACK] = ACTIONS(3956),
    [anon_sym_chan] = ACTIONS(3958),
    [anon_sym_shared] = ACTIONS(3958),
    [anon_sym_thread] = ACTIONS(3958),
    [sym_int_literal] = ACTIONS(3958),
    [sym_float_literal] = ACTIONS(3956),
    [sym_rune_literal] = ACTIONS(3956),
    [anon_sym_DOT] = ACTIONS(3958),
    [anon_sym_array] = ACTIONS(3958),
    [anon_sym_string] = ACTIONS(3958),
    [anon_sym_char] = ACTIONS(3958),
    [anon_sym_sql] = ACTIONS(3958),
    [anon_sym_mut] = ACTIONS(3958),
    [anon_sym_C] = ACTIONS(3958),
    [anon_sym_JS] = ACTIONS(3958),
    [anon_sym_voidptr] = ACTIONS(3958),
    [anon_sym_byteptr] = ACTIONS(3958),
    [anon_sym_charptr] = ACTIONS(3958),
    [anon_sym_i8] = ACTIONS(3958),
    [anon_sym_i16] = ACTIONS(3958),
    [anon_sym_i32] = ACTIONS(3958),
    [anon_sym_int] = ACTIONS(3958),
    [anon_sym_i64] = ACTIONS(3958),
    [anon_sym_byte] = ACTIONS(3958),
    [anon_sym_u8] = ACTIONS(3958),
    [anon_sym_u16] = ACTIONS(3958),
    [anon_sym_u32] = ACTIONS(3958),
    [anon_sym_u64] = ACTIONS(3958),
    [anon_sym_f32] = ACTIONS(3958),
    [anon_sym_f64] = ACTIONS(3958),
    [anon_sym_bool] = ACTIONS(3958),
    [anon_sym_rune] = ACTIONS(3958),
    [anon_sym_map] = ACTIONS(3958),
    [anon_sym_mapnode] = ACTIONS(3958),
    [anon_sym_size_t] = ACTIONS(3958),
    [anon_sym_usize] = ACTIONS(3958),
    [anon_sym_isize] = ACTIONS(3958),
    [anon_sym_float_literal] = ACTIONS(3958),
    [anon_sym_int_literal] = ACTIONS(3958),
    [anon_sym_IError] = ACTIONS(3958),
    [sym_type_placeholder] = ACTIONS(3958),
    [anon_sym_AT] = ACTIONS(3958),
    [sym_type_identifier] = ACTIONS(3958),
    [anon_sym_assert] = ACTIONS(3958),
    [anon_sym_defer] = ACTIONS(3958),
    [anon_sym_unsafe] = ACTIONS(3958),
    [anon_sym_pub] = ACTIONS(3958),
    [anon_sym_fn] = ACTIONS(3958),
    [anon_sym___global] = ACTIONS(3958),
    [anon_sym_const] = ACTIONS(3958),
    [anon_sym_asm] = ACTIONS(3958),
    [anon_sym_break] = ACTIONS(3958),
    [anon_sym_continue] = ACTIONS(3958),
    [anon_sym_return] = ACTIONS(3958),
    [anon_sym_type] = ACTIONS(3958),
    [anon_sym_go] = ACTIONS(3958),
    [anon_sym_spawn] = ACTIONS(3958),
    [anon_sym_goto] = ACTIONS(3958),
    [anon_sym_for] = ACTIONS(3958),
    [anon_sym_DOLLARfor] = ACTIONS(3956),
    [anon_sym_DOLLARif] = ACTIONS(3956),
    [anon_sym_if] = ACTIONS(3958),
    [anon_sym_struct] = ACTIONS(3958),
    [anon_sym_union] = ACTIONS(3958),
    [anon_sym_enum] = ACTIONS(3958),
    [anon_sym_interface] = ACTIONS(3958),
    [anon_sym_POUND] = ACTIONS(3956),
    [anon_sym_module] = ACTIONS(3958),
    [anon_sym_import] = ACTIONS(3958),
    [anon_sym_match] = ACTIONS(3958),
    [anon_sym_select] = ACTIONS(3958),
    [anon_sym_lock] = ACTIONS(3958),
    [anon_sym_rlock] = ACTIONS(3958),
    [sym__automatic_separator] = ACTIONS(3956),
    [sym__c_string_opening] = ACTIONS(3956),
    [sym__raw_string_opening] = ACTIONS(3956),
    [sym__string_opening] = ACTIONS(3956),
    [sym__comment] = ACTIONS(3),
  },
  [1546] = {
    [sym_comment] = STATE(1546),
    [ts_builtin_sym_end] = ACTIONS(3960),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3960),
    [anon_sym_DASH] = ACTIONS(3960),
    [anon_sym_BANG] = ACTIONS(3960),
    [anon_sym_TILDE] = ACTIONS(3960),
    [anon_sym_CARET] = ACTIONS(3960),
    [anon_sym_STAR] = ACTIONS(3960),
    [anon_sym_AMP] = ACTIONS(3960),
    [anon_sym_LT_DASH] = ACTIONS(3960),
    [anon_sym_DOLLAR] = ACTIONS(3962),
    [sym_none] = ACTIONS(3962),
    [sym_true] = ACTIONS(3962),
    [sym_false] = ACTIONS(3962),
    [anon_sym_LBRACE] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3960),
    [anon_sym_map_LBRACK] = ACTIONS(3960),
    [anon_sym_chan] = ACTIONS(3962),
    [anon_sym_shared] = ACTIONS(3962),
    [anon_sym_thread] = ACTIONS(3962),
    [sym_int_literal] = ACTIONS(3962),
    [sym_float_literal] = ACTIONS(3960),
    [sym_rune_literal] = ACTIONS(3960),
    [anon_sym_DOT] = ACTIONS(3962),
    [anon_sym_array] = ACTIONS(3962),
    [anon_sym_string] = ACTIONS(3962),
    [anon_sym_char] = ACTIONS(3962),
    [anon_sym_sql] = ACTIONS(3962),
    [anon_sym_mut] = ACTIONS(3962),
    [anon_sym_C] = ACTIONS(3962),
    [anon_sym_JS] = ACTIONS(3962),
    [anon_sym_voidptr] = ACTIONS(3962),
    [anon_sym_byteptr] = ACTIONS(3962),
    [anon_sym_charptr] = ACTIONS(3962),
    [anon_sym_i8] = ACTIONS(3962),
    [anon_sym_i16] = ACTIONS(3962),
    [anon_sym_i32] = ACTIONS(3962),
    [anon_sym_int] = ACTIONS(3962),
    [anon_sym_i64] = ACTIONS(3962),
    [anon_sym_byte] = ACTIONS(3962),
    [anon_sym_u8] = ACTIONS(3962),
    [anon_sym_u16] = ACTIONS(3962),
    [anon_sym_u32] = ACTIONS(3962),
    [anon_sym_u64] = ACTIONS(3962),
    [anon_sym_f32] = ACTIONS(3962),
    [anon_sym_f64] = ACTIONS(3962),
    [anon_sym_bool] = ACTIONS(3962),
    [anon_sym_rune] = ACTIONS(3962),
    [anon_sym_map] = ACTIONS(3962),
    [anon_sym_mapnode] = ACTIONS(3962),
    [anon_sym_size_t] = ACTIONS(3962),
    [anon_sym_usize] = ACTIONS(3962),
    [anon_sym_isize] = ACTIONS(3962),
    [anon_sym_float_literal] = ACTIONS(3962),
    [anon_sym_int_literal] = ACTIONS(3962),
    [anon_sym_IError] = ACTIONS(3962),
    [sym_type_placeholder] = ACTIONS(3962),
    [anon_sym_AT] = ACTIONS(3962),
    [sym_type_identifier] = ACTIONS(3962),
    [anon_sym_assert] = ACTIONS(3962),
    [anon_sym_defer] = ACTIONS(3962),
    [anon_sym_unsafe] = ACTIONS(3962),
    [anon_sym_pub] = ACTIONS(3962),
    [anon_sym_fn] = ACTIONS(3962),
    [anon_sym___global] = ACTIONS(3962),
    [anon_sym_const] = ACTIONS(3962),
    [anon_sym_asm] = ACTIONS(3962),
    [anon_sym_break] = ACTIONS(3962),
    [anon_sym_continue] = ACTIONS(3962),
    [anon_sym_return] = ACTIONS(3962),
    [anon_sym_type] = ACTIONS(3962),
    [anon_sym_go] = ACTIONS(3962),
    [anon_sym_spawn] = ACTIONS(3962),
    [anon_sym_goto] = ACTIONS(3962),
    [anon_sym_for] = ACTIONS(3962),
    [anon_sym_DOLLARfor] = ACTIONS(3960),
    [anon_sym_DOLLARif] = ACTIONS(3960),
    [anon_sym_if] = ACTIONS(3962),
    [anon_sym_struct] = ACTIONS(3962),
    [anon_sym_union] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3962),
    [anon_sym_interface] = ACTIONS(3962),
    [anon_sym_POUND] = ACTIONS(3960),
    [anon_sym_module] = ACTIONS(3962),
    [anon_sym_import] = ACTIONS(3962),
    [anon_sym_match] = ACTIONS(3962),
    [anon_sym_select] = ACTIONS(3962),
    [anon_sym_lock] = ACTIONS(3962),
    [anon_sym_rlock] = ACTIONS(3962),
    [sym__automatic_separator] = ACTIONS(3960),
    [sym__c_string_opening] = ACTIONS(3960),
    [sym__raw_string_opening] = ACTIONS(3960),
    [sym__string_opening] = ACTIONS(3960),
    [sym__comment] = ACTIONS(3),
  },
  [1547] = {
    [sym_comment] = STATE(1547),
    [ts_builtin_sym_end] = ACTIONS(3964),
    [sym_identifier] = ACTIONS(3966),
    [anon_sym_LPAREN] = ACTIONS(3964),
    [anon_sym_PLUS] = ACTIONS(3964),
    [anon_sym_DASH] = ACTIONS(3964),
    [anon_sym_BANG] = ACTIONS(3964),
    [anon_sym_TILDE] = ACTIONS(3964),
    [anon_sym_CARET] = ACTIONS(3964),
    [anon_sym_STAR] = ACTIONS(3964),
    [anon_sym_AMP] = ACTIONS(3964),
    [anon_sym_LT_DASH] = ACTIONS(3964),
    [anon_sym_DOLLAR] = ACTIONS(3966),
    [sym_none] = ACTIONS(3966),
    [sym_true] = ACTIONS(3966),
    [sym_false] = ACTIONS(3966),
    [anon_sym_LBRACE] = ACTIONS(3964),
    [anon_sym_LBRACK] = ACTIONS(3964),
    [anon_sym_map_LBRACK] = ACTIONS(3964),
    [anon_sym_chan] = ACTIONS(3966),
    [anon_sym_shared] = ACTIONS(3966),
    [anon_sym_thread] = ACTIONS(3966),
    [sym_int_literal] = ACTIONS(3966),
    [sym_float_literal] = ACTIONS(3964),
    [sym_rune_literal] = ACTIONS(3964),
    [anon_sym_DOT] = ACTIONS(3966),
    [anon_sym_array] = ACTIONS(3966),
    [anon_sym_string] = ACTIONS(3966),
    [anon_sym_char] = ACTIONS(3966),
    [anon_sym_sql] = ACTIONS(3966),
    [anon_sym_mut] = ACTIONS(3966),
    [anon_sym_C] = ACTIONS(3966),
    [anon_sym_JS] = ACTIONS(3966),
    [anon_sym_voidptr] = ACTIONS(3966),
    [anon_sym_byteptr] = ACTIONS(3966),
    [anon_sym_charptr] = ACTIONS(3966),
    [anon_sym_i8] = ACTIONS(3966),
    [anon_sym_i16] = ACTIONS(3966),
    [anon_sym_i32] = ACTIONS(3966),
    [anon_sym_int] = ACTIONS(3966),
    [anon_sym_i64] = ACTIONS(3966),
    [anon_sym_byte] = ACTIONS(3966),
    [anon_sym_u8] = ACTIONS(3966),
    [anon_sym_u16] = ACTIONS(3966),
    [anon_sym_u32] = ACTIONS(3966),
    [anon_sym_u64] = ACTIONS(3966),
    [anon_sym_f32] = ACTIONS(3966),
    [anon_sym_f64] = ACTIONS(3966),
    [anon_sym_bool] = ACTIONS(3966),
    [anon_sym_rune] = ACTIONS(3966),
    [anon_sym_map] = ACTIONS(3966),
    [anon_sym_mapnode] = ACTIONS(3966),
    [anon_sym_size_t] = ACTIONS(3966),
    [anon_sym_usize] = ACTIONS(3966),
    [anon_sym_isize] = ACTIONS(3966),
    [anon_sym_float_literal] = ACTIONS(3966),
    [anon_sym_int_literal] = ACTIONS(3966),
    [anon_sym_IError] = ACTIONS(3966),
    [sym_type_placeholder] = ACTIONS(3966),
    [anon_sym_AT] = ACTIONS(3966),
    [sym_type_identifier] = ACTIONS(3966),
    [anon_sym_assert] = ACTIONS(3966),
    [anon_sym_defer] = ACTIONS(3966),
    [anon_sym_unsafe] = ACTIONS(3966),
    [anon_sym_pub] = ACTIONS(3966),
    [anon_sym_fn] = ACTIONS(3966),
    [anon_sym___global] = ACTIONS(3966),
    [anon_sym_const] = ACTIONS(3966),
    [anon_sym_asm] = ACTIONS(3966),
    [anon_sym_break] = ACTIONS(3966),
    [anon_sym_continue] = ACTIONS(3966),
    [anon_sym_return] = ACTIONS(3966),
    [anon_sym_type] = ACTIONS(3966),
    [anon_sym_go] = ACTIONS(3966),
    [anon_sym_spawn] = ACTIONS(3966),
    [anon_sym_goto] = ACTIONS(3966),
    [anon_sym_for] = ACTIONS(3966),
    [anon_sym_DOLLARfor] = ACTIONS(3964),
    [anon_sym_DOLLARif] = ACTIONS(3964),
    [anon_sym_if] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3966),
    [anon_sym_union] = ACTIONS(3966),
    [anon_sym_enum] = ACTIONS(3966),
    [anon_sym_interface] = ACTIONS(3966),
    [anon_sym_POUND] = ACTIONS(3964),
    [anon_sym_module] = ACTIONS(3966),
    [anon_sym_import] = ACTIONS(3966),
    [anon_sym_match] = ACTIONS(3966),
    [anon_sym_select] = ACTIONS(3966),
    [anon_sym_lock] = ACTIONS(3966),
    [anon_sym_rlock] = ACTIONS(3966),
    [sym__automatic_separator] = ACTIONS(3964),
    [sym__c_string_opening] = ACTIONS(3964),
    [sym__raw_string_opening] = ACTIONS(3964),
    [sym__string_opening] = ACTIONS(3964),
    [sym__comment] = ACTIONS(3),
  },
  [1548] = {
    [sym_comment] = STATE(1548),
    [ts_builtin_sym_end] = ACTIONS(3968),
    [sym_identifier] = ACTIONS(3970),
    [anon_sym_LPAREN] = ACTIONS(3968),
    [anon_sym_PLUS] = ACTIONS(3968),
    [anon_sym_DASH] = ACTIONS(3968),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [anon_sym_CARET] = ACTIONS(3968),
    [anon_sym_STAR] = ACTIONS(3968),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_LT_DASH] = ACTIONS(3968),
    [anon_sym_DOLLAR] = ACTIONS(3970),
    [sym_none] = ACTIONS(3970),
    [sym_true] = ACTIONS(3970),
    [sym_false] = ACTIONS(3970),
    [anon_sym_LBRACE] = ACTIONS(3968),
    [anon_sym_LBRACK] = ACTIONS(3968),
    [anon_sym_map_LBRACK] = ACTIONS(3968),
    [anon_sym_chan] = ACTIONS(3970),
    [anon_sym_shared] = ACTIONS(3970),
    [anon_sym_thread] = ACTIONS(3970),
    [sym_int_literal] = ACTIONS(3970),
    [sym_float_literal] = ACTIONS(3968),
    [sym_rune_literal] = ACTIONS(3968),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_array] = ACTIONS(3970),
    [anon_sym_string] = ACTIONS(3970),
    [anon_sym_char] = ACTIONS(3970),
    [anon_sym_sql] = ACTIONS(3970),
    [anon_sym_mut] = ACTIONS(3970),
    [anon_sym_C] = ACTIONS(3970),
    [anon_sym_JS] = ACTIONS(3970),
    [anon_sym_voidptr] = ACTIONS(3970),
    [anon_sym_byteptr] = ACTIONS(3970),
    [anon_sym_charptr] = ACTIONS(3970),
    [anon_sym_i8] = ACTIONS(3970),
    [anon_sym_i16] = ACTIONS(3970),
    [anon_sym_i32] = ACTIONS(3970),
    [anon_sym_int] = ACTIONS(3970),
    [anon_sym_i64] = ACTIONS(3970),
    [anon_sym_byte] = ACTIONS(3970),
    [anon_sym_u8] = ACTIONS(3970),
    [anon_sym_u16] = ACTIONS(3970),
    [anon_sym_u32] = ACTIONS(3970),
    [anon_sym_u64] = ACTIONS(3970),
    [anon_sym_f32] = ACTIONS(3970),
    [anon_sym_f64] = ACTIONS(3970),
    [anon_sym_bool] = ACTIONS(3970),
    [anon_sym_rune] = ACTIONS(3970),
    [anon_sym_map] = ACTIONS(3970),
    [anon_sym_mapnode] = ACTIONS(3970),
    [anon_sym_size_t] = ACTIONS(3970),
    [anon_sym_usize] = ACTIONS(3970),
    [anon_sym_isize] = ACTIONS(3970),
    [anon_sym_float_literal] = ACTIONS(3970),
    [anon_sym_int_literal] = ACTIONS(3970),
    [anon_sym_IError] = ACTIONS(3970),
    [sym_type_placeholder] = ACTIONS(3970),
    [anon_sym_AT] = ACTIONS(3970),
    [sym_type_identifier] = ACTIONS(3970),
    [anon_sym_assert] = ACTIONS(3970),
    [anon_sym_defer] = ACTIONS(3970),
    [anon_sym_unsafe] = ACTIONS(3970),
    [anon_sym_pub] = ACTIONS(3970),
    [anon_sym_fn] = ACTIONS(3970),
    [anon_sym___global] = ACTIONS(3970),
    [anon_sym_const] = ACTIONS(3970),
    [anon_sym_asm] = ACTIONS(3970),
    [anon_sym_break] = ACTIONS(3970),
    [anon_sym_continue] = ACTIONS(3970),
    [anon_sym_return] = ACTIONS(3970),
    [anon_sym_type] = ACTIONS(3970),
    [anon_sym_go] = ACTIONS(3970),
    [anon_sym_spawn] = ACTIONS(3970),
    [anon_sym_goto] = ACTIONS(3970),
    [anon_sym_for] = ACTIONS(3970),
    [anon_sym_DOLLARfor] = ACTIONS(3968),
    [anon_sym_DOLLARif] = ACTIONS(3968),
    [anon_sym_if] = ACTIONS(3970),
    [anon_sym_struct] = ACTIONS(3970),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_enum] = ACTIONS(3970),
    [anon_sym_interface] = ACTIONS(3970),
    [anon_sym_POUND] = ACTIONS(3968),
    [anon_sym_module] = ACTIONS(3970),
    [anon_sym_import] = ACTIONS(3970),
    [anon_sym_match] = ACTIONS(3970),
    [anon_sym_select] = ACTIONS(3970),
    [anon_sym_lock] = ACTIONS(3970),
    [anon_sym_rlock] = ACTIONS(3970),
    [sym__automatic_separator] = ACTIONS(3968),
    [sym__c_string_opening] = ACTIONS(3968),
    [sym__raw_string_opening] = ACTIONS(3968),
    [sym__string_opening] = ACTIONS(3968),
    [sym__comment] = ACTIONS(3),
  },
  [1549] = {
    [sym_comment] = STATE(1549),
    [ts_builtin_sym_end] = ACTIONS(3972),
    [sym_identifier] = ACTIONS(3974),
    [anon_sym_LPAREN] = ACTIONS(3972),
    [anon_sym_PLUS] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3972),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_CARET] = ACTIONS(3972),
    [anon_sym_STAR] = ACTIONS(3972),
    [anon_sym_AMP] = ACTIONS(3972),
    [anon_sym_LT_DASH] = ACTIONS(3972),
    [anon_sym_DOLLAR] = ACTIONS(3974),
    [sym_none] = ACTIONS(3974),
    [sym_true] = ACTIONS(3974),
    [sym_false] = ACTIONS(3974),
    [anon_sym_LBRACE] = ACTIONS(3972),
    [anon_sym_LBRACK] = ACTIONS(3972),
    [anon_sym_map_LBRACK] = ACTIONS(3972),
    [anon_sym_chan] = ACTIONS(3974),
    [anon_sym_shared] = ACTIONS(3974),
    [anon_sym_thread] = ACTIONS(3974),
    [sym_int_literal] = ACTIONS(3974),
    [sym_float_literal] = ACTIONS(3972),
    [sym_rune_literal] = ACTIONS(3972),
    [anon_sym_DOT] = ACTIONS(3974),
    [anon_sym_array] = ACTIONS(3974),
    [anon_sym_string] = ACTIONS(3974),
    [anon_sym_char] = ACTIONS(3974),
    [anon_sym_sql] = ACTIONS(3974),
    [anon_sym_mut] = ACTIONS(3974),
    [anon_sym_C] = ACTIONS(3974),
    [anon_sym_JS] = ACTIONS(3974),
    [anon_sym_voidptr] = ACTIONS(3974),
    [anon_sym_byteptr] = ACTIONS(3974),
    [anon_sym_charptr] = ACTIONS(3974),
    [anon_sym_i8] = ACTIONS(3974),
    [anon_sym_i16] = ACTIONS(3974),
    [anon_sym_i32] = ACTIONS(3974),
    [anon_sym_int] = ACTIONS(3974),
    [anon_sym_i64] = ACTIONS(3974),
    [anon_sym_byte] = ACTIONS(3974),
    [anon_sym_u8] = ACTIONS(3974),
    [anon_sym_u16] = ACTIONS(3974),
    [anon_sym_u32] = ACTIONS(3974),
    [anon_sym_u64] = ACTIONS(3974),
    [anon_sym_f32] = ACTIONS(3974),
    [anon_sym_f64] = ACTIONS(3974),
    [anon_sym_bool] = ACTIONS(3974),
    [anon_sym_rune] = ACTIONS(3974),
    [anon_sym_map] = ACTIONS(3974),
    [anon_sym_mapnode] = ACTIONS(3974),
    [anon_sym_size_t] = ACTIONS(3974),
    [anon_sym_usize] = ACTIONS(3974),
    [anon_sym_isize] = ACTIONS(3974),
    [anon_sym_float_literal] = ACTIONS(3974),
    [anon_sym_int_literal] = ACTIONS(3974),
    [anon_sym_IError] = ACTIONS(3974),
    [sym_type_placeholder] = ACTIONS(3974),
    [anon_sym_AT] = ACTIONS(3974),
    [sym_type_identifier] = ACTIONS(3974),
    [anon_sym_assert] = ACTIONS(3974),
    [anon_sym_defer] = ACTIONS(3974),
    [anon_sym_unsafe] = ACTIONS(3974),
    [anon_sym_pub] = ACTIONS(3974),
    [anon_sym_fn] = ACTIONS(3974),
    [anon_sym___global] = ACTIONS(3974),
    [anon_sym_const] = ACTIONS(3974),
    [anon_sym_asm] = ACTIONS(3974),
    [anon_sym_break] = ACTIONS(3974),
    [anon_sym_continue] = ACTIONS(3974),
    [anon_sym_return] = ACTIONS(3974),
    [anon_sym_type] = ACTIONS(3974),
    [anon_sym_go] = ACTIONS(3974),
    [anon_sym_spawn] = ACTIONS(3974),
    [anon_sym_goto] = ACTIONS(3974),
    [anon_sym_for] = ACTIONS(3974),
    [anon_sym_DOLLARfor] = ACTIONS(3972),
    [anon_sym_DOLLARif] = ACTIONS(3972),
    [anon_sym_if] = ACTIONS(3974),
    [anon_sym_struct] = ACTIONS(3974),
    [anon_sym_union] = ACTIONS(3974),
    [anon_sym_enum] = ACTIONS(3974),
    [anon_sym_interface] = ACTIONS(3974),
    [anon_sym_POUND] = ACTIONS(3972),
    [anon_sym_module] = ACTIONS(3974),
    [anon_sym_import] = ACTIONS(3974),
    [anon_sym_match] = ACTIONS(3974),
    [anon_sym_select] = ACTIONS(3974),
    [anon_sym_lock] = ACTIONS(3974),
    [anon_sym_rlock] = ACTIONS(3974),
    [sym__automatic_separator] = ACTIONS(3972),
    [sym__c_string_opening] = ACTIONS(3972),
    [sym__raw_string_opening] = ACTIONS(3972),
    [sym__string_opening] = ACTIONS(3972),
    [sym__comment] = ACTIONS(3),
  },
  [1550] = {
    [sym_comment] = STATE(1550),
    [ts_builtin_sym_end] = ACTIONS(3976),
    [sym_identifier] = ACTIONS(3978),
    [anon_sym_LPAREN] = ACTIONS(3976),
    [anon_sym_PLUS] = ACTIONS(3976),
    [anon_sym_DASH] = ACTIONS(3976),
    [anon_sym_BANG] = ACTIONS(3976),
    [anon_sym_TILDE] = ACTIONS(3976),
    [anon_sym_CARET] = ACTIONS(3976),
    [anon_sym_STAR] = ACTIONS(3976),
    [anon_sym_AMP] = ACTIONS(3976),
    [anon_sym_LT_DASH] = ACTIONS(3976),
    [anon_sym_DOLLAR] = ACTIONS(3978),
    [sym_none] = ACTIONS(3978),
    [sym_true] = ACTIONS(3978),
    [sym_false] = ACTIONS(3978),
    [anon_sym_LBRACE] = ACTIONS(3976),
    [anon_sym_LBRACK] = ACTIONS(3976),
    [anon_sym_map_LBRACK] = ACTIONS(3976),
    [anon_sym_chan] = ACTIONS(3978),
    [anon_sym_shared] = ACTIONS(3978),
    [anon_sym_thread] = ACTIONS(3978),
    [sym_int_literal] = ACTIONS(3978),
    [sym_float_literal] = ACTIONS(3976),
    [sym_rune_literal] = ACTIONS(3976),
    [anon_sym_DOT] = ACTIONS(3978),
    [anon_sym_array] = ACTIONS(3978),
    [anon_sym_string] = ACTIONS(3978),
    [anon_sym_char] = ACTIONS(3978),
    [anon_sym_sql] = ACTIONS(3978),
    [anon_sym_mut] = ACTIONS(3978),
    [anon_sym_C] = ACTIONS(3978),
    [anon_sym_JS] = ACTIONS(3978),
    [anon_sym_voidptr] = ACTIONS(3978),
    [anon_sym_byteptr] = ACTIONS(3978),
    [anon_sym_charptr] = ACTIONS(3978),
    [anon_sym_i8] = ACTIONS(3978),
    [anon_sym_i16] = ACTIONS(3978),
    [anon_sym_i32] = ACTIONS(3978),
    [anon_sym_int] = ACTIONS(3978),
    [anon_sym_i64] = ACTIONS(3978),
    [anon_sym_byte] = ACTIONS(3978),
    [anon_sym_u8] = ACTIONS(3978),
    [anon_sym_u16] = ACTIONS(3978),
    [anon_sym_u32] = ACTIONS(3978),
    [anon_sym_u64] = ACTIONS(3978),
    [anon_sym_f32] = ACTIONS(3978),
    [anon_sym_f64] = ACTIONS(3978),
    [anon_sym_bool] = ACTIONS(3978),
    [anon_sym_rune] = ACTIONS(3978),
    [anon_sym_map] = ACTIONS(3978),
    [anon_sym_mapnode] = ACTIONS(3978),
    [anon_sym_size_t] = ACTIONS(3978),
    [anon_sym_usize] = ACTIONS(3978),
    [anon_sym_isize] = ACTIONS(3978),
    [anon_sym_float_literal] = ACTIONS(3978),
    [anon_sym_int_literal] = ACTIONS(3978),
    [anon_sym_IError] = ACTIONS(3978),
    [sym_type_placeholder] = ACTIONS(3978),
    [anon_sym_AT] = ACTIONS(3978),
    [sym_type_identifier] = ACTIONS(3978),
    [anon_sym_assert] = ACTIONS(3978),
    [anon_sym_defer] = ACTIONS(3978),
    [anon_sym_unsafe] = ACTIONS(3978),
    [anon_sym_pub] = ACTIONS(3978),
    [anon_sym_fn] = ACTIONS(3978),
    [anon_sym___global] = ACTIONS(3978),
    [anon_sym_const] = ACTIONS(3978),
    [anon_sym_asm] = ACTIONS(3978),
    [anon_sym_break] = ACTIONS(3978),
    [anon_sym_continue] = ACTIONS(3978),
    [anon_sym_return] = ACTIONS(3978),
    [anon_sym_type] = ACTIONS(3978),
    [anon_sym_go] = ACTIONS(3978),
    [anon_sym_spawn] = ACTIONS(3978),
    [anon_sym_goto] = ACTIONS(3978),
    [anon_sym_for] = ACTIONS(3978),
    [anon_sym_DOLLARfor] = ACTIONS(3976),
    [anon_sym_DOLLARif] = ACTIONS(3976),
    [anon_sym_if] = ACTIONS(3978),
    [anon_sym_struct] = ACTIONS(3978),
    [anon_sym_union] = ACTIONS(3978),
    [anon_sym_enum] = ACTIONS(3978),
    [anon_sym_interface] = ACTIONS(3978),
    [anon_sym_POUND] = ACTIONS(3976),
    [anon_sym_module] = ACTIONS(3978),
    [anon_sym_import] = ACTIONS(3978),
    [anon_sym_match] = ACTIONS(3978),
    [anon_sym_select] = ACTIONS(3978),
    [anon_sym_lock] = ACTIONS(3978),
    [anon_sym_rlock] = ACTIONS(3978),
    [sym__automatic_separator] = ACTIONS(3976),
    [sym__c_string_opening] = ACTIONS(3976),
    [sym__raw_string_opening] = ACTIONS(3976),
    [sym__string_opening] = ACTIONS(3976),
    [sym__comment] = ACTIONS(3),
  },
  [1551] = {
    [sym_comment] = STATE(1551),
    [ts_builtin_sym_end] = ACTIONS(3980),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_LPAREN] = ACTIONS(3980),
    [anon_sym_PLUS] = ACTIONS(3980),
    [anon_sym_DASH] = ACTIONS(3980),
    [anon_sym_BANG] = ACTIONS(3980),
    [anon_sym_TILDE] = ACTIONS(3980),
    [anon_sym_CARET] = ACTIONS(3980),
    [anon_sym_STAR] = ACTIONS(3980),
    [anon_sym_AMP] = ACTIONS(3980),
    [anon_sym_LT_DASH] = ACTIONS(3980),
    [anon_sym_DOLLAR] = ACTIONS(3982),
    [sym_none] = ACTIONS(3982),
    [sym_true] = ACTIONS(3982),
    [sym_false] = ACTIONS(3982),
    [anon_sym_LBRACE] = ACTIONS(3980),
    [anon_sym_LBRACK] = ACTIONS(3980),
    [anon_sym_map_LBRACK] = ACTIONS(3980),
    [anon_sym_chan] = ACTIONS(3982),
    [anon_sym_shared] = ACTIONS(3982),
    [anon_sym_thread] = ACTIONS(3982),
    [sym_int_literal] = ACTIONS(3982),
    [sym_float_literal] = ACTIONS(3980),
    [sym_rune_literal] = ACTIONS(3980),
    [anon_sym_DOT] = ACTIONS(3982),
    [anon_sym_array] = ACTIONS(3982),
    [anon_sym_string] = ACTIONS(3982),
    [anon_sym_char] = ACTIONS(3982),
    [anon_sym_sql] = ACTIONS(3982),
    [anon_sym_mut] = ACTIONS(3982),
    [anon_sym_C] = ACTIONS(3982),
    [anon_sym_JS] = ACTIONS(3982),
    [anon_sym_voidptr] = ACTIONS(3982),
    [anon_sym_byteptr] = ACTIONS(3982),
    [anon_sym_charptr] = ACTIONS(3982),
    [anon_sym_i8] = ACTIONS(3982),
    [anon_sym_i16] = ACTIONS(3982),
    [anon_sym_i32] = ACTIONS(3982),
    [anon_sym_int] = ACTIONS(3982),
    [anon_sym_i64] = ACTIONS(3982),
    [anon_sym_byte] = ACTIONS(3982),
    [anon_sym_u8] = ACTIONS(3982),
    [anon_sym_u16] = ACTIONS(3982),
    [anon_sym_u32] = ACTIONS(3982),
    [anon_sym_u64] = ACTIONS(3982),
    [anon_sym_f32] = ACTIONS(3982),
    [anon_sym_f64] = ACTIONS(3982),
    [anon_sym_bool] = ACTIONS(3982),
    [anon_sym_rune] = ACTIONS(3982),
    [anon_sym_map] = ACTIONS(3982),
    [anon_sym_mapnode] = ACTIONS(3982),
    [anon_sym_size_t] = ACTIONS(3982),
    [anon_sym_usize] = ACTIONS(3982),
    [anon_sym_isize] = ACTIONS(3982),
    [anon_sym_float_literal] = ACTIONS(3982),
    [anon_sym_int_literal] = ACTIONS(3982),
    [anon_sym_IError] = ACTIONS(3982),
    [sym_type_placeholder] = ACTIONS(3982),
    [anon_sym_AT] = ACTIONS(3982),
    [sym_type_identifier] = ACTIONS(3982),
    [anon_sym_assert] = ACTIONS(3982),
    [anon_sym_defer] = ACTIONS(3982),
    [anon_sym_unsafe] = ACTIONS(3982),
    [anon_sym_pub] = ACTIONS(3982),
    [anon_sym_fn] = ACTIONS(3982),
    [anon_sym___global] = ACTIONS(3982),
    [anon_sym_const] = ACTIONS(3982),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym_break] = ACTIONS(3982),
    [anon_sym_continue] = ACTIONS(3982),
    [anon_sym_return] = ACTIONS(3982),
    [anon_sym_type] = ACTIONS(3982),
    [anon_sym_go] = ACTIONS(3982),
    [anon_sym_spawn] = ACTIONS(3982),
    [anon_sym_goto] = ACTIONS(3982),
    [anon_sym_for] = ACTIONS(3982),
    [anon_sym_DOLLARfor] = ACTIONS(3980),
    [anon_sym_DOLLARif] = ACTIONS(3980),
    [anon_sym_if] = ACTIONS(3982),
    [anon_sym_struct] = ACTIONS(3982),
    [anon_sym_union] = ACTIONS(3982),
    [anon_sym_enum] = ACTIONS(3982),
    [anon_sym_interface] = ACTIONS(3982),
    [anon_sym_POUND] = ACTIONS(3980),
    [anon_sym_module] = ACTIONS(3982),
    [anon_sym_import] = ACTIONS(3982),
    [anon_sym_match] = ACTIONS(3982),
    [anon_sym_select] = ACTIONS(3982),
    [anon_sym_lock] = ACTIONS(3982),
    [anon_sym_rlock] = ACTIONS(3982),
    [sym__automatic_separator] = ACTIONS(3980),
    [sym__c_string_opening] = ACTIONS(3980),
    [sym__raw_string_opening] = ACTIONS(3980),
    [sym__string_opening] = ACTIONS(3980),
    [sym__comment] = ACTIONS(3),
  },
  [1552] = {
    [sym_comment] = STATE(1552),
    [ts_builtin_sym_end] = ACTIONS(3984),
    [sym_identifier] = ACTIONS(3986),
    [anon_sym_LPAREN] = ACTIONS(3984),
    [anon_sym_PLUS] = ACTIONS(3984),
    [anon_sym_DASH] = ACTIONS(3984),
    [anon_sym_BANG] = ACTIONS(3984),
    [anon_sym_TILDE] = ACTIONS(3984),
    [anon_sym_CARET] = ACTIONS(3984),
    [anon_sym_STAR] = ACTIONS(3984),
    [anon_sym_AMP] = ACTIONS(3984),
    [anon_sym_LT_DASH] = ACTIONS(3984),
    [anon_sym_DOLLAR] = ACTIONS(3986),
    [sym_none] = ACTIONS(3986),
    [sym_true] = ACTIONS(3986),
    [sym_false] = ACTIONS(3986),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_LBRACK] = ACTIONS(3984),
    [anon_sym_map_LBRACK] = ACTIONS(3984),
    [anon_sym_chan] = ACTIONS(3986),
    [anon_sym_shared] = ACTIONS(3986),
    [anon_sym_thread] = ACTIONS(3986),
    [sym_int_literal] = ACTIONS(3986),
    [sym_float_literal] = ACTIONS(3984),
    [sym_rune_literal] = ACTIONS(3984),
    [anon_sym_DOT] = ACTIONS(3986),
    [anon_sym_array] = ACTIONS(3986),
    [anon_sym_string] = ACTIONS(3986),
    [anon_sym_char] = ACTIONS(3986),
    [anon_sym_sql] = ACTIONS(3986),
    [anon_sym_mut] = ACTIONS(3986),
    [anon_sym_C] = ACTIONS(3986),
    [anon_sym_JS] = ACTIONS(3986),
    [anon_sym_voidptr] = ACTIONS(3986),
    [anon_sym_byteptr] = ACTIONS(3986),
    [anon_sym_charptr] = ACTIONS(3986),
    [anon_sym_i8] = ACTIONS(3986),
    [anon_sym_i16] = ACTIONS(3986),
    [anon_sym_i32] = ACTIONS(3986),
    [anon_sym_int] = ACTIONS(3986),
    [anon_sym_i64] = ACTIONS(3986),
    [anon_sym_byte] = ACTIONS(3986),
    [anon_sym_u8] = ACTIONS(3986),
    [anon_sym_u16] = ACTIONS(3986),
    [anon_sym_u32] = ACTIONS(3986),
    [anon_sym_u64] = ACTIONS(3986),
    [anon_sym_f32] = ACTIONS(3986),
    [anon_sym_f64] = ACTIONS(3986),
    [anon_sym_bool] = ACTIONS(3986),
    [anon_sym_rune] = ACTIONS(3986),
    [anon_sym_map] = ACTIONS(3986),
    [anon_sym_mapnode] = ACTIONS(3986),
    [anon_sym_size_t] = ACTIONS(3986),
    [anon_sym_usize] = ACTIONS(3986),
    [anon_sym_isize] = ACTIONS(3986),
    [anon_sym_float_literal] = ACTIONS(3986),
    [anon_sym_int_literal] = ACTIONS(3986),
    [anon_sym_IError] = ACTIONS(3986),
    [sym_type_placeholder] = ACTIONS(3986),
    [anon_sym_AT] = ACTIONS(3986),
    [sym_type_identifier] = ACTIONS(3986),
    [anon_sym_assert] = ACTIONS(3986),
    [anon_sym_defer] = ACTIONS(3986),
    [anon_sym_unsafe] = ACTIONS(3986),
    [anon_sym_pub] = ACTIONS(3986),
    [anon_sym_fn] = ACTIONS(3986),
    [anon_sym___global] = ACTIONS(3986),
    [anon_sym_const] = ACTIONS(3986),
    [anon_sym_asm] = ACTIONS(3986),
    [anon_sym_break] = ACTIONS(3986),
    [anon_sym_continue] = ACTIONS(3986),
    [anon_sym_return] = ACTIONS(3986),
    [anon_sym_type] = ACTIONS(3986),
    [anon_sym_go] = ACTIONS(3986),
    [anon_sym_spawn] = ACTIONS(3986),
    [anon_sym_goto] = ACTIONS(3986),
    [anon_sym_for] = ACTIONS(3986),
    [anon_sym_DOLLARfor] = ACTIONS(3984),
    [anon_sym_DOLLARif] = ACTIONS(3984),
    [anon_sym_if] = ACTIONS(3986),
    [anon_sym_struct] = ACTIONS(3986),
    [anon_sym_union] = ACTIONS(3986),
    [anon_sym_enum] = ACTIONS(3986),
    [anon_sym_interface] = ACTIONS(3986),
    [anon_sym_POUND] = ACTIONS(3984),
    [anon_sym_module] = ACTIONS(3986),
    [anon_sym_import] = ACTIONS(3986),
    [anon_sym_match] = ACTIONS(3986),
    [anon_sym_select] = ACTIONS(3986),
    [anon_sym_lock] = ACTIONS(3986),
    [anon_sym_rlock] = ACTIONS(3986),
    [sym__automatic_separator] = ACTIONS(3984),
    [sym__c_string_opening] = ACTIONS(3984),
    [sym__raw_string_opening] = ACTIONS(3984),
    [sym__string_opening] = ACTIONS(3984),
    [sym__comment] = ACTIONS(3),
  },
  [1553] = {
    [sym_comment] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(3988),
    [sym_identifier] = ACTIONS(3990),
    [anon_sym_LPAREN] = ACTIONS(3988),
    [anon_sym_PLUS] = ACTIONS(3988),
    [anon_sym_DASH] = ACTIONS(3988),
    [anon_sym_BANG] = ACTIONS(3988),
    [anon_sym_TILDE] = ACTIONS(3988),
    [anon_sym_CARET] = ACTIONS(3988),
    [anon_sym_STAR] = ACTIONS(3988),
    [anon_sym_AMP] = ACTIONS(3988),
    [anon_sym_LT_DASH] = ACTIONS(3988),
    [anon_sym_DOLLAR] = ACTIONS(3990),
    [sym_none] = ACTIONS(3990),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_LBRACE] = ACTIONS(3988),
    [anon_sym_LBRACK] = ACTIONS(3988),
    [anon_sym_map_LBRACK] = ACTIONS(3988),
    [anon_sym_chan] = ACTIONS(3990),
    [anon_sym_shared] = ACTIONS(3990),
    [anon_sym_thread] = ACTIONS(3990),
    [sym_int_literal] = ACTIONS(3990),
    [sym_float_literal] = ACTIONS(3988),
    [sym_rune_literal] = ACTIONS(3988),
    [anon_sym_DOT] = ACTIONS(3990),
    [anon_sym_array] = ACTIONS(3990),
    [anon_sym_string] = ACTIONS(3990),
    [anon_sym_char] = ACTIONS(3990),
    [anon_sym_sql] = ACTIONS(3990),
    [anon_sym_mut] = ACTIONS(3990),
    [anon_sym_C] = ACTIONS(3990),
    [anon_sym_JS] = ACTIONS(3990),
    [anon_sym_voidptr] = ACTIONS(3990),
    [anon_sym_byteptr] = ACTIONS(3990),
    [anon_sym_charptr] = ACTIONS(3990),
    [anon_sym_i8] = ACTIONS(3990),
    [anon_sym_i16] = ACTIONS(3990),
    [anon_sym_i32] = ACTIONS(3990),
    [anon_sym_int] = ACTIONS(3990),
    [anon_sym_i64] = ACTIONS(3990),
    [anon_sym_byte] = ACTIONS(3990),
    [anon_sym_u8] = ACTIONS(3990),
    [anon_sym_u16] = ACTIONS(3990),
    [anon_sym_u32] = ACTIONS(3990),
    [anon_sym_u64] = ACTIONS(3990),
    [anon_sym_f32] = ACTIONS(3990),
    [anon_sym_f64] = ACTIONS(3990),
    [anon_sym_bool] = ACTIONS(3990),
    [anon_sym_rune] = ACTIONS(3990),
    [anon_sym_map] = ACTIONS(3990),
    [anon_sym_mapnode] = ACTIONS(3990),
    [anon_sym_size_t] = ACTIONS(3990),
    [anon_sym_usize] = ACTIONS(3990),
    [anon_sym_isize] = ACTIONS(3990),
    [anon_sym_float_literal] = ACTIONS(3990),
    [anon_sym_int_literal] = ACTIONS(3990),
    [anon_sym_IError] = ACTIONS(3990),
    [sym_type_placeholder] = ACTIONS(3990),
    [anon_sym_AT] = ACTIONS(3990),
    [sym_type_identifier] = ACTIONS(3990),
    [anon_sym_assert] = ACTIONS(3990),
    [anon_sym_defer] = ACTIONS(3990),
    [anon_sym_unsafe] = ACTIONS(3990),
    [anon_sym_pub] = ACTIONS(3990),
    [anon_sym_fn] = ACTIONS(3990),
    [anon_sym___global] = ACTIONS(3990),
    [anon_sym_const] = ACTIONS(3990),
    [anon_sym_asm] = ACTIONS(3990),
    [anon_sym_break] = ACTIONS(3990),
    [anon_sym_continue] = ACTIONS(3990),
    [anon_sym_return] = ACTIONS(3990),
    [anon_sym_type] = ACTIONS(3990),
    [anon_sym_go] = ACTIONS(3990),
    [anon_sym_spawn] = ACTIONS(3990),
    [anon_sym_goto] = ACTIONS(3990),
    [anon_sym_for] = ACTIONS(3990),
    [anon_sym_DOLLARfor] = ACTIONS(3988),
    [anon_sym_DOLLARif] = ACTIONS(3988),
    [anon_sym_if] = ACTIONS(3990),
    [anon_sym_struct] = ACTIONS(3990),
    [anon_sym_union] = ACTIONS(3990),
    [anon_sym_enum] = ACTIONS(3990),
    [anon_sym_interface] = ACTIONS(3990),
    [anon_sym_POUND] = ACTIONS(3988),
    [anon_sym_module] = ACTIONS(3990),
    [anon_sym_import] = ACTIONS(3990),
    [anon_sym_match] = ACTIONS(3990),
    [anon_sym_select] = ACTIONS(3990),
    [anon_sym_lock] = ACTIONS(3990),
    [anon_sym_rlock] = ACTIONS(3990),
    [sym__automatic_separator] = ACTIONS(3988),
    [sym__c_string_opening] = ACTIONS(3988),
    [sym__raw_string_opening] = ACTIONS(3988),
    [sym__string_opening] = ACTIONS(3988),
    [sym__comment] = ACTIONS(3),
  },
  [1554] = {
    [sym_comment] = STATE(1554),
    [ts_builtin_sym_end] = ACTIONS(3992),
    [sym_identifier] = ACTIONS(3994),
    [anon_sym_LPAREN] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_BANG] = ACTIONS(3992),
    [anon_sym_TILDE] = ACTIONS(3992),
    [anon_sym_CARET] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(3992),
    [anon_sym_AMP] = ACTIONS(3992),
    [anon_sym_LT_DASH] = ACTIONS(3992),
    [anon_sym_DOLLAR] = ACTIONS(3994),
    [sym_none] = ACTIONS(3994),
    [sym_true] = ACTIONS(3994),
    [sym_false] = ACTIONS(3994),
    [anon_sym_LBRACE] = ACTIONS(3992),
    [anon_sym_LBRACK] = ACTIONS(3992),
    [anon_sym_map_LBRACK] = ACTIONS(3992),
    [anon_sym_chan] = ACTIONS(3994),
    [anon_sym_shared] = ACTIONS(3994),
    [anon_sym_thread] = ACTIONS(3994),
    [sym_int_literal] = ACTIONS(3994),
    [sym_float_literal] = ACTIONS(3992),
    [sym_rune_literal] = ACTIONS(3992),
    [anon_sym_DOT] = ACTIONS(3994),
    [anon_sym_array] = ACTIONS(3994),
    [anon_sym_string] = ACTIONS(3994),
    [anon_sym_char] = ACTIONS(3994),
    [anon_sym_sql] = ACTIONS(3994),
    [anon_sym_mut] = ACTIONS(3994),
    [anon_sym_C] = ACTIONS(3994),
    [anon_sym_JS] = ACTIONS(3994),
    [anon_sym_voidptr] = ACTIONS(3994),
    [anon_sym_byteptr] = ACTIONS(3994),
    [anon_sym_charptr] = ACTIONS(3994),
    [anon_sym_i8] = ACTIONS(3994),
    [anon_sym_i16] = ACTIONS(3994),
    [anon_sym_i32] = ACTIONS(3994),
    [anon_sym_int] = ACTIONS(3994),
    [anon_sym_i64] = ACTIONS(3994),
    [anon_sym_byte] = ACTIONS(3994),
    [anon_sym_u8] = ACTIONS(3994),
    [anon_sym_u16] = ACTIONS(3994),
    [anon_sym_u32] = ACTIONS(3994),
    [anon_sym_u64] = ACTIONS(3994),
    [anon_sym_f32] = ACTIONS(3994),
    [anon_sym_f64] = ACTIONS(3994),
    [anon_sym_bool] = ACTIONS(3994),
    [anon_sym_rune] = ACTIONS(3994),
    [anon_sym_map] = ACTIONS(3994),
    [anon_sym_mapnode] = ACTIONS(3994),
    [anon_sym_size_t] = ACTIONS(3994),
    [anon_sym_usize] = ACTIONS(3994),
    [anon_sym_isize] = ACTIONS(3994),
    [anon_sym_float_literal] = ACTIONS(3994),
    [anon_sym_int_literal] = ACTIONS(3994),
    [anon_sym_IError] = ACTIONS(3994),
    [sym_type_placeholder] = ACTIONS(3994),
    [anon_sym_AT] = ACTIONS(3994),
    [sym_type_identifier] = ACTIONS(3994),
    [anon_sym_assert] = ACTIONS(3994),
    [anon_sym_defer] = ACTIONS(3994),
    [anon_sym_unsafe] = ACTIONS(3994),
    [anon_sym_pub] = ACTIONS(3994),
    [anon_sym_fn] = ACTIONS(3994),
    [anon_sym___global] = ACTIONS(3994),
    [anon_sym_const] = ACTIONS(3994),
    [anon_sym_asm] = ACTIONS(3994),
    [anon_sym_break] = ACTIONS(3994),
    [anon_sym_continue] = ACTIONS(3994),
    [anon_sym_return] = ACTIONS(3994),
    [anon_sym_type] = ACTIONS(3994),
    [anon_sym_go] = ACTIONS(3994),
    [anon_sym_spawn] = ACTIONS(3994),
    [anon_sym_goto] = ACTIONS(3994),
    [anon_sym_for] = ACTIONS(3994),
    [anon_sym_DOLLARfor] = ACTIONS(3992),
    [anon_sym_DOLLARif] = ACTIONS(3992),
    [anon_sym_if] = ACTIONS(3994),
    [anon_sym_struct] = ACTIONS(3994),
    [anon_sym_union] = ACTIONS(3994),
    [anon_sym_enum] = ACTIONS(3994),
    [anon_sym_interface] = ACTIONS(3994),
    [anon_sym_POUND] = ACTIONS(3992),
    [anon_sym_module] = ACTIONS(3994),
    [anon_sym_import] = ACTIONS(3994),
    [anon_sym_match] = ACTIONS(3994),
    [anon_sym_select] = ACTIONS(3994),
    [anon_sym_lock] = ACTIONS(3994),
    [anon_sym_rlock] = ACTIONS(3994),
    [sym__automatic_separator] = ACTIONS(3992),
    [sym__c_string_opening] = ACTIONS(3992),
    [sym__raw_string_opening] = ACTIONS(3992),
    [sym__string_opening] = ACTIONS(3992),
    [sym__comment] = ACTIONS(3),
  },
  [1555] = {
    [sym_comment] = STATE(1555),
    [ts_builtin_sym_end] = ACTIONS(3996),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_LPAREN] = ACTIONS(3996),
    [anon_sym_PLUS] = ACTIONS(3996),
    [anon_sym_DASH] = ACTIONS(3996),
    [anon_sym_BANG] = ACTIONS(3996),
    [anon_sym_TILDE] = ACTIONS(3996),
    [anon_sym_CARET] = ACTIONS(3996),
    [anon_sym_STAR] = ACTIONS(3996),
    [anon_sym_AMP] = ACTIONS(3996),
    [anon_sym_LT_DASH] = ACTIONS(3996),
    [anon_sym_DOLLAR] = ACTIONS(3998),
    [sym_none] = ACTIONS(3998),
    [sym_true] = ACTIONS(3998),
    [sym_false] = ACTIONS(3998),
    [anon_sym_LBRACE] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(3996),
    [anon_sym_map_LBRACK] = ACTIONS(3996),
    [anon_sym_chan] = ACTIONS(3998),
    [anon_sym_shared] = ACTIONS(3998),
    [anon_sym_thread] = ACTIONS(3998),
    [sym_int_literal] = ACTIONS(3998),
    [sym_float_literal] = ACTIONS(3996),
    [sym_rune_literal] = ACTIONS(3996),
    [anon_sym_DOT] = ACTIONS(3998),
    [anon_sym_array] = ACTIONS(3998),
    [anon_sym_string] = ACTIONS(3998),
    [anon_sym_char] = ACTIONS(3998),
    [anon_sym_sql] = ACTIONS(3998),
    [anon_sym_mut] = ACTIONS(3998),
    [anon_sym_C] = ACTIONS(3998),
    [anon_sym_JS] = ACTIONS(3998),
    [anon_sym_voidptr] = ACTIONS(3998),
    [anon_sym_byteptr] = ACTIONS(3998),
    [anon_sym_charptr] = ACTIONS(3998),
    [anon_sym_i8] = ACTIONS(3998),
    [anon_sym_i16] = ACTIONS(3998),
    [anon_sym_i32] = ACTIONS(3998),
    [anon_sym_int] = ACTIONS(3998),
    [anon_sym_i64] = ACTIONS(3998),
    [anon_sym_byte] = ACTIONS(3998),
    [anon_sym_u8] = ACTIONS(3998),
    [anon_sym_u16] = ACTIONS(3998),
    [anon_sym_u32] = ACTIONS(3998),
    [anon_sym_u64] = ACTIONS(3998),
    [anon_sym_f32] = ACTIONS(3998),
    [anon_sym_f64] = ACTIONS(3998),
    [anon_sym_bool] = ACTIONS(3998),
    [anon_sym_rune] = ACTIONS(3998),
    [anon_sym_map] = ACTIONS(3998),
    [anon_sym_mapnode] = ACTIONS(3998),
    [anon_sym_size_t] = ACTIONS(3998),
    [anon_sym_usize] = ACTIONS(3998),
    [anon_sym_isize] = ACTIONS(3998),
    [anon_sym_float_literal] = ACTIONS(3998),
    [anon_sym_int_literal] = ACTIONS(3998),
    [anon_sym_IError] = ACTIONS(3998),
    [sym_type_placeholder] = ACTIONS(3998),
    [anon_sym_AT] = ACTIONS(3998),
    [sym_type_identifier] = ACTIONS(3998),
    [anon_sym_assert] = ACTIONS(3998),
    [anon_sym_defer] = ACTIONS(3998),
    [anon_sym_unsafe] = ACTIONS(3998),
    [anon_sym_pub] = ACTIONS(3998),
    [anon_sym_fn] = ACTIONS(3998),
    [anon_sym___global] = ACTIONS(3998),
    [anon_sym_const] = ACTIONS(3998),
    [anon_sym_asm] = ACTIONS(3998),
    [anon_sym_break] = ACTIONS(3998),
    [anon_sym_continue] = ACTIONS(3998),
    [anon_sym_return] = ACTIONS(3998),
    [anon_sym_type] = ACTIONS(3998),
    [anon_sym_go] = ACTIONS(3998),
    [anon_sym_spawn] = ACTIONS(3998),
    [anon_sym_goto] = ACTIONS(3998),
    [anon_sym_for] = ACTIONS(3998),
    [anon_sym_DOLLARfor] = ACTIONS(3996),
    [anon_sym_DOLLARif] = ACTIONS(3996),
    [anon_sym_if] = ACTIONS(3998),
    [anon_sym_struct] = ACTIONS(3998),
    [anon_sym_union] = ACTIONS(3998),
    [anon_sym_enum] = ACTIONS(3998),
    [anon_sym_interface] = ACTIONS(3998),
    [anon_sym_POUND] = ACTIONS(3996),
    [anon_sym_module] = ACTIONS(3998),
    [anon_sym_import] = ACTIONS(3998),
    [anon_sym_match] = ACTIONS(3998),
    [anon_sym_select] = ACTIONS(3998),
    [anon_sym_lock] = ACTIONS(3998),
    [anon_sym_rlock] = ACTIONS(3998),
    [sym__automatic_separator] = ACTIONS(3996),
    [sym__c_string_opening] = ACTIONS(3996),
    [sym__raw_string_opening] = ACTIONS(3996),
    [sym__string_opening] = ACTIONS(3996),
    [sym__comment] = ACTIONS(3),
  },
  [1556] = {
    [sym_comment] = STATE(1556),
    [ts_builtin_sym_end] = ACTIONS(4000),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_LPAREN] = ACTIONS(4000),
    [anon_sym_PLUS] = ACTIONS(4000),
    [anon_sym_DASH] = ACTIONS(4000),
    [anon_sym_BANG] = ACTIONS(4000),
    [anon_sym_TILDE] = ACTIONS(4000),
    [anon_sym_CARET] = ACTIONS(4000),
    [anon_sym_STAR] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4000),
    [anon_sym_LT_DASH] = ACTIONS(4000),
    [anon_sym_DOLLAR] = ACTIONS(4002),
    [sym_none] = ACTIONS(4002),
    [sym_true] = ACTIONS(4002),
    [sym_false] = ACTIONS(4002),
    [anon_sym_LBRACE] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(4000),
    [anon_sym_map_LBRACK] = ACTIONS(4000),
    [anon_sym_chan] = ACTIONS(4002),
    [anon_sym_shared] = ACTIONS(4002),
    [anon_sym_thread] = ACTIONS(4002),
    [sym_int_literal] = ACTIONS(4002),
    [sym_float_literal] = ACTIONS(4000),
    [sym_rune_literal] = ACTIONS(4000),
    [anon_sym_DOT] = ACTIONS(4002),
    [anon_sym_array] = ACTIONS(4002),
    [anon_sym_string] = ACTIONS(4002),
    [anon_sym_char] = ACTIONS(4002),
    [anon_sym_sql] = ACTIONS(4002),
    [anon_sym_mut] = ACTIONS(4002),
    [anon_sym_C] = ACTIONS(4002),
    [anon_sym_JS] = ACTIONS(4002),
    [anon_sym_voidptr] = ACTIONS(4002),
    [anon_sym_byteptr] = ACTIONS(4002),
    [anon_sym_charptr] = ACTIONS(4002),
    [anon_sym_i8] = ACTIONS(4002),
    [anon_sym_i16] = ACTIONS(4002),
    [anon_sym_i32] = ACTIONS(4002),
    [anon_sym_int] = ACTIONS(4002),
    [anon_sym_i64] = ACTIONS(4002),
    [anon_sym_byte] = ACTIONS(4002),
    [anon_sym_u8] = ACTIONS(4002),
    [anon_sym_u16] = ACTIONS(4002),
    [anon_sym_u32] = ACTIONS(4002),
    [anon_sym_u64] = ACTIONS(4002),
    [anon_sym_f32] = ACTIONS(4002),
    [anon_sym_f64] = ACTIONS(4002),
    [anon_sym_bool] = ACTIONS(4002),
    [anon_sym_rune] = ACTIONS(4002),
    [anon_sym_map] = ACTIONS(4002),
    [anon_sym_mapnode] = ACTIONS(4002),
    [anon_sym_size_t] = ACTIONS(4002),
    [anon_sym_usize] = ACTIONS(4002),
    [anon_sym_isize] = ACTIONS(4002),
    [anon_sym_float_literal] = ACTIONS(4002),
    [anon_sym_int_literal] = ACTIONS(4002),
    [anon_sym_IError] = ACTIONS(4002),
    [sym_type_placeholder] = ACTIONS(4002),
    [anon_sym_AT] = ACTIONS(4002),
    [sym_type_identifier] = ACTIONS(4002),
    [anon_sym_assert] = ACTIONS(4002),
    [anon_sym_defer] = ACTIONS(4002),
    [anon_sym_unsafe] = ACTIONS(4002),
    [anon_sym_pub] = ACTIONS(4002),
    [anon_sym_fn] = ACTIONS(4002),
    [anon_sym___global] = ACTIONS(4002),
    [anon_sym_const] = ACTIONS(4002),
    [anon_sym_asm] = ACTIONS(4002),
    [anon_sym_break] = ACTIONS(4002),
    [anon_sym_continue] = ACTIONS(4002),
    [anon_sym_return] = ACTIONS(4002),
    [anon_sym_type] = ACTIONS(4002),
    [anon_sym_go] = ACTIONS(4002),
    [anon_sym_spawn] = ACTIONS(4002),
    [anon_sym_goto] = ACTIONS(4002),
    [anon_sym_for] = ACTIONS(4002),
    [anon_sym_DOLLARfor] = ACTIONS(4000),
    [anon_sym_DOLLARif] = ACTIONS(4000),
    [anon_sym_if] = ACTIONS(4002),
    [anon_sym_struct] = ACTIONS(4002),
    [anon_sym_union] = ACTIONS(4002),
    [anon_sym_enum] = ACTIONS(4002),
    [anon_sym_interface] = ACTIONS(4002),
    [anon_sym_POUND] = ACTIONS(4000),
    [anon_sym_module] = ACTIONS(4002),
    [anon_sym_import] = ACTIONS(4002),
    [anon_sym_match] = ACTIONS(4002),
    [anon_sym_select] = ACTIONS(4002),
    [anon_sym_lock] = ACTIONS(4002),
    [anon_sym_rlock] = ACTIONS(4002),
    [sym__automatic_separator] = ACTIONS(4000),
    [sym__c_string_opening] = ACTIONS(4000),
    [sym__raw_string_opening] = ACTIONS(4000),
    [sym__string_opening] = ACTIONS(4000),
    [sym__comment] = ACTIONS(3),
  },
  [1557] = {
    [sym_comment] = STATE(1557),
    [ts_builtin_sym_end] = ACTIONS(4004),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_LPAREN] = ACTIONS(4004),
    [anon_sym_PLUS] = ACTIONS(4004),
    [anon_sym_DASH] = ACTIONS(4004),
    [anon_sym_BANG] = ACTIONS(4004),
    [anon_sym_TILDE] = ACTIONS(4004),
    [anon_sym_CARET] = ACTIONS(4004),
    [anon_sym_STAR] = ACTIONS(4004),
    [anon_sym_AMP] = ACTIONS(4004),
    [anon_sym_LT_DASH] = ACTIONS(4004),
    [anon_sym_DOLLAR] = ACTIONS(4006),
    [sym_none] = ACTIONS(4006),
    [sym_true] = ACTIONS(4006),
    [sym_false] = ACTIONS(4006),
    [anon_sym_LBRACE] = ACTIONS(4004),
    [anon_sym_LBRACK] = ACTIONS(4004),
    [anon_sym_map_LBRACK] = ACTIONS(4004),
    [anon_sym_chan] = ACTIONS(4006),
    [anon_sym_shared] = ACTIONS(4006),
    [anon_sym_thread] = ACTIONS(4006),
    [sym_int_literal] = ACTIONS(4006),
    [sym_float_literal] = ACTIONS(4004),
    [sym_rune_literal] = ACTIONS(4004),
    [anon_sym_DOT] = ACTIONS(4006),
    [anon_sym_array] = ACTIONS(4006),
    [anon_sym_string] = ACTIONS(4006),
    [anon_sym_char] = ACTIONS(4006),
    [anon_sym_sql] = ACTIONS(4006),
    [anon_sym_mut] = ACTIONS(4006),
    [anon_sym_C] = ACTIONS(4006),
    [anon_sym_JS] = ACTIONS(4006),
    [anon_sym_voidptr] = ACTIONS(4006),
    [anon_sym_byteptr] = ACTIONS(4006),
    [anon_sym_charptr] = ACTIONS(4006),
    [anon_sym_i8] = ACTIONS(4006),
    [anon_sym_i16] = ACTIONS(4006),
    [anon_sym_i32] = ACTIONS(4006),
    [anon_sym_int] = ACTIONS(4006),
    [anon_sym_i64] = ACTIONS(4006),
    [anon_sym_byte] = ACTIONS(4006),
    [anon_sym_u8] = ACTIONS(4006),
    [anon_sym_u16] = ACTIONS(4006),
    [anon_sym_u32] = ACTIONS(4006),
    [anon_sym_u64] = ACTIONS(4006),
    [anon_sym_f32] = ACTIONS(4006),
    [anon_sym_f64] = ACTIONS(4006),
    [anon_sym_bool] = ACTIONS(4006),
    [anon_sym_rune] = ACTIONS(4006),
    [anon_sym_map] = ACTIONS(4006),
    [anon_sym_mapnode] = ACTIONS(4006),
    [anon_sym_size_t] = ACTIONS(4006),
    [anon_sym_usize] = ACTIONS(4006),
    [anon_sym_isize] = ACTIONS(4006),
    [anon_sym_float_literal] = ACTIONS(4006),
    [anon_sym_int_literal] = ACTIONS(4006),
    [anon_sym_IError] = ACTIONS(4006),
    [sym_type_placeholder] = ACTIONS(4006),
    [anon_sym_AT] = ACTIONS(4006),
    [sym_type_identifier] = ACTIONS(4006),
    [anon_sym_assert] = ACTIONS(4006),
    [anon_sym_defer] = ACTIONS(4006),
    [anon_sym_unsafe] = ACTIONS(4006),
    [anon_sym_pub] = ACTIONS(4006),
    [anon_sym_fn] = ACTIONS(4006),
    [anon_sym___global] = ACTIONS(4006),
    [anon_sym_const] = ACTIONS(4006),
    [anon_sym_asm] = ACTIONS(4006),
    [anon_sym_break] = ACTIONS(4006),
    [anon_sym_continue] = ACTIONS(4006),
    [anon_sym_return] = ACTIONS(4006),
    [anon_sym_type] = ACTIONS(4006),
    [anon_sym_go] = ACTIONS(4006),
    [anon_sym_spawn] = ACTIONS(4006),
    [anon_sym_goto] = ACTIONS(4006),
    [anon_sym_for] = ACTIONS(4006),
    [anon_sym_DOLLARfor] = ACTIONS(4004),
    [anon_sym_DOLLARif] = ACTIONS(4004),
    [anon_sym_if] = ACTIONS(4006),
    [anon_sym_struct] = ACTIONS(4006),
    [anon_sym_union] = ACTIONS(4006),
    [anon_sym_enum] = ACTIONS(4006),
    [anon_sym_interface] = ACTIONS(4006),
    [anon_sym_POUND] = ACTIONS(4004),
    [anon_sym_module] = ACTIONS(4006),
    [anon_sym_import] = ACTIONS(4006),
    [anon_sym_match] = ACTIONS(4006),
    [anon_sym_select] = ACTIONS(4006),
    [anon_sym_lock] = ACTIONS(4006),
    [anon_sym_rlock] = ACTIONS(4006),
    [sym__automatic_separator] = ACTIONS(4004),
    [sym__c_string_opening] = ACTIONS(4004),
    [sym__raw_string_opening] = ACTIONS(4004),
    [sym__string_opening] = ACTIONS(4004),
    [sym__comment] = ACTIONS(3),
  },
  [1558] = {
    [sym_comment] = STATE(1558),
    [ts_builtin_sym_end] = ACTIONS(4008),
    [sym_identifier] = ACTIONS(4010),
    [anon_sym_LPAREN] = ACTIONS(4008),
    [anon_sym_PLUS] = ACTIONS(4008),
    [anon_sym_DASH] = ACTIONS(4008),
    [anon_sym_BANG] = ACTIONS(4008),
    [anon_sym_TILDE] = ACTIONS(4008),
    [anon_sym_CARET] = ACTIONS(4008),
    [anon_sym_STAR] = ACTIONS(4008),
    [anon_sym_AMP] = ACTIONS(4008),
    [anon_sym_LT_DASH] = ACTIONS(4008),
    [anon_sym_DOLLAR] = ACTIONS(4010),
    [sym_none] = ACTIONS(4010),
    [sym_true] = ACTIONS(4010),
    [sym_false] = ACTIONS(4010),
    [anon_sym_LBRACE] = ACTIONS(4008),
    [anon_sym_LBRACK] = ACTIONS(4008),
    [anon_sym_map_LBRACK] = ACTIONS(4008),
    [anon_sym_chan] = ACTIONS(4010),
    [anon_sym_shared] = ACTIONS(4010),
    [anon_sym_thread] = ACTIONS(4010),
    [sym_int_literal] = ACTIONS(4010),
    [sym_float_literal] = ACTIONS(4008),
    [sym_rune_literal] = ACTIONS(4008),
    [anon_sym_DOT] = ACTIONS(4010),
    [anon_sym_array] = ACTIONS(4010),
    [anon_sym_string] = ACTIONS(4010),
    [anon_sym_char] = ACTIONS(4010),
    [anon_sym_sql] = ACTIONS(4010),
    [anon_sym_mut] = ACTIONS(4010),
    [anon_sym_C] = ACTIONS(4010),
    [anon_sym_JS] = ACTIONS(4010),
    [anon_sym_voidptr] = ACTIONS(4010),
    [anon_sym_byteptr] = ACTIONS(4010),
    [anon_sym_charptr] = ACTIONS(4010),
    [anon_sym_i8] = ACTIONS(4010),
    [anon_sym_i16] = ACTIONS(4010),
    [anon_sym_i32] = ACTIONS(4010),
    [anon_sym_int] = ACTIONS(4010),
    [anon_sym_i64] = ACTIONS(4010),
    [anon_sym_byte] = ACTIONS(4010),
    [anon_sym_u8] = ACTIONS(4010),
    [anon_sym_u16] = ACTIONS(4010),
    [anon_sym_u32] = ACTIONS(4010),
    [anon_sym_u64] = ACTIONS(4010),
    [anon_sym_f32] = ACTIONS(4010),
    [anon_sym_f64] = ACTIONS(4010),
    [anon_sym_bool] = ACTIONS(4010),
    [anon_sym_rune] = ACTIONS(4010),
    [anon_sym_map] = ACTIONS(4010),
    [anon_sym_mapnode] = ACTIONS(4010),
    [anon_sym_size_t] = ACTIONS(4010),
    [anon_sym_usize] = ACTIONS(4010),
    [anon_sym_isize] = ACTIONS(4010),
    [anon_sym_float_literal] = ACTIONS(4010),
    [anon_sym_int_literal] = ACTIONS(4010),
    [anon_sym_IError] = ACTIONS(4010),
    [sym_type_placeholder] = ACTIONS(4010),
    [anon_sym_AT] = ACTIONS(4010),
    [sym_type_identifier] = ACTIONS(4010),
    [anon_sym_assert] = ACTIONS(4010),
    [anon_sym_defer] = ACTIONS(4010),
    [anon_sym_unsafe] = ACTIONS(4010),
    [anon_sym_pub] = ACTIONS(4010),
    [anon_sym_fn] = ACTIONS(4010),
    [anon_sym___global] = ACTIONS(4010),
    [anon_sym_const] = ACTIONS(4010),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym_break] = ACTIONS(4010),
    [anon_sym_continue] = ACTIONS(4010),
    [anon_sym_return] = ACTIONS(4010),
    [anon_sym_type] = ACTIONS(4010),
    [anon_sym_go] = ACTIONS(4010),
    [anon_sym_spawn] = ACTIONS(4010),
    [anon_sym_goto] = ACTIONS(4010),
    [anon_sym_for] = ACTIONS(4010),
    [anon_sym_DOLLARfor] = ACTIONS(4008),
    [anon_sym_DOLLARif] = ACTIONS(4008),
    [anon_sym_if] = ACTIONS(4010),
    [anon_sym_struct] = ACTIONS(4010),
    [anon_sym_union] = ACTIONS(4010),
    [anon_sym_enum] = ACTIONS(4010),
    [anon_sym_interface] = ACTIONS(4010),
    [anon_sym_POUND] = ACTIONS(4008),
    [anon_sym_module] = ACTIONS(4010),
    [anon_sym_import] = ACTIONS(4010),
    [anon_sym_match] = ACTIONS(4010),
    [anon_sym_select] = ACTIONS(4010),
    [anon_sym_lock] = ACTIONS(4010),
    [anon_sym_rlock] = ACTIONS(4010),
    [sym__automatic_separator] = ACTIONS(4008),
    [sym__c_string_opening] = ACTIONS(4008),
    [sym__raw_string_opening] = ACTIONS(4008),
    [sym__string_opening] = ACTIONS(4008),
    [sym__comment] = ACTIONS(3),
  },
  [1559] = {
    [sym_comment] = STATE(1559),
    [ts_builtin_sym_end] = ACTIONS(4012),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_LPAREN] = ACTIONS(4012),
    [anon_sym_PLUS] = ACTIONS(4012),
    [anon_sym_DASH] = ACTIONS(4012),
    [anon_sym_BANG] = ACTIONS(4012),
    [anon_sym_TILDE] = ACTIONS(4012),
    [anon_sym_CARET] = ACTIONS(4012),
    [anon_sym_STAR] = ACTIONS(4012),
    [anon_sym_AMP] = ACTIONS(4012),
    [anon_sym_LT_DASH] = ACTIONS(4012),
    [anon_sym_DOLLAR] = ACTIONS(4014),
    [sym_none] = ACTIONS(4014),
    [sym_true] = ACTIONS(4014),
    [sym_false] = ACTIONS(4014),
    [anon_sym_LBRACE] = ACTIONS(4012),
    [anon_sym_LBRACK] = ACTIONS(4012),
    [anon_sym_map_LBRACK] = ACTIONS(4012),
    [anon_sym_chan] = ACTIONS(4014),
    [anon_sym_shared] = ACTIONS(4014),
    [anon_sym_thread] = ACTIONS(4014),
    [sym_int_literal] = ACTIONS(4014),
    [sym_float_literal] = ACTIONS(4012),
    [sym_rune_literal] = ACTIONS(4012),
    [anon_sym_DOT] = ACTIONS(4014),
    [anon_sym_array] = ACTIONS(4014),
    [anon_sym_string] = ACTIONS(4014),
    [anon_sym_char] = ACTIONS(4014),
    [anon_sym_sql] = ACTIONS(4014),
    [anon_sym_mut] = ACTIONS(4014),
    [anon_sym_C] = ACTIONS(4014),
    [anon_sym_JS] = ACTIONS(4014),
    [anon_sym_voidptr] = ACTIONS(4014),
    [anon_sym_byteptr] = ACTIONS(4014),
    [anon_sym_charptr] = ACTIONS(4014),
    [anon_sym_i8] = ACTIONS(4014),
    [anon_sym_i16] = ACTIONS(4014),
    [anon_sym_i32] = ACTIONS(4014),
    [anon_sym_int] = ACTIONS(4014),
    [anon_sym_i64] = ACTIONS(4014),
    [anon_sym_byte] = ACTIONS(4014),
    [anon_sym_u8] = ACTIONS(4014),
    [anon_sym_u16] = ACTIONS(4014),
    [anon_sym_u32] = ACTIONS(4014),
    [anon_sym_u64] = ACTIONS(4014),
    [anon_sym_f32] = ACTIONS(4014),
    [anon_sym_f64] = ACTIONS(4014),
    [anon_sym_bool] = ACTIONS(4014),
    [anon_sym_rune] = ACTIONS(4014),
    [anon_sym_map] = ACTIONS(4014),
    [anon_sym_mapnode] = ACTIONS(4014),
    [anon_sym_size_t] = ACTIONS(4014),
    [anon_sym_usize] = ACTIONS(4014),
    [anon_sym_isize] = ACTIONS(4014),
    [anon_sym_float_literal] = ACTIONS(4014),
    [anon_sym_int_literal] = ACTIONS(4014),
    [anon_sym_IError] = ACTIONS(4014),
    [sym_type_placeholder] = ACTIONS(4014),
    [anon_sym_AT] = ACTIONS(4014),
    [sym_type_identifier] = ACTIONS(4014),
    [anon_sym_assert] = ACTIONS(4014),
    [anon_sym_defer] = ACTIONS(4014),
    [anon_sym_unsafe] = ACTIONS(4014),
    [anon_sym_pub] = ACTIONS(4014),
    [anon_sym_fn] = ACTIONS(4014),
    [anon_sym___global] = ACTIONS(4014),
    [anon_sym_const] = ACTIONS(4014),
    [anon_sym_asm] = ACTIONS(4014),
    [anon_sym_break] = ACTIONS(4014),
    [anon_sym_continue] = ACTIONS(4014),
    [anon_sym_return] = ACTIONS(4014),
    [anon_sym_type] = ACTIONS(4014),
    [anon_sym_go] = ACTIONS(4014),
    [anon_sym_spawn] = ACTIONS(4014),
    [anon_sym_goto] = ACTIONS(4014),
    [anon_sym_for] = ACTIONS(4014),
    [anon_sym_DOLLARfor] = ACTIONS(4012),
    [anon_sym_DOLLARif] = ACTIONS(4012),
    [anon_sym_if] = ACTIONS(4014),
    [anon_sym_struct] = ACTIONS(4014),
    [anon_sym_union] = ACTIONS(4014),
    [anon_sym_enum] = ACTIONS(4014),
    [anon_sym_interface] = ACTIONS(4014),
    [anon_sym_POUND] = ACTIONS(4012),
    [anon_sym_module] = ACTIONS(4014),
    [anon_sym_import] = ACTIONS(4014),
    [anon_sym_match] = ACTIONS(4014),
    [anon_sym_select] = ACTIONS(4014),
    [anon_sym_lock] = ACTIONS(4014),
    [anon_sym_rlock] = ACTIONS(4014),
    [sym__automatic_separator] = ACTIONS(4012),
    [sym__c_string_opening] = ACTIONS(4012),
    [sym__raw_string_opening] = ACTIONS(4012),
    [sym__string_opening] = ACTIONS(4012),
    [sym__comment] = ACTIONS(3),
  },
  [1560] = {
    [sym_comment] = STATE(1560),
    [ts_builtin_sym_end] = ACTIONS(4016),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_LPAREN] = ACTIONS(4016),
    [anon_sym_PLUS] = ACTIONS(4016),
    [anon_sym_DASH] = ACTIONS(4016),
    [anon_sym_BANG] = ACTIONS(4016),
    [anon_sym_TILDE] = ACTIONS(4016),
    [anon_sym_CARET] = ACTIONS(4016),
    [anon_sym_STAR] = ACTIONS(4016),
    [anon_sym_AMP] = ACTIONS(4016),
    [anon_sym_LT_DASH] = ACTIONS(4016),
    [anon_sym_DOLLAR] = ACTIONS(4018),
    [sym_none] = ACTIONS(4018),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_LBRACE] = ACTIONS(4016),
    [anon_sym_LBRACK] = ACTIONS(4016),
    [anon_sym_map_LBRACK] = ACTIONS(4016),
    [anon_sym_chan] = ACTIONS(4018),
    [anon_sym_shared] = ACTIONS(4018),
    [anon_sym_thread] = ACTIONS(4018),
    [sym_int_literal] = ACTIONS(4018),
    [sym_float_literal] = ACTIONS(4016),
    [sym_rune_literal] = ACTIONS(4016),
    [anon_sym_DOT] = ACTIONS(4018),
    [anon_sym_array] = ACTIONS(4018),
    [anon_sym_string] = ACTIONS(4018),
    [anon_sym_char] = ACTIONS(4018),
    [anon_sym_sql] = ACTIONS(4018),
    [anon_sym_mut] = ACTIONS(4018),
    [anon_sym_C] = ACTIONS(4018),
    [anon_sym_JS] = ACTIONS(4018),
    [anon_sym_voidptr] = ACTIONS(4018),
    [anon_sym_byteptr] = ACTIONS(4018),
    [anon_sym_charptr] = ACTIONS(4018),
    [anon_sym_i8] = ACTIONS(4018),
    [anon_sym_i16] = ACTIONS(4018),
    [anon_sym_i32] = ACTIONS(4018),
    [anon_sym_int] = ACTIONS(4018),
    [anon_sym_i64] = ACTIONS(4018),
    [anon_sym_byte] = ACTIONS(4018),
    [anon_sym_u8] = ACTIONS(4018),
    [anon_sym_u16] = ACTIONS(4018),
    [anon_sym_u32] = ACTIONS(4018),
    [anon_sym_u64] = ACTIONS(4018),
    [anon_sym_f32] = ACTIONS(4018),
    [anon_sym_f64] = ACTIONS(4018),
    [anon_sym_bool] = ACTIONS(4018),
    [anon_sym_rune] = ACTIONS(4018),
    [anon_sym_map] = ACTIONS(4018),
    [anon_sym_mapnode] = ACTIONS(4018),
    [anon_sym_size_t] = ACTIONS(4018),
    [anon_sym_usize] = ACTIONS(4018),
    [anon_sym_isize] = ACTIONS(4018),
    [anon_sym_float_literal] = ACTIONS(4018),
    [anon_sym_int_literal] = ACTIONS(4018),
    [anon_sym_IError] = ACTIONS(4018),
    [sym_type_placeholder] = ACTIONS(4018),
    [anon_sym_AT] = ACTIONS(4018),
    [sym_type_identifier] = ACTIONS(4018),
    [anon_sym_assert] = ACTIONS(4018),
    [anon_sym_defer] = ACTIONS(4018),
    [anon_sym_unsafe] = ACTIONS(4018),
    [anon_sym_pub] = ACTIONS(4018),
    [anon_sym_fn] = ACTIONS(4018),
    [anon_sym___global] = ACTIONS(4018),
    [anon_sym_const] = ACTIONS(4018),
    [anon_sym_asm] = ACTIONS(4018),
    [anon_sym_break] = ACTIONS(4018),
    [anon_sym_continue] = ACTIONS(4018),
    [anon_sym_return] = ACTIONS(4018),
    [anon_sym_type] = ACTIONS(4018),
    [anon_sym_go] = ACTIONS(4018),
    [anon_sym_spawn] = ACTIONS(4018),
    [anon_sym_goto] = ACTIONS(4018),
    [anon_sym_for] = ACTIONS(4018),
    [anon_sym_DOLLARfor] = ACTIONS(4016),
    [anon_sym_DOLLARif] = ACTIONS(4016),
    [anon_sym_if] = ACTIONS(4018),
    [anon_sym_struct] = ACTIONS(4018),
    [anon_sym_union] = ACTIONS(4018),
    [anon_sym_enum] = ACTIONS(4018),
    [anon_sym_interface] = ACTIONS(4018),
    [anon_sym_POUND] = ACTIONS(4016),
    [anon_sym_module] = ACTIONS(4018),
    [anon_sym_import] = ACTIONS(4018),
    [anon_sym_match] = ACTIONS(4018),
    [anon_sym_select] = ACTIONS(4018),
    [anon_sym_lock] = ACTIONS(4018),
    [anon_sym_rlock] = ACTIONS(4018),
    [sym__automatic_separator] = ACTIONS(4016),
    [sym__c_string_opening] = ACTIONS(4016),
    [sym__raw_string_opening] = ACTIONS(4016),
    [sym__string_opening] = ACTIONS(4016),
    [sym__comment] = ACTIONS(3),
  },
  [1561] = {
    [sym_comment] = STATE(1561),
    [ts_builtin_sym_end] = ACTIONS(4020),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_LPAREN] = ACTIONS(4020),
    [anon_sym_PLUS] = ACTIONS(4020),
    [anon_sym_DASH] = ACTIONS(4020),
    [anon_sym_BANG] = ACTIONS(4020),
    [anon_sym_TILDE] = ACTIONS(4020),
    [anon_sym_CARET] = ACTIONS(4020),
    [anon_sym_STAR] = ACTIONS(4020),
    [anon_sym_AMP] = ACTIONS(4020),
    [anon_sym_LT_DASH] = ACTIONS(4020),
    [anon_sym_DOLLAR] = ACTIONS(4022),
    [sym_none] = ACTIONS(4022),
    [sym_true] = ACTIONS(4022),
    [sym_false] = ACTIONS(4022),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_LBRACK] = ACTIONS(4020),
    [anon_sym_map_LBRACK] = ACTIONS(4020),
    [anon_sym_chan] = ACTIONS(4022),
    [anon_sym_shared] = ACTIONS(4022),
    [anon_sym_thread] = ACTIONS(4022),
    [sym_int_literal] = ACTIONS(4022),
    [sym_float_literal] = ACTIONS(4020),
    [sym_rune_literal] = ACTIONS(4020),
    [anon_sym_DOT] = ACTIONS(4022),
    [anon_sym_array] = ACTIONS(4022),
    [anon_sym_string] = ACTIONS(4022),
    [anon_sym_char] = ACTIONS(4022),
    [anon_sym_sql] = ACTIONS(4022),
    [anon_sym_mut] = ACTIONS(4022),
    [anon_sym_C] = ACTIONS(4022),
    [anon_sym_JS] = ACTIONS(4022),
    [anon_sym_voidptr] = ACTIONS(4022),
    [anon_sym_byteptr] = ACTIONS(4022),
    [anon_sym_charptr] = ACTIONS(4022),
    [anon_sym_i8] = ACTIONS(4022),
    [anon_sym_i16] = ACTIONS(4022),
    [anon_sym_i32] = ACTIONS(4022),
    [anon_sym_int] = ACTIONS(4022),
    [anon_sym_i64] = ACTIONS(4022),
    [anon_sym_byte] = ACTIONS(4022),
    [anon_sym_u8] = ACTIONS(4022),
    [anon_sym_u16] = ACTIONS(4022),
    [anon_sym_u32] = ACTIONS(4022),
    [anon_sym_u64] = ACTIONS(4022),
    [anon_sym_f32] = ACTIONS(4022),
    [anon_sym_f64] = ACTIONS(4022),
    [anon_sym_bool] = ACTIONS(4022),
    [anon_sym_rune] = ACTIONS(4022),
    [anon_sym_map] = ACTIONS(4022),
    [anon_sym_mapnode] = ACTIONS(4022),
    [anon_sym_size_t] = ACTIONS(4022),
    [anon_sym_usize] = ACTIONS(4022),
    [anon_sym_isize] = ACTIONS(4022),
    [anon_sym_float_literal] = ACTIONS(4022),
    [anon_sym_int_literal] = ACTIONS(4022),
    [anon_sym_IError] = ACTIONS(4022),
    [sym_type_placeholder] = ACTIONS(4022),
    [anon_sym_AT] = ACTIONS(4022),
    [sym_type_identifier] = ACTIONS(4022),
    [anon_sym_assert] = ACTIONS(4022),
    [anon_sym_defer] = ACTIONS(4022),
    [anon_sym_unsafe] = ACTIONS(4022),
    [anon_sym_pub] = ACTIONS(4022),
    [anon_sym_fn] = ACTIONS(4022),
    [anon_sym___global] = ACTIONS(4022),
    [anon_sym_const] = ACTIONS(4022),
    [anon_sym_asm] = ACTIONS(4022),
    [anon_sym_break] = ACTIONS(4022),
    [anon_sym_continue] = ACTIONS(4022),
    [anon_sym_return] = ACTIONS(4022),
    [anon_sym_type] = ACTIONS(4022),
    [anon_sym_go] = ACTIONS(4022),
    [anon_sym_spawn] = ACTIONS(4022),
    [anon_sym_goto] = ACTIONS(4022),
    [anon_sym_for] = ACTIONS(4022),
    [anon_sym_DOLLARfor] = ACTIONS(4020),
    [anon_sym_DOLLARif] = ACTIONS(4020),
    [anon_sym_if] = ACTIONS(4022),
    [anon_sym_struct] = ACTIONS(4022),
    [anon_sym_union] = ACTIONS(4022),
    [anon_sym_enum] = ACTIONS(4022),
    [anon_sym_interface] = ACTIONS(4022),
    [anon_sym_POUND] = ACTIONS(4020),
    [anon_sym_module] = ACTIONS(4022),
    [anon_sym_import] = ACTIONS(4022),
    [anon_sym_match] = ACTIONS(4022),
    [anon_sym_select] = ACTIONS(4022),
    [anon_sym_lock] = ACTIONS(4022),
    [anon_sym_rlock] = ACTIONS(4022),
    [sym__automatic_separator] = ACTIONS(4020),
    [sym__c_string_opening] = ACTIONS(4020),
    [sym__raw_string_opening] = ACTIONS(4020),
    [sym__string_opening] = ACTIONS(4020),
    [sym__comment] = ACTIONS(3),
  },
  [1562] = {
    [sym_comment] = STATE(1562),
    [ts_builtin_sym_end] = ACTIONS(4024),
    [sym_identifier] = ACTIONS(4026),
    [anon_sym_LPAREN] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4024),
    [anon_sym_DASH] = ACTIONS(4024),
    [anon_sym_BANG] = ACTIONS(4024),
    [anon_sym_TILDE] = ACTIONS(4024),
    [anon_sym_CARET] = ACTIONS(4024),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_AMP] = ACTIONS(4024),
    [anon_sym_LT_DASH] = ACTIONS(4024),
    [anon_sym_DOLLAR] = ACTIONS(4026),
    [sym_none] = ACTIONS(4026),
    [sym_true] = ACTIONS(4026),
    [sym_false] = ACTIONS(4026),
    [anon_sym_LBRACE] = ACTIONS(4024),
    [anon_sym_LBRACK] = ACTIONS(4024),
    [anon_sym_map_LBRACK] = ACTIONS(4024),
    [anon_sym_chan] = ACTIONS(4026),
    [anon_sym_shared] = ACTIONS(4026),
    [anon_sym_thread] = ACTIONS(4026),
    [sym_int_literal] = ACTIONS(4026),
    [sym_float_literal] = ACTIONS(4024),
    [sym_rune_literal] = ACTIONS(4024),
    [anon_sym_DOT] = ACTIONS(4026),
    [anon_sym_array] = ACTIONS(4026),
    [anon_sym_string] = ACTIONS(4026),
    [anon_sym_char] = ACTIONS(4026),
    [anon_sym_sql] = ACTIONS(4026),
    [anon_sym_mut] = ACTIONS(4026),
    [anon_sym_C] = ACTIONS(4026),
    [anon_sym_JS] = ACTIONS(4026),
    [anon_sym_voidptr] = ACTIONS(4026),
    [anon_sym_byteptr] = ACTIONS(4026),
    [anon_sym_charptr] = ACTIONS(4026),
    [anon_sym_i8] = ACTIONS(4026),
    [anon_sym_i16] = ACTIONS(4026),
    [anon_sym_i32] = ACTIONS(4026),
    [anon_sym_int] = ACTIONS(4026),
    [anon_sym_i64] = ACTIONS(4026),
    [anon_sym_byte] = ACTIONS(4026),
    [anon_sym_u8] = ACTIONS(4026),
    [anon_sym_u16] = ACTIONS(4026),
    [anon_sym_u32] = ACTIONS(4026),
    [anon_sym_u64] = ACTIONS(4026),
    [anon_sym_f32] = ACTIONS(4026),
    [anon_sym_f64] = ACTIONS(4026),
    [anon_sym_bool] = ACTIONS(4026),
    [anon_sym_rune] = ACTIONS(4026),
    [anon_sym_map] = ACTIONS(4026),
    [anon_sym_mapnode] = ACTIONS(4026),
    [anon_sym_size_t] = ACTIONS(4026),
    [anon_sym_usize] = ACTIONS(4026),
    [anon_sym_isize] = ACTIONS(4026),
    [anon_sym_float_literal] = ACTIONS(4026),
    [anon_sym_int_literal] = ACTIONS(4026),
    [anon_sym_IError] = ACTIONS(4026),
    [sym_type_placeholder] = ACTIONS(4026),
    [anon_sym_AT] = ACTIONS(4026),
    [sym_type_identifier] = ACTIONS(4026),
    [anon_sym_assert] = ACTIONS(4026),
    [anon_sym_defer] = ACTIONS(4026),
    [anon_sym_unsafe] = ACTIONS(4026),
    [anon_sym_pub] = ACTIONS(4026),
    [anon_sym_fn] = ACTIONS(4026),
    [anon_sym___global] = ACTIONS(4026),
    [anon_sym_const] = ACTIONS(4026),
    [anon_sym_asm] = ACTIONS(4026),
    [anon_sym_break] = ACTIONS(4026),
    [anon_sym_continue] = ACTIONS(4026),
    [anon_sym_return] = ACTIONS(4026),
    [anon_sym_type] = ACTIONS(4026),
    [anon_sym_go] = ACTIONS(4026),
    [anon_sym_spawn] = ACTIONS(4026),
    [anon_sym_goto] = ACTIONS(4026),
    [anon_sym_for] = ACTIONS(4026),
    [anon_sym_DOLLARfor] = ACTIONS(4024),
    [anon_sym_DOLLARif] = ACTIONS(4024),
    [anon_sym_if] = ACTIONS(4026),
    [anon_sym_struct] = ACTIONS(4026),
    [anon_sym_union] = ACTIONS(4026),
    [anon_sym_enum] = ACTIONS(4026),
    [anon_sym_interface] = ACTIONS(4026),
    [anon_sym_POUND] = ACTIONS(4024),
    [anon_sym_module] = ACTIONS(4026),
    [anon_sym_import] = ACTIONS(4026),
    [anon_sym_match] = ACTIONS(4026),
    [anon_sym_select] = ACTIONS(4026),
    [anon_sym_lock] = ACTIONS(4026),
    [anon_sym_rlock] = ACTIONS(4026),
    [sym__automatic_separator] = ACTIONS(4024),
    [sym__c_string_opening] = ACTIONS(4024),
    [sym__raw_string_opening] = ACTIONS(4024),
    [sym__string_opening] = ACTIONS(4024),
    [sym__comment] = ACTIONS(3),
  },
  [1563] = {
    [sym_comment] = STATE(1563),
    [ts_builtin_sym_end] = ACTIONS(4028),
    [sym_identifier] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4028),
    [anon_sym_PLUS] = ACTIONS(4028),
    [anon_sym_DASH] = ACTIONS(4028),
    [anon_sym_BANG] = ACTIONS(4028),
    [anon_sym_TILDE] = ACTIONS(4028),
    [anon_sym_CARET] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(4028),
    [anon_sym_AMP] = ACTIONS(4028),
    [anon_sym_LT_DASH] = ACTIONS(4028),
    [anon_sym_DOLLAR] = ACTIONS(4030),
    [sym_none] = ACTIONS(4030),
    [sym_true] = ACTIONS(4030),
    [sym_false] = ACTIONS(4030),
    [anon_sym_LBRACE] = ACTIONS(4028),
    [anon_sym_LBRACK] = ACTIONS(4028),
    [anon_sym_map_LBRACK] = ACTIONS(4028),
    [anon_sym_chan] = ACTIONS(4030),
    [anon_sym_shared] = ACTIONS(4030),
    [anon_sym_thread] = ACTIONS(4030),
    [sym_int_literal] = ACTIONS(4030),
    [sym_float_literal] = ACTIONS(4028),
    [sym_rune_literal] = ACTIONS(4028),
    [anon_sym_DOT] = ACTIONS(4030),
    [anon_sym_array] = ACTIONS(4030),
    [anon_sym_string] = ACTIONS(4030),
    [anon_sym_char] = ACTIONS(4030),
    [anon_sym_sql] = ACTIONS(4030),
    [anon_sym_mut] = ACTIONS(4030),
    [anon_sym_C] = ACTIONS(4030),
    [anon_sym_JS] = ACTIONS(4030),
    [anon_sym_voidptr] = ACTIONS(4030),
    [anon_sym_byteptr] = ACTIONS(4030),
    [anon_sym_charptr] = ACTIONS(4030),
    [anon_sym_i8] = ACTIONS(4030),
    [anon_sym_i16] = ACTIONS(4030),
    [anon_sym_i32] = ACTIONS(4030),
    [anon_sym_int] = ACTIONS(4030),
    [anon_sym_i64] = ACTIONS(4030),
    [anon_sym_byte] = ACTIONS(4030),
    [anon_sym_u8] = ACTIONS(4030),
    [anon_sym_u16] = ACTIONS(4030),
    [anon_sym_u32] = ACTIONS(4030),
    [anon_sym_u64] = ACTIONS(4030),
    [anon_sym_f32] = ACTIONS(4030),
    [anon_sym_f64] = ACTIONS(4030),
    [anon_sym_bool] = ACTIONS(4030),
    [anon_sym_rune] = ACTIONS(4030),
    [anon_sym_map] = ACTIONS(4030),
    [anon_sym_mapnode] = ACTIONS(4030),
    [anon_sym_size_t] = ACTIONS(4030),
    [anon_sym_usize] = ACTIONS(4030),
    [anon_sym_isize] = ACTIONS(4030),
    [anon_sym_float_literal] = ACTIONS(4030),
    [anon_sym_int_literal] = ACTIONS(4030),
    [anon_sym_IError] = ACTIONS(4030),
    [sym_type_placeholder] = ACTIONS(4030),
    [anon_sym_AT] = ACTIONS(4030),
    [sym_type_identifier] = ACTIONS(4030),
    [anon_sym_assert] = ACTIONS(4030),
    [anon_sym_defer] = ACTIONS(4030),
    [anon_sym_unsafe] = ACTIONS(4030),
    [anon_sym_pub] = ACTIONS(4030),
    [anon_sym_fn] = ACTIONS(4030),
    [anon_sym___global] = ACTIONS(4030),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_asm] = ACTIONS(4030),
    [anon_sym_break] = ACTIONS(4030),
    [anon_sym_continue] = ACTIONS(4030),
    [anon_sym_return] = ACTIONS(4030),
    [anon_sym_type] = ACTIONS(4030),
    [anon_sym_go] = ACTIONS(4030),
    [anon_sym_spawn] = ACTIONS(4030),
    [anon_sym_goto] = ACTIONS(4030),
    [anon_sym_for] = ACTIONS(4030),
    [anon_sym_DOLLARfor] = ACTIONS(4028),
    [anon_sym_DOLLARif] = ACTIONS(4028),
    [anon_sym_if] = ACTIONS(4030),
    [anon_sym_struct] = ACTIONS(4030),
    [anon_sym_union] = ACTIONS(4030),
    [anon_sym_enum] = ACTIONS(4030),
    [anon_sym_interface] = ACTIONS(4030),
    [anon_sym_POUND] = ACTIONS(4028),
    [anon_sym_module] = ACTIONS(4030),
    [anon_sym_import] = ACTIONS(4030),
    [anon_sym_match] = ACTIONS(4030),
    [anon_sym_select] = ACTIONS(4030),
    [anon_sym_lock] = ACTIONS(4030),
    [anon_sym_rlock] = ACTIONS(4030),
    [sym__automatic_separator] = ACTIONS(4028),
    [sym__c_string_opening] = ACTIONS(4028),
    [sym__raw_string_opening] = ACTIONS(4028),
    [sym__string_opening] = ACTIONS(4028),
    [sym__comment] = ACTIONS(3),
  },
  [1564] = {
    [sym_comment] = STATE(1564),
    [ts_builtin_sym_end] = ACTIONS(4032),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_PLUS] = ACTIONS(4032),
    [anon_sym_DASH] = ACTIONS(4032),
    [anon_sym_BANG] = ACTIONS(4032),
    [anon_sym_TILDE] = ACTIONS(4032),
    [anon_sym_CARET] = ACTIONS(4032),
    [anon_sym_STAR] = ACTIONS(4032),
    [anon_sym_AMP] = ACTIONS(4032),
    [anon_sym_LT_DASH] = ACTIONS(4032),
    [anon_sym_DOLLAR] = ACTIONS(4034),
    [sym_none] = ACTIONS(4034),
    [sym_true] = ACTIONS(4034),
    [sym_false] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4032),
    [anon_sym_map_LBRACK] = ACTIONS(4032),
    [anon_sym_chan] = ACTIONS(4034),
    [anon_sym_shared] = ACTIONS(4034),
    [anon_sym_thread] = ACTIONS(4034),
    [sym_int_literal] = ACTIONS(4034),
    [sym_float_literal] = ACTIONS(4032),
    [sym_rune_literal] = ACTIONS(4032),
    [anon_sym_DOT] = ACTIONS(4034),
    [anon_sym_array] = ACTIONS(4034),
    [anon_sym_string] = ACTIONS(4034),
    [anon_sym_char] = ACTIONS(4034),
    [anon_sym_sql] = ACTIONS(4034),
    [anon_sym_mut] = ACTIONS(4034),
    [anon_sym_C] = ACTIONS(4034),
    [anon_sym_JS] = ACTIONS(4034),
    [anon_sym_voidptr] = ACTIONS(4034),
    [anon_sym_byteptr] = ACTIONS(4034),
    [anon_sym_charptr] = ACTIONS(4034),
    [anon_sym_i8] = ACTIONS(4034),
    [anon_sym_i16] = ACTIONS(4034),
    [anon_sym_i32] = ACTIONS(4034),
    [anon_sym_int] = ACTIONS(4034),
    [anon_sym_i64] = ACTIONS(4034),
    [anon_sym_byte] = ACTIONS(4034),
    [anon_sym_u8] = ACTIONS(4034),
    [anon_sym_u16] = ACTIONS(4034),
    [anon_sym_u32] = ACTIONS(4034),
    [anon_sym_u64] = ACTIONS(4034),
    [anon_sym_f32] = ACTIONS(4034),
    [anon_sym_f64] = ACTIONS(4034),
    [anon_sym_bool] = ACTIONS(4034),
    [anon_sym_rune] = ACTIONS(4034),
    [anon_sym_map] = ACTIONS(4034),
    [anon_sym_mapnode] = ACTIONS(4034),
    [anon_sym_size_t] = ACTIONS(4034),
    [anon_sym_usize] = ACTIONS(4034),
    [anon_sym_isize] = ACTIONS(4034),
    [anon_sym_float_literal] = ACTIONS(4034),
    [anon_sym_int_literal] = ACTIONS(4034),
    [anon_sym_IError] = ACTIONS(4034),
    [sym_type_placeholder] = ACTIONS(4034),
    [anon_sym_AT] = ACTIONS(4034),
    [sym_type_identifier] = ACTIONS(4034),
    [anon_sym_assert] = ACTIONS(4034),
    [anon_sym_defer] = ACTIONS(4034),
    [anon_sym_unsafe] = ACTIONS(4034),
    [anon_sym_pub] = ACTIONS(4034),
    [anon_sym_fn] = ACTIONS(4034),
    [anon_sym___global] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_asm] = ACTIONS(4034),
    [anon_sym_break] = ACTIONS(4034),
    [anon_sym_continue] = ACTIONS(4034),
    [anon_sym_return] = ACTIONS(4034),
    [anon_sym_type] = ACTIONS(4034),
    [anon_sym_go] = ACTIONS(4034),
    [anon_sym_spawn] = ACTIONS(4034),
    [anon_sym_goto] = ACTIONS(4034),
    [anon_sym_for] = ACTIONS(4034),
    [anon_sym_DOLLARfor] = ACTIONS(4032),
    [anon_sym_DOLLARif] = ACTIONS(4032),
    [anon_sym_if] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_interface] = ACTIONS(4034),
    [anon_sym_POUND] = ACTIONS(4032),
    [anon_sym_module] = ACTIONS(4034),
    [anon_sym_import] = ACTIONS(4034),
    [anon_sym_match] = ACTIONS(4034),
    [anon_sym_select] = ACTIONS(4034),
    [anon_sym_lock] = ACTIONS(4034),
    [anon_sym_rlock] = ACTIONS(4034),
    [sym__automatic_separator] = ACTIONS(4032),
    [sym__c_string_opening] = ACTIONS(4032),
    [sym__raw_string_opening] = ACTIONS(4032),
    [sym__string_opening] = ACTIONS(4032),
    [sym__comment] = ACTIONS(3),
  },
  [1565] = {
    [sym_comment] = STATE(1565),
    [ts_builtin_sym_end] = ACTIONS(4036),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_LPAREN] = ACTIONS(4036),
    [anon_sym_PLUS] = ACTIONS(4036),
    [anon_sym_DASH] = ACTIONS(4036),
    [anon_sym_BANG] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4036),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_STAR] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4036),
    [anon_sym_LT_DASH] = ACTIONS(4036),
    [anon_sym_DOLLAR] = ACTIONS(4038),
    [sym_none] = ACTIONS(4038),
    [sym_true] = ACTIONS(4038),
    [sym_false] = ACTIONS(4038),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_map_LBRACK] = ACTIONS(4036),
    [anon_sym_chan] = ACTIONS(4038),
    [anon_sym_shared] = ACTIONS(4038),
    [anon_sym_thread] = ACTIONS(4038),
    [sym_int_literal] = ACTIONS(4038),
    [sym_float_literal] = ACTIONS(4036),
    [sym_rune_literal] = ACTIONS(4036),
    [anon_sym_DOT] = ACTIONS(4038),
    [anon_sym_array] = ACTIONS(4038),
    [anon_sym_string] = ACTIONS(4038),
    [anon_sym_char] = ACTIONS(4038),
    [anon_sym_sql] = ACTIONS(4038),
    [anon_sym_mut] = ACTIONS(4038),
    [anon_sym_C] = ACTIONS(4038),
    [anon_sym_JS] = ACTIONS(4038),
    [anon_sym_voidptr] = ACTIONS(4038),
    [anon_sym_byteptr] = ACTIONS(4038),
    [anon_sym_charptr] = ACTIONS(4038),
    [anon_sym_i8] = ACTIONS(4038),
    [anon_sym_i16] = ACTIONS(4038),
    [anon_sym_i32] = ACTIONS(4038),
    [anon_sym_int] = ACTIONS(4038),
    [anon_sym_i64] = ACTIONS(4038),
    [anon_sym_byte] = ACTIONS(4038),
    [anon_sym_u8] = ACTIONS(4038),
    [anon_sym_u16] = ACTIONS(4038),
    [anon_sym_u32] = ACTIONS(4038),
    [anon_sym_u64] = ACTIONS(4038),
    [anon_sym_f32] = ACTIONS(4038),
    [anon_sym_f64] = ACTIONS(4038),
    [anon_sym_bool] = ACTIONS(4038),
    [anon_sym_rune] = ACTIONS(4038),
    [anon_sym_map] = ACTIONS(4038),
    [anon_sym_mapnode] = ACTIONS(4038),
    [anon_sym_size_t] = ACTIONS(4038),
    [anon_sym_usize] = ACTIONS(4038),
    [anon_sym_isize] = ACTIONS(4038),
    [anon_sym_float_literal] = ACTIONS(4038),
    [anon_sym_int_literal] = ACTIONS(4038),
    [anon_sym_IError] = ACTIONS(4038),
    [sym_type_placeholder] = ACTIONS(4038),
    [anon_sym_AT] = ACTIONS(4038),
    [sym_type_identifier] = ACTIONS(4038),
    [anon_sym_assert] = ACTIONS(4038),
    [anon_sym_defer] = ACTIONS(4038),
    [anon_sym_unsafe] = ACTIONS(4038),
    [anon_sym_pub] = ACTIONS(4038),
    [anon_sym_fn] = ACTIONS(4038),
    [anon_sym___global] = ACTIONS(4038),
    [anon_sym_const] = ACTIONS(4038),
    [anon_sym_asm] = ACTIONS(4038),
    [anon_sym_break] = ACTIONS(4038),
    [anon_sym_continue] = ACTIONS(4038),
    [anon_sym_return] = ACTIONS(4038),
    [anon_sym_type] = ACTIONS(4038),
    [anon_sym_go] = ACTIONS(4038),
    [anon_sym_spawn] = ACTIONS(4038),
    [anon_sym_goto] = ACTIONS(4038),
    [anon_sym_for] = ACTIONS(4038),
    [anon_sym_DOLLARfor] = ACTIONS(4036),
    [anon_sym_DOLLARif] = ACTIONS(4036),
    [anon_sym_if] = ACTIONS(4038),
    [anon_sym_struct] = ACTIONS(4038),
    [anon_sym_union] = ACTIONS(4038),
    [anon_sym_enum] = ACTIONS(4038),
    [anon_sym_interface] = ACTIONS(4038),
    [anon_sym_POUND] = ACTIONS(4036),
    [anon_sym_module] = ACTIONS(4038),
    [anon_sym_import] = ACTIONS(4038),
    [anon_sym_match] = ACTIONS(4038),
    [anon_sym_select] = ACTIONS(4038),
    [anon_sym_lock] = ACTIONS(4038),
    [anon_sym_rlock] = ACTIONS(4038),
    [sym__automatic_separator] = ACTIONS(4036),
    [sym__c_string_opening] = ACTIONS(4036),
    [sym__raw_string_opening] = ACTIONS(4036),
    [sym__string_opening] = ACTIONS(4036),
    [sym__comment] = ACTIONS(3),
  },
  [1566] = {
    [sym_comment] = STATE(1566),
    [ts_builtin_sym_end] = ACTIONS(4040),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_PLUS] = ACTIONS(4040),
    [anon_sym_DASH] = ACTIONS(4040),
    [anon_sym_BANG] = ACTIONS(4040),
    [anon_sym_TILDE] = ACTIONS(4040),
    [anon_sym_CARET] = ACTIONS(4040),
    [anon_sym_STAR] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4040),
    [anon_sym_LT_DASH] = ACTIONS(4040),
    [anon_sym_DOLLAR] = ACTIONS(4042),
    [sym_none] = ACTIONS(4042),
    [sym_true] = ACTIONS(4042),
    [sym_false] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4040),
    [anon_sym_map_LBRACK] = ACTIONS(4040),
    [anon_sym_chan] = ACTIONS(4042),
    [anon_sym_shared] = ACTIONS(4042),
    [anon_sym_thread] = ACTIONS(4042),
    [sym_int_literal] = ACTIONS(4042),
    [sym_float_literal] = ACTIONS(4040),
    [sym_rune_literal] = ACTIONS(4040),
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_array] = ACTIONS(4042),
    [anon_sym_string] = ACTIONS(4042),
    [anon_sym_char] = ACTIONS(4042),
    [anon_sym_sql] = ACTIONS(4042),
    [anon_sym_mut] = ACTIONS(4042),
    [anon_sym_C] = ACTIONS(4042),
    [anon_sym_JS] = ACTIONS(4042),
    [anon_sym_voidptr] = ACTIONS(4042),
    [anon_sym_byteptr] = ACTIONS(4042),
    [anon_sym_charptr] = ACTIONS(4042),
    [anon_sym_i8] = ACTIONS(4042),
    [anon_sym_i16] = ACTIONS(4042),
    [anon_sym_i32] = ACTIONS(4042),
    [anon_sym_int] = ACTIONS(4042),
    [anon_sym_i64] = ACTIONS(4042),
    [anon_sym_byte] = ACTIONS(4042),
    [anon_sym_u8] = ACTIONS(4042),
    [anon_sym_u16] = ACTIONS(4042),
    [anon_sym_u32] = ACTIONS(4042),
    [anon_sym_u64] = ACTIONS(4042),
    [anon_sym_f32] = ACTIONS(4042),
    [anon_sym_f64] = ACTIONS(4042),
    [anon_sym_bool] = ACTIONS(4042),
    [anon_sym_rune] = ACTIONS(4042),
    [anon_sym_map] = ACTIONS(4042),
    [anon_sym_mapnode] = ACTIONS(4042),
    [anon_sym_size_t] = ACTIONS(4042),
    [anon_sym_usize] = ACTIONS(4042),
    [anon_sym_isize] = ACTIONS(4042),
    [anon_sym_float_literal] = ACTIONS(4042),
    [anon_sym_int_literal] = ACTIONS(4042),
    [anon_sym_IError] = ACTIONS(4042),
    [sym_type_placeholder] = ACTIONS(4042),
    [anon_sym_AT] = ACTIONS(4042),
    [sym_type_identifier] = ACTIONS(4042),
    [anon_sym_assert] = ACTIONS(4042),
    [anon_sym_defer] = ACTIONS(4042),
    [anon_sym_unsafe] = ACTIONS(4042),
    [anon_sym_pub] = ACTIONS(4042),
    [anon_sym_fn] = ACTIONS(4042),
    [anon_sym___global] = ACTIONS(4042),
    [anon_sym_const] = ACTIONS(4042),
    [anon_sym_asm] = ACTIONS(4042),
    [anon_sym_break] = ACTIONS(4042),
    [anon_sym_continue] = ACTIONS(4042),
    [anon_sym_return] = ACTIONS(4042),
    [anon_sym_type] = ACTIONS(4042),
    [anon_sym_go] = ACTIONS(4042),
    [anon_sym_spawn] = ACTIONS(4042),
    [anon_sym_goto] = ACTIONS(4042),
    [anon_sym_for] = ACTIONS(4042),
    [anon_sym_DOLLARfor] = ACTIONS(4040),
    [anon_sym_DOLLARif] = ACTIONS(4040),
    [anon_sym_if] = ACTIONS(4042),
    [anon_sym_struct] = ACTIONS(4042),
    [anon_sym_union] = ACTIONS(4042),
    [anon_sym_enum] = ACTIONS(4042),
    [anon_sym_interface] = ACTIONS(4042),
    [anon_sym_POUND] = ACTIONS(4040),
    [anon_sym_module] = ACTIONS(4042),
    [anon_sym_import] = ACTIONS(4042),
    [anon_sym_match] = ACTIONS(4042),
    [anon_sym_select] = ACTIONS(4042),
    [anon_sym_lock] = ACTIONS(4042),
    [anon_sym_rlock] = ACTIONS(4042),
    [sym__automatic_separator] = ACTIONS(4040),
    [sym__c_string_opening] = ACTIONS(4040),
    [sym__raw_string_opening] = ACTIONS(4040),
    [sym__string_opening] = ACTIONS(4040),
    [sym__comment] = ACTIONS(3),
  },
  [1567] = {
    [sym_comment] = STATE(1567),
    [ts_builtin_sym_end] = ACTIONS(4044),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_LPAREN] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4044),
    [anon_sym_DASH] = ACTIONS(4044),
    [anon_sym_BANG] = ACTIONS(4044),
    [anon_sym_TILDE] = ACTIONS(4044),
    [anon_sym_CARET] = ACTIONS(4044),
    [anon_sym_STAR] = ACTIONS(4044),
    [anon_sym_AMP] = ACTIONS(4044),
    [anon_sym_LT_DASH] = ACTIONS(4044),
    [anon_sym_DOLLAR] = ACTIONS(4046),
    [sym_none] = ACTIONS(4046),
    [sym_true] = ACTIONS(4046),
    [sym_false] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(4044),
    [anon_sym_LBRACK] = ACTIONS(4044),
    [anon_sym_map_LBRACK] = ACTIONS(4044),
    [anon_sym_chan] = ACTIONS(4046),
    [anon_sym_shared] = ACTIONS(4046),
    [anon_sym_thread] = ACTIONS(4046),
    [sym_int_literal] = ACTIONS(4046),
    [sym_float_literal] = ACTIONS(4044),
    [sym_rune_literal] = ACTIONS(4044),
    [anon_sym_DOT] = ACTIONS(4046),
    [anon_sym_array] = ACTIONS(4046),
    [anon_sym_string] = ACTIONS(4046),
    [anon_sym_char] = ACTIONS(4046),
    [anon_sym_sql] = ACTIONS(4046),
    [anon_sym_mut] = ACTIONS(4046),
    [anon_sym_C] = ACTIONS(4046),
    [anon_sym_JS] = ACTIONS(4046),
    [anon_sym_voidptr] = ACTIONS(4046),
    [anon_sym_byteptr] = ACTIONS(4046),
    [anon_sym_charptr] = ACTIONS(4046),
    [anon_sym_i8] = ACTIONS(4046),
    [anon_sym_i16] = ACTIONS(4046),
    [anon_sym_i32] = ACTIONS(4046),
    [anon_sym_int] = ACTIONS(4046),
    [anon_sym_i64] = ACTIONS(4046),
    [anon_sym_byte] = ACTIONS(4046),
    [anon_sym_u8] = ACTIONS(4046),
    [anon_sym_u16] = ACTIONS(4046),
    [anon_sym_u32] = ACTIONS(4046),
    [anon_sym_u64] = ACTIONS(4046),
    [anon_sym_f32] = ACTIONS(4046),
    [anon_sym_f64] = ACTIONS(4046),
    [anon_sym_bool] = ACTIONS(4046),
    [anon_sym_rune] = ACTIONS(4046),
    [anon_sym_map] = ACTIONS(4046),
    [anon_sym_mapnode] = ACTIONS(4046),
    [anon_sym_size_t] = ACTIONS(4046),
    [anon_sym_usize] = ACTIONS(4046),
    [anon_sym_isize] = ACTIONS(4046),
    [anon_sym_float_literal] = ACTIONS(4046),
    [anon_sym_int_literal] = ACTIONS(4046),
    [anon_sym_IError] = ACTIONS(4046),
    [sym_type_placeholder] = ACTIONS(4046),
    [anon_sym_AT] = ACTIONS(4046),
    [sym_type_identifier] = ACTIONS(4046),
    [anon_sym_assert] = ACTIONS(4046),
    [anon_sym_defer] = ACTIONS(4046),
    [anon_sym_unsafe] = ACTIONS(4046),
    [anon_sym_pub] = ACTIONS(4046),
    [anon_sym_fn] = ACTIONS(4046),
    [anon_sym___global] = ACTIONS(4046),
    [anon_sym_const] = ACTIONS(4046),
    [anon_sym_asm] = ACTIONS(4046),
    [anon_sym_break] = ACTIONS(4046),
    [anon_sym_continue] = ACTIONS(4046),
    [anon_sym_return] = ACTIONS(4046),
    [anon_sym_type] = ACTIONS(4046),
    [anon_sym_go] = ACTIONS(4046),
    [anon_sym_spawn] = ACTIONS(4046),
    [anon_sym_goto] = ACTIONS(4046),
    [anon_sym_for] = ACTIONS(4046),
    [anon_sym_DOLLARfor] = ACTIONS(4044),
    [anon_sym_DOLLARif] = ACTIONS(4044),
    [anon_sym_if] = ACTIONS(4046),
    [anon_sym_struct] = ACTIONS(4046),
    [anon_sym_union] = ACTIONS(4046),
    [anon_sym_enum] = ACTIONS(4046),
    [anon_sym_interface] = ACTIONS(4046),
    [anon_sym_POUND] = ACTIONS(4044),
    [anon_sym_module] = ACTIONS(4046),
    [anon_sym_import] = ACTIONS(4046),
    [anon_sym_match] = ACTIONS(4046),
    [anon_sym_select] = ACTIONS(4046),
    [anon_sym_lock] = ACTIONS(4046),
    [anon_sym_rlock] = ACTIONS(4046),
    [sym__automatic_separator] = ACTIONS(4044),
    [sym__c_string_opening] = ACTIONS(4044),
    [sym__raw_string_opening] = ACTIONS(4044),
    [sym__string_opening] = ACTIONS(4044),
    [sym__comment] = ACTIONS(3),
  },
  [1568] = {
    [sym_comment] = STATE(1568),
    [ts_builtin_sym_end] = ACTIONS(4048),
    [sym_identifier] = ACTIONS(4050),
    [anon_sym_LPAREN] = ACTIONS(4048),
    [anon_sym_PLUS] = ACTIONS(4048),
    [anon_sym_DASH] = ACTIONS(4048),
    [anon_sym_BANG] = ACTIONS(4048),
    [anon_sym_TILDE] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4048),
    [anon_sym_STAR] = ACTIONS(4048),
    [anon_sym_AMP] = ACTIONS(4048),
    [anon_sym_LT_DASH] = ACTIONS(4048),
    [anon_sym_DOLLAR] = ACTIONS(4050),
    [sym_none] = ACTIONS(4050),
    [sym_true] = ACTIONS(4050),
    [sym_false] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4048),
    [anon_sym_LBRACK] = ACTIONS(4048),
    [anon_sym_map_LBRACK] = ACTIONS(4048),
    [anon_sym_chan] = ACTIONS(4050),
    [anon_sym_shared] = ACTIONS(4050),
    [anon_sym_thread] = ACTIONS(4050),
    [sym_int_literal] = ACTIONS(4050),
    [sym_float_literal] = ACTIONS(4048),
    [sym_rune_literal] = ACTIONS(4048),
    [anon_sym_DOT] = ACTIONS(4050),
    [anon_sym_array] = ACTIONS(4050),
    [anon_sym_string] = ACTIONS(4050),
    [anon_sym_char] = ACTIONS(4050),
    [anon_sym_sql] = ACTIONS(4050),
    [anon_sym_mut] = ACTIONS(4050),
    [anon_sym_C] = ACTIONS(4050),
    [anon_sym_JS] = ACTIONS(4050),
    [anon_sym_voidptr] = ACTIONS(4050),
    [anon_sym_byteptr] = ACTIONS(4050),
    [anon_sym_charptr] = ACTIONS(4050),
    [anon_sym_i8] = ACTIONS(4050),
    [anon_sym_i16] = ACTIONS(4050),
    [anon_sym_i32] = ACTIONS(4050),
    [anon_sym_int] = ACTIONS(4050),
    [anon_sym_i64] = ACTIONS(4050),
    [anon_sym_byte] = ACTIONS(4050),
    [anon_sym_u8] = ACTIONS(4050),
    [anon_sym_u16] = ACTIONS(4050),
    [anon_sym_u32] = ACTIONS(4050),
    [anon_sym_u64] = ACTIONS(4050),
    [anon_sym_f32] = ACTIONS(4050),
    [anon_sym_f64] = ACTIONS(4050),
    [anon_sym_bool] = ACTIONS(4050),
    [anon_sym_rune] = ACTIONS(4050),
    [anon_sym_map] = ACTIONS(4050),
    [anon_sym_mapnode] = ACTIONS(4050),
    [anon_sym_size_t] = ACTIONS(4050),
    [anon_sym_usize] = ACTIONS(4050),
    [anon_sym_isize] = ACTIONS(4050),
    [anon_sym_float_literal] = ACTIONS(4050),
    [anon_sym_int_literal] = ACTIONS(4050),
    [anon_sym_IError] = ACTIONS(4050),
    [sym_type_placeholder] = ACTIONS(4050),
    [anon_sym_AT] = ACTIONS(4050),
    [sym_type_identifier] = ACTIONS(4050),
    [anon_sym_assert] = ACTIONS(4050),
    [anon_sym_defer] = ACTIONS(4050),
    [anon_sym_unsafe] = ACTIONS(4050),
    [anon_sym_pub] = ACTIONS(4050),
    [anon_sym_fn] = ACTIONS(4050),
    [anon_sym___global] = ACTIONS(4050),
    [anon_sym_const] = ACTIONS(4050),
    [anon_sym_asm] = ACTIONS(4050),
    [anon_sym_break] = ACTIONS(4050),
    [anon_sym_continue] = ACTIONS(4050),
    [anon_sym_return] = ACTIONS(4050),
    [anon_sym_type] = ACTIONS(4050),
    [anon_sym_go] = ACTIONS(4050),
    [anon_sym_spawn] = ACTIONS(4050),
    [anon_sym_goto] = ACTIONS(4050),
    [anon_sym_for] = ACTIONS(4050),
    [anon_sym_DOLLARfor] = ACTIONS(4048),
    [anon_sym_DOLLARif] = ACTIONS(4048),
    [anon_sym_if] = ACTIONS(4050),
    [anon_sym_struct] = ACTIONS(4050),
    [anon_sym_union] = ACTIONS(4050),
    [anon_sym_enum] = ACTIONS(4050),
    [anon_sym_interface] = ACTIONS(4050),
    [anon_sym_POUND] = ACTIONS(4048),
    [anon_sym_module] = ACTIONS(4050),
    [anon_sym_import] = ACTIONS(4050),
    [anon_sym_match] = ACTIONS(4050),
    [anon_sym_select] = ACTIONS(4050),
    [anon_sym_lock] = ACTIONS(4050),
    [anon_sym_rlock] = ACTIONS(4050),
    [sym__automatic_separator] = ACTIONS(4048),
    [sym__c_string_opening] = ACTIONS(4048),
    [sym__raw_string_opening] = ACTIONS(4048),
    [sym__string_opening] = ACTIONS(4048),
    [sym__comment] = ACTIONS(3),
  },
  [1569] = {
    [sym_comment] = STATE(1569),
    [ts_builtin_sym_end] = ACTIONS(4052),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_LPAREN] = ACTIONS(4052),
    [anon_sym_PLUS] = ACTIONS(4052),
    [anon_sym_DASH] = ACTIONS(4052),
    [anon_sym_BANG] = ACTIONS(4052),
    [anon_sym_TILDE] = ACTIONS(4052),
    [anon_sym_CARET] = ACTIONS(4052),
    [anon_sym_STAR] = ACTIONS(4052),
    [anon_sym_AMP] = ACTIONS(4052),
    [anon_sym_LT_DASH] = ACTIONS(4052),
    [anon_sym_DOLLAR] = ACTIONS(4054),
    [sym_none] = ACTIONS(4054),
    [sym_true] = ACTIONS(4054),
    [sym_false] = ACTIONS(4054),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_LBRACK] = ACTIONS(4052),
    [anon_sym_map_LBRACK] = ACTIONS(4052),
    [anon_sym_chan] = ACTIONS(4054),
    [anon_sym_shared] = ACTIONS(4054),
    [anon_sym_thread] = ACTIONS(4054),
    [sym_int_literal] = ACTIONS(4054),
    [sym_float_literal] = ACTIONS(4052),
    [sym_rune_literal] = ACTIONS(4052),
    [anon_sym_DOT] = ACTIONS(4054),
    [anon_sym_array] = ACTIONS(4054),
    [anon_sym_string] = ACTIONS(4054),
    [anon_sym_char] = ACTIONS(4054),
    [anon_sym_sql] = ACTIONS(4054),
    [anon_sym_mut] = ACTIONS(4054),
    [anon_sym_C] = ACTIONS(4054),
    [anon_sym_JS] = ACTIONS(4054),
    [anon_sym_voidptr] = ACTIONS(4054),
    [anon_sym_byteptr] = ACTIONS(4054),
    [anon_sym_charptr] = ACTIONS(4054),
    [anon_sym_i8] = ACTIONS(4054),
    [anon_sym_i16] = ACTIONS(4054),
    [anon_sym_i32] = ACTIONS(4054),
    [anon_sym_int] = ACTIONS(4054),
    [anon_sym_i64] = ACTIONS(4054),
    [anon_sym_byte] = ACTIONS(4054),
    [anon_sym_u8] = ACTIONS(4054),
    [anon_sym_u16] = ACTIONS(4054),
    [anon_sym_u32] = ACTIONS(4054),
    [anon_sym_u64] = ACTIONS(4054),
    [anon_sym_f32] = ACTIONS(4054),
    [anon_sym_f64] = ACTIONS(4054),
    [anon_sym_bool] = ACTIONS(4054),
    [anon_sym_rune] = ACTIONS(4054),
    [anon_sym_map] = ACTIONS(4054),
    [anon_sym_mapnode] = ACTIONS(4054),
    [anon_sym_size_t] = ACTIONS(4054),
    [anon_sym_usize] = ACTIONS(4054),
    [anon_sym_isize] = ACTIONS(4054),
    [anon_sym_float_literal] = ACTIONS(4054),
    [anon_sym_int_literal] = ACTIONS(4054),
    [anon_sym_IError] = ACTIONS(4054),
    [sym_type_placeholder] = ACTIONS(4054),
    [anon_sym_AT] = ACTIONS(4054),
    [sym_type_identifier] = ACTIONS(4054),
    [anon_sym_assert] = ACTIONS(4054),
    [anon_sym_defer] = ACTIONS(4054),
    [anon_sym_unsafe] = ACTIONS(4054),
    [anon_sym_pub] = ACTIONS(4054),
    [anon_sym_fn] = ACTIONS(4054),
    [anon_sym___global] = ACTIONS(4054),
    [anon_sym_const] = ACTIONS(4054),
    [anon_sym_asm] = ACTIONS(4054),
    [anon_sym_break] = ACTIONS(4054),
    [anon_sym_continue] = ACTIONS(4054),
    [anon_sym_return] = ACTIONS(4054),
    [anon_sym_type] = ACTIONS(4054),
    [anon_sym_go] = ACTIONS(4054),
    [anon_sym_spawn] = ACTIONS(4054),
    [anon_sym_goto] = ACTIONS(4054),
    [anon_sym_for] = ACTIONS(4054),
    [anon_sym_DOLLARfor] = ACTIONS(4052),
    [anon_sym_DOLLARif] = ACTIONS(4052),
    [anon_sym_if] = ACTIONS(4054),
    [anon_sym_struct] = ACTIONS(4054),
    [anon_sym_union] = ACTIONS(4054),
    [anon_sym_enum] = ACTIONS(4054),
    [anon_sym_interface] = ACTIONS(4054),
    [anon_sym_POUND] = ACTIONS(4052),
    [anon_sym_module] = ACTIONS(4054),
    [anon_sym_import] = ACTIONS(4054),
    [anon_sym_match] = ACTIONS(4054),
    [anon_sym_select] = ACTIONS(4054),
    [anon_sym_lock] = ACTIONS(4054),
    [anon_sym_rlock] = ACTIONS(4054),
    [sym__automatic_separator] = ACTIONS(4052),
    [sym__c_string_opening] = ACTIONS(4052),
    [sym__raw_string_opening] = ACTIONS(4052),
    [sym__string_opening] = ACTIONS(4052),
    [sym__comment] = ACTIONS(3),
  },
  [1570] = {
    [sym_comment] = STATE(1570),
    [ts_builtin_sym_end] = ACTIONS(4056),
    [sym_identifier] = ACTIONS(4058),
    [anon_sym_LPAREN] = ACTIONS(4056),
    [anon_sym_PLUS] = ACTIONS(4056),
    [anon_sym_DASH] = ACTIONS(4056),
    [anon_sym_BANG] = ACTIONS(4056),
    [anon_sym_TILDE] = ACTIONS(4056),
    [anon_sym_CARET] = ACTIONS(4056),
    [anon_sym_STAR] = ACTIONS(4056),
    [anon_sym_AMP] = ACTIONS(4056),
    [anon_sym_LT_DASH] = ACTIONS(4056),
    [anon_sym_DOLLAR] = ACTIONS(4058),
    [sym_none] = ACTIONS(4058),
    [sym_true] = ACTIONS(4058),
    [sym_false] = ACTIONS(4058),
    [anon_sym_LBRACE] = ACTIONS(4056),
    [anon_sym_LBRACK] = ACTIONS(4056),
    [anon_sym_map_LBRACK] = ACTIONS(4056),
    [anon_sym_chan] = ACTIONS(4058),
    [anon_sym_shared] = ACTIONS(4058),
    [anon_sym_thread] = ACTIONS(4058),
    [sym_int_literal] = ACTIONS(4058),
    [sym_float_literal] = ACTIONS(4056),
    [sym_rune_literal] = ACTIONS(4056),
    [anon_sym_DOT] = ACTIONS(4058),
    [anon_sym_array] = ACTIONS(4058),
    [anon_sym_string] = ACTIONS(4058),
    [anon_sym_char] = ACTIONS(4058),
    [anon_sym_sql] = ACTIONS(4058),
    [anon_sym_mut] = ACTIONS(4058),
    [anon_sym_C] = ACTIONS(4058),
    [anon_sym_JS] = ACTIONS(4058),
    [anon_sym_voidptr] = ACTIONS(4058),
    [anon_sym_byteptr] = ACTIONS(4058),
    [anon_sym_charptr] = ACTIONS(4058),
    [anon_sym_i8] = ACTIONS(4058),
    [anon_sym_i16] = ACTIONS(4058),
    [anon_sym_i32] = ACTIONS(4058),
    [anon_sym_int] = ACTIONS(4058),
    [anon_sym_i64] = ACTIONS(4058),
    [anon_sym_byte] = ACTIONS(4058),
    [anon_sym_u8] = ACTIONS(4058),
    [anon_sym_u16] = ACTIONS(4058),
    [anon_sym_u32] = ACTIONS(4058),
    [anon_sym_u64] = ACTIONS(4058),
    [anon_sym_f32] = ACTIONS(4058),
    [anon_sym_f64] = ACTIONS(4058),
    [anon_sym_bool] = ACTIONS(4058),
    [anon_sym_rune] = ACTIONS(4058),
    [anon_sym_map] = ACTIONS(4058),
    [anon_sym_mapnode] = ACTIONS(4058),
    [anon_sym_size_t] = ACTIONS(4058),
    [anon_sym_usize] = ACTIONS(4058),
    [anon_sym_isize] = ACTIONS(4058),
    [anon_sym_float_literal] = ACTIONS(4058),
    [anon_sym_int_literal] = ACTIONS(4058),
    [anon_sym_IError] = ACTIONS(4058),
    [sym_type_placeholder] = ACTIONS(4058),
    [anon_sym_AT] = ACTIONS(4058),
    [sym_type_identifier] = ACTIONS(4058),
    [anon_sym_assert] = ACTIONS(4058),
    [anon_sym_defer] = ACTIONS(4058),
    [anon_sym_unsafe] = ACTIONS(4058),
    [anon_sym_pub] = ACTIONS(4058),
    [anon_sym_fn] = ACTIONS(4058),
    [anon_sym___global] = ACTIONS(4058),
    [anon_sym_const] = ACTIONS(4058),
    [anon_sym_asm] = ACTIONS(4058),
    [anon_sym_break] = ACTIONS(4058),
    [anon_sym_continue] = ACTIONS(4058),
    [anon_sym_return] = ACTIONS(4058),
    [anon_sym_type] = ACTIONS(4058),
    [anon_sym_go] = ACTIONS(4058),
    [anon_sym_spawn] = ACTIONS(4058),
    [anon_sym_goto] = ACTIONS(4058),
    [anon_sym_for] = ACTIONS(4058),
    [anon_sym_DOLLARfor] = ACTIONS(4056),
    [anon_sym_DOLLARif] = ACTIONS(4056),
    [anon_sym_if] = ACTIONS(4058),
    [anon_sym_struct] = ACTIONS(4058),
    [anon_sym_union] = ACTIONS(4058),
    [anon_sym_enum] = ACTIONS(4058),
    [anon_sym_interface] = ACTIONS(4058),
    [anon_sym_POUND] = ACTIONS(4056),
    [anon_sym_module] = ACTIONS(4058),
    [anon_sym_import] = ACTIONS(4058),
    [anon_sym_match] = ACTIONS(4058),
    [anon_sym_select] = ACTIONS(4058),
    [anon_sym_lock] = ACTIONS(4058),
    [anon_sym_rlock] = ACTIONS(4058),
    [sym__automatic_separator] = ACTIONS(4056),
    [sym__c_string_opening] = ACTIONS(4056),
    [sym__raw_string_opening] = ACTIONS(4056),
    [sym__string_opening] = ACTIONS(4056),
    [sym__comment] = ACTIONS(3),
  },
  [1571] = {
    [sym_comment] = STATE(1571),
    [ts_builtin_sym_end] = ACTIONS(4060),
    [sym_identifier] = ACTIONS(4062),
    [anon_sym_LPAREN] = ACTIONS(4060),
    [anon_sym_PLUS] = ACTIONS(4060),
    [anon_sym_DASH] = ACTIONS(4060),
    [anon_sym_BANG] = ACTIONS(4060),
    [anon_sym_TILDE] = ACTIONS(4060),
    [anon_sym_CARET] = ACTIONS(4060),
    [anon_sym_STAR] = ACTIONS(4060),
    [anon_sym_AMP] = ACTIONS(4060),
    [anon_sym_LT_DASH] = ACTIONS(4060),
    [anon_sym_DOLLAR] = ACTIONS(4062),
    [sym_none] = ACTIONS(4062),
    [sym_true] = ACTIONS(4062),
    [sym_false] = ACTIONS(4062),
    [anon_sym_LBRACE] = ACTIONS(4060),
    [anon_sym_LBRACK] = ACTIONS(4060),
    [anon_sym_map_LBRACK] = ACTIONS(4060),
    [anon_sym_chan] = ACTIONS(4062),
    [anon_sym_shared] = ACTIONS(4062),
    [anon_sym_thread] = ACTIONS(4062),
    [sym_int_literal] = ACTIONS(4062),
    [sym_float_literal] = ACTIONS(4060),
    [sym_rune_literal] = ACTIONS(4060),
    [anon_sym_DOT] = ACTIONS(4062),
    [anon_sym_array] = ACTIONS(4062),
    [anon_sym_string] = ACTIONS(4062),
    [anon_sym_char] = ACTIONS(4062),
    [anon_sym_sql] = ACTIONS(4062),
    [anon_sym_mut] = ACTIONS(4062),
    [anon_sym_C] = ACTIONS(4062),
    [anon_sym_JS] = ACTIONS(4062),
    [anon_sym_voidptr] = ACTIONS(4062),
    [anon_sym_byteptr] = ACTIONS(4062),
    [anon_sym_charptr] = ACTIONS(4062),
    [anon_sym_i8] = ACTIONS(4062),
    [anon_sym_i16] = ACTIONS(4062),
    [anon_sym_i32] = ACTIONS(4062),
    [anon_sym_int] = ACTIONS(4062),
    [anon_sym_i64] = ACTIONS(4062),
    [anon_sym_byte] = ACTIONS(4062),
    [anon_sym_u8] = ACTIONS(4062),
    [anon_sym_u16] = ACTIONS(4062),
    [anon_sym_u32] = ACTIONS(4062),
    [anon_sym_u64] = ACTIONS(4062),
    [anon_sym_f32] = ACTIONS(4062),
    [anon_sym_f64] = ACTIONS(4062),
    [anon_sym_bool] = ACTIONS(4062),
    [anon_sym_rune] = ACTIONS(4062),
    [anon_sym_map] = ACTIONS(4062),
    [anon_sym_mapnode] = ACTIONS(4062),
    [anon_sym_size_t] = ACTIONS(4062),
    [anon_sym_usize] = ACTIONS(4062),
    [anon_sym_isize] = ACTIONS(4062),
    [anon_sym_float_literal] = ACTIONS(4062),
    [anon_sym_int_literal] = ACTIONS(4062),
    [anon_sym_IError] = ACTIONS(4062),
    [sym_type_placeholder] = ACTIONS(4062),
    [anon_sym_AT] = ACTIONS(4062),
    [sym_type_identifier] = ACTIONS(4062),
    [anon_sym_assert] = ACTIONS(4062),
    [anon_sym_defer] = ACTIONS(4062),
    [anon_sym_unsafe] = ACTIONS(4062),
    [anon_sym_pub] = ACTIONS(4062),
    [anon_sym_fn] = ACTIONS(4062),
    [anon_sym___global] = ACTIONS(4062),
    [anon_sym_const] = ACTIONS(4062),
    [anon_sym_asm] = ACTIONS(4062),
    [anon_sym_break] = ACTIONS(4062),
    [anon_sym_continue] = ACTIONS(4062),
    [anon_sym_return] = ACTIONS(4062),
    [anon_sym_type] = ACTIONS(4062),
    [anon_sym_go] = ACTIONS(4062),
    [anon_sym_spawn] = ACTIONS(4062),
    [anon_sym_goto] = ACTIONS(4062),
    [anon_sym_for] = ACTIONS(4062),
    [anon_sym_DOLLARfor] = ACTIONS(4060),
    [anon_sym_DOLLARif] = ACTIONS(4060),
    [anon_sym_if] = ACTIONS(4062),
    [anon_sym_struct] = ACTIONS(4062),
    [anon_sym_union] = ACTIONS(4062),
    [anon_sym_enum] = ACTIONS(4062),
    [anon_sym_interface] = ACTIONS(4062),
    [anon_sym_POUND] = ACTIONS(4060),
    [anon_sym_module] = ACTIONS(4062),
    [anon_sym_import] = ACTIONS(4062),
    [anon_sym_match] = ACTIONS(4062),
    [anon_sym_select] = ACTIONS(4062),
    [anon_sym_lock] = ACTIONS(4062),
    [anon_sym_rlock] = ACTIONS(4062),
    [sym__automatic_separator] = ACTIONS(4060),
    [sym__c_string_opening] = ACTIONS(4060),
    [sym__raw_string_opening] = ACTIONS(4060),
    [sym__string_opening] = ACTIONS(4060),
    [sym__comment] = ACTIONS(3),
  },
  [1572] = {
    [sym_comment] = STATE(1572),
    [ts_builtin_sym_end] = ACTIONS(4064),
    [sym_identifier] = ACTIONS(4066),
    [anon_sym_LPAREN] = ACTIONS(4064),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_BANG] = ACTIONS(4064),
    [anon_sym_TILDE] = ACTIONS(4064),
    [anon_sym_CARET] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4064),
    [anon_sym_AMP] = ACTIONS(4064),
    [anon_sym_LT_DASH] = ACTIONS(4064),
    [anon_sym_DOLLAR] = ACTIONS(4066),
    [sym_none] = ACTIONS(4066),
    [sym_true] = ACTIONS(4066),
    [sym_false] = ACTIONS(4066),
    [anon_sym_LBRACE] = ACTIONS(4064),
    [anon_sym_LBRACK] = ACTIONS(4064),
    [anon_sym_map_LBRACK] = ACTIONS(4064),
    [anon_sym_chan] = ACTIONS(4066),
    [anon_sym_shared] = ACTIONS(4066),
    [anon_sym_thread] = ACTIONS(4066),
    [sym_int_literal] = ACTIONS(4066),
    [sym_float_literal] = ACTIONS(4064),
    [sym_rune_literal] = ACTIONS(4064),
    [anon_sym_DOT] = ACTIONS(4066),
    [anon_sym_array] = ACTIONS(4066),
    [anon_sym_string] = ACTIONS(4066),
    [anon_sym_char] = ACTIONS(4066),
    [anon_sym_sql] = ACTIONS(4066),
    [anon_sym_mut] = ACTIONS(4066),
    [anon_sym_C] = ACTIONS(4066),
    [anon_sym_JS] = ACTIONS(4066),
    [anon_sym_voidptr] = ACTIONS(4066),
    [anon_sym_byteptr] = ACTIONS(4066),
    [anon_sym_charptr] = ACTIONS(4066),
    [anon_sym_i8] = ACTIONS(4066),
    [anon_sym_i16] = ACTIONS(4066),
    [anon_sym_i32] = ACTIONS(4066),
    [anon_sym_int] = ACTIONS(4066),
    [anon_sym_i64] = ACTIONS(4066),
    [anon_sym_byte] = ACTIONS(4066),
    [anon_sym_u8] = ACTIONS(4066),
    [anon_sym_u16] = ACTIONS(4066),
    [anon_sym_u32] = ACTIONS(4066),
    [anon_sym_u64] = ACTIONS(4066),
    [anon_sym_f32] = ACTIONS(4066),
    [anon_sym_f64] = ACTIONS(4066),
    [anon_sym_bool] = ACTIONS(4066),
    [anon_sym_rune] = ACTIONS(4066),
    [anon_sym_map] = ACTIONS(4066),
    [anon_sym_mapnode] = ACTIONS(4066),
    [anon_sym_size_t] = ACTIONS(4066),
    [anon_sym_usize] = ACTIONS(4066),
    [anon_sym_isize] = ACTIONS(4066),
    [anon_sym_float_literal] = ACTIONS(4066),
    [anon_sym_int_literal] = ACTIONS(4066),
    [anon_sym_IError] = ACTIONS(4066),
    [sym_type_placeholder] = ACTIONS(4066),
    [anon_sym_AT] = ACTIONS(4066),
    [sym_type_identifier] = ACTIONS(4066),
    [anon_sym_assert] = ACTIONS(4066),
    [anon_sym_defer] = ACTIONS(4066),
    [anon_sym_unsafe] = ACTIONS(4066),
    [anon_sym_pub] = ACTIONS(4066),
    [anon_sym_fn] = ACTIONS(4066),
    [anon_sym___global] = ACTIONS(4066),
    [anon_sym_const] = ACTIONS(4066),
    [anon_sym_asm] = ACTIONS(4066),
    [anon_sym_break] = ACTIONS(4066),
    [anon_sym_continue] = ACTIONS(4066),
    [anon_sym_return] = ACTIONS(4066),
    [anon_sym_type] = ACTIONS(4066),
    [anon_sym_go] = ACTIONS(4066),
    [anon_sym_spawn] = ACTIONS(4066),
    [anon_sym_goto] = ACTIONS(4066),
    [anon_sym_for] = ACTIONS(4066),
    [anon_sym_DOLLARfor] = ACTIONS(4064),
    [anon_sym_DOLLARif] = ACTIONS(4064),
    [anon_sym_if] = ACTIONS(4066),
    [anon_sym_struct] = ACTIONS(4066),
    [anon_sym_union] = ACTIONS(4066),
    [anon_sym_enum] = ACTIONS(4066),
    [anon_sym_interface] = ACTIONS(4066),
    [anon_sym_POUND] = ACTIONS(4064),
    [anon_sym_module] = ACTIONS(4066),
    [anon_sym_import] = ACTIONS(4066),
    [anon_sym_match] = ACTIONS(4066),
    [anon_sym_select] = ACTIONS(4066),
    [anon_sym_lock] = ACTIONS(4066),
    [anon_sym_rlock] = ACTIONS(4066),
    [sym__automatic_separator] = ACTIONS(4064),
    [sym__c_string_opening] = ACTIONS(4064),
    [sym__raw_string_opening] = ACTIONS(4064),
    [sym__string_opening] = ACTIONS(4064),
    [sym__comment] = ACTIONS(3),
  },
  [1573] = {
    [sym_comment] = STATE(1573),
    [ts_builtin_sym_end] = ACTIONS(4068),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN] = ACTIONS(4068),
    [anon_sym_PLUS] = ACTIONS(4068),
    [anon_sym_DASH] = ACTIONS(4068),
    [anon_sym_BANG] = ACTIONS(4068),
    [anon_sym_TILDE] = ACTIONS(4068),
    [anon_sym_CARET] = ACTIONS(4068),
    [anon_sym_STAR] = ACTIONS(4068),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT_DASH] = ACTIONS(4068),
    [anon_sym_DOLLAR] = ACTIONS(4070),
    [sym_none] = ACTIONS(4070),
    [sym_true] = ACTIONS(4070),
    [sym_false] = ACTIONS(4070),
    [anon_sym_LBRACE] = ACTIONS(4068),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym_map_LBRACK] = ACTIONS(4068),
    [anon_sym_chan] = ACTIONS(4070),
    [anon_sym_shared] = ACTIONS(4070),
    [anon_sym_thread] = ACTIONS(4070),
    [sym_int_literal] = ACTIONS(4070),
    [sym_float_literal] = ACTIONS(4068),
    [sym_rune_literal] = ACTIONS(4068),
    [anon_sym_DOT] = ACTIONS(4070),
    [anon_sym_array] = ACTIONS(4070),
    [anon_sym_string] = ACTIONS(4070),
    [anon_sym_char] = ACTIONS(4070),
    [anon_sym_sql] = ACTIONS(4070),
    [anon_sym_mut] = ACTIONS(4070),
    [anon_sym_C] = ACTIONS(4070),
    [anon_sym_JS] = ACTIONS(4070),
    [anon_sym_voidptr] = ACTIONS(4070),
    [anon_sym_byteptr] = ACTIONS(4070),
    [anon_sym_charptr] = ACTIONS(4070),
    [anon_sym_i8] = ACTIONS(4070),
    [anon_sym_i16] = ACTIONS(4070),
    [anon_sym_i32] = ACTIONS(4070),
    [anon_sym_int] = ACTIONS(4070),
    [anon_sym_i64] = ACTIONS(4070),
    [anon_sym_byte] = ACTIONS(4070),
    [anon_sym_u8] = ACTIONS(4070),
    [anon_sym_u16] = ACTIONS(4070),
    [anon_sym_u32] = ACTIONS(4070),
    [anon_sym_u64] = ACTIONS(4070),
    [anon_sym_f32] = ACTIONS(4070),
    [anon_sym_f64] = ACTIONS(4070),
    [anon_sym_bool] = ACTIONS(4070),
    [anon_sym_rune] = ACTIONS(4070),
    [anon_sym_map] = ACTIONS(4070),
    [anon_sym_mapnode] = ACTIONS(4070),
    [anon_sym_size_t] = ACTIONS(4070),
    [anon_sym_usize] = ACTIONS(4070),
    [anon_sym_isize] = ACTIONS(4070),
    [anon_sym_float_literal] = ACTIONS(4070),
    [anon_sym_int_literal] = ACTIONS(4070),
    [anon_sym_IError] = ACTIONS(4070),
    [sym_type_placeholder] = ACTIONS(4070),
    [anon_sym_AT] = ACTIONS(4070),
    [sym_type_identifier] = ACTIONS(4070),
    [anon_sym_assert] = ACTIONS(4070),
    [anon_sym_defer] = ACTIONS(4070),
    [anon_sym_unsafe] = ACTIONS(4070),
    [anon_sym_pub] = ACTIONS(4070),
    [anon_sym_fn] = ACTIONS(4070),
    [anon_sym___global] = ACTIONS(4070),
    [anon_sym_const] = ACTIONS(4070),
    [anon_sym_asm] = ACTIONS(4070),
    [anon_sym_break] = ACTIONS(4070),
    [anon_sym_continue] = ACTIONS(4070),
    [anon_sym_return] = ACTIONS(4070),
    [anon_sym_type] = ACTIONS(4070),
    [anon_sym_go] = ACTIONS(4070),
    [anon_sym_spawn] = ACTIONS(4070),
    [anon_sym_goto] = ACTIONS(4070),
    [anon_sym_for] = ACTIONS(4070),
    [anon_sym_DOLLARfor] = ACTIONS(4068),
    [anon_sym_DOLLARif] = ACTIONS(4068),
    [anon_sym_if] = ACTIONS(4070),
    [anon_sym_struct] = ACTIONS(4070),
    [anon_sym_union] = ACTIONS(4070),
    [anon_sym_enum] = ACTIONS(4070),
    [anon_sym_interface] = ACTIONS(4070),
    [anon_sym_POUND] = ACTIONS(4068),
    [anon_sym_module] = ACTIONS(4070),
    [anon_sym_import] = ACTIONS(4070),
    [anon_sym_match] = ACTIONS(4070),
    [anon_sym_select] = ACTIONS(4070),
    [anon_sym_lock] = ACTIONS(4070),
    [anon_sym_rlock] = ACTIONS(4070),
    [sym__automatic_separator] = ACTIONS(4068),
    [sym__c_string_opening] = ACTIONS(4068),
    [sym__raw_string_opening] = ACTIONS(4068),
    [sym__string_opening] = ACTIONS(4068),
    [sym__comment] = ACTIONS(3),
  },
  [1574] = {
    [sym_comment] = STATE(1574),
    [ts_builtin_sym_end] = ACTIONS(4072),
    [sym_identifier] = ACTIONS(4074),
    [anon_sym_LPAREN] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_BANG] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4072),
    [anon_sym_CARET] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(4072),
    [anon_sym_AMP] = ACTIONS(4072),
    [anon_sym_LT_DASH] = ACTIONS(4072),
    [anon_sym_DOLLAR] = ACTIONS(4074),
    [sym_none] = ACTIONS(4074),
    [sym_true] = ACTIONS(4074),
    [sym_false] = ACTIONS(4074),
    [anon_sym_LBRACE] = ACTIONS(4072),
    [anon_sym_LBRACK] = ACTIONS(4072),
    [anon_sym_map_LBRACK] = ACTIONS(4072),
    [anon_sym_chan] = ACTIONS(4074),
    [anon_sym_shared] = ACTIONS(4074),
    [anon_sym_thread] = ACTIONS(4074),
    [sym_int_literal] = ACTIONS(4074),
    [sym_float_literal] = ACTIONS(4072),
    [sym_rune_literal] = ACTIONS(4072),
    [anon_sym_DOT] = ACTIONS(4074),
    [anon_sym_array] = ACTIONS(4074),
    [anon_sym_string] = ACTIONS(4074),
    [anon_sym_char] = ACTIONS(4074),
    [anon_sym_sql] = ACTIONS(4074),
    [anon_sym_mut] = ACTIONS(4074),
    [anon_sym_C] = ACTIONS(4074),
    [anon_sym_JS] = ACTIONS(4074),
    [anon_sym_voidptr] = ACTIONS(4074),
    [anon_sym_byteptr] = ACTIONS(4074),
    [anon_sym_charptr] = ACTIONS(4074),
    [anon_sym_i8] = ACTIONS(4074),
    [anon_sym_i16] = ACTIONS(4074),
    [anon_sym_i32] = ACTIONS(4074),
    [anon_sym_int] = ACTIONS(4074),
    [anon_sym_i64] = ACTIONS(4074),
    [anon_sym_byte] = ACTIONS(4074),
    [anon_sym_u8] = ACTIONS(4074),
    [anon_sym_u16] = ACTIONS(4074),
    [anon_sym_u32] = ACTIONS(4074),
    [anon_sym_u64] = ACTIONS(4074),
    [anon_sym_f32] = ACTIONS(4074),
    [anon_sym_f64] = ACTIONS(4074),
    [anon_sym_bool] = ACTIONS(4074),
    [anon_sym_rune] = ACTIONS(4074),
    [anon_sym_map] = ACTIONS(4074),
    [anon_sym_mapnode] = ACTIONS(4074),
    [anon_sym_size_t] = ACTIONS(4074),
    [anon_sym_usize] = ACTIONS(4074),
    [anon_sym_isize] = ACTIONS(4074),
    [anon_sym_float_literal] = ACTIONS(4074),
    [anon_sym_int_literal] = ACTIONS(4074),
    [anon_sym_IError] = ACTIONS(4074),
    [sym_type_placeholder] = ACTIONS(4074),
    [anon_sym_AT] = ACTIONS(4074),
    [sym_type_identifier] = ACTIONS(4074),
    [anon_sym_assert] = ACTIONS(4074),
    [anon_sym_defer] = ACTIONS(4074),
    [anon_sym_unsafe] = ACTIONS(4074),
    [anon_sym_pub] = ACTIONS(4074),
    [anon_sym_fn] = ACTIONS(4074),
    [anon_sym___global] = ACTIONS(4074),
    [anon_sym_const] = ACTIONS(4074),
    [anon_sym_asm] = ACTIONS(4074),
    [anon_sym_break] = ACTIONS(4074),
    [anon_sym_continue] = ACTIONS(4074),
    [anon_sym_return] = ACTIONS(4074),
    [anon_sym_type] = ACTIONS(4074),
    [anon_sym_go] = ACTIONS(4074),
    [anon_sym_spawn] = ACTIONS(4074),
    [anon_sym_goto] = ACTIONS(4074),
    [anon_sym_for] = ACTIONS(4074),
    [anon_sym_DOLLARfor] = ACTIONS(4072),
    [anon_sym_DOLLARif] = ACTIONS(4072),
    [anon_sym_if] = ACTIONS(4074),
    [anon_sym_struct] = ACTIONS(4074),
    [anon_sym_union] = ACTIONS(4074),
    [anon_sym_enum] = ACTIONS(4074),
    [anon_sym_interface] = ACTIONS(4074),
    [anon_sym_POUND] = ACTIONS(4072),
    [anon_sym_module] = ACTIONS(4074),
    [anon_sym_import] = ACTIONS(4074),
    [anon_sym_match] = ACTIONS(4074),
    [anon_sym_select] = ACTIONS(4074),
    [anon_sym_lock] = ACTIONS(4074),
    [anon_sym_rlock] = ACTIONS(4074),
    [sym__automatic_separator] = ACTIONS(4072),
    [sym__c_string_opening] = ACTIONS(4072),
    [sym__raw_string_opening] = ACTIONS(4072),
    [sym__string_opening] = ACTIONS(4072),
    [sym__comment] = ACTIONS(3),
  },
  [1575] = {
    [sym_comment] = STATE(1575),
    [ts_builtin_sym_end] = ACTIONS(4076),
    [sym_identifier] = ACTIONS(4078),
    [anon_sym_LPAREN] = ACTIONS(4076),
    [anon_sym_PLUS] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4076),
    [anon_sym_BANG] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_CARET] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4076),
    [anon_sym_LT_DASH] = ACTIONS(4076),
    [anon_sym_DOLLAR] = ACTIONS(4078),
    [sym_none] = ACTIONS(4078),
    [sym_true] = ACTIONS(4078),
    [sym_false] = ACTIONS(4078),
    [anon_sym_LBRACE] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4076),
    [anon_sym_map_LBRACK] = ACTIONS(4076),
    [anon_sym_chan] = ACTIONS(4078),
    [anon_sym_shared] = ACTIONS(4078),
    [anon_sym_thread] = ACTIONS(4078),
    [sym_int_literal] = ACTIONS(4078),
    [sym_float_literal] = ACTIONS(4076),
    [sym_rune_literal] = ACTIONS(4076),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_array] = ACTIONS(4078),
    [anon_sym_string] = ACTIONS(4078),
    [anon_sym_char] = ACTIONS(4078),
    [anon_sym_sql] = ACTIONS(4078),
    [anon_sym_mut] = ACTIONS(4078),
    [anon_sym_C] = ACTIONS(4078),
    [anon_sym_JS] = ACTIONS(4078),
    [anon_sym_voidptr] = ACTIONS(4078),
    [anon_sym_byteptr] = ACTIONS(4078),
    [anon_sym_charptr] = ACTIONS(4078),
    [anon_sym_i8] = ACTIONS(4078),
    [anon_sym_i16] = ACTIONS(4078),
    [anon_sym_i32] = ACTIONS(4078),
    [anon_sym_int] = ACTIONS(4078),
    [anon_sym_i64] = ACTIONS(4078),
    [anon_sym_byte] = ACTIONS(4078),
    [anon_sym_u8] = ACTIONS(4078),
    [anon_sym_u16] = ACTIONS(4078),
    [anon_sym_u32] = ACTIONS(4078),
    [anon_sym_u64] = ACTIONS(4078),
    [anon_sym_f32] = ACTIONS(4078),
    [anon_sym_f64] = ACTIONS(4078),
    [anon_sym_bool] = ACTIONS(4078),
    [anon_sym_rune] = ACTIONS(4078),
    [anon_sym_map] = ACTIONS(4078),
    [anon_sym_mapnode] = ACTIONS(4078),
    [anon_sym_size_t] = ACTIONS(4078),
    [anon_sym_usize] = ACTIONS(4078),
    [anon_sym_isize] = ACTIONS(4078),
    [anon_sym_float_literal] = ACTIONS(4078),
    [anon_sym_int_literal] = ACTIONS(4078),
    [anon_sym_IError] = ACTIONS(4078),
    [sym_type_placeholder] = ACTIONS(4078),
    [anon_sym_AT] = ACTIONS(4078),
    [sym_type_identifier] = ACTIONS(4078),
    [anon_sym_assert] = ACTIONS(4078),
    [anon_sym_defer] = ACTIONS(4078),
    [anon_sym_unsafe] = ACTIONS(4078),
    [anon_sym_pub] = ACTIONS(4078),
    [anon_sym_fn] = ACTIONS(4078),
    [anon_sym___global] = ACTIONS(4078),
    [anon_sym_const] = ACTIONS(4078),
    [anon_sym_asm] = ACTIONS(4078),
    [anon_sym_break] = ACTIONS(4078),
    [anon_sym_continue] = ACTIONS(4078),
    [anon_sym_return] = ACTIONS(4078),
    [anon_sym_type] = ACTIONS(4078),
    [anon_sym_go] = ACTIONS(4078),
    [anon_sym_spawn] = ACTIONS(4078),
    [anon_sym_goto] = ACTIONS(4078),
    [anon_sym_for] = ACTIONS(4078),
    [anon_sym_DOLLARfor] = ACTIONS(4076),
    [anon_sym_DOLLARif] = ACTIONS(4076),
    [anon_sym_if] = ACTIONS(4078),
    [anon_sym_struct] = ACTIONS(4078),
    [anon_sym_union] = ACTIONS(4078),
    [anon_sym_enum] = ACTIONS(4078),
    [anon_sym_interface] = ACTIONS(4078),
    [anon_sym_POUND] = ACTIONS(4076),
    [anon_sym_module] = ACTIONS(4078),
    [anon_sym_import] = ACTIONS(4078),
    [anon_sym_match] = ACTIONS(4078),
    [anon_sym_select] = ACTIONS(4078),
    [anon_sym_lock] = ACTIONS(4078),
    [anon_sym_rlock] = ACTIONS(4078),
    [sym__automatic_separator] = ACTIONS(4076),
    [sym__c_string_opening] = ACTIONS(4076),
    [sym__raw_string_opening] = ACTIONS(4076),
    [sym__string_opening] = ACTIONS(4076),
    [sym__comment] = ACTIONS(3),
  },
  [1576] = {
    [sym_comment] = STATE(1576),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_pub] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym___global] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_type] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_interface] = ACTIONS(1190),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_module] = ACTIONS(1190),
    [anon_sym_import] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1577] = {
    [sym_comment] = STATE(1577),
    [ts_builtin_sym_end] = ACTIONS(4080),
    [sym_identifier] = ACTIONS(4082),
    [anon_sym_LPAREN] = ACTIONS(4080),
    [anon_sym_PLUS] = ACTIONS(4080),
    [anon_sym_DASH] = ACTIONS(4080),
    [anon_sym_BANG] = ACTIONS(4080),
    [anon_sym_TILDE] = ACTIONS(4080),
    [anon_sym_CARET] = ACTIONS(4080),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_LT_DASH] = ACTIONS(4080),
    [anon_sym_DOLLAR] = ACTIONS(4082),
    [sym_none] = ACTIONS(4082),
    [sym_true] = ACTIONS(4082),
    [sym_false] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4080),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_map_LBRACK] = ACTIONS(4080),
    [anon_sym_chan] = ACTIONS(4082),
    [anon_sym_shared] = ACTIONS(4082),
    [anon_sym_thread] = ACTIONS(4082),
    [sym_int_literal] = ACTIONS(4082),
    [sym_float_literal] = ACTIONS(4080),
    [sym_rune_literal] = ACTIONS(4080),
    [anon_sym_DOT] = ACTIONS(4082),
    [anon_sym_array] = ACTIONS(4082),
    [anon_sym_string] = ACTIONS(4082),
    [anon_sym_char] = ACTIONS(4082),
    [anon_sym_sql] = ACTIONS(4082),
    [anon_sym_mut] = ACTIONS(4082),
    [anon_sym_C] = ACTIONS(4082),
    [anon_sym_JS] = ACTIONS(4082),
    [anon_sym_voidptr] = ACTIONS(4082),
    [anon_sym_byteptr] = ACTIONS(4082),
    [anon_sym_charptr] = ACTIONS(4082),
    [anon_sym_i8] = ACTIONS(4082),
    [anon_sym_i16] = ACTIONS(4082),
    [anon_sym_i32] = ACTIONS(4082),
    [anon_sym_int] = ACTIONS(4082),
    [anon_sym_i64] = ACTIONS(4082),
    [anon_sym_byte] = ACTIONS(4082),
    [anon_sym_u8] = ACTIONS(4082),
    [anon_sym_u16] = ACTIONS(4082),
    [anon_sym_u32] = ACTIONS(4082),
    [anon_sym_u64] = ACTIONS(4082),
    [anon_sym_f32] = ACTIONS(4082),
    [anon_sym_f64] = ACTIONS(4082),
    [anon_sym_bool] = ACTIONS(4082),
    [anon_sym_rune] = ACTIONS(4082),
    [anon_sym_map] = ACTIONS(4082),
    [anon_sym_mapnode] = ACTIONS(4082),
    [anon_sym_size_t] = ACTIONS(4082),
    [anon_sym_usize] = ACTIONS(4082),
    [anon_sym_isize] = ACTIONS(4082),
    [anon_sym_float_literal] = ACTIONS(4082),
    [anon_sym_int_literal] = ACTIONS(4082),
    [anon_sym_IError] = ACTIONS(4082),
    [sym_type_placeholder] = ACTIONS(4082),
    [anon_sym_AT] = ACTIONS(4082),
    [sym_type_identifier] = ACTIONS(4082),
    [anon_sym_assert] = ACTIONS(4082),
    [anon_sym_defer] = ACTIONS(4082),
    [anon_sym_unsafe] = ACTIONS(4082),
    [anon_sym_pub] = ACTIONS(4082),
    [anon_sym_fn] = ACTIONS(4082),
    [anon_sym___global] = ACTIONS(4082),
    [anon_sym_const] = ACTIONS(4082),
    [anon_sym_asm] = ACTIONS(4082),
    [anon_sym_break] = ACTIONS(4082),
    [anon_sym_continue] = ACTIONS(4082),
    [anon_sym_return] = ACTIONS(4082),
    [anon_sym_type] = ACTIONS(4082),
    [anon_sym_go] = ACTIONS(4082),
    [anon_sym_spawn] = ACTIONS(4082),
    [anon_sym_goto] = ACTIONS(4082),
    [anon_sym_for] = ACTIONS(4082),
    [anon_sym_DOLLARfor] = ACTIONS(4080),
    [anon_sym_DOLLARif] = ACTIONS(4080),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_struct] = ACTIONS(4082),
    [anon_sym_union] = ACTIONS(4082),
    [anon_sym_enum] = ACTIONS(4082),
    [anon_sym_interface] = ACTIONS(4082),
    [anon_sym_POUND] = ACTIONS(4080),
    [anon_sym_module] = ACTIONS(4082),
    [anon_sym_import] = ACTIONS(4082),
    [anon_sym_match] = ACTIONS(4082),
    [anon_sym_select] = ACTIONS(4082),
    [anon_sym_lock] = ACTIONS(4082),
    [anon_sym_rlock] = ACTIONS(4082),
    [sym__automatic_separator] = ACTIONS(4080),
    [sym__c_string_opening] = ACTIONS(4080),
    [sym__raw_string_opening] = ACTIONS(4080),
    [sym__string_opening] = ACTIONS(4080),
    [sym__comment] = ACTIONS(3),
  },
  [1578] = {
    [sym_comment] = STATE(1578),
    [ts_builtin_sym_end] = ACTIONS(4084),
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4084),
    [anon_sym_PLUS] = ACTIONS(4084),
    [anon_sym_DASH] = ACTIONS(4084),
    [anon_sym_BANG] = ACTIONS(4084),
    [anon_sym_TILDE] = ACTIONS(4084),
    [anon_sym_CARET] = ACTIONS(4084),
    [anon_sym_STAR] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4084),
    [anon_sym_LT_DASH] = ACTIONS(4084),
    [anon_sym_DOLLAR] = ACTIONS(4086),
    [sym_none] = ACTIONS(4086),
    [sym_true] = ACTIONS(4086),
    [sym_false] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4084),
    [anon_sym_LBRACK] = ACTIONS(4084),
    [anon_sym_map_LBRACK] = ACTIONS(4084),
    [anon_sym_chan] = ACTIONS(4086),
    [anon_sym_shared] = ACTIONS(4086),
    [anon_sym_thread] = ACTIONS(4086),
    [sym_int_literal] = ACTIONS(4086),
    [sym_float_literal] = ACTIONS(4084),
    [sym_rune_literal] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(4086),
    [anon_sym_array] = ACTIONS(4086),
    [anon_sym_string] = ACTIONS(4086),
    [anon_sym_char] = ACTIONS(4086),
    [anon_sym_sql] = ACTIONS(4086),
    [anon_sym_mut] = ACTIONS(4086),
    [anon_sym_C] = ACTIONS(4086),
    [anon_sym_JS] = ACTIONS(4086),
    [anon_sym_voidptr] = ACTIONS(4086),
    [anon_sym_byteptr] = ACTIONS(4086),
    [anon_sym_charptr] = ACTIONS(4086),
    [anon_sym_i8] = ACTIONS(4086),
    [anon_sym_i16] = ACTIONS(4086),
    [anon_sym_i32] = ACTIONS(4086),
    [anon_sym_int] = ACTIONS(4086),
    [anon_sym_i64] = ACTIONS(4086),
    [anon_sym_byte] = ACTIONS(4086),
    [anon_sym_u8] = ACTIONS(4086),
    [anon_sym_u16] = ACTIONS(4086),
    [anon_sym_u32] = ACTIONS(4086),
    [anon_sym_u64] = ACTIONS(4086),
    [anon_sym_f32] = ACTIONS(4086),
    [anon_sym_f64] = ACTIONS(4086),
    [anon_sym_bool] = ACTIONS(4086),
    [anon_sym_rune] = ACTIONS(4086),
    [anon_sym_map] = ACTIONS(4086),
    [anon_sym_mapnode] = ACTIONS(4086),
    [anon_sym_size_t] = ACTIONS(4086),
    [anon_sym_usize] = ACTIONS(4086),
    [anon_sym_isize] = ACTIONS(4086),
    [anon_sym_float_literal] = ACTIONS(4086),
    [anon_sym_int_literal] = ACTIONS(4086),
    [anon_sym_IError] = ACTIONS(4086),
    [sym_type_placeholder] = ACTIONS(4086),
    [anon_sym_AT] = ACTIONS(4086),
    [sym_type_identifier] = ACTIONS(4086),
    [anon_sym_assert] = ACTIONS(4086),
    [anon_sym_defer] = ACTIONS(4086),
    [anon_sym_unsafe] = ACTIONS(4086),
    [anon_sym_pub] = ACTIONS(4086),
    [anon_sym_fn] = ACTIONS(4086),
    [anon_sym___global] = ACTIONS(4086),
    [anon_sym_const] = ACTIONS(4086),
    [anon_sym_asm] = ACTIONS(4086),
    [anon_sym_break] = ACTIONS(4086),
    [anon_sym_continue] = ACTIONS(4086),
    [anon_sym_return] = ACTIONS(4086),
    [anon_sym_type] = ACTIONS(4086),
    [anon_sym_go] = ACTIONS(4086),
    [anon_sym_spawn] = ACTIONS(4086),
    [anon_sym_goto] = ACTIONS(4086),
    [anon_sym_for] = ACTIONS(4086),
    [anon_sym_DOLLARfor] = ACTIONS(4084),
    [anon_sym_DOLLARif] = ACTIONS(4084),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_struct] = ACTIONS(4086),
    [anon_sym_union] = ACTIONS(4086),
    [anon_sym_enum] = ACTIONS(4086),
    [anon_sym_interface] = ACTIONS(4086),
    [anon_sym_POUND] = ACTIONS(4084),
    [anon_sym_module] = ACTIONS(4086),
    [anon_sym_import] = ACTIONS(4086),
    [anon_sym_match] = ACTIONS(4086),
    [anon_sym_select] = ACTIONS(4086),
    [anon_sym_lock] = ACTIONS(4086),
    [anon_sym_rlock] = ACTIONS(4086),
    [sym__automatic_separator] = ACTIONS(4084),
    [sym__c_string_opening] = ACTIONS(4084),
    [sym__raw_string_opening] = ACTIONS(4084),
    [sym__string_opening] = ACTIONS(4084),
    [sym__comment] = ACTIONS(3),
  },
  [1579] = {
    [sym_comment] = STATE(1579),
    [ts_builtin_sym_end] = ACTIONS(4088),
    [sym_identifier] = ACTIONS(4090),
    [anon_sym_LPAREN] = ACTIONS(4088),
    [anon_sym_PLUS] = ACTIONS(4088),
    [anon_sym_DASH] = ACTIONS(4088),
    [anon_sym_BANG] = ACTIONS(4088),
    [anon_sym_TILDE] = ACTIONS(4088),
    [anon_sym_CARET] = ACTIONS(4088),
    [anon_sym_STAR] = ACTIONS(4088),
    [anon_sym_AMP] = ACTIONS(4088),
    [anon_sym_LT_DASH] = ACTIONS(4088),
    [anon_sym_DOLLAR] = ACTIONS(4090),
    [sym_none] = ACTIONS(4090),
    [sym_true] = ACTIONS(4090),
    [sym_false] = ACTIONS(4090),
    [anon_sym_LBRACE] = ACTIONS(4088),
    [anon_sym_LBRACK] = ACTIONS(4088),
    [anon_sym_map_LBRACK] = ACTIONS(4088),
    [anon_sym_chan] = ACTIONS(4090),
    [anon_sym_shared] = ACTIONS(4090),
    [anon_sym_thread] = ACTIONS(4090),
    [sym_int_literal] = ACTIONS(4090),
    [sym_float_literal] = ACTIONS(4088),
    [sym_rune_literal] = ACTIONS(4088),
    [anon_sym_DOT] = ACTIONS(4090),
    [anon_sym_array] = ACTIONS(4090),
    [anon_sym_string] = ACTIONS(4090),
    [anon_sym_char] = ACTIONS(4090),
    [anon_sym_sql] = ACTIONS(4090),
    [anon_sym_mut] = ACTIONS(4090),
    [anon_sym_C] = ACTIONS(4090),
    [anon_sym_JS] = ACTIONS(4090),
    [anon_sym_voidptr] = ACTIONS(4090),
    [anon_sym_byteptr] = ACTIONS(4090),
    [anon_sym_charptr] = ACTIONS(4090),
    [anon_sym_i8] = ACTIONS(4090),
    [anon_sym_i16] = ACTIONS(4090),
    [anon_sym_i32] = ACTIONS(4090),
    [anon_sym_int] = ACTIONS(4090),
    [anon_sym_i64] = ACTIONS(4090),
    [anon_sym_byte] = ACTIONS(4090),
    [anon_sym_u8] = ACTIONS(4090),
    [anon_sym_u16] = ACTIONS(4090),
    [anon_sym_u32] = ACTIONS(4090),
    [anon_sym_u64] = ACTIONS(4090),
    [anon_sym_f32] = ACTIONS(4090),
    [anon_sym_f64] = ACTIONS(4090),
    [anon_sym_bool] = ACTIONS(4090),
    [anon_sym_rune] = ACTIONS(4090),
    [anon_sym_map] = ACTIONS(4090),
    [anon_sym_mapnode] = ACTIONS(4090),
    [anon_sym_size_t] = ACTIONS(4090),
    [anon_sym_usize] = ACTIONS(4090),
    [anon_sym_isize] = ACTIONS(4090),
    [anon_sym_float_literal] = ACTIONS(4090),
    [anon_sym_int_literal] = ACTIONS(4090),
    [anon_sym_IError] = ACTIONS(4090),
    [sym_type_placeholder] = ACTIONS(4090),
    [anon_sym_AT] = ACTIONS(4090),
    [sym_type_identifier] = ACTIONS(4090),
    [anon_sym_assert] = ACTIONS(4090),
    [anon_sym_defer] = ACTIONS(4090),
    [anon_sym_unsafe] = ACTIONS(4090),
    [anon_sym_pub] = ACTIONS(4090),
    [anon_sym_fn] = ACTIONS(4090),
    [anon_sym___global] = ACTIONS(4090),
    [anon_sym_const] = ACTIONS(4090),
    [anon_sym_asm] = ACTIONS(4090),
    [anon_sym_break] = ACTIONS(4090),
    [anon_sym_continue] = ACTIONS(4090),
    [anon_sym_return] = ACTIONS(4090),
    [anon_sym_type] = ACTIONS(4090),
    [anon_sym_go] = ACTIONS(4090),
    [anon_sym_spawn] = ACTIONS(4090),
    [anon_sym_goto] = ACTIONS(4090),
    [anon_sym_for] = ACTIONS(4090),
    [anon_sym_DOLLARfor] = ACTIONS(4088),
    [anon_sym_DOLLARif] = ACTIONS(4088),
    [anon_sym_if] = ACTIONS(4090),
    [anon_sym_struct] = ACTIONS(4090),
    [anon_sym_union] = ACTIONS(4090),
    [anon_sym_enum] = ACTIONS(4090),
    [anon_sym_interface] = ACTIONS(4090),
    [anon_sym_POUND] = ACTIONS(4088),
    [anon_sym_module] = ACTIONS(4090),
    [anon_sym_import] = ACTIONS(4090),
    [anon_sym_match] = ACTIONS(4090),
    [anon_sym_select] = ACTIONS(4090),
    [anon_sym_lock] = ACTIONS(4090),
    [anon_sym_rlock] = ACTIONS(4090),
    [sym__automatic_separator] = ACTIONS(4088),
    [sym__c_string_opening] = ACTIONS(4088),
    [sym__raw_string_opening] = ACTIONS(4088),
    [sym__string_opening] = ACTIONS(4088),
    [sym__comment] = ACTIONS(3),
  },
  [1580] = {
    [sym_comment] = STATE(1580),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_CARET] = ACTIONS(1052),
    [anon_sym_STAR] = ACTIONS(1052),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1052),
    [anon_sym_SLASH] = ACTIONS(1052),
    [anon_sym_PERCENT] = ACTIONS(1052),
    [anon_sym_LT_LT] = ACTIONS(1052),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_GT_GT_GT] = ACTIONS(1052),
    [anon_sym_AMP_CARET] = ACTIONS(1052),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1052),
    [anon_sym_BANG_EQ] = ACTIONS(1052),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1052),
    [anon_sym_in] = ACTIONS(1054),
    [anon_sym_BANGin] = ACTIONS(1052),
    [anon_sym_AMP_AMP] = ACTIONS(1052),
    [anon_sym_PIPE_PIPE] = ACTIONS(1052),
    [anon_sym_as] = ACTIONS(1054),
    [anon_sym_COMMA] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1054),
    [anon_sym_QMARK] = ACTIONS(1052),
    [anon_sym_or] = ACTIONS(1054),
    [sym_none] = ACTIONS(1054),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_RBRACK] = ACTIONS(1052),
    [anon_sym_map_LBRACK] = ACTIONS(1052),
    [anon_sym_chan] = ACTIONS(1054),
    [anon_sym_shared] = ACTIONS(1054),
    [anon_sym_thread] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(1054),
    [sym_float_literal] = ACTIONS(1052),
    [sym_rune_literal] = ACTIONS(1052),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_array] = ACTIONS(1054),
    [anon_sym_string] = ACTIONS(1054),
    [anon_sym_char] = ACTIONS(1054),
    [anon_sym_sql] = ACTIONS(1054),
    [anon_sym_mut] = ACTIONS(1054),
    [anon_sym_C] = ACTIONS(1054),
    [anon_sym_JS] = ACTIONS(1054),
    [anon_sym_voidptr] = ACTIONS(1054),
    [anon_sym_byteptr] = ACTIONS(1054),
    [anon_sym_charptr] = ACTIONS(1054),
    [anon_sym_i8] = ACTIONS(1054),
    [anon_sym_i16] = ACTIONS(1054),
    [anon_sym_i32] = ACTIONS(1054),
    [anon_sym_int] = ACTIONS(1054),
    [anon_sym_i64] = ACTIONS(1054),
    [anon_sym_byte] = ACTIONS(1054),
    [anon_sym_u8] = ACTIONS(1054),
    [anon_sym_u16] = ACTIONS(1054),
    [anon_sym_u32] = ACTIONS(1054),
    [anon_sym_u64] = ACTIONS(1054),
    [anon_sym_f32] = ACTIONS(1054),
    [anon_sym_f64] = ACTIONS(1054),
    [anon_sym_bool] = ACTIONS(1054),
    [anon_sym_rune] = ACTIONS(1054),
    [anon_sym_map] = ACTIONS(1054),
    [anon_sym_mapnode] = ACTIONS(1054),
    [anon_sym_size_t] = ACTIONS(1054),
    [anon_sym_usize] = ACTIONS(1054),
    [anon_sym_isize] = ACTIONS(1054),
    [anon_sym_float_literal] = ACTIONS(1054),
    [anon_sym_int_literal] = ACTIONS(1054),
    [anon_sym_IError] = ACTIONS(1054),
    [sym_type_placeholder] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1054),
    [sym_type_identifier] = ACTIONS(1054),
    [anon_sym_unsafe] = ACTIONS(1054),
    [anon_sym_fn] = ACTIONS(1054),
    [anon_sym_DOLLARif] = ACTIONS(1052),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_is] = ACTIONS(1054),
    [anon_sym_BANGis] = ACTIONS(1052),
    [anon_sym_match] = ACTIONS(1054),
    [anon_sym_select] = ACTIONS(1054),
    [anon_sym_lock] = ACTIONS(1054),
    [anon_sym_rlock] = ACTIONS(1054),
    [sym__c_string_opening] = ACTIONS(1052),
    [sym__raw_string_opening] = ACTIONS(1052),
    [sym__string_opening] = ACTIONS(1052),
    [sym__comment] = ACTIONS(3),
  },
  [1581] = {
    [sym_comment] = STATE(1581),
    [ts_builtin_sym_end] = ACTIONS(4092),
    [sym_identifier] = ACTIONS(4094),
    [anon_sym_LPAREN] = ACTIONS(4092),
    [anon_sym_PLUS] = ACTIONS(4092),
    [anon_sym_DASH] = ACTIONS(4092),
    [anon_sym_BANG] = ACTIONS(4092),
    [anon_sym_TILDE] = ACTIONS(4092),
    [anon_sym_CARET] = ACTIONS(4092),
    [anon_sym_STAR] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_LT_DASH] = ACTIONS(4092),
    [anon_sym_DOLLAR] = ACTIONS(4094),
    [sym_none] = ACTIONS(4094),
    [sym_true] = ACTIONS(4094),
    [sym_false] = ACTIONS(4094),
    [anon_sym_LBRACE] = ACTIONS(4092),
    [anon_sym_LBRACK] = ACTIONS(4092),
    [anon_sym_map_LBRACK] = ACTIONS(4092),
    [anon_sym_chan] = ACTIONS(4094),
    [anon_sym_shared] = ACTIONS(4094),
    [anon_sym_thread] = ACTIONS(4094),
    [sym_int_literal] = ACTIONS(4094),
    [sym_float_literal] = ACTIONS(4092),
    [sym_rune_literal] = ACTIONS(4092),
    [anon_sym_DOT] = ACTIONS(4094),
    [anon_sym_array] = ACTIONS(4094),
    [anon_sym_string] = ACTIONS(4094),
    [anon_sym_char] = ACTIONS(4094),
    [anon_sym_sql] = ACTIONS(4094),
    [anon_sym_mut] = ACTIONS(4094),
    [anon_sym_C] = ACTIONS(4094),
    [anon_sym_JS] = ACTIONS(4094),
    [anon_sym_voidptr] = ACTIONS(4094),
    [anon_sym_byteptr] = ACTIONS(4094),
    [anon_sym_charptr] = ACTIONS(4094),
    [anon_sym_i8] = ACTIONS(4094),
    [anon_sym_i16] = ACTIONS(4094),
    [anon_sym_i32] = ACTIONS(4094),
    [anon_sym_int] = ACTIONS(4094),
    [anon_sym_i64] = ACTIONS(4094),
    [anon_sym_byte] = ACTIONS(4094),
    [anon_sym_u8] = ACTIONS(4094),
    [anon_sym_u16] = ACTIONS(4094),
    [anon_sym_u32] = ACTIONS(4094),
    [anon_sym_u64] = ACTIONS(4094),
    [anon_sym_f32] = ACTIONS(4094),
    [anon_sym_f64] = ACTIONS(4094),
    [anon_sym_bool] = ACTIONS(4094),
    [anon_sym_rune] = ACTIONS(4094),
    [anon_sym_map] = ACTIONS(4094),
    [anon_sym_mapnode] = ACTIONS(4094),
    [anon_sym_size_t] = ACTIONS(4094),
    [anon_sym_usize] = ACTIONS(4094),
    [anon_sym_isize] = ACTIONS(4094),
    [anon_sym_float_literal] = ACTIONS(4094),
    [anon_sym_int_literal] = ACTIONS(4094),
    [anon_sym_IError] = ACTIONS(4094),
    [sym_type_placeholder] = ACTIONS(4094),
    [anon_sym_AT] = ACTIONS(4094),
    [sym_type_identifier] = ACTIONS(4094),
    [anon_sym_assert] = ACTIONS(4094),
    [anon_sym_defer] = ACTIONS(4094),
    [anon_sym_unsafe] = ACTIONS(4094),
    [anon_sym_pub] = ACTIONS(4094),
    [anon_sym_fn] = ACTIONS(4094),
    [anon_sym___global] = ACTIONS(4094),
    [anon_sym_const] = ACTIONS(4094),
    [anon_sym_asm] = ACTIONS(4094),
    [anon_sym_break] = ACTIONS(4094),
    [anon_sym_continue] = ACTIONS(4094),
    [anon_sym_return] = ACTIONS(4094),
    [anon_sym_type] = ACTIONS(4094),
    [anon_sym_go] = ACTIONS(4094),
    [anon_sym_spawn] = ACTIONS(4094),
    [anon_sym_goto] = ACTIONS(4094),
    [anon_sym_for] = ACTIONS(4094),
    [anon_sym_DOLLARfor] = ACTIONS(4092),
    [anon_sym_DOLLARif] = ACTIONS(4092),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_struct] = ACTIONS(4094),
    [anon_sym_union] = ACTIONS(4094),
    [anon_sym_enum] = ACTIONS(4094),
    [anon_sym_interface] = ACTIONS(4094),
    [anon_sym_POUND] = ACTIONS(4092),
    [anon_sym_module] = ACTIONS(4094),
    [anon_sym_import] = ACTIONS(4094),
    [anon_sym_match] = ACTIONS(4094),
    [anon_sym_select] = ACTIONS(4094),
    [anon_sym_lock] = ACTIONS(4094),
    [anon_sym_rlock] = ACTIONS(4094),
    [sym__automatic_separator] = ACTIONS(4092),
    [sym__c_string_opening] = ACTIONS(4092),
    [sym__raw_string_opening] = ACTIONS(4092),
    [sym__string_opening] = ACTIONS(4092),
    [sym__comment] = ACTIONS(3),
  },
  [1582] = {
    [sym_comment] = STATE(1582),
    [ts_builtin_sym_end] = ACTIONS(4096),
    [sym_identifier] = ACTIONS(4098),
    [anon_sym_LPAREN] = ACTIONS(4096),
    [anon_sym_PLUS] = ACTIONS(4096),
    [anon_sym_DASH] = ACTIONS(4096),
    [anon_sym_BANG] = ACTIONS(4096),
    [anon_sym_TILDE] = ACTIONS(4096),
    [anon_sym_CARET] = ACTIONS(4096),
    [anon_sym_STAR] = ACTIONS(4096),
    [anon_sym_AMP] = ACTIONS(4096),
    [anon_sym_LT_DASH] = ACTIONS(4096),
    [anon_sym_DOLLAR] = ACTIONS(4098),
    [sym_none] = ACTIONS(4098),
    [sym_true] = ACTIONS(4098),
    [sym_false] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(4096),
    [anon_sym_LBRACK] = ACTIONS(4096),
    [anon_sym_map_LBRACK] = ACTIONS(4096),
    [anon_sym_chan] = ACTIONS(4098),
    [anon_sym_shared] = ACTIONS(4098),
    [anon_sym_thread] = ACTIONS(4098),
    [sym_int_literal] = ACTIONS(4098),
    [sym_float_literal] = ACTIONS(4096),
    [sym_rune_literal] = ACTIONS(4096),
    [anon_sym_DOT] = ACTIONS(4098),
    [anon_sym_array] = ACTIONS(4098),
    [anon_sym_string] = ACTIONS(4098),
    [anon_sym_char] = ACTIONS(4098),
    [anon_sym_sql] = ACTIONS(4098),
    [anon_sym_mut] = ACTIONS(4098),
    [anon_sym_C] = ACTIONS(4098),
    [anon_sym_JS] = ACTIONS(4098),
    [anon_sym_voidptr] = ACTIONS(4098),
    [anon_sym_byteptr] = ACTIONS(4098),
    [anon_sym_charptr] = ACTIONS(4098),
    [anon_sym_i8] = ACTIONS(4098),
    [anon_sym_i16] = ACTIONS(4098),
    [anon_sym_i32] = ACTIONS(4098),
    [anon_sym_int] = ACTIONS(4098),
    [anon_sym_i64] = ACTIONS(4098),
    [anon_sym_byte] = ACTIONS(4098),
    [anon_sym_u8] = ACTIONS(4098),
    [anon_sym_u16] = ACTIONS(4098),
    [anon_sym_u32] = ACTIONS(4098),
    [anon_sym_u64] = ACTIONS(4098),
    [anon_sym_f32] = ACTIONS(4098),
    [anon_sym_f64] = ACTIONS(4098),
    [anon_sym_bool] = ACTIONS(4098),
    [anon_sym_rune] = ACTIONS(4098),
    [anon_sym_map] = ACTIONS(4098),
    [anon_sym_mapnode] = ACTIONS(4098),
    [anon_sym_size_t] = ACTIONS(4098),
    [anon_sym_usize] = ACTIONS(4098),
    [anon_sym_isize] = ACTIONS(4098),
    [anon_sym_float_literal] = ACTIONS(4098),
    [anon_sym_int_literal] = ACTIONS(4098),
    [anon_sym_IError] = ACTIONS(4098),
    [sym_type_placeholder] = ACTIONS(4098),
    [anon_sym_AT] = ACTIONS(4098),
    [sym_type_identifier] = ACTIONS(4098),
    [anon_sym_assert] = ACTIONS(4098),
    [anon_sym_defer] = ACTIONS(4098),
    [anon_sym_unsafe] = ACTIONS(4098),
    [anon_sym_pub] = ACTIONS(4098),
    [anon_sym_fn] = ACTIONS(4098),
    [anon_sym___global] = ACTIONS(4098),
    [anon_sym_const] = ACTIONS(4098),
    [anon_sym_asm] = ACTIONS(4098),
    [anon_sym_break] = ACTIONS(4098),
    [anon_sym_continue] = ACTIONS(4098),
    [anon_sym_return] = ACTIONS(4098),
    [anon_sym_type] = ACTIONS(4098),
    [anon_sym_go] = ACTIONS(4098),
    [anon_sym_spawn] = ACTIONS(4098),
    [anon_sym_goto] = ACTIONS(4098),
    [anon_sym_for] = ACTIONS(4098),
    [anon_sym_DOLLARfor] = ACTIONS(4096),
    [anon_sym_DOLLARif] = ACTIONS(4096),
    [anon_sym_if] = ACTIONS(4098),
    [anon_sym_struct] = ACTIONS(4098),
    [anon_sym_union] = ACTIONS(4098),
    [anon_sym_enum] = ACTIONS(4098),
    [anon_sym_interface] = ACTIONS(4098),
    [anon_sym_POUND] = ACTIONS(4096),
    [anon_sym_module] = ACTIONS(4098),
    [anon_sym_import] = ACTIONS(4098),
    [anon_sym_match] = ACTIONS(4098),
    [anon_sym_select] = ACTIONS(4098),
    [anon_sym_lock] = ACTIONS(4098),
    [anon_sym_rlock] = ACTIONS(4098),
    [sym__automatic_separator] = ACTIONS(4096),
    [sym__c_string_opening] = ACTIONS(4096),
    [sym__raw_string_opening] = ACTIONS(4096),
    [sym__string_opening] = ACTIONS(4096),
    [sym__comment] = ACTIONS(3),
  },
  [1583] = {
    [sym_comment] = STATE(1583),
    [ts_builtin_sym_end] = ACTIONS(4100),
    [sym_identifier] = ACTIONS(4102),
    [anon_sym_LPAREN] = ACTIONS(4100),
    [anon_sym_PLUS] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4100),
    [anon_sym_BANG] = ACTIONS(4100),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_CARET] = ACTIONS(4100),
    [anon_sym_STAR] = ACTIONS(4100),
    [anon_sym_AMP] = ACTIONS(4100),
    [anon_sym_LT_DASH] = ACTIONS(4100),
    [anon_sym_DOLLAR] = ACTIONS(4102),
    [sym_none] = ACTIONS(4102),
    [sym_true] = ACTIONS(4102),
    [sym_false] = ACTIONS(4102),
    [anon_sym_LBRACE] = ACTIONS(4100),
    [anon_sym_LBRACK] = ACTIONS(4100),
    [anon_sym_map_LBRACK] = ACTIONS(4100),
    [anon_sym_chan] = ACTIONS(4102),
    [anon_sym_shared] = ACTIONS(4102),
    [anon_sym_thread] = ACTIONS(4102),
    [sym_int_literal] = ACTIONS(4102),
    [sym_float_literal] = ACTIONS(4100),
    [sym_rune_literal] = ACTIONS(4100),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_array] = ACTIONS(4102),
    [anon_sym_string] = ACTIONS(4102),
    [anon_sym_char] = ACTIONS(4102),
    [anon_sym_sql] = ACTIONS(4102),
    [anon_sym_mut] = ACTIONS(4102),
    [anon_sym_C] = ACTIONS(4102),
    [anon_sym_JS] = ACTIONS(4102),
    [anon_sym_voidptr] = ACTIONS(4102),
    [anon_sym_byteptr] = ACTIONS(4102),
    [anon_sym_charptr] = ACTIONS(4102),
    [anon_sym_i8] = ACTIONS(4102),
    [anon_sym_i16] = ACTIONS(4102),
    [anon_sym_i32] = ACTIONS(4102),
    [anon_sym_int] = ACTIONS(4102),
    [anon_sym_i64] = ACTIONS(4102),
    [anon_sym_byte] = ACTIONS(4102),
    [anon_sym_u8] = ACTIONS(4102),
    [anon_sym_u16] = ACTIONS(4102),
    [anon_sym_u32] = ACTIONS(4102),
    [anon_sym_u64] = ACTIONS(4102),
    [anon_sym_f32] = ACTIONS(4102),
    [anon_sym_f64] = ACTIONS(4102),
    [anon_sym_bool] = ACTIONS(4102),
    [anon_sym_rune] = ACTIONS(4102),
    [anon_sym_map] = ACTIONS(4102),
    [anon_sym_mapnode] = ACTIONS(4102),
    [anon_sym_size_t] = ACTIONS(4102),
    [anon_sym_usize] = ACTIONS(4102),
    [anon_sym_isize] = ACTIONS(4102),
    [anon_sym_float_literal] = ACTIONS(4102),
    [anon_sym_int_literal] = ACTIONS(4102),
    [anon_sym_IError] = ACTIONS(4102),
    [sym_type_placeholder] = ACTIONS(4102),
    [anon_sym_AT] = ACTIONS(4102),
    [sym_type_identifier] = ACTIONS(4102),
    [anon_sym_assert] = ACTIONS(4102),
    [anon_sym_defer] = ACTIONS(4102),
    [anon_sym_unsafe] = ACTIONS(4102),
    [anon_sym_pub] = ACTIONS(4102),
    [anon_sym_fn] = ACTIONS(4102),
    [anon_sym___global] = ACTIONS(4102),
    [anon_sym_const] = ACTIONS(4102),
    [anon_sym_asm] = ACTIONS(4102),
    [anon_sym_break] = ACTIONS(4102),
    [anon_sym_continue] = ACTIONS(4102),
    [anon_sym_return] = ACTIONS(4102),
    [anon_sym_type] = ACTIONS(4102),
    [anon_sym_go] = ACTIONS(4102),
    [anon_sym_spawn] = ACTIONS(4102),
    [anon_sym_goto] = ACTIONS(4102),
    [anon_sym_for] = ACTIONS(4102),
    [anon_sym_DOLLARfor] = ACTIONS(4100),
    [anon_sym_DOLLARif] = ACTIONS(4100),
    [anon_sym_if] = ACTIONS(4102),
    [anon_sym_struct] = ACTIONS(4102),
    [anon_sym_union] = ACTIONS(4102),
    [anon_sym_enum] = ACTIONS(4102),
    [anon_sym_interface] = ACTIONS(4102),
    [anon_sym_POUND] = ACTIONS(4100),
    [anon_sym_module] = ACTIONS(4102),
    [anon_sym_import] = ACTIONS(4102),
    [anon_sym_match] = ACTIONS(4102),
    [anon_sym_select] = ACTIONS(4102),
    [anon_sym_lock] = ACTIONS(4102),
    [anon_sym_rlock] = ACTIONS(4102),
    [sym__automatic_separator] = ACTIONS(4100),
    [sym__c_string_opening] = ACTIONS(4100),
    [sym__raw_string_opening] = ACTIONS(4100),
    [sym__string_opening] = ACTIONS(4100),
    [sym__comment] = ACTIONS(3),
  },
  [1584] = {
    [sym_comment] = STATE(1584),
    [ts_builtin_sym_end] = ACTIONS(4104),
    [sym_identifier] = ACTIONS(4106),
    [anon_sym_LPAREN] = ACTIONS(4104),
    [anon_sym_PLUS] = ACTIONS(4104),
    [anon_sym_DASH] = ACTIONS(4104),
    [anon_sym_BANG] = ACTIONS(4104),
    [anon_sym_TILDE] = ACTIONS(4104),
    [anon_sym_CARET] = ACTIONS(4104),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_LT_DASH] = ACTIONS(4104),
    [anon_sym_DOLLAR] = ACTIONS(4106),
    [sym_none] = ACTIONS(4106),
    [sym_true] = ACTIONS(4106),
    [sym_false] = ACTIONS(4106),
    [anon_sym_LBRACE] = ACTIONS(4104),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_map_LBRACK] = ACTIONS(4104),
    [anon_sym_chan] = ACTIONS(4106),
    [anon_sym_shared] = ACTIONS(4106),
    [anon_sym_thread] = ACTIONS(4106),
    [sym_int_literal] = ACTIONS(4106),
    [sym_float_literal] = ACTIONS(4104),
    [sym_rune_literal] = ACTIONS(4104),
    [anon_sym_DOT] = ACTIONS(4106),
    [anon_sym_array] = ACTIONS(4106),
    [anon_sym_string] = ACTIONS(4106),
    [anon_sym_char] = ACTIONS(4106),
    [anon_sym_sql] = ACTIONS(4106),
    [anon_sym_mut] = ACTIONS(4106),
    [anon_sym_C] = ACTIONS(4106),
    [anon_sym_JS] = ACTIONS(4106),
    [anon_sym_voidptr] = ACTIONS(4106),
    [anon_sym_byteptr] = ACTIONS(4106),
    [anon_sym_charptr] = ACTIONS(4106),
    [anon_sym_i8] = ACTIONS(4106),
    [anon_sym_i16] = ACTIONS(4106),
    [anon_sym_i32] = ACTIONS(4106),
    [anon_sym_int] = ACTIONS(4106),
    [anon_sym_i64] = ACTIONS(4106),
    [anon_sym_byte] = ACTIONS(4106),
    [anon_sym_u8] = ACTIONS(4106),
    [anon_sym_u16] = ACTIONS(4106),
    [anon_sym_u32] = ACTIONS(4106),
    [anon_sym_u64] = ACTIONS(4106),
    [anon_sym_f32] = ACTIONS(4106),
    [anon_sym_f64] = ACTIONS(4106),
    [anon_sym_bool] = ACTIONS(4106),
    [anon_sym_rune] = ACTIONS(4106),
    [anon_sym_map] = ACTIONS(4106),
    [anon_sym_mapnode] = ACTIONS(4106),
    [anon_sym_size_t] = ACTIONS(4106),
    [anon_sym_usize] = ACTIONS(4106),
    [anon_sym_isize] = ACTIONS(4106),
    [anon_sym_float_literal] = ACTIONS(4106),
    [anon_sym_int_literal] = ACTIONS(4106),
    [anon_sym_IError] = ACTIONS(4106),
    [sym_type_placeholder] = ACTIONS(4106),
    [anon_sym_AT] = ACTIONS(4106),
    [sym_type_identifier] = ACTIONS(4106),
    [anon_sym_assert] = ACTIONS(4106),
    [anon_sym_defer] = ACTIONS(4106),
    [anon_sym_unsafe] = ACTIONS(4106),
    [anon_sym_pub] = ACTIONS(4106),
    [anon_sym_fn] = ACTIONS(4106),
    [anon_sym___global] = ACTIONS(4106),
    [anon_sym_const] = ACTIONS(4106),
    [anon_sym_asm] = ACTIONS(4106),
    [anon_sym_break] = ACTIONS(4106),
    [anon_sym_continue] = ACTIONS(4106),
    [anon_sym_return] = ACTIONS(4106),
    [anon_sym_type] = ACTIONS(4106),
    [anon_sym_go] = ACTIONS(4106),
    [anon_sym_spawn] = ACTIONS(4106),
    [anon_sym_goto] = ACTIONS(4106),
    [anon_sym_for] = ACTIONS(4106),
    [anon_sym_DOLLARfor] = ACTIONS(4104),
    [anon_sym_DOLLARif] = ACTIONS(4104),
    [anon_sym_if] = ACTIONS(4106),
    [anon_sym_struct] = ACTIONS(4106),
    [anon_sym_union] = ACTIONS(4106),
    [anon_sym_enum] = ACTIONS(4106),
    [anon_sym_interface] = ACTIONS(4106),
    [anon_sym_POUND] = ACTIONS(4104),
    [anon_sym_module] = ACTIONS(4106),
    [anon_sym_import] = ACTIONS(4106),
    [anon_sym_match] = ACTIONS(4106),
    [anon_sym_select] = ACTIONS(4106),
    [anon_sym_lock] = ACTIONS(4106),
    [anon_sym_rlock] = ACTIONS(4106),
    [sym__automatic_separator] = ACTIONS(4104),
    [sym__c_string_opening] = ACTIONS(4104),
    [sym__raw_string_opening] = ACTIONS(4104),
    [sym__string_opening] = ACTIONS(4104),
    [sym__comment] = ACTIONS(3),
  },
  [1585] = {
    [sym_comment] = STATE(1585),
    [ts_builtin_sym_end] = ACTIONS(4108),
    [sym_identifier] = ACTIONS(4110),
    [anon_sym_LPAREN] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4108),
    [anon_sym_DASH] = ACTIONS(4108),
    [anon_sym_BANG] = ACTIONS(4108),
    [anon_sym_TILDE] = ACTIONS(4108),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_STAR] = ACTIONS(4108),
    [anon_sym_AMP] = ACTIONS(4108),
    [anon_sym_LT_DASH] = ACTIONS(4108),
    [anon_sym_DOLLAR] = ACTIONS(4110),
    [sym_none] = ACTIONS(4110),
    [sym_true] = ACTIONS(4110),
    [sym_false] = ACTIONS(4110),
    [anon_sym_LBRACE] = ACTIONS(4108),
    [anon_sym_LBRACK] = ACTIONS(4108),
    [anon_sym_map_LBRACK] = ACTIONS(4108),
    [anon_sym_chan] = ACTIONS(4110),
    [anon_sym_shared] = ACTIONS(4110),
    [anon_sym_thread] = ACTIONS(4110),
    [sym_int_literal] = ACTIONS(4110),
    [sym_float_literal] = ACTIONS(4108),
    [sym_rune_literal] = ACTIONS(4108),
    [anon_sym_DOT] = ACTIONS(4110),
    [anon_sym_array] = ACTIONS(4110),
    [anon_sym_string] = ACTIONS(4110),
    [anon_sym_char] = ACTIONS(4110),
    [anon_sym_sql] = ACTIONS(4110),
    [anon_sym_mut] = ACTIONS(4110),
    [anon_sym_C] = ACTIONS(4110),
    [anon_sym_JS] = ACTIONS(4110),
    [anon_sym_voidptr] = ACTIONS(4110),
    [anon_sym_byteptr] = ACTIONS(4110),
    [anon_sym_charptr] = ACTIONS(4110),
    [anon_sym_i8] = ACTIONS(4110),
    [anon_sym_i16] = ACTIONS(4110),
    [anon_sym_i32] = ACTIONS(4110),
    [anon_sym_int] = ACTIONS(4110),
    [anon_sym_i64] = ACTIONS(4110),
    [anon_sym_byte] = ACTIONS(4110),
    [anon_sym_u8] = ACTIONS(4110),
    [anon_sym_u16] = ACTIONS(4110),
    [anon_sym_u32] = ACTIONS(4110),
    [anon_sym_u64] = ACTIONS(4110),
    [anon_sym_f32] = ACTIONS(4110),
    [anon_sym_f64] = ACTIONS(4110),
    [anon_sym_bool] = ACTIONS(4110),
    [anon_sym_rune] = ACTIONS(4110),
    [anon_sym_map] = ACTIONS(4110),
    [anon_sym_mapnode] = ACTIONS(4110),
    [anon_sym_size_t] = ACTIONS(4110),
    [anon_sym_usize] = ACTIONS(4110),
    [anon_sym_isize] = ACTIONS(4110),
    [anon_sym_float_literal] = ACTIONS(4110),
    [anon_sym_int_literal] = ACTIONS(4110),
    [anon_sym_IError] = ACTIONS(4110),
    [sym_type_placeholder] = ACTIONS(4110),
    [anon_sym_AT] = ACTIONS(4110),
    [sym_type_identifier] = ACTIONS(4110),
    [anon_sym_assert] = ACTIONS(4110),
    [anon_sym_defer] = ACTIONS(4110),
    [anon_sym_unsafe] = ACTIONS(4110),
    [anon_sym_pub] = ACTIONS(4110),
    [anon_sym_fn] = ACTIONS(4110),
    [anon_sym___global] = ACTIONS(4110),
    [anon_sym_const] = ACTIONS(4110),
    [anon_sym_asm] = ACTIONS(4110),
    [anon_sym_break] = ACTIONS(4110),
    [anon_sym_continue] = ACTIONS(4110),
    [anon_sym_return] = ACTIONS(4110),
    [anon_sym_type] = ACTIONS(4110),
    [anon_sym_go] = ACTIONS(4110),
    [anon_sym_spawn] = ACTIONS(4110),
    [anon_sym_goto] = ACTIONS(4110),
    [anon_sym_for] = ACTIONS(4110),
    [anon_sym_DOLLARfor] = ACTIONS(4108),
    [anon_sym_DOLLARif] = ACTIONS(4108),
    [anon_sym_if] = ACTIONS(4110),
    [anon_sym_struct] = ACTIONS(4110),
    [anon_sym_union] = ACTIONS(4110),
    [anon_sym_enum] = ACTIONS(4110),
    [anon_sym_interface] = ACTIONS(4110),
    [anon_sym_POUND] = ACTIONS(4108),
    [anon_sym_module] = ACTIONS(4110),
    [anon_sym_import] = ACTIONS(4110),
    [anon_sym_match] = ACTIONS(4110),
    [anon_sym_select] = ACTIONS(4110),
    [anon_sym_lock] = ACTIONS(4110),
    [anon_sym_rlock] = ACTIONS(4110),
    [sym__automatic_separator] = ACTIONS(4108),
    [sym__c_string_opening] = ACTIONS(4108),
    [sym__raw_string_opening] = ACTIONS(4108),
    [sym__string_opening] = ACTIONS(4108),
    [sym__comment] = ACTIONS(3),
  },
  [1586] = {
    [sym_comment] = STATE(1586),
    [ts_builtin_sym_end] = ACTIONS(4112),
    [sym_identifier] = ACTIONS(4114),
    [anon_sym_LPAREN] = ACTIONS(4112),
    [anon_sym_PLUS] = ACTIONS(4112),
    [anon_sym_DASH] = ACTIONS(4112),
    [anon_sym_BANG] = ACTIONS(4112),
    [anon_sym_TILDE] = ACTIONS(4112),
    [anon_sym_CARET] = ACTIONS(4112),
    [anon_sym_STAR] = ACTIONS(4112),
    [anon_sym_AMP] = ACTIONS(4112),
    [anon_sym_LT_DASH] = ACTIONS(4112),
    [anon_sym_DOLLAR] = ACTIONS(4114),
    [sym_none] = ACTIONS(4114),
    [sym_true] = ACTIONS(4114),
    [sym_false] = ACTIONS(4114),
    [anon_sym_LBRACE] = ACTIONS(4112),
    [anon_sym_LBRACK] = ACTIONS(4112),
    [anon_sym_map_LBRACK] = ACTIONS(4112),
    [anon_sym_chan] = ACTIONS(4114),
    [anon_sym_shared] = ACTIONS(4114),
    [anon_sym_thread] = ACTIONS(4114),
    [sym_int_literal] = ACTIONS(4114),
    [sym_float_literal] = ACTIONS(4112),
    [sym_rune_literal] = ACTIONS(4112),
    [anon_sym_DOT] = ACTIONS(4114),
    [anon_sym_array] = ACTIONS(4114),
    [anon_sym_string] = ACTIONS(4114),
    [anon_sym_char] = ACTIONS(4114),
    [anon_sym_sql] = ACTIONS(4114),
    [anon_sym_mut] = ACTIONS(4114),
    [anon_sym_C] = ACTIONS(4114),
    [anon_sym_JS] = ACTIONS(4114),
    [anon_sym_voidptr] = ACTIONS(4114),
    [anon_sym_byteptr] = ACTIONS(4114),
    [anon_sym_charptr] = ACTIONS(4114),
    [anon_sym_i8] = ACTIONS(4114),
    [anon_sym_i16] = ACTIONS(4114),
    [anon_sym_i32] = ACTIONS(4114),
    [anon_sym_int] = ACTIONS(4114),
    [anon_sym_i64] = ACTIONS(4114),
    [anon_sym_byte] = ACTIONS(4114),
    [anon_sym_u8] = ACTIONS(4114),
    [anon_sym_u16] = ACTIONS(4114),
    [anon_sym_u32] = ACTIONS(4114),
    [anon_sym_u64] = ACTIONS(4114),
    [anon_sym_f32] = ACTIONS(4114),
    [anon_sym_f64] = ACTIONS(4114),
    [anon_sym_bool] = ACTIONS(4114),
    [anon_sym_rune] = ACTIONS(4114),
    [anon_sym_map] = ACTIONS(4114),
    [anon_sym_mapnode] = ACTIONS(4114),
    [anon_sym_size_t] = ACTIONS(4114),
    [anon_sym_usize] = ACTIONS(4114),
    [anon_sym_isize] = ACTIONS(4114),
    [anon_sym_float_literal] = ACTIONS(4114),
    [anon_sym_int_literal] = ACTIONS(4114),
    [anon_sym_IError] = ACTIONS(4114),
    [sym_type_placeholder] = ACTIONS(4114),
    [anon_sym_AT] = ACTIONS(4114),
    [sym_type_identifier] = ACTIONS(4114),
    [anon_sym_assert] = ACTIONS(4114),
    [anon_sym_defer] = ACTIONS(4114),
    [anon_sym_unsafe] = ACTIONS(4114),
    [anon_sym_pub] = ACTIONS(4114),
    [anon_sym_fn] = ACTIONS(4114),
    [anon_sym___global] = ACTIONS(4114),
    [anon_sym_const] = ACTIONS(4114),
    [anon_sym_asm] = ACTIONS(4114),
    [anon_sym_break] = ACTIONS(4114),
    [anon_sym_continue] = ACTIONS(4114),
    [anon_sym_return] = ACTIONS(4114),
    [anon_sym_type] = ACTIONS(4114),
    [anon_sym_go] = ACTIONS(4114),
    [anon_sym_spawn] = ACTIONS(4114),
    [anon_sym_goto] = ACTIONS(4114),
    [anon_sym_for] = ACTIONS(4114),
    [anon_sym_DOLLARfor] = ACTIONS(4112),
    [anon_sym_DOLLARif] = ACTIONS(4112),
    [anon_sym_if] = ACTIONS(4114),
    [anon_sym_struct] = ACTIONS(4114),
    [anon_sym_union] = ACTIONS(4114),
    [anon_sym_enum] = ACTIONS(4114),
    [anon_sym_interface] = ACTIONS(4114),
    [anon_sym_POUND] = ACTIONS(4112),
    [anon_sym_module] = ACTIONS(4114),
    [anon_sym_import] = ACTIONS(4114),
    [anon_sym_match] = ACTIONS(4114),
    [anon_sym_select] = ACTIONS(4114),
    [anon_sym_lock] = ACTIONS(4114),
    [anon_sym_rlock] = ACTIONS(4114),
    [sym__automatic_separator] = ACTIONS(4112),
    [sym__c_string_opening] = ACTIONS(4112),
    [sym__raw_string_opening] = ACTIONS(4112),
    [sym__string_opening] = ACTIONS(4112),
    [sym__comment] = ACTIONS(3),
  },
  [1587] = {
    [sym_comment] = STATE(1587),
    [ts_builtin_sym_end] = ACTIONS(4116),
    [sym_identifier] = ACTIONS(4118),
    [anon_sym_LPAREN] = ACTIONS(4116),
    [anon_sym_PLUS] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4116),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_CARET] = ACTIONS(4116),
    [anon_sym_STAR] = ACTIONS(4116),
    [anon_sym_AMP] = ACTIONS(4116),
    [anon_sym_LT_DASH] = ACTIONS(4116),
    [anon_sym_DOLLAR] = ACTIONS(4118),
    [sym_none] = ACTIONS(4118),
    [sym_true] = ACTIONS(4118),
    [sym_false] = ACTIONS(4118),
    [anon_sym_LBRACE] = ACTIONS(4116),
    [anon_sym_LBRACK] = ACTIONS(4116),
    [anon_sym_map_LBRACK] = ACTIONS(4116),
    [anon_sym_chan] = ACTIONS(4118),
    [anon_sym_shared] = ACTIONS(4118),
    [anon_sym_thread] = ACTIONS(4118),
    [sym_int_literal] = ACTIONS(4118),
    [sym_float_literal] = ACTIONS(4116),
    [sym_rune_literal] = ACTIONS(4116),
    [anon_sym_DOT] = ACTIONS(4118),
    [anon_sym_array] = ACTIONS(4118),
    [anon_sym_string] = ACTIONS(4118),
    [anon_sym_char] = ACTIONS(4118),
    [anon_sym_sql] = ACTIONS(4118),
    [anon_sym_mut] = ACTIONS(4118),
    [anon_sym_C] = ACTIONS(4118),
    [anon_sym_JS] = ACTIONS(4118),
    [anon_sym_voidptr] = ACTIONS(4118),
    [anon_sym_byteptr] = ACTIONS(4118),
    [anon_sym_charptr] = ACTIONS(4118),
    [anon_sym_i8] = ACTIONS(4118),
    [anon_sym_i16] = ACTIONS(4118),
    [anon_sym_i32] = ACTIONS(4118),
    [anon_sym_int] = ACTIONS(4118),
    [anon_sym_i64] = ACTIONS(4118),
    [anon_sym_byte] = ACTIONS(4118),
    [anon_sym_u8] = ACTIONS(4118),
    [anon_sym_u16] = ACTIONS(4118),
    [anon_sym_u32] = ACTIONS(4118),
    [anon_sym_u64] = ACTIONS(4118),
    [anon_sym_f32] = ACTIONS(4118),
    [anon_sym_f64] = ACTIONS(4118),
    [anon_sym_bool] = ACTIONS(4118),
    [anon_sym_rune] = ACTIONS(4118),
    [anon_sym_map] = ACTIONS(4118),
    [anon_sym_mapnode] = ACTIONS(4118),
    [anon_sym_size_t] = ACTIONS(4118),
    [anon_sym_usize] = ACTIONS(4118),
    [anon_sym_isize] = ACTIONS(4118),
    [anon_sym_float_literal] = ACTIONS(4118),
    [anon_sym_int_literal] = ACTIONS(4118),
    [anon_sym_IError] = ACTIONS(4118),
    [sym_type_placeholder] = ACTIONS(4118),
    [anon_sym_AT] = ACTIONS(4118),
    [sym_type_identifier] = ACTIONS(4118),
    [anon_sym_assert] = ACTIONS(4118),
    [anon_sym_defer] = ACTIONS(4118),
    [anon_sym_unsafe] = ACTIONS(4118),
    [anon_sym_pub] = ACTIONS(4118),
    [anon_sym_fn] = ACTIONS(4118),
    [anon_sym___global] = ACTIONS(4118),
    [anon_sym_const] = ACTIONS(4118),
    [anon_sym_asm] = ACTIONS(4118),
    [anon_sym_break] = ACTIONS(4118),
    [anon_sym_continue] = ACTIONS(4118),
    [anon_sym_return] = ACTIONS(4118),
    [anon_sym_type] = ACTIONS(4118),
    [anon_sym_go] = ACTIONS(4118),
    [anon_sym_spawn] = ACTIONS(4118),
    [anon_sym_goto] = ACTIONS(4118),
    [anon_sym_for] = ACTIONS(4118),
    [anon_sym_DOLLARfor] = ACTIONS(4116),
    [anon_sym_DOLLARif] = ACTIONS(4116),
    [anon_sym_if] = ACTIONS(4118),
    [anon_sym_struct] = ACTIONS(4118),
    [anon_sym_union] = ACTIONS(4118),
    [anon_sym_enum] = ACTIONS(4118),
    [anon_sym_interface] = ACTIONS(4118),
    [anon_sym_POUND] = ACTIONS(4116),
    [anon_sym_module] = ACTIONS(4118),
    [anon_sym_import] = ACTIONS(4118),
    [anon_sym_match] = ACTIONS(4118),
    [anon_sym_select] = ACTIONS(4118),
    [anon_sym_lock] = ACTIONS(4118),
    [anon_sym_rlock] = ACTIONS(4118),
    [sym__automatic_separator] = ACTIONS(4116),
    [sym__c_string_opening] = ACTIONS(4116),
    [sym__raw_string_opening] = ACTIONS(4116),
    [sym__string_opening] = ACTIONS(4116),
    [sym__comment] = ACTIONS(3),
  },
  [1588] = {
    [sym_comment] = STATE(1588),
    [ts_builtin_sym_end] = ACTIONS(4120),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4120),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_TILDE] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_DASH] = ACTIONS(4120),
    [anon_sym_DOLLAR] = ACTIONS(4122),
    [sym_none] = ACTIONS(4122),
    [sym_true] = ACTIONS(4122),
    [sym_false] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4120),
    [anon_sym_map_LBRACK] = ACTIONS(4120),
    [anon_sym_chan] = ACTIONS(4122),
    [anon_sym_shared] = ACTIONS(4122),
    [anon_sym_thread] = ACTIONS(4122),
    [sym_int_literal] = ACTIONS(4122),
    [sym_float_literal] = ACTIONS(4120),
    [sym_rune_literal] = ACTIONS(4120),
    [anon_sym_DOT] = ACTIONS(4122),
    [anon_sym_array] = ACTIONS(4122),
    [anon_sym_string] = ACTIONS(4122),
    [anon_sym_char] = ACTIONS(4122),
    [anon_sym_sql] = ACTIONS(4122),
    [anon_sym_mut] = ACTIONS(4122),
    [anon_sym_C] = ACTIONS(4122),
    [anon_sym_JS] = ACTIONS(4122),
    [anon_sym_voidptr] = ACTIONS(4122),
    [anon_sym_byteptr] = ACTIONS(4122),
    [anon_sym_charptr] = ACTIONS(4122),
    [anon_sym_i8] = ACTIONS(4122),
    [anon_sym_i16] = ACTIONS(4122),
    [anon_sym_i32] = ACTIONS(4122),
    [anon_sym_int] = ACTIONS(4122),
    [anon_sym_i64] = ACTIONS(4122),
    [anon_sym_byte] = ACTIONS(4122),
    [anon_sym_u8] = ACTIONS(4122),
    [anon_sym_u16] = ACTIONS(4122),
    [anon_sym_u32] = ACTIONS(4122),
    [anon_sym_u64] = ACTIONS(4122),
    [anon_sym_f32] = ACTIONS(4122),
    [anon_sym_f64] = ACTIONS(4122),
    [anon_sym_bool] = ACTIONS(4122),
    [anon_sym_rune] = ACTIONS(4122),
    [anon_sym_map] = ACTIONS(4122),
    [anon_sym_mapnode] = ACTIONS(4122),
    [anon_sym_size_t] = ACTIONS(4122),
    [anon_sym_usize] = ACTIONS(4122),
    [anon_sym_isize] = ACTIONS(4122),
    [anon_sym_float_literal] = ACTIONS(4122),
    [anon_sym_int_literal] = ACTIONS(4122),
    [anon_sym_IError] = ACTIONS(4122),
    [sym_type_placeholder] = ACTIONS(4122),
    [anon_sym_AT] = ACTIONS(4122),
    [sym_type_identifier] = ACTIONS(4122),
    [anon_sym_assert] = ACTIONS(4122),
    [anon_sym_defer] = ACTIONS(4122),
    [anon_sym_unsafe] = ACTIONS(4122),
    [anon_sym_pub] = ACTIONS(4122),
    [anon_sym_fn] = ACTIONS(4122),
    [anon_sym___global] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_asm] = ACTIONS(4122),
    [anon_sym_break] = ACTIONS(4122),
    [anon_sym_continue] = ACTIONS(4122),
    [anon_sym_return] = ACTIONS(4122),
    [anon_sym_type] = ACTIONS(4122),
    [anon_sym_go] = ACTIONS(4122),
    [anon_sym_spawn] = ACTIONS(4122),
    [anon_sym_goto] = ACTIONS(4122),
    [anon_sym_for] = ACTIONS(4122),
    [anon_sym_DOLLARfor] = ACTIONS(4120),
    [anon_sym_DOLLARif] = ACTIONS(4120),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_struct] = ACTIONS(4122),
    [anon_sym_union] = ACTIONS(4122),
    [anon_sym_enum] = ACTIONS(4122),
    [anon_sym_interface] = ACTIONS(4122),
    [anon_sym_POUND] = ACTIONS(4120),
    [anon_sym_module] = ACTIONS(4122),
    [anon_sym_import] = ACTIONS(4122),
    [anon_sym_match] = ACTIONS(4122),
    [anon_sym_select] = ACTIONS(4122),
    [anon_sym_lock] = ACTIONS(4122),
    [anon_sym_rlock] = ACTIONS(4122),
    [sym__automatic_separator] = ACTIONS(4120),
    [sym__c_string_opening] = ACTIONS(4120),
    [sym__raw_string_opening] = ACTIONS(4120),
    [sym__string_opening] = ACTIONS(4120),
    [sym__comment] = ACTIONS(3),
  },
  [1589] = {
    [sym_comment] = STATE(1589),
    [ts_builtin_sym_end] = ACTIONS(4124),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_TILDE] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_DASH] = ACTIONS(4124),
    [anon_sym_DOLLAR] = ACTIONS(4126),
    [sym_none] = ACTIONS(4126),
    [sym_true] = ACTIONS(4126),
    [sym_false] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_map_LBRACK] = ACTIONS(4124),
    [anon_sym_chan] = ACTIONS(4126),
    [anon_sym_shared] = ACTIONS(4126),
    [anon_sym_thread] = ACTIONS(4126),
    [sym_int_literal] = ACTIONS(4126),
    [sym_float_literal] = ACTIONS(4124),
    [sym_rune_literal] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4126),
    [anon_sym_array] = ACTIONS(4126),
    [anon_sym_string] = ACTIONS(4126),
    [anon_sym_char] = ACTIONS(4126),
    [anon_sym_sql] = ACTIONS(4126),
    [anon_sym_mut] = ACTIONS(4126),
    [anon_sym_C] = ACTIONS(4126),
    [anon_sym_JS] = ACTIONS(4126),
    [anon_sym_voidptr] = ACTIONS(4126),
    [anon_sym_byteptr] = ACTIONS(4126),
    [anon_sym_charptr] = ACTIONS(4126),
    [anon_sym_i8] = ACTIONS(4126),
    [anon_sym_i16] = ACTIONS(4126),
    [anon_sym_i32] = ACTIONS(4126),
    [anon_sym_int] = ACTIONS(4126),
    [anon_sym_i64] = ACTIONS(4126),
    [anon_sym_byte] = ACTIONS(4126),
    [anon_sym_u8] = ACTIONS(4126),
    [anon_sym_u16] = ACTIONS(4126),
    [anon_sym_u32] = ACTIONS(4126),
    [anon_sym_u64] = ACTIONS(4126),
    [anon_sym_f32] = ACTIONS(4126),
    [anon_sym_f64] = ACTIONS(4126),
    [anon_sym_bool] = ACTIONS(4126),
    [anon_sym_rune] = ACTIONS(4126),
    [anon_sym_map] = ACTIONS(4126),
    [anon_sym_mapnode] = ACTIONS(4126),
    [anon_sym_size_t] = ACTIONS(4126),
    [anon_sym_usize] = ACTIONS(4126),
    [anon_sym_isize] = ACTIONS(4126),
    [anon_sym_float_literal] = ACTIONS(4126),
    [anon_sym_int_literal] = ACTIONS(4126),
    [anon_sym_IError] = ACTIONS(4126),
    [sym_type_placeholder] = ACTIONS(4126),
    [anon_sym_AT] = ACTIONS(4126),
    [sym_type_identifier] = ACTIONS(4126),
    [anon_sym_assert] = ACTIONS(4126),
    [anon_sym_defer] = ACTIONS(4126),
    [anon_sym_unsafe] = ACTIONS(4126),
    [anon_sym_pub] = ACTIONS(4126),
    [anon_sym_fn] = ACTIONS(4126),
    [anon_sym___global] = ACTIONS(4126),
    [anon_sym_const] = ACTIONS(4126),
    [anon_sym_asm] = ACTIONS(4126),
    [anon_sym_break] = ACTIONS(4126),
    [anon_sym_continue] = ACTIONS(4126),
    [anon_sym_return] = ACTIONS(4126),
    [anon_sym_type] = ACTIONS(4126),
    [anon_sym_go] = ACTIONS(4126),
    [anon_sym_spawn] = ACTIONS(4126),
    [anon_sym_goto] = ACTIONS(4126),
    [anon_sym_for] = ACTIONS(4126),
    [anon_sym_DOLLARfor] = ACTIONS(4124),
    [anon_sym_DOLLARif] = ACTIONS(4124),
    [anon_sym_if] = ACTIONS(4126),
    [anon_sym_struct] = ACTIONS(4126),
    [anon_sym_union] = ACTIONS(4126),
    [anon_sym_enum] = ACTIONS(4126),
    [anon_sym_interface] = ACTIONS(4126),
    [anon_sym_POUND] = ACTIONS(4124),
    [anon_sym_module] = ACTIONS(4126),
    [anon_sym_import] = ACTIONS(4126),
    [anon_sym_match] = ACTIONS(4126),
    [anon_sym_select] = ACTIONS(4126),
    [anon_sym_lock] = ACTIONS(4126),
    [anon_sym_rlock] = ACTIONS(4126),
    [sym__automatic_separator] = ACTIONS(4124),
    [sym__c_string_opening] = ACTIONS(4124),
    [sym__raw_string_opening] = ACTIONS(4124),
    [sym__string_opening] = ACTIONS(4124),
    [sym__comment] = ACTIONS(3),
  },
  [1590] = {
    [sym_comment] = STATE(1590),
    [ts_builtin_sym_end] = ACTIONS(4128),
    [sym_identifier] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_TILDE] = ACTIONS(4128),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_DASH] = ACTIONS(4128),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [sym_none] = ACTIONS(4130),
    [sym_true] = ACTIONS(4130),
    [sym_false] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4128),
    [anon_sym_map_LBRACK] = ACTIONS(4128),
    [anon_sym_chan] = ACTIONS(4130),
    [anon_sym_shared] = ACTIONS(4130),
    [anon_sym_thread] = ACTIONS(4130),
    [sym_int_literal] = ACTIONS(4130),
    [sym_float_literal] = ACTIONS(4128),
    [sym_rune_literal] = ACTIONS(4128),
    [anon_sym_DOT] = ACTIONS(4130),
    [anon_sym_array] = ACTIONS(4130),
    [anon_sym_string] = ACTIONS(4130),
    [anon_sym_char] = ACTIONS(4130),
    [anon_sym_sql] = ACTIONS(4130),
    [anon_sym_mut] = ACTIONS(4130),
    [anon_sym_C] = ACTIONS(4130),
    [anon_sym_JS] = ACTIONS(4130),
    [anon_sym_voidptr] = ACTIONS(4130),
    [anon_sym_byteptr] = ACTIONS(4130),
    [anon_sym_charptr] = ACTIONS(4130),
    [anon_sym_i8] = ACTIONS(4130),
    [anon_sym_i16] = ACTIONS(4130),
    [anon_sym_i32] = ACTIONS(4130),
    [anon_sym_int] = ACTIONS(4130),
    [anon_sym_i64] = ACTIONS(4130),
    [anon_sym_byte] = ACTIONS(4130),
    [anon_sym_u8] = ACTIONS(4130),
    [anon_sym_u16] = ACTIONS(4130),
    [anon_sym_u32] = ACTIONS(4130),
    [anon_sym_u64] = ACTIONS(4130),
    [anon_sym_f32] = ACTIONS(4130),
    [anon_sym_f64] = ACTIONS(4130),
    [anon_sym_bool] = ACTIONS(4130),
    [anon_sym_rune] = ACTIONS(4130),
    [anon_sym_map] = ACTIONS(4130),
    [anon_sym_mapnode] = ACTIONS(4130),
    [anon_sym_size_t] = ACTIONS(4130),
    [anon_sym_usize] = ACTIONS(4130),
    [anon_sym_isize] = ACTIONS(4130),
    [anon_sym_float_literal] = ACTIONS(4130),
    [anon_sym_int_literal] = ACTIONS(4130),
    [anon_sym_IError] = ACTIONS(4130),
    [sym_type_placeholder] = ACTIONS(4130),
    [anon_sym_AT] = ACTIONS(4130),
    [sym_type_identifier] = ACTIONS(4130),
    [anon_sym_assert] = ACTIONS(4130),
    [anon_sym_defer] = ACTIONS(4130),
    [anon_sym_unsafe] = ACTIONS(4130),
    [anon_sym_pub] = ACTIONS(4130),
    [anon_sym_fn] = ACTIONS(4130),
    [anon_sym___global] = ACTIONS(4130),
    [anon_sym_const] = ACTIONS(4130),
    [anon_sym_asm] = ACTIONS(4130),
    [anon_sym_break] = ACTIONS(4130),
    [anon_sym_continue] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_go] = ACTIONS(4130),
    [anon_sym_spawn] = ACTIONS(4130),
    [anon_sym_goto] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_DOLLARfor] = ACTIONS(4128),
    [anon_sym_DOLLARif] = ACTIONS(4128),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_struct] = ACTIONS(4130),
    [anon_sym_union] = ACTIONS(4130),
    [anon_sym_enum] = ACTIONS(4130),
    [anon_sym_interface] = ACTIONS(4130),
    [anon_sym_POUND] = ACTIONS(4128),
    [anon_sym_module] = ACTIONS(4130),
    [anon_sym_import] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4130),
    [anon_sym_select] = ACTIONS(4130),
    [anon_sym_lock] = ACTIONS(4130),
    [anon_sym_rlock] = ACTIONS(4130),
    [sym__automatic_separator] = ACTIONS(4128),
    [sym__c_string_opening] = ACTIONS(4128),
    [sym__raw_string_opening] = ACTIONS(4128),
    [sym__string_opening] = ACTIONS(4128),
    [sym__comment] = ACTIONS(3),
  },
  [1591] = {
    [sym_comment] = STATE(1591),
    [ts_builtin_sym_end] = ACTIONS(4132),
    [sym_identifier] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_TILDE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_DASH] = ACTIONS(4132),
    [anon_sym_DOLLAR] = ACTIONS(4134),
    [sym_none] = ACTIONS(4134),
    [sym_true] = ACTIONS(4134),
    [sym_false] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4132),
    [anon_sym_map_LBRACK] = ACTIONS(4132),
    [anon_sym_chan] = ACTIONS(4134),
    [anon_sym_shared] = ACTIONS(4134),
    [anon_sym_thread] = ACTIONS(4134),
    [sym_int_literal] = ACTIONS(4134),
    [sym_float_literal] = ACTIONS(4132),
    [sym_rune_literal] = ACTIONS(4132),
    [anon_sym_DOT] = ACTIONS(4134),
    [anon_sym_array] = ACTIONS(4134),
    [anon_sym_string] = ACTIONS(4134),
    [anon_sym_char] = ACTIONS(4134),
    [anon_sym_sql] = ACTIONS(4134),
    [anon_sym_mut] = ACTIONS(4134),
    [anon_sym_C] = ACTIONS(4134),
    [anon_sym_JS] = ACTIONS(4134),
    [anon_sym_voidptr] = ACTIONS(4134),
    [anon_sym_byteptr] = ACTIONS(4134),
    [anon_sym_charptr] = ACTIONS(4134),
    [anon_sym_i8] = ACTIONS(4134),
    [anon_sym_i16] = ACTIONS(4134),
    [anon_sym_i32] = ACTIONS(4134),
    [anon_sym_int] = ACTIONS(4134),
    [anon_sym_i64] = ACTIONS(4134),
    [anon_sym_byte] = ACTIONS(4134),
    [anon_sym_u8] = ACTIONS(4134),
    [anon_sym_u16] = ACTIONS(4134),
    [anon_sym_u32] = ACTIONS(4134),
    [anon_sym_u64] = ACTIONS(4134),
    [anon_sym_f32] = ACTIONS(4134),
    [anon_sym_f64] = ACTIONS(4134),
    [anon_sym_bool] = ACTIONS(4134),
    [anon_sym_rune] = ACTIONS(4134),
    [anon_sym_map] = ACTIONS(4134),
    [anon_sym_mapnode] = ACTIONS(4134),
    [anon_sym_size_t] = ACTIONS(4134),
    [anon_sym_usize] = ACTIONS(4134),
    [anon_sym_isize] = ACTIONS(4134),
    [anon_sym_float_literal] = ACTIONS(4134),
    [anon_sym_int_literal] = ACTIONS(4134),
    [anon_sym_IError] = ACTIONS(4134),
    [sym_type_placeholder] = ACTIONS(4134),
    [anon_sym_AT] = ACTIONS(4134),
    [sym_type_identifier] = ACTIONS(4134),
    [anon_sym_assert] = ACTIONS(4134),
    [anon_sym_defer] = ACTIONS(4134),
    [anon_sym_unsafe] = ACTIONS(4134),
    [anon_sym_pub] = ACTIONS(4134),
    [anon_sym_fn] = ACTIONS(4134),
    [anon_sym___global] = ACTIONS(4134),
    [anon_sym_const] = ACTIONS(4134),
    [anon_sym_asm] = ACTIONS(4134),
    [anon_sym_break] = ACTIONS(4134),
    [anon_sym_continue] = ACTIONS(4134),
    [anon_sym_return] = ACTIONS(4134),
    [anon_sym_type] = ACTIONS(4134),
    [anon_sym_go] = ACTIONS(4134),
    [anon_sym_spawn] = ACTIONS(4134),
    [anon_sym_goto] = ACTIONS(4134),
    [anon_sym_for] = ACTIONS(4134),
    [anon_sym_DOLLARfor] = ACTIONS(4132),
    [anon_sym_DOLLARif] = ACTIONS(4132),
    [anon_sym_if] = ACTIONS(4134),
    [anon_sym_struct] = ACTIONS(4134),
    [anon_sym_union] = ACTIONS(4134),
    [anon_sym_enum] = ACTIONS(4134),
    [anon_sym_interface] = ACTIONS(4134),
    [anon_sym_POUND] = ACTIONS(4132),
    [anon_sym_module] = ACTIONS(4134),
    [anon_sym_import] = ACTIONS(4134),
    [anon_sym_match] = ACTIONS(4134),
    [anon_sym_select] = ACTIONS(4134),
    [anon_sym_lock] = ACTIONS(4134),
    [anon_sym_rlock] = ACTIONS(4134),
    [sym__automatic_separator] = ACTIONS(4132),
    [sym__c_string_opening] = ACTIONS(4132),
    [sym__raw_string_opening] = ACTIONS(4132),
    [sym__string_opening] = ACTIONS(4132),
    [sym__comment] = ACTIONS(3),
  },
  [1592] = {
    [sym_comment] = STATE(1592),
    [ts_builtin_sym_end] = ACTIONS(4136),
    [sym_identifier] = ACTIONS(4138),
    [anon_sym_LPAREN] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_BANG] = ACTIONS(4136),
    [anon_sym_TILDE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_LT_DASH] = ACTIONS(4136),
    [anon_sym_DOLLAR] = ACTIONS(4138),
    [sym_none] = ACTIONS(4138),
    [sym_true] = ACTIONS(4138),
    [sym_false] = ACTIONS(4138),
    [anon_sym_LBRACE] = ACTIONS(4136),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_map_LBRACK] = ACTIONS(4136),
    [anon_sym_chan] = ACTIONS(4138),
    [anon_sym_shared] = ACTIONS(4138),
    [anon_sym_thread] = ACTIONS(4138),
    [sym_int_literal] = ACTIONS(4138),
    [sym_float_literal] = ACTIONS(4136),
    [sym_rune_literal] = ACTIONS(4136),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_array] = ACTIONS(4138),
    [anon_sym_string] = ACTIONS(4138),
    [anon_sym_char] = ACTIONS(4138),
    [anon_sym_sql] = ACTIONS(4138),
    [anon_sym_mut] = ACTIONS(4138),
    [anon_sym_C] = ACTIONS(4138),
    [anon_sym_JS] = ACTIONS(4138),
    [anon_sym_voidptr] = ACTIONS(4138),
    [anon_sym_byteptr] = ACTIONS(4138),
    [anon_sym_charptr] = ACTIONS(4138),
    [anon_sym_i8] = ACTIONS(4138),
    [anon_sym_i16] = ACTIONS(4138),
    [anon_sym_i32] = ACTIONS(4138),
    [anon_sym_int] = ACTIONS(4138),
    [anon_sym_i64] = ACTIONS(4138),
    [anon_sym_byte] = ACTIONS(4138),
    [anon_sym_u8] = ACTIONS(4138),
    [anon_sym_u16] = ACTIONS(4138),
    [anon_sym_u32] = ACTIONS(4138),
    [anon_sym_u64] = ACTIONS(4138),
    [anon_sym_f32] = ACTIONS(4138),
    [anon_sym_f64] = ACTIONS(4138),
    [anon_sym_bool] = ACTIONS(4138),
    [anon_sym_rune] = ACTIONS(4138),
    [anon_sym_map] = ACTIONS(4138),
    [anon_sym_mapnode] = ACTIONS(4138),
    [anon_sym_size_t] = ACTIONS(4138),
    [anon_sym_usize] = ACTIONS(4138),
    [anon_sym_isize] = ACTIONS(4138),
    [anon_sym_float_literal] = ACTIONS(4138),
    [anon_sym_int_literal] = ACTIONS(4138),
    [anon_sym_IError] = ACTIONS(4138),
    [sym_type_placeholder] = ACTIONS(4138),
    [anon_sym_AT] = ACTIONS(4138),
    [sym_type_identifier] = ACTIONS(4138),
    [anon_sym_assert] = ACTIONS(4138),
    [anon_sym_defer] = ACTIONS(4138),
    [anon_sym_unsafe] = ACTIONS(4138),
    [anon_sym_pub] = ACTIONS(4138),
    [anon_sym_fn] = ACTIONS(4138),
    [anon_sym___global] = ACTIONS(4138),
    [anon_sym_const] = ACTIONS(4138),
    [anon_sym_asm] = ACTIONS(4138),
    [anon_sym_break] = ACTIONS(4138),
    [anon_sym_continue] = ACTIONS(4138),
    [anon_sym_return] = ACTIONS(4138),
    [anon_sym_type] = ACTIONS(4138),
    [anon_sym_go] = ACTIONS(4138),
    [anon_sym_spawn] = ACTIONS(4138),
    [anon_sym_goto] = ACTIONS(4138),
    [anon_sym_for] = ACTIONS(4138),
    [anon_sym_DOLLARfor] = ACTIONS(4136),
    [anon_sym_DOLLARif] = ACTIONS(4136),
    [anon_sym_if] = ACTIONS(4138),
    [anon_sym_struct] = ACTIONS(4138),
    [anon_sym_union] = ACTIONS(4138),
    [anon_sym_enum] = ACTIONS(4138),
    [anon_sym_interface] = ACTIONS(4138),
    [anon_sym_POUND] = ACTIONS(4136),
    [anon_sym_module] = ACTIONS(4138),
    [anon_sym_import] = ACTIONS(4138),
    [anon_sym_match] = ACTIONS(4138),
    [anon_sym_select] = ACTIONS(4138),
    [anon_sym_lock] = ACTIONS(4138),
    [anon_sym_rlock] = ACTIONS(4138),
    [sym__automatic_separator] = ACTIONS(4136),
    [sym__c_string_opening] = ACTIONS(4136),
    [sym__raw_string_opening] = ACTIONS(4136),
    [sym__string_opening] = ACTIONS(4136),
    [sym__comment] = ACTIONS(3),
  },
  [1593] = {
    [sym_comment] = STATE(1593),
    [ts_builtin_sym_end] = ACTIONS(4140),
    [sym_identifier] = ACTIONS(4142),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4140),
    [anon_sym_DASH] = ACTIONS(4140),
    [anon_sym_BANG] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4140),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4140),
    [anon_sym_LT_DASH] = ACTIONS(4140),
    [anon_sym_DOLLAR] = ACTIONS(4142),
    [sym_none] = ACTIONS(4142),
    [sym_true] = ACTIONS(4142),
    [sym_false] = ACTIONS(4142),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_map_LBRACK] = ACTIONS(4140),
    [anon_sym_chan] = ACTIONS(4142),
    [anon_sym_shared] = ACTIONS(4142),
    [anon_sym_thread] = ACTIONS(4142),
    [sym_int_literal] = ACTIONS(4142),
    [sym_float_literal] = ACTIONS(4140),
    [sym_rune_literal] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4142),
    [anon_sym_array] = ACTIONS(4142),
    [anon_sym_string] = ACTIONS(4142),
    [anon_sym_char] = ACTIONS(4142),
    [anon_sym_sql] = ACTIONS(4142),
    [anon_sym_mut] = ACTIONS(4142),
    [anon_sym_C] = ACTIONS(4142),
    [anon_sym_JS] = ACTIONS(4142),
    [anon_sym_voidptr] = ACTIONS(4142),
    [anon_sym_byteptr] = ACTIONS(4142),
    [anon_sym_charptr] = ACTIONS(4142),
    [anon_sym_i8] = ACTIONS(4142),
    [anon_sym_i16] = ACTIONS(4142),
    [anon_sym_i32] = ACTIONS(4142),
    [anon_sym_int] = ACTIONS(4142),
    [anon_sym_i64] = ACTIONS(4142),
    [anon_sym_byte] = ACTIONS(4142),
    [anon_sym_u8] = ACTIONS(4142),
    [anon_sym_u16] = ACTIONS(4142),
    [anon_sym_u32] = ACTIONS(4142),
    [anon_sym_u64] = ACTIONS(4142),
    [anon_sym_f32] = ACTIONS(4142),
    [anon_sym_f64] = ACTIONS(4142),
    [anon_sym_bool] = ACTIONS(4142),
    [anon_sym_rune] = ACTIONS(4142),
    [anon_sym_map] = ACTIONS(4142),
    [anon_sym_mapnode] = ACTIONS(4142),
    [anon_sym_size_t] = ACTIONS(4142),
    [anon_sym_usize] = ACTIONS(4142),
    [anon_sym_isize] = ACTIONS(4142),
    [anon_sym_float_literal] = ACTIONS(4142),
    [anon_sym_int_literal] = ACTIONS(4142),
    [anon_sym_IError] = ACTIONS(4142),
    [sym_type_placeholder] = ACTIONS(4142),
    [anon_sym_AT] = ACTIONS(4142),
    [sym_type_identifier] = ACTIONS(4142),
    [anon_sym_assert] = ACTIONS(4142),
    [anon_sym_defer] = ACTIONS(4142),
    [anon_sym_unsafe] = ACTIONS(4142),
    [anon_sym_pub] = ACTIONS(4142),
    [anon_sym_fn] = ACTIONS(4142),
    [anon_sym___global] = ACTIONS(4142),
    [anon_sym_const] = ACTIONS(4142),
    [anon_sym_asm] = ACTIONS(4142),
    [anon_sym_break] = ACTIONS(4142),
    [anon_sym_continue] = ACTIONS(4142),
    [anon_sym_return] = ACTIONS(4142),
    [anon_sym_type] = ACTIONS(4142),
    [anon_sym_go] = ACTIONS(4142),
    [anon_sym_spawn] = ACTIONS(4142),
    [anon_sym_goto] = ACTIONS(4142),
    [anon_sym_for] = ACTIONS(4142),
    [anon_sym_DOLLARfor] = ACTIONS(4140),
    [anon_sym_DOLLARif] = ACTIONS(4140),
    [anon_sym_if] = ACTIONS(4142),
    [anon_sym_struct] = ACTIONS(4142),
    [anon_sym_union] = ACTIONS(4142),
    [anon_sym_enum] = ACTIONS(4142),
    [anon_sym_interface] = ACTIONS(4142),
    [anon_sym_POUND] = ACTIONS(4140),
    [anon_sym_module] = ACTIONS(4142),
    [anon_sym_import] = ACTIONS(4142),
    [anon_sym_match] = ACTIONS(4142),
    [anon_sym_select] = ACTIONS(4142),
    [anon_sym_lock] = ACTIONS(4142),
    [anon_sym_rlock] = ACTIONS(4142),
    [sym__automatic_separator] = ACTIONS(4144),
    [sym__c_string_opening] = ACTIONS(4140),
    [sym__raw_string_opening] = ACTIONS(4140),
    [sym__string_opening] = ACTIONS(4140),
    [sym__comment] = ACTIONS(3),
  },
  [1594] = {
    [sym_comment] = STATE(1594),
    [ts_builtin_sym_end] = ACTIONS(4146),
    [sym_identifier] = ACTIONS(4148),
    [anon_sym_LPAREN] = ACTIONS(4146),
    [anon_sym_PLUS] = ACTIONS(4146),
    [anon_sym_DASH] = ACTIONS(4146),
    [anon_sym_BANG] = ACTIONS(4146),
    [anon_sym_TILDE] = ACTIONS(4146),
    [anon_sym_CARET] = ACTIONS(4146),
    [anon_sym_STAR] = ACTIONS(4146),
    [anon_sym_AMP] = ACTIONS(4146),
    [anon_sym_LT_DASH] = ACTIONS(4146),
    [anon_sym_DOLLAR] = ACTIONS(4148),
    [sym_none] = ACTIONS(4148),
    [sym_true] = ACTIONS(4148),
    [sym_false] = ACTIONS(4148),
    [anon_sym_LBRACE] = ACTIONS(4146),
    [anon_sym_LBRACK] = ACTIONS(4146),
    [anon_sym_map_LBRACK] = ACTIONS(4146),
    [anon_sym_chan] = ACTIONS(4148),
    [anon_sym_shared] = ACTIONS(4148),
    [anon_sym_thread] = ACTIONS(4148),
    [sym_int_literal] = ACTIONS(4148),
    [sym_float_literal] = ACTIONS(4146),
    [sym_rune_literal] = ACTIONS(4146),
    [anon_sym_DOT] = ACTIONS(4148),
    [anon_sym_array] = ACTIONS(4148),
    [anon_sym_string] = ACTIONS(4148),
    [anon_sym_char] = ACTIONS(4148),
    [anon_sym_sql] = ACTIONS(4148),
    [anon_sym_mut] = ACTIONS(4148),
    [anon_sym_C] = ACTIONS(4148),
    [anon_sym_JS] = ACTIONS(4148),
    [anon_sym_voidptr] = ACTIONS(4148),
    [anon_sym_byteptr] = ACTIONS(4148),
    [anon_sym_charptr] = ACTIONS(4148),
    [anon_sym_i8] = ACTIONS(4148),
    [anon_sym_i16] = ACTIONS(4148),
    [anon_sym_i32] = ACTIONS(4148),
    [anon_sym_int] = ACTIONS(4148),
    [anon_sym_i64] = ACTIONS(4148),
    [anon_sym_byte] = ACTIONS(4148),
    [anon_sym_u8] = ACTIONS(4148),
    [anon_sym_u16] = ACTIONS(4148),
    [anon_sym_u32] = ACTIONS(4148),
    [anon_sym_u64] = ACTIONS(4148),
    [anon_sym_f32] = ACTIONS(4148),
    [anon_sym_f64] = ACTIONS(4148),
    [anon_sym_bool] = ACTIONS(4148),
    [anon_sym_rune] = ACTIONS(4148),
    [anon_sym_map] = ACTIONS(4148),
    [anon_sym_mapnode] = ACTIONS(4148),
    [anon_sym_size_t] = ACTIONS(4148),
    [anon_sym_usize] = ACTIONS(4148),
    [anon_sym_isize] = ACTIONS(4148),
    [anon_sym_float_literal] = ACTIONS(4148),
    [anon_sym_int_literal] = ACTIONS(4148),
    [anon_sym_IError] = ACTIONS(4148),
    [sym_type_placeholder] = ACTIONS(4148),
    [anon_sym_AT] = ACTIONS(4148),
    [sym_type_identifier] = ACTIONS(4148),
    [anon_sym_assert] = ACTIONS(4148),
    [anon_sym_defer] = ACTIONS(4148),
    [anon_sym_unsafe] = ACTIONS(4148),
    [anon_sym_pub] = ACTIONS(4148),
    [anon_sym_fn] = ACTIONS(4148),
    [anon_sym___global] = ACTIONS(4148),
    [anon_sym_const] = ACTIONS(4148),
    [anon_sym_asm] = ACTIONS(4148),
    [anon_sym_break] = ACTIONS(4148),
    [anon_sym_continue] = ACTIONS(4148),
    [anon_sym_return] = ACTIONS(4148),
    [anon_sym_type] = ACTIONS(4148),
    [anon_sym_go] = ACTIONS(4148),
    [anon_sym_spawn] = ACTIONS(4148),
    [anon_sym_goto] = ACTIONS(4148),
    [anon_sym_for] = ACTIONS(4148),
    [anon_sym_DOLLARfor] = ACTIONS(4146),
    [anon_sym_DOLLARif] = ACTIONS(4146),
    [anon_sym_if] = ACTIONS(4148),
    [anon_sym_struct] = ACTIONS(4148),
    [anon_sym_union] = ACTIONS(4148),
    [anon_sym_enum] = ACTIONS(4148),
    [anon_sym_interface] = ACTIONS(4148),
    [anon_sym_POUND] = ACTIONS(4146),
    [anon_sym_module] = ACTIONS(4148),
    [anon_sym_import] = ACTIONS(4148),
    [anon_sym_match] = ACTIONS(4148),
    [anon_sym_select] = ACTIONS(4148),
    [anon_sym_lock] = ACTIONS(4148),
    [anon_sym_rlock] = ACTIONS(4148),
    [sym__automatic_separator] = ACTIONS(4146),
    [sym__c_string_opening] = ACTIONS(4146),
    [sym__raw_string_opening] = ACTIONS(4146),
    [sym__string_opening] = ACTIONS(4146),
    [sym__comment] = ACTIONS(3),
  },
  [1595] = {
    [sym_comment] = STATE(1595),
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_identifier] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_CARET] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_AMP] = ACTIONS(1142),
    [anon_sym_LT_DASH] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [sym_none] = ACTIONS(1144),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_map_LBRACK] = ACTIONS(1142),
    [anon_sym_chan] = ACTIONS(1144),
    [anon_sym_shared] = ACTIONS(1144),
    [anon_sym_thread] = ACTIONS(1144),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(1144),
    [anon_sym_array] = ACTIONS(1144),
    [anon_sym_string] = ACTIONS(1144),
    [anon_sym_char] = ACTIONS(1144),
    [anon_sym_sql] = ACTIONS(1144),
    [anon_sym_mut] = ACTIONS(1144),
    [anon_sym_C] = ACTIONS(1144),
    [anon_sym_JS] = ACTIONS(1144),
    [anon_sym_voidptr] = ACTIONS(1144),
    [anon_sym_byteptr] = ACTIONS(1144),
    [anon_sym_charptr] = ACTIONS(1144),
    [anon_sym_i8] = ACTIONS(1144),
    [anon_sym_i16] = ACTIONS(1144),
    [anon_sym_i32] = ACTIONS(1144),
    [anon_sym_int] = ACTIONS(1144),
    [anon_sym_i64] = ACTIONS(1144),
    [anon_sym_byte] = ACTIONS(1144),
    [anon_sym_u8] = ACTIONS(1144),
    [anon_sym_u16] = ACTIONS(1144),
    [anon_sym_u32] = ACTIONS(1144),
    [anon_sym_u64] = ACTIONS(1144),
    [anon_sym_f32] = ACTIONS(1144),
    [anon_sym_f64] = ACTIONS(1144),
    [anon_sym_bool] = ACTIONS(1144),
    [anon_sym_rune] = ACTIONS(1144),
    [anon_sym_map] = ACTIONS(1144),
    [anon_sym_mapnode] = ACTIONS(1144),
    [anon_sym_size_t] = ACTIONS(1144),
    [anon_sym_usize] = ACTIONS(1144),
    [anon_sym_isize] = ACTIONS(1144),
    [anon_sym_float_literal] = ACTIONS(1144),
    [anon_sym_int_literal] = ACTIONS(1144),
    [anon_sym_IError] = ACTIONS(1144),
    [sym_type_placeholder] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [sym_type_identifier] = ACTIONS(1144),
    [anon_sym_assert] = ACTIONS(1144),
    [anon_sym_defer] = ACTIONS(1144),
    [anon_sym_unsafe] = ACTIONS(1144),
    [anon_sym_pub] = ACTIONS(1144),
    [anon_sym_fn] = ACTIONS(1144),
    [anon_sym___global] = ACTIONS(1144),
    [anon_sym_const] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_type] = ACTIONS(1144),
    [anon_sym_go] = ACTIONS(1144),
    [anon_sym_spawn] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_DOLLARfor] = ACTIONS(1142),
    [anon_sym_DOLLARif] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_struct] = ACTIONS(1144),
    [anon_sym_union] = ACTIONS(1144),
    [anon_sym_enum] = ACTIONS(1144),
    [anon_sym_interface] = ACTIONS(1144),
    [anon_sym_POUND] = ACTIONS(1142),
    [anon_sym_module] = ACTIONS(1144),
    [anon_sym_import] = ACTIONS(1144),
    [anon_sym_match] = ACTIONS(1144),
    [anon_sym_select] = ACTIONS(1144),
    [anon_sym_lock] = ACTIONS(1144),
    [anon_sym_rlock] = ACTIONS(1144),
    [sym__automatic_separator] = ACTIONS(1142),
    [sym__c_string_opening] = ACTIONS(1142),
    [sym__raw_string_opening] = ACTIONS(1142),
    [sym__string_opening] = ACTIONS(1142),
    [sym__comment] = ACTIONS(3),
  },
  [1596] = {
    [sym_comment] = STATE(1596),
    [ts_builtin_sym_end] = ACTIONS(4150),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_LPAREN] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_BANG] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4150),
    [anon_sym_CARET] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(4150),
    [anon_sym_AMP] = ACTIONS(4150),
    [anon_sym_LT_DASH] = ACTIONS(4150),
    [anon_sym_DOLLAR] = ACTIONS(4152),
    [sym_none] = ACTIONS(4152),
    [sym_true] = ACTIONS(4152),
    [sym_false] = ACTIONS(4152),
    [anon_sym_LBRACE] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4150),
    [anon_sym_map_LBRACK] = ACTIONS(4150),
    [anon_sym_chan] = ACTIONS(4152),
    [anon_sym_shared] = ACTIONS(4152),
    [anon_sym_thread] = ACTIONS(4152),
    [sym_int_literal] = ACTIONS(4152),
    [sym_float_literal] = ACTIONS(4150),
    [sym_rune_literal] = ACTIONS(4150),
    [anon_sym_DOT] = ACTIONS(4152),
    [anon_sym_array] = ACTIONS(4152),
    [anon_sym_string] = ACTIONS(4152),
    [anon_sym_char] = ACTIONS(4152),
    [anon_sym_sql] = ACTIONS(4152),
    [anon_sym_mut] = ACTIONS(4152),
    [anon_sym_C] = ACTIONS(4152),
    [anon_sym_JS] = ACTIONS(4152),
    [anon_sym_voidptr] = ACTIONS(4152),
    [anon_sym_byteptr] = ACTIONS(4152),
    [anon_sym_charptr] = ACTIONS(4152),
    [anon_sym_i8] = ACTIONS(4152),
    [anon_sym_i16] = ACTIONS(4152),
    [anon_sym_i32] = ACTIONS(4152),
    [anon_sym_int] = ACTIONS(4152),
    [anon_sym_i64] = ACTIONS(4152),
    [anon_sym_byte] = ACTIONS(4152),
    [anon_sym_u8] = ACTIONS(4152),
    [anon_sym_u16] = ACTIONS(4152),
    [anon_sym_u32] = ACTIONS(4152),
    [anon_sym_u64] = ACTIONS(4152),
    [anon_sym_f32] = ACTIONS(4152),
    [anon_sym_f64] = ACTIONS(4152),
    [anon_sym_bool] = ACTIONS(4152),
    [anon_sym_rune] = ACTIONS(4152),
    [anon_sym_map] = ACTIONS(4152),
    [anon_sym_mapnode] = ACTIONS(4152),
    [anon_sym_size_t] = ACTIONS(4152),
    [anon_sym_usize] = ACTIONS(4152),
    [anon_sym_isize] = ACTIONS(4152),
    [anon_sym_float_literal] = ACTIONS(4152),
    [anon_sym_int_literal] = ACTIONS(4152),
    [anon_sym_IError] = ACTIONS(4152),
    [sym_type_placeholder] = ACTIONS(4152),
    [anon_sym_AT] = ACTIONS(4152),
    [sym_type_identifier] = ACTIONS(4152),
    [anon_sym_assert] = ACTIONS(4152),
    [anon_sym_defer] = ACTIONS(4152),
    [anon_sym_unsafe] = ACTIONS(4152),
    [anon_sym_pub] = ACTIONS(4152),
    [anon_sym_fn] = ACTIONS(4152),
    [anon_sym___global] = ACTIONS(4152),
    [anon_sym_const] = ACTIONS(4152),
    [anon_sym_asm] = ACTIONS(4152),
    [anon_sym_break] = ACTIONS(4152),
    [anon_sym_continue] = ACTIONS(4152),
    [anon_sym_return] = ACTIONS(4152),
    [anon_sym_type] = ACTIONS(4152),
    [anon_sym_go] = ACTIONS(4152),
    [anon_sym_spawn] = ACTIONS(4152),
    [anon_sym_goto] = ACTIONS(4152),
    [anon_sym_for] = ACTIONS(4152),
    [anon_sym_DOLLARfor] = ACTIONS(4150),
    [anon_sym_DOLLARif] = ACTIONS(4150),
    [anon_sym_if] = ACTIONS(4152),
    [anon_sym_struct] = ACTIONS(4152),
    [anon_sym_union] = ACTIONS(4152),
    [anon_sym_enum] = ACTIONS(4152),
    [anon_sym_interface] = ACTIONS(4152),
    [anon_sym_POUND] = ACTIONS(4150),
    [anon_sym_module] = ACTIONS(4152),
    [anon_sym_import] = ACTIONS(4152),
    [anon_sym_match] = ACTIONS(4152),
    [anon_sym_select] = ACTIONS(4152),
    [anon_sym_lock] = ACTIONS(4152),
    [anon_sym_rlock] = ACTIONS(4152),
    [sym__automatic_separator] = ACTIONS(4150),
    [sym__c_string_opening] = ACTIONS(4150),
    [sym__raw_string_opening] = ACTIONS(4150),
    [sym__string_opening] = ACTIONS(4150),
    [sym__comment] = ACTIONS(3),
  },
  [1597] = {
    [sym_comment] = STATE(1597),
    [ts_builtin_sym_end] = ACTIONS(4154),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN] = ACTIONS(4154),
    [anon_sym_PLUS] = ACTIONS(4154),
    [anon_sym_DASH] = ACTIONS(4154),
    [anon_sym_BANG] = ACTIONS(4154),
    [anon_sym_TILDE] = ACTIONS(4154),
    [anon_sym_CARET] = ACTIONS(4154),
    [anon_sym_STAR] = ACTIONS(4154),
    [anon_sym_AMP] = ACTIONS(4154),
    [anon_sym_LT_DASH] = ACTIONS(4154),
    [anon_sym_DOLLAR] = ACTIONS(4156),
    [sym_none] = ACTIONS(4156),
    [sym_true] = ACTIONS(4156),
    [sym_false] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4154),
    [anon_sym_LBRACK] = ACTIONS(4154),
    [anon_sym_map_LBRACK] = ACTIONS(4154),
    [anon_sym_chan] = ACTIONS(4156),
    [anon_sym_shared] = ACTIONS(4156),
    [anon_sym_thread] = ACTIONS(4156),
    [sym_int_literal] = ACTIONS(4156),
    [sym_float_literal] = ACTIONS(4154),
    [sym_rune_literal] = ACTIONS(4154),
    [anon_sym_DOT] = ACTIONS(4156),
    [anon_sym_array] = ACTIONS(4156),
    [anon_sym_string] = ACTIONS(4156),
    [anon_sym_char] = ACTIONS(4156),
    [anon_sym_sql] = ACTIONS(4156),
    [anon_sym_mut] = ACTIONS(4156),
    [anon_sym_C] = ACTIONS(4156),
    [anon_sym_JS] = ACTIONS(4156),
    [anon_sym_voidptr] = ACTIONS(4156),
    [anon_sym_byteptr] = ACTIONS(4156),
    [anon_sym_charptr] = ACTIONS(4156),
    [anon_sym_i8] = ACTIONS(4156),
    [anon_sym_i16] = ACTIONS(4156),
    [anon_sym_i32] = ACTIONS(4156),
    [anon_sym_int] = ACTIONS(4156),
    [anon_sym_i64] = ACTIONS(4156),
    [anon_sym_byte] = ACTIONS(4156),
    [anon_sym_u8] = ACTIONS(4156),
    [anon_sym_u16] = ACTIONS(4156),
    [anon_sym_u32] = ACTIONS(4156),
    [anon_sym_u64] = ACTIONS(4156),
    [anon_sym_f32] = ACTIONS(4156),
    [anon_sym_f64] = ACTIONS(4156),
    [anon_sym_bool] = ACTIONS(4156),
    [anon_sym_rune] = ACTIONS(4156),
    [anon_sym_map] = ACTIONS(4156),
    [anon_sym_mapnode] = ACTIONS(4156),
    [anon_sym_size_t] = ACTIONS(4156),
    [anon_sym_usize] = ACTIONS(4156),
    [anon_sym_isize] = ACTIONS(4156),
    [anon_sym_float_literal] = ACTIONS(4156),
    [anon_sym_int_literal] = ACTIONS(4156),
    [anon_sym_IError] = ACTIONS(4156),
    [sym_type_placeholder] = ACTIONS(4156),
    [anon_sym_AT] = ACTIONS(4156),
    [sym_type_identifier] = ACTIONS(4156),
    [anon_sym_assert] = ACTIONS(4156),
    [anon_sym_defer] = ACTIONS(4156),
    [anon_sym_unsafe] = ACTIONS(4156),
    [anon_sym_pub] = ACTIONS(4156),
    [anon_sym_fn] = ACTIONS(4156),
    [anon_sym___global] = ACTIONS(4156),
    [anon_sym_const] = ACTIONS(4156),
    [anon_sym_asm] = ACTIONS(4156),
    [anon_sym_break] = ACTIONS(4156),
    [anon_sym_continue] = ACTIONS(4156),
    [anon_sym_return] = ACTIONS(4156),
    [anon_sym_type] = ACTIONS(4156),
    [anon_sym_go] = ACTIONS(4156),
    [anon_sym_spawn] = ACTIONS(4156),
    [anon_sym_goto] = ACTIONS(4156),
    [anon_sym_for] = ACTIONS(4156),
    [anon_sym_DOLLARfor] = ACTIONS(4154),
    [anon_sym_DOLLARif] = ACTIONS(4154),
    [anon_sym_if] = ACTIONS(4156),
    [anon_sym_struct] = ACTIONS(4156),
    [anon_sym_union] = ACTIONS(4156),
    [anon_sym_enum] = ACTIONS(4156),
    [anon_sym_interface] = ACTIONS(4156),
    [anon_sym_POUND] = ACTIONS(4154),
    [anon_sym_module] = ACTIONS(4156),
    [anon_sym_import] = ACTIONS(4156),
    [anon_sym_match] = ACTIONS(4156),
    [anon_sym_select] = ACTIONS(4156),
    [anon_sym_lock] = ACTIONS(4156),
    [anon_sym_rlock] = ACTIONS(4156),
    [sym__automatic_separator] = ACTIONS(4154),
    [sym__c_string_opening] = ACTIONS(4154),
    [sym__raw_string_opening] = ACTIONS(4154),
    [sym__string_opening] = ACTIONS(4154),
    [sym__comment] = ACTIONS(3),
  },
  [1598] = {
    [sym_comment] = STATE(1598),
    [ts_builtin_sym_end] = ACTIONS(4158),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN] = ACTIONS(4158),
    [anon_sym_PLUS] = ACTIONS(4158),
    [anon_sym_DASH] = ACTIONS(4158),
    [anon_sym_BANG] = ACTIONS(4158),
    [anon_sym_TILDE] = ACTIONS(4158),
    [anon_sym_CARET] = ACTIONS(4158),
    [anon_sym_STAR] = ACTIONS(4158),
    [anon_sym_AMP] = ACTIONS(4158),
    [anon_sym_LT_DASH] = ACTIONS(4158),
    [anon_sym_DOLLAR] = ACTIONS(4160),
    [sym_none] = ACTIONS(4160),
    [sym_true] = ACTIONS(4160),
    [sym_false] = ACTIONS(4160),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(4158),
    [anon_sym_map_LBRACK] = ACTIONS(4158),
    [anon_sym_chan] = ACTIONS(4160),
    [anon_sym_shared] = ACTIONS(4160),
    [anon_sym_thread] = ACTIONS(4160),
    [sym_int_literal] = ACTIONS(4160),
    [sym_float_literal] = ACTIONS(4158),
    [sym_rune_literal] = ACTIONS(4158),
    [anon_sym_DOT] = ACTIONS(4160),
    [anon_sym_array] = ACTIONS(4160),
    [anon_sym_string] = ACTIONS(4160),
    [anon_sym_char] = ACTIONS(4160),
    [anon_sym_sql] = ACTIONS(4160),
    [anon_sym_mut] = ACTIONS(4160),
    [anon_sym_C] = ACTIONS(4160),
    [anon_sym_JS] = ACTIONS(4160),
    [anon_sym_voidptr] = ACTIONS(4160),
    [anon_sym_byteptr] = ACTIONS(4160),
    [anon_sym_charptr] = ACTIONS(4160),
    [anon_sym_i8] = ACTIONS(4160),
    [anon_sym_i16] = ACTIONS(4160),
    [anon_sym_i32] = ACTIONS(4160),
    [anon_sym_int] = ACTIONS(4160),
    [anon_sym_i64] = ACTIONS(4160),
    [anon_sym_byte] = ACTIONS(4160),
    [anon_sym_u8] = ACTIONS(4160),
    [anon_sym_u16] = ACTIONS(4160),
    [anon_sym_u32] = ACTIONS(4160),
    [anon_sym_u64] = ACTIONS(4160),
    [anon_sym_f32] = ACTIONS(4160),
    [anon_sym_f64] = ACTIONS(4160),
    [anon_sym_bool] = ACTIONS(4160),
    [anon_sym_rune] = ACTIONS(4160),
    [anon_sym_map] = ACTIONS(4160),
    [anon_sym_mapnode] = ACTIONS(4160),
    [anon_sym_size_t] = ACTIONS(4160),
    [anon_sym_usize] = ACTIONS(4160),
    [anon_sym_isize] = ACTIONS(4160),
    [anon_sym_float_literal] = ACTIONS(4160),
    [anon_sym_int_literal] = ACTIONS(4160),
    [anon_sym_IError] = ACTIONS(4160),
    [sym_type_placeholder] = ACTIONS(4160),
    [anon_sym_AT] = ACTIONS(4160),
    [sym_type_identifier] = ACTIONS(4160),
    [anon_sym_assert] = ACTIONS(4160),
    [anon_sym_defer] = ACTIONS(4160),
    [anon_sym_unsafe] = ACTIONS(4160),
    [anon_sym_pub] = ACTIONS(4160),
    [anon_sym_fn] = ACTIONS(4160),
    [anon_sym___global] = ACTIONS(4160),
    [anon_sym_const] = ACTIONS(4160),
    [anon_sym_asm] = ACTIONS(4160),
    [anon_sym_break] = ACTIONS(4160),
    [anon_sym_continue] = ACTIONS(4160),
    [anon_sym_return] = ACTIONS(4160),
    [anon_sym_type] = ACTIONS(4160),
    [anon_sym_go] = ACTIONS(4160),
    [anon_sym_spawn] = ACTIONS(4160),
    [anon_sym_goto] = ACTIONS(4160),
    [anon_sym_for] = ACTIONS(4160),
    [anon_sym_DOLLARfor] = ACTIONS(4158),
    [anon_sym_DOLLARif] = ACTIONS(4158),
    [anon_sym_if] = ACTIONS(4160),
    [anon_sym_struct] = ACTIONS(4160),
    [anon_sym_union] = ACTIONS(4160),
    [anon_sym_enum] = ACTIONS(4160),
    [anon_sym_interface] = ACTIONS(4160),
    [anon_sym_POUND] = ACTIONS(4158),
    [anon_sym_module] = ACTIONS(4160),
    [anon_sym_import] = ACTIONS(4160),
    [anon_sym_match] = ACTIONS(4160),
    [anon_sym_select] = ACTIONS(4160),
    [anon_sym_lock] = ACTIONS(4160),
    [anon_sym_rlock] = ACTIONS(4160),
    [sym__automatic_separator] = ACTIONS(4158),
    [sym__c_string_opening] = ACTIONS(4158),
    [sym__raw_string_opening] = ACTIONS(4158),
    [sym__string_opening] = ACTIONS(4158),
    [sym__comment] = ACTIONS(3),
  },
  [1599] = {
    [sym_comment] = STATE(1599),
    [ts_builtin_sym_end] = ACTIONS(4162),
    [sym_identifier] = ACTIONS(4164),
    [anon_sym_LPAREN] = ACTIONS(4162),
    [anon_sym_PLUS] = ACTIONS(4162),
    [anon_sym_DASH] = ACTIONS(4162),
    [anon_sym_BANG] = ACTIONS(4162),
    [anon_sym_TILDE] = ACTIONS(4162),
    [anon_sym_CARET] = ACTIONS(4162),
    [anon_sym_STAR] = ACTIONS(4162),
    [anon_sym_AMP] = ACTIONS(4162),
    [anon_sym_LT_DASH] = ACTIONS(4162),
    [anon_sym_DOLLAR] = ACTIONS(4164),
    [sym_none] = ACTIONS(4164),
    [sym_true] = ACTIONS(4164),
    [sym_false] = ACTIONS(4164),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_LBRACK] = ACTIONS(4162),
    [anon_sym_map_LBRACK] = ACTIONS(4162),
    [anon_sym_chan] = ACTIONS(4164),
    [anon_sym_shared] = ACTIONS(4164),
    [anon_sym_thread] = ACTIONS(4164),
    [sym_int_literal] = ACTIONS(4164),
    [sym_float_literal] = ACTIONS(4162),
    [sym_rune_literal] = ACTIONS(4162),
    [anon_sym_DOT] = ACTIONS(4164),
    [anon_sym_array] = ACTIONS(4164),
    [anon_sym_string] = ACTIONS(4164),
    [anon_sym_char] = ACTIONS(4164),
    [anon_sym_sql] = ACTIONS(4164),
    [anon_sym_mut] = ACTIONS(4164),
    [anon_sym_C] = ACTIONS(4164),
    [anon_sym_JS] = ACTIONS(4164),
    [anon_sym_voidptr] = ACTIONS(4164),
    [anon_sym_byteptr] = ACTIONS(4164),
    [anon_sym_charptr] = ACTIONS(4164),
    [anon_sym_i8] = ACTIONS(4164),
    [anon_sym_i16] = ACTIONS(4164),
    [anon_sym_i32] = ACTIONS(4164),
    [anon_sym_int] = ACTIONS(4164),
    [anon_sym_i64] = ACTIONS(4164),
    [anon_sym_byte] = ACTIONS(4164),
    [anon_sym_u8] = ACTIONS(4164),
    [anon_sym_u16] = ACTIONS(4164),
    [anon_sym_u32] = ACTIONS(4164),
    [anon_sym_u64] = ACTIONS(4164),
    [anon_sym_f32] = ACTIONS(4164),
    [anon_sym_f64] = ACTIONS(4164),
    [anon_sym_bool] = ACTIONS(4164),
    [anon_sym_rune] = ACTIONS(4164),
    [anon_sym_map] = ACTIONS(4164),
    [anon_sym_mapnode] = ACTIONS(4164),
    [anon_sym_size_t] = ACTIONS(4164),
    [anon_sym_usize] = ACTIONS(4164),
    [anon_sym_isize] = ACTIONS(4164),
    [anon_sym_float_literal] = ACTIONS(4164),
    [anon_sym_int_literal] = ACTIONS(4164),
    [anon_sym_IError] = ACTIONS(4164),
    [sym_type_placeholder] = ACTIONS(4164),
    [anon_sym_AT] = ACTIONS(4164),
    [sym_type_identifier] = ACTIONS(4164),
    [anon_sym_assert] = ACTIONS(4164),
    [anon_sym_defer] = ACTIONS(4164),
    [anon_sym_unsafe] = ACTIONS(4164),
    [anon_sym_pub] = ACTIONS(4164),
    [anon_sym_fn] = ACTIONS(4164),
    [anon_sym___global] = ACTIONS(4164),
    [anon_sym_const] = ACTIONS(4164),
    [anon_sym_asm] = ACTIONS(4164),
    [anon_sym_break] = ACTIONS(4164),
    [anon_sym_continue] = ACTIONS(4164),
    [anon_sym_return] = ACTIONS(4164),
    [anon_sym_type] = ACTIONS(4164),
    [anon_sym_go] = ACTIONS(4164),
    [anon_sym_spawn] = ACTIONS(4164),
    [anon_sym_goto] = ACTIONS(4164),
    [anon_sym_for] = ACTIONS(4164),
    [anon_sym_DOLLARfor] = ACTIONS(4162),
    [anon_sym_DOLLARif] = ACTIONS(4162),
    [anon_sym_if] = ACTIONS(4164),
    [anon_sym_struct] = ACTIONS(4164),
    [anon_sym_union] = ACTIONS(4164),
    [anon_sym_enum] = ACTIONS(4164),
    [anon_sym_interface] = ACTIONS(4164),
    [anon_sym_POUND] = ACTIONS(4162),
    [anon_sym_module] = ACTIONS(4164),
    [anon_sym_import] = ACTIONS(4164),
    [anon_sym_match] = ACTIONS(4164),
    [anon_sym_select] = ACTIONS(4164),
    [anon_sym_lock] = ACTIONS(4164),
    [anon_sym_rlock] = ACTIONS(4164),
    [sym__automatic_separator] = ACTIONS(4162),
    [sym__c_string_opening] = ACTIONS(4162),
    [sym__raw_string_opening] = ACTIONS(4162),
    [sym__string_opening] = ACTIONS(4162),
    [sym__comment] = ACTIONS(3),
  },
  [1600] = {
    [sym_comment] = STATE(1600),
    [ts_builtin_sym_end] = ACTIONS(4166),
    [sym_identifier] = ACTIONS(4168),
    [anon_sym_LPAREN] = ACTIONS(4166),
    [anon_sym_PLUS] = ACTIONS(4166),
    [anon_sym_DASH] = ACTIONS(4166),
    [anon_sym_BANG] = ACTIONS(4166),
    [anon_sym_TILDE] = ACTIONS(4166),
    [anon_sym_CARET] = ACTIONS(4166),
    [anon_sym_STAR] = ACTIONS(4166),
    [anon_sym_AMP] = ACTIONS(4166),
    [anon_sym_LT_DASH] = ACTIONS(4166),
    [anon_sym_DOLLAR] = ACTIONS(4168),
    [sym_none] = ACTIONS(4168),
    [sym_true] = ACTIONS(4168),
    [sym_false] = ACTIONS(4168),
    [anon_sym_LBRACE] = ACTIONS(4166),
    [anon_sym_LBRACK] = ACTIONS(4166),
    [anon_sym_map_LBRACK] = ACTIONS(4166),
    [anon_sym_chan] = ACTIONS(4168),
    [anon_sym_shared] = ACTIONS(4168),
    [anon_sym_thread] = ACTIONS(4168),
    [sym_int_literal] = ACTIONS(4168),
    [sym_float_literal] = ACTIONS(4166),
    [sym_rune_literal] = ACTIONS(4166),
    [anon_sym_DOT] = ACTIONS(4168),
    [anon_sym_array] = ACTIONS(4168),
    [anon_sym_string] = ACTIONS(4168),
    [anon_sym_char] = ACTIONS(4168),
    [anon_sym_sql] = ACTIONS(4168),
    [anon_sym_mut] = ACTIONS(4168),
    [anon_sym_C] = ACTIONS(4168),
    [anon_sym_JS] = ACTIONS(4168),
    [anon_sym_voidptr] = ACTIONS(4168),
    [anon_sym_byteptr] = ACTIONS(4168),
    [anon_sym_charptr] = ACTIONS(4168),
    [anon_sym_i8] = ACTIONS(4168),
    [anon_sym_i16] = ACTIONS(4168),
    [anon_sym_i32] = ACTIONS(4168),
    [anon_sym_int] = ACTIONS(4168),
    [anon_sym_i64] = ACTIONS(4168),
    [anon_sym_byte] = ACTIONS(4168),
    [anon_sym_u8] = ACTIONS(4168),
    [anon_sym_u16] = ACTIONS(4168),
    [anon_sym_u32] = ACTIONS(4168),
    [anon_sym_u64] = ACTIONS(4168),
    [anon_sym_f32] = ACTIONS(4168),
    [anon_sym_f64] = ACTIONS(4168),
    [anon_sym_bool] = ACTIONS(4168),
    [anon_sym_rune] = ACTIONS(4168),
    [anon_sym_map] = ACTIONS(4168),
    [anon_sym_mapnode] = ACTIONS(4168),
    [anon_sym_size_t] = ACTIONS(4168),
    [anon_sym_usize] = ACTIONS(4168),
    [anon_sym_isize] = ACTIONS(4168),
    [anon_sym_float_literal] = ACTIONS(4168),
    [anon_sym_int_literal] = ACTIONS(4168),
    [anon_sym_IError] = ACTIONS(4168),
    [sym_type_placeholder] = ACTIONS(4168),
    [anon_sym_AT] = ACTIONS(4168),
    [sym_type_identifier] = ACTIONS(4168),
    [anon_sym_assert] = ACTIONS(4168),
    [anon_sym_defer] = ACTIONS(4168),
    [anon_sym_unsafe] = ACTIONS(4168),
    [anon_sym_pub] = ACTIONS(4168),
    [anon_sym_fn] = ACTIONS(4168),
    [anon_sym___global] = ACTIONS(4168),
    [anon_sym_const] = ACTIONS(4168),
    [anon_sym_asm] = ACTIONS(4168),
    [anon_sym_break] = ACTIONS(4168),
    [anon_sym_continue] = ACTIONS(4168),
    [anon_sym_return] = ACTIONS(4168),
    [anon_sym_type] = ACTIONS(4168),
    [anon_sym_go] = ACTIONS(4168),
    [anon_sym_spawn] = ACTIONS(4168),
    [anon_sym_goto] = ACTIONS(4168),
    [anon_sym_for] = ACTIONS(4168),
    [anon_sym_DOLLARfor] = ACTIONS(4166),
    [anon_sym_DOLLARif] = ACTIONS(4166),
    [anon_sym_if] = ACTIONS(4168),
    [anon_sym_struct] = ACTIONS(4168),
    [anon_sym_union] = ACTIONS(4168),
    [anon_sym_enum] = ACTIONS(4168),
    [anon_sym_interface] = ACTIONS(4168),
    [anon_sym_POUND] = ACTIONS(4166),
    [anon_sym_module] = ACTIONS(4168),
    [anon_sym_import] = ACTIONS(4168),
    [anon_sym_match] = ACTIONS(4168),
    [anon_sym_select] = ACTIONS(4168),
    [anon_sym_lock] = ACTIONS(4168),
    [anon_sym_rlock] = ACTIONS(4168),
    [sym__automatic_separator] = ACTIONS(4166),
    [sym__c_string_opening] = ACTIONS(4166),
    [sym__raw_string_opening] = ACTIONS(4166),
    [sym__string_opening] = ACTIONS(4166),
    [sym__comment] = ACTIONS(3),
  },
  [1601] = {
    [sym_comment] = STATE(1601),
    [ts_builtin_sym_end] = ACTIONS(4170),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4170),
    [anon_sym_PLUS] = ACTIONS(4170),
    [anon_sym_DASH] = ACTIONS(4170),
    [anon_sym_BANG] = ACTIONS(4170),
    [anon_sym_TILDE] = ACTIONS(4170),
    [anon_sym_CARET] = ACTIONS(4170),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_LT_DASH] = ACTIONS(4170),
    [anon_sym_DOLLAR] = ACTIONS(4172),
    [sym_none] = ACTIONS(4172),
    [sym_true] = ACTIONS(4172),
    [sym_false] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_LBRACK] = ACTIONS(4170),
    [anon_sym_map_LBRACK] = ACTIONS(4170),
    [anon_sym_chan] = ACTIONS(4172),
    [anon_sym_shared] = ACTIONS(4172),
    [anon_sym_thread] = ACTIONS(4172),
    [sym_int_literal] = ACTIONS(4172),
    [sym_float_literal] = ACTIONS(4170),
    [sym_rune_literal] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_array] = ACTIONS(4172),
    [anon_sym_string] = ACTIONS(4172),
    [anon_sym_char] = ACTIONS(4172),
    [anon_sym_sql] = ACTIONS(4172),
    [anon_sym_mut] = ACTIONS(4172),
    [anon_sym_C] = ACTIONS(4172),
    [anon_sym_JS] = ACTIONS(4172),
    [anon_sym_voidptr] = ACTIONS(4172),
    [anon_sym_byteptr] = ACTIONS(4172),
    [anon_sym_charptr] = ACTIONS(4172),
    [anon_sym_i8] = ACTIONS(4172),
    [anon_sym_i16] = ACTIONS(4172),
    [anon_sym_i32] = ACTIONS(4172),
    [anon_sym_int] = ACTIONS(4172),
    [anon_sym_i64] = ACTIONS(4172),
    [anon_sym_byte] = ACTIONS(4172),
    [anon_sym_u8] = ACTIONS(4172),
    [anon_sym_u16] = ACTIONS(4172),
    [anon_sym_u32] = ACTIONS(4172),
    [anon_sym_u64] = ACTIONS(4172),
    [anon_sym_f32] = ACTIONS(4172),
    [anon_sym_f64] = ACTIONS(4172),
    [anon_sym_bool] = ACTIONS(4172),
    [anon_sym_rune] = ACTIONS(4172),
    [anon_sym_map] = ACTIONS(4172),
    [anon_sym_mapnode] = ACTIONS(4172),
    [anon_sym_size_t] = ACTIONS(4172),
    [anon_sym_usize] = ACTIONS(4172),
    [anon_sym_isize] = ACTIONS(4172),
    [anon_sym_float_literal] = ACTIONS(4172),
    [anon_sym_int_literal] = ACTIONS(4172),
    [anon_sym_IError] = ACTIONS(4172),
    [sym_type_placeholder] = ACTIONS(4172),
    [anon_sym_AT] = ACTIONS(4172),
    [sym_type_identifier] = ACTIONS(4172),
    [anon_sym_assert] = ACTIONS(4172),
    [anon_sym_defer] = ACTIONS(4172),
    [anon_sym_unsafe] = ACTIONS(4172),
    [anon_sym_pub] = ACTIONS(4172),
    [anon_sym_fn] = ACTIONS(4172),
    [anon_sym___global] = ACTIONS(4172),
    [anon_sym_const] = ACTIONS(4172),
    [anon_sym_asm] = ACTIONS(4172),
    [anon_sym_break] = ACTIONS(4172),
    [anon_sym_continue] = ACTIONS(4172),
    [anon_sym_return] = ACTIONS(4172),
    [anon_sym_type] = ACTIONS(4172),
    [anon_sym_go] = ACTIONS(4172),
    [anon_sym_spawn] = ACTIONS(4172),
    [anon_sym_goto] = ACTIONS(4172),
    [anon_sym_for] = ACTIONS(4172),
    [anon_sym_DOLLARfor] = ACTIONS(4170),
    [anon_sym_DOLLARif] = ACTIONS(4170),
    [anon_sym_if] = ACTIONS(4172),
    [anon_sym_struct] = ACTIONS(4172),
    [anon_sym_union] = ACTIONS(4172),
    [anon_sym_enum] = ACTIONS(4172),
    [anon_sym_interface] = ACTIONS(4172),
    [anon_sym_POUND] = ACTIONS(4170),
    [anon_sym_module] = ACTIONS(4172),
    [anon_sym_import] = ACTIONS(4172),
    [anon_sym_match] = ACTIONS(4172),
    [anon_sym_select] = ACTIONS(4172),
    [anon_sym_lock] = ACTIONS(4172),
    [anon_sym_rlock] = ACTIONS(4172),
    [sym__automatic_separator] = ACTIONS(4170),
    [sym__c_string_opening] = ACTIONS(4170),
    [sym__raw_string_opening] = ACTIONS(4170),
    [sym__string_opening] = ACTIONS(4170),
    [sym__comment] = ACTIONS(3),
  },
  [1602] = {
    [sym_comment] = STATE(1602),
    [ts_builtin_sym_end] = ACTIONS(4174),
    [sym_identifier] = ACTIONS(4176),
    [anon_sym_LPAREN] = ACTIONS(4174),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_TILDE] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_DASH] = ACTIONS(4174),
    [anon_sym_DOLLAR] = ACTIONS(4176),
    [sym_none] = ACTIONS(4176),
    [sym_true] = ACTIONS(4176),
    [sym_false] = ACTIONS(4176),
    [anon_sym_LBRACE] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4174),
    [anon_sym_map_LBRACK] = ACTIONS(4174),
    [anon_sym_chan] = ACTIONS(4176),
    [anon_sym_shared] = ACTIONS(4176),
    [anon_sym_thread] = ACTIONS(4176),
    [sym_int_literal] = ACTIONS(4176),
    [sym_float_literal] = ACTIONS(4174),
    [sym_rune_literal] = ACTIONS(4174),
    [anon_sym_DOT] = ACTIONS(4176),
    [anon_sym_array] = ACTIONS(4176),
    [anon_sym_string] = ACTIONS(4176),
    [anon_sym_char] = ACTIONS(4176),
    [anon_sym_sql] = ACTIONS(4176),
    [anon_sym_mut] = ACTIONS(4176),
    [anon_sym_C] = ACTIONS(4176),
    [anon_sym_JS] = ACTIONS(4176),
    [anon_sym_voidptr] = ACTIONS(4176),
    [anon_sym_byteptr] = ACTIONS(4176),
    [anon_sym_charptr] = ACTIONS(4176),
    [anon_sym_i8] = ACTIONS(4176),
    [anon_sym_i16] = ACTIONS(4176),
    [anon_sym_i32] = ACTIONS(4176),
    [anon_sym_int] = ACTIONS(4176),
    [anon_sym_i64] = ACTIONS(4176),
    [anon_sym_byte] = ACTIONS(4176),
    [anon_sym_u8] = ACTIONS(4176),
    [anon_sym_u16] = ACTIONS(4176),
    [anon_sym_u32] = ACTIONS(4176),
    [anon_sym_u64] = ACTIONS(4176),
    [anon_sym_f32] = ACTIONS(4176),
    [anon_sym_f64] = ACTIONS(4176),
    [anon_sym_bool] = ACTIONS(4176),
    [anon_sym_rune] = ACTIONS(4176),
    [anon_sym_map] = ACTIONS(4176),
    [anon_sym_mapnode] = ACTIONS(4176),
    [anon_sym_size_t] = ACTIONS(4176),
    [anon_sym_usize] = ACTIONS(4176),
    [anon_sym_isize] = ACTIONS(4176),
    [anon_sym_float_literal] = ACTIONS(4176),
    [anon_sym_int_literal] = ACTIONS(4176),
    [anon_sym_IError] = ACTIONS(4176),
    [sym_type_placeholder] = ACTIONS(4176),
    [anon_sym_AT] = ACTIONS(4176),
    [sym_type_identifier] = ACTIONS(4176),
    [anon_sym_assert] = ACTIONS(4176),
    [anon_sym_defer] = ACTIONS(4176),
    [anon_sym_unsafe] = ACTIONS(4176),
    [anon_sym_pub] = ACTIONS(4176),
    [anon_sym_fn] = ACTIONS(4176),
    [anon_sym___global] = ACTIONS(4176),
    [anon_sym_const] = ACTIONS(4176),
    [anon_sym_asm] = ACTIONS(4176),
    [anon_sym_break] = ACTIONS(4176),
    [anon_sym_continue] = ACTIONS(4176),
    [anon_sym_return] = ACTIONS(4176),
    [anon_sym_type] = ACTIONS(4176),
    [anon_sym_go] = ACTIONS(4176),
    [anon_sym_spawn] = ACTIONS(4176),
    [anon_sym_goto] = ACTIONS(4176),
    [anon_sym_for] = ACTIONS(4176),
    [anon_sym_DOLLARfor] = ACTIONS(4174),
    [anon_sym_DOLLARif] = ACTIONS(4174),
    [anon_sym_if] = ACTIONS(4176),
    [anon_sym_struct] = ACTIONS(4176),
    [anon_sym_union] = ACTIONS(4176),
    [anon_sym_enum] = ACTIONS(4176),
    [anon_sym_interface] = ACTIONS(4176),
    [anon_sym_POUND] = ACTIONS(4174),
    [anon_sym_module] = ACTIONS(4176),
    [anon_sym_import] = ACTIONS(4176),
    [anon_sym_match] = ACTIONS(4176),
    [anon_sym_select] = ACTIONS(4176),
    [anon_sym_lock] = ACTIONS(4176),
    [anon_sym_rlock] = ACTIONS(4176),
    [sym__automatic_separator] = ACTIONS(4174),
    [sym__c_string_opening] = ACTIONS(4174),
    [sym__raw_string_opening] = ACTIONS(4174),
    [sym__string_opening] = ACTIONS(4174),
    [sym__comment] = ACTIONS(3),
  },
  [1603] = {
    [sym_comment] = STATE(1603),
    [ts_builtin_sym_end] = ACTIONS(4178),
    [sym_identifier] = ACTIONS(4180),
    [anon_sym_LPAREN] = ACTIONS(4178),
    [anon_sym_PLUS] = ACTIONS(4178),
    [anon_sym_DASH] = ACTIONS(4178),
    [anon_sym_BANG] = ACTIONS(4178),
    [anon_sym_TILDE] = ACTIONS(4178),
    [anon_sym_CARET] = ACTIONS(4178),
    [anon_sym_STAR] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(4178),
    [anon_sym_LT_DASH] = ACTIONS(4178),
    [anon_sym_DOLLAR] = ACTIONS(4180),
    [sym_none] = ACTIONS(4180),
    [sym_true] = ACTIONS(4180),
    [sym_false] = ACTIONS(4180),
    [anon_sym_LBRACE] = ACTIONS(4178),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [anon_sym_map_LBRACK] = ACTIONS(4178),
    [anon_sym_chan] = ACTIONS(4180),
    [anon_sym_shared] = ACTIONS(4180),
    [anon_sym_thread] = ACTIONS(4180),
    [sym_int_literal] = ACTIONS(4180),
    [sym_float_literal] = ACTIONS(4178),
    [sym_rune_literal] = ACTIONS(4178),
    [anon_sym_DOT] = ACTIONS(4180),
    [anon_sym_array] = ACTIONS(4180),
    [anon_sym_string] = ACTIONS(4180),
    [anon_sym_char] = ACTIONS(4180),
    [anon_sym_sql] = ACTIONS(4180),
    [anon_sym_mut] = ACTIONS(4180),
    [anon_sym_C] = ACTIONS(4180),
    [anon_sym_JS] = ACTIONS(4180),
    [anon_sym_voidptr] = ACTIONS(4180),
    [anon_sym_byteptr] = ACTIONS(4180),
    [anon_sym_charptr] = ACTIONS(4180),
    [anon_sym_i8] = ACTIONS(4180),
    [anon_sym_i16] = ACTIONS(4180),
    [anon_sym_i32] = ACTIONS(4180),
    [anon_sym_int] = ACTIONS(4180),
    [anon_sym_i64] = ACTIONS(4180),
    [anon_sym_byte] = ACTIONS(4180),
    [anon_sym_u8] = ACTIONS(4180),
    [anon_sym_u16] = ACTIONS(4180),
    [anon_sym_u32] = ACTIONS(4180),
    [anon_sym_u64] = ACTIONS(4180),
    [anon_sym_f32] = ACTIONS(4180),
    [anon_sym_f64] = ACTIONS(4180),
    [anon_sym_bool] = ACTIONS(4180),
    [anon_sym_rune] = ACTIONS(4180),
    [anon_sym_map] = ACTIONS(4180),
    [anon_sym_mapnode] = ACTIONS(4180),
    [anon_sym_size_t] = ACTIONS(4180),
    [anon_sym_usize] = ACTIONS(4180),
    [anon_sym_isize] = ACTIONS(4180),
    [anon_sym_float_literal] = ACTIONS(4180),
    [anon_sym_int_literal] = ACTIONS(4180),
    [anon_sym_IError] = ACTIONS(4180),
    [sym_type_placeholder] = ACTIONS(4180),
    [anon_sym_AT] = ACTIONS(4180),
    [sym_type_identifier] = ACTIONS(4180),
    [anon_sym_assert] = ACTIONS(4180),
    [anon_sym_defer] = ACTIONS(4180),
    [anon_sym_unsafe] = ACTIONS(4180),
    [anon_sym_pub] = ACTIONS(4180),
    [anon_sym_fn] = ACTIONS(4180),
    [anon_sym___global] = ACTIONS(4180),
    [anon_sym_const] = ACTIONS(4180),
    [anon_sym_asm] = ACTIONS(4180),
    [anon_sym_break] = ACTIONS(4180),
    [anon_sym_continue] = ACTIONS(4180),
    [anon_sym_return] = ACTIONS(4180),
    [anon_sym_type] = ACTIONS(4180),
    [anon_sym_go] = ACTIONS(4180),
    [anon_sym_spawn] = ACTIONS(4180),
    [anon_sym_goto] = ACTIONS(4180),
    [anon_sym_for] = ACTIONS(4180),
    [anon_sym_DOLLARfor] = ACTIONS(4178),
    [anon_sym_DOLLARif] = ACTIONS(4178),
    [anon_sym_if] = ACTIONS(4180),
    [anon_sym_struct] = ACTIONS(4180),
    [anon_sym_union] = ACTIONS(4180),
    [anon_sym_enum] = ACTIONS(4180),
    [anon_sym_interface] = ACTIONS(4180),
    [anon_sym_POUND] = ACTIONS(4178),
    [anon_sym_module] = ACTIONS(4180),
    [anon_sym_import] = ACTIONS(4180),
    [anon_sym_match] = ACTIONS(4180),
    [anon_sym_select] = ACTIONS(4180),
    [anon_sym_lock] = ACTIONS(4180),
    [anon_sym_rlock] = ACTIONS(4180),
    [sym__automatic_separator] = ACTIONS(4178),
    [sym__c_string_opening] = ACTIONS(4178),
    [sym__raw_string_opening] = ACTIONS(4178),
    [sym__string_opening] = ACTIONS(4178),
    [sym__comment] = ACTIONS(3),
  },
  [1604] = {
    [sym_comment] = STATE(1604),
    [ts_builtin_sym_end] = ACTIONS(4182),
    [sym_identifier] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4182),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_TILDE] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_DASH] = ACTIONS(4182),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [sym_none] = ACTIONS(4184),
    [sym_true] = ACTIONS(4184),
    [sym_false] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4182),
    [anon_sym_map_LBRACK] = ACTIONS(4182),
    [anon_sym_chan] = ACTIONS(4184),
    [anon_sym_shared] = ACTIONS(4184),
    [anon_sym_thread] = ACTIONS(4184),
    [sym_int_literal] = ACTIONS(4184),
    [sym_float_literal] = ACTIONS(4182),
    [sym_rune_literal] = ACTIONS(4182),
    [anon_sym_DOT] = ACTIONS(4184),
    [anon_sym_array] = ACTIONS(4184),
    [anon_sym_string] = ACTIONS(4184),
    [anon_sym_char] = ACTIONS(4184),
    [anon_sym_sql] = ACTIONS(4184),
    [anon_sym_mut] = ACTIONS(4184),
    [anon_sym_C] = ACTIONS(4184),
    [anon_sym_JS] = ACTIONS(4184),
    [anon_sym_voidptr] = ACTIONS(4184),
    [anon_sym_byteptr] = ACTIONS(4184),
    [anon_sym_charptr] = ACTIONS(4184),
    [anon_sym_i8] = ACTIONS(4184),
    [anon_sym_i16] = ACTIONS(4184),
    [anon_sym_i32] = ACTIONS(4184),
    [anon_sym_int] = ACTIONS(4184),
    [anon_sym_i64] = ACTIONS(4184),
    [anon_sym_byte] = ACTIONS(4184),
    [anon_sym_u8] = ACTIONS(4184),
    [anon_sym_u16] = ACTIONS(4184),
    [anon_sym_u32] = ACTIONS(4184),
    [anon_sym_u64] = ACTIONS(4184),
    [anon_sym_f32] = ACTIONS(4184),
    [anon_sym_f64] = ACTIONS(4184),
    [anon_sym_bool] = ACTIONS(4184),
    [anon_sym_rune] = ACTIONS(4184),
    [anon_sym_map] = ACTIONS(4184),
    [anon_sym_mapnode] = ACTIONS(4184),
    [anon_sym_size_t] = ACTIONS(4184),
    [anon_sym_usize] = ACTIONS(4184),
    [anon_sym_isize] = ACTIONS(4184),
    [anon_sym_float_literal] = ACTIONS(4184),
    [anon_sym_int_literal] = ACTIONS(4184),
    [anon_sym_IError] = ACTIONS(4184),
    [sym_type_placeholder] = ACTIONS(4184),
    [anon_sym_AT] = ACTIONS(4184),
    [sym_type_identifier] = ACTIONS(4184),
    [anon_sym_assert] = ACTIONS(4184),
    [anon_sym_defer] = ACTIONS(4184),
    [anon_sym_unsafe] = ACTIONS(4184),
    [anon_sym_pub] = ACTIONS(4184),
    [anon_sym_fn] = ACTIONS(4184),
    [anon_sym___global] = ACTIONS(4184),
    [anon_sym_const] = ACTIONS(4184),
    [anon_sym_asm] = ACTIONS(4184),
    [anon_sym_break] = ACTIONS(4184),
    [anon_sym_continue] = ACTIONS(4184),
    [anon_sym_return] = ACTIONS(4184),
    [anon_sym_type] = ACTIONS(4184),
    [anon_sym_go] = ACTIONS(4184),
    [anon_sym_spawn] = ACTIONS(4184),
    [anon_sym_goto] = ACTIONS(4184),
    [anon_sym_for] = ACTIONS(4184),
    [anon_sym_DOLLARfor] = ACTIONS(4182),
    [anon_sym_DOLLARif] = ACTIONS(4182),
    [anon_sym_if] = ACTIONS(4184),
    [anon_sym_struct] = ACTIONS(4184),
    [anon_sym_union] = ACTIONS(4184),
    [anon_sym_enum] = ACTIONS(4184),
    [anon_sym_interface] = ACTIONS(4184),
    [anon_sym_POUND] = ACTIONS(4182),
    [anon_sym_module] = ACTIONS(4184),
    [anon_sym_import] = ACTIONS(4184),
    [anon_sym_match] = ACTIONS(4184),
    [anon_sym_select] = ACTIONS(4184),
    [anon_sym_lock] = ACTIONS(4184),
    [anon_sym_rlock] = ACTIONS(4184),
    [sym__automatic_separator] = ACTIONS(4182),
    [sym__c_string_opening] = ACTIONS(4182),
    [sym__raw_string_opening] = ACTIONS(4182),
    [sym__string_opening] = ACTIONS(4182),
    [sym__comment] = ACTIONS(3),
  },
  [1605] = {
    [sym_comment] = STATE(1605),
    [ts_builtin_sym_end] = ACTIONS(4186),
    [sym_identifier] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4186),
    [anon_sym_PLUS] = ACTIONS(4186),
    [anon_sym_DASH] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(4186),
    [anon_sym_TILDE] = ACTIONS(4186),
    [anon_sym_CARET] = ACTIONS(4186),
    [anon_sym_STAR] = ACTIONS(4186),
    [anon_sym_AMP] = ACTIONS(4186),
    [anon_sym_LT_DASH] = ACTIONS(4186),
    [anon_sym_DOLLAR] = ACTIONS(4188),
    [sym_none] = ACTIONS(4188),
    [sym_true] = ACTIONS(4188),
    [sym_false] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(4186),
    [anon_sym_map_LBRACK] = ACTIONS(4186),
    [anon_sym_chan] = ACTIONS(4188),
    [anon_sym_shared] = ACTIONS(4188),
    [anon_sym_thread] = ACTIONS(4188),
    [sym_int_literal] = ACTIONS(4188),
    [sym_float_literal] = ACTIONS(4186),
    [sym_rune_literal] = ACTIONS(4186),
    [anon_sym_DOT] = ACTIONS(4188),
    [anon_sym_array] = ACTIONS(4188),
    [anon_sym_string] = ACTIONS(4188),
    [anon_sym_char] = ACTIONS(4188),
    [anon_sym_sql] = ACTIONS(4188),
    [anon_sym_mut] = ACTIONS(4188),
    [anon_sym_C] = ACTIONS(4188),
    [anon_sym_JS] = ACTIONS(4188),
    [anon_sym_voidptr] = ACTIONS(4188),
    [anon_sym_byteptr] = ACTIONS(4188),
    [anon_sym_charptr] = ACTIONS(4188),
    [anon_sym_i8] = ACTIONS(4188),
    [anon_sym_i16] = ACTIONS(4188),
    [anon_sym_i32] = ACTIONS(4188),
    [anon_sym_int] = ACTIONS(4188),
    [anon_sym_i64] = ACTIONS(4188),
    [anon_sym_byte] = ACTIONS(4188),
    [anon_sym_u8] = ACTIONS(4188),
    [anon_sym_u16] = ACTIONS(4188),
    [anon_sym_u32] = ACTIONS(4188),
    [anon_sym_u64] = ACTIONS(4188),
    [anon_sym_f32] = ACTIONS(4188),
    [anon_sym_f64] = ACTIONS(4188),
    [anon_sym_bool] = ACTIONS(4188),
    [anon_sym_rune] = ACTIONS(4188),
    [anon_sym_map] = ACTIONS(4188),
    [anon_sym_mapnode] = ACTIONS(4188),
    [anon_sym_size_t] = ACTIONS(4188),
    [anon_sym_usize] = ACTIONS(4188),
    [anon_sym_isize] = ACTIONS(4188),
    [anon_sym_float_literal] = ACTIONS(4188),
    [anon_sym_int_literal] = ACTIONS(4188),
    [anon_sym_IError] = ACTIONS(4188),
    [sym_type_placeholder] = ACTIONS(4188),
    [anon_sym_AT] = ACTIONS(4188),
    [sym_type_identifier] = ACTIONS(4188),
    [anon_sym_assert] = ACTIONS(4188),
    [anon_sym_defer] = ACTIONS(4188),
    [anon_sym_unsafe] = ACTIONS(4188),
    [anon_sym_pub] = ACTIONS(4188),
    [anon_sym_fn] = ACTIONS(4188),
    [anon_sym___global] = ACTIONS(4188),
    [anon_sym_const] = ACTIONS(4188),
    [anon_sym_asm] = ACTIONS(4188),
    [anon_sym_break] = ACTIONS(4188),
    [anon_sym_continue] = ACTIONS(4188),
    [anon_sym_return] = ACTIONS(4188),
    [anon_sym_type] = ACTIONS(4188),
    [anon_sym_go] = ACTIONS(4188),
    [anon_sym_spawn] = ACTIONS(4188),
    [anon_sym_goto] = ACTIONS(4188),
    [anon_sym_for] = ACTIONS(4188),
    [anon_sym_DOLLARfor] = ACTIONS(4186),
    [anon_sym_DOLLARif] = ACTIONS(4186),
    [anon_sym_if] = ACTIONS(4188),
    [anon_sym_struct] = ACTIONS(4188),
    [anon_sym_union] = ACTIONS(4188),
    [anon_sym_enum] = ACTIONS(4188),
    [anon_sym_interface] = ACTIONS(4188),
    [anon_sym_POUND] = ACTIONS(4186),
    [anon_sym_module] = ACTIONS(4188),
    [anon_sym_import] = ACTIONS(4188),
    [anon_sym_match] = ACTIONS(4188),
    [anon_sym_select] = ACTIONS(4188),
    [anon_sym_lock] = ACTIONS(4188),
    [anon_sym_rlock] = ACTIONS(4188),
    [sym__automatic_separator] = ACTIONS(4186),
    [sym__c_string_opening] = ACTIONS(4186),
    [sym__raw_string_opening] = ACTIONS(4186),
    [sym__string_opening] = ACTIONS(4186),
    [sym__comment] = ACTIONS(3),
  },
  [1606] = {
    [sym_comment] = STATE(1606),
    [ts_builtin_sym_end] = ACTIONS(4190),
    [sym_identifier] = ACTIONS(4192),
    [anon_sym_LPAREN] = ACTIONS(4190),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_DASH] = ACTIONS(4190),
    [anon_sym_DOLLAR] = ACTIONS(4192),
    [sym_none] = ACTIONS(4192),
    [sym_true] = ACTIONS(4192),
    [sym_false] = ACTIONS(4192),
    [anon_sym_LBRACE] = ACTIONS(4190),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_map_LBRACK] = ACTIONS(4190),
    [anon_sym_chan] = ACTIONS(4192),
    [anon_sym_shared] = ACTIONS(4192),
    [anon_sym_thread] = ACTIONS(4192),
    [sym_int_literal] = ACTIONS(4192),
    [sym_float_literal] = ACTIONS(4190),
    [sym_rune_literal] = ACTIONS(4190),
    [anon_sym_DOT] = ACTIONS(4192),
    [anon_sym_array] = ACTIONS(4192),
    [anon_sym_string] = ACTIONS(4192),
    [anon_sym_char] = ACTIONS(4192),
    [anon_sym_sql] = ACTIONS(4192),
    [anon_sym_mut] = ACTIONS(4192),
    [anon_sym_C] = ACTIONS(4192),
    [anon_sym_JS] = ACTIONS(4192),
    [anon_sym_voidptr] = ACTIONS(4192),
    [anon_sym_byteptr] = ACTIONS(4192),
    [anon_sym_charptr] = ACTIONS(4192),
    [anon_sym_i8] = ACTIONS(4192),
    [anon_sym_i16] = ACTIONS(4192),
    [anon_sym_i32] = ACTIONS(4192),
    [anon_sym_int] = ACTIONS(4192),
    [anon_sym_i64] = ACTIONS(4192),
    [anon_sym_byte] = ACTIONS(4192),
    [anon_sym_u8] = ACTIONS(4192),
    [anon_sym_u16] = ACTIONS(4192),
    [anon_sym_u32] = ACTIONS(4192),
    [anon_sym_u64] = ACTIONS(4192),
    [anon_sym_f32] = ACTIONS(4192),
    [anon_sym_f64] = ACTIONS(4192),
    [anon_sym_bool] = ACTIONS(4192),
    [anon_sym_rune] = ACTIONS(4192),
    [anon_sym_map] = ACTIONS(4192),
    [anon_sym_mapnode] = ACTIONS(4192),
    [anon_sym_size_t] = ACTIONS(4192),
    [anon_sym_usize] = ACTIONS(4192),
    [anon_sym_isize] = ACTIONS(4192),
    [anon_sym_float_literal] = ACTIONS(4192),
    [anon_sym_int_literal] = ACTIONS(4192),
    [anon_sym_IError] = ACTIONS(4192),
    [sym_type_placeholder] = ACTIONS(4192),
    [anon_sym_AT] = ACTIONS(4192),
    [sym_type_identifier] = ACTIONS(4192),
    [anon_sym_assert] = ACTIONS(4192),
    [anon_sym_defer] = ACTIONS(4192),
    [anon_sym_unsafe] = ACTIONS(4192),
    [anon_sym_pub] = ACTIONS(4192),
    [anon_sym_fn] = ACTIONS(4192),
    [anon_sym___global] = ACTIONS(4192),
    [anon_sym_const] = ACTIONS(4192),
    [anon_sym_asm] = ACTIONS(4192),
    [anon_sym_break] = ACTIONS(4192),
    [anon_sym_continue] = ACTIONS(4192),
    [anon_sym_return] = ACTIONS(4192),
    [anon_sym_type] = ACTIONS(4192),
    [anon_sym_go] = ACTIONS(4192),
    [anon_sym_spawn] = ACTIONS(4192),
    [anon_sym_goto] = ACTIONS(4192),
    [anon_sym_for] = ACTIONS(4192),
    [anon_sym_DOLLARfor] = ACTIONS(4190),
    [anon_sym_DOLLARif] = ACTIONS(4190),
    [anon_sym_if] = ACTIONS(4192),
    [anon_sym_struct] = ACTIONS(4192),
    [anon_sym_union] = ACTIONS(4192),
    [anon_sym_enum] = ACTIONS(4192),
    [anon_sym_interface] = ACTIONS(4192),
    [anon_sym_POUND] = ACTIONS(4190),
    [anon_sym_module] = ACTIONS(4192),
    [anon_sym_import] = ACTIONS(4192),
    [anon_sym_match] = ACTIONS(4192),
    [anon_sym_select] = ACTIONS(4192),
    [anon_sym_lock] = ACTIONS(4192),
    [anon_sym_rlock] = ACTIONS(4192),
    [sym__automatic_separator] = ACTIONS(4190),
    [sym__c_string_opening] = ACTIONS(4190),
    [sym__raw_string_opening] = ACTIONS(4190),
    [sym__string_opening] = ACTIONS(4190),
    [sym__comment] = ACTIONS(3),
  },
  [1607] = {
    [sym_comment] = STATE(1607),
    [ts_builtin_sym_end] = ACTIONS(4194),
    [sym_identifier] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4194),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_BANG] = ACTIONS(4194),
    [anon_sym_TILDE] = ACTIONS(4194),
    [anon_sym_CARET] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4194),
    [anon_sym_AMP] = ACTIONS(4194),
    [anon_sym_LT_DASH] = ACTIONS(4194),
    [anon_sym_DOLLAR] = ACTIONS(4196),
    [sym_none] = ACTIONS(4196),
    [sym_true] = ACTIONS(4196),
    [sym_false] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4194),
    [anon_sym_LBRACK] = ACTIONS(4194),
    [anon_sym_map_LBRACK] = ACTIONS(4194),
    [anon_sym_chan] = ACTIONS(4196),
    [anon_sym_shared] = ACTIONS(4196),
    [anon_sym_thread] = ACTIONS(4196),
    [sym_int_literal] = ACTIONS(4196),
    [sym_float_literal] = ACTIONS(4194),
    [sym_rune_literal] = ACTIONS(4194),
    [anon_sym_DOT] = ACTIONS(4196),
    [anon_sym_array] = ACTIONS(4196),
    [anon_sym_string] = ACTIONS(4196),
    [anon_sym_char] = ACTIONS(4196),
    [anon_sym_sql] = ACTIONS(4196),
    [anon_sym_mut] = ACTIONS(4196),
    [anon_sym_C] = ACTIONS(4196),
    [anon_sym_JS] = ACTIONS(4196),
    [anon_sym_voidptr] = ACTIONS(4196),
    [anon_sym_byteptr] = ACTIONS(4196),
    [anon_sym_charptr] = ACTIONS(4196),
    [anon_sym_i8] = ACTIONS(4196),
    [anon_sym_i16] = ACTIONS(4196),
    [anon_sym_i32] = ACTIONS(4196),
    [anon_sym_int] = ACTIONS(4196),
    [anon_sym_i64] = ACTIONS(4196),
    [anon_sym_byte] = ACTIONS(4196),
    [anon_sym_u8] = ACTIONS(4196),
    [anon_sym_u16] = ACTIONS(4196),
    [anon_sym_u32] = ACTIONS(4196),
    [anon_sym_u64] = ACTIONS(4196),
    [anon_sym_f32] = ACTIONS(4196),
    [anon_sym_f64] = ACTIONS(4196),
    [anon_sym_bool] = ACTIONS(4196),
    [anon_sym_rune] = ACTIONS(4196),
    [anon_sym_map] = ACTIONS(4196),
    [anon_sym_mapnode] = ACTIONS(4196),
    [anon_sym_size_t] = ACTIONS(4196),
    [anon_sym_usize] = ACTIONS(4196),
    [anon_sym_isize] = ACTIONS(4196),
    [anon_sym_float_literal] = ACTIONS(4196),
    [anon_sym_int_literal] = ACTIONS(4196),
    [anon_sym_IError] = ACTIONS(4196),
    [sym_type_placeholder] = ACTIONS(4196),
    [anon_sym_AT] = ACTIONS(4196),
    [sym_type_identifier] = ACTIONS(4196),
    [anon_sym_assert] = ACTIONS(4196),
    [anon_sym_defer] = ACTIONS(4196),
    [anon_sym_unsafe] = ACTIONS(4196),
    [anon_sym_pub] = ACTIONS(4196),
    [anon_sym_fn] = ACTIONS(4196),
    [anon_sym___global] = ACTIONS(4196),
    [anon_sym_const] = ACTIONS(4196),
    [anon_sym_asm] = ACTIONS(4196),
    [anon_sym_break] = ACTIONS(4196),
    [anon_sym_continue] = ACTIONS(4196),
    [anon_sym_return] = ACTIONS(4196),
    [anon_sym_type] = ACTIONS(4196),
    [anon_sym_go] = ACTIONS(4196),
    [anon_sym_spawn] = ACTIONS(4196),
    [anon_sym_goto] = ACTIONS(4196),
    [anon_sym_for] = ACTIONS(4196),
    [anon_sym_DOLLARfor] = ACTIONS(4194),
    [anon_sym_DOLLARif] = ACTIONS(4194),
    [anon_sym_if] = ACTIONS(4196),
    [anon_sym_struct] = ACTIONS(4196),
    [anon_sym_union] = ACTIONS(4196),
    [anon_sym_enum] = ACTIONS(4196),
    [anon_sym_interface] = ACTIONS(4196),
    [anon_sym_POUND] = ACTIONS(4194),
    [anon_sym_module] = ACTIONS(4196),
    [anon_sym_import] = ACTIONS(4196),
    [anon_sym_match] = ACTIONS(4196),
    [anon_sym_select] = ACTIONS(4196),
    [anon_sym_lock] = ACTIONS(4196),
    [anon_sym_rlock] = ACTIONS(4196),
    [sym__automatic_separator] = ACTIONS(4194),
    [sym__c_string_opening] = ACTIONS(4194),
    [sym__raw_string_opening] = ACTIONS(4194),
    [sym__string_opening] = ACTIONS(4194),
    [sym__comment] = ACTIONS(3),
  },
  [1608] = {
    [sym_comment] = STATE(1608),
    [ts_builtin_sym_end] = ACTIONS(4198),
    [sym_identifier] = ACTIONS(4200),
    [anon_sym_LPAREN] = ACTIONS(4198),
    [anon_sym_PLUS] = ACTIONS(4198),
    [anon_sym_DASH] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(4198),
    [anon_sym_TILDE] = ACTIONS(4198),
    [anon_sym_CARET] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(4198),
    [anon_sym_AMP] = ACTIONS(4198),
    [anon_sym_LT_DASH] = ACTIONS(4198),
    [anon_sym_DOLLAR] = ACTIONS(4200),
    [sym_none] = ACTIONS(4200),
    [sym_true] = ACTIONS(4200),
    [sym_false] = ACTIONS(4200),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_map_LBRACK] = ACTIONS(4198),
    [anon_sym_chan] = ACTIONS(4200),
    [anon_sym_shared] = ACTIONS(4200),
    [anon_sym_thread] = ACTIONS(4200),
    [sym_int_literal] = ACTIONS(4200),
    [sym_float_literal] = ACTIONS(4198),
    [sym_rune_literal] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_array] = ACTIONS(4200),
    [anon_sym_string] = ACTIONS(4200),
    [anon_sym_char] = ACTIONS(4200),
    [anon_sym_sql] = ACTIONS(4200),
    [anon_sym_mut] = ACTIONS(4200),
    [anon_sym_C] = ACTIONS(4200),
    [anon_sym_JS] = ACTIONS(4200),
    [anon_sym_voidptr] = ACTIONS(4200),
    [anon_sym_byteptr] = ACTIONS(4200),
    [anon_sym_charptr] = ACTIONS(4200),
    [anon_sym_i8] = ACTIONS(4200),
    [anon_sym_i16] = ACTIONS(4200),
    [anon_sym_i32] = ACTIONS(4200),
    [anon_sym_int] = ACTIONS(4200),
    [anon_sym_i64] = ACTIONS(4200),
    [anon_sym_byte] = ACTIONS(4200),
    [anon_sym_u8] = ACTIONS(4200),
    [anon_sym_u16] = ACTIONS(4200),
    [anon_sym_u32] = ACTIONS(4200),
    [anon_sym_u64] = ACTIONS(4200),
    [anon_sym_f32] = ACTIONS(4200),
    [anon_sym_f64] = ACTIONS(4200),
    [anon_sym_bool] = ACTIONS(4200),
    [anon_sym_rune] = ACTIONS(4200),
    [anon_sym_map] = ACTIONS(4200),
    [anon_sym_mapnode] = ACTIONS(4200),
    [anon_sym_size_t] = ACTIONS(4200),
    [anon_sym_usize] = ACTIONS(4200),
    [anon_sym_isize] = ACTIONS(4200),
    [anon_sym_float_literal] = ACTIONS(4200),
    [anon_sym_int_literal] = ACTIONS(4200),
    [anon_sym_IError] = ACTIONS(4200),
    [sym_type_placeholder] = ACTIONS(4200),
    [anon_sym_AT] = ACTIONS(4200),
    [sym_type_identifier] = ACTIONS(4200),
    [anon_sym_assert] = ACTIONS(4200),
    [anon_sym_defer] = ACTIONS(4200),
    [anon_sym_unsafe] = ACTIONS(4200),
    [anon_sym_pub] = ACTIONS(4200),
    [anon_sym_fn] = ACTIONS(4200),
    [anon_sym___global] = ACTIONS(4200),
    [anon_sym_const] = ACTIONS(4200),
    [anon_sym_asm] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_continue] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_type] = ACTIONS(4200),
    [anon_sym_go] = ACTIONS(4200),
    [anon_sym_spawn] = ACTIONS(4200),
    [anon_sym_goto] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_DOLLARfor] = ACTIONS(4198),
    [anon_sym_DOLLARif] = ACTIONS(4198),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_struct] = ACTIONS(4200),
    [anon_sym_union] = ACTIONS(4200),
    [anon_sym_enum] = ACTIONS(4200),
    [anon_sym_interface] = ACTIONS(4200),
    [anon_sym_POUND] = ACTIONS(4198),
    [anon_sym_module] = ACTIONS(4200),
    [anon_sym_import] = ACTIONS(4200),
    [anon_sym_match] = ACTIONS(4200),
    [anon_sym_select] = ACTIONS(4200),
    [anon_sym_lock] = ACTIONS(4200),
    [anon_sym_rlock] = ACTIONS(4200),
    [sym__automatic_separator] = ACTIONS(4198),
    [sym__c_string_opening] = ACTIONS(4198),
    [sym__raw_string_opening] = ACTIONS(4198),
    [sym__string_opening] = ACTIONS(4198),
    [sym__comment] = ACTIONS(3),
  },
  [1609] = {
    [sym_comment] = STATE(1609),
    [ts_builtin_sym_end] = ACTIONS(4202),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN] = ACTIONS(4202),
    [anon_sym_PLUS] = ACTIONS(4202),
    [anon_sym_DASH] = ACTIONS(4202),
    [anon_sym_BANG] = ACTIONS(4202),
    [anon_sym_TILDE] = ACTIONS(4202),
    [anon_sym_CARET] = ACTIONS(4202),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_AMP] = ACTIONS(4202),
    [anon_sym_LT_DASH] = ACTIONS(4202),
    [anon_sym_DOLLAR] = ACTIONS(4204),
    [sym_none] = ACTIONS(4204),
    [sym_true] = ACTIONS(4204),
    [sym_false] = ACTIONS(4204),
    [anon_sym_LBRACE] = ACTIONS(4202),
    [anon_sym_LBRACK] = ACTIONS(4202),
    [anon_sym_map_LBRACK] = ACTIONS(4202),
    [anon_sym_chan] = ACTIONS(4204),
    [anon_sym_shared] = ACTIONS(4204),
    [anon_sym_thread] = ACTIONS(4204),
    [sym_int_literal] = ACTIONS(4204),
    [sym_float_literal] = ACTIONS(4202),
    [sym_rune_literal] = ACTIONS(4202),
    [anon_sym_DOT] = ACTIONS(4204),
    [anon_sym_array] = ACTIONS(4204),
    [anon_sym_string] = ACTIONS(4204),
    [anon_sym_char] = ACTIONS(4204),
    [anon_sym_sql] = ACTIONS(4204),
    [anon_sym_mut] = ACTIONS(4204),
    [anon_sym_C] = ACTIONS(4204),
    [anon_sym_JS] = ACTIONS(4204),
    [anon_sym_voidptr] = ACTIONS(4204),
    [anon_sym_byteptr] = ACTIONS(4204),
    [anon_sym_charptr] = ACTIONS(4204),
    [anon_sym_i8] = ACTIONS(4204),
    [anon_sym_i16] = ACTIONS(4204),
    [anon_sym_i32] = ACTIONS(4204),
    [anon_sym_int] = ACTIONS(4204),
    [anon_sym_i64] = ACTIONS(4204),
    [anon_sym_byte] = ACTIONS(4204),
    [anon_sym_u8] = ACTIONS(4204),
    [anon_sym_u16] = ACTIONS(4204),
    [anon_sym_u32] = ACTIONS(4204),
    [anon_sym_u64] = ACTIONS(4204),
    [anon_sym_f32] = ACTIONS(4204),
    [anon_sym_f64] = ACTIONS(4204),
    [anon_sym_bool] = ACTIONS(4204),
    [anon_sym_rune] = ACTIONS(4204),
    [anon_sym_map] = ACTIONS(4204),
    [anon_sym_mapnode] = ACTIONS(4204),
    [anon_sym_size_t] = ACTIONS(4204),
    [anon_sym_usize] = ACTIONS(4204),
    [anon_sym_isize] = ACTIONS(4204),
    [anon_sym_float_literal] = ACTIONS(4204),
    [anon_sym_int_literal] = ACTIONS(4204),
    [anon_sym_IError] = ACTIONS(4204),
    [sym_type_placeholder] = ACTIONS(4204),
    [anon_sym_AT] = ACTIONS(4204),
    [sym_type_identifier] = ACTIONS(4204),
    [anon_sym_assert] = ACTIONS(4204),
    [anon_sym_defer] = ACTIONS(4204),
    [anon_sym_unsafe] = ACTIONS(4204),
    [anon_sym_pub] = ACTIONS(4204),
    [anon_sym_fn] = ACTIONS(4204),
    [anon_sym___global] = ACTIONS(4204),
    [anon_sym_const] = ACTIONS(4204),
    [anon_sym_asm] = ACTIONS(4204),
    [anon_sym_break] = ACTIONS(4204),
    [anon_sym_continue] = ACTIONS(4204),
    [anon_sym_return] = ACTIONS(4204),
    [anon_sym_type] = ACTIONS(4204),
    [anon_sym_go] = ACTIONS(4204),
    [anon_sym_spawn] = ACTIONS(4204),
    [anon_sym_goto] = ACTIONS(4204),
    [anon_sym_for] = ACTIONS(4204),
    [anon_sym_DOLLARfor] = ACTIONS(4202),
    [anon_sym_DOLLARif] = ACTIONS(4202),
    [anon_sym_if] = ACTIONS(4204),
    [anon_sym_struct] = ACTIONS(4204),
    [anon_sym_union] = ACTIONS(4204),
    [anon_sym_enum] = ACTIONS(4204),
    [anon_sym_interface] = ACTIONS(4204),
    [anon_sym_POUND] = ACTIONS(4202),
    [anon_sym_module] = ACTIONS(4204),
    [anon_sym_import] = ACTIONS(4204),
    [anon_sym_match] = ACTIONS(4204),
    [anon_sym_select] = ACTIONS(4204),
    [anon_sym_lock] = ACTIONS(4204),
    [anon_sym_rlock] = ACTIONS(4204),
    [sym__automatic_separator] = ACTIONS(4202),
    [sym__c_string_opening] = ACTIONS(4202),
    [sym__raw_string_opening] = ACTIONS(4202),
    [sym__string_opening] = ACTIONS(4202),
    [sym__comment] = ACTIONS(3),
  },
  [1610] = {
    [sym_comment] = STATE(1610),
    [ts_builtin_sym_end] = ACTIONS(4206),
    [sym_identifier] = ACTIONS(4208),
    [anon_sym_LPAREN] = ACTIONS(4206),
    [anon_sym_PLUS] = ACTIONS(4206),
    [anon_sym_DASH] = ACTIONS(4206),
    [anon_sym_BANG] = ACTIONS(4206),
    [anon_sym_TILDE] = ACTIONS(4206),
    [anon_sym_CARET] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(4206),
    [anon_sym_AMP] = ACTIONS(4206),
    [anon_sym_LT_DASH] = ACTIONS(4206),
    [anon_sym_DOLLAR] = ACTIONS(4208),
    [sym_none] = ACTIONS(4208),
    [sym_true] = ACTIONS(4208),
    [sym_false] = ACTIONS(4208),
    [anon_sym_LBRACE] = ACTIONS(4206),
    [anon_sym_LBRACK] = ACTIONS(4206),
    [anon_sym_map_LBRACK] = ACTIONS(4206),
    [anon_sym_chan] = ACTIONS(4208),
    [anon_sym_shared] = ACTIONS(4208),
    [anon_sym_thread] = ACTIONS(4208),
    [sym_int_literal] = ACTIONS(4208),
    [sym_float_literal] = ACTIONS(4206),
    [sym_rune_literal] = ACTIONS(4206),
    [anon_sym_DOT] = ACTIONS(4208),
    [anon_sym_array] = ACTIONS(4208),
    [anon_sym_string] = ACTIONS(4208),
    [anon_sym_char] = ACTIONS(4208),
    [anon_sym_sql] = ACTIONS(4208),
    [anon_sym_mut] = ACTIONS(4208),
    [anon_sym_C] = ACTIONS(4208),
    [anon_sym_JS] = ACTIONS(4208),
    [anon_sym_voidptr] = ACTIONS(4208),
    [anon_sym_byteptr] = ACTIONS(4208),
    [anon_sym_charptr] = ACTIONS(4208),
    [anon_sym_i8] = ACTIONS(4208),
    [anon_sym_i16] = ACTIONS(4208),
    [anon_sym_i32] = ACTIONS(4208),
    [anon_sym_int] = ACTIONS(4208),
    [anon_sym_i64] = ACTIONS(4208),
    [anon_sym_byte] = ACTIONS(4208),
    [anon_sym_u8] = ACTIONS(4208),
    [anon_sym_u16] = ACTIONS(4208),
    [anon_sym_u32] = ACTIONS(4208),
    [anon_sym_u64] = ACTIONS(4208),
    [anon_sym_f32] = ACTIONS(4208),
    [anon_sym_f64] = ACTIONS(4208),
    [anon_sym_bool] = ACTIONS(4208),
    [anon_sym_rune] = ACTIONS(4208),
    [anon_sym_map] = ACTIONS(4208),
    [anon_sym_mapnode] = ACTIONS(4208),
    [anon_sym_size_t] = ACTIONS(4208),
    [anon_sym_usize] = ACTIONS(4208),
    [anon_sym_isize] = ACTIONS(4208),
    [anon_sym_float_literal] = ACTIONS(4208),
    [anon_sym_int_literal] = ACTIONS(4208),
    [anon_sym_IError] = ACTIONS(4208),
    [sym_type_placeholder] = ACTIONS(4208),
    [anon_sym_AT] = ACTIONS(4208),
    [sym_type_identifier] = ACTIONS(4208),
    [anon_sym_assert] = ACTIONS(4208),
    [anon_sym_defer] = ACTIONS(4208),
    [anon_sym_unsafe] = ACTIONS(4208),
    [anon_sym_pub] = ACTIONS(4208),
    [anon_sym_fn] = ACTIONS(4208),
    [anon_sym___global] = ACTIONS(4208),
    [anon_sym_const] = ACTIONS(4208),
    [anon_sym_asm] = ACTIONS(4208),
    [anon_sym_break] = ACTIONS(4208),
    [anon_sym_continue] = ACTIONS(4208),
    [anon_sym_return] = ACTIONS(4208),
    [anon_sym_type] = ACTIONS(4208),
    [anon_sym_go] = ACTIONS(4208),
    [anon_sym_spawn] = ACTIONS(4208),
    [anon_sym_goto] = ACTIONS(4208),
    [anon_sym_for] = ACTIONS(4208),
    [anon_sym_DOLLARfor] = ACTIONS(4206),
    [anon_sym_DOLLARif] = ACTIONS(4206),
    [anon_sym_if] = ACTIONS(4208),
    [anon_sym_struct] = ACTIONS(4208),
    [anon_sym_union] = ACTIONS(4208),
    [anon_sym_enum] = ACTIONS(4208),
    [anon_sym_interface] = ACTIONS(4208),
    [anon_sym_POUND] = ACTIONS(4206),
    [anon_sym_module] = ACTIONS(4208),
    [anon_sym_import] = ACTIONS(4208),
    [anon_sym_match] = ACTIONS(4208),
    [anon_sym_select] = ACTIONS(4208),
    [anon_sym_lock] = ACTIONS(4208),
    [anon_sym_rlock] = ACTIONS(4208),
    [sym__automatic_separator] = ACTIONS(4206),
    [sym__c_string_opening] = ACTIONS(4206),
    [sym__raw_string_opening] = ACTIONS(4206),
    [sym__string_opening] = ACTIONS(4206),
    [sym__comment] = ACTIONS(3),
  },
  [1611] = {
    [sym_comment] = STATE(1611),
    [ts_builtin_sym_end] = ACTIONS(4210),
    [sym_identifier] = ACTIONS(4212),
    [anon_sym_LPAREN] = ACTIONS(4210),
    [anon_sym_PLUS] = ACTIONS(4210),
    [anon_sym_DASH] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(4210),
    [anon_sym_TILDE] = ACTIONS(4210),
    [anon_sym_CARET] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(4210),
    [anon_sym_AMP] = ACTIONS(4210),
    [anon_sym_LT_DASH] = ACTIONS(4210),
    [anon_sym_DOLLAR] = ACTIONS(4212),
    [sym_none] = ACTIONS(4212),
    [sym_true] = ACTIONS(4212),
    [sym_false] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4210),
    [anon_sym_LBRACK] = ACTIONS(4210),
    [anon_sym_map_LBRACK] = ACTIONS(4210),
    [anon_sym_chan] = ACTIONS(4212),
    [anon_sym_shared] = ACTIONS(4212),
    [anon_sym_thread] = ACTIONS(4212),
    [sym_int_literal] = ACTIONS(4212),
    [sym_float_literal] = ACTIONS(4210),
    [sym_rune_literal] = ACTIONS(4210),
    [anon_sym_DOT] = ACTIONS(4212),
    [anon_sym_array] = ACTIONS(4212),
    [anon_sym_string] = ACTIONS(4212),
    [anon_sym_char] = ACTIONS(4212),
    [anon_sym_sql] = ACTIONS(4212),
    [anon_sym_mut] = ACTIONS(4212),
    [anon_sym_C] = ACTIONS(4212),
    [anon_sym_JS] = ACTIONS(4212),
    [anon_sym_voidptr] = ACTIONS(4212),
    [anon_sym_byteptr] = ACTIONS(4212),
    [anon_sym_charptr] = ACTIONS(4212),
    [anon_sym_i8] = ACTIONS(4212),
    [anon_sym_i16] = ACTIONS(4212),
    [anon_sym_i32] = ACTIONS(4212),
    [anon_sym_int] = ACTIONS(4212),
    [anon_sym_i64] = ACTIONS(4212),
    [anon_sym_byte] = ACTIONS(4212),
    [anon_sym_u8] = ACTIONS(4212),
    [anon_sym_u16] = ACTIONS(4212),
    [anon_sym_u32] = ACTIONS(4212),
    [anon_sym_u64] = ACTIONS(4212),
    [anon_sym_f32] = ACTIONS(4212),
    [anon_sym_f64] = ACTIONS(4212),
    [anon_sym_bool] = ACTIONS(4212),
    [anon_sym_rune] = ACTIONS(4212),
    [anon_sym_map] = ACTIONS(4212),
    [anon_sym_mapnode] = ACTIONS(4212),
    [anon_sym_size_t] = ACTIONS(4212),
    [anon_sym_usize] = ACTIONS(4212),
    [anon_sym_isize] = ACTIONS(4212),
    [anon_sym_float_literal] = ACTIONS(4212),
    [anon_sym_int_literal] = ACTIONS(4212),
    [anon_sym_IError] = ACTIONS(4212),
    [sym_type_placeholder] = ACTIONS(4212),
    [anon_sym_AT] = ACTIONS(4212),
    [sym_type_identifier] = ACTIONS(4212),
    [anon_sym_assert] = ACTIONS(4212),
    [anon_sym_defer] = ACTIONS(4212),
    [anon_sym_unsafe] = ACTIONS(4212),
    [anon_sym_pub] = ACTIONS(4212),
    [anon_sym_fn] = ACTIONS(4212),
    [anon_sym___global] = ACTIONS(4212),
    [anon_sym_const] = ACTIONS(4212),
    [anon_sym_asm] = ACTIONS(4212),
    [anon_sym_break] = ACTIONS(4212),
    [anon_sym_continue] = ACTIONS(4212),
    [anon_sym_return] = ACTIONS(4212),
    [anon_sym_type] = ACTIONS(4212),
    [anon_sym_go] = ACTIONS(4212),
    [anon_sym_spawn] = ACTIONS(4212),
    [anon_sym_goto] = ACTIONS(4212),
    [anon_sym_for] = ACTIONS(4212),
    [anon_sym_DOLLARfor] = ACTIONS(4210),
    [anon_sym_DOLLARif] = ACTIONS(4210),
    [anon_sym_if] = ACTIONS(4212),
    [anon_sym_struct] = ACTIONS(4212),
    [anon_sym_union] = ACTIONS(4212),
    [anon_sym_enum] = ACTIONS(4212),
    [anon_sym_interface] = ACTIONS(4212),
    [anon_sym_POUND] = ACTIONS(4210),
    [anon_sym_module] = ACTIONS(4212),
    [anon_sym_import] = ACTIONS(4212),
    [anon_sym_match] = ACTIONS(4212),
    [anon_sym_select] = ACTIONS(4212),
    [anon_sym_lock] = ACTIONS(4212),
    [anon_sym_rlock] = ACTIONS(4212),
    [sym__automatic_separator] = ACTIONS(4210),
    [sym__c_string_opening] = ACTIONS(4210),
    [sym__raw_string_opening] = ACTIONS(4210),
    [sym__string_opening] = ACTIONS(4210),
    [sym__comment] = ACTIONS(3),
  },
  [1612] = {
    [sym_comment] = STATE(1612),
    [ts_builtin_sym_end] = ACTIONS(4214),
    [sym_identifier] = ACTIONS(4216),
    [anon_sym_LPAREN] = ACTIONS(4214),
    [anon_sym_PLUS] = ACTIONS(4214),
    [anon_sym_DASH] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(4214),
    [anon_sym_TILDE] = ACTIONS(4214),
    [anon_sym_CARET] = ACTIONS(4214),
    [anon_sym_STAR] = ACTIONS(4214),
    [anon_sym_AMP] = ACTIONS(4214),
    [anon_sym_LT_DASH] = ACTIONS(4214),
    [anon_sym_DOLLAR] = ACTIONS(4216),
    [sym_none] = ACTIONS(4216),
    [sym_true] = ACTIONS(4216),
    [sym_false] = ACTIONS(4216),
    [anon_sym_LBRACE] = ACTIONS(4214),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [anon_sym_map_LBRACK] = ACTIONS(4214),
    [anon_sym_chan] = ACTIONS(4216),
    [anon_sym_shared] = ACTIONS(4216),
    [anon_sym_thread] = ACTIONS(4216),
    [sym_int_literal] = ACTIONS(4216),
    [sym_float_literal] = ACTIONS(4214),
    [sym_rune_literal] = ACTIONS(4214),
    [anon_sym_DOT] = ACTIONS(4216),
    [anon_sym_array] = ACTIONS(4216),
    [anon_sym_string] = ACTIONS(4216),
    [anon_sym_char] = ACTIONS(4216),
    [anon_sym_sql] = ACTIONS(4216),
    [anon_sym_mut] = ACTIONS(4216),
    [anon_sym_C] = ACTIONS(4216),
    [anon_sym_JS] = ACTIONS(4216),
    [anon_sym_voidptr] = ACTIONS(4216),
    [anon_sym_byteptr] = ACTIONS(4216),
    [anon_sym_charptr] = ACTIONS(4216),
    [anon_sym_i8] = ACTIONS(4216),
    [anon_sym_i16] = ACTIONS(4216),
    [anon_sym_i32] = ACTIONS(4216),
    [anon_sym_int] = ACTIONS(4216),
    [anon_sym_i64] = ACTIONS(4216),
    [anon_sym_byte] = ACTIONS(4216),
    [anon_sym_u8] = ACTIONS(4216),
    [anon_sym_u16] = ACTIONS(4216),
    [anon_sym_u32] = ACTIONS(4216),
    [anon_sym_u64] = ACTIONS(4216),
    [anon_sym_f32] = ACTIONS(4216),
    [anon_sym_f64] = ACTIONS(4216),
    [anon_sym_bool] = ACTIONS(4216),
    [anon_sym_rune] = ACTIONS(4216),
    [anon_sym_map] = ACTIONS(4216),
    [anon_sym_mapnode] = ACTIONS(4216),
    [anon_sym_size_t] = ACTIONS(4216),
    [anon_sym_usize] = ACTIONS(4216),
    [anon_sym_isize] = ACTIONS(4216),
    [anon_sym_float_literal] = ACTIONS(4216),
    [anon_sym_int_literal] = ACTIONS(4216),
    [anon_sym_IError] = ACTIONS(4216),
    [sym_type_placeholder] = ACTIONS(4216),
    [anon_sym_AT] = ACTIONS(4216),
    [sym_type_identifier] = ACTIONS(4216),
    [anon_sym_assert] = ACTIONS(4216),
    [anon_sym_defer] = ACTIONS(4216),
    [anon_sym_unsafe] = ACTIONS(4216),
    [anon_sym_pub] = ACTIONS(4216),
    [anon_sym_fn] = ACTIONS(4216),
    [anon_sym___global] = ACTIONS(4216),
    [anon_sym_const] = ACTIONS(4216),
    [anon_sym_asm] = ACTIONS(4216),
    [anon_sym_break] = ACTIONS(4216),
    [anon_sym_continue] = ACTIONS(4216),
    [anon_sym_return] = ACTIONS(4216),
    [anon_sym_type] = ACTIONS(4216),
    [anon_sym_go] = ACTIONS(4216),
    [anon_sym_spawn] = ACTIONS(4216),
    [anon_sym_goto] = ACTIONS(4216),
    [anon_sym_for] = ACTIONS(4216),
    [anon_sym_DOLLARfor] = ACTIONS(4214),
    [anon_sym_DOLLARif] = ACTIONS(4214),
    [anon_sym_if] = ACTIONS(4216),
    [anon_sym_struct] = ACTIONS(4216),
    [anon_sym_union] = ACTIONS(4216),
    [anon_sym_enum] = ACTIONS(4216),
    [anon_sym_interface] = ACTIONS(4216),
    [anon_sym_POUND] = ACTIONS(4214),
    [anon_sym_module] = ACTIONS(4216),
    [anon_sym_import] = ACTIONS(4216),
    [anon_sym_match] = ACTIONS(4216),
    [anon_sym_select] = ACTIONS(4216),
    [anon_sym_lock] = ACTIONS(4216),
    [anon_sym_rlock] = ACTIONS(4216),
    [sym__automatic_separator] = ACTIONS(4214),
    [sym__c_string_opening] = ACTIONS(4214),
    [sym__raw_string_opening] = ACTIONS(4214),
    [sym__string_opening] = ACTIONS(4214),
    [sym__comment] = ACTIONS(3),
  },
  [1613] = {
    [sym_comment] = STATE(1613),
    [ts_builtin_sym_end] = ACTIONS(4218),
    [sym_identifier] = ACTIONS(4220),
    [anon_sym_LPAREN] = ACTIONS(4218),
    [anon_sym_PLUS] = ACTIONS(4218),
    [anon_sym_DASH] = ACTIONS(4218),
    [anon_sym_BANG] = ACTIONS(4218),
    [anon_sym_TILDE] = ACTIONS(4218),
    [anon_sym_CARET] = ACTIONS(4218),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT_DASH] = ACTIONS(4218),
    [anon_sym_DOLLAR] = ACTIONS(4220),
    [sym_none] = ACTIONS(4220),
    [sym_true] = ACTIONS(4220),
    [sym_false] = ACTIONS(4220),
    [anon_sym_LBRACE] = ACTIONS(4218),
    [anon_sym_LBRACK] = ACTIONS(4218),
    [anon_sym_map_LBRACK] = ACTIONS(4218),
    [anon_sym_chan] = ACTIONS(4220),
    [anon_sym_shared] = ACTIONS(4220),
    [anon_sym_thread] = ACTIONS(4220),
    [sym_int_literal] = ACTIONS(4220),
    [sym_float_literal] = ACTIONS(4218),
    [sym_rune_literal] = ACTIONS(4218),
    [anon_sym_DOT] = ACTIONS(4220),
    [anon_sym_array] = ACTIONS(4220),
    [anon_sym_string] = ACTIONS(4220),
    [anon_sym_char] = ACTIONS(4220),
    [anon_sym_sql] = ACTIONS(4220),
    [anon_sym_mut] = ACTIONS(4220),
    [anon_sym_C] = ACTIONS(4220),
    [anon_sym_JS] = ACTIONS(4220),
    [anon_sym_voidptr] = ACTIONS(4220),
    [anon_sym_byteptr] = ACTIONS(4220),
    [anon_sym_charptr] = ACTIONS(4220),
    [anon_sym_i8] = ACTIONS(4220),
    [anon_sym_i16] = ACTIONS(4220),
    [anon_sym_i32] = ACTIONS(4220),
    [anon_sym_int] = ACTIONS(4220),
    [anon_sym_i64] = ACTIONS(4220),
    [anon_sym_byte] = ACTIONS(4220),
    [anon_sym_u8] = ACTIONS(4220),
    [anon_sym_u16] = ACTIONS(4220),
    [anon_sym_u32] = ACTIONS(4220),
    [anon_sym_u64] = ACTIONS(4220),
    [anon_sym_f32] = ACTIONS(4220),
    [anon_sym_f64] = ACTIONS(4220),
    [anon_sym_bool] = ACTIONS(4220),
    [anon_sym_rune] = ACTIONS(4220),
    [anon_sym_map] = ACTIONS(4220),
    [anon_sym_mapnode] = ACTIONS(4220),
    [anon_sym_size_t] = ACTIONS(4220),
    [anon_sym_usize] = ACTIONS(4220),
    [anon_sym_isize] = ACTIONS(4220),
    [anon_sym_float_literal] = ACTIONS(4220),
    [anon_sym_int_literal] = ACTIONS(4220),
    [anon_sym_IError] = ACTIONS(4220),
    [sym_type_placeholder] = ACTIONS(4220),
    [anon_sym_AT] = ACTIONS(4220),
    [sym_type_identifier] = ACTIONS(4220),
    [anon_sym_assert] = ACTIONS(4220),
    [anon_sym_defer] = ACTIONS(4220),
    [anon_sym_unsafe] = ACTIONS(4220),
    [anon_sym_pub] = ACTIONS(4220),
    [anon_sym_fn] = ACTIONS(4220),
    [anon_sym___global] = ACTIONS(4220),
    [anon_sym_const] = ACTIONS(4220),
    [anon_sym_asm] = ACTIONS(4220),
    [anon_sym_break] = ACTIONS(4220),
    [anon_sym_continue] = ACTIONS(4220),
    [anon_sym_return] = ACTIONS(4220),
    [anon_sym_type] = ACTIONS(4220),
    [anon_sym_go] = ACTIONS(4220),
    [anon_sym_spawn] = ACTIONS(4220),
    [anon_sym_goto] = ACTIONS(4220),
    [anon_sym_for] = ACTIONS(4220),
    [anon_sym_DOLLARfor] = ACTIONS(4218),
    [anon_sym_DOLLARif] = ACTIONS(4218),
    [anon_sym_if] = ACTIONS(4220),
    [anon_sym_struct] = ACTIONS(4220),
    [anon_sym_union] = ACTIONS(4220),
    [anon_sym_enum] = ACTIONS(4220),
    [anon_sym_interface] = ACTIONS(4220),
    [anon_sym_POUND] = ACTIONS(4218),
    [anon_sym_module] = ACTIONS(4220),
    [anon_sym_import] = ACTIONS(4220),
    [anon_sym_match] = ACTIONS(4220),
    [anon_sym_select] = ACTIONS(4220),
    [anon_sym_lock] = ACTIONS(4220),
    [anon_sym_rlock] = ACTIONS(4220),
    [sym__automatic_separator] = ACTIONS(4218),
    [sym__c_string_opening] = ACTIONS(4218),
    [sym__raw_string_opening] = ACTIONS(4218),
    [sym__string_opening] = ACTIONS(4218),
    [sym__comment] = ACTIONS(3),
  },
  [1614] = {
    [sym_comment] = STATE(1614),
    [ts_builtin_sym_end] = ACTIONS(4222),
    [sym_identifier] = ACTIONS(4224),
    [anon_sym_LPAREN] = ACTIONS(4222),
    [anon_sym_PLUS] = ACTIONS(4222),
    [anon_sym_DASH] = ACTIONS(4222),
    [anon_sym_BANG] = ACTIONS(4222),
    [anon_sym_TILDE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4222),
    [anon_sym_STAR] = ACTIONS(4222),
    [anon_sym_AMP] = ACTIONS(4222),
    [anon_sym_LT_DASH] = ACTIONS(4222),
    [anon_sym_DOLLAR] = ACTIONS(4224),
    [sym_none] = ACTIONS(4224),
    [sym_true] = ACTIONS(4224),
    [sym_false] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4222),
    [anon_sym_LBRACK] = ACTIONS(4222),
    [anon_sym_map_LBRACK] = ACTIONS(4222),
    [anon_sym_chan] = ACTIONS(4224),
    [anon_sym_shared] = ACTIONS(4224),
    [anon_sym_thread] = ACTIONS(4224),
    [sym_int_literal] = ACTIONS(4224),
    [sym_float_literal] = ACTIONS(4222),
    [sym_rune_literal] = ACTIONS(4222),
    [anon_sym_DOT] = ACTIONS(4224),
    [anon_sym_array] = ACTIONS(4224),
    [anon_sym_string] = ACTIONS(4224),
    [anon_sym_char] = ACTIONS(4224),
    [anon_sym_sql] = ACTIONS(4224),
    [anon_sym_mut] = ACTIONS(4224),
    [anon_sym_C] = ACTIONS(4224),
    [anon_sym_JS] = ACTIONS(4224),
    [anon_sym_voidptr] = ACTIONS(4224),
    [anon_sym_byteptr] = ACTIONS(4224),
    [anon_sym_charptr] = ACTIONS(4224),
    [anon_sym_i8] = ACTIONS(4224),
    [anon_sym_i16] = ACTIONS(4224),
    [anon_sym_i32] = ACTIONS(4224),
    [anon_sym_int] = ACTIONS(4224),
    [anon_sym_i64] = ACTIONS(4224),
    [anon_sym_byte] = ACTIONS(4224),
    [anon_sym_u8] = ACTIONS(4224),
    [anon_sym_u16] = ACTIONS(4224),
    [anon_sym_u32] = ACTIONS(4224),
    [anon_sym_u64] = ACTIONS(4224),
    [anon_sym_f32] = ACTIONS(4224),
    [anon_sym_f64] = ACTIONS(4224),
    [anon_sym_bool] = ACTIONS(4224),
    [anon_sym_rune] = ACTIONS(4224),
    [anon_sym_map] = ACTIONS(4224),
    [anon_sym_mapnode] = ACTIONS(4224),
    [anon_sym_size_t] = ACTIONS(4224),
    [anon_sym_usize] = ACTIONS(4224),
    [anon_sym_isize] = ACTIONS(4224),
    [anon_sym_float_literal] = ACTIONS(4224),
    [anon_sym_int_literal] = ACTIONS(4224),
    [anon_sym_IError] = ACTIONS(4224),
    [sym_type_placeholder] = ACTIONS(4224),
    [anon_sym_AT] = ACTIONS(4224),
    [sym_type_identifier] = ACTIONS(4224),
    [anon_sym_assert] = ACTIONS(4224),
    [anon_sym_defer] = ACTIONS(4224),
    [anon_sym_unsafe] = ACTIONS(4224),
    [anon_sym_pub] = ACTIONS(4224),
    [anon_sym_fn] = ACTIONS(4224),
    [anon_sym___global] = ACTIONS(4224),
    [anon_sym_const] = ACTIONS(4224),
    [anon_sym_asm] = ACTIONS(4224),
    [anon_sym_break] = ACTIONS(4224),
    [anon_sym_continue] = ACTIONS(4224),
    [anon_sym_return] = ACTIONS(4224),
    [anon_sym_type] = ACTIONS(4224),
    [anon_sym_go] = ACTIONS(4224),
    [anon_sym_spawn] = ACTIONS(4224),
    [anon_sym_goto] = ACTIONS(4224),
    [anon_sym_for] = ACTIONS(4224),
    [anon_sym_DOLLARfor] = ACTIONS(4222),
    [anon_sym_DOLLARif] = ACTIONS(4222),
    [anon_sym_if] = ACTIONS(4224),
    [anon_sym_struct] = ACTIONS(4224),
    [anon_sym_union] = ACTIONS(4224),
    [anon_sym_enum] = ACTIONS(4224),
    [anon_sym_interface] = ACTIONS(4224),
    [anon_sym_POUND] = ACTIONS(4222),
    [anon_sym_module] = ACTIONS(4224),
    [anon_sym_import] = ACTIONS(4224),
    [anon_sym_match] = ACTIONS(4224),
    [anon_sym_select] = ACTIONS(4224),
    [anon_sym_lock] = ACTIONS(4224),
    [anon_sym_rlock] = ACTIONS(4224),
    [sym__automatic_separator] = ACTIONS(4222),
    [sym__c_string_opening] = ACTIONS(4222),
    [sym__raw_string_opening] = ACTIONS(4222),
    [sym__string_opening] = ACTIONS(4222),
    [sym__comment] = ACTIONS(3),
  },
  [1615] = {
    [sym_comment] = STATE(1615),
    [ts_builtin_sym_end] = ACTIONS(4226),
    [sym_identifier] = ACTIONS(4228),
    [anon_sym_LPAREN] = ACTIONS(4226),
    [anon_sym_PLUS] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4226),
    [anon_sym_BANG] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4226),
    [anon_sym_CARET] = ACTIONS(4226),
    [anon_sym_STAR] = ACTIONS(4226),
    [anon_sym_AMP] = ACTIONS(4226),
    [anon_sym_LT_DASH] = ACTIONS(4226),
    [anon_sym_DOLLAR] = ACTIONS(4228),
    [sym_none] = ACTIONS(4228),
    [sym_true] = ACTIONS(4228),
    [sym_false] = ACTIONS(4228),
    [anon_sym_LBRACE] = ACTIONS(4226),
    [anon_sym_LBRACK] = ACTIONS(4226),
    [anon_sym_map_LBRACK] = ACTIONS(4226),
    [anon_sym_chan] = ACTIONS(4228),
    [anon_sym_shared] = ACTIONS(4228),
    [anon_sym_thread] = ACTIONS(4228),
    [sym_int_literal] = ACTIONS(4228),
    [sym_float_literal] = ACTIONS(4226),
    [sym_rune_literal] = ACTIONS(4226),
    [anon_sym_DOT] = ACTIONS(4228),
    [anon_sym_array] = ACTIONS(4228),
    [anon_sym_string] = ACTIONS(4228),
    [anon_sym_char] = ACTIONS(4228),
    [anon_sym_sql] = ACTIONS(4228),
    [anon_sym_mut] = ACTIONS(4228),
    [anon_sym_C] = ACTIONS(4228),
    [anon_sym_JS] = ACTIONS(4228),
    [anon_sym_voidptr] = ACTIONS(4228),
    [anon_sym_byteptr] = ACTIONS(4228),
    [anon_sym_charptr] = ACTIONS(4228),
    [anon_sym_i8] = ACTIONS(4228),
    [anon_sym_i16] = ACTIONS(4228),
    [anon_sym_i32] = ACTIONS(4228),
    [anon_sym_int] = ACTIONS(4228),
    [anon_sym_i64] = ACTIONS(4228),
    [anon_sym_byte] = ACTIONS(4228),
    [anon_sym_u8] = ACTIONS(4228),
    [anon_sym_u16] = ACTIONS(4228),
    [anon_sym_u32] = ACTIONS(4228),
    [anon_sym_u64] = ACTIONS(4228),
    [anon_sym_f32] = ACTIONS(4228),
    [anon_sym_f64] = ACTIONS(4228),
    [anon_sym_bool] = ACTIONS(4228),
    [anon_sym_rune] = ACTIONS(4228),
    [anon_sym_map] = ACTIONS(4228),
    [anon_sym_mapnode] = ACTIONS(4228),
    [anon_sym_size_t] = ACTIONS(4228),
    [anon_sym_usize] = ACTIONS(4228),
    [anon_sym_isize] = ACTIONS(4228),
    [anon_sym_float_literal] = ACTIONS(4228),
    [anon_sym_int_literal] = ACTIONS(4228),
    [anon_sym_IError] = ACTIONS(4228),
    [sym_type_placeholder] = ACTIONS(4228),
    [anon_sym_AT] = ACTIONS(4228),
    [sym_type_identifier] = ACTIONS(4228),
    [anon_sym_assert] = ACTIONS(4228),
    [anon_sym_defer] = ACTIONS(4228),
    [anon_sym_unsafe] = ACTIONS(4228),
    [anon_sym_pub] = ACTIONS(4228),
    [anon_sym_fn] = ACTIONS(4228),
    [anon_sym___global] = ACTIONS(4228),
    [anon_sym_const] = ACTIONS(4228),
    [anon_sym_asm] = ACTIONS(4228),
    [anon_sym_break] = ACTIONS(4228),
    [anon_sym_continue] = ACTIONS(4228),
    [anon_sym_return] = ACTIONS(4228),
    [anon_sym_type] = ACTIONS(4228),
    [anon_sym_go] = ACTIONS(4228),
    [anon_sym_spawn] = ACTIONS(4228),
    [anon_sym_goto] = ACTIONS(4228),
    [anon_sym_for] = ACTIONS(4228),
    [anon_sym_DOLLARfor] = ACTIONS(4226),
    [anon_sym_DOLLARif] = ACTIONS(4226),
    [anon_sym_if] = ACTIONS(4228),
    [anon_sym_struct] = ACTIONS(4228),
    [anon_sym_union] = ACTIONS(4228),
    [anon_sym_enum] = ACTIONS(4228),
    [anon_sym_interface] = ACTIONS(4228),
    [anon_sym_POUND] = ACTIONS(4226),
    [anon_sym_module] = ACTIONS(4228),
    [anon_sym_import] = ACTIONS(4228),
    [anon_sym_match] = ACTIONS(4228),
    [anon_sym_select] = ACTIONS(4228),
    [anon_sym_lock] = ACTIONS(4228),
    [anon_sym_rlock] = ACTIONS(4228),
    [sym__automatic_separator] = ACTIONS(4226),
    [sym__c_string_opening] = ACTIONS(4226),
    [sym__raw_string_opening] = ACTIONS(4226),
    [sym__string_opening] = ACTIONS(4226),
    [sym__comment] = ACTIONS(3),
  },
  [1616] = {
    [sym_comment] = STATE(1616),
    [ts_builtin_sym_end] = ACTIONS(4230),
    [sym_identifier] = ACTIONS(4232),
    [anon_sym_LPAREN] = ACTIONS(4230),
    [anon_sym_PLUS] = ACTIONS(4230),
    [anon_sym_DASH] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(4230),
    [anon_sym_TILDE] = ACTIONS(4230),
    [anon_sym_CARET] = ACTIONS(4230),
    [anon_sym_STAR] = ACTIONS(4230),
    [anon_sym_AMP] = ACTIONS(4230),
    [anon_sym_LT_DASH] = ACTIONS(4230),
    [anon_sym_DOLLAR] = ACTIONS(4232),
    [sym_none] = ACTIONS(4232),
    [sym_true] = ACTIONS(4232),
    [sym_false] = ACTIONS(4232),
    [anon_sym_LBRACE] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(4230),
    [anon_sym_map_LBRACK] = ACTIONS(4230),
    [anon_sym_chan] = ACTIONS(4232),
    [anon_sym_shared] = ACTIONS(4232),
    [anon_sym_thread] = ACTIONS(4232),
    [sym_int_literal] = ACTIONS(4232),
    [sym_float_literal] = ACTIONS(4230),
    [sym_rune_literal] = ACTIONS(4230),
    [anon_sym_DOT] = ACTIONS(4232),
    [anon_sym_array] = ACTIONS(4232),
    [anon_sym_string] = ACTIONS(4232),
    [anon_sym_char] = ACTIONS(4232),
    [anon_sym_sql] = ACTIONS(4232),
    [anon_sym_mut] = ACTIONS(4232),
    [anon_sym_C] = ACTIONS(4232),
    [anon_sym_JS] = ACTIONS(4232),
    [anon_sym_voidptr] = ACTIONS(4232),
    [anon_sym_byteptr] = ACTIONS(4232),
    [anon_sym_charptr] = ACTIONS(4232),
    [anon_sym_i8] = ACTIONS(4232),
    [anon_sym_i16] = ACTIONS(4232),
    [anon_sym_i32] = ACTIONS(4232),
    [anon_sym_int] = ACTIONS(4232),
    [anon_sym_i64] = ACTIONS(4232),
    [anon_sym_byte] = ACTIONS(4232),
    [anon_sym_u8] = ACTIONS(4232),
    [anon_sym_u16] = ACTIONS(4232),
    [anon_sym_u32] = ACTIONS(4232),
    [anon_sym_u64] = ACTIONS(4232),
    [anon_sym_f32] = ACTIONS(4232),
    [anon_sym_f64] = ACTIONS(4232),
    [anon_sym_bool] = ACTIONS(4232),
    [anon_sym_rune] = ACTIONS(4232),
    [anon_sym_map] = ACTIONS(4232),
    [anon_sym_mapnode] = ACTIONS(4232),
    [anon_sym_size_t] = ACTIONS(4232),
    [anon_sym_usize] = ACTIONS(4232),
    [anon_sym_isize] = ACTIONS(4232),
    [anon_sym_float_literal] = ACTIONS(4232),
    [anon_sym_int_literal] = ACTIONS(4232),
    [anon_sym_IError] = ACTIONS(4232),
    [sym_type_placeholder] = ACTIONS(4232),
    [anon_sym_AT] = ACTIONS(4232),
    [sym_type_identifier] = ACTIONS(4232),
    [anon_sym_assert] = ACTIONS(4232),
    [anon_sym_defer] = ACTIONS(4232),
    [anon_sym_unsafe] = ACTIONS(4232),
    [anon_sym_pub] = ACTIONS(4232),
    [anon_sym_fn] = ACTIONS(4232),
    [anon_sym___global] = ACTIONS(4232),
    [anon_sym_const] = ACTIONS(4232),
    [anon_sym_asm] = ACTIONS(4232),
    [anon_sym_break] = ACTIONS(4232),
    [anon_sym_continue] = ACTIONS(4232),
    [anon_sym_return] = ACTIONS(4232),
    [anon_sym_type] = ACTIONS(4232),
    [anon_sym_go] = ACTIONS(4232),
    [anon_sym_spawn] = ACTIONS(4232),
    [anon_sym_goto] = ACTIONS(4232),
    [anon_sym_for] = ACTIONS(4232),
    [anon_sym_DOLLARfor] = ACTIONS(4230),
    [anon_sym_DOLLARif] = ACTIONS(4230),
    [anon_sym_if] = ACTIONS(4232),
    [anon_sym_struct] = ACTIONS(4232),
    [anon_sym_union] = ACTIONS(4232),
    [anon_sym_enum] = ACTIONS(4232),
    [anon_sym_interface] = ACTIONS(4232),
    [anon_sym_POUND] = ACTIONS(4230),
    [anon_sym_module] = ACTIONS(4232),
    [anon_sym_import] = ACTIONS(4232),
    [anon_sym_match] = ACTIONS(4232),
    [anon_sym_select] = ACTIONS(4232),
    [anon_sym_lock] = ACTIONS(4232),
    [anon_sym_rlock] = ACTIONS(4232),
    [sym__automatic_separator] = ACTIONS(4230),
    [sym__c_string_opening] = ACTIONS(4230),
    [sym__raw_string_opening] = ACTIONS(4230),
    [sym__string_opening] = ACTIONS(4230),
    [sym__comment] = ACTIONS(3),
  },
  [1617] = {
    [sym_comment] = STATE(1617),
    [ts_builtin_sym_end] = ACTIONS(4234),
    [sym_identifier] = ACTIONS(4236),
    [anon_sym_LPAREN] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4234),
    [anon_sym_DASH] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4234),
    [anon_sym_TILDE] = ACTIONS(4234),
    [anon_sym_CARET] = ACTIONS(4234),
    [anon_sym_STAR] = ACTIONS(4234),
    [anon_sym_AMP] = ACTIONS(4234),
    [anon_sym_LT_DASH] = ACTIONS(4234),
    [anon_sym_DOLLAR] = ACTIONS(4236),
    [sym_none] = ACTIONS(4236),
    [sym_true] = ACTIONS(4236),
    [sym_false] = ACTIONS(4236),
    [anon_sym_LBRACE] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4234),
    [anon_sym_map_LBRACK] = ACTIONS(4234),
    [anon_sym_chan] = ACTIONS(4236),
    [anon_sym_shared] = ACTIONS(4236),
    [anon_sym_thread] = ACTIONS(4236),
    [sym_int_literal] = ACTIONS(4236),
    [sym_float_literal] = ACTIONS(4234),
    [sym_rune_literal] = ACTIONS(4234),
    [anon_sym_DOT] = ACTIONS(4236),
    [anon_sym_array] = ACTIONS(4236),
    [anon_sym_string] = ACTIONS(4236),
    [anon_sym_char] = ACTIONS(4236),
    [anon_sym_sql] = ACTIONS(4236),
    [anon_sym_mut] = ACTIONS(4236),
    [anon_sym_C] = ACTIONS(4236),
    [anon_sym_JS] = ACTIONS(4236),
    [anon_sym_voidptr] = ACTIONS(4236),
    [anon_sym_byteptr] = ACTIONS(4236),
    [anon_sym_charptr] = ACTIONS(4236),
    [anon_sym_i8] = ACTIONS(4236),
    [anon_sym_i16] = ACTIONS(4236),
    [anon_sym_i32] = ACTIONS(4236),
    [anon_sym_int] = ACTIONS(4236),
    [anon_sym_i64] = ACTIONS(4236),
    [anon_sym_byte] = ACTIONS(4236),
    [anon_sym_u8] = ACTIONS(4236),
    [anon_sym_u16] = ACTIONS(4236),
    [anon_sym_u32] = ACTIONS(4236),
    [anon_sym_u64] = ACTIONS(4236),
    [anon_sym_f32] = ACTIONS(4236),
    [anon_sym_f64] = ACTIONS(4236),
    [anon_sym_bool] = ACTIONS(4236),
    [anon_sym_rune] = ACTIONS(4236),
    [anon_sym_map] = ACTIONS(4236),
    [anon_sym_mapnode] = ACTIONS(4236),
    [anon_sym_size_t] = ACTIONS(4236),
    [anon_sym_usize] = ACTIONS(4236),
    [anon_sym_isize] = ACTIONS(4236),
    [anon_sym_float_literal] = ACTIONS(4236),
    [anon_sym_int_literal] = ACTIONS(4236),
    [anon_sym_IError] = ACTIONS(4236),
    [sym_type_placeholder] = ACTIONS(4236),
    [anon_sym_AT] = ACTIONS(4236),
    [sym_type_identifier] = ACTIONS(4236),
    [anon_sym_assert] = ACTIONS(4236),
    [anon_sym_defer] = ACTIONS(4236),
    [anon_sym_unsafe] = ACTIONS(4236),
    [anon_sym_pub] = ACTIONS(4236),
    [anon_sym_fn] = ACTIONS(4236),
    [anon_sym___global] = ACTIONS(4236),
    [anon_sym_const] = ACTIONS(4236),
    [anon_sym_asm] = ACTIONS(4236),
    [anon_sym_break] = ACTIONS(4236),
    [anon_sym_continue] = ACTIONS(4236),
    [anon_sym_return] = ACTIONS(4236),
    [anon_sym_type] = ACTIONS(4236),
    [anon_sym_go] = ACTIONS(4236),
    [anon_sym_spawn] = ACTIONS(4236),
    [anon_sym_goto] = ACTIONS(4236),
    [anon_sym_for] = ACTIONS(4236),
    [anon_sym_DOLLARfor] = ACTIONS(4234),
    [anon_sym_DOLLARif] = ACTIONS(4234),
    [anon_sym_if] = ACTIONS(4236),
    [anon_sym_struct] = ACTIONS(4236),
    [anon_sym_union] = ACTIONS(4236),
    [anon_sym_enum] = ACTIONS(4236),
    [anon_sym_interface] = ACTIONS(4236),
    [anon_sym_POUND] = ACTIONS(4234),
    [anon_sym_module] = ACTIONS(4236),
    [anon_sym_import] = ACTIONS(4236),
    [anon_sym_match] = ACTIONS(4236),
    [anon_sym_select] = ACTIONS(4236),
    [anon_sym_lock] = ACTIONS(4236),
    [anon_sym_rlock] = ACTIONS(4236),
    [sym__automatic_separator] = ACTIONS(4234),
    [sym__c_string_opening] = ACTIONS(4234),
    [sym__raw_string_opening] = ACTIONS(4234),
    [sym__string_opening] = ACTIONS(4234),
    [sym__comment] = ACTIONS(3),
  },
  [1618] = {
    [sym_comment] = STATE(1618),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_CARET] = ACTIONS(1042),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1044),
    [anon_sym_LT_DASH] = ACTIONS(1042),
    [anon_sym_SLASH] = ACTIONS(1042),
    [anon_sym_PERCENT] = ACTIONS(1042),
    [anon_sym_LT_LT] = ACTIONS(1042),
    [anon_sym_GT_GT] = ACTIONS(1044),
    [anon_sym_GT_GT_GT] = ACTIONS(1042),
    [anon_sym_AMP_CARET] = ACTIONS(1042),
    [anon_sym_PIPE] = ACTIONS(1044),
    [anon_sym_EQ_EQ] = ACTIONS(1042),
    [anon_sym_BANG_EQ] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1044),
    [anon_sym_LT_EQ] = ACTIONS(1042),
    [anon_sym_GT] = ACTIONS(1044),
    [anon_sym_GT_EQ] = ACTIONS(1042),
    [anon_sym_in] = ACTIONS(1044),
    [anon_sym_BANGin] = ACTIONS(1042),
    [anon_sym_AMP_AMP] = ACTIONS(1042),
    [anon_sym_PIPE_PIPE] = ACTIONS(1042),
    [anon_sym_as] = ACTIONS(1044),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(1042),
    [anon_sym_or] = ACTIONS(1044),
    [sym_none] = ACTIONS(1044),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_RBRACK] = ACTIONS(1042),
    [anon_sym_map_LBRACK] = ACTIONS(1042),
    [anon_sym_chan] = ACTIONS(1044),
    [anon_sym_shared] = ACTIONS(1044),
    [anon_sym_thread] = ACTIONS(1044),
    [sym_int_literal] = ACTIONS(1044),
    [sym_float_literal] = ACTIONS(1042),
    [sym_rune_literal] = ACTIONS(1042),
    [anon_sym_DOT] = ACTIONS(1044),
    [anon_sym_array] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_char] = ACTIONS(1044),
    [anon_sym_sql] = ACTIONS(1044),
    [anon_sym_mut] = ACTIONS(1044),
    [anon_sym_C] = ACTIONS(1044),
    [anon_sym_JS] = ACTIONS(1044),
    [anon_sym_voidptr] = ACTIONS(1044),
    [anon_sym_byteptr] = ACTIONS(1044),
    [anon_sym_charptr] = ACTIONS(1044),
    [anon_sym_i8] = ACTIONS(1044),
    [anon_sym_i16] = ACTIONS(1044),
    [anon_sym_i32] = ACTIONS(1044),
    [anon_sym_int] = ACTIONS(1044),
    [anon_sym_i64] = ACTIONS(1044),
    [anon_sym_byte] = ACTIONS(1044),
    [anon_sym_u8] = ACTIONS(1044),
    [anon_sym_u16] = ACTIONS(1044),
    [anon_sym_u32] = ACTIONS(1044),
    [anon_sym_u64] = ACTIONS(1044),
    [anon_sym_f32] = ACTIONS(1044),
    [anon_sym_f64] = ACTIONS(1044),
    [anon_sym_bool] = ACTIONS(1044),
    [anon_sym_rune] = ACTIONS(1044),
    [anon_sym_map] = ACTIONS(1044),
    [anon_sym_mapnode] = ACTIONS(1044),
    [anon_sym_size_t] = ACTIONS(1044),
    [anon_sym_usize] = ACTIONS(1044),
    [anon_sym_isize] = ACTIONS(1044),
    [anon_sym_float_literal] = ACTIONS(1044),
    [anon_sym_int_literal] = ACTIONS(1044),
    [anon_sym_IError] = ACTIONS(1044),
    [sym_type_placeholder] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [sym_type_identifier] = ACTIONS(1044),
    [anon_sym_unsafe] = ACTIONS(1044),
    [anon_sym_fn] = ACTIONS(1044),
    [anon_sym_DOLLARif] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1044),
    [anon_sym_is] = ACTIONS(1044),
    [anon_sym_BANGis] = ACTIONS(1042),
    [anon_sym_match] = ACTIONS(1044),
    [anon_sym_select] = ACTIONS(1044),
    [anon_sym_lock] = ACTIONS(1044),
    [anon_sym_rlock] = ACTIONS(1044),
    [sym__c_string_opening] = ACTIONS(1042),
    [sym__raw_string_opening] = ACTIONS(1042),
    [sym__string_opening] = ACTIONS(1042),
    [sym__comment] = ACTIONS(3),
  },
  [1619] = {
    [sym_comment] = STATE(1619),
    [ts_builtin_sym_end] = ACTIONS(4238),
    [sym_identifier] = ACTIONS(4240),
    [anon_sym_LPAREN] = ACTIONS(4238),
    [anon_sym_PLUS] = ACTIONS(4238),
    [anon_sym_DASH] = ACTIONS(4238),
    [anon_sym_BANG] = ACTIONS(4238),
    [anon_sym_TILDE] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4238),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_AMP] = ACTIONS(4238),
    [anon_sym_LT_DASH] = ACTIONS(4238),
    [anon_sym_DOLLAR] = ACTIONS(4240),
    [sym_none] = ACTIONS(4240),
    [sym_true] = ACTIONS(4240),
    [sym_false] = ACTIONS(4240),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_LBRACK] = ACTIONS(4238),
    [anon_sym_map_LBRACK] = ACTIONS(4238),
    [anon_sym_chan] = ACTIONS(4240),
    [anon_sym_shared] = ACTIONS(4240),
    [anon_sym_thread] = ACTIONS(4240),
    [sym_int_literal] = ACTIONS(4240),
    [sym_float_literal] = ACTIONS(4238),
    [sym_rune_literal] = ACTIONS(4238),
    [anon_sym_DOT] = ACTIONS(4240),
    [anon_sym_array] = ACTIONS(4240),
    [anon_sym_string] = ACTIONS(4240),
    [anon_sym_char] = ACTIONS(4240),
    [anon_sym_sql] = ACTIONS(4240),
    [anon_sym_mut] = ACTIONS(4240),
    [anon_sym_C] = ACTIONS(4240),
    [anon_sym_JS] = ACTIONS(4240),
    [anon_sym_voidptr] = ACTIONS(4240),
    [anon_sym_byteptr] = ACTIONS(4240),
    [anon_sym_charptr] = ACTIONS(4240),
    [anon_sym_i8] = ACTIONS(4240),
    [anon_sym_i16] = ACTIONS(4240),
    [anon_sym_i32] = ACTIONS(4240),
    [anon_sym_int] = ACTIONS(4240),
    [anon_sym_i64] = ACTIONS(4240),
    [anon_sym_byte] = ACTIONS(4240),
    [anon_sym_u8] = ACTIONS(4240),
    [anon_sym_u16] = ACTIONS(4240),
    [anon_sym_u32] = ACTIONS(4240),
    [anon_sym_u64] = ACTIONS(4240),
    [anon_sym_f32] = ACTIONS(4240),
    [anon_sym_f64] = ACTIONS(4240),
    [anon_sym_bool] = ACTIONS(4240),
    [anon_sym_rune] = ACTIONS(4240),
    [anon_sym_map] = ACTIONS(4240),
    [anon_sym_mapnode] = ACTIONS(4240),
    [anon_sym_size_t] = ACTIONS(4240),
    [anon_sym_usize] = ACTIONS(4240),
    [anon_sym_isize] = ACTIONS(4240),
    [anon_sym_float_literal] = ACTIONS(4240),
    [anon_sym_int_literal] = ACTIONS(4240),
    [anon_sym_IError] = ACTIONS(4240),
    [sym_type_placeholder] = ACTIONS(4240),
    [anon_sym_AT] = ACTIONS(4240),
    [sym_type_identifier] = ACTIONS(4240),
    [anon_sym_assert] = ACTIONS(4240),
    [anon_sym_defer] = ACTIONS(4240),
    [anon_sym_unsafe] = ACTIONS(4240),
    [anon_sym_pub] = ACTIONS(4240),
    [anon_sym_fn] = ACTIONS(4240),
    [anon_sym___global] = ACTIONS(4240),
    [anon_sym_const] = ACTIONS(4240),
    [anon_sym_asm] = ACTIONS(4240),
    [anon_sym_break] = ACTIONS(4240),
    [anon_sym_continue] = ACTIONS(4240),
    [anon_sym_return] = ACTIONS(4240),
    [anon_sym_type] = ACTIONS(4240),
    [anon_sym_go] = ACTIONS(4240),
    [anon_sym_spawn] = ACTIONS(4240),
    [anon_sym_goto] = ACTIONS(4240),
    [anon_sym_for] = ACTIONS(4240),
    [anon_sym_DOLLARfor] = ACTIONS(4238),
    [anon_sym_DOLLARif] = ACTIONS(4238),
    [anon_sym_if] = ACTIONS(4240),
    [anon_sym_struct] = ACTIONS(4240),
    [anon_sym_union] = ACTIONS(4240),
    [anon_sym_enum] = ACTIONS(4240),
    [anon_sym_interface] = ACTIONS(4240),
    [anon_sym_POUND] = ACTIONS(4238),
    [anon_sym_module] = ACTIONS(4240),
    [anon_sym_import] = ACTIONS(4240),
    [anon_sym_match] = ACTIONS(4240),
    [anon_sym_select] = ACTIONS(4240),
    [anon_sym_lock] = ACTIONS(4240),
    [anon_sym_rlock] = ACTIONS(4240),
    [sym__automatic_separator] = ACTIONS(4238),
    [sym__c_string_opening] = ACTIONS(4238),
    [sym__raw_string_opening] = ACTIONS(4238),
    [sym__string_opening] = ACTIONS(4238),
    [sym__comment] = ACTIONS(3),
  },
  [1620] = {
    [sym_comment] = STATE(1620),
    [ts_builtin_sym_end] = ACTIONS(4242),
    [sym_identifier] = ACTIONS(4244),
    [anon_sym_LPAREN] = ACTIONS(4242),
    [anon_sym_PLUS] = ACTIONS(4242),
    [anon_sym_DASH] = ACTIONS(4242),
    [anon_sym_BANG] = ACTIONS(4242),
    [anon_sym_TILDE] = ACTIONS(4242),
    [anon_sym_CARET] = ACTIONS(4242),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_LT_DASH] = ACTIONS(4242),
    [anon_sym_DOLLAR] = ACTIONS(4244),
    [sym_none] = ACTIONS(4244),
    [sym_true] = ACTIONS(4244),
    [sym_false] = ACTIONS(4244),
    [anon_sym_LBRACE] = ACTIONS(4242),
    [anon_sym_LBRACK] = ACTIONS(4242),
    [anon_sym_map_LBRACK] = ACTIONS(4242),
    [anon_sym_chan] = ACTIONS(4244),
    [anon_sym_shared] = ACTIONS(4244),
    [anon_sym_thread] = ACTIONS(4244),
    [sym_int_literal] = ACTIONS(4244),
    [sym_float_literal] = ACTIONS(4242),
    [sym_rune_literal] = ACTIONS(4242),
    [anon_sym_DOT] = ACTIONS(4244),
    [anon_sym_array] = ACTIONS(4244),
    [anon_sym_string] = ACTIONS(4244),
    [anon_sym_char] = ACTIONS(4244),
    [anon_sym_sql] = ACTIONS(4244),
    [anon_sym_mut] = ACTIONS(4244),
    [anon_sym_C] = ACTIONS(4244),
    [anon_sym_JS] = ACTIONS(4244),
    [anon_sym_voidptr] = ACTIONS(4244),
    [anon_sym_byteptr] = ACTIONS(4244),
    [anon_sym_charptr] = ACTIONS(4244),
    [anon_sym_i8] = ACTIONS(4244),
    [anon_sym_i16] = ACTIONS(4244),
    [anon_sym_i32] = ACTIONS(4244),
    [anon_sym_int] = ACTIONS(4244),
    [anon_sym_i64] = ACTIONS(4244),
    [anon_sym_byte] = ACTIONS(4244),
    [anon_sym_u8] = ACTIONS(4244),
    [anon_sym_u16] = ACTIONS(4244),
    [anon_sym_u32] = ACTIONS(4244),
    [anon_sym_u64] = ACTIONS(4244),
    [anon_sym_f32] = ACTIONS(4244),
    [anon_sym_f64] = ACTIONS(4244),
    [anon_sym_bool] = ACTIONS(4244),
    [anon_sym_rune] = ACTIONS(4244),
    [anon_sym_map] = ACTIONS(4244),
    [anon_sym_mapnode] = ACTIONS(4244),
    [anon_sym_size_t] = ACTIONS(4244),
    [anon_sym_usize] = ACTIONS(4244),
    [anon_sym_isize] = ACTIONS(4244),
    [anon_sym_float_literal] = ACTIONS(4244),
    [anon_sym_int_literal] = ACTIONS(4244),
    [anon_sym_IError] = ACTIONS(4244),
    [sym_type_placeholder] = ACTIONS(4244),
    [anon_sym_AT] = ACTIONS(4244),
    [sym_type_identifier] = ACTIONS(4244),
    [anon_sym_assert] = ACTIONS(4244),
    [anon_sym_defer] = ACTIONS(4244),
    [anon_sym_unsafe] = ACTIONS(4244),
    [anon_sym_pub] = ACTIONS(4244),
    [anon_sym_fn] = ACTIONS(4244),
    [anon_sym___global] = ACTIONS(4244),
    [anon_sym_const] = ACTIONS(4244),
    [anon_sym_asm] = ACTIONS(4244),
    [anon_sym_break] = ACTIONS(4244),
    [anon_sym_continue] = ACTIONS(4244),
    [anon_sym_return] = ACTIONS(4244),
    [anon_sym_type] = ACTIONS(4244),
    [anon_sym_go] = ACTIONS(4244),
    [anon_sym_spawn] = ACTIONS(4244),
    [anon_sym_goto] = ACTIONS(4244),
    [anon_sym_for] = ACTIONS(4244),
    [anon_sym_DOLLARfor] = ACTIONS(4242),
    [anon_sym_DOLLARif] = ACTIONS(4242),
    [anon_sym_if] = ACTIONS(4244),
    [anon_sym_struct] = ACTIONS(4244),
    [anon_sym_union] = ACTIONS(4244),
    [anon_sym_enum] = ACTIONS(4244),
    [anon_sym_interface] = ACTIONS(4244),
    [anon_sym_POUND] = ACTIONS(4242),
    [anon_sym_module] = ACTIONS(4244),
    [anon_sym_import] = ACTIONS(4244),
    [anon_sym_match] = ACTIONS(4244),
    [anon_sym_select] = ACTIONS(4244),
    [anon_sym_lock] = ACTIONS(4244),
    [anon_sym_rlock] = ACTIONS(4244),
    [sym__automatic_separator] = ACTIONS(4242),
    [sym__c_string_opening] = ACTIONS(4242),
    [sym__raw_string_opening] = ACTIONS(4242),
    [sym__string_opening] = ACTIONS(4242),
    [sym__comment] = ACTIONS(3),
  },
  [1621] = {
    [sym_comment] = STATE(1621),
    [ts_builtin_sym_end] = ACTIONS(4246),
    [sym_identifier] = ACTIONS(4248),
    [anon_sym_LPAREN] = ACTIONS(4246),
    [anon_sym_PLUS] = ACTIONS(4246),
    [anon_sym_DASH] = ACTIONS(4246),
    [anon_sym_BANG] = ACTIONS(4246),
    [anon_sym_TILDE] = ACTIONS(4246),
    [anon_sym_CARET] = ACTIONS(4246),
    [anon_sym_STAR] = ACTIONS(4246),
    [anon_sym_AMP] = ACTIONS(4246),
    [anon_sym_LT_DASH] = ACTIONS(4246),
    [anon_sym_DOLLAR] = ACTIONS(4248),
    [sym_none] = ACTIONS(4248),
    [sym_true] = ACTIONS(4248),
    [sym_false] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(4246),
    [anon_sym_LBRACK] = ACTIONS(4246),
    [anon_sym_map_LBRACK] = ACTIONS(4246),
    [anon_sym_chan] = ACTIONS(4248),
    [anon_sym_shared] = ACTIONS(4248),
    [anon_sym_thread] = ACTIONS(4248),
    [sym_int_literal] = ACTIONS(4248),
    [sym_float_literal] = ACTIONS(4246),
    [sym_rune_literal] = ACTIONS(4246),
    [anon_sym_DOT] = ACTIONS(4248),
    [anon_sym_array] = ACTIONS(4248),
    [anon_sym_string] = ACTIONS(4248),
    [anon_sym_char] = ACTIONS(4248),
    [anon_sym_sql] = ACTIONS(4248),
    [anon_sym_mut] = ACTIONS(4248),
    [anon_sym_C] = ACTIONS(4248),
    [anon_sym_JS] = ACTIONS(4248),
    [anon_sym_voidptr] = ACTIONS(4248),
    [anon_sym_byteptr] = ACTIONS(4248),
    [anon_sym_charptr] = ACTIONS(4248),
    [anon_sym_i8] = ACTIONS(4248),
    [anon_sym_i16] = ACTIONS(4248),
    [anon_sym_i32] = ACTIONS(4248),
    [anon_sym_int] = ACTIONS(4248),
    [anon_sym_i64] = ACTIONS(4248),
    [anon_sym_byte] = ACTIONS(4248),
    [anon_sym_u8] = ACTIONS(4248),
    [anon_sym_u16] = ACTIONS(4248),
    [anon_sym_u32] = ACTIONS(4248),
    [anon_sym_u64] = ACTIONS(4248),
    [anon_sym_f32] = ACTIONS(4248),
    [anon_sym_f64] = ACTIONS(4248),
    [anon_sym_bool] = ACTIONS(4248),
    [anon_sym_rune] = ACTIONS(4248),
    [anon_sym_map] = ACTIONS(4248),
    [anon_sym_mapnode] = ACTIONS(4248),
    [anon_sym_size_t] = ACTIONS(4248),
    [anon_sym_usize] = ACTIONS(4248),
    [anon_sym_isize] = ACTIONS(4248),
    [anon_sym_float_literal] = ACTIONS(4248),
    [anon_sym_int_literal] = ACTIONS(4248),
    [anon_sym_IError] = ACTIONS(4248),
    [sym_type_placeholder] = ACTIONS(4248),
    [anon_sym_AT] = ACTIONS(4248),
    [sym_type_identifier] = ACTIONS(4248),
    [anon_sym_assert] = ACTIONS(4248),
    [anon_sym_defer] = ACTIONS(4248),
    [anon_sym_unsafe] = ACTIONS(4248),
    [anon_sym_pub] = ACTIONS(4248),
    [anon_sym_fn] = ACTIONS(4248),
    [anon_sym___global] = ACTIONS(4248),
    [anon_sym_const] = ACTIONS(4248),
    [anon_sym_asm] = ACTIONS(4248),
    [anon_sym_break] = ACTIONS(4248),
    [anon_sym_continue] = ACTIONS(4248),
    [anon_sym_return] = ACTIONS(4248),
    [anon_sym_type] = ACTIONS(4248),
    [anon_sym_go] = ACTIONS(4248),
    [anon_sym_spawn] = ACTIONS(4248),
    [anon_sym_goto] = ACTIONS(4248),
    [anon_sym_for] = ACTIONS(4248),
    [anon_sym_DOLLARfor] = ACTIONS(4246),
    [anon_sym_DOLLARif] = ACTIONS(4246),
    [anon_sym_if] = ACTIONS(4248),
    [anon_sym_struct] = ACTIONS(4248),
    [anon_sym_union] = ACTIONS(4248),
    [anon_sym_enum] = ACTIONS(4248),
    [anon_sym_interface] = ACTIONS(4248),
    [anon_sym_POUND] = ACTIONS(4246),
    [anon_sym_module] = ACTIONS(4248),
    [anon_sym_import] = ACTIONS(4248),
    [anon_sym_match] = ACTIONS(4248),
    [anon_sym_select] = ACTIONS(4248),
    [anon_sym_lock] = ACTIONS(4248),
    [anon_sym_rlock] = ACTIONS(4248),
    [sym__automatic_separator] = ACTIONS(4246),
    [sym__c_string_opening] = ACTIONS(4246),
    [sym__raw_string_opening] = ACTIONS(4246),
    [sym__string_opening] = ACTIONS(4246),
    [sym__comment] = ACTIONS(3),
  },
  [1622] = {
    [sym_comment] = STATE(1622),
    [ts_builtin_sym_end] = ACTIONS(4250),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(4250),
    [anon_sym_PLUS] = ACTIONS(4250),
    [anon_sym_DASH] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(4250),
    [anon_sym_TILDE] = ACTIONS(4250),
    [anon_sym_CARET] = ACTIONS(4250),
    [anon_sym_STAR] = ACTIONS(4250),
    [anon_sym_AMP] = ACTIONS(4250),
    [anon_sym_LT_DASH] = ACTIONS(4250),
    [anon_sym_DOLLAR] = ACTIONS(4252),
    [sym_none] = ACTIONS(4252),
    [sym_true] = ACTIONS(4252),
    [sym_false] = ACTIONS(4252),
    [anon_sym_LBRACE] = ACTIONS(4250),
    [anon_sym_LBRACK] = ACTIONS(4250),
    [anon_sym_map_LBRACK] = ACTIONS(4250),
    [anon_sym_chan] = ACTIONS(4252),
    [anon_sym_shared] = ACTIONS(4252),
    [anon_sym_thread] = ACTIONS(4252),
    [sym_int_literal] = ACTIONS(4252),
    [sym_float_literal] = ACTIONS(4250),
    [sym_rune_literal] = ACTIONS(4250),
    [anon_sym_DOT] = ACTIONS(4252),
    [anon_sym_array] = ACTIONS(4252),
    [anon_sym_string] = ACTIONS(4252),
    [anon_sym_char] = ACTIONS(4252),
    [anon_sym_sql] = ACTIONS(4252),
    [anon_sym_mut] = ACTIONS(4252),
    [anon_sym_C] = ACTIONS(4252),
    [anon_sym_JS] = ACTIONS(4252),
    [anon_sym_voidptr] = ACTIONS(4252),
    [anon_sym_byteptr] = ACTIONS(4252),
    [anon_sym_charptr] = ACTIONS(4252),
    [anon_sym_i8] = ACTIONS(4252),
    [anon_sym_i16] = ACTIONS(4252),
    [anon_sym_i32] = ACTIONS(4252),
    [anon_sym_int] = ACTIONS(4252),
    [anon_sym_i64] = ACTIONS(4252),
    [anon_sym_byte] = ACTIONS(4252),
    [anon_sym_u8] = ACTIONS(4252),
    [anon_sym_u16] = ACTIONS(4252),
    [anon_sym_u32] = ACTIONS(4252),
    [anon_sym_u64] = ACTIONS(4252),
    [anon_sym_f32] = ACTIONS(4252),
    [anon_sym_f64] = ACTIONS(4252),
    [anon_sym_bool] = ACTIONS(4252),
    [anon_sym_rune] = ACTIONS(4252),
    [anon_sym_map] = ACTIONS(4252),
    [anon_sym_mapnode] = ACTIONS(4252),
    [anon_sym_size_t] = ACTIONS(4252),
    [anon_sym_usize] = ACTIONS(4252),
    [anon_sym_isize] = ACTIONS(4252),
    [anon_sym_float_literal] = ACTIONS(4252),
    [anon_sym_int_literal] = ACTIONS(4252),
    [anon_sym_IError] = ACTIONS(4252),
    [sym_type_placeholder] = ACTIONS(4252),
    [anon_sym_AT] = ACTIONS(4252),
    [sym_type_identifier] = ACTIONS(4252),
    [anon_sym_assert] = ACTIONS(4252),
    [anon_sym_defer] = ACTIONS(4252),
    [anon_sym_unsafe] = ACTIONS(4252),
    [anon_sym_pub] = ACTIONS(4252),
    [anon_sym_fn] = ACTIONS(4252),
    [anon_sym___global] = ACTIONS(4252),
    [anon_sym_const] = ACTIONS(4252),
    [anon_sym_asm] = ACTIONS(4252),
    [anon_sym_break] = ACTIONS(4252),
    [anon_sym_continue] = ACTIONS(4252),
    [anon_sym_return] = ACTIONS(4252),
    [anon_sym_type] = ACTIONS(4252),
    [anon_sym_go] = ACTIONS(4252),
    [anon_sym_spawn] = ACTIONS(4252),
    [anon_sym_goto] = ACTIONS(4252),
    [anon_sym_for] = ACTIONS(4252),
    [anon_sym_DOLLARfor] = ACTIONS(4250),
    [anon_sym_DOLLARif] = ACTIONS(4250),
    [anon_sym_if] = ACTIONS(4252),
    [anon_sym_struct] = ACTIONS(4252),
    [anon_sym_union] = ACTIONS(4252),
    [anon_sym_enum] = ACTIONS(4252),
    [anon_sym_interface] = ACTIONS(4252),
    [anon_sym_POUND] = ACTIONS(4250),
    [anon_sym_module] = ACTIONS(4252),
    [anon_sym_import] = ACTIONS(4252),
    [anon_sym_match] = ACTIONS(4252),
    [anon_sym_select] = ACTIONS(4252),
    [anon_sym_lock] = ACTIONS(4252),
    [anon_sym_rlock] = ACTIONS(4252),
    [sym__automatic_separator] = ACTIONS(4250),
    [sym__c_string_opening] = ACTIONS(4250),
    [sym__raw_string_opening] = ACTIONS(4250),
    [sym__string_opening] = ACTIONS(4250),
    [sym__comment] = ACTIONS(3),
  },
  [1623] = {
    [sym_comment] = STATE(1623),
    [ts_builtin_sym_end] = ACTIONS(4254),
    [sym_identifier] = ACTIONS(4256),
    [anon_sym_LPAREN] = ACTIONS(4254),
    [anon_sym_PLUS] = ACTIONS(4254),
    [anon_sym_DASH] = ACTIONS(4254),
    [anon_sym_BANG] = ACTIONS(4254),
    [anon_sym_TILDE] = ACTIONS(4254),
    [anon_sym_CARET] = ACTIONS(4254),
    [anon_sym_STAR] = ACTIONS(4254),
    [anon_sym_AMP] = ACTIONS(4254),
    [anon_sym_LT_DASH] = ACTIONS(4254),
    [anon_sym_DOLLAR] = ACTIONS(4256),
    [sym_none] = ACTIONS(4256),
    [sym_true] = ACTIONS(4256),
    [sym_false] = ACTIONS(4256),
    [anon_sym_LBRACE] = ACTIONS(4254),
    [anon_sym_LBRACK] = ACTIONS(4254),
    [anon_sym_map_LBRACK] = ACTIONS(4254),
    [anon_sym_chan] = ACTIONS(4256),
    [anon_sym_shared] = ACTIONS(4256),
    [anon_sym_thread] = ACTIONS(4256),
    [sym_int_literal] = ACTIONS(4256),
    [sym_float_literal] = ACTIONS(4254),
    [sym_rune_literal] = ACTIONS(4254),
    [anon_sym_DOT] = ACTIONS(4256),
    [anon_sym_array] = ACTIONS(4256),
    [anon_sym_string] = ACTIONS(4256),
    [anon_sym_char] = ACTIONS(4256),
    [anon_sym_sql] = ACTIONS(4256),
    [anon_sym_mut] = ACTIONS(4256),
    [anon_sym_C] = ACTIONS(4256),
    [anon_sym_JS] = ACTIONS(4256),
    [anon_sym_voidptr] = ACTIONS(4256),
    [anon_sym_byteptr] = ACTIONS(4256),
    [anon_sym_charptr] = ACTIONS(4256),
    [anon_sym_i8] = ACTIONS(4256),
    [anon_sym_i16] = ACTIONS(4256),
    [anon_sym_i32] = ACTIONS(4256),
    [anon_sym_int] = ACTIONS(4256),
    [anon_sym_i64] = ACTIONS(4256),
    [anon_sym_byte] = ACTIONS(4256),
    [anon_sym_u8] = ACTIONS(4256),
    [anon_sym_u16] = ACTIONS(4256),
    [anon_sym_u32] = ACTIONS(4256),
    [anon_sym_u64] = ACTIONS(4256),
    [anon_sym_f32] = ACTIONS(4256),
    [anon_sym_f64] = ACTIONS(4256),
    [anon_sym_bool] = ACTIONS(4256),
    [anon_sym_rune] = ACTIONS(4256),
    [anon_sym_map] = ACTIONS(4256),
    [anon_sym_mapnode] = ACTIONS(4256),
    [anon_sym_size_t] = ACTIONS(4256),
    [anon_sym_usize] = ACTIONS(4256),
    [anon_sym_isize] = ACTIONS(4256),
    [anon_sym_float_literal] = ACTIONS(4256),
    [anon_sym_int_literal] = ACTIONS(4256),
    [anon_sym_IError] = ACTIONS(4256),
    [sym_type_placeholder] = ACTIONS(4256),
    [anon_sym_AT] = ACTIONS(4256),
    [sym_type_identifier] = ACTIONS(4256),
    [anon_sym_assert] = ACTIONS(4256),
    [anon_sym_defer] = ACTIONS(4256),
    [anon_sym_unsafe] = ACTIONS(4256),
    [anon_sym_pub] = ACTIONS(4256),
    [anon_sym_fn] = ACTIONS(4256),
    [anon_sym___global] = ACTIONS(4256),
    [anon_sym_const] = ACTIONS(4256),
    [anon_sym_asm] = ACTIONS(4256),
    [anon_sym_break] = ACTIONS(4256),
    [anon_sym_continue] = ACTIONS(4256),
    [anon_sym_return] = ACTIONS(4256),
    [anon_sym_type] = ACTIONS(4256),
    [anon_sym_go] = ACTIONS(4256),
    [anon_sym_spawn] = ACTIONS(4256),
    [anon_sym_goto] = ACTIONS(4256),
    [anon_sym_for] = ACTIONS(4256),
    [anon_sym_DOLLARfor] = ACTIONS(4254),
    [anon_sym_DOLLARif] = ACTIONS(4254),
    [anon_sym_if] = ACTIONS(4256),
    [anon_sym_struct] = ACTIONS(4256),
    [anon_sym_union] = ACTIONS(4256),
    [anon_sym_enum] = ACTIONS(4256),
    [anon_sym_interface] = ACTIONS(4256),
    [anon_sym_POUND] = ACTIONS(4254),
    [anon_sym_module] = ACTIONS(4256),
    [anon_sym_import] = ACTIONS(4256),
    [anon_sym_match] = ACTIONS(4256),
    [anon_sym_select] = ACTIONS(4256),
    [anon_sym_lock] = ACTIONS(4256),
    [anon_sym_rlock] = ACTIONS(4256),
    [sym__automatic_separator] = ACTIONS(4254),
    [sym__c_string_opening] = ACTIONS(4254),
    [sym__raw_string_opening] = ACTIONS(4254),
    [sym__string_opening] = ACTIONS(4254),
    [sym__comment] = ACTIONS(3),
  },
  [1624] = {
    [sym_comment] = STATE(1624),
    [ts_builtin_sym_end] = ACTIONS(4258),
    [sym_identifier] = ACTIONS(4260),
    [anon_sym_LPAREN] = ACTIONS(4258),
    [anon_sym_PLUS] = ACTIONS(4258),
    [anon_sym_DASH] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(4258),
    [anon_sym_TILDE] = ACTIONS(4258),
    [anon_sym_CARET] = ACTIONS(4258),
    [anon_sym_STAR] = ACTIONS(4258),
    [anon_sym_AMP] = ACTIONS(4258),
    [anon_sym_LT_DASH] = ACTIONS(4258),
    [anon_sym_DOLLAR] = ACTIONS(4260),
    [sym_none] = ACTIONS(4260),
    [sym_true] = ACTIONS(4260),
    [sym_false] = ACTIONS(4260),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [anon_sym_map_LBRACK] = ACTIONS(4258),
    [anon_sym_chan] = ACTIONS(4260),
    [anon_sym_shared] = ACTIONS(4260),
    [anon_sym_thread] = ACTIONS(4260),
    [sym_int_literal] = ACTIONS(4260),
    [sym_float_literal] = ACTIONS(4258),
    [sym_rune_literal] = ACTIONS(4258),
    [anon_sym_DOT] = ACTIONS(4260),
    [anon_sym_array] = ACTIONS(4260),
    [anon_sym_string] = ACTIONS(4260),
    [anon_sym_char] = ACTIONS(4260),
    [anon_sym_sql] = ACTIONS(4260),
    [anon_sym_mut] = ACTIONS(4260),
    [anon_sym_C] = ACTIONS(4260),
    [anon_sym_JS] = ACTIONS(4260),
    [anon_sym_voidptr] = ACTIONS(4260),
    [anon_sym_byteptr] = ACTIONS(4260),
    [anon_sym_charptr] = ACTIONS(4260),
    [anon_sym_i8] = ACTIONS(4260),
    [anon_sym_i16] = ACTIONS(4260),
    [anon_sym_i32] = ACTIONS(4260),
    [anon_sym_int] = ACTIONS(4260),
    [anon_sym_i64] = ACTIONS(4260),
    [anon_sym_byte] = ACTIONS(4260),
    [anon_sym_u8] = ACTIONS(4260),
    [anon_sym_u16] = ACTIONS(4260),
    [anon_sym_u32] = ACTIONS(4260),
    [anon_sym_u64] = ACTIONS(4260),
    [anon_sym_f32] = ACTIONS(4260),
    [anon_sym_f64] = ACTIONS(4260),
    [anon_sym_bool] = ACTIONS(4260),
    [anon_sym_rune] = ACTIONS(4260),
    [anon_sym_map] = ACTIONS(4260),
    [anon_sym_mapnode] = ACTIONS(4260),
    [anon_sym_size_t] = ACTIONS(4260),
    [anon_sym_usize] = ACTIONS(4260),
    [anon_sym_isize] = ACTIONS(4260),
    [anon_sym_float_literal] = ACTIONS(4260),
    [anon_sym_int_literal] = ACTIONS(4260),
    [anon_sym_IError] = ACTIONS(4260),
    [sym_type_placeholder] = ACTIONS(4260),
    [anon_sym_AT] = ACTIONS(4260),
    [sym_type_identifier] = ACTIONS(4260),
    [anon_sym_assert] = ACTIONS(4260),
    [anon_sym_defer] = ACTIONS(4260),
    [anon_sym_unsafe] = ACTIONS(4260),
    [anon_sym_pub] = ACTIONS(4260),
    [anon_sym_fn] = ACTIONS(4260),
    [anon_sym___global] = ACTIONS(4260),
    [anon_sym_const] = ACTIONS(4260),
    [anon_sym_asm] = ACTIONS(4260),
    [anon_sym_break] = ACTIONS(4260),
    [anon_sym_continue] = ACTIONS(4260),
    [anon_sym_return] = ACTIONS(4260),
    [anon_sym_type] = ACTIONS(4260),
    [anon_sym_go] = ACTIONS(4260),
    [anon_sym_spawn] = ACTIONS(4260),
    [anon_sym_goto] = ACTIONS(4260),
    [anon_sym_for] = ACTIONS(4260),
    [anon_sym_DOLLARfor] = ACTIONS(4258),
    [anon_sym_DOLLARif] = ACTIONS(4258),
    [anon_sym_if] = ACTIONS(4260),
    [anon_sym_struct] = ACTIONS(4260),
    [anon_sym_union] = ACTIONS(4260),
    [anon_sym_enum] = ACTIONS(4260),
    [anon_sym_interface] = ACTIONS(4260),
    [anon_sym_POUND] = ACTIONS(4258),
    [anon_sym_module] = ACTIONS(4260),
    [anon_sym_import] = ACTIONS(4260),
    [anon_sym_match] = ACTIONS(4260),
    [anon_sym_select] = ACTIONS(4260),
    [anon_sym_lock] = ACTIONS(4260),
    [anon_sym_rlock] = ACTIONS(4260),
    [sym__automatic_separator] = ACTIONS(4262),
    [sym__c_string_opening] = ACTIONS(4258),
    [sym__raw_string_opening] = ACTIONS(4258),
    [sym__string_opening] = ACTIONS(4258),
    [sym__comment] = ACTIONS(3),
  },
  [1625] = {
    [sym_comment] = STATE(1625),
    [ts_builtin_sym_end] = ACTIONS(4264),
    [sym_identifier] = ACTIONS(4266),
    [anon_sym_LPAREN] = ACTIONS(4264),
    [anon_sym_PLUS] = ACTIONS(4264),
    [anon_sym_DASH] = ACTIONS(4264),
    [anon_sym_BANG] = ACTIONS(4264),
    [anon_sym_TILDE] = ACTIONS(4264),
    [anon_sym_CARET] = ACTIONS(4264),
    [anon_sym_STAR] = ACTIONS(4264),
    [anon_sym_AMP] = ACTIONS(4264),
    [anon_sym_LT_DASH] = ACTIONS(4264),
    [anon_sym_DOLLAR] = ACTIONS(4266),
    [sym_none] = ACTIONS(4266),
    [sym_true] = ACTIONS(4266),
    [sym_false] = ACTIONS(4266),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym_LBRACK] = ACTIONS(4264),
    [anon_sym_map_LBRACK] = ACTIONS(4264),
    [anon_sym_chan] = ACTIONS(4266),
    [anon_sym_shared] = ACTIONS(4266),
    [anon_sym_thread] = ACTIONS(4266),
    [sym_int_literal] = ACTIONS(4266),
    [sym_float_literal] = ACTIONS(4264),
    [sym_rune_literal] = ACTIONS(4264),
    [anon_sym_DOT] = ACTIONS(4266),
    [anon_sym_array] = ACTIONS(4266),
    [anon_sym_string] = ACTIONS(4266),
    [anon_sym_char] = ACTIONS(4266),
    [anon_sym_sql] = ACTIONS(4266),
    [anon_sym_mut] = ACTIONS(4266),
    [anon_sym_C] = ACTIONS(4266),
    [anon_sym_JS] = ACTIONS(4266),
    [anon_sym_voidptr] = ACTIONS(4266),
    [anon_sym_byteptr] = ACTIONS(4266),
    [anon_sym_charptr] = ACTIONS(4266),
    [anon_sym_i8] = ACTIONS(4266),
    [anon_sym_i16] = ACTIONS(4266),
    [anon_sym_i32] = ACTIONS(4266),
    [anon_sym_int] = ACTIONS(4266),
    [anon_sym_i64] = ACTIONS(4266),
    [anon_sym_byte] = ACTIONS(4266),
    [anon_sym_u8] = ACTIONS(4266),
    [anon_sym_u16] = ACTIONS(4266),
    [anon_sym_u32] = ACTIONS(4266),
    [anon_sym_u64] = ACTIONS(4266),
    [anon_sym_f32] = ACTIONS(4266),
    [anon_sym_f64] = ACTIONS(4266),
    [anon_sym_bool] = ACTIONS(4266),
    [anon_sym_rune] = ACTIONS(4266),
    [anon_sym_map] = ACTIONS(4266),
    [anon_sym_mapnode] = ACTIONS(4266),
    [anon_sym_size_t] = ACTIONS(4266),
    [anon_sym_usize] = ACTIONS(4266),
    [anon_sym_isize] = ACTIONS(4266),
    [anon_sym_float_literal] = ACTIONS(4266),
    [anon_sym_int_literal] = ACTIONS(4266),
    [anon_sym_IError] = ACTIONS(4266),
    [sym_type_placeholder] = ACTIONS(4266),
    [anon_sym_AT] = ACTIONS(4266),
    [sym_type_identifier] = ACTIONS(4266),
    [anon_sym_assert] = ACTIONS(4266),
    [anon_sym_defer] = ACTIONS(4266),
    [anon_sym_unsafe] = ACTIONS(4266),
    [anon_sym_pub] = ACTIONS(4266),
    [anon_sym_fn] = ACTIONS(4266),
    [anon_sym___global] = ACTIONS(4266),
    [anon_sym_const] = ACTIONS(4266),
    [anon_sym_asm] = ACTIONS(4266),
    [anon_sym_break] = ACTIONS(4266),
    [anon_sym_continue] = ACTIONS(4266),
    [anon_sym_return] = ACTIONS(4266),
    [anon_sym_type] = ACTIONS(4266),
    [anon_sym_go] = ACTIONS(4266),
    [anon_sym_spawn] = ACTIONS(4266),
    [anon_sym_goto] = ACTIONS(4266),
    [anon_sym_for] = ACTIONS(4266),
    [anon_sym_DOLLARfor] = ACTIONS(4264),
    [anon_sym_DOLLARif] = ACTIONS(4264),
    [anon_sym_if] = ACTIONS(4266),
    [anon_sym_struct] = ACTIONS(4266),
    [anon_sym_union] = ACTIONS(4266),
    [anon_sym_enum] = ACTIONS(4266),
    [anon_sym_interface] = ACTIONS(4266),
    [anon_sym_POUND] = ACTIONS(4264),
    [anon_sym_module] = ACTIONS(4266),
    [anon_sym_import] = ACTIONS(4266),
    [anon_sym_match] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [anon_sym_lock] = ACTIONS(4266),
    [anon_sym_rlock] = ACTIONS(4266),
    [sym__automatic_separator] = ACTIONS(4264),
    [sym__c_string_opening] = ACTIONS(4264),
    [sym__raw_string_opening] = ACTIONS(4264),
    [sym__string_opening] = ACTIONS(4264),
    [sym__comment] = ACTIONS(3),
  },
  [1626] = {
    [sym_comment] = STATE(1626),
    [ts_builtin_sym_end] = ACTIONS(4268),
    [sym_identifier] = ACTIONS(4270),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [anon_sym_PLUS] = ACTIONS(4268),
    [anon_sym_DASH] = ACTIONS(4268),
    [anon_sym_BANG] = ACTIONS(4268),
    [anon_sym_TILDE] = ACTIONS(4268),
    [anon_sym_CARET] = ACTIONS(4268),
    [anon_sym_STAR] = ACTIONS(4268),
    [anon_sym_AMP] = ACTIONS(4268),
    [anon_sym_LT_DASH] = ACTIONS(4268),
    [anon_sym_DOLLAR] = ACTIONS(4270),
    [sym_none] = ACTIONS(4270),
    [sym_true] = ACTIONS(4270),
    [sym_false] = ACTIONS(4270),
    [anon_sym_LBRACE] = ACTIONS(4268),
    [anon_sym_LBRACK] = ACTIONS(4268),
    [anon_sym_map_LBRACK] = ACTIONS(4268),
    [anon_sym_chan] = ACTIONS(4270),
    [anon_sym_shared] = ACTIONS(4270),
    [anon_sym_thread] = ACTIONS(4270),
    [sym_int_literal] = ACTIONS(4270),
    [sym_float_literal] = ACTIONS(4268),
    [sym_rune_literal] = ACTIONS(4268),
    [anon_sym_DOT] = ACTIONS(4270),
    [anon_sym_array] = ACTIONS(4270),
    [anon_sym_string] = ACTIONS(4270),
    [anon_sym_char] = ACTIONS(4270),
    [anon_sym_sql] = ACTIONS(4270),
    [anon_sym_mut] = ACTIONS(4270),
    [anon_sym_C] = ACTIONS(4270),
    [anon_sym_JS] = ACTIONS(4270),
    [anon_sym_voidptr] = ACTIONS(4270),
    [anon_sym_byteptr] = ACTIONS(4270),
    [anon_sym_charptr] = ACTIONS(4270),
    [anon_sym_i8] = ACTIONS(4270),
    [anon_sym_i16] = ACTIONS(4270),
    [anon_sym_i32] = ACTIONS(4270),
    [anon_sym_int] = ACTIONS(4270),
    [anon_sym_i64] = ACTIONS(4270),
    [anon_sym_byte] = ACTIONS(4270),
    [anon_sym_u8] = ACTIONS(4270),
    [anon_sym_u16] = ACTIONS(4270),
    [anon_sym_u32] = ACTIONS(4270),
    [anon_sym_u64] = ACTIONS(4270),
    [anon_sym_f32] = ACTIONS(4270),
    [anon_sym_f64] = ACTIONS(4270),
    [anon_sym_bool] = ACTIONS(4270),
    [anon_sym_rune] = ACTIONS(4270),
    [anon_sym_map] = ACTIONS(4270),
    [anon_sym_mapnode] = ACTIONS(4270),
    [anon_sym_size_t] = ACTIONS(4270),
    [anon_sym_usize] = ACTIONS(4270),
    [anon_sym_isize] = ACTIONS(4270),
    [anon_sym_float_literal] = ACTIONS(4270),
    [anon_sym_int_literal] = ACTIONS(4270),
    [anon_sym_IError] = ACTIONS(4270),
    [sym_type_placeholder] = ACTIONS(4270),
    [anon_sym_AT] = ACTIONS(4270),
    [sym_type_identifier] = ACTIONS(4270),
    [anon_sym_assert] = ACTIONS(4270),
    [anon_sym_defer] = ACTIONS(4270),
    [anon_sym_unsafe] = ACTIONS(4270),
    [anon_sym_pub] = ACTIONS(4270),
    [anon_sym_fn] = ACTIONS(4270),
    [anon_sym___global] = ACTIONS(4270),
    [anon_sym_const] = ACTIONS(4270),
    [anon_sym_asm] = ACTIONS(4270),
    [anon_sym_break] = ACTIONS(4270),
    [anon_sym_continue] = ACTIONS(4270),
    [anon_sym_return] = ACTIONS(4270),
    [anon_sym_type] = ACTIONS(4270),
    [anon_sym_go] = ACTIONS(4270),
    [anon_sym_spawn] = ACTIONS(4270),
    [anon_sym_goto] = ACTIONS(4270),
    [anon_sym_for] = ACTIONS(4270),
    [anon_sym_DOLLARfor] = ACTIONS(4268),
    [anon_sym_DOLLARif] = ACTIONS(4268),
    [anon_sym_if] = ACTIONS(4270),
    [anon_sym_struct] = ACTIONS(4270),
    [anon_sym_union] = ACTIONS(4270),
    [anon_sym_enum] = ACTIONS(4270),
    [anon_sym_interface] = ACTIONS(4270),
    [anon_sym_POUND] = ACTIONS(4268),
    [anon_sym_module] = ACTIONS(4270),
    [anon_sym_import] = ACTIONS(4270),
    [anon_sym_match] = ACTIONS(4270),
    [anon_sym_select] = ACTIONS(4270),
    [anon_sym_lock] = ACTIONS(4270),
    [anon_sym_rlock] = ACTIONS(4270),
    [sym__automatic_separator] = ACTIONS(4268),
    [sym__c_string_opening] = ACTIONS(4268),
    [sym__raw_string_opening] = ACTIONS(4268),
    [sym__string_opening] = ACTIONS(4268),
    [sym__comment] = ACTIONS(3),
  },
  [1627] = {
    [sym_comment] = STATE(1627),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_pub] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym___global] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_type] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1628] = {
    [sym_comment] = STATE(1628),
    [ts_builtin_sym_end] = ACTIONS(4272),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN] = ACTIONS(4272),
    [anon_sym_PLUS] = ACTIONS(4272),
    [anon_sym_DASH] = ACTIONS(4272),
    [anon_sym_BANG] = ACTIONS(4272),
    [anon_sym_TILDE] = ACTIONS(4272),
    [anon_sym_CARET] = ACTIONS(4272),
    [anon_sym_STAR] = ACTIONS(4272),
    [anon_sym_AMP] = ACTIONS(4272),
    [anon_sym_LT_DASH] = ACTIONS(4272),
    [anon_sym_DOLLAR] = ACTIONS(4274),
    [sym_none] = ACTIONS(4274),
    [sym_true] = ACTIONS(4274),
    [sym_false] = ACTIONS(4274),
    [anon_sym_LBRACE] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4272),
    [anon_sym_map_LBRACK] = ACTIONS(4272),
    [anon_sym_chan] = ACTIONS(4274),
    [anon_sym_shared] = ACTIONS(4274),
    [anon_sym_thread] = ACTIONS(4274),
    [sym_int_literal] = ACTIONS(4274),
    [sym_float_literal] = ACTIONS(4272),
    [sym_rune_literal] = ACTIONS(4272),
    [anon_sym_DOT] = ACTIONS(4274),
    [anon_sym_array] = ACTIONS(4274),
    [anon_sym_string] = ACTIONS(4274),
    [anon_sym_char] = ACTIONS(4274),
    [anon_sym_sql] = ACTIONS(4274),
    [anon_sym_mut] = ACTIONS(4274),
    [anon_sym_C] = ACTIONS(4274),
    [anon_sym_JS] = ACTIONS(4274),
    [anon_sym_voidptr] = ACTIONS(4274),
    [anon_sym_byteptr] = ACTIONS(4274),
    [anon_sym_charptr] = ACTIONS(4274),
    [anon_sym_i8] = ACTIONS(4274),
    [anon_sym_i16] = ACTIONS(4274),
    [anon_sym_i32] = ACTIONS(4274),
    [anon_sym_int] = ACTIONS(4274),
    [anon_sym_i64] = ACTIONS(4274),
    [anon_sym_byte] = ACTIONS(4274),
    [anon_sym_u8] = ACTIONS(4274),
    [anon_sym_u16] = ACTIONS(4274),
    [anon_sym_u32] = ACTIONS(4274),
    [anon_sym_u64] = ACTIONS(4274),
    [anon_sym_f32] = ACTIONS(4274),
    [anon_sym_f64] = ACTIONS(4274),
    [anon_sym_bool] = ACTIONS(4274),
    [anon_sym_rune] = ACTIONS(4274),
    [anon_sym_map] = ACTIONS(4274),
    [anon_sym_mapnode] = ACTIONS(4274),
    [anon_sym_size_t] = ACTIONS(4274),
    [anon_sym_usize] = ACTIONS(4274),
    [anon_sym_isize] = ACTIONS(4274),
    [anon_sym_float_literal] = ACTIONS(4274),
    [anon_sym_int_literal] = ACTIONS(4274),
    [anon_sym_IError] = ACTIONS(4274),
    [sym_type_placeholder] = ACTIONS(4274),
    [anon_sym_AT] = ACTIONS(4274),
    [sym_type_identifier] = ACTIONS(4274),
    [anon_sym_assert] = ACTIONS(4274),
    [anon_sym_defer] = ACTIONS(4274),
    [anon_sym_unsafe] = ACTIONS(4274),
    [anon_sym_pub] = ACTIONS(4274),
    [anon_sym_fn] = ACTIONS(4274),
    [anon_sym___global] = ACTIONS(4274),
    [anon_sym_const] = ACTIONS(4274),
    [anon_sym_asm] = ACTIONS(4274),
    [anon_sym_break] = ACTIONS(4274),
    [anon_sym_continue] = ACTIONS(4274),
    [anon_sym_return] = ACTIONS(4274),
    [anon_sym_type] = ACTIONS(4274),
    [anon_sym_go] = ACTIONS(4274),
    [anon_sym_spawn] = ACTIONS(4274),
    [anon_sym_goto] = ACTIONS(4274),
    [anon_sym_for] = ACTIONS(4274),
    [anon_sym_DOLLARfor] = ACTIONS(4272),
    [anon_sym_DOLLARif] = ACTIONS(4272),
    [anon_sym_if] = ACTIONS(4274),
    [anon_sym_struct] = ACTIONS(4274),
    [anon_sym_union] = ACTIONS(4274),
    [anon_sym_enum] = ACTIONS(4274),
    [anon_sym_interface] = ACTIONS(4274),
    [anon_sym_POUND] = ACTIONS(4272),
    [anon_sym_module] = ACTIONS(4274),
    [anon_sym_import] = ACTIONS(4274),
    [anon_sym_match] = ACTIONS(4274),
    [anon_sym_select] = ACTIONS(4274),
    [anon_sym_lock] = ACTIONS(4274),
    [anon_sym_rlock] = ACTIONS(4274),
    [sym__automatic_separator] = ACTIONS(4272),
    [sym__c_string_opening] = ACTIONS(4272),
    [sym__raw_string_opening] = ACTIONS(4272),
    [sym__string_opening] = ACTIONS(4272),
    [sym__comment] = ACTIONS(3),
  },
  [1629] = {
    [sym_comment] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(4276),
    [sym_identifier] = ACTIONS(4278),
    [anon_sym_LPAREN] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4276),
    [anon_sym_DASH] = ACTIONS(4276),
    [anon_sym_BANG] = ACTIONS(4276),
    [anon_sym_TILDE] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_STAR] = ACTIONS(4276),
    [anon_sym_AMP] = ACTIONS(4276),
    [anon_sym_LT_DASH] = ACTIONS(4276),
    [anon_sym_DOLLAR] = ACTIONS(4278),
    [sym_none] = ACTIONS(4278),
    [sym_true] = ACTIONS(4278),
    [sym_false] = ACTIONS(4278),
    [anon_sym_LBRACE] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4276),
    [anon_sym_map_LBRACK] = ACTIONS(4276),
    [anon_sym_chan] = ACTIONS(4278),
    [anon_sym_shared] = ACTIONS(4278),
    [anon_sym_thread] = ACTIONS(4278),
    [sym_int_literal] = ACTIONS(4278),
    [sym_float_literal] = ACTIONS(4276),
    [sym_rune_literal] = ACTIONS(4276),
    [anon_sym_DOT] = ACTIONS(4278),
    [anon_sym_array] = ACTIONS(4278),
    [anon_sym_string] = ACTIONS(4278),
    [anon_sym_char] = ACTIONS(4278),
    [anon_sym_sql] = ACTIONS(4278),
    [anon_sym_mut] = ACTIONS(4278),
    [anon_sym_C] = ACTIONS(4278),
    [anon_sym_JS] = ACTIONS(4278),
    [anon_sym_voidptr] = ACTIONS(4278),
    [anon_sym_byteptr] = ACTIONS(4278),
    [anon_sym_charptr] = ACTIONS(4278),
    [anon_sym_i8] = ACTIONS(4278),
    [anon_sym_i16] = ACTIONS(4278),
    [anon_sym_i32] = ACTIONS(4278),
    [anon_sym_int] = ACTIONS(4278),
    [anon_sym_i64] = ACTIONS(4278),
    [anon_sym_byte] = ACTIONS(4278),
    [anon_sym_u8] = ACTIONS(4278),
    [anon_sym_u16] = ACTIONS(4278),
    [anon_sym_u32] = ACTIONS(4278),
    [anon_sym_u64] = ACTIONS(4278),
    [anon_sym_f32] = ACTIONS(4278),
    [anon_sym_f64] = ACTIONS(4278),
    [anon_sym_bool] = ACTIONS(4278),
    [anon_sym_rune] = ACTIONS(4278),
    [anon_sym_map] = ACTIONS(4278),
    [anon_sym_mapnode] = ACTIONS(4278),
    [anon_sym_size_t] = ACTIONS(4278),
    [anon_sym_usize] = ACTIONS(4278),
    [anon_sym_isize] = ACTIONS(4278),
    [anon_sym_float_literal] = ACTIONS(4278),
    [anon_sym_int_literal] = ACTIONS(4278),
    [anon_sym_IError] = ACTIONS(4278),
    [sym_type_placeholder] = ACTIONS(4278),
    [anon_sym_AT] = ACTIONS(4278),
    [sym_type_identifier] = ACTIONS(4278),
    [anon_sym_assert] = ACTIONS(4278),
    [anon_sym_defer] = ACTIONS(4278),
    [anon_sym_unsafe] = ACTIONS(4278),
    [anon_sym_pub] = ACTIONS(4278),
    [anon_sym_fn] = ACTIONS(4278),
    [anon_sym___global] = ACTIONS(4278),
    [anon_sym_const] = ACTIONS(4278),
    [anon_sym_asm] = ACTIONS(4278),
    [anon_sym_break] = ACTIONS(4278),
    [anon_sym_continue] = ACTIONS(4278),
    [anon_sym_return] = ACTIONS(4278),
    [anon_sym_type] = ACTIONS(4278),
    [anon_sym_go] = ACTIONS(4278),
    [anon_sym_spawn] = ACTIONS(4278),
    [anon_sym_goto] = ACTIONS(4278),
    [anon_sym_for] = ACTIONS(4278),
    [anon_sym_DOLLARfor] = ACTIONS(4276),
    [anon_sym_DOLLARif] = ACTIONS(4276),
    [anon_sym_if] = ACTIONS(4278),
    [anon_sym_struct] = ACTIONS(4278),
    [anon_sym_union] = ACTIONS(4278),
    [anon_sym_enum] = ACTIONS(4278),
    [anon_sym_interface] = ACTIONS(4278),
    [anon_sym_POUND] = ACTIONS(4276),
    [anon_sym_module] = ACTIONS(4278),
    [anon_sym_import] = ACTIONS(4278),
    [anon_sym_match] = ACTIONS(4278),
    [anon_sym_select] = ACTIONS(4278),
    [anon_sym_lock] = ACTIONS(4278),
    [anon_sym_rlock] = ACTIONS(4278),
    [sym__automatic_separator] = ACTIONS(4276),
    [sym__c_string_opening] = ACTIONS(4276),
    [sym__raw_string_opening] = ACTIONS(4276),
    [sym__string_opening] = ACTIONS(4276),
    [sym__comment] = ACTIONS(3),
  },
  [1630] = {
    [sym_comment] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(4280),
    [sym_identifier] = ACTIONS(4282),
    [anon_sym_LPAREN] = ACTIONS(4280),
    [anon_sym_PLUS] = ACTIONS(4280),
    [anon_sym_DASH] = ACTIONS(4280),
    [anon_sym_BANG] = ACTIONS(4280),
    [anon_sym_TILDE] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4280),
    [anon_sym_STAR] = ACTIONS(4280),
    [anon_sym_AMP] = ACTIONS(4280),
    [anon_sym_LT_DASH] = ACTIONS(4280),
    [anon_sym_DOLLAR] = ACTIONS(4282),
    [sym_none] = ACTIONS(4282),
    [sym_true] = ACTIONS(4282),
    [sym_false] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4280),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [anon_sym_map_LBRACK] = ACTIONS(4280),
    [anon_sym_chan] = ACTIONS(4282),
    [anon_sym_shared] = ACTIONS(4282),
    [anon_sym_thread] = ACTIONS(4282),
    [sym_int_literal] = ACTIONS(4282),
    [sym_float_literal] = ACTIONS(4280),
    [sym_rune_literal] = ACTIONS(4280),
    [anon_sym_DOT] = ACTIONS(4282),
    [anon_sym_array] = ACTIONS(4282),
    [anon_sym_string] = ACTIONS(4282),
    [anon_sym_char] = ACTIONS(4282),
    [anon_sym_sql] = ACTIONS(4282),
    [anon_sym_mut] = ACTIONS(4282),
    [anon_sym_C] = ACTIONS(4282),
    [anon_sym_JS] = ACTIONS(4282),
    [anon_sym_voidptr] = ACTIONS(4282),
    [anon_sym_byteptr] = ACTIONS(4282),
    [anon_sym_charptr] = ACTIONS(4282),
    [anon_sym_i8] = ACTIONS(4282),
    [anon_sym_i16] = ACTIONS(4282),
    [anon_sym_i32] = ACTIONS(4282),
    [anon_sym_int] = ACTIONS(4282),
    [anon_sym_i64] = ACTIONS(4282),
    [anon_sym_byte] = ACTIONS(4282),
    [anon_sym_u8] = ACTIONS(4282),
    [anon_sym_u16] = ACTIONS(4282),
    [anon_sym_u32] = ACTIONS(4282),
    [anon_sym_u64] = ACTIONS(4282),
    [anon_sym_f32] = ACTIONS(4282),
    [anon_sym_f64] = ACTIONS(4282),
    [anon_sym_bool] = ACTIONS(4282),
    [anon_sym_rune] = ACTIONS(4282),
    [anon_sym_map] = ACTIONS(4282),
    [anon_sym_mapnode] = ACTIONS(4282),
    [anon_sym_size_t] = ACTIONS(4282),
    [anon_sym_usize] = ACTIONS(4282),
    [anon_sym_isize] = ACTIONS(4282),
    [anon_sym_float_literal] = ACTIONS(4282),
    [anon_sym_int_literal] = ACTIONS(4282),
    [anon_sym_IError] = ACTIONS(4282),
    [sym_type_placeholder] = ACTIONS(4282),
    [anon_sym_AT] = ACTIONS(4282),
    [sym_type_identifier] = ACTIONS(4282),
    [anon_sym_assert] = ACTIONS(4282),
    [anon_sym_defer] = ACTIONS(4282),
    [anon_sym_unsafe] = ACTIONS(4282),
    [anon_sym_pub] = ACTIONS(4282),
    [anon_sym_fn] = ACTIONS(4282),
    [anon_sym___global] = ACTIONS(4282),
    [anon_sym_const] = ACTIONS(4282),
    [anon_sym_asm] = ACTIONS(4282),
    [anon_sym_break] = ACTIONS(4282),
    [anon_sym_continue] = ACTIONS(4282),
    [anon_sym_return] = ACTIONS(4282),
    [anon_sym_type] = ACTIONS(4282),
    [anon_sym_go] = ACTIONS(4282),
    [anon_sym_spawn] = ACTIONS(4282),
    [anon_sym_goto] = ACTIONS(4282),
    [anon_sym_for] = ACTIONS(4282),
    [anon_sym_DOLLARfor] = ACTIONS(4280),
    [anon_sym_DOLLARif] = ACTIONS(4280),
    [anon_sym_if] = ACTIONS(4282),
    [anon_sym_struct] = ACTIONS(4282),
    [anon_sym_union] = ACTIONS(4282),
    [anon_sym_enum] = ACTIONS(4282),
    [anon_sym_interface] = ACTIONS(4282),
    [anon_sym_POUND] = ACTIONS(4280),
    [anon_sym_module] = ACTIONS(4282),
    [anon_sym_import] = ACTIONS(4282),
    [anon_sym_match] = ACTIONS(4282),
    [anon_sym_select] = ACTIONS(4282),
    [anon_sym_lock] = ACTIONS(4282),
    [anon_sym_rlock] = ACTIONS(4282),
    [sym__automatic_separator] = ACTIONS(4280),
    [sym__c_string_opening] = ACTIONS(4280),
    [sym__raw_string_opening] = ACTIONS(4280),
    [sym__string_opening] = ACTIONS(4280),
    [sym__comment] = ACTIONS(3),
  },
  [1631] = {
    [sym_comment] = STATE(1631),
    [ts_builtin_sym_end] = ACTIONS(4284),
    [sym_identifier] = ACTIONS(4286),
    [anon_sym_LPAREN] = ACTIONS(4284),
    [anon_sym_PLUS] = ACTIONS(4284),
    [anon_sym_DASH] = ACTIONS(4284),
    [anon_sym_BANG] = ACTIONS(4284),
    [anon_sym_TILDE] = ACTIONS(4284),
    [anon_sym_CARET] = ACTIONS(4284),
    [anon_sym_STAR] = ACTIONS(4284),
    [anon_sym_AMP] = ACTIONS(4284),
    [anon_sym_LT_DASH] = ACTIONS(4284),
    [anon_sym_DOLLAR] = ACTIONS(4286),
    [sym_none] = ACTIONS(4286),
    [sym_true] = ACTIONS(4286),
    [sym_false] = ACTIONS(4286),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_LBRACK] = ACTIONS(4284),
    [anon_sym_map_LBRACK] = ACTIONS(4284),
    [anon_sym_chan] = ACTIONS(4286),
    [anon_sym_shared] = ACTIONS(4286),
    [anon_sym_thread] = ACTIONS(4286),
    [sym_int_literal] = ACTIONS(4286),
    [sym_float_literal] = ACTIONS(4284),
    [sym_rune_literal] = ACTIONS(4284),
    [anon_sym_DOT] = ACTIONS(4286),
    [anon_sym_array] = ACTIONS(4286),
    [anon_sym_string] = ACTIONS(4286),
    [anon_sym_char] = ACTIONS(4286),
    [anon_sym_sql] = ACTIONS(4286),
    [anon_sym_mut] = ACTIONS(4286),
    [anon_sym_C] = ACTIONS(4286),
    [anon_sym_JS] = ACTIONS(4286),
    [anon_sym_voidptr] = ACTIONS(4286),
    [anon_sym_byteptr] = ACTIONS(4286),
    [anon_sym_charptr] = ACTIONS(4286),
    [anon_sym_i8] = ACTIONS(4286),
    [anon_sym_i16] = ACTIONS(4286),
    [anon_sym_i32] = ACTIONS(4286),
    [anon_sym_int] = ACTIONS(4286),
    [anon_sym_i64] = ACTIONS(4286),
    [anon_sym_byte] = ACTIONS(4286),
    [anon_sym_u8] = ACTIONS(4286),
    [anon_sym_u16] = ACTIONS(4286),
    [anon_sym_u32] = ACTIONS(4286),
    [anon_sym_u64] = ACTIONS(4286),
    [anon_sym_f32] = ACTIONS(4286),
    [anon_sym_f64] = ACTIONS(4286),
    [anon_sym_bool] = ACTIONS(4286),
    [anon_sym_rune] = ACTIONS(4286),
    [anon_sym_map] = ACTIONS(4286),
    [anon_sym_mapnode] = ACTIONS(4286),
    [anon_sym_size_t] = ACTIONS(4286),
    [anon_sym_usize] = ACTIONS(4286),
    [anon_sym_isize] = ACTIONS(4286),
    [anon_sym_float_literal] = ACTIONS(4286),
    [anon_sym_int_literal] = ACTIONS(4286),
    [anon_sym_IError] = ACTIONS(4286),
    [sym_type_placeholder] = ACTIONS(4286),
    [anon_sym_AT] = ACTIONS(4286),
    [sym_type_identifier] = ACTIONS(4286),
    [anon_sym_assert] = ACTIONS(4286),
    [anon_sym_defer] = ACTIONS(4286),
    [anon_sym_unsafe] = ACTIONS(4286),
    [anon_sym_pub] = ACTIONS(4286),
    [anon_sym_fn] = ACTIONS(4286),
    [anon_sym___global] = ACTIONS(4286),
    [anon_sym_const] = ACTIONS(4286),
    [anon_sym_asm] = ACTIONS(4286),
    [anon_sym_break] = ACTIONS(4286),
    [anon_sym_continue] = ACTIONS(4286),
    [anon_sym_return] = ACTIONS(4286),
    [anon_sym_type] = ACTIONS(4286),
    [anon_sym_go] = ACTIONS(4286),
    [anon_sym_spawn] = ACTIONS(4286),
    [anon_sym_goto] = ACTIONS(4286),
    [anon_sym_for] = ACTIONS(4286),
    [anon_sym_DOLLARfor] = ACTIONS(4284),
    [anon_sym_DOLLARif] = ACTIONS(4284),
    [anon_sym_if] = ACTIONS(4286),
    [anon_sym_struct] = ACTIONS(4286),
    [anon_sym_union] = ACTIONS(4286),
    [anon_sym_enum] = ACTIONS(4286),
    [anon_sym_interface] = ACTIONS(4286),
    [anon_sym_POUND] = ACTIONS(4284),
    [anon_sym_module] = ACTIONS(4286),
    [anon_sym_import] = ACTIONS(4286),
    [anon_sym_match] = ACTIONS(4286),
    [anon_sym_select] = ACTIONS(4286),
    [anon_sym_lock] = ACTIONS(4286),
    [anon_sym_rlock] = ACTIONS(4286),
    [sym__automatic_separator] = ACTIONS(4284),
    [sym__c_string_opening] = ACTIONS(4284),
    [sym__raw_string_opening] = ACTIONS(4284),
    [sym__string_opening] = ACTIONS(4284),
    [sym__comment] = ACTIONS(3),
  },
  [1632] = {
    [sym_comment] = STATE(1632),
    [ts_builtin_sym_end] = ACTIONS(4288),
    [sym_identifier] = ACTIONS(4290),
    [anon_sym_LPAREN] = ACTIONS(4288),
    [anon_sym_PLUS] = ACTIONS(4288),
    [anon_sym_DASH] = ACTIONS(4288),
    [anon_sym_BANG] = ACTIONS(4288),
    [anon_sym_TILDE] = ACTIONS(4288),
    [anon_sym_CARET] = ACTIONS(4288),
    [anon_sym_STAR] = ACTIONS(4288),
    [anon_sym_AMP] = ACTIONS(4288),
    [anon_sym_LT_DASH] = ACTIONS(4288),
    [anon_sym_DOLLAR] = ACTIONS(4290),
    [sym_none] = ACTIONS(4290),
    [sym_true] = ACTIONS(4290),
    [sym_false] = ACTIONS(4290),
    [anon_sym_LBRACE] = ACTIONS(4288),
    [anon_sym_LBRACK] = ACTIONS(4288),
    [anon_sym_map_LBRACK] = ACTIONS(4288),
    [anon_sym_chan] = ACTIONS(4290),
    [anon_sym_shared] = ACTIONS(4290),
    [anon_sym_thread] = ACTIONS(4290),
    [sym_int_literal] = ACTIONS(4290),
    [sym_float_literal] = ACTIONS(4288),
    [sym_rune_literal] = ACTIONS(4288),
    [anon_sym_DOT] = ACTIONS(4290),
    [anon_sym_array] = ACTIONS(4290),
    [anon_sym_string] = ACTIONS(4290),
    [anon_sym_char] = ACTIONS(4290),
    [anon_sym_sql] = ACTIONS(4290),
    [anon_sym_mut] = ACTIONS(4290),
    [anon_sym_C] = ACTIONS(4290),
    [anon_sym_JS] = ACTIONS(4290),
    [anon_sym_voidptr] = ACTIONS(4290),
    [anon_sym_byteptr] = ACTIONS(4290),
    [anon_sym_charptr] = ACTIONS(4290),
    [anon_sym_i8] = ACTIONS(4290),
    [anon_sym_i16] = ACTIONS(4290),
    [anon_sym_i32] = ACTIONS(4290),
    [anon_sym_int] = ACTIONS(4290),
    [anon_sym_i64] = ACTIONS(4290),
    [anon_sym_byte] = ACTIONS(4290),
    [anon_sym_u8] = ACTIONS(4290),
    [anon_sym_u16] = ACTIONS(4290),
    [anon_sym_u32] = ACTIONS(4290),
    [anon_sym_u64] = ACTIONS(4290),
    [anon_sym_f32] = ACTIONS(4290),
    [anon_sym_f64] = ACTIONS(4290),
    [anon_sym_bool] = ACTIONS(4290),
    [anon_sym_rune] = ACTIONS(4290),
    [anon_sym_map] = ACTIONS(4290),
    [anon_sym_mapnode] = ACTIONS(4290),
    [anon_sym_size_t] = ACTIONS(4290),
    [anon_sym_usize] = ACTIONS(4290),
    [anon_sym_isize] = ACTIONS(4290),
    [anon_sym_float_literal] = ACTIONS(4290),
    [anon_sym_int_literal] = ACTIONS(4290),
    [anon_sym_IError] = ACTIONS(4290),
    [sym_type_placeholder] = ACTIONS(4290),
    [anon_sym_AT] = ACTIONS(4290),
    [sym_type_identifier] = ACTIONS(4290),
    [anon_sym_assert] = ACTIONS(4290),
    [anon_sym_defer] = ACTIONS(4290),
    [anon_sym_unsafe] = ACTIONS(4290),
    [anon_sym_pub] = ACTIONS(4290),
    [anon_sym_fn] = ACTIONS(4290),
    [anon_sym___global] = ACTIONS(4290),
    [anon_sym_const] = ACTIONS(4290),
    [anon_sym_asm] = ACTIONS(4290),
    [anon_sym_break] = ACTIONS(4290),
    [anon_sym_continue] = ACTIONS(4290),
    [anon_sym_return] = ACTIONS(4290),
    [anon_sym_type] = ACTIONS(4290),
    [anon_sym_go] = ACTIONS(4290),
    [anon_sym_spawn] = ACTIONS(4290),
    [anon_sym_goto] = ACTIONS(4290),
    [anon_sym_for] = ACTIONS(4290),
    [anon_sym_DOLLARfor] = ACTIONS(4288),
    [anon_sym_DOLLARif] = ACTIONS(4288),
    [anon_sym_if] = ACTIONS(4290),
    [anon_sym_struct] = ACTIONS(4290),
    [anon_sym_union] = ACTIONS(4290),
    [anon_sym_enum] = ACTIONS(4290),
    [anon_sym_interface] = ACTIONS(4290),
    [anon_sym_POUND] = ACTIONS(4288),
    [anon_sym_module] = ACTIONS(4290),
    [anon_sym_import] = ACTIONS(4290),
    [anon_sym_match] = ACTIONS(4290),
    [anon_sym_select] = ACTIONS(4290),
    [anon_sym_lock] = ACTIONS(4290),
    [anon_sym_rlock] = ACTIONS(4290),
    [sym__automatic_separator] = ACTIONS(4288),
    [sym__c_string_opening] = ACTIONS(4288),
    [sym__raw_string_opening] = ACTIONS(4288),
    [sym__string_opening] = ACTIONS(4288),
    [sym__comment] = ACTIONS(3),
  },
  [1633] = {
    [sym_comment] = STATE(1633),
    [ts_builtin_sym_end] = ACTIONS(4292),
    [sym_identifier] = ACTIONS(4294),
    [anon_sym_LPAREN] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_BANG] = ACTIONS(4292),
    [anon_sym_TILDE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4292),
    [anon_sym_LT_DASH] = ACTIONS(4292),
    [anon_sym_DOLLAR] = ACTIONS(4294),
    [sym_none] = ACTIONS(4294),
    [sym_true] = ACTIONS(4294),
    [sym_false] = ACTIONS(4294),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(4292),
    [anon_sym_map_LBRACK] = ACTIONS(4292),
    [anon_sym_chan] = ACTIONS(4294),
    [anon_sym_shared] = ACTIONS(4294),
    [anon_sym_thread] = ACTIONS(4294),
    [sym_int_literal] = ACTIONS(4294),
    [sym_float_literal] = ACTIONS(4292),
    [sym_rune_literal] = ACTIONS(4292),
    [anon_sym_DOT] = ACTIONS(4294),
    [anon_sym_array] = ACTIONS(4294),
    [anon_sym_string] = ACTIONS(4294),
    [anon_sym_char] = ACTIONS(4294),
    [anon_sym_sql] = ACTIONS(4294),
    [anon_sym_mut] = ACTIONS(4294),
    [anon_sym_C] = ACTIONS(4294),
    [anon_sym_JS] = ACTIONS(4294),
    [anon_sym_voidptr] = ACTIONS(4294),
    [anon_sym_byteptr] = ACTIONS(4294),
    [anon_sym_charptr] = ACTIONS(4294),
    [anon_sym_i8] = ACTIONS(4294),
    [anon_sym_i16] = ACTIONS(4294),
    [anon_sym_i32] = ACTIONS(4294),
    [anon_sym_int] = ACTIONS(4294),
    [anon_sym_i64] = ACTIONS(4294),
    [anon_sym_byte] = ACTIONS(4294),
    [anon_sym_u8] = ACTIONS(4294),
    [anon_sym_u16] = ACTIONS(4294),
    [anon_sym_u32] = ACTIONS(4294),
    [anon_sym_u64] = ACTIONS(4294),
    [anon_sym_f32] = ACTIONS(4294),
    [anon_sym_f64] = ACTIONS(4294),
    [anon_sym_bool] = ACTIONS(4294),
    [anon_sym_rune] = ACTIONS(4294),
    [anon_sym_map] = ACTIONS(4294),
    [anon_sym_mapnode] = ACTIONS(4294),
    [anon_sym_size_t] = ACTIONS(4294),
    [anon_sym_usize] = ACTIONS(4294),
    [anon_sym_isize] = ACTIONS(4294),
    [anon_sym_float_literal] = ACTIONS(4294),
    [anon_sym_int_literal] = ACTIONS(4294),
    [anon_sym_IError] = ACTIONS(4294),
    [sym_type_placeholder] = ACTIONS(4294),
    [anon_sym_AT] = ACTIONS(4294),
    [sym_type_identifier] = ACTIONS(4294),
    [anon_sym_assert] = ACTIONS(4294),
    [anon_sym_defer] = ACTIONS(4294),
    [anon_sym_unsafe] = ACTIONS(4294),
    [anon_sym_pub] = ACTIONS(4294),
    [anon_sym_fn] = ACTIONS(4294),
    [anon_sym___global] = ACTIONS(4294),
    [anon_sym_const] = ACTIONS(4294),
    [anon_sym_asm] = ACTIONS(4294),
    [anon_sym_break] = ACTIONS(4294),
    [anon_sym_continue] = ACTIONS(4294),
    [anon_sym_return] = ACTIONS(4294),
    [anon_sym_type] = ACTIONS(4294),
    [anon_sym_go] = ACTIONS(4294),
    [anon_sym_spawn] = ACTIONS(4294),
    [anon_sym_goto] = ACTIONS(4294),
    [anon_sym_for] = ACTIONS(4294),
    [anon_sym_DOLLARfor] = ACTIONS(4292),
    [anon_sym_DOLLARif] = ACTIONS(4292),
    [anon_sym_if] = ACTIONS(4294),
    [anon_sym_struct] = ACTIONS(4294),
    [anon_sym_union] = ACTIONS(4294),
    [anon_sym_enum] = ACTIONS(4294),
    [anon_sym_interface] = ACTIONS(4294),
    [anon_sym_POUND] = ACTIONS(4292),
    [anon_sym_module] = ACTIONS(4294),
    [anon_sym_import] = ACTIONS(4294),
    [anon_sym_match] = ACTIONS(4294),
    [anon_sym_select] = ACTIONS(4294),
    [anon_sym_lock] = ACTIONS(4294),
    [anon_sym_rlock] = ACTIONS(4294),
    [sym__automatic_separator] = ACTIONS(4292),
    [sym__c_string_opening] = ACTIONS(4292),
    [sym__raw_string_opening] = ACTIONS(4292),
    [sym__string_opening] = ACTIONS(4292),
    [sym__comment] = ACTIONS(3),
  },
  [1634] = {
    [sym_comment] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(4296),
    [sym_identifier] = ACTIONS(4298),
    [anon_sym_LPAREN] = ACTIONS(4296),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_BANG] = ACTIONS(4296),
    [anon_sym_TILDE] = ACTIONS(4296),
    [anon_sym_CARET] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4296),
    [anon_sym_AMP] = ACTIONS(4296),
    [anon_sym_LT_DASH] = ACTIONS(4296),
    [anon_sym_DOLLAR] = ACTIONS(4298),
    [sym_none] = ACTIONS(4298),
    [sym_true] = ACTIONS(4298),
    [sym_false] = ACTIONS(4298),
    [anon_sym_LBRACE] = ACTIONS(4296),
    [anon_sym_LBRACK] = ACTIONS(4296),
    [anon_sym_map_LBRACK] = ACTIONS(4296),
    [anon_sym_chan] = ACTIONS(4298),
    [anon_sym_shared] = ACTIONS(4298),
    [anon_sym_thread] = ACTIONS(4298),
    [sym_int_literal] = ACTIONS(4298),
    [sym_float_literal] = ACTIONS(4296),
    [sym_rune_literal] = ACTIONS(4296),
    [anon_sym_DOT] = ACTIONS(4298),
    [anon_sym_array] = ACTIONS(4298),
    [anon_sym_string] = ACTIONS(4298),
    [anon_sym_char] = ACTIONS(4298),
    [anon_sym_sql] = ACTIONS(4298),
    [anon_sym_mut] = ACTIONS(4298),
    [anon_sym_C] = ACTIONS(4298),
    [anon_sym_JS] = ACTIONS(4298),
    [anon_sym_voidptr] = ACTIONS(4298),
    [anon_sym_byteptr] = ACTIONS(4298),
    [anon_sym_charptr] = ACTIONS(4298),
    [anon_sym_i8] = ACTIONS(4298),
    [anon_sym_i16] = ACTIONS(4298),
    [anon_sym_i32] = ACTIONS(4298),
    [anon_sym_int] = ACTIONS(4298),
    [anon_sym_i64] = ACTIONS(4298),
    [anon_sym_byte] = ACTIONS(4298),
    [anon_sym_u8] = ACTIONS(4298),
    [anon_sym_u16] = ACTIONS(4298),
    [anon_sym_u32] = ACTIONS(4298),
    [anon_sym_u64] = ACTIONS(4298),
    [anon_sym_f32] = ACTIONS(4298),
    [anon_sym_f64] = ACTIONS(4298),
    [anon_sym_bool] = ACTIONS(4298),
    [anon_sym_rune] = ACTIONS(4298),
    [anon_sym_map] = ACTIONS(4298),
    [anon_sym_mapnode] = ACTIONS(4298),
    [anon_sym_size_t] = ACTIONS(4298),
    [anon_sym_usize] = ACTIONS(4298),
    [anon_sym_isize] = ACTIONS(4298),
    [anon_sym_float_literal] = ACTIONS(4298),
    [anon_sym_int_literal] = ACTIONS(4298),
    [anon_sym_IError] = ACTIONS(4298),
    [sym_type_placeholder] = ACTIONS(4298),
    [anon_sym_AT] = ACTIONS(4298),
    [sym_type_identifier] = ACTIONS(4298),
    [anon_sym_assert] = ACTIONS(4298),
    [anon_sym_defer] = ACTIONS(4298),
    [anon_sym_unsafe] = ACTIONS(4298),
    [anon_sym_pub] = ACTIONS(4298),
    [anon_sym_fn] = ACTIONS(4298),
    [anon_sym___global] = ACTIONS(4298),
    [anon_sym_const] = ACTIONS(4298),
    [anon_sym_asm] = ACTIONS(4298),
    [anon_sym_break] = ACTIONS(4298),
    [anon_sym_continue] = ACTIONS(4298),
    [anon_sym_return] = ACTIONS(4298),
    [anon_sym_type] = ACTIONS(4298),
    [anon_sym_go] = ACTIONS(4298),
    [anon_sym_spawn] = ACTIONS(4298),
    [anon_sym_goto] = ACTIONS(4298),
    [anon_sym_for] = ACTIONS(4298),
    [anon_sym_DOLLARfor] = ACTIONS(4296),
    [anon_sym_DOLLARif] = ACTIONS(4296),
    [anon_sym_if] = ACTIONS(4298),
    [anon_sym_struct] = ACTIONS(4298),
    [anon_sym_union] = ACTIONS(4298),
    [anon_sym_enum] = ACTIONS(4298),
    [anon_sym_interface] = ACTIONS(4298),
    [anon_sym_POUND] = ACTIONS(4296),
    [anon_sym_module] = ACTIONS(4298),
    [anon_sym_import] = ACTIONS(4298),
    [anon_sym_match] = ACTIONS(4298),
    [anon_sym_select] = ACTIONS(4298),
    [anon_sym_lock] = ACTIONS(4298),
    [anon_sym_rlock] = ACTIONS(4298),
    [sym__automatic_separator] = ACTIONS(4296),
    [sym__c_string_opening] = ACTIONS(4296),
    [sym__raw_string_opening] = ACTIONS(4296),
    [sym__string_opening] = ACTIONS(4296),
    [sym__comment] = ACTIONS(3),
  },
  [1635] = {
    [sym_comment] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(4300),
    [sym_identifier] = ACTIONS(4302),
    [anon_sym_LPAREN] = ACTIONS(4300),
    [anon_sym_PLUS] = ACTIONS(4300),
    [anon_sym_DASH] = ACTIONS(4300),
    [anon_sym_BANG] = ACTIONS(4300),
    [anon_sym_TILDE] = ACTIONS(4300),
    [anon_sym_CARET] = ACTIONS(4300),
    [anon_sym_STAR] = ACTIONS(4300),
    [anon_sym_AMP] = ACTIONS(4300),
    [anon_sym_LT_DASH] = ACTIONS(4300),
    [anon_sym_DOLLAR] = ACTIONS(4302),
    [sym_none] = ACTIONS(4302),
    [sym_true] = ACTIONS(4302),
    [sym_false] = ACTIONS(4302),
    [anon_sym_LBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(4300),
    [anon_sym_map_LBRACK] = ACTIONS(4300),
    [anon_sym_chan] = ACTIONS(4302),
    [anon_sym_shared] = ACTIONS(4302),
    [anon_sym_thread] = ACTIONS(4302),
    [sym_int_literal] = ACTIONS(4302),
    [sym_float_literal] = ACTIONS(4300),
    [sym_rune_literal] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4302),
    [anon_sym_array] = ACTIONS(4302),
    [anon_sym_string] = ACTIONS(4302),
    [anon_sym_char] = ACTIONS(4302),
    [anon_sym_sql] = ACTIONS(4302),
    [anon_sym_mut] = ACTIONS(4302),
    [anon_sym_C] = ACTIONS(4302),
    [anon_sym_JS] = ACTIONS(4302),
    [anon_sym_voidptr] = ACTIONS(4302),
    [anon_sym_byteptr] = ACTIONS(4302),
    [anon_sym_charptr] = ACTIONS(4302),
    [anon_sym_i8] = ACTIONS(4302),
    [anon_sym_i16] = ACTIONS(4302),
    [anon_sym_i32] = ACTIONS(4302),
    [anon_sym_int] = ACTIONS(4302),
    [anon_sym_i64] = ACTIONS(4302),
    [anon_sym_byte] = ACTIONS(4302),
    [anon_sym_u8] = ACTIONS(4302),
    [anon_sym_u16] = ACTIONS(4302),
    [anon_sym_u32] = ACTIONS(4302),
    [anon_sym_u64] = ACTIONS(4302),
    [anon_sym_f32] = ACTIONS(4302),
    [anon_sym_f64] = ACTIONS(4302),
    [anon_sym_bool] = ACTIONS(4302),
    [anon_sym_rune] = ACTIONS(4302),
    [anon_sym_map] = ACTIONS(4302),
    [anon_sym_mapnode] = ACTIONS(4302),
    [anon_sym_size_t] = ACTIONS(4302),
    [anon_sym_usize] = ACTIONS(4302),
    [anon_sym_isize] = ACTIONS(4302),
    [anon_sym_float_literal] = ACTIONS(4302),
    [anon_sym_int_literal] = ACTIONS(4302),
    [anon_sym_IError] = ACTIONS(4302),
    [sym_type_placeholder] = ACTIONS(4302),
    [anon_sym_AT] = ACTIONS(4302),
    [sym_type_identifier] = ACTIONS(4302),
    [anon_sym_assert] = ACTIONS(4302),
    [anon_sym_defer] = ACTIONS(4302),
    [anon_sym_unsafe] = ACTIONS(4302),
    [anon_sym_pub] = ACTIONS(4302),
    [anon_sym_fn] = ACTIONS(4302),
    [anon_sym___global] = ACTIONS(4302),
    [anon_sym_const] = ACTIONS(4302),
    [anon_sym_asm] = ACTIONS(4302),
    [anon_sym_break] = ACTIONS(4302),
    [anon_sym_continue] = ACTIONS(4302),
    [anon_sym_return] = ACTIONS(4302),
    [anon_sym_type] = ACTIONS(4302),
    [anon_sym_go] = ACTIONS(4302),
    [anon_sym_spawn] = ACTIONS(4302),
    [anon_sym_goto] = ACTIONS(4302),
    [anon_sym_for] = ACTIONS(4302),
    [anon_sym_DOLLARfor] = ACTIONS(4300),
    [anon_sym_DOLLARif] = ACTIONS(4300),
    [anon_sym_if] = ACTIONS(4302),
    [anon_sym_struct] = ACTIONS(4302),
    [anon_sym_union] = ACTIONS(4302),
    [anon_sym_enum] = ACTIONS(4302),
    [anon_sym_interface] = ACTIONS(4302),
    [anon_sym_POUND] = ACTIONS(4300),
    [anon_sym_module] = ACTIONS(4302),
    [anon_sym_import] = ACTIONS(4302),
    [anon_sym_match] = ACTIONS(4302),
    [anon_sym_select] = ACTIONS(4302),
    [anon_sym_lock] = ACTIONS(4302),
    [anon_sym_rlock] = ACTIONS(4302),
    [sym__automatic_separator] = ACTIONS(4300),
    [sym__c_string_opening] = ACTIONS(4300),
    [sym__raw_string_opening] = ACTIONS(4300),
    [sym__string_opening] = ACTIONS(4300),
    [sym__comment] = ACTIONS(3),
  },
  [1636] = {
    [sym_comment] = STATE(1636),
    [ts_builtin_sym_end] = ACTIONS(4304),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN] = ACTIONS(4304),
    [anon_sym_PLUS] = ACTIONS(4304),
    [anon_sym_DASH] = ACTIONS(4304),
    [anon_sym_BANG] = ACTIONS(4304),
    [anon_sym_TILDE] = ACTIONS(4304),
    [anon_sym_CARET] = ACTIONS(4304),
    [anon_sym_STAR] = ACTIONS(4304),
    [anon_sym_AMP] = ACTIONS(4304),
    [anon_sym_LT_DASH] = ACTIONS(4304),
    [anon_sym_DOLLAR] = ACTIONS(4306),
    [sym_none] = ACTIONS(4306),
    [sym_true] = ACTIONS(4306),
    [sym_false] = ACTIONS(4306),
    [anon_sym_LBRACE] = ACTIONS(4304),
    [anon_sym_LBRACK] = ACTIONS(4304),
    [anon_sym_map_LBRACK] = ACTIONS(4304),
    [anon_sym_chan] = ACTIONS(4306),
    [anon_sym_shared] = ACTIONS(4306),
    [anon_sym_thread] = ACTIONS(4306),
    [sym_int_literal] = ACTIONS(4306),
    [sym_float_literal] = ACTIONS(4304),
    [sym_rune_literal] = ACTIONS(4304),
    [anon_sym_DOT] = ACTIONS(4306),
    [anon_sym_array] = ACTIONS(4306),
    [anon_sym_string] = ACTIONS(4306),
    [anon_sym_char] = ACTIONS(4306),
    [anon_sym_sql] = ACTIONS(4306),
    [anon_sym_mut] = ACTIONS(4306),
    [anon_sym_C] = ACTIONS(4306),
    [anon_sym_JS] = ACTIONS(4306),
    [anon_sym_voidptr] = ACTIONS(4306),
    [anon_sym_byteptr] = ACTIONS(4306),
    [anon_sym_charptr] = ACTIONS(4306),
    [anon_sym_i8] = ACTIONS(4306),
    [anon_sym_i16] = ACTIONS(4306),
    [anon_sym_i32] = ACTIONS(4306),
    [anon_sym_int] = ACTIONS(4306),
    [anon_sym_i64] = ACTIONS(4306),
    [anon_sym_byte] = ACTIONS(4306),
    [anon_sym_u8] = ACTIONS(4306),
    [anon_sym_u16] = ACTIONS(4306),
    [anon_sym_u32] = ACTIONS(4306),
    [anon_sym_u64] = ACTIONS(4306),
    [anon_sym_f32] = ACTIONS(4306),
    [anon_sym_f64] = ACTIONS(4306),
    [anon_sym_bool] = ACTIONS(4306),
    [anon_sym_rune] = ACTIONS(4306),
    [anon_sym_map] = ACTIONS(4306),
    [anon_sym_mapnode] = ACTIONS(4306),
    [anon_sym_size_t] = ACTIONS(4306),
    [anon_sym_usize] = ACTIONS(4306),
    [anon_sym_isize] = ACTIONS(4306),
    [anon_sym_float_literal] = ACTIONS(4306),
    [anon_sym_int_literal] = ACTIONS(4306),
    [anon_sym_IError] = ACTIONS(4306),
    [sym_type_placeholder] = ACTIONS(4306),
    [anon_sym_AT] = ACTIONS(4306),
    [sym_type_identifier] = ACTIONS(4306),
    [anon_sym_assert] = ACTIONS(4306),
    [anon_sym_defer] = ACTIONS(4306),
    [anon_sym_unsafe] = ACTIONS(4306),
    [anon_sym_pub] = ACTIONS(4306),
    [anon_sym_fn] = ACTIONS(4306),
    [anon_sym___global] = ACTIONS(4306),
    [anon_sym_const] = ACTIONS(4306),
    [anon_sym_asm] = ACTIONS(4306),
    [anon_sym_break] = ACTIONS(4306),
    [anon_sym_continue] = ACTIONS(4306),
    [anon_sym_return] = ACTIONS(4306),
    [anon_sym_type] = ACTIONS(4306),
    [anon_sym_go] = ACTIONS(4306),
    [anon_sym_spawn] = ACTIONS(4306),
    [anon_sym_goto] = ACTIONS(4306),
    [anon_sym_for] = ACTIONS(4306),
    [anon_sym_DOLLARfor] = ACTIONS(4304),
    [anon_sym_DOLLARif] = ACTIONS(4304),
    [anon_sym_if] = ACTIONS(4306),
    [anon_sym_struct] = ACTIONS(4306),
    [anon_sym_union] = ACTIONS(4306),
    [anon_sym_enum] = ACTIONS(4306),
    [anon_sym_interface] = ACTIONS(4306),
    [anon_sym_POUND] = ACTIONS(4304),
    [anon_sym_module] = ACTIONS(4306),
    [anon_sym_import] = ACTIONS(4306),
    [anon_sym_match] = ACTIONS(4306),
    [anon_sym_select] = ACTIONS(4306),
    [anon_sym_lock] = ACTIONS(4306),
    [anon_sym_rlock] = ACTIONS(4306),
    [sym__automatic_separator] = ACTIONS(4304),
    [sym__c_string_opening] = ACTIONS(4304),
    [sym__raw_string_opening] = ACTIONS(4304),
    [sym__string_opening] = ACTIONS(4304),
    [sym__comment] = ACTIONS(3),
  },
  [1637] = {
    [sym_comment] = STATE(1637),
    [ts_builtin_sym_end] = ACTIONS(4308),
    [sym_identifier] = ACTIONS(4310),
    [anon_sym_LPAREN] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(4308),
    [anon_sym_DASH] = ACTIONS(4308),
    [anon_sym_BANG] = ACTIONS(4308),
    [anon_sym_TILDE] = ACTIONS(4308),
    [anon_sym_CARET] = ACTIONS(4308),
    [anon_sym_STAR] = ACTIONS(4308),
    [anon_sym_AMP] = ACTIONS(4308),
    [anon_sym_LT_DASH] = ACTIONS(4308),
    [anon_sym_DOLLAR] = ACTIONS(4310),
    [sym_none] = ACTIONS(4310),
    [sym_true] = ACTIONS(4310),
    [sym_false] = ACTIONS(4310),
    [anon_sym_LBRACE] = ACTIONS(4308),
    [anon_sym_LBRACK] = ACTIONS(4308),
    [anon_sym_map_LBRACK] = ACTIONS(4308),
    [anon_sym_chan] = ACTIONS(4310),
    [anon_sym_shared] = ACTIONS(4310),
    [anon_sym_thread] = ACTIONS(4310),
    [sym_int_literal] = ACTIONS(4310),
    [sym_float_literal] = ACTIONS(4308),
    [sym_rune_literal] = ACTIONS(4308),
    [anon_sym_DOT] = ACTIONS(4310),
    [anon_sym_array] = ACTIONS(4310),
    [anon_sym_string] = ACTIONS(4310),
    [anon_sym_char] = ACTIONS(4310),
    [anon_sym_sql] = ACTIONS(4310),
    [anon_sym_mut] = ACTIONS(4310),
    [anon_sym_C] = ACTIONS(4310),
    [anon_sym_JS] = ACTIONS(4310),
    [anon_sym_voidptr] = ACTIONS(4310),
    [anon_sym_byteptr] = ACTIONS(4310),
    [anon_sym_charptr] = ACTIONS(4310),
    [anon_sym_i8] = ACTIONS(4310),
    [anon_sym_i16] = ACTIONS(4310),
    [anon_sym_i32] = ACTIONS(4310),
    [anon_sym_int] = ACTIONS(4310),
    [anon_sym_i64] = ACTIONS(4310),
    [anon_sym_byte] = ACTIONS(4310),
    [anon_sym_u8] = ACTIONS(4310),
    [anon_sym_u16] = ACTIONS(4310),
    [anon_sym_u32] = ACTIONS(4310),
    [anon_sym_u64] = ACTIONS(4310),
    [anon_sym_f32] = ACTIONS(4310),
    [anon_sym_f64] = ACTIONS(4310),
    [anon_sym_bool] = ACTIONS(4310),
    [anon_sym_rune] = ACTIONS(4310),
    [anon_sym_map] = ACTIONS(4310),
    [anon_sym_mapnode] = ACTIONS(4310),
    [anon_sym_size_t] = ACTIONS(4310),
    [anon_sym_usize] = ACTIONS(4310),
    [anon_sym_isize] = ACTIONS(4310),
    [anon_sym_float_literal] = ACTIONS(4310),
    [anon_sym_int_literal] = ACTIONS(4310),
    [anon_sym_IError] = ACTIONS(4310),
    [sym_type_placeholder] = ACTIONS(4310),
    [anon_sym_AT] = ACTIONS(4310),
    [sym_type_identifier] = ACTIONS(4310),
    [anon_sym_assert] = ACTIONS(4310),
    [anon_sym_defer] = ACTIONS(4310),
    [anon_sym_unsafe] = ACTIONS(4310),
    [anon_sym_pub] = ACTIONS(4310),
    [anon_sym_fn] = ACTIONS(4310),
    [anon_sym___global] = ACTIONS(4310),
    [anon_sym_const] = ACTIONS(4310),
    [anon_sym_asm] = ACTIONS(4310),
    [anon_sym_break] = ACTIONS(4310),
    [anon_sym_continue] = ACTIONS(4310),
    [anon_sym_return] = ACTIONS(4310),
    [anon_sym_type] = ACTIONS(4310),
    [anon_sym_go] = ACTIONS(4310),
    [anon_sym_spawn] = ACTIONS(4310),
    [anon_sym_goto] = ACTIONS(4310),
    [anon_sym_for] = ACTIONS(4310),
    [anon_sym_DOLLARfor] = ACTIONS(4308),
    [anon_sym_DOLLARif] = ACTIONS(4308),
    [anon_sym_if] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(4310),
    [anon_sym_union] = ACTIONS(4310),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_interface] = ACTIONS(4310),
    [anon_sym_POUND] = ACTIONS(4308),
    [anon_sym_module] = ACTIONS(4310),
    [anon_sym_import] = ACTIONS(4310),
    [anon_sym_match] = ACTIONS(4310),
    [anon_sym_select] = ACTIONS(4310),
    [anon_sym_lock] = ACTIONS(4310),
    [anon_sym_rlock] = ACTIONS(4310),
    [sym__automatic_separator] = ACTIONS(4308),
    [sym__c_string_opening] = ACTIONS(4308),
    [sym__raw_string_opening] = ACTIONS(4308),
    [sym__string_opening] = ACTIONS(4308),
    [sym__comment] = ACTIONS(3),
  },
  [1638] = {
    [sym_comment] = STATE(1638),
    [ts_builtin_sym_end] = ACTIONS(4312),
    [sym_identifier] = ACTIONS(4314),
    [anon_sym_LPAREN] = ACTIONS(4312),
    [anon_sym_PLUS] = ACTIONS(4312),
    [anon_sym_DASH] = ACTIONS(4312),
    [anon_sym_BANG] = ACTIONS(4312),
    [anon_sym_TILDE] = ACTIONS(4312),
    [anon_sym_CARET] = ACTIONS(4312),
    [anon_sym_STAR] = ACTIONS(4312),
    [anon_sym_AMP] = ACTIONS(4312),
    [anon_sym_LT_DASH] = ACTIONS(4312),
    [anon_sym_DOLLAR] = ACTIONS(4314),
    [sym_none] = ACTIONS(4314),
    [sym_true] = ACTIONS(4314),
    [sym_false] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(4312),
    [anon_sym_LBRACK] = ACTIONS(4312),
    [anon_sym_map_LBRACK] = ACTIONS(4312),
    [anon_sym_chan] = ACTIONS(4314),
    [anon_sym_shared] = ACTIONS(4314),
    [anon_sym_thread] = ACTIONS(4314),
    [sym_int_literal] = ACTIONS(4314),
    [sym_float_literal] = ACTIONS(4312),
    [sym_rune_literal] = ACTIONS(4312),
    [anon_sym_DOT] = ACTIONS(4314),
    [anon_sym_array] = ACTIONS(4314),
    [anon_sym_string] = ACTIONS(4314),
    [anon_sym_char] = ACTIONS(4314),
    [anon_sym_sql] = ACTIONS(4314),
    [anon_sym_mut] = ACTIONS(4314),
    [anon_sym_C] = ACTIONS(4314),
    [anon_sym_JS] = ACTIONS(4314),
    [anon_sym_voidptr] = ACTIONS(4314),
    [anon_sym_byteptr] = ACTIONS(4314),
    [anon_sym_charptr] = ACTIONS(4314),
    [anon_sym_i8] = ACTIONS(4314),
    [anon_sym_i16] = ACTIONS(4314),
    [anon_sym_i32] = ACTIONS(4314),
    [anon_sym_int] = ACTIONS(4314),
    [anon_sym_i64] = ACTIONS(4314),
    [anon_sym_byte] = ACTIONS(4314),
    [anon_sym_u8] = ACTIONS(4314),
    [anon_sym_u16] = ACTIONS(4314),
    [anon_sym_u32] = ACTIONS(4314),
    [anon_sym_u64] = ACTIONS(4314),
    [anon_sym_f32] = ACTIONS(4314),
    [anon_sym_f64] = ACTIONS(4314),
    [anon_sym_bool] = ACTIONS(4314),
    [anon_sym_rune] = ACTIONS(4314),
    [anon_sym_map] = ACTIONS(4314),
    [anon_sym_mapnode] = ACTIONS(4314),
    [anon_sym_size_t] = ACTIONS(4314),
    [anon_sym_usize] = ACTIONS(4314),
    [anon_sym_isize] = ACTIONS(4314),
    [anon_sym_float_literal] = ACTIONS(4314),
    [anon_sym_int_literal] = ACTIONS(4314),
    [anon_sym_IError] = ACTIONS(4314),
    [sym_type_placeholder] = ACTIONS(4314),
    [anon_sym_AT] = ACTIONS(4314),
    [sym_type_identifier] = ACTIONS(4314),
    [anon_sym_assert] = ACTIONS(4314),
    [anon_sym_defer] = ACTIONS(4314),
    [anon_sym_unsafe] = ACTIONS(4314),
    [anon_sym_pub] = ACTIONS(4314),
    [anon_sym_fn] = ACTIONS(4314),
    [anon_sym___global] = ACTIONS(4314),
    [anon_sym_const] = ACTIONS(4314),
    [anon_sym_asm] = ACTIONS(4314),
    [anon_sym_break] = ACTIONS(4314),
    [anon_sym_continue] = ACTIONS(4314),
    [anon_sym_return] = ACTIONS(4314),
    [anon_sym_type] = ACTIONS(4314),
    [anon_sym_go] = ACTIONS(4314),
    [anon_sym_spawn] = ACTIONS(4314),
    [anon_sym_goto] = ACTIONS(4314),
    [anon_sym_for] = ACTIONS(4314),
    [anon_sym_DOLLARfor] = ACTIONS(4312),
    [anon_sym_DOLLARif] = ACTIONS(4312),
    [anon_sym_if] = ACTIONS(4314),
    [anon_sym_struct] = ACTIONS(4314),
    [anon_sym_union] = ACTIONS(4314),
    [anon_sym_enum] = ACTIONS(4314),
    [anon_sym_interface] = ACTIONS(4314),
    [anon_sym_POUND] = ACTIONS(4312),
    [anon_sym_module] = ACTIONS(4314),
    [anon_sym_import] = ACTIONS(4314),
    [anon_sym_match] = ACTIONS(4314),
    [anon_sym_select] = ACTIONS(4314),
    [anon_sym_lock] = ACTIONS(4314),
    [anon_sym_rlock] = ACTIONS(4314),
    [sym__automatic_separator] = ACTIONS(4312),
    [sym__c_string_opening] = ACTIONS(4312),
    [sym__raw_string_opening] = ACTIONS(4312),
    [sym__string_opening] = ACTIONS(4312),
    [sym__comment] = ACTIONS(3),
  },
  [1639] = {
    [sym_comment] = STATE(1639),
    [ts_builtin_sym_end] = ACTIONS(4316),
    [sym_identifier] = ACTIONS(4318),
    [anon_sym_LPAREN] = ACTIONS(4316),
    [anon_sym_PLUS] = ACTIONS(4316),
    [anon_sym_DASH] = ACTIONS(4316),
    [anon_sym_BANG] = ACTIONS(4316),
    [anon_sym_TILDE] = ACTIONS(4316),
    [anon_sym_CARET] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4316),
    [anon_sym_AMP] = ACTIONS(4316),
    [anon_sym_LT_DASH] = ACTIONS(4316),
    [anon_sym_DOLLAR] = ACTIONS(4318),
    [sym_none] = ACTIONS(4318),
    [sym_true] = ACTIONS(4318),
    [sym_false] = ACTIONS(4318),
    [anon_sym_LBRACE] = ACTIONS(4316),
    [anon_sym_LBRACK] = ACTIONS(4316),
    [anon_sym_map_LBRACK] = ACTIONS(4316),
    [anon_sym_chan] = ACTIONS(4318),
    [anon_sym_shared] = ACTIONS(4318),
    [anon_sym_thread] = ACTIONS(4318),
    [sym_int_literal] = ACTIONS(4318),
    [sym_float_literal] = ACTIONS(4316),
    [sym_rune_literal] = ACTIONS(4316),
    [anon_sym_DOT] = ACTIONS(4318),
    [anon_sym_array] = ACTIONS(4318),
    [anon_sym_string] = ACTIONS(4318),
    [anon_sym_char] = ACTIONS(4318),
    [anon_sym_sql] = ACTIONS(4318),
    [anon_sym_mut] = ACTIONS(4318),
    [anon_sym_C] = ACTIONS(4318),
    [anon_sym_JS] = ACTIONS(4318),
    [anon_sym_voidptr] = ACTIONS(4318),
    [anon_sym_byteptr] = ACTIONS(4318),
    [anon_sym_charptr] = ACTIONS(4318),
    [anon_sym_i8] = ACTIONS(4318),
    [anon_sym_i16] = ACTIONS(4318),
    [anon_sym_i32] = ACTIONS(4318),
    [anon_sym_int] = ACTIONS(4318),
    [anon_sym_i64] = ACTIONS(4318),
    [anon_sym_byte] = ACTIONS(4318),
    [anon_sym_u8] = ACTIONS(4318),
    [anon_sym_u16] = ACTIONS(4318),
    [anon_sym_u32] = ACTIONS(4318),
    [anon_sym_u64] = ACTIONS(4318),
    [anon_sym_f32] = ACTIONS(4318),
    [anon_sym_f64] = ACTIONS(4318),
    [anon_sym_bool] = ACTIONS(4318),
    [anon_sym_rune] = ACTIONS(4318),
    [anon_sym_map] = ACTIONS(4318),
    [anon_sym_mapnode] = ACTIONS(4318),
    [anon_sym_size_t] = ACTIONS(4318),
    [anon_sym_usize] = ACTIONS(4318),
    [anon_sym_isize] = ACTIONS(4318),
    [anon_sym_float_literal] = ACTIONS(4318),
    [anon_sym_int_literal] = ACTIONS(4318),
    [anon_sym_IError] = ACTIONS(4318),
    [sym_type_placeholder] = ACTIONS(4318),
    [anon_sym_AT] = ACTIONS(4318),
    [sym_type_identifier] = ACTIONS(4318),
    [anon_sym_assert] = ACTIONS(4318),
    [anon_sym_defer] = ACTIONS(4318),
    [anon_sym_unsafe] = ACTIONS(4318),
    [anon_sym_pub] = ACTIONS(4318),
    [anon_sym_fn] = ACTIONS(4318),
    [anon_sym___global] = ACTIONS(4318),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_asm] = ACTIONS(4318),
    [anon_sym_break] = ACTIONS(4318),
    [anon_sym_continue] = ACTIONS(4318),
    [anon_sym_return] = ACTIONS(4318),
    [anon_sym_type] = ACTIONS(4318),
    [anon_sym_go] = ACTIONS(4318),
    [anon_sym_spawn] = ACTIONS(4318),
    [anon_sym_goto] = ACTIONS(4318),
    [anon_sym_for] = ACTIONS(4318),
    [anon_sym_DOLLARfor] = ACTIONS(4316),
    [anon_sym_DOLLARif] = ACTIONS(4316),
    [anon_sym_if] = ACTIONS(4318),
    [anon_sym_struct] = ACTIONS(4318),
    [anon_sym_union] = ACTIONS(4318),
    [anon_sym_enum] = ACTIONS(4318),
    [anon_sym_interface] = ACTIONS(4318),
    [anon_sym_POUND] = ACTIONS(4316),
    [anon_sym_module] = ACTIONS(4318),
    [anon_sym_import] = ACTIONS(4318),
    [anon_sym_match] = ACTIONS(4318),
    [anon_sym_select] = ACTIONS(4318),
    [anon_sym_lock] = ACTIONS(4318),
    [anon_sym_rlock] = ACTIONS(4318),
    [sym__automatic_separator] = ACTIONS(4316),
    [sym__c_string_opening] = ACTIONS(4316),
    [sym__raw_string_opening] = ACTIONS(4316),
    [sym__string_opening] = ACTIONS(4316),
    [sym__comment] = ACTIONS(3),
  },
  [1640] = {
    [sym_comment] = STATE(1640),
    [sym_identifier] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_CARET] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_LT_DASH] = ACTIONS(1038),
    [anon_sym_SLASH] = ACTIONS(1038),
    [anon_sym_PERCENT] = ACTIONS(1038),
    [anon_sym_LT_LT] = ACTIONS(1038),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_BANGin] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_or] = ACTIONS(1040),
    [sym_none] = ACTIONS(1040),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_RBRACK] = ACTIONS(1038),
    [anon_sym_map_LBRACK] = ACTIONS(1038),
    [anon_sym_chan] = ACTIONS(1040),
    [anon_sym_shared] = ACTIONS(1040),
    [anon_sym_thread] = ACTIONS(1040),
    [sym_int_literal] = ACTIONS(1040),
    [sym_float_literal] = ACTIONS(1038),
    [sym_rune_literal] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_array] = ACTIONS(1040),
    [anon_sym_string] = ACTIONS(1040),
    [anon_sym_char] = ACTIONS(1040),
    [anon_sym_sql] = ACTIONS(1040),
    [anon_sym_mut] = ACTIONS(1040),
    [anon_sym_C] = ACTIONS(1040),
    [anon_sym_JS] = ACTIONS(1040),
    [anon_sym_voidptr] = ACTIONS(1040),
    [anon_sym_byteptr] = ACTIONS(1040),
    [anon_sym_charptr] = ACTIONS(1040),
    [anon_sym_i8] = ACTIONS(1040),
    [anon_sym_i16] = ACTIONS(1040),
    [anon_sym_i32] = ACTIONS(1040),
    [anon_sym_int] = ACTIONS(1040),
    [anon_sym_i64] = ACTIONS(1040),
    [anon_sym_byte] = ACTIONS(1040),
    [anon_sym_u8] = ACTIONS(1040),
    [anon_sym_u16] = ACTIONS(1040),
    [anon_sym_u32] = ACTIONS(1040),
    [anon_sym_u64] = ACTIONS(1040),
    [anon_sym_f32] = ACTIONS(1040),
    [anon_sym_f64] = ACTIONS(1040),
    [anon_sym_bool] = ACTIONS(1040),
    [anon_sym_rune] = ACTIONS(1040),
    [anon_sym_map] = ACTIONS(1040),
    [anon_sym_mapnode] = ACTIONS(1040),
    [anon_sym_size_t] = ACTIONS(1040),
    [anon_sym_usize] = ACTIONS(1040),
    [anon_sym_isize] = ACTIONS(1040),
    [anon_sym_float_literal] = ACTIONS(1040),
    [anon_sym_int_literal] = ACTIONS(1040),
    [anon_sym_IError] = ACTIONS(1040),
    [sym_type_placeholder] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [sym_type_identifier] = ACTIONS(1040),
    [anon_sym_unsafe] = ACTIONS(1040),
    [anon_sym_fn] = ACTIONS(1040),
    [anon_sym_DOLLARif] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_is] = ACTIONS(1040),
    [anon_sym_BANGis] = ACTIONS(1038),
    [anon_sym_match] = ACTIONS(1040),
    [anon_sym_select] = ACTIONS(1040),
    [anon_sym_lock] = ACTIONS(1040),
    [anon_sym_rlock] = ACTIONS(1040),
    [sym__c_string_opening] = ACTIONS(1038),
    [sym__raw_string_opening] = ACTIONS(1038),
    [sym__string_opening] = ACTIONS(1038),
    [sym__comment] = ACTIONS(3),
  },
  [1641] = {
    [sym_comment] = STATE(1641),
    [sym_identifier] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_CARET] = ACTIONS(1060),
    [anon_sym_STAR] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1062),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_PERCENT] = ACTIONS(1060),
    [anon_sym_LT_LT] = ACTIONS(1060),
    [anon_sym_GT_GT] = ACTIONS(1062),
    [anon_sym_GT_GT_GT] = ACTIONS(1060),
    [anon_sym_AMP_CARET] = ACTIONS(1060),
    [anon_sym_PIPE] = ACTIONS(1062),
    [anon_sym_EQ_EQ] = ACTIONS(1060),
    [anon_sym_BANG_EQ] = ACTIONS(1060),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_LT_EQ] = ACTIONS(1060),
    [anon_sym_GT] = ACTIONS(1062),
    [anon_sym_GT_EQ] = ACTIONS(1060),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_BANGin] = ACTIONS(1060),
    [anon_sym_AMP_AMP] = ACTIONS(1060),
    [anon_sym_PIPE_PIPE] = ACTIONS(1060),
    [anon_sym_as] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_or] = ACTIONS(1062),
    [sym_none] = ACTIONS(1062),
    [sym_true] = ACTIONS(1062),
    [sym_false] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_RBRACK] = ACTIONS(1060),
    [anon_sym_map_LBRACK] = ACTIONS(1060),
    [anon_sym_chan] = ACTIONS(1062),
    [anon_sym_shared] = ACTIONS(1062),
    [anon_sym_thread] = ACTIONS(1062),
    [sym_int_literal] = ACTIONS(1062),
    [sym_float_literal] = ACTIONS(1060),
    [sym_rune_literal] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1062),
    [anon_sym_array] = ACTIONS(1062),
    [anon_sym_string] = ACTIONS(1062),
    [anon_sym_char] = ACTIONS(1062),
    [anon_sym_sql] = ACTIONS(1062),
    [anon_sym_mut] = ACTIONS(1062),
    [anon_sym_C] = ACTIONS(1062),
    [anon_sym_JS] = ACTIONS(1062),
    [anon_sym_voidptr] = ACTIONS(1062),
    [anon_sym_byteptr] = ACTIONS(1062),
    [anon_sym_charptr] = ACTIONS(1062),
    [anon_sym_i8] = ACTIONS(1062),
    [anon_sym_i16] = ACTIONS(1062),
    [anon_sym_i32] = ACTIONS(1062),
    [anon_sym_int] = ACTIONS(1062),
    [anon_sym_i64] = ACTIONS(1062),
    [anon_sym_byte] = ACTIONS(1062),
    [anon_sym_u8] = ACTIONS(1062),
    [anon_sym_u16] = ACTIONS(1062),
    [anon_sym_u32] = ACTIONS(1062),
    [anon_sym_u64] = ACTIONS(1062),
    [anon_sym_f32] = ACTIONS(1062),
    [anon_sym_f64] = ACTIONS(1062),
    [anon_sym_bool] = ACTIONS(1062),
    [anon_sym_rune] = ACTIONS(1062),
    [anon_sym_map] = ACTIONS(1062),
    [anon_sym_mapnode] = ACTIONS(1062),
    [anon_sym_size_t] = ACTIONS(1062),
    [anon_sym_usize] = ACTIONS(1062),
    [anon_sym_isize] = ACTIONS(1062),
    [anon_sym_float_literal] = ACTIONS(1062),
    [anon_sym_int_literal] = ACTIONS(1062),
    [anon_sym_IError] = ACTIONS(1062),
    [sym_type_placeholder] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [sym_type_identifier] = ACTIONS(1062),
    [anon_sym_unsafe] = ACTIONS(1062),
    [anon_sym_fn] = ACTIONS(1062),
    [anon_sym_DOLLARif] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_is] = ACTIONS(1062),
    [anon_sym_BANGis] = ACTIONS(1060),
    [anon_sym_match] = ACTIONS(1062),
    [anon_sym_select] = ACTIONS(1062),
    [anon_sym_lock] = ACTIONS(1062),
    [anon_sym_rlock] = ACTIONS(1062),
    [sym__c_string_opening] = ACTIONS(1060),
    [sym__raw_string_opening] = ACTIONS(1060),
    [sym__string_opening] = ACTIONS(1060),
    [sym__comment] = ACTIONS(3),
  },
  [1642] = {
    [sym_comment] = STATE(1642),
    [ts_builtin_sym_end] = ACTIONS(4320),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_LPAREN] = ACTIONS(4320),
    [anon_sym_PLUS] = ACTIONS(4320),
    [anon_sym_DASH] = ACTIONS(4320),
    [anon_sym_BANG] = ACTIONS(4320),
    [anon_sym_TILDE] = ACTIONS(4320),
    [anon_sym_CARET] = ACTIONS(4320),
    [anon_sym_STAR] = ACTIONS(4320),
    [anon_sym_AMP] = ACTIONS(4320),
    [anon_sym_LT_DASH] = ACTIONS(4320),
    [anon_sym_DOLLAR] = ACTIONS(4322),
    [sym_none] = ACTIONS(4322),
    [sym_true] = ACTIONS(4322),
    [sym_false] = ACTIONS(4322),
    [anon_sym_LBRACE] = ACTIONS(4320),
    [anon_sym_LBRACK] = ACTIONS(4320),
    [anon_sym_map_LBRACK] = ACTIONS(4320),
    [anon_sym_chan] = ACTIONS(4322),
    [anon_sym_shared] = ACTIONS(4322),
    [anon_sym_thread] = ACTIONS(4322),
    [sym_int_literal] = ACTIONS(4322),
    [sym_float_literal] = ACTIONS(4320),
    [sym_rune_literal] = ACTIONS(4320),
    [anon_sym_DOT] = ACTIONS(4322),
    [anon_sym_array] = ACTIONS(4322),
    [anon_sym_string] = ACTIONS(4322),
    [anon_sym_char] = ACTIONS(4322),
    [anon_sym_sql] = ACTIONS(4322),
    [anon_sym_mut] = ACTIONS(4322),
    [anon_sym_C] = ACTIONS(4322),
    [anon_sym_JS] = ACTIONS(4322),
    [anon_sym_voidptr] = ACTIONS(4322),
    [anon_sym_byteptr] = ACTIONS(4322),
    [anon_sym_charptr] = ACTIONS(4322),
    [anon_sym_i8] = ACTIONS(4322),
    [anon_sym_i16] = ACTIONS(4322),
    [anon_sym_i32] = ACTIONS(4322),
    [anon_sym_int] = ACTIONS(4322),
    [anon_sym_i64] = ACTIONS(4322),
    [anon_sym_byte] = ACTIONS(4322),
    [anon_sym_u8] = ACTIONS(4322),
    [anon_sym_u16] = ACTIONS(4322),
    [anon_sym_u32] = ACTIONS(4322),
    [anon_sym_u64] = ACTIONS(4322),
    [anon_sym_f32] = ACTIONS(4322),
    [anon_sym_f64] = ACTIONS(4322),
    [anon_sym_bool] = ACTIONS(4322),
    [anon_sym_rune] = ACTIONS(4322),
    [anon_sym_map] = ACTIONS(4322),
    [anon_sym_mapnode] = ACTIONS(4322),
    [anon_sym_size_t] = ACTIONS(4322),
    [anon_sym_usize] = ACTIONS(4322),
    [anon_sym_isize] = ACTIONS(4322),
    [anon_sym_float_literal] = ACTIONS(4322),
    [anon_sym_int_literal] = ACTIONS(4322),
    [anon_sym_IError] = ACTIONS(4322),
    [sym_type_placeholder] = ACTIONS(4322),
    [anon_sym_AT] = ACTIONS(4322),
    [sym_type_identifier] = ACTIONS(4322),
    [anon_sym_assert] = ACTIONS(4322),
    [anon_sym_defer] = ACTIONS(4322),
    [anon_sym_unsafe] = ACTIONS(4322),
    [anon_sym_pub] = ACTIONS(4322),
    [anon_sym_fn] = ACTIONS(4322),
    [anon_sym___global] = ACTIONS(4322),
    [anon_sym_const] = ACTIONS(4322),
    [anon_sym_asm] = ACTIONS(4322),
    [anon_sym_break] = ACTIONS(4322),
    [anon_sym_continue] = ACTIONS(4322),
    [anon_sym_return] = ACTIONS(4322),
    [anon_sym_type] = ACTIONS(4322),
    [anon_sym_go] = ACTIONS(4322),
    [anon_sym_spawn] = ACTIONS(4322),
    [anon_sym_goto] = ACTIONS(4322),
    [anon_sym_for] = ACTIONS(4322),
    [anon_sym_DOLLARfor] = ACTIONS(4320),
    [anon_sym_DOLLARif] = ACTIONS(4320),
    [anon_sym_if] = ACTIONS(4322),
    [anon_sym_struct] = ACTIONS(4322),
    [anon_sym_union] = ACTIONS(4322),
    [anon_sym_enum] = ACTIONS(4322),
    [anon_sym_interface] = ACTIONS(4322),
    [anon_sym_POUND] = ACTIONS(4320),
    [anon_sym_module] = ACTIONS(4322),
    [anon_sym_import] = ACTIONS(4322),
    [anon_sym_match] = ACTIONS(4322),
    [anon_sym_select] = ACTIONS(4322),
    [anon_sym_lock] = ACTIONS(4322),
    [anon_sym_rlock] = ACTIONS(4322),
    [sym__automatic_separator] = ACTIONS(4320),
    [sym__c_string_opening] = ACTIONS(4320),
    [sym__raw_string_opening] = ACTIONS(4320),
    [sym__string_opening] = ACTIONS(4320),
    [sym__comment] = ACTIONS(3),
  },
  [1643] = {
    [sym_comment] = STATE(1643),
    [ts_builtin_sym_end] = ACTIONS(4324),
    [sym_identifier] = ACTIONS(4326),
    [anon_sym_LPAREN] = ACTIONS(4324),
    [anon_sym_PLUS] = ACTIONS(4324),
    [anon_sym_DASH] = ACTIONS(4324),
    [anon_sym_BANG] = ACTIONS(4324),
    [anon_sym_TILDE] = ACTIONS(4324),
    [anon_sym_CARET] = ACTIONS(4324),
    [anon_sym_STAR] = ACTIONS(4324),
    [anon_sym_AMP] = ACTIONS(4324),
    [anon_sym_LT_DASH] = ACTIONS(4324),
    [anon_sym_DOLLAR] = ACTIONS(4326),
    [sym_none] = ACTIONS(4326),
    [sym_true] = ACTIONS(4326),
    [sym_false] = ACTIONS(4326),
    [anon_sym_LBRACE] = ACTIONS(4324),
    [anon_sym_LBRACK] = ACTIONS(4324),
    [anon_sym_map_LBRACK] = ACTIONS(4324),
    [anon_sym_chan] = ACTIONS(4326),
    [anon_sym_shared] = ACTIONS(4326),
    [anon_sym_thread] = ACTIONS(4326),
    [sym_int_literal] = ACTIONS(4326),
    [sym_float_literal] = ACTIONS(4324),
    [sym_rune_literal] = ACTIONS(4324),
    [anon_sym_DOT] = ACTIONS(4326),
    [anon_sym_array] = ACTIONS(4326),
    [anon_sym_string] = ACTIONS(4326),
    [anon_sym_char] = ACTIONS(4326),
    [anon_sym_sql] = ACTIONS(4326),
    [anon_sym_mut] = ACTIONS(4326),
    [anon_sym_C] = ACTIONS(4326),
    [anon_sym_JS] = ACTIONS(4326),
    [anon_sym_voidptr] = ACTIONS(4326),
    [anon_sym_byteptr] = ACTIONS(4326),
    [anon_sym_charptr] = ACTIONS(4326),
    [anon_sym_i8] = ACTIONS(4326),
    [anon_sym_i16] = ACTIONS(4326),
    [anon_sym_i32] = ACTIONS(4326),
    [anon_sym_int] = ACTIONS(4326),
    [anon_sym_i64] = ACTIONS(4326),
    [anon_sym_byte] = ACTIONS(4326),
    [anon_sym_u8] = ACTIONS(4326),
    [anon_sym_u16] = ACTIONS(4326),
    [anon_sym_u32] = ACTIONS(4326),
    [anon_sym_u64] = ACTIONS(4326),
    [anon_sym_f32] = ACTIONS(4326),
    [anon_sym_f64] = ACTIONS(4326),
    [anon_sym_bool] = ACTIONS(4326),
    [anon_sym_rune] = ACTIONS(4326),
    [anon_sym_map] = ACTIONS(4326),
    [anon_sym_mapnode] = ACTIONS(4326),
    [anon_sym_size_t] = ACTIONS(4326),
    [anon_sym_usize] = ACTIONS(4326),
    [anon_sym_isize] = ACTIONS(4326),
    [anon_sym_float_literal] = ACTIONS(4326),
    [anon_sym_int_literal] = ACTIONS(4326),
    [anon_sym_IError] = ACTIONS(4326),
    [sym_type_placeholder] = ACTIONS(4326),
    [anon_sym_AT] = ACTIONS(4326),
    [sym_type_identifier] = ACTIONS(4326),
    [anon_sym_assert] = ACTIONS(4326),
    [anon_sym_defer] = ACTIONS(4326),
    [anon_sym_unsafe] = ACTIONS(4326),
    [anon_sym_pub] = ACTIONS(4326),
    [anon_sym_fn] = ACTIONS(4326),
    [anon_sym___global] = ACTIONS(4326),
    [anon_sym_const] = ACTIONS(4326),
    [anon_sym_asm] = ACTIONS(4326),
    [anon_sym_break] = ACTIONS(4326),
    [anon_sym_continue] = ACTIONS(4326),
    [anon_sym_return] = ACTIONS(4326),
    [anon_sym_type] = ACTIONS(4326),
    [anon_sym_go] = ACTIONS(4326),
    [anon_sym_spawn] = ACTIONS(4326),
    [anon_sym_goto] = ACTIONS(4326),
    [anon_sym_for] = ACTIONS(4326),
    [anon_sym_DOLLARfor] = ACTIONS(4324),
    [anon_sym_DOLLARif] = ACTIONS(4324),
    [anon_sym_if] = ACTIONS(4326),
    [anon_sym_struct] = ACTIONS(4326),
    [anon_sym_union] = ACTIONS(4326),
    [anon_sym_enum] = ACTIONS(4326),
    [anon_sym_interface] = ACTIONS(4326),
    [anon_sym_POUND] = ACTIONS(4324),
    [anon_sym_module] = ACTIONS(4326),
    [anon_sym_import] = ACTIONS(4326),
    [anon_sym_match] = ACTIONS(4326),
    [anon_sym_select] = ACTIONS(4326),
    [anon_sym_lock] = ACTIONS(4326),
    [anon_sym_rlock] = ACTIONS(4326),
    [sym__automatic_separator] = ACTIONS(4324),
    [sym__c_string_opening] = ACTIONS(4324),
    [sym__raw_string_opening] = ACTIONS(4324),
    [sym__string_opening] = ACTIONS(4324),
    [sym__comment] = ACTIONS(3),
  },
  [1644] = {
    [sym_comment] = STATE(1644),
    [ts_builtin_sym_end] = ACTIONS(4328),
    [sym_identifier] = ACTIONS(4330),
    [anon_sym_LPAREN] = ACTIONS(4328),
    [anon_sym_PLUS] = ACTIONS(4328),
    [anon_sym_DASH] = ACTIONS(4328),
    [anon_sym_BANG] = ACTIONS(4328),
    [anon_sym_TILDE] = ACTIONS(4328),
    [anon_sym_CARET] = ACTIONS(4328),
    [anon_sym_STAR] = ACTIONS(4328),
    [anon_sym_AMP] = ACTIONS(4328),
    [anon_sym_LT_DASH] = ACTIONS(4328),
    [anon_sym_DOLLAR] = ACTIONS(4330),
    [sym_none] = ACTIONS(4330),
    [sym_true] = ACTIONS(4330),
    [sym_false] = ACTIONS(4330),
    [anon_sym_LBRACE] = ACTIONS(4328),
    [anon_sym_LBRACK] = ACTIONS(4328),
    [anon_sym_map_LBRACK] = ACTIONS(4328),
    [anon_sym_chan] = ACTIONS(4330),
    [anon_sym_shared] = ACTIONS(4330),
    [anon_sym_thread] = ACTIONS(4330),
    [sym_int_literal] = ACTIONS(4330),
    [sym_float_literal] = ACTIONS(4328),
    [sym_rune_literal] = ACTIONS(4328),
    [anon_sym_DOT] = ACTIONS(4330),
    [anon_sym_array] = ACTIONS(4330),
    [anon_sym_string] = ACTIONS(4330),
    [anon_sym_char] = ACTIONS(4330),
    [anon_sym_sql] = ACTIONS(4330),
    [anon_sym_mut] = ACTIONS(4330),
    [anon_sym_C] = ACTIONS(4330),
    [anon_sym_JS] = ACTIONS(4330),
    [anon_sym_voidptr] = ACTIONS(4330),
    [anon_sym_byteptr] = ACTIONS(4330),
    [anon_sym_charptr] = ACTIONS(4330),
    [anon_sym_i8] = ACTIONS(4330),
    [anon_sym_i16] = ACTIONS(4330),
    [anon_sym_i32] = ACTIONS(4330),
    [anon_sym_int] = ACTIONS(4330),
    [anon_sym_i64] = ACTIONS(4330),
    [anon_sym_byte] = ACTIONS(4330),
    [anon_sym_u8] = ACTIONS(4330),
    [anon_sym_u16] = ACTIONS(4330),
    [anon_sym_u32] = ACTIONS(4330),
    [anon_sym_u64] = ACTIONS(4330),
    [anon_sym_f32] = ACTIONS(4330),
    [anon_sym_f64] = ACTIONS(4330),
    [anon_sym_bool] = ACTIONS(4330),
    [anon_sym_rune] = ACTIONS(4330),
    [anon_sym_map] = ACTIONS(4330),
    [anon_sym_mapnode] = ACTIONS(4330),
    [anon_sym_size_t] = ACTIONS(4330),
    [anon_sym_usize] = ACTIONS(4330),
    [anon_sym_isize] = ACTIONS(4330),
    [anon_sym_float_literal] = ACTIONS(4330),
    [anon_sym_int_literal] = ACTIONS(4330),
    [anon_sym_IError] = ACTIONS(4330),
    [sym_type_placeholder] = ACTIONS(4330),
    [anon_sym_AT] = ACTIONS(4330),
    [sym_type_identifier] = ACTIONS(4330),
    [anon_sym_assert] = ACTIONS(4330),
    [anon_sym_defer] = ACTIONS(4330),
    [anon_sym_unsafe] = ACTIONS(4330),
    [anon_sym_pub] = ACTIONS(4330),
    [anon_sym_fn] = ACTIONS(4330),
    [anon_sym___global] = ACTIONS(4330),
    [anon_sym_const] = ACTIONS(4330),
    [anon_sym_asm] = ACTIONS(4330),
    [anon_sym_break] = ACTIONS(4330),
    [anon_sym_continue] = ACTIONS(4330),
    [anon_sym_return] = ACTIONS(4330),
    [anon_sym_type] = ACTIONS(4330),
    [anon_sym_go] = ACTIONS(4330),
    [anon_sym_spawn] = ACTIONS(4330),
    [anon_sym_goto] = ACTIONS(4330),
    [anon_sym_for] = ACTIONS(4330),
    [anon_sym_DOLLARfor] = ACTIONS(4328),
    [anon_sym_DOLLARif] = ACTIONS(4328),
    [anon_sym_if] = ACTIONS(4330),
    [anon_sym_struct] = ACTIONS(4330),
    [anon_sym_union] = ACTIONS(4330),
    [anon_sym_enum] = ACTIONS(4330),
    [anon_sym_interface] = ACTIONS(4330),
    [anon_sym_POUND] = ACTIONS(4328),
    [anon_sym_module] = ACTIONS(4330),
    [anon_sym_import] = ACTIONS(4330),
    [anon_sym_match] = ACTIONS(4330),
    [anon_sym_select] = ACTIONS(4330),
    [anon_sym_lock] = ACTIONS(4330),
    [anon_sym_rlock] = ACTIONS(4330),
    [sym__automatic_separator] = ACTIONS(4328),
    [sym__c_string_opening] = ACTIONS(4328),
    [sym__raw_string_opening] = ACTIONS(4328),
    [sym__string_opening] = ACTIONS(4328),
    [sym__comment] = ACTIONS(3),
  },
  [1645] = {
    [sym_comment] = STATE(1645),
    [ts_builtin_sym_end] = ACTIONS(4332),
    [sym_identifier] = ACTIONS(4334),
    [anon_sym_LPAREN] = ACTIONS(4332),
    [anon_sym_PLUS] = ACTIONS(4332),
    [anon_sym_DASH] = ACTIONS(4332),
    [anon_sym_BANG] = ACTIONS(4332),
    [anon_sym_TILDE] = ACTIONS(4332),
    [anon_sym_CARET] = ACTIONS(4332),
    [anon_sym_STAR] = ACTIONS(4332),
    [anon_sym_AMP] = ACTIONS(4332),
    [anon_sym_LT_DASH] = ACTIONS(4332),
    [anon_sym_DOLLAR] = ACTIONS(4334),
    [sym_none] = ACTIONS(4334),
    [sym_true] = ACTIONS(4334),
    [sym_false] = ACTIONS(4334),
    [anon_sym_LBRACE] = ACTIONS(4332),
    [anon_sym_LBRACK] = ACTIONS(4332),
    [anon_sym_map_LBRACK] = ACTIONS(4332),
    [anon_sym_chan] = ACTIONS(4334),
    [anon_sym_shared] = ACTIONS(4334),
    [anon_sym_thread] = ACTIONS(4334),
    [sym_int_literal] = ACTIONS(4334),
    [sym_float_literal] = ACTIONS(4332),
    [sym_rune_literal] = ACTIONS(4332),
    [anon_sym_DOT] = ACTIONS(4334),
    [anon_sym_array] = ACTIONS(4334),
    [anon_sym_string] = ACTIONS(4334),
    [anon_sym_char] = ACTIONS(4334),
    [anon_sym_sql] = ACTIONS(4334),
    [anon_sym_mut] = ACTIONS(4334),
    [anon_sym_C] = ACTIONS(4334),
    [anon_sym_JS] = ACTIONS(4334),
    [anon_sym_voidptr] = ACTIONS(4334),
    [anon_sym_byteptr] = ACTIONS(4334),
    [anon_sym_charptr] = ACTIONS(4334),
    [anon_sym_i8] = ACTIONS(4334),
    [anon_sym_i16] = ACTIONS(4334),
    [anon_sym_i32] = ACTIONS(4334),
    [anon_sym_int] = ACTIONS(4334),
    [anon_sym_i64] = ACTIONS(4334),
    [anon_sym_byte] = ACTIONS(4334),
    [anon_sym_u8] = ACTIONS(4334),
    [anon_sym_u16] = ACTIONS(4334),
    [anon_sym_u32] = ACTIONS(4334),
    [anon_sym_u64] = ACTIONS(4334),
    [anon_sym_f32] = ACTIONS(4334),
    [anon_sym_f64] = ACTIONS(4334),
    [anon_sym_bool] = ACTIONS(4334),
    [anon_sym_rune] = ACTIONS(4334),
    [anon_sym_map] = ACTIONS(4334),
    [anon_sym_mapnode] = ACTIONS(4334),
    [anon_sym_size_t] = ACTIONS(4334),
    [anon_sym_usize] = ACTIONS(4334),
    [anon_sym_isize] = ACTIONS(4334),
    [anon_sym_float_literal] = ACTIONS(4334),
    [anon_sym_int_literal] = ACTIONS(4334),
    [anon_sym_IError] = ACTIONS(4334),
    [sym_type_placeholder] = ACTIONS(4334),
    [anon_sym_AT] = ACTIONS(4334),
    [sym_type_identifier] = ACTIONS(4334),
    [anon_sym_assert] = ACTIONS(4334),
    [anon_sym_defer] = ACTIONS(4334),
    [anon_sym_unsafe] = ACTIONS(4334),
    [anon_sym_pub] = ACTIONS(4334),
    [anon_sym_fn] = ACTIONS(4334),
    [anon_sym___global] = ACTIONS(4334),
    [anon_sym_const] = ACTIONS(4334),
    [anon_sym_asm] = ACTIONS(4334),
    [anon_sym_break] = ACTIONS(4334),
    [anon_sym_continue] = ACTIONS(4334),
    [anon_sym_return] = ACTIONS(4334),
    [anon_sym_type] = ACTIONS(4334),
    [anon_sym_go] = ACTIONS(4334),
    [anon_sym_spawn] = ACTIONS(4334),
    [anon_sym_goto] = ACTIONS(4334),
    [anon_sym_for] = ACTIONS(4334),
    [anon_sym_DOLLARfor] = ACTIONS(4332),
    [anon_sym_DOLLARif] = ACTIONS(4332),
    [anon_sym_if] = ACTIONS(4334),
    [anon_sym_struct] = ACTIONS(4334),
    [anon_sym_union] = ACTIONS(4334),
    [anon_sym_enum] = ACTIONS(4334),
    [anon_sym_interface] = ACTIONS(4334),
    [anon_sym_POUND] = ACTIONS(4332),
    [anon_sym_module] = ACTIONS(4334),
    [anon_sym_import] = ACTIONS(4334),
    [anon_sym_match] = ACTIONS(4334),
    [anon_sym_select] = ACTIONS(4334),
    [anon_sym_lock] = ACTIONS(4334),
    [anon_sym_rlock] = ACTIONS(4334),
    [sym__automatic_separator] = ACTIONS(4332),
    [sym__c_string_opening] = ACTIONS(4332),
    [sym__raw_string_opening] = ACTIONS(4332),
    [sym__string_opening] = ACTIONS(4332),
    [sym__comment] = ACTIONS(3),
  },
  [1646] = {
    [sym_comment] = STATE(1646),
    [ts_builtin_sym_end] = ACTIONS(4336),
    [sym_identifier] = ACTIONS(4338),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_PLUS] = ACTIONS(4336),
    [anon_sym_DASH] = ACTIONS(4336),
    [anon_sym_BANG] = ACTIONS(4336),
    [anon_sym_TILDE] = ACTIONS(4336),
    [anon_sym_CARET] = ACTIONS(4336),
    [anon_sym_STAR] = ACTIONS(4336),
    [anon_sym_AMP] = ACTIONS(4336),
    [anon_sym_LT_DASH] = ACTIONS(4336),
    [anon_sym_DOLLAR] = ACTIONS(4338),
    [sym_none] = ACTIONS(4338),
    [sym_true] = ACTIONS(4338),
    [sym_false] = ACTIONS(4338),
    [anon_sym_LBRACE] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4336),
    [anon_sym_map_LBRACK] = ACTIONS(4336),
    [anon_sym_chan] = ACTIONS(4338),
    [anon_sym_shared] = ACTIONS(4338),
    [anon_sym_thread] = ACTIONS(4338),
    [sym_int_literal] = ACTIONS(4338),
    [sym_float_literal] = ACTIONS(4336),
    [sym_rune_literal] = ACTIONS(4336),
    [anon_sym_DOT] = ACTIONS(4338),
    [anon_sym_array] = ACTIONS(4338),
    [anon_sym_string] = ACTIONS(4338),
    [anon_sym_char] = ACTIONS(4338),
    [anon_sym_sql] = ACTIONS(4338),
    [anon_sym_mut] = ACTIONS(4338),
    [anon_sym_C] = ACTIONS(4338),
    [anon_sym_JS] = ACTIONS(4338),
    [anon_sym_voidptr] = ACTIONS(4338),
    [anon_sym_byteptr] = ACTIONS(4338),
    [anon_sym_charptr] = ACTIONS(4338),
    [anon_sym_i8] = ACTIONS(4338),
    [anon_sym_i16] = ACTIONS(4338),
    [anon_sym_i32] = ACTIONS(4338),
    [anon_sym_int] = ACTIONS(4338),
    [anon_sym_i64] = ACTIONS(4338),
    [anon_sym_byte] = ACTIONS(4338),
    [anon_sym_u8] = ACTIONS(4338),
    [anon_sym_u16] = ACTIONS(4338),
    [anon_sym_u32] = ACTIONS(4338),
    [anon_sym_u64] = ACTIONS(4338),
    [anon_sym_f32] = ACTIONS(4338),
    [anon_sym_f64] = ACTIONS(4338),
    [anon_sym_bool] = ACTIONS(4338),
    [anon_sym_rune] = ACTIONS(4338),
    [anon_sym_map] = ACTIONS(4338),
    [anon_sym_mapnode] = ACTIONS(4338),
    [anon_sym_size_t] = ACTIONS(4338),
    [anon_sym_usize] = ACTIONS(4338),
    [anon_sym_isize] = ACTIONS(4338),
    [anon_sym_float_literal] = ACTIONS(4338),
    [anon_sym_int_literal] = ACTIONS(4338),
    [anon_sym_IError] = ACTIONS(4338),
    [sym_type_placeholder] = ACTIONS(4338),
    [anon_sym_AT] = ACTIONS(4338),
    [sym_type_identifier] = ACTIONS(4338),
    [anon_sym_assert] = ACTIONS(4338),
    [anon_sym_defer] = ACTIONS(4338),
    [anon_sym_unsafe] = ACTIONS(4338),
    [anon_sym_pub] = ACTIONS(4338),
    [anon_sym_fn] = ACTIONS(4338),
    [anon_sym___global] = ACTIONS(4338),
    [anon_sym_const] = ACTIONS(4338),
    [anon_sym_asm] = ACTIONS(4338),
    [anon_sym_break] = ACTIONS(4338),
    [anon_sym_continue] = ACTIONS(4338),
    [anon_sym_return] = ACTIONS(4338),
    [anon_sym_type] = ACTIONS(4338),
    [anon_sym_go] = ACTIONS(4338),
    [anon_sym_spawn] = ACTIONS(4338),
    [anon_sym_goto] = ACTIONS(4338),
    [anon_sym_for] = ACTIONS(4338),
    [anon_sym_DOLLARfor] = ACTIONS(4336),
    [anon_sym_DOLLARif] = ACTIONS(4336),
    [anon_sym_if] = ACTIONS(4338),
    [anon_sym_struct] = ACTIONS(4338),
    [anon_sym_union] = ACTIONS(4338),
    [anon_sym_enum] = ACTIONS(4338),
    [anon_sym_interface] = ACTIONS(4338),
    [anon_sym_POUND] = ACTIONS(4336),
    [anon_sym_module] = ACTIONS(4338),
    [anon_sym_import] = ACTIONS(4338),
    [anon_sym_match] = ACTIONS(4338),
    [anon_sym_select] = ACTIONS(4338),
    [anon_sym_lock] = ACTIONS(4338),
    [anon_sym_rlock] = ACTIONS(4338),
    [sym__automatic_separator] = ACTIONS(4336),
    [sym__c_string_opening] = ACTIONS(4336),
    [sym__raw_string_opening] = ACTIONS(4336),
    [sym__string_opening] = ACTIONS(4336),
    [sym__comment] = ACTIONS(3),
  },
  [1647] = {
    [sym_comment] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(4340),
    [sym_identifier] = ACTIONS(4342),
    [anon_sym_LPAREN] = ACTIONS(4340),
    [anon_sym_PLUS] = ACTIONS(4340),
    [anon_sym_DASH] = ACTIONS(4340),
    [anon_sym_BANG] = ACTIONS(4340),
    [anon_sym_TILDE] = ACTIONS(4340),
    [anon_sym_CARET] = ACTIONS(4340),
    [anon_sym_STAR] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4340),
    [anon_sym_LT_DASH] = ACTIONS(4340),
    [anon_sym_DOLLAR] = ACTIONS(4342),
    [sym_none] = ACTIONS(4342),
    [sym_true] = ACTIONS(4342),
    [sym_false] = ACTIONS(4342),
    [anon_sym_LBRACE] = ACTIONS(4340),
    [anon_sym_LBRACK] = ACTIONS(4340),
    [anon_sym_map_LBRACK] = ACTIONS(4340),
    [anon_sym_chan] = ACTIONS(4342),
    [anon_sym_shared] = ACTIONS(4342),
    [anon_sym_thread] = ACTIONS(4342),
    [sym_int_literal] = ACTIONS(4342),
    [sym_float_literal] = ACTIONS(4340),
    [sym_rune_literal] = ACTIONS(4340),
    [anon_sym_DOT] = ACTIONS(4342),
    [anon_sym_array] = ACTIONS(4342),
    [anon_sym_string] = ACTIONS(4342),
    [anon_sym_char] = ACTIONS(4342),
    [anon_sym_sql] = ACTIONS(4342),
    [anon_sym_mut] = ACTIONS(4342),
    [anon_sym_C] = ACTIONS(4342),
    [anon_sym_JS] = ACTIONS(4342),
    [anon_sym_voidptr] = ACTIONS(4342),
    [anon_sym_byteptr] = ACTIONS(4342),
    [anon_sym_charptr] = ACTIONS(4342),
    [anon_sym_i8] = ACTIONS(4342),
    [anon_sym_i16] = ACTIONS(4342),
    [anon_sym_i32] = ACTIONS(4342),
    [anon_sym_int] = ACTIONS(4342),
    [anon_sym_i64] = ACTIONS(4342),
    [anon_sym_byte] = ACTIONS(4342),
    [anon_sym_u8] = ACTIONS(4342),
    [anon_sym_u16] = ACTIONS(4342),
    [anon_sym_u32] = ACTIONS(4342),
    [anon_sym_u64] = ACTIONS(4342),
    [anon_sym_f32] = ACTIONS(4342),
    [anon_sym_f64] = ACTIONS(4342),
    [anon_sym_bool] = ACTIONS(4342),
    [anon_sym_rune] = ACTIONS(4342),
    [anon_sym_map] = ACTIONS(4342),
    [anon_sym_mapnode] = ACTIONS(4342),
    [anon_sym_size_t] = ACTIONS(4342),
    [anon_sym_usize] = ACTIONS(4342),
    [anon_sym_isize] = ACTIONS(4342),
    [anon_sym_float_literal] = ACTIONS(4342),
    [anon_sym_int_literal] = ACTIONS(4342),
    [anon_sym_IError] = ACTIONS(4342),
    [sym_type_placeholder] = ACTIONS(4342),
    [anon_sym_AT] = ACTIONS(4342),
    [sym_type_identifier] = ACTIONS(4342),
    [anon_sym_assert] = ACTIONS(4342),
    [anon_sym_defer] = ACTIONS(4342),
    [anon_sym_unsafe] = ACTIONS(4342),
    [anon_sym_pub] = ACTIONS(4342),
    [anon_sym_fn] = ACTIONS(4342),
    [anon_sym___global] = ACTIONS(4342),
    [anon_sym_const] = ACTIONS(4342),
    [anon_sym_asm] = ACTIONS(4342),
    [anon_sym_break] = ACTIONS(4342),
    [anon_sym_continue] = ACTIONS(4342),
    [anon_sym_return] = ACTIONS(4342),
    [anon_sym_type] = ACTIONS(4342),
    [anon_sym_go] = ACTIONS(4342),
    [anon_sym_spawn] = ACTIONS(4342),
    [anon_sym_goto] = ACTIONS(4342),
    [anon_sym_for] = ACTIONS(4342),
    [anon_sym_DOLLARfor] = ACTIONS(4340),
    [anon_sym_DOLLARif] = ACTIONS(4340),
    [anon_sym_if] = ACTIONS(4342),
    [anon_sym_struct] = ACTIONS(4342),
    [anon_sym_union] = ACTIONS(4342),
    [anon_sym_enum] = ACTIONS(4342),
    [anon_sym_interface] = ACTIONS(4342),
    [anon_sym_POUND] = ACTIONS(4340),
    [anon_sym_module] = ACTIONS(4342),
    [anon_sym_import] = ACTIONS(4342),
    [anon_sym_match] = ACTIONS(4342),
    [anon_sym_select] = ACTIONS(4342),
    [anon_sym_lock] = ACTIONS(4342),
    [anon_sym_rlock] = ACTIONS(4342),
    [sym__automatic_separator] = ACTIONS(4340),
    [sym__c_string_opening] = ACTIONS(4340),
    [sym__raw_string_opening] = ACTIONS(4340),
    [sym__string_opening] = ACTIONS(4340),
    [sym__comment] = ACTIONS(3),
  },
  [1648] = {
    [sym_comment] = STATE(1648),
    [ts_builtin_sym_end] = ACTIONS(4344),
    [sym_identifier] = ACTIONS(4346),
    [anon_sym_LPAREN] = ACTIONS(4344),
    [anon_sym_PLUS] = ACTIONS(4344),
    [anon_sym_DASH] = ACTIONS(4344),
    [anon_sym_BANG] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4344),
    [anon_sym_CARET] = ACTIONS(4344),
    [anon_sym_STAR] = ACTIONS(4344),
    [anon_sym_AMP] = ACTIONS(4344),
    [anon_sym_LT_DASH] = ACTIONS(4344),
    [anon_sym_DOLLAR] = ACTIONS(4346),
    [sym_none] = ACTIONS(4346),
    [sym_true] = ACTIONS(4346),
    [sym_false] = ACTIONS(4346),
    [anon_sym_LBRACE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4344),
    [anon_sym_map_LBRACK] = ACTIONS(4344),
    [anon_sym_chan] = ACTIONS(4346),
    [anon_sym_shared] = ACTIONS(4346),
    [anon_sym_thread] = ACTIONS(4346),
    [sym_int_literal] = ACTIONS(4346),
    [sym_float_literal] = ACTIONS(4344),
    [sym_rune_literal] = ACTIONS(4344),
    [anon_sym_DOT] = ACTIONS(4346),
    [anon_sym_array] = ACTIONS(4346),
    [anon_sym_string] = ACTIONS(4346),
    [anon_sym_char] = ACTIONS(4346),
    [anon_sym_sql] = ACTIONS(4346),
    [anon_sym_mut] = ACTIONS(4346),
    [anon_sym_C] = ACTIONS(4346),
    [anon_sym_JS] = ACTIONS(4346),
    [anon_sym_voidptr] = ACTIONS(4346),
    [anon_sym_byteptr] = ACTIONS(4346),
    [anon_sym_charptr] = ACTIONS(4346),
    [anon_sym_i8] = ACTIONS(4346),
    [anon_sym_i16] = ACTIONS(4346),
    [anon_sym_i32] = ACTIONS(4346),
    [anon_sym_int] = ACTIONS(4346),
    [anon_sym_i64] = ACTIONS(4346),
    [anon_sym_byte] = ACTIONS(4346),
    [anon_sym_u8] = ACTIONS(4346),
    [anon_sym_u16] = ACTIONS(4346),
    [anon_sym_u32] = ACTIONS(4346),
    [anon_sym_u64] = ACTIONS(4346),
    [anon_sym_f32] = ACTIONS(4346),
    [anon_sym_f64] = ACTIONS(4346),
    [anon_sym_bool] = ACTIONS(4346),
    [anon_sym_rune] = ACTIONS(4346),
    [anon_sym_map] = ACTIONS(4346),
    [anon_sym_mapnode] = ACTIONS(4346),
    [anon_sym_size_t] = ACTIONS(4346),
    [anon_sym_usize] = ACTIONS(4346),
    [anon_sym_isize] = ACTIONS(4346),
    [anon_sym_float_literal] = ACTIONS(4346),
    [anon_sym_int_literal] = ACTIONS(4346),
    [anon_sym_IError] = ACTIONS(4346),
    [sym_type_placeholder] = ACTIONS(4346),
    [anon_sym_AT] = ACTIONS(4346),
    [sym_type_identifier] = ACTIONS(4346),
    [anon_sym_assert] = ACTIONS(4346),
    [anon_sym_defer] = ACTIONS(4346),
    [anon_sym_unsafe] = ACTIONS(4346),
    [anon_sym_pub] = ACTIONS(4346),
    [anon_sym_fn] = ACTIONS(4346),
    [anon_sym___global] = ACTIONS(4346),
    [anon_sym_const] = ACTIONS(4346),
    [anon_sym_asm] = ACTIONS(4346),
    [anon_sym_break] = ACTIONS(4346),
    [anon_sym_continue] = ACTIONS(4346),
    [anon_sym_return] = ACTIONS(4346),
    [anon_sym_type] = ACTIONS(4346),
    [anon_sym_go] = ACTIONS(4346),
    [anon_sym_spawn] = ACTIONS(4346),
    [anon_sym_goto] = ACTIONS(4346),
    [anon_sym_for] = ACTIONS(4346),
    [anon_sym_DOLLARfor] = ACTIONS(4344),
    [anon_sym_DOLLARif] = ACTIONS(4344),
    [anon_sym_if] = ACTIONS(4346),
    [anon_sym_struct] = ACTIONS(4346),
    [anon_sym_union] = ACTIONS(4346),
    [anon_sym_enum] = ACTIONS(4346),
    [anon_sym_interface] = ACTIONS(4346),
    [anon_sym_POUND] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4346),
    [anon_sym_import] = ACTIONS(4346),
    [anon_sym_match] = ACTIONS(4346),
    [anon_sym_select] = ACTIONS(4346),
    [anon_sym_lock] = ACTIONS(4346),
    [anon_sym_rlock] = ACTIONS(4346),
    [sym__automatic_separator] = ACTIONS(4344),
    [sym__c_string_opening] = ACTIONS(4344),
    [sym__raw_string_opening] = ACTIONS(4344),
    [sym__string_opening] = ACTIONS(4344),
    [sym__comment] = ACTIONS(3),
  },
  [1649] = {
    [sym_comment] = STATE(1649),
    [ts_builtin_sym_end] = ACTIONS(4348),
    [sym_identifier] = ACTIONS(4350),
    [anon_sym_LPAREN] = ACTIONS(4348),
    [anon_sym_PLUS] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4348),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_CARET] = ACTIONS(4348),
    [anon_sym_STAR] = ACTIONS(4348),
    [anon_sym_AMP] = ACTIONS(4348),
    [anon_sym_LT_DASH] = ACTIONS(4348),
    [anon_sym_DOLLAR] = ACTIONS(4350),
    [sym_none] = ACTIONS(4350),
    [sym_true] = ACTIONS(4350),
    [sym_false] = ACTIONS(4350),
    [anon_sym_LBRACE] = ACTIONS(4348),
    [anon_sym_LBRACK] = ACTIONS(4348),
    [anon_sym_map_LBRACK] = ACTIONS(4348),
    [anon_sym_chan] = ACTIONS(4350),
    [anon_sym_shared] = ACTIONS(4350),
    [anon_sym_thread] = ACTIONS(4350),
    [sym_int_literal] = ACTIONS(4350),
    [sym_float_literal] = ACTIONS(4348),
    [sym_rune_literal] = ACTIONS(4348),
    [anon_sym_DOT] = ACTIONS(4350),
    [anon_sym_array] = ACTIONS(4350),
    [anon_sym_string] = ACTIONS(4350),
    [anon_sym_char] = ACTIONS(4350),
    [anon_sym_sql] = ACTIONS(4350),
    [anon_sym_mut] = ACTIONS(4350),
    [anon_sym_C] = ACTIONS(4350),
    [anon_sym_JS] = ACTIONS(4350),
    [anon_sym_voidptr] = ACTIONS(4350),
    [anon_sym_byteptr] = ACTIONS(4350),
    [anon_sym_charptr] = ACTIONS(4350),
    [anon_sym_i8] = ACTIONS(4350),
    [anon_sym_i16] = ACTIONS(4350),
    [anon_sym_i32] = ACTIONS(4350),
    [anon_sym_int] = ACTIONS(4350),
    [anon_sym_i64] = ACTIONS(4350),
    [anon_sym_byte] = ACTIONS(4350),
    [anon_sym_u8] = ACTIONS(4350),
    [anon_sym_u16] = ACTIONS(4350),
    [anon_sym_u32] = ACTIONS(4350),
    [anon_sym_u64] = ACTIONS(4350),
    [anon_sym_f32] = ACTIONS(4350),
    [anon_sym_f64] = ACTIONS(4350),
    [anon_sym_bool] = ACTIONS(4350),
    [anon_sym_rune] = ACTIONS(4350),
    [anon_sym_map] = ACTIONS(4350),
    [anon_sym_mapnode] = ACTIONS(4350),
    [anon_sym_size_t] = ACTIONS(4350),
    [anon_sym_usize] = ACTIONS(4350),
    [anon_sym_isize] = ACTIONS(4350),
    [anon_sym_float_literal] = ACTIONS(4350),
    [anon_sym_int_literal] = ACTIONS(4350),
    [anon_sym_IError] = ACTIONS(4350),
    [sym_type_placeholder] = ACTIONS(4350),
    [anon_sym_AT] = ACTIONS(4350),
    [sym_type_identifier] = ACTIONS(4350),
    [anon_sym_assert] = ACTIONS(4350),
    [anon_sym_defer] = ACTIONS(4350),
    [anon_sym_unsafe] = ACTIONS(4350),
    [anon_sym_pub] = ACTIONS(4350),
    [anon_sym_fn] = ACTIONS(4350),
    [anon_sym___global] = ACTIONS(4350),
    [anon_sym_const] = ACTIONS(4350),
    [anon_sym_asm] = ACTIONS(4350),
    [anon_sym_break] = ACTIONS(4350),
    [anon_sym_continue] = ACTIONS(4350),
    [anon_sym_return] = ACTIONS(4350),
    [anon_sym_type] = ACTIONS(4350),
    [anon_sym_go] = ACTIONS(4350),
    [anon_sym_spawn] = ACTIONS(4350),
    [anon_sym_goto] = ACTIONS(4350),
    [anon_sym_for] = ACTIONS(4350),
    [anon_sym_DOLLARfor] = ACTIONS(4348),
    [anon_sym_DOLLARif] = ACTIONS(4348),
    [anon_sym_if] = ACTIONS(4350),
    [anon_sym_struct] = ACTIONS(4350),
    [anon_sym_union] = ACTIONS(4350),
    [anon_sym_enum] = ACTIONS(4350),
    [anon_sym_interface] = ACTIONS(4350),
    [anon_sym_POUND] = ACTIONS(4348),
    [anon_sym_module] = ACTIONS(4350),
    [anon_sym_import] = ACTIONS(4350),
    [anon_sym_match] = ACTIONS(4350),
    [anon_sym_select] = ACTIONS(4350),
    [anon_sym_lock] = ACTIONS(4350),
    [anon_sym_rlock] = ACTIONS(4350),
    [sym__automatic_separator] = ACTIONS(4348),
    [sym__c_string_opening] = ACTIONS(4348),
    [sym__raw_string_opening] = ACTIONS(4348),
    [sym__string_opening] = ACTIONS(4348),
    [sym__comment] = ACTIONS(3),
  },
  [1650] = {
    [sym_comment] = STATE(1650),
    [ts_builtin_sym_end] = ACTIONS(4352),
    [sym_identifier] = ACTIONS(4354),
    [anon_sym_LPAREN] = ACTIONS(4352),
    [anon_sym_PLUS] = ACTIONS(4352),
    [anon_sym_DASH] = ACTIONS(4352),
    [anon_sym_BANG] = ACTIONS(4352),
    [anon_sym_TILDE] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(4352),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT_DASH] = ACTIONS(4352),
    [anon_sym_DOLLAR] = ACTIONS(4354),
    [sym_none] = ACTIONS(4354),
    [sym_true] = ACTIONS(4354),
    [sym_false] = ACTIONS(4354),
    [anon_sym_LBRACE] = ACTIONS(4352),
    [anon_sym_LBRACK] = ACTIONS(4352),
    [anon_sym_map_LBRACK] = ACTIONS(4352),
    [anon_sym_chan] = ACTIONS(4354),
    [anon_sym_shared] = ACTIONS(4354),
    [anon_sym_thread] = ACTIONS(4354),
    [sym_int_literal] = ACTIONS(4354),
    [sym_float_literal] = ACTIONS(4352),
    [sym_rune_literal] = ACTIONS(4352),
    [anon_sym_DOT] = ACTIONS(4354),
    [anon_sym_array] = ACTIONS(4354),
    [anon_sym_string] = ACTIONS(4354),
    [anon_sym_char] = ACTIONS(4354),
    [anon_sym_sql] = ACTIONS(4354),
    [anon_sym_mut] = ACTIONS(4354),
    [anon_sym_C] = ACTIONS(4354),
    [anon_sym_JS] = ACTIONS(4354),
    [anon_sym_voidptr] = ACTIONS(4354),
    [anon_sym_byteptr] = ACTIONS(4354),
    [anon_sym_charptr] = ACTIONS(4354),
    [anon_sym_i8] = ACTIONS(4354),
    [anon_sym_i16] = ACTIONS(4354),
    [anon_sym_i32] = ACTIONS(4354),
    [anon_sym_int] = ACTIONS(4354),
    [anon_sym_i64] = ACTIONS(4354),
    [anon_sym_byte] = ACTIONS(4354),
    [anon_sym_u8] = ACTIONS(4354),
    [anon_sym_u16] = ACTIONS(4354),
    [anon_sym_u32] = ACTIONS(4354),
    [anon_sym_u64] = ACTIONS(4354),
    [anon_sym_f32] = ACTIONS(4354),
    [anon_sym_f64] = ACTIONS(4354),
    [anon_sym_bool] = ACTIONS(4354),
    [anon_sym_rune] = ACTIONS(4354),
    [anon_sym_map] = ACTIONS(4354),
    [anon_sym_mapnode] = ACTIONS(4354),
    [anon_sym_size_t] = ACTIONS(4354),
    [anon_sym_usize] = ACTIONS(4354),
    [anon_sym_isize] = ACTIONS(4354),
    [anon_sym_float_literal] = ACTIONS(4354),
    [anon_sym_int_literal] = ACTIONS(4354),
    [anon_sym_IError] = ACTIONS(4354),
    [sym_type_placeholder] = ACTIONS(4354),
    [anon_sym_AT] = ACTIONS(4354),
    [sym_type_identifier] = ACTIONS(4354),
    [anon_sym_assert] = ACTIONS(4354),
    [anon_sym_defer] = ACTIONS(4354),
    [anon_sym_unsafe] = ACTIONS(4354),
    [anon_sym_pub] = ACTIONS(4354),
    [anon_sym_fn] = ACTIONS(4354),
    [anon_sym___global] = ACTIONS(4354),
    [anon_sym_const] = ACTIONS(4354),
    [anon_sym_asm] = ACTIONS(4354),
    [anon_sym_break] = ACTIONS(4354),
    [anon_sym_continue] = ACTIONS(4354),
    [anon_sym_return] = ACTIONS(4354),
    [anon_sym_type] = ACTIONS(4354),
    [anon_sym_go] = ACTIONS(4354),
    [anon_sym_spawn] = ACTIONS(4354),
    [anon_sym_goto] = ACTIONS(4354),
    [anon_sym_for] = ACTIONS(4354),
    [anon_sym_DOLLARfor] = ACTIONS(4352),
    [anon_sym_DOLLARif] = ACTIONS(4352),
    [anon_sym_if] = ACTIONS(4354),
    [anon_sym_struct] = ACTIONS(4354),
    [anon_sym_union] = ACTIONS(4354),
    [anon_sym_enum] = ACTIONS(4354),
    [anon_sym_interface] = ACTIONS(4354),
    [anon_sym_POUND] = ACTIONS(4352),
    [anon_sym_module] = ACTIONS(4354),
    [anon_sym_import] = ACTIONS(4354),
    [anon_sym_match] = ACTIONS(4354),
    [anon_sym_select] = ACTIONS(4354),
    [anon_sym_lock] = ACTIONS(4354),
    [anon_sym_rlock] = ACTIONS(4354),
    [sym__automatic_separator] = ACTIONS(4352),
    [sym__c_string_opening] = ACTIONS(4352),
    [sym__raw_string_opening] = ACTIONS(4352),
    [sym__string_opening] = ACTIONS(4352),
    [sym__comment] = ACTIONS(3),
  },
  [1651] = {
    [sym_comment] = STATE(1651),
    [ts_builtin_sym_end] = ACTIONS(4356),
    [sym_identifier] = ACTIONS(4358),
    [anon_sym_LPAREN] = ACTIONS(4356),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_BANG] = ACTIONS(4356),
    [anon_sym_TILDE] = ACTIONS(4356),
    [anon_sym_CARET] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4356),
    [anon_sym_AMP] = ACTIONS(4356),
    [anon_sym_LT_DASH] = ACTIONS(4356),
    [anon_sym_DOLLAR] = ACTIONS(4358),
    [sym_none] = ACTIONS(4358),
    [sym_true] = ACTIONS(4358),
    [sym_false] = ACTIONS(4358),
    [anon_sym_LBRACE] = ACTIONS(4356),
    [anon_sym_LBRACK] = ACTIONS(4356),
    [anon_sym_map_LBRACK] = ACTIONS(4356),
    [anon_sym_chan] = ACTIONS(4358),
    [anon_sym_shared] = ACTIONS(4358),
    [anon_sym_thread] = ACTIONS(4358),
    [sym_int_literal] = ACTIONS(4358),
    [sym_float_literal] = ACTIONS(4356),
    [sym_rune_literal] = ACTIONS(4356),
    [anon_sym_DOT] = ACTIONS(4358),
    [anon_sym_array] = ACTIONS(4358),
    [anon_sym_string] = ACTIONS(4358),
    [anon_sym_char] = ACTIONS(4358),
    [anon_sym_sql] = ACTIONS(4358),
    [anon_sym_mut] = ACTIONS(4358),
    [anon_sym_C] = ACTIONS(4358),
    [anon_sym_JS] = ACTIONS(4358),
    [anon_sym_voidptr] = ACTIONS(4358),
    [anon_sym_byteptr] = ACTIONS(4358),
    [anon_sym_charptr] = ACTIONS(4358),
    [anon_sym_i8] = ACTIONS(4358),
    [anon_sym_i16] = ACTIONS(4358),
    [anon_sym_i32] = ACTIONS(4358),
    [anon_sym_int] = ACTIONS(4358),
    [anon_sym_i64] = ACTIONS(4358),
    [anon_sym_byte] = ACTIONS(4358),
    [anon_sym_u8] = ACTIONS(4358),
    [anon_sym_u16] = ACTIONS(4358),
    [anon_sym_u32] = ACTIONS(4358),
    [anon_sym_u64] = ACTIONS(4358),
    [anon_sym_f32] = ACTIONS(4358),
    [anon_sym_f64] = ACTIONS(4358),
    [anon_sym_bool] = ACTIONS(4358),
    [anon_sym_rune] = ACTIONS(4358),
    [anon_sym_map] = ACTIONS(4358),
    [anon_sym_mapnode] = ACTIONS(4358),
    [anon_sym_size_t] = ACTIONS(4358),
    [anon_sym_usize] = ACTIONS(4358),
    [anon_sym_isize] = ACTIONS(4358),
    [anon_sym_float_literal] = ACTIONS(4358),
    [anon_sym_int_literal] = ACTIONS(4358),
    [anon_sym_IError] = ACTIONS(4358),
    [sym_type_placeholder] = ACTIONS(4358),
    [anon_sym_AT] = ACTIONS(4358),
    [sym_type_identifier] = ACTIONS(4358),
    [anon_sym_assert] = ACTIONS(4358),
    [anon_sym_defer] = ACTIONS(4358),
    [anon_sym_unsafe] = ACTIONS(4358),
    [anon_sym_pub] = ACTIONS(4358),
    [anon_sym_fn] = ACTIONS(4358),
    [anon_sym___global] = ACTIONS(4358),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_asm] = ACTIONS(4358),
    [anon_sym_break] = ACTIONS(4358),
    [anon_sym_continue] = ACTIONS(4358),
    [anon_sym_return] = ACTIONS(4358),
    [anon_sym_type] = ACTIONS(4358),
    [anon_sym_go] = ACTIONS(4358),
    [anon_sym_spawn] = ACTIONS(4358),
    [anon_sym_goto] = ACTIONS(4358),
    [anon_sym_for] = ACTIONS(4358),
    [anon_sym_DOLLARfor] = ACTIONS(4356),
    [anon_sym_DOLLARif] = ACTIONS(4356),
    [anon_sym_if] = ACTIONS(4358),
    [anon_sym_struct] = ACTIONS(4358),
    [anon_sym_union] = ACTIONS(4358),
    [anon_sym_enum] = ACTIONS(4358),
    [anon_sym_interface] = ACTIONS(4358),
    [anon_sym_POUND] = ACTIONS(4356),
    [anon_sym_module] = ACTIONS(4358),
    [anon_sym_import] = ACTIONS(4358),
    [anon_sym_match] = ACTIONS(4358),
    [anon_sym_select] = ACTIONS(4358),
    [anon_sym_lock] = ACTIONS(4358),
    [anon_sym_rlock] = ACTIONS(4358),
    [sym__automatic_separator] = ACTIONS(4356),
    [sym__c_string_opening] = ACTIONS(4356),
    [sym__raw_string_opening] = ACTIONS(4356),
    [sym__string_opening] = ACTIONS(4356),
    [sym__comment] = ACTIONS(3),
  },
  [1652] = {
    [sym_comment] = STATE(1652),
    [ts_builtin_sym_end] = ACTIONS(4360),
    [sym_identifier] = ACTIONS(4362),
    [anon_sym_LPAREN] = ACTIONS(4360),
    [anon_sym_PLUS] = ACTIONS(4360),
    [anon_sym_DASH] = ACTIONS(4360),
    [anon_sym_BANG] = ACTIONS(4360),
    [anon_sym_TILDE] = ACTIONS(4360),
    [anon_sym_CARET] = ACTIONS(4360),
    [anon_sym_STAR] = ACTIONS(4360),
    [anon_sym_AMP] = ACTIONS(4360),
    [anon_sym_LT_DASH] = ACTIONS(4360),
    [anon_sym_DOLLAR] = ACTIONS(4362),
    [sym_none] = ACTIONS(4362),
    [sym_true] = ACTIONS(4362),
    [sym_false] = ACTIONS(4362),
    [anon_sym_LBRACE] = ACTIONS(4360),
    [anon_sym_LBRACK] = ACTIONS(4360),
    [anon_sym_map_LBRACK] = ACTIONS(4360),
    [anon_sym_chan] = ACTIONS(4362),
    [anon_sym_shared] = ACTIONS(4362),
    [anon_sym_thread] = ACTIONS(4362),
    [sym_int_literal] = ACTIONS(4362),
    [sym_float_literal] = ACTIONS(4360),
    [sym_rune_literal] = ACTIONS(4360),
    [anon_sym_DOT] = ACTIONS(4362),
    [anon_sym_array] = ACTIONS(4362),
    [anon_sym_string] = ACTIONS(4362),
    [anon_sym_char] = ACTIONS(4362),
    [anon_sym_sql] = ACTIONS(4362),
    [anon_sym_mut] = ACTIONS(4362),
    [anon_sym_C] = ACTIONS(4362),
    [anon_sym_JS] = ACTIONS(4362),
    [anon_sym_voidptr] = ACTIONS(4362),
    [anon_sym_byteptr] = ACTIONS(4362),
    [anon_sym_charptr] = ACTIONS(4362),
    [anon_sym_i8] = ACTIONS(4362),
    [anon_sym_i16] = ACTIONS(4362),
    [anon_sym_i32] = ACTIONS(4362),
    [anon_sym_int] = ACTIONS(4362),
    [anon_sym_i64] = ACTIONS(4362),
    [anon_sym_byte] = ACTIONS(4362),
    [anon_sym_u8] = ACTIONS(4362),
    [anon_sym_u16] = ACTIONS(4362),
    [anon_sym_u32] = ACTIONS(4362),
    [anon_sym_u64] = ACTIONS(4362),
    [anon_sym_f32] = ACTIONS(4362),
    [anon_sym_f64] = ACTIONS(4362),
    [anon_sym_bool] = ACTIONS(4362),
    [anon_sym_rune] = ACTIONS(4362),
    [anon_sym_map] = ACTIONS(4362),
    [anon_sym_mapnode] = ACTIONS(4362),
    [anon_sym_size_t] = ACTIONS(4362),
    [anon_sym_usize] = ACTIONS(4362),
    [anon_sym_isize] = ACTIONS(4362),
    [anon_sym_float_literal] = ACTIONS(4362),
    [anon_sym_int_literal] = ACTIONS(4362),
    [anon_sym_IError] = ACTIONS(4362),
    [sym_type_placeholder] = ACTIONS(4362),
    [anon_sym_AT] = ACTIONS(4362),
    [sym_type_identifier] = ACTIONS(4362),
    [anon_sym_assert] = ACTIONS(4362),
    [anon_sym_defer] = ACTIONS(4362),
    [anon_sym_unsafe] = ACTIONS(4362),
    [anon_sym_pub] = ACTIONS(4362),
    [anon_sym_fn] = ACTIONS(4362),
    [anon_sym___global] = ACTIONS(4362),
    [anon_sym_const] = ACTIONS(4362),
    [anon_sym_asm] = ACTIONS(4362),
    [anon_sym_break] = ACTIONS(4362),
    [anon_sym_continue] = ACTIONS(4362),
    [anon_sym_return] = ACTIONS(4362),
    [anon_sym_type] = ACTIONS(4362),
    [anon_sym_go] = ACTIONS(4362),
    [anon_sym_spawn] = ACTIONS(4362),
    [anon_sym_goto] = ACTIONS(4362),
    [anon_sym_for] = ACTIONS(4362),
    [anon_sym_DOLLARfor] = ACTIONS(4360),
    [anon_sym_DOLLARif] = ACTIONS(4360),
    [anon_sym_if] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(4362),
    [anon_sym_union] = ACTIONS(4362),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_interface] = ACTIONS(4362),
    [anon_sym_POUND] = ACTIONS(4360),
    [anon_sym_module] = ACTIONS(4362),
    [anon_sym_import] = ACTIONS(4362),
    [anon_sym_match] = ACTIONS(4362),
    [anon_sym_select] = ACTIONS(4362),
    [anon_sym_lock] = ACTIONS(4362),
    [anon_sym_rlock] = ACTIONS(4362),
    [sym__automatic_separator] = ACTIONS(4360),
    [sym__c_string_opening] = ACTIONS(4360),
    [sym__raw_string_opening] = ACTIONS(4360),
    [sym__string_opening] = ACTIONS(4360),
    [sym__comment] = ACTIONS(3),
  },
  [1653] = {
    [sym_comment] = STATE(1653),
    [ts_builtin_sym_end] = ACTIONS(4364),
    [sym_identifier] = ACTIONS(4366),
    [anon_sym_LPAREN] = ACTIONS(4364),
    [anon_sym_PLUS] = ACTIONS(4364),
    [anon_sym_DASH] = ACTIONS(4364),
    [anon_sym_BANG] = ACTIONS(4364),
    [anon_sym_TILDE] = ACTIONS(4364),
    [anon_sym_CARET] = ACTIONS(4364),
    [anon_sym_STAR] = ACTIONS(4364),
    [anon_sym_AMP] = ACTIONS(4364),
    [anon_sym_LT_DASH] = ACTIONS(4364),
    [anon_sym_DOLLAR] = ACTIONS(4366),
    [sym_none] = ACTIONS(4366),
    [sym_true] = ACTIONS(4366),
    [sym_false] = ACTIONS(4366),
    [anon_sym_LBRACE] = ACTIONS(4364),
    [anon_sym_LBRACK] = ACTIONS(4364),
    [anon_sym_map_LBRACK] = ACTIONS(4364),
    [anon_sym_chan] = ACTIONS(4366),
    [anon_sym_shared] = ACTIONS(4366),
    [anon_sym_thread] = ACTIONS(4366),
    [sym_int_literal] = ACTIONS(4366),
    [sym_float_literal] = ACTIONS(4364),
    [sym_rune_literal] = ACTIONS(4364),
    [anon_sym_DOT] = ACTIONS(4366),
    [anon_sym_array] = ACTIONS(4366),
    [anon_sym_string] = ACTIONS(4366),
    [anon_sym_char] = ACTIONS(4366),
    [anon_sym_sql] = ACTIONS(4366),
    [anon_sym_mut] = ACTIONS(4366),
    [anon_sym_C] = ACTIONS(4366),
    [anon_sym_JS] = ACTIONS(4366),
    [anon_sym_voidptr] = ACTIONS(4366),
    [anon_sym_byteptr] = ACTIONS(4366),
    [anon_sym_charptr] = ACTIONS(4366),
    [anon_sym_i8] = ACTIONS(4366),
    [anon_sym_i16] = ACTIONS(4366),
    [anon_sym_i32] = ACTIONS(4366),
    [anon_sym_int] = ACTIONS(4366),
    [anon_sym_i64] = ACTIONS(4366),
    [anon_sym_byte] = ACTIONS(4366),
    [anon_sym_u8] = ACTIONS(4366),
    [anon_sym_u16] = ACTIONS(4366),
    [anon_sym_u32] = ACTIONS(4366),
    [anon_sym_u64] = ACTIONS(4366),
    [anon_sym_f32] = ACTIONS(4366),
    [anon_sym_f64] = ACTIONS(4366),
    [anon_sym_bool] = ACTIONS(4366),
    [anon_sym_rune] = ACTIONS(4366),
    [anon_sym_map] = ACTIONS(4366),
    [anon_sym_mapnode] = ACTIONS(4366),
    [anon_sym_size_t] = ACTIONS(4366),
    [anon_sym_usize] = ACTIONS(4366),
    [anon_sym_isize] = ACTIONS(4366),
    [anon_sym_float_literal] = ACTIONS(4366),
    [anon_sym_int_literal] = ACTIONS(4366),
    [anon_sym_IError] = ACTIONS(4366),
    [sym_type_placeholder] = ACTIONS(4366),
    [anon_sym_AT] = ACTIONS(4366),
    [sym_type_identifier] = ACTIONS(4366),
    [anon_sym_assert] = ACTIONS(4366),
    [anon_sym_defer] = ACTIONS(4366),
    [anon_sym_unsafe] = ACTIONS(4366),
    [anon_sym_pub] = ACTIONS(4366),
    [anon_sym_fn] = ACTIONS(4366),
    [anon_sym___global] = ACTIONS(4366),
    [anon_sym_const] = ACTIONS(4366),
    [anon_sym_asm] = ACTIONS(4366),
    [anon_sym_break] = ACTIONS(4366),
    [anon_sym_continue] = ACTIONS(4366),
    [anon_sym_return] = ACTIONS(4366),
    [anon_sym_type] = ACTIONS(4366),
    [anon_sym_go] = ACTIONS(4366),
    [anon_sym_spawn] = ACTIONS(4366),
    [anon_sym_goto] = ACTIONS(4366),
    [anon_sym_for] = ACTIONS(4366),
    [anon_sym_DOLLARfor] = ACTIONS(4364),
    [anon_sym_DOLLARif] = ACTIONS(4364),
    [anon_sym_if] = ACTIONS(4366),
    [anon_sym_struct] = ACTIONS(4366),
    [anon_sym_union] = ACTIONS(4366),
    [anon_sym_enum] = ACTIONS(4366),
    [anon_sym_interface] = ACTIONS(4366),
    [anon_sym_POUND] = ACTIONS(4364),
    [anon_sym_module] = ACTIONS(4366),
    [anon_sym_import] = ACTIONS(4366),
    [anon_sym_match] = ACTIONS(4366),
    [anon_sym_select] = ACTIONS(4366),
    [anon_sym_lock] = ACTIONS(4366),
    [anon_sym_rlock] = ACTIONS(4366),
    [sym__automatic_separator] = ACTIONS(4364),
    [sym__c_string_opening] = ACTIONS(4364),
    [sym__raw_string_opening] = ACTIONS(4364),
    [sym__string_opening] = ACTIONS(4364),
    [sym__comment] = ACTIONS(3),
  },
  [1654] = {
    [sym_comment] = STATE(1654),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_LT_DASH] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [sym_none] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_map_LBRACK] = ACTIONS(1372),
    [anon_sym_chan] = ACTIONS(1374),
    [anon_sym_shared] = ACTIONS(1374),
    [anon_sym_thread] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1372),
    [sym_rune_literal] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_array] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_char] = ACTIONS(1374),
    [anon_sym_sql] = ACTIONS(1374),
    [anon_sym_mut] = ACTIONS(1374),
    [anon_sym_C] = ACTIONS(1374),
    [anon_sym_JS] = ACTIONS(1374),
    [anon_sym_voidptr] = ACTIONS(1374),
    [anon_sym_byteptr] = ACTIONS(1374),
    [anon_sym_charptr] = ACTIONS(1374),
    [anon_sym_i8] = ACTIONS(1374),
    [anon_sym_i16] = ACTIONS(1374),
    [anon_sym_i32] = ACTIONS(1374),
    [anon_sym_int] = ACTIONS(1374),
    [anon_sym_i64] = ACTIONS(1374),
    [anon_sym_byte] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1374),
    [anon_sym_u16] = ACTIONS(1374),
    [anon_sym_u32] = ACTIONS(1374),
    [anon_sym_u64] = ACTIONS(1374),
    [anon_sym_f32] = ACTIONS(1374),
    [anon_sym_f64] = ACTIONS(1374),
    [anon_sym_bool] = ACTIONS(1374),
    [anon_sym_rune] = ACTIONS(1374),
    [anon_sym_map] = ACTIONS(1374),
    [anon_sym_mapnode] = ACTIONS(1374),
    [anon_sym_size_t] = ACTIONS(1374),
    [anon_sym_usize] = ACTIONS(1374),
    [anon_sym_isize] = ACTIONS(1374),
    [anon_sym_float_literal] = ACTIONS(1374),
    [anon_sym_int_literal] = ACTIONS(1374),
    [anon_sym_IError] = ACTIONS(1374),
    [sym_type_placeholder] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [sym_type_identifier] = ACTIONS(1374),
    [anon_sym_assert] = ACTIONS(1374),
    [anon_sym_defer] = ACTIONS(1374),
    [anon_sym_unsafe] = ACTIONS(1374),
    [anon_sym_pub] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym___global] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_type] = ACTIONS(1374),
    [anon_sym_go] = ACTIONS(1374),
    [anon_sym_spawn] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_DOLLARfor] = ACTIONS(1372),
    [anon_sym_DOLLARif] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_interface] = ACTIONS(1374),
    [anon_sym_POUND] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1374),
    [anon_sym_import] = ACTIONS(1374),
    [anon_sym_match] = ACTIONS(1374),
    [anon_sym_select] = ACTIONS(1374),
    [anon_sym_lock] = ACTIONS(1374),
    [anon_sym_rlock] = ACTIONS(1374),
    [sym__automatic_separator] = ACTIONS(1372),
    [sym__c_string_opening] = ACTIONS(1372),
    [sym__raw_string_opening] = ACTIONS(1372),
    [sym__string_opening] = ACTIONS(1372),
    [sym__comment] = ACTIONS(3),
  },
  [1655] = {
    [sym_comment] = STATE(1655),
    [ts_builtin_sym_end] = ACTIONS(4368),
    [sym_identifier] = ACTIONS(4370),
    [anon_sym_LPAREN] = ACTIONS(4368),
    [anon_sym_PLUS] = ACTIONS(4368),
    [anon_sym_DASH] = ACTIONS(4368),
    [anon_sym_BANG] = ACTIONS(4368),
    [anon_sym_TILDE] = ACTIONS(4368),
    [anon_sym_CARET] = ACTIONS(4368),
    [anon_sym_STAR] = ACTIONS(4368),
    [anon_sym_AMP] = ACTIONS(4368),
    [anon_sym_LT_DASH] = ACTIONS(4368),
    [anon_sym_DOLLAR] = ACTIONS(4372),
    [sym_none] = ACTIONS(4372),
    [sym_true] = ACTIONS(4372),
    [sym_false] = ACTIONS(4372),
    [anon_sym_LBRACE] = ACTIONS(4368),
    [anon_sym_LBRACK] = ACTIONS(4368),
    [anon_sym_map_LBRACK] = ACTIONS(4368),
    [anon_sym_chan] = ACTIONS(4372),
    [anon_sym_shared] = ACTIONS(4372),
    [anon_sym_thread] = ACTIONS(4372),
    [sym_int_literal] = ACTIONS(4372),
    [sym_float_literal] = ACTIONS(4368),
    [sym_rune_literal] = ACTIONS(4368),
    [anon_sym_DOT] = ACTIONS(4372),
    [anon_sym_array] = ACTIONS(4372),
    [anon_sym_string] = ACTIONS(4372),
    [anon_sym_char] = ACTIONS(4372),
    [anon_sym_sql] = ACTIONS(4372),
    [anon_sym_mut] = ACTIONS(4372),
    [anon_sym_C] = ACTIONS(4372),
    [anon_sym_JS] = ACTIONS(4372),
    [anon_sym_voidptr] = ACTIONS(4372),
    [anon_sym_byteptr] = ACTIONS(4372),
    [anon_sym_charptr] = ACTIONS(4372),
    [anon_sym_i8] = ACTIONS(4372),
    [anon_sym_i16] = ACTIONS(4372),
    [anon_sym_i32] = ACTIONS(4372),
    [anon_sym_int] = ACTIONS(4372),
    [anon_sym_i64] = ACTIONS(4372),
    [anon_sym_byte] = ACTIONS(4372),
    [anon_sym_u8] = ACTIONS(4372),
    [anon_sym_u16] = ACTIONS(4372),
    [anon_sym_u32] = ACTIONS(4372),
    [anon_sym_u64] = ACTIONS(4372),
    [anon_sym_f32] = ACTIONS(4372),
    [anon_sym_f64] = ACTIONS(4372),
    [anon_sym_bool] = ACTIONS(4372),
    [anon_sym_rune] = ACTIONS(4372),
    [anon_sym_map] = ACTIONS(4372),
    [anon_sym_mapnode] = ACTIONS(4372),
    [anon_sym_size_t] = ACTIONS(4372),
    [anon_sym_usize] = ACTIONS(4372),
    [anon_sym_isize] = ACTIONS(4372),
    [anon_sym_float_literal] = ACTIONS(4372),
    [anon_sym_int_literal] = ACTIONS(4372),
    [anon_sym_IError] = ACTIONS(4372),
    [sym_type_placeholder] = ACTIONS(4372),
    [anon_sym_AT] = ACTIONS(4372),
    [sym_type_identifier] = ACTIONS(4372),
    [anon_sym_assert] = ACTIONS(4372),
    [anon_sym_defer] = ACTIONS(4372),
    [anon_sym_unsafe] = ACTIONS(4372),
    [anon_sym_pub] = ACTIONS(4372),
    [anon_sym_fn] = ACTIONS(4372),
    [anon_sym___global] = ACTIONS(4372),
    [anon_sym_const] = ACTIONS(4372),
    [anon_sym_asm] = ACTIONS(4372),
    [anon_sym_break] = ACTIONS(4372),
    [anon_sym_continue] = ACTIONS(4372),
    [anon_sym_return] = ACTIONS(4372),
    [anon_sym_type] = ACTIONS(4372),
    [anon_sym_go] = ACTIONS(4372),
    [anon_sym_spawn] = ACTIONS(4372),
    [anon_sym_goto] = ACTIONS(4372),
    [anon_sym_for] = ACTIONS(4372),
    [anon_sym_DOLLARfor] = ACTIONS(4368),
    [anon_sym_DOLLARif] = ACTIONS(4368),
    [anon_sym_if] = ACTIONS(4372),
    [anon_sym_struct] = ACTIONS(4372),
    [anon_sym_union] = ACTIONS(4372),
    [anon_sym_enum] = ACTIONS(4372),
    [anon_sym_interface] = ACTIONS(4372),
    [anon_sym_POUND] = ACTIONS(4368),
    [anon_sym_module] = ACTIONS(4372),
    [anon_sym_import] = ACTIONS(4372),
    [anon_sym_match] = ACTIONS(4372),
    [anon_sym_select] = ACTIONS(4372),
    [anon_sym_lock] = ACTIONS(4372),
    [anon_sym_rlock] = ACTIONS(4372),
    [sym__automatic_separator] = ACTIONS(4368),
    [sym__c_string_opening] = ACTIONS(4368),
    [sym__raw_string_opening] = ACTIONS(4368),
    [sym__string_opening] = ACTIONS(4368),
    [sym__comment] = ACTIONS(3),
  },
  [1656] = {
    [sym_comment] = STATE(1656),
    [ts_builtin_sym_end] = ACTIONS(4374),
    [sym_identifier] = ACTIONS(4376),
    [anon_sym_LPAREN] = ACTIONS(4374),
    [anon_sym_PLUS] = ACTIONS(4374),
    [anon_sym_DASH] = ACTIONS(4374),
    [anon_sym_BANG] = ACTIONS(4374),
    [anon_sym_TILDE] = ACTIONS(4374),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_STAR] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(4374),
    [anon_sym_LT_DASH] = ACTIONS(4374),
    [anon_sym_DOLLAR] = ACTIONS(4376),
    [sym_none] = ACTIONS(4376),
    [sym_true] = ACTIONS(4376),
    [sym_false] = ACTIONS(4376),
    [anon_sym_LBRACE] = ACTIONS(4374),
    [anon_sym_LBRACK] = ACTIONS(4374),
    [anon_sym_map_LBRACK] = ACTIONS(4374),
    [anon_sym_chan] = ACTIONS(4376),
    [anon_sym_shared] = ACTIONS(4376),
    [anon_sym_thread] = ACTIONS(4376),
    [sym_int_literal] = ACTIONS(4376),
    [sym_float_literal] = ACTIONS(4374),
    [sym_rune_literal] = ACTIONS(4374),
    [anon_sym_DOT] = ACTIONS(4376),
    [anon_sym_array] = ACTIONS(4376),
    [anon_sym_string] = ACTIONS(4376),
    [anon_sym_char] = ACTIONS(4376),
    [anon_sym_sql] = ACTIONS(4376),
    [anon_sym_mut] = ACTIONS(4376),
    [anon_sym_C] = ACTIONS(4376),
    [anon_sym_JS] = ACTIONS(4376),
    [anon_sym_voidptr] = ACTIONS(4376),
    [anon_sym_byteptr] = ACTIONS(4376),
    [anon_sym_charptr] = ACTIONS(4376),
    [anon_sym_i8] = ACTIONS(4376),
    [anon_sym_i16] = ACTIONS(4376),
    [anon_sym_i32] = ACTIONS(4376),
    [anon_sym_int] = ACTIONS(4376),
    [anon_sym_i64] = ACTIONS(4376),
    [anon_sym_byte] = ACTIONS(4376),
    [anon_sym_u8] = ACTIONS(4376),
    [anon_sym_u16] = ACTIONS(4376),
    [anon_sym_u32] = ACTIONS(4376),
    [anon_sym_u64] = ACTIONS(4376),
    [anon_sym_f32] = ACTIONS(4376),
    [anon_sym_f64] = ACTIONS(4376),
    [anon_sym_bool] = ACTIONS(4376),
    [anon_sym_rune] = ACTIONS(4376),
    [anon_sym_map] = ACTIONS(4376),
    [anon_sym_mapnode] = ACTIONS(4376),
    [anon_sym_size_t] = ACTIONS(4376),
    [anon_sym_usize] = ACTIONS(4376),
    [anon_sym_isize] = ACTIONS(4376),
    [anon_sym_float_literal] = ACTIONS(4376),
    [anon_sym_int_literal] = ACTIONS(4376),
    [anon_sym_IError] = ACTIONS(4376),
    [sym_type_placeholder] = ACTIONS(4376),
    [anon_sym_AT] = ACTIONS(4376),
    [sym_type_identifier] = ACTIONS(4376),
    [anon_sym_assert] = ACTIONS(4376),
    [anon_sym_defer] = ACTIONS(4376),
    [anon_sym_unsafe] = ACTIONS(4376),
    [anon_sym_pub] = ACTIONS(4376),
    [anon_sym_fn] = ACTIONS(4376),
    [anon_sym___global] = ACTIONS(4376),
    [anon_sym_const] = ACTIONS(4376),
    [anon_sym_asm] = ACTIONS(4376),
    [anon_sym_break] = ACTIONS(4376),
    [anon_sym_continue] = ACTIONS(4376),
    [anon_sym_return] = ACTIONS(4376),
    [anon_sym_type] = ACTIONS(4376),
    [anon_sym_go] = ACTIONS(4376),
    [anon_sym_spawn] = ACTIONS(4376),
    [anon_sym_goto] = ACTIONS(4376),
    [anon_sym_for] = ACTIONS(4376),
    [anon_sym_DOLLARfor] = ACTIONS(4374),
    [anon_sym_DOLLARif] = ACTIONS(4374),
    [anon_sym_if] = ACTIONS(4376),
    [anon_sym_struct] = ACTIONS(4376),
    [anon_sym_union] = ACTIONS(4376),
    [anon_sym_enum] = ACTIONS(4376),
    [anon_sym_interface] = ACTIONS(4376),
    [anon_sym_POUND] = ACTIONS(4374),
    [anon_sym_module] = ACTIONS(4376),
    [anon_sym_import] = ACTIONS(4376),
    [anon_sym_match] = ACTIONS(4376),
    [anon_sym_select] = ACTIONS(4376),
    [anon_sym_lock] = ACTIONS(4376),
    [anon_sym_rlock] = ACTIONS(4376),
    [sym__automatic_separator] = ACTIONS(4374),
    [sym__c_string_opening] = ACTIONS(4374),
    [sym__raw_string_opening] = ACTIONS(4374),
    [sym__string_opening] = ACTIONS(4374),
    [sym__comment] = ACTIONS(3),
  },
  [1657] = {
    [sym_comment] = STATE(1657),
    [ts_builtin_sym_end] = ACTIONS(4378),
    [sym_identifier] = ACTIONS(4380),
    [anon_sym_LPAREN] = ACTIONS(4378),
    [anon_sym_PLUS] = ACTIONS(4378),
    [anon_sym_DASH] = ACTIONS(4378),
    [anon_sym_BANG] = ACTIONS(4378),
    [anon_sym_TILDE] = ACTIONS(4378),
    [anon_sym_CARET] = ACTIONS(4378),
    [anon_sym_STAR] = ACTIONS(4378),
    [anon_sym_AMP] = ACTIONS(4378),
    [anon_sym_LT_DASH] = ACTIONS(4378),
    [anon_sym_DOLLAR] = ACTIONS(4380),
    [sym_none] = ACTIONS(4380),
    [sym_true] = ACTIONS(4380),
    [sym_false] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(4378),
    [anon_sym_LBRACK] = ACTIONS(4378),
    [anon_sym_map_LBRACK] = ACTIONS(4378),
    [anon_sym_chan] = ACTIONS(4380),
    [anon_sym_shared] = ACTIONS(4380),
    [anon_sym_thread] = ACTIONS(4380),
    [sym_int_literal] = ACTIONS(4380),
    [sym_float_literal] = ACTIONS(4378),
    [sym_rune_literal] = ACTIONS(4378),
    [anon_sym_DOT] = ACTIONS(4380),
    [anon_sym_array] = ACTIONS(4380),
    [anon_sym_string] = ACTIONS(4380),
    [anon_sym_char] = ACTIONS(4380),
    [anon_sym_sql] = ACTIONS(4380),
    [anon_sym_mut] = ACTIONS(4380),
    [anon_sym_C] = ACTIONS(4380),
    [anon_sym_JS] = ACTIONS(4380),
    [anon_sym_voidptr] = ACTIONS(4380),
    [anon_sym_byteptr] = ACTIONS(4380),
    [anon_sym_charptr] = ACTIONS(4380),
    [anon_sym_i8] = ACTIONS(4380),
    [anon_sym_i16] = ACTIONS(4380),
    [anon_sym_i32] = ACTIONS(4380),
    [anon_sym_int] = ACTIONS(4380),
    [anon_sym_i64] = ACTIONS(4380),
    [anon_sym_byte] = ACTIONS(4380),
    [anon_sym_u8] = ACTIONS(4380),
    [anon_sym_u16] = ACTIONS(4380),
    [anon_sym_u32] = ACTIONS(4380),
    [anon_sym_u64] = ACTIONS(4380),
    [anon_sym_f32] = ACTIONS(4380),
    [anon_sym_f64] = ACTIONS(4380),
    [anon_sym_bool] = ACTIONS(4380),
    [anon_sym_rune] = ACTIONS(4380),
    [anon_sym_map] = ACTIONS(4380),
    [anon_sym_mapnode] = ACTIONS(4380),
    [anon_sym_size_t] = ACTIONS(4380),
    [anon_sym_usize] = ACTIONS(4380),
    [anon_sym_isize] = ACTIONS(4380),
    [anon_sym_float_literal] = ACTIONS(4380),
    [anon_sym_int_literal] = ACTIONS(4380),
    [anon_sym_IError] = ACTIONS(4380),
    [sym_type_placeholder] = ACTIONS(4380),
    [anon_sym_AT] = ACTIONS(4380),
    [sym_type_identifier] = ACTIONS(4380),
    [anon_sym_assert] = ACTIONS(4380),
    [anon_sym_defer] = ACTIONS(4380),
    [anon_sym_unsafe] = ACTIONS(4380),
    [anon_sym_pub] = ACTIONS(4380),
    [anon_sym_fn] = ACTIONS(4380),
    [anon_sym___global] = ACTIONS(4380),
    [anon_sym_const] = ACTIONS(4380),
    [anon_sym_asm] = ACTIONS(4380),
    [anon_sym_break] = ACTIONS(4380),
    [anon_sym_continue] = ACTIONS(4380),
    [anon_sym_return] = ACTIONS(4380),
    [anon_sym_type] = ACTIONS(4380),
    [anon_sym_go] = ACTIONS(4380),
    [anon_sym_spawn] = ACTIONS(4380),
    [anon_sym_goto] = ACTIONS(4380),
    [anon_sym_for] = ACTIONS(4380),
    [anon_sym_DOLLARfor] = ACTIONS(4378),
    [anon_sym_DOLLARif] = ACTIONS(4378),
    [anon_sym_if] = ACTIONS(4380),
    [anon_sym_struct] = ACTIONS(4380),
    [anon_sym_union] = ACTIONS(4380),
    [anon_sym_enum] = ACTIONS(4380),
    [anon_sym_interface] = ACTIONS(4380),
    [anon_sym_POUND] = ACTIONS(4378),
    [anon_sym_module] = ACTIONS(4380),
    [anon_sym_import] = ACTIONS(4380),
    [anon_sym_match] = ACTIONS(4380),
    [anon_sym_select] = ACTIONS(4380),
    [anon_sym_lock] = ACTIONS(4380),
    [anon_sym_rlock] = ACTIONS(4380),
    [sym__automatic_separator] = ACTIONS(4378),
    [sym__c_string_opening] = ACTIONS(4378),
    [sym__raw_string_opening] = ACTIONS(4378),
    [sym__string_opening] = ACTIONS(4378),
    [sym__comment] = ACTIONS(3),
  },
  [1658] = {
    [sym_comment] = STATE(1658),
    [ts_builtin_sym_end] = ACTIONS(4382),
    [sym_identifier] = ACTIONS(4384),
    [anon_sym_LPAREN] = ACTIONS(4382),
    [anon_sym_PLUS] = ACTIONS(4382),
    [anon_sym_DASH] = ACTIONS(4382),
    [anon_sym_BANG] = ACTIONS(4382),
    [anon_sym_TILDE] = ACTIONS(4382),
    [anon_sym_CARET] = ACTIONS(4382),
    [anon_sym_STAR] = ACTIONS(4382),
    [anon_sym_AMP] = ACTIONS(4382),
    [anon_sym_LT_DASH] = ACTIONS(4382),
    [anon_sym_DOLLAR] = ACTIONS(4384),
    [sym_none] = ACTIONS(4384),
    [sym_true] = ACTIONS(4384),
    [sym_false] = ACTIONS(4384),
    [anon_sym_LBRACE] = ACTIONS(4382),
    [anon_sym_LBRACK] = ACTIONS(4382),
    [anon_sym_map_LBRACK] = ACTIONS(4382),
    [anon_sym_chan] = ACTIONS(4384),
    [anon_sym_shared] = ACTIONS(4384),
    [anon_sym_thread] = ACTIONS(4384),
    [sym_int_literal] = ACTIONS(4384),
    [sym_float_literal] = ACTIONS(4382),
    [sym_rune_literal] = ACTIONS(4382),
    [anon_sym_DOT] = ACTIONS(4384),
    [anon_sym_array] = ACTIONS(4384),
    [anon_sym_string] = ACTIONS(4384),
    [anon_sym_char] = ACTIONS(4384),
    [anon_sym_sql] = ACTIONS(4384),
    [anon_sym_mut] = ACTIONS(4384),
    [anon_sym_C] = ACTIONS(4384),
    [anon_sym_JS] = ACTIONS(4384),
    [anon_sym_voidptr] = ACTIONS(4384),
    [anon_sym_byteptr] = ACTIONS(4384),
    [anon_sym_charptr] = ACTIONS(4384),
    [anon_sym_i8] = ACTIONS(4384),
    [anon_sym_i16] = ACTIONS(4384),
    [anon_sym_i32] = ACTIONS(4384),
    [anon_sym_int] = ACTIONS(4384),
    [anon_sym_i64] = ACTIONS(4384),
    [anon_sym_byte] = ACTIONS(4384),
    [anon_sym_u8] = ACTIONS(4384),
    [anon_sym_u16] = ACTIONS(4384),
    [anon_sym_u32] = ACTIONS(4384),
    [anon_sym_u64] = ACTIONS(4384),
    [anon_sym_f32] = ACTIONS(4384),
    [anon_sym_f64] = ACTIONS(4384),
    [anon_sym_bool] = ACTIONS(4384),
    [anon_sym_rune] = ACTIONS(4384),
    [anon_sym_map] = ACTIONS(4384),
    [anon_sym_mapnode] = ACTIONS(4384),
    [anon_sym_size_t] = ACTIONS(4384),
    [anon_sym_usize] = ACTIONS(4384),
    [anon_sym_isize] = ACTIONS(4384),
    [anon_sym_float_literal] = ACTIONS(4384),
    [anon_sym_int_literal] = ACTIONS(4384),
    [anon_sym_IError] = ACTIONS(4384),
    [sym_type_placeholder] = ACTIONS(4384),
    [anon_sym_AT] = ACTIONS(4384),
    [sym_type_identifier] = ACTIONS(4384),
    [anon_sym_assert] = ACTIONS(4384),
    [anon_sym_defer] = ACTIONS(4384),
    [anon_sym_unsafe] = ACTIONS(4384),
    [anon_sym_pub] = ACTIONS(4384),
    [anon_sym_fn] = ACTIONS(4384),
    [anon_sym___global] = ACTIONS(4384),
    [anon_sym_const] = ACTIONS(4384),
    [anon_sym_asm] = ACTIONS(4384),
    [anon_sym_break] = ACTIONS(4384),
    [anon_sym_continue] = ACTIONS(4384),
    [anon_sym_return] = ACTIONS(4384),
    [anon_sym_type] = ACTIONS(4384),
    [anon_sym_go] = ACTIONS(4384),
    [anon_sym_spawn] = ACTIONS(4384),
    [anon_sym_goto] = ACTIONS(4384),
    [anon_sym_for] = ACTIONS(4384),
    [anon_sym_DOLLARfor] = ACTIONS(4382),
    [anon_sym_DOLLARif] = ACTIONS(4382),
    [anon_sym_if] = ACTIONS(4384),
    [anon_sym_struct] = ACTIONS(4384),
    [anon_sym_union] = ACTIONS(4384),
    [anon_sym_enum] = ACTIONS(4384),
    [anon_sym_interface] = ACTIONS(4384),
    [anon_sym_POUND] = ACTIONS(4382),
    [anon_sym_module] = ACTIONS(4384),
    [anon_sym_import] = ACTIONS(4384),
    [anon_sym_match] = ACTIONS(4384),
    [anon_sym_select] = ACTIONS(4384),
    [anon_sym_lock] = ACTIONS(4384),
    [anon_sym_rlock] = ACTIONS(4384),
    [sym__automatic_separator] = ACTIONS(4382),
    [sym__c_string_opening] = ACTIONS(4382),
    [sym__raw_string_opening] = ACTIONS(4382),
    [sym__string_opening] = ACTIONS(4382),
    [sym__comment] = ACTIONS(3),
  },
  [1659] = {
    [sym_comment] = STATE(1659),
    [ts_builtin_sym_end] = ACTIONS(4386),
    [sym_identifier] = ACTIONS(4388),
    [anon_sym_LPAREN] = ACTIONS(4386),
    [anon_sym_PLUS] = ACTIONS(4386),
    [anon_sym_DASH] = ACTIONS(4386),
    [anon_sym_BANG] = ACTIONS(4386),
    [anon_sym_TILDE] = ACTIONS(4386),
    [anon_sym_CARET] = ACTIONS(4386),
    [anon_sym_STAR] = ACTIONS(4386),
    [anon_sym_AMP] = ACTIONS(4386),
    [anon_sym_LT_DASH] = ACTIONS(4386),
    [anon_sym_DOLLAR] = ACTIONS(4388),
    [sym_none] = ACTIONS(4388),
    [sym_true] = ACTIONS(4388),
    [sym_false] = ACTIONS(4388),
    [anon_sym_LBRACE] = ACTIONS(4386),
    [anon_sym_LBRACK] = ACTIONS(4386),
    [anon_sym_map_LBRACK] = ACTIONS(4386),
    [anon_sym_chan] = ACTIONS(4388),
    [anon_sym_shared] = ACTIONS(4388),
    [anon_sym_thread] = ACTIONS(4388),
    [sym_int_literal] = ACTIONS(4388),
    [sym_float_literal] = ACTIONS(4386),
    [sym_rune_literal] = ACTIONS(4386),
    [anon_sym_DOT] = ACTIONS(4388),
    [anon_sym_array] = ACTIONS(4388),
    [anon_sym_string] = ACTIONS(4388),
    [anon_sym_char] = ACTIONS(4388),
    [anon_sym_sql] = ACTIONS(4388),
    [anon_sym_mut] = ACTIONS(4388),
    [anon_sym_C] = ACTIONS(4388),
    [anon_sym_JS] = ACTIONS(4388),
    [anon_sym_voidptr] = ACTIONS(4388),
    [anon_sym_byteptr] = ACTIONS(4388),
    [anon_sym_charptr] = ACTIONS(4388),
    [anon_sym_i8] = ACTIONS(4388),
    [anon_sym_i16] = ACTIONS(4388),
    [anon_sym_i32] = ACTIONS(4388),
    [anon_sym_int] = ACTIONS(4388),
    [anon_sym_i64] = ACTIONS(4388),
    [anon_sym_byte] = ACTIONS(4388),
    [anon_sym_u8] = ACTIONS(4388),
    [anon_sym_u16] = ACTIONS(4388),
    [anon_sym_u32] = ACTIONS(4388),
    [anon_sym_u64] = ACTIONS(4388),
    [anon_sym_f32] = ACTIONS(4388),
    [anon_sym_f64] = ACTIONS(4388),
    [anon_sym_bool] = ACTIONS(4388),
    [anon_sym_rune] = ACTIONS(4388),
    [anon_sym_map] = ACTIONS(4388),
    [anon_sym_mapnode] = ACTIONS(4388),
    [anon_sym_size_t] = ACTIONS(4388),
    [anon_sym_usize] = ACTIONS(4388),
    [anon_sym_isize] = ACTIONS(4388),
    [anon_sym_float_literal] = ACTIONS(4388),
    [anon_sym_int_literal] = ACTIONS(4388),
    [anon_sym_IError] = ACTIONS(4388),
    [sym_type_placeholder] = ACTIONS(4388),
    [anon_sym_AT] = ACTIONS(4388),
    [sym_type_identifier] = ACTIONS(4388),
    [anon_sym_assert] = ACTIONS(4388),
    [anon_sym_defer] = ACTIONS(4388),
    [anon_sym_unsafe] = ACTIONS(4388),
    [anon_sym_pub] = ACTIONS(4388),
    [anon_sym_fn] = ACTIONS(4388),
    [anon_sym___global] = ACTIONS(4388),
    [anon_sym_const] = ACTIONS(4388),
    [anon_sym_asm] = ACTIONS(4388),
    [anon_sym_break] = ACTIONS(4388),
    [anon_sym_continue] = ACTIONS(4388),
    [anon_sym_return] = ACTIONS(4388),
    [anon_sym_type] = ACTIONS(4388),
    [anon_sym_go] = ACTIONS(4388),
    [anon_sym_spawn] = ACTIONS(4388),
    [anon_sym_goto] = ACTIONS(4388),
    [anon_sym_for] = ACTIONS(4388),
    [anon_sym_DOLLARfor] = ACTIONS(4386),
    [anon_sym_DOLLARif] = ACTIONS(4386),
    [anon_sym_if] = ACTIONS(4388),
    [anon_sym_struct] = ACTIONS(4388),
    [anon_sym_union] = ACTIONS(4388),
    [anon_sym_enum] = ACTIONS(4388),
    [anon_sym_interface] = ACTIONS(4388),
    [anon_sym_POUND] = ACTIONS(4386),
    [anon_sym_module] = ACTIONS(4388),
    [anon_sym_import] = ACTIONS(4388),
    [anon_sym_match] = ACTIONS(4388),
    [anon_sym_select] = ACTIONS(4388),
    [anon_sym_lock] = ACTIONS(4388),
    [anon_sym_rlock] = ACTIONS(4388),
    [sym__automatic_separator] = ACTIONS(4386),
    [sym__c_string_opening] = ACTIONS(4386),
    [sym__raw_string_opening] = ACTIONS(4386),
    [sym__string_opening] = ACTIONS(4386),
    [sym__comment] = ACTIONS(3),
  },
  [1660] = {
    [sym_comment] = STATE(1660),
    [ts_builtin_sym_end] = ACTIONS(4390),
    [sym_identifier] = ACTIONS(4392),
    [anon_sym_LPAREN] = ACTIONS(4390),
    [anon_sym_PLUS] = ACTIONS(4390),
    [anon_sym_DASH] = ACTIONS(4390),
    [anon_sym_BANG] = ACTIONS(4390),
    [anon_sym_TILDE] = ACTIONS(4390),
    [anon_sym_CARET] = ACTIONS(4390),
    [anon_sym_STAR] = ACTIONS(4390),
    [anon_sym_AMP] = ACTIONS(4390),
    [anon_sym_LT_DASH] = ACTIONS(4390),
    [anon_sym_DOLLAR] = ACTIONS(4392),
    [sym_none] = ACTIONS(4392),
    [sym_true] = ACTIONS(4392),
    [sym_false] = ACTIONS(4392),
    [anon_sym_LBRACE] = ACTIONS(4390),
    [anon_sym_LBRACK] = ACTIONS(4390),
    [anon_sym_map_LBRACK] = ACTIONS(4390),
    [anon_sym_chan] = ACTIONS(4392),
    [anon_sym_shared] = ACTIONS(4392),
    [anon_sym_thread] = ACTIONS(4392),
    [sym_int_literal] = ACTIONS(4392),
    [sym_float_literal] = ACTIONS(4390),
    [sym_rune_literal] = ACTIONS(4390),
    [anon_sym_DOT] = ACTIONS(4392),
    [anon_sym_array] = ACTIONS(4392),
    [anon_sym_string] = ACTIONS(4392),
    [anon_sym_char] = ACTIONS(4392),
    [anon_sym_sql] = ACTIONS(4392),
    [anon_sym_mut] = ACTIONS(4392),
    [anon_sym_C] = ACTIONS(4392),
    [anon_sym_JS] = ACTIONS(4392),
    [anon_sym_voidptr] = ACTIONS(4392),
    [anon_sym_byteptr] = ACTIONS(4392),
    [anon_sym_charptr] = ACTIONS(4392),
    [anon_sym_i8] = ACTIONS(4392),
    [anon_sym_i16] = ACTIONS(4392),
    [anon_sym_i32] = ACTIONS(4392),
    [anon_sym_int] = ACTIONS(4392),
    [anon_sym_i64] = ACTIONS(4392),
    [anon_sym_byte] = ACTIONS(4392),
    [anon_sym_u8] = ACTIONS(4392),
    [anon_sym_u16] = ACTIONS(4392),
    [anon_sym_u32] = ACTIONS(4392),
    [anon_sym_u64] = ACTIONS(4392),
    [anon_sym_f32] = ACTIONS(4392),
    [anon_sym_f64] = ACTIONS(4392),
    [anon_sym_bool] = ACTIONS(4392),
    [anon_sym_rune] = ACTIONS(4392),
    [anon_sym_map] = ACTIONS(4392),
    [anon_sym_mapnode] = ACTIONS(4392),
    [anon_sym_size_t] = ACTIONS(4392),
    [anon_sym_usize] = ACTIONS(4392),
    [anon_sym_isize] = ACTIONS(4392),
    [anon_sym_float_literal] = ACTIONS(4392),
    [anon_sym_int_literal] = ACTIONS(4392),
    [anon_sym_IError] = ACTIONS(4392),
    [sym_type_placeholder] = ACTIONS(4392),
    [anon_sym_AT] = ACTIONS(4392),
    [sym_type_identifier] = ACTIONS(4392),
    [anon_sym_assert] = ACTIONS(4392),
    [anon_sym_defer] = ACTIONS(4392),
    [anon_sym_unsafe] = ACTIONS(4392),
    [anon_sym_pub] = ACTIONS(4392),
    [anon_sym_fn] = ACTIONS(4392),
    [anon_sym___global] = ACTIONS(4392),
    [anon_sym_const] = ACTIONS(4392),
    [anon_sym_asm] = ACTIONS(4392),
    [anon_sym_break] = ACTIONS(4392),
    [anon_sym_continue] = ACTIONS(4392),
    [anon_sym_return] = ACTIONS(4392),
    [anon_sym_type] = ACTIONS(4392),
    [anon_sym_go] = ACTIONS(4392),
    [anon_sym_spawn] = ACTIONS(4392),
    [anon_sym_goto] = ACTIONS(4392),
    [anon_sym_for] = ACTIONS(4392),
    [anon_sym_DOLLARfor] = ACTIONS(4390),
    [anon_sym_DOLLARif] = ACTIONS(4390),
    [anon_sym_if] = ACTIONS(4392),
    [anon_sym_struct] = ACTIONS(4392),
    [anon_sym_union] = ACTIONS(4392),
    [anon_sym_enum] = ACTIONS(4392),
    [anon_sym_interface] = ACTIONS(4392),
    [anon_sym_POUND] = ACTIONS(4390),
    [anon_sym_module] = ACTIONS(4392),
    [anon_sym_import] = ACTIONS(4392),
    [anon_sym_match] = ACTIONS(4392),
    [anon_sym_select] = ACTIONS(4392),
    [anon_sym_lock] = ACTIONS(4392),
    [anon_sym_rlock] = ACTIONS(4392),
    [sym__automatic_separator] = ACTIONS(4390),
    [sym__c_string_opening] = ACTIONS(4390),
    [sym__raw_string_opening] = ACTIONS(4390),
    [sym__string_opening] = ACTIONS(4390),
    [sym__comment] = ACTIONS(3),
  },
  [1661] = {
    [sym_comment] = STATE(1661),
    [ts_builtin_sym_end] = ACTIONS(4394),
    [sym_identifier] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(4394),
    [anon_sym_PLUS] = ACTIONS(4394),
    [anon_sym_DASH] = ACTIONS(4394),
    [anon_sym_BANG] = ACTIONS(4394),
    [anon_sym_TILDE] = ACTIONS(4394),
    [anon_sym_CARET] = ACTIONS(4394),
    [anon_sym_STAR] = ACTIONS(4394),
    [anon_sym_AMP] = ACTIONS(4394),
    [anon_sym_LT_DASH] = ACTIONS(4394),
    [anon_sym_DOLLAR] = ACTIONS(4396),
    [sym_none] = ACTIONS(4396),
    [sym_true] = ACTIONS(4396),
    [sym_false] = ACTIONS(4396),
    [anon_sym_LBRACE] = ACTIONS(4394),
    [anon_sym_LBRACK] = ACTIONS(4394),
    [anon_sym_map_LBRACK] = ACTIONS(4394),
    [anon_sym_chan] = ACTIONS(4396),
    [anon_sym_shared] = ACTIONS(4396),
    [anon_sym_thread] = ACTIONS(4396),
    [sym_int_literal] = ACTIONS(4396),
    [sym_float_literal] = ACTIONS(4394),
    [sym_rune_literal] = ACTIONS(4394),
    [anon_sym_DOT] = ACTIONS(4396),
    [anon_sym_array] = ACTIONS(4396),
    [anon_sym_string] = ACTIONS(4396),
    [anon_sym_char] = ACTIONS(4396),
    [anon_sym_sql] = ACTIONS(4396),
    [anon_sym_mut] = ACTIONS(4396),
    [anon_sym_C] = ACTIONS(4396),
    [anon_sym_JS] = ACTIONS(4396),
    [anon_sym_voidptr] = ACTIONS(4396),
    [anon_sym_byteptr] = ACTIONS(4396),
    [anon_sym_charptr] = ACTIONS(4396),
    [anon_sym_i8] = ACTIONS(4396),
    [anon_sym_i16] = ACTIONS(4396),
    [anon_sym_i32] = ACTIONS(4396),
    [anon_sym_int] = ACTIONS(4396),
    [anon_sym_i64] = ACTIONS(4396),
    [anon_sym_byte] = ACTIONS(4396),
    [anon_sym_u8] = ACTIONS(4396),
    [anon_sym_u16] = ACTIONS(4396),
    [anon_sym_u32] = ACTIONS(4396),
    [anon_sym_u64] = ACTIONS(4396),
    [anon_sym_f32] = ACTIONS(4396),
    [anon_sym_f64] = ACTIONS(4396),
    [anon_sym_bool] = ACTIONS(4396),
    [anon_sym_rune] = ACTIONS(4396),
    [anon_sym_map] = ACTIONS(4396),
    [anon_sym_mapnode] = ACTIONS(4396),
    [anon_sym_size_t] = ACTIONS(4396),
    [anon_sym_usize] = ACTIONS(4396),
    [anon_sym_isize] = ACTIONS(4396),
    [anon_sym_float_literal] = ACTIONS(4396),
    [anon_sym_int_literal] = ACTIONS(4396),
    [anon_sym_IError] = ACTIONS(4396),
    [sym_type_placeholder] = ACTIONS(4396),
    [anon_sym_AT] = ACTIONS(4396),
    [sym_type_identifier] = ACTIONS(4396),
    [anon_sym_assert] = ACTIONS(4396),
    [anon_sym_defer] = ACTIONS(4396),
    [anon_sym_unsafe] = ACTIONS(4396),
    [anon_sym_pub] = ACTIONS(4396),
    [anon_sym_fn] = ACTIONS(4396),
    [anon_sym___global] = ACTIONS(4396),
    [anon_sym_const] = ACTIONS(4396),
    [anon_sym_asm] = ACTIONS(4396),
    [anon_sym_break] = ACTIONS(4396),
    [anon_sym_continue] = ACTIONS(4396),
    [anon_sym_return] = ACTIONS(4396),
    [anon_sym_type] = ACTIONS(4396),
    [anon_sym_go] = ACTIONS(4396),
    [anon_sym_spawn] = ACTIONS(4396),
    [anon_sym_goto] = ACTIONS(4396),
    [anon_sym_for] = ACTIONS(4396),
    [anon_sym_DOLLARfor] = ACTIONS(4394),
    [anon_sym_DOLLARif] = ACTIONS(4394),
    [anon_sym_if] = ACTIONS(4396),
    [anon_sym_struct] = ACTIONS(4396),
    [anon_sym_union] = ACTIONS(4396),
    [anon_sym_enum] = ACTIONS(4396),
    [anon_sym_interface] = ACTIONS(4396),
    [anon_sym_POUND] = ACTIONS(4394),
    [anon_sym_module] = ACTIONS(4396),
    [anon_sym_import] = ACTIONS(4396),
    [anon_sym_match] = ACTIONS(4396),
    [anon_sym_select] = ACTIONS(4396),
    [anon_sym_lock] = ACTIONS(4396),
    [anon_sym_rlock] = ACTIONS(4396),
    [sym__automatic_separator] = ACTIONS(4394),
    [sym__c_string_opening] = ACTIONS(4394),
    [sym__raw_string_opening] = ACTIONS(4394),
    [sym__string_opening] = ACTIONS(4394),
    [sym__comment] = ACTIONS(3),
  },
  [1662] = {
    [sym_comment] = STATE(1662),
    [ts_builtin_sym_end] = ACTIONS(4398),
    [sym_identifier] = ACTIONS(4400),
    [anon_sym_LPAREN] = ACTIONS(4398),
    [anon_sym_PLUS] = ACTIONS(4398),
    [anon_sym_DASH] = ACTIONS(4398),
    [anon_sym_BANG] = ACTIONS(4398),
    [anon_sym_TILDE] = ACTIONS(4398),
    [anon_sym_CARET] = ACTIONS(4398),
    [anon_sym_STAR] = ACTIONS(4398),
    [anon_sym_AMP] = ACTIONS(4398),
    [anon_sym_LT_DASH] = ACTIONS(4398),
    [anon_sym_DOLLAR] = ACTIONS(4400),
    [sym_none] = ACTIONS(4400),
    [sym_true] = ACTIONS(4400),
    [sym_false] = ACTIONS(4400),
    [anon_sym_LBRACE] = ACTIONS(4398),
    [anon_sym_LBRACK] = ACTIONS(4398),
    [anon_sym_map_LBRACK] = ACTIONS(4398),
    [anon_sym_chan] = ACTIONS(4400),
    [anon_sym_shared] = ACTIONS(4400),
    [anon_sym_thread] = ACTIONS(4400),
    [sym_int_literal] = ACTIONS(4400),
    [sym_float_literal] = ACTIONS(4398),
    [sym_rune_literal] = ACTIONS(4398),
    [anon_sym_DOT] = ACTIONS(4400),
    [anon_sym_array] = ACTIONS(4400),
    [anon_sym_string] = ACTIONS(4400),
    [anon_sym_char] = ACTIONS(4400),
    [anon_sym_sql] = ACTIONS(4400),
    [anon_sym_mut] = ACTIONS(4400),
    [anon_sym_C] = ACTIONS(4400),
    [anon_sym_JS] = ACTIONS(4400),
    [anon_sym_voidptr] = ACTIONS(4400),
    [anon_sym_byteptr] = ACTIONS(4400),
    [anon_sym_charptr] = ACTIONS(4400),
    [anon_sym_i8] = ACTIONS(4400),
    [anon_sym_i16] = ACTIONS(4400),
    [anon_sym_i32] = ACTIONS(4400),
    [anon_sym_int] = ACTIONS(4400),
    [anon_sym_i64] = ACTIONS(4400),
    [anon_sym_byte] = ACTIONS(4400),
    [anon_sym_u8] = ACTIONS(4400),
    [anon_sym_u16] = ACTIONS(4400),
    [anon_sym_u32] = ACTIONS(4400),
    [anon_sym_u64] = ACTIONS(4400),
    [anon_sym_f32] = ACTIONS(4400),
    [anon_sym_f64] = ACTIONS(4400),
    [anon_sym_bool] = ACTIONS(4400),
    [anon_sym_rune] = ACTIONS(4400),
    [anon_sym_map] = ACTIONS(4400),
    [anon_sym_mapnode] = ACTIONS(4400),
    [anon_sym_size_t] = ACTIONS(4400),
    [anon_sym_usize] = ACTIONS(4400),
    [anon_sym_isize] = ACTIONS(4400),
    [anon_sym_float_literal] = ACTIONS(4400),
    [anon_sym_int_literal] = ACTIONS(4400),
    [anon_sym_IError] = ACTIONS(4400),
    [sym_type_placeholder] = ACTIONS(4400),
    [anon_sym_AT] = ACTIONS(4400),
    [sym_type_identifier] = ACTIONS(4400),
    [anon_sym_assert] = ACTIONS(4400),
    [anon_sym_defer] = ACTIONS(4400),
    [anon_sym_unsafe] = ACTIONS(4400),
    [anon_sym_pub] = ACTIONS(4400),
    [anon_sym_fn] = ACTIONS(4400),
    [anon_sym___global] = ACTIONS(4400),
    [anon_sym_const] = ACTIONS(4400),
    [anon_sym_asm] = ACTIONS(4400),
    [anon_sym_break] = ACTIONS(4400),
    [anon_sym_continue] = ACTIONS(4400),
    [anon_sym_return] = ACTIONS(4400),
    [anon_sym_type] = ACTIONS(4400),
    [anon_sym_go] = ACTIONS(4400),
    [anon_sym_spawn] = ACTIONS(4400),
    [anon_sym_goto] = ACTIONS(4400),
    [anon_sym_for] = ACTIONS(4400),
    [anon_sym_DOLLARfor] = ACTIONS(4398),
    [anon_sym_DOLLARif] = ACTIONS(4398),
    [anon_sym_if] = ACTIONS(4400),
    [anon_sym_struct] = ACTIONS(4400),
    [anon_sym_union] = ACTIONS(4400),
    [anon_sym_enum] = ACTIONS(4400),
    [anon_sym_interface] = ACTIONS(4400),
    [anon_sym_POUND] = ACTIONS(4398),
    [anon_sym_module] = ACTIONS(4400),
    [anon_sym_import] = ACTIONS(4400),
    [anon_sym_match] = ACTIONS(4400),
    [anon_sym_select] = ACTIONS(4400),
    [anon_sym_lock] = ACTIONS(4400),
    [anon_sym_rlock] = ACTIONS(4400),
    [sym__automatic_separator] = ACTIONS(4398),
    [sym__c_string_opening] = ACTIONS(4398),
    [sym__raw_string_opening] = ACTIONS(4398),
    [sym__string_opening] = ACTIONS(4398),
    [sym__comment] = ACTIONS(3),
  },
  [1663] = {
    [sym_comment] = STATE(1663),
    [ts_builtin_sym_end] = ACTIONS(4402),
    [sym_identifier] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(4402),
    [anon_sym_PLUS] = ACTIONS(4402),
    [anon_sym_DASH] = ACTIONS(4402),
    [anon_sym_BANG] = ACTIONS(4402),
    [anon_sym_TILDE] = ACTIONS(4402),
    [anon_sym_CARET] = ACTIONS(4402),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym_LT_DASH] = ACTIONS(4402),
    [anon_sym_DOLLAR] = ACTIONS(4404),
    [sym_none] = ACTIONS(4404),
    [sym_true] = ACTIONS(4404),
    [sym_false] = ACTIONS(4404),
    [anon_sym_LBRACE] = ACTIONS(4402),
    [anon_sym_LBRACK] = ACTIONS(4402),
    [anon_sym_map_LBRACK] = ACTIONS(4402),
    [anon_sym_chan] = ACTIONS(4404),
    [anon_sym_shared] = ACTIONS(4404),
    [anon_sym_thread] = ACTIONS(4404),
    [sym_int_literal] = ACTIONS(4404),
    [sym_float_literal] = ACTIONS(4402),
    [sym_rune_literal] = ACTIONS(4402),
    [anon_sym_DOT] = ACTIONS(4404),
    [anon_sym_array] = ACTIONS(4404),
    [anon_sym_string] = ACTIONS(4404),
    [anon_sym_char] = ACTIONS(4404),
    [anon_sym_sql] = ACTIONS(4404),
    [anon_sym_mut] = ACTIONS(4404),
    [anon_sym_C] = ACTIONS(4404),
    [anon_sym_JS] = ACTIONS(4404),
    [anon_sym_voidptr] = ACTIONS(4404),
    [anon_sym_byteptr] = ACTIONS(4404),
    [anon_sym_charptr] = ACTIONS(4404),
    [anon_sym_i8] = ACTIONS(4404),
    [anon_sym_i16] = ACTIONS(4404),
    [anon_sym_i32] = ACTIONS(4404),
    [anon_sym_int] = ACTIONS(4404),
    [anon_sym_i64] = ACTIONS(4404),
    [anon_sym_byte] = ACTIONS(4404),
    [anon_sym_u8] = ACTIONS(4404),
    [anon_sym_u16] = ACTIONS(4404),
    [anon_sym_u32] = ACTIONS(4404),
    [anon_sym_u64] = ACTIONS(4404),
    [anon_sym_f32] = ACTIONS(4404),
    [anon_sym_f64] = ACTIONS(4404),
    [anon_sym_bool] = ACTIONS(4404),
    [anon_sym_rune] = ACTIONS(4404),
    [anon_sym_map] = ACTIONS(4404),
    [anon_sym_mapnode] = ACTIONS(4404),
    [anon_sym_size_t] = ACTIONS(4404),
    [anon_sym_usize] = ACTIONS(4404),
    [anon_sym_isize] = ACTIONS(4404),
    [anon_sym_float_literal] = ACTIONS(4404),
    [anon_sym_int_literal] = ACTIONS(4404),
    [anon_sym_IError] = ACTIONS(4404),
    [sym_type_placeholder] = ACTIONS(4404),
    [anon_sym_AT] = ACTIONS(4404),
    [sym_type_identifier] = ACTIONS(4404),
    [anon_sym_assert] = ACTIONS(4404),
    [anon_sym_defer] = ACTIONS(4404),
    [anon_sym_unsafe] = ACTIONS(4404),
    [anon_sym_pub] = ACTIONS(4404),
    [anon_sym_fn] = ACTIONS(4404),
    [anon_sym___global] = ACTIONS(4404),
    [anon_sym_const] = ACTIONS(4404),
    [anon_sym_asm] = ACTIONS(4404),
    [anon_sym_break] = ACTIONS(4404),
    [anon_sym_continue] = ACTIONS(4404),
    [anon_sym_return] = ACTIONS(4404),
    [anon_sym_type] = ACTIONS(4404),
    [anon_sym_go] = ACTIONS(4404),
    [anon_sym_spawn] = ACTIONS(4404),
    [anon_sym_goto] = ACTIONS(4404),
    [anon_sym_for] = ACTIONS(4404),
    [anon_sym_DOLLARfor] = ACTIONS(4402),
    [anon_sym_DOLLARif] = ACTIONS(4402),
    [anon_sym_if] = ACTIONS(4404),
    [anon_sym_struct] = ACTIONS(4404),
    [anon_sym_union] = ACTIONS(4404),
    [anon_sym_enum] = ACTIONS(4404),
    [anon_sym_interface] = ACTIONS(4404),
    [anon_sym_POUND] = ACTIONS(4402),
    [anon_sym_module] = ACTIONS(4404),
    [anon_sym_import] = ACTIONS(4404),
    [anon_sym_match] = ACTIONS(4404),
    [anon_sym_select] = ACTIONS(4404),
    [anon_sym_lock] = ACTIONS(4404),
    [anon_sym_rlock] = ACTIONS(4404),
    [sym__automatic_separator] = ACTIONS(4402),
    [sym__c_string_opening] = ACTIONS(4402),
    [sym__raw_string_opening] = ACTIONS(4402),
    [sym__string_opening] = ACTIONS(4402),
    [sym__comment] = ACTIONS(3),
  },
  [1664] = {
    [sym_comment] = STATE(1664),
    [ts_builtin_sym_end] = ACTIONS(4406),
    [sym_identifier] = ACTIONS(4408),
    [anon_sym_LPAREN] = ACTIONS(4406),
    [anon_sym_PLUS] = ACTIONS(4406),
    [anon_sym_DASH] = ACTIONS(4406),
    [anon_sym_BANG] = ACTIONS(4406),
    [anon_sym_TILDE] = ACTIONS(4406),
    [anon_sym_CARET] = ACTIONS(4406),
    [anon_sym_STAR] = ACTIONS(4406),
    [anon_sym_AMP] = ACTIONS(4406),
    [anon_sym_LT_DASH] = ACTIONS(4406),
    [anon_sym_DOLLAR] = ACTIONS(4408),
    [sym_none] = ACTIONS(4408),
    [sym_true] = ACTIONS(4408),
    [sym_false] = ACTIONS(4408),
    [anon_sym_LBRACE] = ACTIONS(4406),
    [anon_sym_LBRACK] = ACTIONS(4406),
    [anon_sym_map_LBRACK] = ACTIONS(4406),
    [anon_sym_chan] = ACTIONS(4408),
    [anon_sym_shared] = ACTIONS(4408),
    [anon_sym_thread] = ACTIONS(4408),
    [sym_int_literal] = ACTIONS(4408),
    [sym_float_literal] = ACTIONS(4406),
    [sym_rune_literal] = ACTIONS(4406),
    [anon_sym_DOT] = ACTIONS(4408),
    [anon_sym_array] = ACTIONS(4408),
    [anon_sym_string] = ACTIONS(4408),
    [anon_sym_char] = ACTIONS(4408),
    [anon_sym_sql] = ACTIONS(4408),
    [anon_sym_mut] = ACTIONS(4408),
    [anon_sym_C] = ACTIONS(4408),
    [anon_sym_JS] = ACTIONS(4408),
    [anon_sym_voidptr] = ACTIONS(4408),
    [anon_sym_byteptr] = ACTIONS(4408),
    [anon_sym_charptr] = ACTIONS(4408),
    [anon_sym_i8] = ACTIONS(4408),
    [anon_sym_i16] = ACTIONS(4408),
    [anon_sym_i32] = ACTIONS(4408),
    [anon_sym_int] = ACTIONS(4408),
    [anon_sym_i64] = ACTIONS(4408),
    [anon_sym_byte] = ACTIONS(4408),
    [anon_sym_u8] = ACTIONS(4408),
    [anon_sym_u16] = ACTIONS(4408),
    [anon_sym_u32] = ACTIONS(4408),
    [anon_sym_u64] = ACTIONS(4408),
    [anon_sym_f32] = ACTIONS(4408),
    [anon_sym_f64] = ACTIONS(4408),
    [anon_sym_bool] = ACTIONS(4408),
    [anon_sym_rune] = ACTIONS(4408),
    [anon_sym_map] = ACTIONS(4408),
    [anon_sym_mapnode] = ACTIONS(4408),
    [anon_sym_size_t] = ACTIONS(4408),
    [anon_sym_usize] = ACTIONS(4408),
    [anon_sym_isize] = ACTIONS(4408),
    [anon_sym_float_literal] = ACTIONS(4408),
    [anon_sym_int_literal] = ACTIONS(4408),
    [anon_sym_IError] = ACTIONS(4408),
    [sym_type_placeholder] = ACTIONS(4408),
    [anon_sym_AT] = ACTIONS(4408),
    [sym_type_identifier] = ACTIONS(4408),
    [anon_sym_assert] = ACTIONS(4408),
    [anon_sym_defer] = ACTIONS(4408),
    [anon_sym_unsafe] = ACTIONS(4408),
    [anon_sym_pub] = ACTIONS(4408),
    [anon_sym_fn] = ACTIONS(4408),
    [anon_sym___global] = ACTIONS(4408),
    [anon_sym_const] = ACTIONS(4408),
    [anon_sym_asm] = ACTIONS(4408),
    [anon_sym_break] = ACTIONS(4408),
    [anon_sym_continue] = ACTIONS(4408),
    [anon_sym_return] = ACTIONS(4408),
    [anon_sym_type] = ACTIONS(4408),
    [anon_sym_go] = ACTIONS(4408),
    [anon_sym_spawn] = ACTIONS(4408),
    [anon_sym_goto] = ACTIONS(4408),
    [anon_sym_for] = ACTIONS(4408),
    [anon_sym_DOLLARfor] = ACTIONS(4406),
    [anon_sym_DOLLARif] = ACTIONS(4406),
    [anon_sym_if] = ACTIONS(4408),
    [anon_sym_struct] = ACTIONS(4408),
    [anon_sym_union] = ACTIONS(4408),
    [anon_sym_enum] = ACTIONS(4408),
    [anon_sym_interface] = ACTIONS(4408),
    [anon_sym_POUND] = ACTIONS(4406),
    [anon_sym_module] = ACTIONS(4408),
    [anon_sym_import] = ACTIONS(4408),
    [anon_sym_match] = ACTIONS(4408),
    [anon_sym_select] = ACTIONS(4408),
    [anon_sym_lock] = ACTIONS(4408),
    [anon_sym_rlock] = ACTIONS(4408),
    [sym__automatic_separator] = ACTIONS(4406),
    [sym__c_string_opening] = ACTIONS(4406),
    [sym__raw_string_opening] = ACTIONS(4406),
    [sym__string_opening] = ACTIONS(4406),
    [sym__comment] = ACTIONS(3),
  },
  [1665] = {
    [sym_comment] = STATE(1665),
    [ts_builtin_sym_end] = ACTIONS(4410),
    [sym_identifier] = ACTIONS(4412),
    [anon_sym_LPAREN] = ACTIONS(4410),
    [anon_sym_PLUS] = ACTIONS(4410),
    [anon_sym_DASH] = ACTIONS(4410),
    [anon_sym_BANG] = ACTIONS(4410),
    [anon_sym_TILDE] = ACTIONS(4410),
    [anon_sym_CARET] = ACTIONS(4410),
    [anon_sym_STAR] = ACTIONS(4410),
    [anon_sym_AMP] = ACTIONS(4410),
    [anon_sym_LT_DASH] = ACTIONS(4410),
    [anon_sym_DOLLAR] = ACTIONS(4412),
    [sym_none] = ACTIONS(4412),
    [sym_true] = ACTIONS(4412),
    [sym_false] = ACTIONS(4412),
    [anon_sym_LBRACE] = ACTIONS(4410),
    [anon_sym_LBRACK] = ACTIONS(4410),
    [anon_sym_map_LBRACK] = ACTIONS(4410),
    [anon_sym_chan] = ACTIONS(4412),
    [anon_sym_shared] = ACTIONS(4412),
    [anon_sym_thread] = ACTIONS(4412),
    [sym_int_literal] = ACTIONS(4412),
    [sym_float_literal] = ACTIONS(4410),
    [sym_rune_literal] = ACTIONS(4410),
    [anon_sym_DOT] = ACTIONS(4412),
    [anon_sym_array] = ACTIONS(4412),
    [anon_sym_string] = ACTIONS(4412),
    [anon_sym_char] = ACTIONS(4412),
    [anon_sym_sql] = ACTIONS(4412),
    [anon_sym_mut] = ACTIONS(4412),
    [anon_sym_C] = ACTIONS(4412),
    [anon_sym_JS] = ACTIONS(4412),
    [anon_sym_voidptr] = ACTIONS(4412),
    [anon_sym_byteptr] = ACTIONS(4412),
    [anon_sym_charptr] = ACTIONS(4412),
    [anon_sym_i8] = ACTIONS(4412),
    [anon_sym_i16] = ACTIONS(4412),
    [anon_sym_i32] = ACTIONS(4412),
    [anon_sym_int] = ACTIONS(4412),
    [anon_sym_i64] = ACTIONS(4412),
    [anon_sym_byte] = ACTIONS(4412),
    [anon_sym_u8] = ACTIONS(4412),
    [anon_sym_u16] = ACTIONS(4412),
    [anon_sym_u32] = ACTIONS(4412),
    [anon_sym_u64] = ACTIONS(4412),
    [anon_sym_f32] = ACTIONS(4412),
    [anon_sym_f64] = ACTIONS(4412),
    [anon_sym_bool] = ACTIONS(4412),
    [anon_sym_rune] = ACTIONS(4412),
    [anon_sym_map] = ACTIONS(4412),
    [anon_sym_mapnode] = ACTIONS(4412),
    [anon_sym_size_t] = ACTIONS(4412),
    [anon_sym_usize] = ACTIONS(4412),
    [anon_sym_isize] = ACTIONS(4412),
    [anon_sym_float_literal] = ACTIONS(4412),
    [anon_sym_int_literal] = ACTIONS(4412),
    [anon_sym_IError] = ACTIONS(4412),
    [sym_type_placeholder] = ACTIONS(4412),
    [anon_sym_AT] = ACTIONS(4412),
    [sym_type_identifier] = ACTIONS(4412),
    [anon_sym_assert] = ACTIONS(4412),
    [anon_sym_defer] = ACTIONS(4412),
    [anon_sym_unsafe] = ACTIONS(4412),
    [anon_sym_pub] = ACTIONS(4412),
    [anon_sym_fn] = ACTIONS(4412),
    [anon_sym___global] = ACTIONS(4412),
    [anon_sym_const] = ACTIONS(4412),
    [anon_sym_asm] = ACTIONS(4412),
    [anon_sym_break] = ACTIONS(4412),
    [anon_sym_continue] = ACTIONS(4412),
    [anon_sym_return] = ACTIONS(4412),
    [anon_sym_type] = ACTIONS(4412),
    [anon_sym_go] = ACTIONS(4412),
    [anon_sym_spawn] = ACTIONS(4412),
    [anon_sym_goto] = ACTIONS(4412),
    [anon_sym_for] = ACTIONS(4412),
    [anon_sym_DOLLARfor] = ACTIONS(4410),
    [anon_sym_DOLLARif] = ACTIONS(4410),
    [anon_sym_if] = ACTIONS(4412),
    [anon_sym_struct] = ACTIONS(4412),
    [anon_sym_union] = ACTIONS(4412),
    [anon_sym_enum] = ACTIONS(4412),
    [anon_sym_interface] = ACTIONS(4412),
    [anon_sym_POUND] = ACTIONS(4410),
    [anon_sym_module] = ACTIONS(4412),
    [anon_sym_import] = ACTIONS(4412),
    [anon_sym_match] = ACTIONS(4412),
    [anon_sym_select] = ACTIONS(4412),
    [anon_sym_lock] = ACTIONS(4412),
    [anon_sym_rlock] = ACTIONS(4412),
    [sym__automatic_separator] = ACTIONS(4410),
    [sym__c_string_opening] = ACTIONS(4410),
    [sym__raw_string_opening] = ACTIONS(4410),
    [sym__string_opening] = ACTIONS(4410),
    [sym__comment] = ACTIONS(3),
  },
  [1666] = {
    [sym_comment] = STATE(1666),
    [ts_builtin_sym_end] = ACTIONS(4414),
    [sym_identifier] = ACTIONS(4416),
    [anon_sym_LPAREN] = ACTIONS(4414),
    [anon_sym_PLUS] = ACTIONS(4414),
    [anon_sym_DASH] = ACTIONS(4414),
    [anon_sym_BANG] = ACTIONS(4414),
    [anon_sym_TILDE] = ACTIONS(4414),
    [anon_sym_CARET] = ACTIONS(4414),
    [anon_sym_STAR] = ACTIONS(4414),
    [anon_sym_AMP] = ACTIONS(4414),
    [anon_sym_LT_DASH] = ACTIONS(4414),
    [anon_sym_DOLLAR] = ACTIONS(4418),
    [sym_none] = ACTIONS(4418),
    [sym_true] = ACTIONS(4418),
    [sym_false] = ACTIONS(4418),
    [anon_sym_LBRACE] = ACTIONS(4414),
    [anon_sym_LBRACK] = ACTIONS(4414),
    [anon_sym_map_LBRACK] = ACTIONS(4414),
    [anon_sym_chan] = ACTIONS(4418),
    [anon_sym_shared] = ACTIONS(4418),
    [anon_sym_thread] = ACTIONS(4418),
    [sym_int_literal] = ACTIONS(4418),
    [sym_float_literal] = ACTIONS(4414),
    [sym_rune_literal] = ACTIONS(4414),
    [anon_sym_DOT] = ACTIONS(4418),
    [anon_sym_array] = ACTIONS(4418),
    [anon_sym_string] = ACTIONS(4418),
    [anon_sym_char] = ACTIONS(4418),
    [anon_sym_sql] = ACTIONS(4418),
    [anon_sym_mut] = ACTIONS(4418),
    [anon_sym_C] = ACTIONS(4418),
    [anon_sym_JS] = ACTIONS(4418),
    [anon_sym_voidptr] = ACTIONS(4418),
    [anon_sym_byteptr] = ACTIONS(4418),
    [anon_sym_charptr] = ACTIONS(4418),
    [anon_sym_i8] = ACTIONS(4418),
    [anon_sym_i16] = ACTIONS(4418),
    [anon_sym_i32] = ACTIONS(4418),
    [anon_sym_int] = ACTIONS(4418),
    [anon_sym_i64] = ACTIONS(4418),
    [anon_sym_byte] = ACTIONS(4418),
    [anon_sym_u8] = ACTIONS(4418),
    [anon_sym_u16] = ACTIONS(4418),
    [anon_sym_u32] = ACTIONS(4418),
    [anon_sym_u64] = ACTIONS(4418),
    [anon_sym_f32] = ACTIONS(4418),
    [anon_sym_f64] = ACTIONS(4418),
    [anon_sym_bool] = ACTIONS(4418),
    [anon_sym_rune] = ACTIONS(4418),
    [anon_sym_map] = ACTIONS(4418),
    [anon_sym_mapnode] = ACTIONS(4418),
    [anon_sym_size_t] = ACTIONS(4418),
    [anon_sym_usize] = ACTIONS(4418),
    [anon_sym_isize] = ACTIONS(4418),
    [anon_sym_float_literal] = ACTIONS(4418),
    [anon_sym_int_literal] = ACTIONS(4418),
    [anon_sym_IError] = ACTIONS(4418),
    [sym_type_placeholder] = ACTIONS(4418),
    [anon_sym_AT] = ACTIONS(4418),
    [sym_type_identifier] = ACTIONS(4418),
    [anon_sym_assert] = ACTIONS(4418),
    [anon_sym_defer] = ACTIONS(4418),
    [anon_sym_unsafe] = ACTIONS(4418),
    [anon_sym_pub] = ACTIONS(4418),
    [anon_sym_fn] = ACTIONS(4418),
    [anon_sym___global] = ACTIONS(4418),
    [anon_sym_const] = ACTIONS(4418),
    [anon_sym_asm] = ACTIONS(4418),
    [anon_sym_break] = ACTIONS(4418),
    [anon_sym_continue] = ACTIONS(4418),
    [anon_sym_return] = ACTIONS(4418),
    [anon_sym_type] = ACTIONS(4418),
    [anon_sym_go] = ACTIONS(4418),
    [anon_sym_spawn] = ACTIONS(4418),
    [anon_sym_goto] = ACTIONS(4418),
    [anon_sym_for] = ACTIONS(4418),
    [anon_sym_DOLLARfor] = ACTIONS(4414),
    [anon_sym_DOLLARif] = ACTIONS(4414),
    [anon_sym_if] = ACTIONS(4418),
    [anon_sym_struct] = ACTIONS(4418),
    [anon_sym_union] = ACTIONS(4418),
    [anon_sym_enum] = ACTIONS(4418),
    [anon_sym_interface] = ACTIONS(4418),
    [anon_sym_POUND] = ACTIONS(4414),
    [anon_sym_module] = ACTIONS(4418),
    [anon_sym_import] = ACTIONS(4418),
    [anon_sym_match] = ACTIONS(4418),
    [anon_sym_select] = ACTIONS(4418),
    [anon_sym_lock] = ACTIONS(4418),
    [anon_sym_rlock] = ACTIONS(4418),
    [sym__automatic_separator] = ACTIONS(4414),
    [sym__c_string_opening] = ACTIONS(4414),
    [sym__raw_string_opening] = ACTIONS(4414),
    [sym__string_opening] = ACTIONS(4414),
    [sym__comment] = ACTIONS(3),
  },
  [1667] = {
    [sym_comment] = STATE(1667),
    [ts_builtin_sym_end] = ACTIONS(4420),
    [sym_identifier] = ACTIONS(4422),
    [anon_sym_LPAREN] = ACTIONS(4420),
    [anon_sym_PLUS] = ACTIONS(4420),
    [anon_sym_DASH] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(4420),
    [anon_sym_TILDE] = ACTIONS(4420),
    [anon_sym_CARET] = ACTIONS(4420),
    [anon_sym_STAR] = ACTIONS(4420),
    [anon_sym_AMP] = ACTIONS(4420),
    [anon_sym_LT_DASH] = ACTIONS(4420),
    [anon_sym_DOLLAR] = ACTIONS(4422),
    [sym_none] = ACTIONS(4422),
    [sym_true] = ACTIONS(4422),
    [sym_false] = ACTIONS(4422),
    [anon_sym_LBRACE] = ACTIONS(4420),
    [anon_sym_LBRACK] = ACTIONS(4420),
    [anon_sym_map_LBRACK] = ACTIONS(4420),
    [anon_sym_chan] = ACTIONS(4422),
    [anon_sym_shared] = ACTIONS(4422),
    [anon_sym_thread] = ACTIONS(4422),
    [sym_int_literal] = ACTIONS(4422),
    [sym_float_literal] = ACTIONS(4420),
    [sym_rune_literal] = ACTIONS(4420),
    [anon_sym_DOT] = ACTIONS(4422),
    [anon_sym_array] = ACTIONS(4422),
    [anon_sym_string] = ACTIONS(4422),
    [anon_sym_char] = ACTIONS(4422),
    [anon_sym_sql] = ACTIONS(4422),
    [anon_sym_mut] = ACTIONS(4422),
    [anon_sym_C] = ACTIONS(4422),
    [anon_sym_JS] = ACTIONS(4422),
    [anon_sym_voidptr] = ACTIONS(4422),
    [anon_sym_byteptr] = ACTIONS(4422),
    [anon_sym_charptr] = ACTIONS(4422),
    [anon_sym_i8] = ACTIONS(4422),
    [anon_sym_i16] = ACTIONS(4422),
    [anon_sym_i32] = ACTIONS(4422),
    [anon_sym_int] = ACTIONS(4422),
    [anon_sym_i64] = ACTIONS(4422),
    [anon_sym_byte] = ACTIONS(4422),
    [anon_sym_u8] = ACTIONS(4422),
    [anon_sym_u16] = ACTIONS(4422),
    [anon_sym_u32] = ACTIONS(4422),
    [anon_sym_u64] = ACTIONS(4422),
    [anon_sym_f32] = ACTIONS(4422),
    [anon_sym_f64] = ACTIONS(4422),
    [anon_sym_bool] = ACTIONS(4422),
    [anon_sym_rune] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(4422),
    [anon_sym_mapnode] = ACTIONS(4422),
    [anon_sym_size_t] = ACTIONS(4422),
    [anon_sym_usize] = ACTIONS(4422),
    [anon_sym_isize] = ACTIONS(4422),
    [anon_sym_float_literal] = ACTIONS(4422),
    [anon_sym_int_literal] = ACTIONS(4422),
    [anon_sym_IError] = ACTIONS(4422),
    [sym_type_placeholder] = ACTIONS(4422),
    [anon_sym_AT] = ACTIONS(4422),
    [sym_type_identifier] = ACTIONS(4422),
    [anon_sym_assert] = ACTIONS(4422),
    [anon_sym_defer] = ACTIONS(4422),
    [anon_sym_unsafe] = ACTIONS(4422),
    [anon_sym_pub] = ACTIONS(4422),
    [anon_sym_fn] = ACTIONS(4422),
    [anon_sym___global] = ACTIONS(4422),
    [anon_sym_const] = ACTIONS(4422),
    [anon_sym_asm] = ACTIONS(4422),
    [anon_sym_break] = ACTIONS(4422),
    [anon_sym_continue] = ACTIONS(4422),
    [anon_sym_return] = ACTIONS(4422),
    [anon_sym_type] = ACTIONS(4422),
    [anon_sym_go] = ACTIONS(4422),
    [anon_sym_spawn] = ACTIONS(4422),
    [anon_sym_goto] = ACTIONS(4422),
    [anon_sym_for] = ACTIONS(4422),
    [anon_sym_DOLLARfor] = ACTIONS(4420),
    [anon_sym_DOLLARif] = ACTIONS(4420),
    [anon_sym_if] = ACTIONS(4422),
    [anon_sym_struct] = ACTIONS(4422),
    [anon_sym_union] = ACTIONS(4422),
    [anon_sym_enum] = ACTIONS(4422),
    [anon_sym_interface] = ACTIONS(4422),
    [anon_sym_POUND] = ACTIONS(4420),
    [anon_sym_module] = ACTIONS(4422),
    [anon_sym_import] = ACTIONS(4422),
    [anon_sym_match] = ACTIONS(4422),
    [anon_sym_select] = ACTIONS(4422),
    [anon_sym_lock] = ACTIONS(4422),
    [anon_sym_rlock] = ACTIONS(4422),
    [sym__automatic_separator] = ACTIONS(4420),
    [sym__c_string_opening] = ACTIONS(4420),
    [sym__raw_string_opening] = ACTIONS(4420),
    [sym__string_opening] = ACTIONS(4420),
    [sym__comment] = ACTIONS(3),
  },
  [1668] = {
    [sym_comment] = STATE(1668),
    [sym_type_parameters] = STATE(1758),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1046),
    [anon_sym_PERCENT] = ACTIONS(1046),
    [anon_sym_LT_LT] = ACTIONS(1046),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1046),
    [anon_sym_AMP_CARET] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_RBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_LT2] = ACTIONS(4424),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1669] = {
    [sym_comment] = STATE(1669),
    [ts_builtin_sym_end] = ACTIONS(4426),
    [sym_identifier] = ACTIONS(4428),
    [anon_sym_LPAREN] = ACTIONS(4426),
    [anon_sym_PLUS] = ACTIONS(4426),
    [anon_sym_DASH] = ACTIONS(4426),
    [anon_sym_BANG] = ACTIONS(4426),
    [anon_sym_TILDE] = ACTIONS(4426),
    [anon_sym_CARET] = ACTIONS(4426),
    [anon_sym_STAR] = ACTIONS(4426),
    [anon_sym_AMP] = ACTIONS(4426),
    [anon_sym_LT_DASH] = ACTIONS(4426),
    [anon_sym_DOLLAR] = ACTIONS(4428),
    [sym_none] = ACTIONS(4428),
    [sym_true] = ACTIONS(4428),
    [sym_false] = ACTIONS(4428),
    [anon_sym_LBRACE] = ACTIONS(4426),
    [anon_sym_LBRACK] = ACTIONS(4426),
    [anon_sym_map_LBRACK] = ACTIONS(4426),
    [anon_sym_chan] = ACTIONS(4428),
    [anon_sym_shared] = ACTIONS(4428),
    [anon_sym_thread] = ACTIONS(4428),
    [sym_int_literal] = ACTIONS(4428),
    [sym_float_literal] = ACTIONS(4426),
    [sym_rune_literal] = ACTIONS(4426),
    [anon_sym_DOT] = ACTIONS(4428),
    [anon_sym_array] = ACTIONS(4428),
    [anon_sym_string] = ACTIONS(4428),
    [anon_sym_char] = ACTIONS(4428),
    [anon_sym_sql] = ACTIONS(4428),
    [anon_sym_mut] = ACTIONS(4428),
    [anon_sym_C] = ACTIONS(4428),
    [anon_sym_JS] = ACTIONS(4428),
    [anon_sym_voidptr] = ACTIONS(4428),
    [anon_sym_byteptr] = ACTIONS(4428),
    [anon_sym_charptr] = ACTIONS(4428),
    [anon_sym_i8] = ACTIONS(4428),
    [anon_sym_i16] = ACTIONS(4428),
    [anon_sym_i32] = ACTIONS(4428),
    [anon_sym_int] = ACTIONS(4428),
    [anon_sym_i64] = ACTIONS(4428),
    [anon_sym_byte] = ACTIONS(4428),
    [anon_sym_u8] = ACTIONS(4428),
    [anon_sym_u16] = ACTIONS(4428),
    [anon_sym_u32] = ACTIONS(4428),
    [anon_sym_u64] = ACTIONS(4428),
    [anon_sym_f32] = ACTIONS(4428),
    [anon_sym_f64] = ACTIONS(4428),
    [anon_sym_bool] = ACTIONS(4428),
    [anon_sym_rune] = ACTIONS(4428),
    [anon_sym_map] = ACTIONS(4428),
    [anon_sym_mapnode] = ACTIONS(4428),
    [anon_sym_size_t] = ACTIONS(4428),
    [anon_sym_usize] = ACTIONS(4428),
    [anon_sym_isize] = ACTIONS(4428),
    [anon_sym_float_literal] = ACTIONS(4428),
    [anon_sym_int_literal] = ACTIONS(4428),
    [anon_sym_IError] = ACTIONS(4428),
    [sym_type_placeholder] = ACTIONS(4428),
    [anon_sym_AT] = ACTIONS(4428),
    [sym_type_identifier] = ACTIONS(4428),
    [anon_sym_assert] = ACTIONS(4428),
    [anon_sym_defer] = ACTIONS(4428),
    [anon_sym_unsafe] = ACTIONS(4428),
    [anon_sym_pub] = ACTIONS(4428),
    [anon_sym_fn] = ACTIONS(4428),
    [anon_sym___global] = ACTIONS(4428),
    [anon_sym_const] = ACTIONS(4428),
    [anon_sym_asm] = ACTIONS(4428),
    [anon_sym_break] = ACTIONS(4428),
    [anon_sym_continue] = ACTIONS(4428),
    [anon_sym_return] = ACTIONS(4428),
    [anon_sym_type] = ACTIONS(4428),
    [anon_sym_go] = ACTIONS(4428),
    [anon_sym_spawn] = ACTIONS(4428),
    [anon_sym_goto] = ACTIONS(4428),
    [anon_sym_for] = ACTIONS(4428),
    [anon_sym_DOLLARfor] = ACTIONS(4426),
    [anon_sym_DOLLARif] = ACTIONS(4426),
    [anon_sym_if] = ACTIONS(4428),
    [anon_sym_struct] = ACTIONS(4428),
    [anon_sym_union] = ACTIONS(4428),
    [anon_sym_enum] = ACTIONS(4428),
    [anon_sym_interface] = ACTIONS(4428),
    [anon_sym_POUND] = ACTIONS(4426),
    [anon_sym_module] = ACTIONS(4428),
    [anon_sym_import] = ACTIONS(4428),
    [anon_sym_match] = ACTIONS(4428),
    [anon_sym_select] = ACTIONS(4428),
    [anon_sym_lock] = ACTIONS(4428),
    [anon_sym_rlock] = ACTIONS(4428),
    [sym__automatic_separator] = ACTIONS(4426),
    [sym__c_string_opening] = ACTIONS(4426),
    [sym__raw_string_opening] = ACTIONS(4426),
    [sym__string_opening] = ACTIONS(4426),
    [sym__comment] = ACTIONS(3),
  },
  [1670] = {
    [sym_comment] = STATE(1670),
    [ts_builtin_sym_end] = ACTIONS(4430),
    [sym_identifier] = ACTIONS(4432),
    [anon_sym_LPAREN] = ACTIONS(4430),
    [anon_sym_PLUS] = ACTIONS(4430),
    [anon_sym_DASH] = ACTIONS(4430),
    [anon_sym_BANG] = ACTIONS(4430),
    [anon_sym_TILDE] = ACTIONS(4430),
    [anon_sym_CARET] = ACTIONS(4430),
    [anon_sym_STAR] = ACTIONS(4430),
    [anon_sym_AMP] = ACTIONS(4430),
    [anon_sym_LT_DASH] = ACTIONS(4430),
    [anon_sym_DOLLAR] = ACTIONS(4432),
    [sym_none] = ACTIONS(4432),
    [sym_true] = ACTIONS(4432),
    [sym_false] = ACTIONS(4432),
    [anon_sym_LBRACE] = ACTIONS(4430),
    [anon_sym_LBRACK] = ACTIONS(4430),
    [anon_sym_map_LBRACK] = ACTIONS(4430),
    [anon_sym_chan] = ACTIONS(4432),
    [anon_sym_shared] = ACTIONS(4432),
    [anon_sym_thread] = ACTIONS(4432),
    [sym_int_literal] = ACTIONS(4432),
    [sym_float_literal] = ACTIONS(4430),
    [sym_rune_literal] = ACTIONS(4430),
    [anon_sym_DOT] = ACTIONS(4432),
    [anon_sym_array] = ACTIONS(4432),
    [anon_sym_string] = ACTIONS(4432),
    [anon_sym_char] = ACTIONS(4432),
    [anon_sym_sql] = ACTIONS(4432),
    [anon_sym_mut] = ACTIONS(4432),
    [anon_sym_C] = ACTIONS(4432),
    [anon_sym_JS] = ACTIONS(4432),
    [anon_sym_voidptr] = ACTIONS(4432),
    [anon_sym_byteptr] = ACTIONS(4432),
    [anon_sym_charptr] = ACTIONS(4432),
    [anon_sym_i8] = ACTIONS(4432),
    [anon_sym_i16] = ACTIONS(4432),
    [anon_sym_i32] = ACTIONS(4432),
    [anon_sym_int] = ACTIONS(4432),
    [anon_sym_i64] = ACTIONS(4432),
    [anon_sym_byte] = ACTIONS(4432),
    [anon_sym_u8] = ACTIONS(4432),
    [anon_sym_u16] = ACTIONS(4432),
    [anon_sym_u32] = ACTIONS(4432),
    [anon_sym_u64] = ACTIONS(4432),
    [anon_sym_f32] = ACTIONS(4432),
    [anon_sym_f64] = ACTIONS(4432),
    [anon_sym_bool] = ACTIONS(4432),
    [anon_sym_rune] = ACTIONS(4432),
    [anon_sym_map] = ACTIONS(4432),
    [anon_sym_mapnode] = ACTIONS(4432),
    [anon_sym_size_t] = ACTIONS(4432),
    [anon_sym_usize] = ACTIONS(4432),
    [anon_sym_isize] = ACTIONS(4432),
    [anon_sym_float_literal] = ACTIONS(4432),
    [anon_sym_int_literal] = ACTIONS(4432),
    [anon_sym_IError] = ACTIONS(4432),
    [sym_type_placeholder] = ACTIONS(4432),
    [anon_sym_AT] = ACTIONS(4432),
    [sym_type_identifier] = ACTIONS(4432),
    [anon_sym_assert] = ACTIONS(4432),
    [anon_sym_defer] = ACTIONS(4432),
    [anon_sym_unsafe] = ACTIONS(4432),
    [anon_sym_pub] = ACTIONS(4432),
    [anon_sym_fn] = ACTIONS(4432),
    [anon_sym___global] = ACTIONS(4432),
    [anon_sym_const] = ACTIONS(4432),
    [anon_sym_asm] = ACTIONS(4432),
    [anon_sym_break] = ACTIONS(4432),
    [anon_sym_continue] = ACTIONS(4432),
    [anon_sym_return] = ACTIONS(4432),
    [anon_sym_type] = ACTIONS(4432),
    [anon_sym_go] = ACTIONS(4432),
    [anon_sym_spawn] = ACTIONS(4432),
    [anon_sym_goto] = ACTIONS(4432),
    [anon_sym_for] = ACTIONS(4432),
    [anon_sym_DOLLARfor] = ACTIONS(4430),
    [anon_sym_DOLLARif] = ACTIONS(4430),
    [anon_sym_if] = ACTIONS(4432),
    [anon_sym_struct] = ACTIONS(4432),
    [anon_sym_union] = ACTIONS(4432),
    [anon_sym_enum] = ACTIONS(4432),
    [anon_sym_interface] = ACTIONS(4432),
    [anon_sym_POUND] = ACTIONS(4430),
    [anon_sym_module] = ACTIONS(4432),
    [anon_sym_import] = ACTIONS(4432),
    [anon_sym_match] = ACTIONS(4432),
    [anon_sym_select] = ACTIONS(4432),
    [anon_sym_lock] = ACTIONS(4432),
    [anon_sym_rlock] = ACTIONS(4432),
    [sym__automatic_separator] = ACTIONS(4430),
    [sym__c_string_opening] = ACTIONS(4430),
    [sym__raw_string_opening] = ACTIONS(4430),
    [sym__string_opening] = ACTIONS(4430),
    [sym__comment] = ACTIONS(3),
  },
  [1671] = {
    [sym_comment] = STATE(1671),
    [ts_builtin_sym_end] = ACTIONS(4434),
    [sym_identifier] = ACTIONS(4436),
    [anon_sym_LPAREN] = ACTIONS(4434),
    [anon_sym_PLUS] = ACTIONS(4434),
    [anon_sym_DASH] = ACTIONS(4434),
    [anon_sym_BANG] = ACTIONS(4434),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_CARET] = ACTIONS(4434),
    [anon_sym_STAR] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4434),
    [anon_sym_LT_DASH] = ACTIONS(4434),
    [anon_sym_DOLLAR] = ACTIONS(4436),
    [sym_none] = ACTIONS(4436),
    [sym_true] = ACTIONS(4436),
    [sym_false] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4434),
    [anon_sym_map_LBRACK] = ACTIONS(4434),
    [anon_sym_chan] = ACTIONS(4436),
    [anon_sym_shared] = ACTIONS(4436),
    [anon_sym_thread] = ACTIONS(4436),
    [sym_int_literal] = ACTIONS(4436),
    [sym_float_literal] = ACTIONS(4434),
    [sym_rune_literal] = ACTIONS(4434),
    [anon_sym_DOT] = ACTIONS(4436),
    [anon_sym_array] = ACTIONS(4436),
    [anon_sym_string] = ACTIONS(4436),
    [anon_sym_char] = ACTIONS(4436),
    [anon_sym_sql] = ACTIONS(4436),
    [anon_sym_mut] = ACTIONS(4436),
    [anon_sym_C] = ACTIONS(4436),
    [anon_sym_JS] = ACTIONS(4436),
    [anon_sym_voidptr] = ACTIONS(4436),
    [anon_sym_byteptr] = ACTIONS(4436),
    [anon_sym_charptr] = ACTIONS(4436),
    [anon_sym_i8] = ACTIONS(4436),
    [anon_sym_i16] = ACTIONS(4436),
    [anon_sym_i32] = ACTIONS(4436),
    [anon_sym_int] = ACTIONS(4436),
    [anon_sym_i64] = ACTIONS(4436),
    [anon_sym_byte] = ACTIONS(4436),
    [anon_sym_u8] = ACTIONS(4436),
    [anon_sym_u16] = ACTIONS(4436),
    [anon_sym_u32] = ACTIONS(4436),
    [anon_sym_u64] = ACTIONS(4436),
    [anon_sym_f32] = ACTIONS(4436),
    [anon_sym_f64] = ACTIONS(4436),
    [anon_sym_bool] = ACTIONS(4436),
    [anon_sym_rune] = ACTIONS(4436),
    [anon_sym_map] = ACTIONS(4436),
    [anon_sym_mapnode] = ACTIONS(4436),
    [anon_sym_size_t] = ACTIONS(4436),
    [anon_sym_usize] = ACTIONS(4436),
    [anon_sym_isize] = ACTIONS(4436),
    [anon_sym_float_literal] = ACTIONS(4436),
    [anon_sym_int_literal] = ACTIONS(4436),
    [anon_sym_IError] = ACTIONS(4436),
    [sym_type_placeholder] = ACTIONS(4436),
    [anon_sym_AT] = ACTIONS(4436),
    [sym_type_identifier] = ACTIONS(4436),
    [anon_sym_assert] = ACTIONS(4436),
    [anon_sym_defer] = ACTIONS(4436),
    [anon_sym_unsafe] = ACTIONS(4436),
    [anon_sym_pub] = ACTIONS(4436),
    [anon_sym_fn] = ACTIONS(4436),
    [anon_sym___global] = ACTIONS(4436),
    [anon_sym_const] = ACTIONS(4436),
    [anon_sym_asm] = ACTIONS(4436),
    [anon_sym_break] = ACTIONS(4436),
    [anon_sym_continue] = ACTIONS(4436),
    [anon_sym_return] = ACTIONS(4436),
    [anon_sym_type] = ACTIONS(4436),
    [anon_sym_go] = ACTIONS(4436),
    [anon_sym_spawn] = ACTIONS(4436),
    [anon_sym_goto] = ACTIONS(4436),
    [anon_sym_for] = ACTIONS(4436),
    [anon_sym_DOLLARfor] = ACTIONS(4434),
    [anon_sym_DOLLARif] = ACTIONS(4434),
    [anon_sym_if] = ACTIONS(4436),
    [anon_sym_struct] = ACTIONS(4436),
    [anon_sym_union] = ACTIONS(4436),
    [anon_sym_enum] = ACTIONS(4436),
    [anon_sym_interface] = ACTIONS(4436),
    [anon_sym_POUND] = ACTIONS(4434),
    [anon_sym_module] = ACTIONS(4436),
    [anon_sym_import] = ACTIONS(4436),
    [anon_sym_match] = ACTIONS(4436),
    [anon_sym_select] = ACTIONS(4436),
    [anon_sym_lock] = ACTIONS(4436),
    [anon_sym_rlock] = ACTIONS(4436),
    [sym__automatic_separator] = ACTIONS(4434),
    [sym__c_string_opening] = ACTIONS(4434),
    [sym__raw_string_opening] = ACTIONS(4434),
    [sym__string_opening] = ACTIONS(4434),
    [sym__comment] = ACTIONS(3),
  },
  [1672] = {
    [sym_comment] = STATE(1672),
    [ts_builtin_sym_end] = ACTIONS(4438),
    [sym_identifier] = ACTIONS(4440),
    [anon_sym_LPAREN] = ACTIONS(4438),
    [anon_sym_PLUS] = ACTIONS(4438),
    [anon_sym_DASH] = ACTIONS(4438),
    [anon_sym_BANG] = ACTIONS(4438),
    [anon_sym_TILDE] = ACTIONS(4438),
    [anon_sym_CARET] = ACTIONS(4438),
    [anon_sym_STAR] = ACTIONS(4438),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym_LT_DASH] = ACTIONS(4438),
    [anon_sym_DOLLAR] = ACTIONS(4440),
    [sym_none] = ACTIONS(4440),
    [sym_true] = ACTIONS(4440),
    [sym_false] = ACTIONS(4440),
    [anon_sym_LBRACE] = ACTIONS(4438),
    [anon_sym_LBRACK] = ACTIONS(4438),
    [anon_sym_map_LBRACK] = ACTIONS(4438),
    [anon_sym_chan] = ACTIONS(4440),
    [anon_sym_shared] = ACTIONS(4440),
    [anon_sym_thread] = ACTIONS(4440),
    [sym_int_literal] = ACTIONS(4440),
    [sym_float_literal] = ACTIONS(4438),
    [sym_rune_literal] = ACTIONS(4438),
    [anon_sym_DOT] = ACTIONS(4440),
    [anon_sym_array] = ACTIONS(4440),
    [anon_sym_string] = ACTIONS(4440),
    [anon_sym_char] = ACTIONS(4440),
    [anon_sym_sql] = ACTIONS(4440),
    [anon_sym_mut] = ACTIONS(4440),
    [anon_sym_C] = ACTIONS(4440),
    [anon_sym_JS] = ACTIONS(4440),
    [anon_sym_voidptr] = ACTIONS(4440),
    [anon_sym_byteptr] = ACTIONS(4440),
    [anon_sym_charptr] = ACTIONS(4440),
    [anon_sym_i8] = ACTIONS(4440),
    [anon_sym_i16] = ACTIONS(4440),
    [anon_sym_i32] = ACTIONS(4440),
    [anon_sym_int] = ACTIONS(4440),
    [anon_sym_i64] = ACTIONS(4440),
    [anon_sym_byte] = ACTIONS(4440),
    [anon_sym_u8] = ACTIONS(4440),
    [anon_sym_u16] = ACTIONS(4440),
    [anon_sym_u32] = ACTIONS(4440),
    [anon_sym_u64] = ACTIONS(4440),
    [anon_sym_f32] = ACTIONS(4440),
    [anon_sym_f64] = ACTIONS(4440),
    [anon_sym_bool] = ACTIONS(4440),
    [anon_sym_rune] = ACTIONS(4440),
    [anon_sym_map] = ACTIONS(4440),
    [anon_sym_mapnode] = ACTIONS(4440),
    [anon_sym_size_t] = ACTIONS(4440),
    [anon_sym_usize] = ACTIONS(4440),
    [anon_sym_isize] = ACTIONS(4440),
    [anon_sym_float_literal] = ACTIONS(4440),
    [anon_sym_int_literal] = ACTIONS(4440),
    [anon_sym_IError] = ACTIONS(4440),
    [sym_type_placeholder] = ACTIONS(4440),
    [anon_sym_AT] = ACTIONS(4440),
    [sym_type_identifier] = ACTIONS(4440),
    [anon_sym_assert] = ACTIONS(4440),
    [anon_sym_defer] = ACTIONS(4440),
    [anon_sym_unsafe] = ACTIONS(4440),
    [anon_sym_pub] = ACTIONS(4440),
    [anon_sym_fn] = ACTIONS(4440),
    [anon_sym___global] = ACTIONS(4440),
    [anon_sym_const] = ACTIONS(4440),
    [anon_sym_asm] = ACTIONS(4440),
    [anon_sym_break] = ACTIONS(4440),
    [anon_sym_continue] = ACTIONS(4440),
    [anon_sym_return] = ACTIONS(4440),
    [anon_sym_type] = ACTIONS(4440),
    [anon_sym_go] = ACTIONS(4440),
    [anon_sym_spawn] = ACTIONS(4440),
    [anon_sym_goto] = ACTIONS(4440),
    [anon_sym_for] = ACTIONS(4440),
    [anon_sym_DOLLARfor] = ACTIONS(4438),
    [anon_sym_DOLLARif] = ACTIONS(4438),
    [anon_sym_if] = ACTIONS(4440),
    [anon_sym_struct] = ACTIONS(4440),
    [anon_sym_union] = ACTIONS(4440),
    [anon_sym_enum] = ACTIONS(4440),
    [anon_sym_interface] = ACTIONS(4440),
    [anon_sym_POUND] = ACTIONS(4438),
    [anon_sym_module] = ACTIONS(4440),
    [anon_sym_import] = ACTIONS(4440),
    [anon_sym_match] = ACTIONS(4440),
    [anon_sym_select] = ACTIONS(4440),
    [anon_sym_lock] = ACTIONS(4440),
    [anon_sym_rlock] = ACTIONS(4440),
    [sym__automatic_separator] = ACTIONS(4438),
    [sym__c_string_opening] = ACTIONS(4438),
    [sym__raw_string_opening] = ACTIONS(4438),
    [sym__string_opening] = ACTIONS(4438),
    [sym__comment] = ACTIONS(3),
  },
  [1673] = {
    [sym_comment] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(4442),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_LPAREN] = ACTIONS(4442),
    [anon_sym_PLUS] = ACTIONS(4442),
    [anon_sym_DASH] = ACTIONS(4442),
    [anon_sym_BANG] = ACTIONS(4442),
    [anon_sym_TILDE] = ACTIONS(4442),
    [anon_sym_CARET] = ACTIONS(4442),
    [anon_sym_STAR] = ACTIONS(4442),
    [anon_sym_AMP] = ACTIONS(4442),
    [anon_sym_LT_DASH] = ACTIONS(4442),
    [anon_sym_DOLLAR] = ACTIONS(4444),
    [sym_none] = ACTIONS(4444),
    [sym_true] = ACTIONS(4444),
    [sym_false] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4442),
    [anon_sym_LBRACK] = ACTIONS(4442),
    [anon_sym_map_LBRACK] = ACTIONS(4442),
    [anon_sym_chan] = ACTIONS(4444),
    [anon_sym_shared] = ACTIONS(4444),
    [anon_sym_thread] = ACTIONS(4444),
    [sym_int_literal] = ACTIONS(4444),
    [sym_float_literal] = ACTIONS(4442),
    [sym_rune_literal] = ACTIONS(4442),
    [anon_sym_DOT] = ACTIONS(4444),
    [anon_sym_array] = ACTIONS(4444),
    [anon_sym_string] = ACTIONS(4444),
    [anon_sym_char] = ACTIONS(4444),
    [anon_sym_sql] = ACTIONS(4444),
    [anon_sym_mut] = ACTIONS(4444),
    [anon_sym_C] = ACTIONS(4444),
    [anon_sym_JS] = ACTIONS(4444),
    [anon_sym_voidptr] = ACTIONS(4444),
    [anon_sym_byteptr] = ACTIONS(4444),
    [anon_sym_charptr] = ACTIONS(4444),
    [anon_sym_i8] = ACTIONS(4444),
    [anon_sym_i16] = ACTIONS(4444),
    [anon_sym_i32] = ACTIONS(4444),
    [anon_sym_int] = ACTIONS(4444),
    [anon_sym_i64] = ACTIONS(4444),
    [anon_sym_byte] = ACTIONS(4444),
    [anon_sym_u8] = ACTIONS(4444),
    [anon_sym_u16] = ACTIONS(4444),
    [anon_sym_u32] = ACTIONS(4444),
    [anon_sym_u64] = ACTIONS(4444),
    [anon_sym_f32] = ACTIONS(4444),
    [anon_sym_f64] = ACTIONS(4444),
    [anon_sym_bool] = ACTIONS(4444),
    [anon_sym_rune] = ACTIONS(4444),
    [anon_sym_map] = ACTIONS(4444),
    [anon_sym_mapnode] = ACTIONS(4444),
    [anon_sym_size_t] = ACTIONS(4444),
    [anon_sym_usize] = ACTIONS(4444),
    [anon_sym_isize] = ACTIONS(4444),
    [anon_sym_float_literal] = ACTIONS(4444),
    [anon_sym_int_literal] = ACTIONS(4444),
    [anon_sym_IError] = ACTIONS(4444),
    [sym_type_placeholder] = ACTIONS(4444),
    [anon_sym_AT] = ACTIONS(4444),
    [sym_type_identifier] = ACTIONS(4444),
    [anon_sym_assert] = ACTIONS(4444),
    [anon_sym_defer] = ACTIONS(4444),
    [anon_sym_unsafe] = ACTIONS(4444),
    [anon_sym_pub] = ACTIONS(4444),
    [anon_sym_fn] = ACTIONS(4444),
    [anon_sym___global] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_asm] = ACTIONS(4444),
    [anon_sym_break] = ACTIONS(4444),
    [anon_sym_continue] = ACTIONS(4444),
    [anon_sym_return] = ACTIONS(4444),
    [anon_sym_type] = ACTIONS(4444),
    [anon_sym_go] = ACTIONS(4444),
    [anon_sym_spawn] = ACTIONS(4444),
    [anon_sym_goto] = ACTIONS(4444),
    [anon_sym_for] = ACTIONS(4444),
    [anon_sym_DOLLARfor] = ACTIONS(4442),
    [anon_sym_DOLLARif] = ACTIONS(4442),
    [anon_sym_if] = ACTIONS(4444),
    [anon_sym_struct] = ACTIONS(4444),
    [anon_sym_union] = ACTIONS(4444),
    [anon_sym_enum] = ACTIONS(4444),
    [anon_sym_interface] = ACTIONS(4444),
    [anon_sym_POUND] = ACTIONS(4442),
    [anon_sym_module] = ACTIONS(4444),
    [anon_sym_import] = ACTIONS(4444),
    [anon_sym_match] = ACTIONS(4444),
    [anon_sym_select] = ACTIONS(4444),
    [anon_sym_lock] = ACTIONS(4444),
    [anon_sym_rlock] = ACTIONS(4444),
    [sym__automatic_separator] = ACTIONS(4442),
    [sym__c_string_opening] = ACTIONS(4442),
    [sym__raw_string_opening] = ACTIONS(4442),
    [sym__string_opening] = ACTIONS(4442),
    [sym__comment] = ACTIONS(3),
  },
  [1674] = {
    [sym_comment] = STATE(1674),
    [ts_builtin_sym_end] = ACTIONS(4446),
    [sym_identifier] = ACTIONS(4448),
    [anon_sym_LPAREN] = ACTIONS(4446),
    [anon_sym_PLUS] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4446),
    [anon_sym_BANG] = ACTIONS(4446),
    [anon_sym_TILDE] = ACTIONS(4446),
    [anon_sym_CARET] = ACTIONS(4446),
    [anon_sym_STAR] = ACTIONS(4446),
    [anon_sym_AMP] = ACTIONS(4446),
    [anon_sym_LT_DASH] = ACTIONS(4446),
    [anon_sym_DOLLAR] = ACTIONS(4448),
    [sym_none] = ACTIONS(4448),
    [sym_true] = ACTIONS(4448),
    [sym_false] = ACTIONS(4448),
    [anon_sym_LBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_map_LBRACK] = ACTIONS(4446),
    [anon_sym_chan] = ACTIONS(4448),
    [anon_sym_shared] = ACTIONS(4448),
    [anon_sym_thread] = ACTIONS(4448),
    [sym_int_literal] = ACTIONS(4448),
    [sym_float_literal] = ACTIONS(4446),
    [sym_rune_literal] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4448),
    [anon_sym_array] = ACTIONS(4448),
    [anon_sym_string] = ACTIONS(4448),
    [anon_sym_char] = ACTIONS(4448),
    [anon_sym_sql] = ACTIONS(4448),
    [anon_sym_mut] = ACTIONS(4448),
    [anon_sym_C] = ACTIONS(4448),
    [anon_sym_JS] = ACTIONS(4448),
    [anon_sym_voidptr] = ACTIONS(4448),
    [anon_sym_byteptr] = ACTIONS(4448),
    [anon_sym_charptr] = ACTIONS(4448),
    [anon_sym_i8] = ACTIONS(4448),
    [anon_sym_i16] = ACTIONS(4448),
    [anon_sym_i32] = ACTIONS(4448),
    [anon_sym_int] = ACTIONS(4448),
    [anon_sym_i64] = ACTIONS(4448),
    [anon_sym_byte] = ACTIONS(4448),
    [anon_sym_u8] = ACTIONS(4448),
    [anon_sym_u16] = ACTIONS(4448),
    [anon_sym_u32] = ACTIONS(4448),
    [anon_sym_u64] = ACTIONS(4448),
    [anon_sym_f32] = ACTIONS(4448),
    [anon_sym_f64] = ACTIONS(4448),
    [anon_sym_bool] = ACTIONS(4448),
    [anon_sym_rune] = ACTIONS(4448),
    [anon_sym_map] = ACTIONS(4448),
    [anon_sym_mapnode] = ACTIONS(4448),
    [anon_sym_size_t] = ACTIONS(4448),
    [anon_sym_usize] = ACTIONS(4448),
    [anon_sym_isize] = ACTIONS(4448),
    [anon_sym_float_literal] = ACTIONS(4448),
    [anon_sym_int_literal] = ACTIONS(4448),
    [anon_sym_IError] = ACTIONS(4448),
    [sym_type_placeholder] = ACTIONS(4448),
    [anon_sym_AT] = ACTIONS(4448),
    [sym_type_identifier] = ACTIONS(4448),
    [anon_sym_assert] = ACTIONS(4448),
    [anon_sym_defer] = ACTIONS(4448),
    [anon_sym_unsafe] = ACTIONS(4448),
    [anon_sym_pub] = ACTIONS(4448),
    [anon_sym_fn] = ACTIONS(4448),
    [anon_sym___global] = ACTIONS(4448),
    [anon_sym_const] = ACTIONS(4448),
    [anon_sym_asm] = ACTIONS(4448),
    [anon_sym_break] = ACTIONS(4448),
    [anon_sym_continue] = ACTIONS(4448),
    [anon_sym_return] = ACTIONS(4448),
    [anon_sym_type] = ACTIONS(4448),
    [anon_sym_go] = ACTIONS(4448),
    [anon_sym_spawn] = ACTIONS(4448),
    [anon_sym_goto] = ACTIONS(4448),
    [anon_sym_for] = ACTIONS(4448),
    [anon_sym_DOLLARfor] = ACTIONS(4446),
    [anon_sym_DOLLARif] = ACTIONS(4446),
    [anon_sym_if] = ACTIONS(4448),
    [anon_sym_struct] = ACTIONS(4448),
    [anon_sym_union] = ACTIONS(4448),
    [anon_sym_enum] = ACTIONS(4448),
    [anon_sym_interface] = ACTIONS(4448),
    [anon_sym_POUND] = ACTIONS(4446),
    [anon_sym_module] = ACTIONS(4448),
    [anon_sym_import] = ACTIONS(4448),
    [anon_sym_match] = ACTIONS(4448),
    [anon_sym_select] = ACTIONS(4448),
    [anon_sym_lock] = ACTIONS(4448),
    [anon_sym_rlock] = ACTIONS(4448),
    [sym__automatic_separator] = ACTIONS(4446),
    [sym__c_string_opening] = ACTIONS(4446),
    [sym__raw_string_opening] = ACTIONS(4446),
    [sym__string_opening] = ACTIONS(4446),
    [sym__comment] = ACTIONS(3),
  },
  [1675] = {
    [sym_comment] = STATE(1675),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_PLUS] = ACTIONS(1056),
    [anon_sym_DASH] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_CARET] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_LT_DASH] = ACTIONS(1056),
    [anon_sym_SLASH] = ACTIONS(1056),
    [anon_sym_PERCENT] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1056),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_GT_GT_GT] = ACTIONS(1056),
    [anon_sym_AMP_CARET] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_in] = ACTIONS(1058),
    [anon_sym_BANGin] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_as] = ACTIONS(1058),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_or] = ACTIONS(1058),
    [sym_none] = ACTIONS(1058),
    [sym_true] = ACTIONS(1058),
    [sym_false] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_RBRACK] = ACTIONS(1056),
    [anon_sym_map_LBRACK] = ACTIONS(1056),
    [anon_sym_chan] = ACTIONS(1058),
    [anon_sym_shared] = ACTIONS(1058),
    [anon_sym_thread] = ACTIONS(1058),
    [sym_int_literal] = ACTIONS(1058),
    [sym_float_literal] = ACTIONS(1056),
    [sym_rune_literal] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1058),
    [anon_sym_array] = ACTIONS(1058),
    [anon_sym_string] = ACTIONS(1058),
    [anon_sym_char] = ACTIONS(1058),
    [anon_sym_sql] = ACTIONS(1058),
    [anon_sym_mut] = ACTIONS(1058),
    [anon_sym_C] = ACTIONS(1058),
    [anon_sym_JS] = ACTIONS(1058),
    [anon_sym_voidptr] = ACTIONS(1058),
    [anon_sym_byteptr] = ACTIONS(1058),
    [anon_sym_charptr] = ACTIONS(1058),
    [anon_sym_i8] = ACTIONS(1058),
    [anon_sym_i16] = ACTIONS(1058),
    [anon_sym_i32] = ACTIONS(1058),
    [anon_sym_int] = ACTIONS(1058),
    [anon_sym_i64] = ACTIONS(1058),
    [anon_sym_byte] = ACTIONS(1058),
    [anon_sym_u8] = ACTIONS(1058),
    [anon_sym_u16] = ACTIONS(1058),
    [anon_sym_u32] = ACTIONS(1058),
    [anon_sym_u64] = ACTIONS(1058),
    [anon_sym_f32] = ACTIONS(1058),
    [anon_sym_f64] = ACTIONS(1058),
    [anon_sym_bool] = ACTIONS(1058),
    [anon_sym_rune] = ACTIONS(1058),
    [anon_sym_map] = ACTIONS(1058),
    [anon_sym_mapnode] = ACTIONS(1058),
    [anon_sym_size_t] = ACTIONS(1058),
    [anon_sym_usize] = ACTIONS(1058),
    [anon_sym_isize] = ACTIONS(1058),
    [anon_sym_float_literal] = ACTIONS(1058),
    [anon_sym_int_literal] = ACTIONS(1058),
    [anon_sym_IError] = ACTIONS(1058),
    [sym_type_placeholder] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1058),
    [sym_type_identifier] = ACTIONS(1058),
    [anon_sym_unsafe] = ACTIONS(1058),
    [anon_sym_fn] = ACTIONS(1058),
    [anon_sym_DOLLARif] = ACTIONS(1056),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_is] = ACTIONS(1058),
    [anon_sym_BANGis] = ACTIONS(1056),
    [anon_sym_match] = ACTIONS(1058),
    [anon_sym_select] = ACTIONS(1058),
    [anon_sym_lock] = ACTIONS(1058),
    [anon_sym_rlock] = ACTIONS(1058),
    [sym__c_string_opening] = ACTIONS(1056),
    [sym__raw_string_opening] = ACTIONS(1056),
    [sym__string_opening] = ACTIONS(1056),
    [sym__comment] = ACTIONS(3),
  },
  [1676] = {
    [sym_comment] = STATE(1676),
    [sym_identifier] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_CARET] = ACTIONS(1064),
    [anon_sym_STAR] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(1066),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_SLASH] = ACTIONS(1064),
    [anon_sym_PERCENT] = ACTIONS(1064),
    [anon_sym_LT_LT] = ACTIONS(1064),
    [anon_sym_GT_GT] = ACTIONS(1066),
    [anon_sym_GT_GT_GT] = ACTIONS(1064),
    [anon_sym_AMP_CARET] = ACTIONS(1064),
    [anon_sym_PIPE] = ACTIONS(1066),
    [anon_sym_EQ_EQ] = ACTIONS(1064),
    [anon_sym_BANG_EQ] = ACTIONS(1064),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_LT_EQ] = ACTIONS(1064),
    [anon_sym_GT] = ACTIONS(1066),
    [anon_sym_GT_EQ] = ACTIONS(1064),
    [anon_sym_in] = ACTIONS(1066),
    [anon_sym_BANGin] = ACTIONS(1064),
    [anon_sym_AMP_AMP] = ACTIONS(1064),
    [anon_sym_PIPE_PIPE] = ACTIONS(1064),
    [anon_sym_as] = ACTIONS(1066),
    [anon_sym_COMMA] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(1064),
    [anon_sym_or] = ACTIONS(1066),
    [sym_none] = ACTIONS(1066),
    [sym_true] = ACTIONS(1066),
    [sym_false] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_RBRACK] = ACTIONS(1064),
    [anon_sym_map_LBRACK] = ACTIONS(1064),
    [anon_sym_chan] = ACTIONS(1066),
    [anon_sym_shared] = ACTIONS(1066),
    [anon_sym_thread] = ACTIONS(1066),
    [sym_int_literal] = ACTIONS(1066),
    [sym_float_literal] = ACTIONS(1064),
    [sym_rune_literal] = ACTIONS(1064),
    [anon_sym_DOT] = ACTIONS(1066),
    [anon_sym_array] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_char] = ACTIONS(1066),
    [anon_sym_sql] = ACTIONS(1066),
    [anon_sym_mut] = ACTIONS(1066),
    [anon_sym_C] = ACTIONS(1066),
    [anon_sym_JS] = ACTIONS(1066),
    [anon_sym_voidptr] = ACTIONS(1066),
    [anon_sym_byteptr] = ACTIONS(1066),
    [anon_sym_charptr] = ACTIONS(1066),
    [anon_sym_i8] = ACTIONS(1066),
    [anon_sym_i16] = ACTIONS(1066),
    [anon_sym_i32] = ACTIONS(1066),
    [anon_sym_int] = ACTIONS(1066),
    [anon_sym_i64] = ACTIONS(1066),
    [anon_sym_byte] = ACTIONS(1066),
    [anon_sym_u8] = ACTIONS(1066),
    [anon_sym_u16] = ACTIONS(1066),
    [anon_sym_u32] = ACTIONS(1066),
    [anon_sym_u64] = ACTIONS(1066),
    [anon_sym_f32] = ACTIONS(1066),
    [anon_sym_f64] = ACTIONS(1066),
    [anon_sym_bool] = ACTIONS(1066),
    [anon_sym_rune] = ACTIONS(1066),
    [anon_sym_map] = ACTIONS(1066),
    [anon_sym_mapnode] = ACTIONS(1066),
    [anon_sym_size_t] = ACTIONS(1066),
    [anon_sym_usize] = ACTIONS(1066),
    [anon_sym_isize] = ACTIONS(1066),
    [anon_sym_float_literal] = ACTIONS(1066),
    [anon_sym_int_literal] = ACTIONS(1066),
    [anon_sym_IError] = ACTIONS(1066),
    [sym_type_placeholder] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [sym_type_identifier] = ACTIONS(1066),
    [anon_sym_unsafe] = ACTIONS(1066),
    [anon_sym_fn] = ACTIONS(1066),
    [anon_sym_DOLLARif] = ACTIONS(1064),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_is] = ACTIONS(1066),
    [anon_sym_BANGis] = ACTIONS(1064),
    [anon_sym_match] = ACTIONS(1066),
    [anon_sym_select] = ACTIONS(1066),
    [anon_sym_lock] = ACTIONS(1066),
    [anon_sym_rlock] = ACTIONS(1066),
    [sym__c_string_opening] = ACTIONS(1064),
    [sym__raw_string_opening] = ACTIONS(1064),
    [sym__string_opening] = ACTIONS(1064),
    [sym__comment] = ACTIONS(3),
  },
  [1677] = {
    [sym_comment] = STATE(1677),
    [ts_builtin_sym_end] = ACTIONS(4450),
    [sym_identifier] = ACTIONS(4452),
    [anon_sym_LPAREN] = ACTIONS(4450),
    [anon_sym_PLUS] = ACTIONS(4450),
    [anon_sym_DASH] = ACTIONS(4450),
    [anon_sym_BANG] = ACTIONS(4450),
    [anon_sym_TILDE] = ACTIONS(4450),
    [anon_sym_CARET] = ACTIONS(4450),
    [anon_sym_STAR] = ACTIONS(4450),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT_DASH] = ACTIONS(4450),
    [anon_sym_DOLLAR] = ACTIONS(4452),
    [sym_none] = ACTIONS(4452),
    [sym_true] = ACTIONS(4452),
    [sym_false] = ACTIONS(4452),
    [anon_sym_LBRACE] = ACTIONS(4450),
    [anon_sym_LBRACK] = ACTIONS(4450),
    [anon_sym_map_LBRACK] = ACTIONS(4450),
    [anon_sym_chan] = ACTIONS(4452),
    [anon_sym_shared] = ACTIONS(4452),
    [anon_sym_thread] = ACTIONS(4452),
    [sym_int_literal] = ACTIONS(4452),
    [sym_float_literal] = ACTIONS(4450),
    [sym_rune_literal] = ACTIONS(4450),
    [anon_sym_DOT] = ACTIONS(4452),
    [anon_sym_array] = ACTIONS(4452),
    [anon_sym_string] = ACTIONS(4452),
    [anon_sym_char] = ACTIONS(4452),
    [anon_sym_sql] = ACTIONS(4452),
    [anon_sym_mut] = ACTIONS(4452),
    [anon_sym_C] = ACTIONS(4452),
    [anon_sym_JS] = ACTIONS(4452),
    [anon_sym_voidptr] = ACTIONS(4452),
    [anon_sym_byteptr] = ACTIONS(4452),
    [anon_sym_charptr] = ACTIONS(4452),
    [anon_sym_i8] = ACTIONS(4452),
    [anon_sym_i16] = ACTIONS(4452),
    [anon_sym_i32] = ACTIONS(4452),
    [anon_sym_int] = ACTIONS(4452),
    [anon_sym_i64] = ACTIONS(4452),
    [anon_sym_byte] = ACTIONS(4452),
    [anon_sym_u8] = ACTIONS(4452),
    [anon_sym_u16] = ACTIONS(4452),
    [anon_sym_u32] = ACTIONS(4452),
    [anon_sym_u64] = ACTIONS(4452),
    [anon_sym_f32] = ACTIONS(4452),
    [anon_sym_f64] = ACTIONS(4452),
    [anon_sym_bool] = ACTIONS(4452),
    [anon_sym_rune] = ACTIONS(4452),
    [anon_sym_map] = ACTIONS(4452),
    [anon_sym_mapnode] = ACTIONS(4452),
    [anon_sym_size_t] = ACTIONS(4452),
    [anon_sym_usize] = ACTIONS(4452),
    [anon_sym_isize] = ACTIONS(4452),
    [anon_sym_float_literal] = ACTIONS(4452),
    [anon_sym_int_literal] = ACTIONS(4452),
    [anon_sym_IError] = ACTIONS(4452),
    [sym_type_placeholder] = ACTIONS(4452),
    [anon_sym_AT] = ACTIONS(4452),
    [sym_type_identifier] = ACTIONS(4452),
    [anon_sym_assert] = ACTIONS(4452),
    [anon_sym_defer] = ACTIONS(4452),
    [anon_sym_unsafe] = ACTIONS(4452),
    [anon_sym_pub] = ACTIONS(4452),
    [anon_sym_fn] = ACTIONS(4452),
    [anon_sym___global] = ACTIONS(4452),
    [anon_sym_const] = ACTIONS(4452),
    [anon_sym_asm] = ACTIONS(4452),
    [anon_sym_break] = ACTIONS(4452),
    [anon_sym_continue] = ACTIONS(4452),
    [anon_sym_return] = ACTIONS(4452),
    [anon_sym_type] = ACTIONS(4452),
    [anon_sym_go] = ACTIONS(4452),
    [anon_sym_spawn] = ACTIONS(4452),
    [anon_sym_goto] = ACTIONS(4452),
    [anon_sym_for] = ACTIONS(4452),
    [anon_sym_DOLLARfor] = ACTIONS(4450),
    [anon_sym_DOLLARif] = ACTIONS(4450),
    [anon_sym_if] = ACTIONS(4452),
    [anon_sym_struct] = ACTIONS(4452),
    [anon_sym_union] = ACTIONS(4452),
    [anon_sym_enum] = ACTIONS(4452),
    [anon_sym_interface] = ACTIONS(4452),
    [anon_sym_POUND] = ACTIONS(4450),
    [anon_sym_module] = ACTIONS(4452),
    [anon_sym_import] = ACTIONS(4452),
    [anon_sym_match] = ACTIONS(4452),
    [anon_sym_select] = ACTIONS(4452),
    [anon_sym_lock] = ACTIONS(4452),
    [anon_sym_rlock] = ACTIONS(4452),
    [sym__automatic_separator] = ACTIONS(4450),
    [sym__c_string_opening] = ACTIONS(4450),
    [sym__raw_string_opening] = ACTIONS(4450),
    [sym__string_opening] = ACTIONS(4450),
    [sym__comment] = ACTIONS(3),
  },
  [1678] = {
    [sym_comment] = STATE(1678),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_pub] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym___global] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_type] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1679] = {
    [sym_comment] = STATE(1679),
    [ts_builtin_sym_end] = ACTIONS(4454),
    [sym_identifier] = ACTIONS(4456),
    [anon_sym_LPAREN] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_BANG] = ACTIONS(4454),
    [anon_sym_TILDE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_LT_DASH] = ACTIONS(4454),
    [anon_sym_DOLLAR] = ACTIONS(4456),
    [sym_none] = ACTIONS(4456),
    [sym_true] = ACTIONS(4456),
    [sym_false] = ACTIONS(4456),
    [anon_sym_LBRACE] = ACTIONS(4454),
    [anon_sym_LBRACK] = ACTIONS(4454),
    [anon_sym_map_LBRACK] = ACTIONS(4454),
    [anon_sym_chan] = ACTIONS(4456),
    [anon_sym_shared] = ACTIONS(4456),
    [anon_sym_thread] = ACTIONS(4456),
    [sym_int_literal] = ACTIONS(4456),
    [sym_float_literal] = ACTIONS(4454),
    [sym_rune_literal] = ACTIONS(4454),
    [anon_sym_DOT] = ACTIONS(4456),
    [anon_sym_array] = ACTIONS(4456),
    [anon_sym_string] = ACTIONS(4456),
    [anon_sym_char] = ACTIONS(4456),
    [anon_sym_sql] = ACTIONS(4456),
    [anon_sym_mut] = ACTIONS(4456),
    [anon_sym_C] = ACTIONS(4456),
    [anon_sym_JS] = ACTIONS(4456),
    [anon_sym_voidptr] = ACTIONS(4456),
    [anon_sym_byteptr] = ACTIONS(4456),
    [anon_sym_charptr] = ACTIONS(4456),
    [anon_sym_i8] = ACTIONS(4456),
    [anon_sym_i16] = ACTIONS(4456),
    [anon_sym_i32] = ACTIONS(4456),
    [anon_sym_int] = ACTIONS(4456),
    [anon_sym_i64] = ACTIONS(4456),
    [anon_sym_byte] = ACTIONS(4456),
    [anon_sym_u8] = ACTIONS(4456),
    [anon_sym_u16] = ACTIONS(4456),
    [anon_sym_u32] = ACTIONS(4456),
    [anon_sym_u64] = ACTIONS(4456),
    [anon_sym_f32] = ACTIONS(4456),
    [anon_sym_f64] = ACTIONS(4456),
    [anon_sym_bool] = ACTIONS(4456),
    [anon_sym_rune] = ACTIONS(4456),
    [anon_sym_map] = ACTIONS(4456),
    [anon_sym_mapnode] = ACTIONS(4456),
    [anon_sym_size_t] = ACTIONS(4456),
    [anon_sym_usize] = ACTIONS(4456),
    [anon_sym_isize] = ACTIONS(4456),
    [anon_sym_float_literal] = ACTIONS(4456),
    [anon_sym_int_literal] = ACTIONS(4456),
    [anon_sym_IError] = ACTIONS(4456),
    [sym_type_placeholder] = ACTIONS(4456),
    [anon_sym_AT] = ACTIONS(4456),
    [sym_type_identifier] = ACTIONS(4456),
    [anon_sym_assert] = ACTIONS(4456),
    [anon_sym_defer] = ACTIONS(4456),
    [anon_sym_unsafe] = ACTIONS(4456),
    [anon_sym_pub] = ACTIONS(4456),
    [anon_sym_fn] = ACTIONS(4456),
    [anon_sym___global] = ACTIONS(4456),
    [anon_sym_const] = ACTIONS(4456),
    [anon_sym_asm] = ACTIONS(4456),
    [anon_sym_break] = ACTIONS(4456),
    [anon_sym_continue] = ACTIONS(4456),
    [anon_sym_return] = ACTIONS(4456),
    [anon_sym_type] = ACTIONS(4456),
    [anon_sym_go] = ACTIONS(4456),
    [anon_sym_spawn] = ACTIONS(4456),
    [anon_sym_goto] = ACTIONS(4456),
    [anon_sym_for] = ACTIONS(4456),
    [anon_sym_DOLLARfor] = ACTIONS(4454),
    [anon_sym_DOLLARif] = ACTIONS(4454),
    [anon_sym_if] = ACTIONS(4456),
    [anon_sym_struct] = ACTIONS(4456),
    [anon_sym_union] = ACTIONS(4456),
    [anon_sym_enum] = ACTIONS(4456),
    [anon_sym_interface] = ACTIONS(4456),
    [anon_sym_POUND] = ACTIONS(4454),
    [anon_sym_module] = ACTIONS(4456),
    [anon_sym_import] = ACTIONS(4456),
    [anon_sym_match] = ACTIONS(4456),
    [anon_sym_select] = ACTIONS(4456),
    [anon_sym_lock] = ACTIONS(4456),
    [anon_sym_rlock] = ACTIONS(4456),
    [sym__automatic_separator] = ACTIONS(4454),
    [sym__c_string_opening] = ACTIONS(4454),
    [sym__raw_string_opening] = ACTIONS(4454),
    [sym__string_opening] = ACTIONS(4454),
    [sym__comment] = ACTIONS(3),
  },
  [1680] = {
    [sym_comment] = STATE(1680),
    [ts_builtin_sym_end] = ACTIONS(4458),
    [sym_identifier] = ACTIONS(4460),
    [anon_sym_LPAREN] = ACTIONS(4458),
    [anon_sym_PLUS] = ACTIONS(4458),
    [anon_sym_DASH] = ACTIONS(4458),
    [anon_sym_BANG] = ACTIONS(4458),
    [anon_sym_TILDE] = ACTIONS(4458),
    [anon_sym_CARET] = ACTIONS(4458),
    [anon_sym_STAR] = ACTIONS(4458),
    [anon_sym_AMP] = ACTIONS(4458),
    [anon_sym_LT_DASH] = ACTIONS(4458),
    [anon_sym_DOLLAR] = ACTIONS(4460),
    [sym_none] = ACTIONS(4460),
    [sym_true] = ACTIONS(4460),
    [sym_false] = ACTIONS(4460),
    [anon_sym_LBRACE] = ACTIONS(4458),
    [anon_sym_LBRACK] = ACTIONS(4458),
    [anon_sym_map_LBRACK] = ACTIONS(4458),
    [anon_sym_chan] = ACTIONS(4460),
    [anon_sym_shared] = ACTIONS(4460),
    [anon_sym_thread] = ACTIONS(4460),
    [sym_int_literal] = ACTIONS(4460),
    [sym_float_literal] = ACTIONS(4458),
    [sym_rune_literal] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_array] = ACTIONS(4460),
    [anon_sym_string] = ACTIONS(4460),
    [anon_sym_char] = ACTIONS(4460),
    [anon_sym_sql] = ACTIONS(4460),
    [anon_sym_mut] = ACTIONS(4460),
    [anon_sym_C] = ACTIONS(4460),
    [anon_sym_JS] = ACTIONS(4460),
    [anon_sym_voidptr] = ACTIONS(4460),
    [anon_sym_byteptr] = ACTIONS(4460),
    [anon_sym_charptr] = ACTIONS(4460),
    [anon_sym_i8] = ACTIONS(4460),
    [anon_sym_i16] = ACTIONS(4460),
    [anon_sym_i32] = ACTIONS(4460),
    [anon_sym_int] = ACTIONS(4460),
    [anon_sym_i64] = ACTIONS(4460),
    [anon_sym_byte] = ACTIONS(4460),
    [anon_sym_u8] = ACTIONS(4460),
    [anon_sym_u16] = ACTIONS(4460),
    [anon_sym_u32] = ACTIONS(4460),
    [anon_sym_u64] = ACTIONS(4460),
    [anon_sym_f32] = ACTIONS(4460),
    [anon_sym_f64] = ACTIONS(4460),
    [anon_sym_bool] = ACTIONS(4460),
    [anon_sym_rune] = ACTIONS(4460),
    [anon_sym_map] = ACTIONS(4460),
    [anon_sym_mapnode] = ACTIONS(4460),
    [anon_sym_size_t] = ACTIONS(4460),
    [anon_sym_usize] = ACTIONS(4460),
    [anon_sym_isize] = ACTIONS(4460),
    [anon_sym_float_literal] = ACTIONS(4460),
    [anon_sym_int_literal] = ACTIONS(4460),
    [anon_sym_IError] = ACTIONS(4460),
    [sym_type_placeholder] = ACTIONS(4460),
    [anon_sym_AT] = ACTIONS(4460),
    [sym_type_identifier] = ACTIONS(4460),
    [anon_sym_assert] = ACTIONS(4460),
    [anon_sym_defer] = ACTIONS(4460),
    [anon_sym_unsafe] = ACTIONS(4460),
    [anon_sym_pub] = ACTIONS(4460),
    [anon_sym_fn] = ACTIONS(4460),
    [anon_sym___global] = ACTIONS(4460),
    [anon_sym_const] = ACTIONS(4460),
    [anon_sym_asm] = ACTIONS(4460),
    [anon_sym_break] = ACTIONS(4460),
    [anon_sym_continue] = ACTIONS(4460),
    [anon_sym_return] = ACTIONS(4460),
    [anon_sym_type] = ACTIONS(4460),
    [anon_sym_go] = ACTIONS(4460),
    [anon_sym_spawn] = ACTIONS(4460),
    [anon_sym_goto] = ACTIONS(4460),
    [anon_sym_for] = ACTIONS(4460),
    [anon_sym_DOLLARfor] = ACTIONS(4458),
    [anon_sym_DOLLARif] = ACTIONS(4458),
    [anon_sym_if] = ACTIONS(4460),
    [anon_sym_struct] = ACTIONS(4460),
    [anon_sym_union] = ACTIONS(4460),
    [anon_sym_enum] = ACTIONS(4460),
    [anon_sym_interface] = ACTIONS(4460),
    [anon_sym_POUND] = ACTIONS(4458),
    [anon_sym_module] = ACTIONS(4460),
    [anon_sym_import] = ACTIONS(4460),
    [anon_sym_match] = ACTIONS(4460),
    [anon_sym_select] = ACTIONS(4460),
    [anon_sym_lock] = ACTIONS(4460),
    [anon_sym_rlock] = ACTIONS(4460),
    [sym__automatic_separator] = ACTIONS(4458),
    [sym__c_string_opening] = ACTIONS(4458),
    [sym__raw_string_opening] = ACTIONS(4458),
    [sym__string_opening] = ACTIONS(4458),
    [sym__comment] = ACTIONS(3),
  },
  [1681] = {
    [sym_comment] = STATE(1681),
    [ts_builtin_sym_end] = ACTIONS(4462),
    [sym_identifier] = ACTIONS(4464),
    [anon_sym_LPAREN] = ACTIONS(4462),
    [anon_sym_PLUS] = ACTIONS(4462),
    [anon_sym_DASH] = ACTIONS(4462),
    [anon_sym_BANG] = ACTIONS(4462),
    [anon_sym_TILDE] = ACTIONS(4462),
    [anon_sym_CARET] = ACTIONS(4462),
    [anon_sym_STAR] = ACTIONS(4462),
    [anon_sym_AMP] = ACTIONS(4462),
    [anon_sym_LT_DASH] = ACTIONS(4462),
    [anon_sym_DOLLAR] = ACTIONS(4464),
    [sym_none] = ACTIONS(4464),
    [sym_true] = ACTIONS(4464),
    [sym_false] = ACTIONS(4464),
    [anon_sym_LBRACE] = ACTIONS(4462),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_map_LBRACK] = ACTIONS(4462),
    [anon_sym_chan] = ACTIONS(4464),
    [anon_sym_shared] = ACTIONS(4464),
    [anon_sym_thread] = ACTIONS(4464),
    [sym_int_literal] = ACTIONS(4464),
    [sym_float_literal] = ACTIONS(4462),
    [sym_rune_literal] = ACTIONS(4462),
    [anon_sym_DOT] = ACTIONS(4464),
    [anon_sym_array] = ACTIONS(4464),
    [anon_sym_string] = ACTIONS(4464),
    [anon_sym_char] = ACTIONS(4464),
    [anon_sym_sql] = ACTIONS(4464),
    [anon_sym_mut] = ACTIONS(4464),
    [anon_sym_C] = ACTIONS(4464),
    [anon_sym_JS] = ACTIONS(4464),
    [anon_sym_voidptr] = ACTIONS(4464),
    [anon_sym_byteptr] = ACTIONS(4464),
    [anon_sym_charptr] = ACTIONS(4464),
    [anon_sym_i8] = ACTIONS(4464),
    [anon_sym_i16] = ACTIONS(4464),
    [anon_sym_i32] = ACTIONS(4464),
    [anon_sym_int] = ACTIONS(4464),
    [anon_sym_i64] = ACTIONS(4464),
    [anon_sym_byte] = ACTIONS(4464),
    [anon_sym_u8] = ACTIONS(4464),
    [anon_sym_u16] = ACTIONS(4464),
    [anon_sym_u32] = ACTIONS(4464),
    [anon_sym_u64] = ACTIONS(4464),
    [anon_sym_f32] = ACTIONS(4464),
    [anon_sym_f64] = ACTIONS(4464),
    [anon_sym_bool] = ACTIONS(4464),
    [anon_sym_rune] = ACTIONS(4464),
    [anon_sym_map] = ACTIONS(4464),
    [anon_sym_mapnode] = ACTIONS(4464),
    [anon_sym_size_t] = ACTIONS(4464),
    [anon_sym_usize] = ACTIONS(4464),
    [anon_sym_isize] = ACTIONS(4464),
    [anon_sym_float_literal] = ACTIONS(4464),
    [anon_sym_int_literal] = ACTIONS(4464),
    [anon_sym_IError] = ACTIONS(4464),
    [sym_type_placeholder] = ACTIONS(4464),
    [anon_sym_AT] = ACTIONS(4464),
    [sym_type_identifier] = ACTIONS(4464),
    [anon_sym_assert] = ACTIONS(4464),
    [anon_sym_defer] = ACTIONS(4464),
    [anon_sym_unsafe] = ACTIONS(4464),
    [anon_sym_pub] = ACTIONS(4464),
    [anon_sym_fn] = ACTIONS(4464),
    [anon_sym___global] = ACTIONS(4464),
    [anon_sym_const] = ACTIONS(4464),
    [anon_sym_asm] = ACTIONS(4464),
    [anon_sym_break] = ACTIONS(4464),
    [anon_sym_continue] = ACTIONS(4464),
    [anon_sym_return] = ACTIONS(4464),
    [anon_sym_type] = ACTIONS(4464),
    [anon_sym_go] = ACTIONS(4464),
    [anon_sym_spawn] = ACTIONS(4464),
    [anon_sym_goto] = ACTIONS(4464),
    [anon_sym_for] = ACTIONS(4464),
    [anon_sym_DOLLARfor] = ACTIONS(4462),
    [anon_sym_DOLLARif] = ACTIONS(4462),
    [anon_sym_if] = ACTIONS(4464),
    [anon_sym_struct] = ACTIONS(4464),
    [anon_sym_union] = ACTIONS(4464),
    [anon_sym_enum] = ACTIONS(4464),
    [anon_sym_interface] = ACTIONS(4464),
    [anon_sym_POUND] = ACTIONS(4462),
    [anon_sym_module] = ACTIONS(4464),
    [anon_sym_import] = ACTIONS(4464),
    [anon_sym_match] = ACTIONS(4464),
    [anon_sym_select] = ACTIONS(4464),
    [anon_sym_lock] = ACTIONS(4464),
    [anon_sym_rlock] = ACTIONS(4464),
    [sym__automatic_separator] = ACTIONS(4462),
    [sym__c_string_opening] = ACTIONS(4462),
    [sym__raw_string_opening] = ACTIONS(4462),
    [sym__string_opening] = ACTIONS(4462),
    [sym__comment] = ACTIONS(3),
  },
  [1682] = {
    [sym_comment] = STATE(1682),
    [sym_identifier] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_CARET] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_LT_DASH] = ACTIONS(1230),
    [anon_sym_SLASH] = ACTIONS(1230),
    [anon_sym_PERCENT] = ACTIONS(1230),
    [anon_sym_LT_LT] = ACTIONS(1230),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_GT_GT_GT] = ACTIONS(1230),
    [anon_sym_AMP_CARET] = ACTIONS(1230),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1230),
    [anon_sym_BANG_EQ] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_GT_EQ] = ACTIONS(1230),
    [anon_sym_in] = ACTIONS(1232),
    [anon_sym_BANGin] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1230),
    [anon_sym_PIPE_PIPE] = ACTIONS(1230),
    [anon_sym_as] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(1230),
    [anon_sym_map_LBRACK] = ACTIONS(1230),
    [anon_sym_chan] = ACTIONS(1232),
    [anon_sym_shared] = ACTIONS(1232),
    [anon_sym_thread] = ACTIONS(1232),
    [sym_int_literal] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1230),
    [sym_rune_literal] = ACTIONS(1230),
    [anon_sym_DOT] = ACTIONS(1232),
    [anon_sym_array] = ACTIONS(1232),
    [anon_sym_string] = ACTIONS(1232),
    [anon_sym_char] = ACTIONS(1232),
    [anon_sym_sql] = ACTIONS(1232),
    [anon_sym_mut] = ACTIONS(1232),
    [anon_sym_C] = ACTIONS(1232),
    [anon_sym_JS] = ACTIONS(1232),
    [anon_sym_voidptr] = ACTIONS(1232),
    [anon_sym_byteptr] = ACTIONS(1232),
    [anon_sym_charptr] = ACTIONS(1232),
    [anon_sym_i8] = ACTIONS(1232),
    [anon_sym_i16] = ACTIONS(1232),
    [anon_sym_i32] = ACTIONS(1232),
    [anon_sym_int] = ACTIONS(1232),
    [anon_sym_i64] = ACTIONS(1232),
    [anon_sym_byte] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1232),
    [anon_sym_u16] = ACTIONS(1232),
    [anon_sym_u32] = ACTIONS(1232),
    [anon_sym_u64] = ACTIONS(1232),
    [anon_sym_f32] = ACTIONS(1232),
    [anon_sym_f64] = ACTIONS(1232),
    [anon_sym_bool] = ACTIONS(1232),
    [anon_sym_rune] = ACTIONS(1232),
    [anon_sym_map] = ACTIONS(1232),
    [anon_sym_mapnode] = ACTIONS(1232),
    [anon_sym_size_t] = ACTIONS(1232),
    [anon_sym_usize] = ACTIONS(1232),
    [anon_sym_isize] = ACTIONS(1232),
    [anon_sym_float_literal] = ACTIONS(1232),
    [anon_sym_int_literal] = ACTIONS(1232),
    [anon_sym_IError] = ACTIONS(1232),
    [sym_type_placeholder] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [sym_type_identifier] = ACTIONS(1232),
    [anon_sym_unsafe] = ACTIONS(1232),
    [anon_sym_fn] = ACTIONS(1232),
    [anon_sym_DOLLARif] = ACTIONS(1230),
    [anon_sym_DOLLARelse] = ACTIONS(4466),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_is] = ACTIONS(1232),
    [anon_sym_BANGis] = ACTIONS(1230),
    [anon_sym_match] = ACTIONS(1232),
    [anon_sym_select] = ACTIONS(1232),
    [anon_sym_lock] = ACTIONS(1232),
    [anon_sym_rlock] = ACTIONS(1232),
    [sym__c_string_opening] = ACTIONS(1230),
    [sym__raw_string_opening] = ACTIONS(1230),
    [sym__string_opening] = ACTIONS(1230),
    [sym__comment] = ACTIONS(3),
  },
  [1683] = {
    [sym_comment] = STATE(1683),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1192),
    [anon_sym_AMP_CARET] = ACTIONS(1192),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_RBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1684] = {
    [sym_comment] = STATE(1684),
    [sym_argument_list] = STATE(1724),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1098),
    [anon_sym_STAR] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_LT_DASH] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1098),
    [anon_sym_PERCENT] = ACTIONS(1098),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_GT_GT] = ACTIONS(1100),
    [anon_sym_GT_GT_GT] = ACTIONS(1098),
    [anon_sym_AMP_CARET] = ACTIONS(1098),
    [anon_sym_PIPE] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1098),
    [anon_sym_BANG_EQ] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1100),
    [anon_sym_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1100),
    [anon_sym_GT_EQ] = ACTIONS(1098),
    [anon_sym_in] = ACTIONS(1100),
    [anon_sym_BANGin] = ACTIONS(1098),
    [anon_sym_AMP_AMP] = ACTIONS(1098),
    [anon_sym_PIPE_PIPE] = ACTIONS(1098),
    [anon_sym_as] = ACTIONS(1100),
    [anon_sym_COMMA] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [sym_none] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [sym_false] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_RBRACK] = ACTIONS(1098),
    [anon_sym_map_LBRACK] = ACTIONS(1098),
    [anon_sym_chan] = ACTIONS(1100),
    [anon_sym_shared] = ACTIONS(1100),
    [anon_sym_thread] = ACTIONS(1100),
    [sym_int_literal] = ACTIONS(1100),
    [sym_float_literal] = ACTIONS(1098),
    [sym_rune_literal] = ACTIONS(1098),
    [anon_sym_DOT] = ACTIONS(1100),
    [anon_sym_array] = ACTIONS(1100),
    [anon_sym_string] = ACTIONS(1100),
    [anon_sym_char] = ACTIONS(1100),
    [anon_sym_sql] = ACTIONS(1100),
    [anon_sym_mut] = ACTIONS(1100),
    [anon_sym_C] = ACTIONS(1100),
    [anon_sym_JS] = ACTIONS(1100),
    [anon_sym_voidptr] = ACTIONS(1100),
    [anon_sym_byteptr] = ACTIONS(1100),
    [anon_sym_charptr] = ACTIONS(1100),
    [anon_sym_i8] = ACTIONS(1100),
    [anon_sym_i16] = ACTIONS(1100),
    [anon_sym_i32] = ACTIONS(1100),
    [anon_sym_int] = ACTIONS(1100),
    [anon_sym_i64] = ACTIONS(1100),
    [anon_sym_byte] = ACTIONS(1100),
    [anon_sym_u8] = ACTIONS(1100),
    [anon_sym_u16] = ACTIONS(1100),
    [anon_sym_u32] = ACTIONS(1100),
    [anon_sym_u64] = ACTIONS(1100),
    [anon_sym_f32] = ACTIONS(1100),
    [anon_sym_f64] = ACTIONS(1100),
    [anon_sym_bool] = ACTIONS(1100),
    [anon_sym_rune] = ACTIONS(1100),
    [anon_sym_map] = ACTIONS(1100),
    [anon_sym_mapnode] = ACTIONS(1100),
    [anon_sym_size_t] = ACTIONS(1100),
    [anon_sym_usize] = ACTIONS(1100),
    [anon_sym_isize] = ACTIONS(1100),
    [anon_sym_float_literal] = ACTIONS(1100),
    [anon_sym_int_literal] = ACTIONS(1100),
    [anon_sym_IError] = ACTIONS(1100),
    [sym_type_placeholder] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [sym_type_identifier] = ACTIONS(1100),
    [anon_sym_unsafe] = ACTIONS(1100),
    [anon_sym_fn] = ACTIONS(1100),
    [anon_sym_DOLLARif] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1100),
    [anon_sym_is] = ACTIONS(1100),
    [anon_sym_BANGis] = ACTIONS(1098),
    [anon_sym_match] = ACTIONS(1100),
    [anon_sym_select] = ACTIONS(1100),
    [anon_sym_lock] = ACTIONS(1100),
    [anon_sym_rlock] = ACTIONS(1100),
    [sym__c_string_opening] = ACTIONS(1098),
    [sym__raw_string_opening] = ACTIONS(1098),
    [sym__string_opening] = ACTIONS(1098),
    [sym__comment] = ACTIONS(3),
  },
  [1685] = {
    [sym_comment] = STATE(1685),
    [sym_argument_list] = STATE(1723),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_CARET] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_LT_DASH] = ACTIONS(1126),
    [anon_sym_SLASH] = ACTIONS(1126),
    [anon_sym_PERCENT] = ACTIONS(1126),
    [anon_sym_LT_LT] = ACTIONS(1126),
    [anon_sym_GT_GT] = ACTIONS(1128),
    [anon_sym_GT_GT_GT] = ACTIONS(1126),
    [anon_sym_AMP_CARET] = ACTIONS(1126),
    [anon_sym_PIPE] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1126),
    [anon_sym_BANG_EQ] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1126),
    [anon_sym_GT] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1126),
    [anon_sym_in] = ACTIONS(1128),
    [anon_sym_BANGin] = ACTIONS(1126),
    [anon_sym_AMP_AMP] = ACTIONS(1126),
    [anon_sym_PIPE_PIPE] = ACTIONS(1126),
    [anon_sym_as] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [sym_none] = ACTIONS(1128),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_RBRACK] = ACTIONS(1126),
    [anon_sym_map_LBRACK] = ACTIONS(1126),
    [anon_sym_chan] = ACTIONS(1128),
    [anon_sym_shared] = ACTIONS(1128),
    [anon_sym_thread] = ACTIONS(1128),
    [sym_int_literal] = ACTIONS(1128),
    [sym_float_literal] = ACTIONS(1126),
    [sym_rune_literal] = ACTIONS(1126),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_array] = ACTIONS(1128),
    [anon_sym_string] = ACTIONS(1128),
    [anon_sym_char] = ACTIONS(1128),
    [anon_sym_sql] = ACTIONS(1128),
    [anon_sym_mut] = ACTIONS(1128),
    [anon_sym_C] = ACTIONS(1128),
    [anon_sym_JS] = ACTIONS(1128),
    [anon_sym_voidptr] = ACTIONS(1128),
    [anon_sym_byteptr] = ACTIONS(1128),
    [anon_sym_charptr] = ACTIONS(1128),
    [anon_sym_i8] = ACTIONS(1128),
    [anon_sym_i16] = ACTIONS(1128),
    [anon_sym_i32] = ACTIONS(1128),
    [anon_sym_int] = ACTIONS(1128),
    [anon_sym_i64] = ACTIONS(1128),
    [anon_sym_byte] = ACTIONS(1128),
    [anon_sym_u8] = ACTIONS(1128),
    [anon_sym_u16] = ACTIONS(1128),
    [anon_sym_u32] = ACTIONS(1128),
    [anon_sym_u64] = ACTIONS(1128),
    [anon_sym_f32] = ACTIONS(1128),
    [anon_sym_f64] = ACTIONS(1128),
    [anon_sym_bool] = ACTIONS(1128),
    [anon_sym_rune] = ACTIONS(1128),
    [anon_sym_map] = ACTIONS(1128),
    [anon_sym_mapnode] = ACTIONS(1128),
    [anon_sym_size_t] = ACTIONS(1128),
    [anon_sym_usize] = ACTIONS(1128),
    [anon_sym_isize] = ACTIONS(1128),
    [anon_sym_float_literal] = ACTIONS(1128),
    [anon_sym_int_literal] = ACTIONS(1128),
    [anon_sym_IError] = ACTIONS(1128),
    [sym_type_placeholder] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [sym_type_identifier] = ACTIONS(1128),
    [anon_sym_unsafe] = ACTIONS(1128),
    [anon_sym_fn] = ACTIONS(1128),
    [anon_sym_DOLLARif] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_is] = ACTIONS(1128),
    [anon_sym_BANGis] = ACTIONS(1126),
    [anon_sym_match] = ACTIONS(1128),
    [anon_sym_select] = ACTIONS(1128),
    [anon_sym_lock] = ACTIONS(1128),
    [anon_sym_rlock] = ACTIONS(1128),
    [sym__c_string_opening] = ACTIONS(1126),
    [sym__raw_string_opening] = ACTIONS(1126),
    [sym__string_opening] = ACTIONS(1126),
    [sym__comment] = ACTIONS(3),
  },
  [1686] = {
    [sym_comment] = STATE(1686),
    [sym_identifier] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_CARET] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_LT_DASH] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(1216),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_GT_GT_GT] = ACTIONS(1216),
    [anon_sym_AMP_CARET] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1216),
    [anon_sym_BANG_EQ] = ACTIONS(1216),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1216),
    [anon_sym_in] = ACTIONS(1218),
    [anon_sym_BANGin] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1216),
    [anon_sym_as] = ACTIONS(1218),
    [anon_sym_COMMA] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [sym_none] = ACTIONS(1218),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_RBRACK] = ACTIONS(1216),
    [anon_sym_map_LBRACK] = ACTIONS(1216),
    [anon_sym_chan] = ACTIONS(1218),
    [anon_sym_shared] = ACTIONS(1218),
    [anon_sym_thread] = ACTIONS(1218),
    [sym_int_literal] = ACTIONS(1218),
    [sym_float_literal] = ACTIONS(1216),
    [sym_rune_literal] = ACTIONS(1216),
    [anon_sym_DOT] = ACTIONS(1218),
    [anon_sym_array] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_char] = ACTIONS(1218),
    [anon_sym_sql] = ACTIONS(1218),
    [anon_sym_mut] = ACTIONS(1218),
    [anon_sym_C] = ACTIONS(1218),
    [anon_sym_JS] = ACTIONS(1218),
    [anon_sym_voidptr] = ACTIONS(1218),
    [anon_sym_byteptr] = ACTIONS(1218),
    [anon_sym_charptr] = ACTIONS(1218),
    [anon_sym_i8] = ACTIONS(1218),
    [anon_sym_i16] = ACTIONS(1218),
    [anon_sym_i32] = ACTIONS(1218),
    [anon_sym_int] = ACTIONS(1218),
    [anon_sym_i64] = ACTIONS(1218),
    [anon_sym_byte] = ACTIONS(1218),
    [anon_sym_u8] = ACTIONS(1218),
    [anon_sym_u16] = ACTIONS(1218),
    [anon_sym_u32] = ACTIONS(1218),
    [anon_sym_u64] = ACTIONS(1218),
    [anon_sym_f32] = ACTIONS(1218),
    [anon_sym_f64] = ACTIONS(1218),
    [anon_sym_bool] = ACTIONS(1218),
    [anon_sym_rune] = ACTIONS(1218),
    [anon_sym_map] = ACTIONS(1218),
    [anon_sym_mapnode] = ACTIONS(1218),
    [anon_sym_size_t] = ACTIONS(1218),
    [anon_sym_usize] = ACTIONS(1218),
    [anon_sym_isize] = ACTIONS(1218),
    [anon_sym_float_literal] = ACTIONS(1218),
    [anon_sym_int_literal] = ACTIONS(1218),
    [anon_sym_IError] = ACTIONS(1218),
    [sym_type_placeholder] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [sym_type_identifier] = ACTIONS(1218),
    [anon_sym_unsafe] = ACTIONS(1218),
    [anon_sym_fn] = ACTIONS(1218),
    [anon_sym_DOLLARif] = ACTIONS(1216),
    [anon_sym_DOLLARelse] = ACTIONS(4468),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_is] = ACTIONS(1218),
    [anon_sym_BANGis] = ACTIONS(1216),
    [anon_sym_match] = ACTIONS(1218),
    [anon_sym_select] = ACTIONS(1218),
    [anon_sym_lock] = ACTIONS(1218),
    [anon_sym_rlock] = ACTIONS(1218),
    [sym__c_string_opening] = ACTIONS(1216),
    [sym__raw_string_opening] = ACTIONS(1216),
    [sym__string_opening] = ACTIONS(1216),
    [sym__comment] = ACTIONS(3),
  },
  [1687] = {
    [sym_comment] = STATE(1687),
    [sym_identifier] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_LT_DASH] = ACTIONS(1204),
    [anon_sym_SLASH] = ACTIONS(1204),
    [anon_sym_PERCENT] = ACTIONS(1204),
    [anon_sym_LT_LT] = ACTIONS(1204),
    [anon_sym_GT_GT] = ACTIONS(1206),
    [anon_sym_GT_GT_GT] = ACTIONS(1204),
    [anon_sym_AMP_CARET] = ACTIONS(1204),
    [anon_sym_PIPE] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1204),
    [anon_sym_BANG_EQ] = ACTIONS(1204),
    [anon_sym_LT] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1204),
    [anon_sym_in] = ACTIONS(1206),
    [anon_sym_BANGin] = ACTIONS(1204),
    [anon_sym_AMP_AMP] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1204),
    [anon_sym_as] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [sym_none] = ACTIONS(1206),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_RBRACK] = ACTIONS(1204),
    [anon_sym_map_LBRACK] = ACTIONS(1204),
    [anon_sym_chan] = ACTIONS(1206),
    [anon_sym_shared] = ACTIONS(1206),
    [anon_sym_thread] = ACTIONS(1206),
    [sym_int_literal] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1204),
    [sym_rune_literal] = ACTIONS(1204),
    [anon_sym_DOT] = ACTIONS(1206),
    [anon_sym_array] = ACTIONS(1206),
    [anon_sym_string] = ACTIONS(1206),
    [anon_sym_char] = ACTIONS(1206),
    [anon_sym_sql] = ACTIONS(1206),
    [anon_sym_mut] = ACTIONS(1206),
    [anon_sym_C] = ACTIONS(1206),
    [anon_sym_JS] = ACTIONS(1206),
    [anon_sym_LT2] = ACTIONS(1206),
    [anon_sym_voidptr] = ACTIONS(1206),
    [anon_sym_byteptr] = ACTIONS(1206),
    [anon_sym_charptr] = ACTIONS(1206),
    [anon_sym_i8] = ACTIONS(1206),
    [anon_sym_i16] = ACTIONS(1206),
    [anon_sym_i32] = ACTIONS(1206),
    [anon_sym_int] = ACTIONS(1206),
    [anon_sym_i64] = ACTIONS(1206),
    [anon_sym_byte] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1206),
    [anon_sym_u16] = ACTIONS(1206),
    [anon_sym_u32] = ACTIONS(1206),
    [anon_sym_u64] = ACTIONS(1206),
    [anon_sym_f32] = ACTIONS(1206),
    [anon_sym_f64] = ACTIONS(1206),
    [anon_sym_bool] = ACTIONS(1206),
    [anon_sym_rune] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1206),
    [anon_sym_mapnode] = ACTIONS(1206),
    [anon_sym_size_t] = ACTIONS(1206),
    [anon_sym_usize] = ACTIONS(1206),
    [anon_sym_isize] = ACTIONS(1206),
    [anon_sym_float_literal] = ACTIONS(1206),
    [anon_sym_int_literal] = ACTIONS(1206),
    [anon_sym_IError] = ACTIONS(1206),
    [sym_type_placeholder] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [sym_type_identifier] = ACTIONS(1206),
    [anon_sym_unsafe] = ACTIONS(1206),
    [anon_sym_fn] = ACTIONS(1206),
    [anon_sym_DOLLARif] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_is] = ACTIONS(1206),
    [anon_sym_BANGis] = ACTIONS(1204),
    [anon_sym_match] = ACTIONS(1206),
    [anon_sym_select] = ACTIONS(1206),
    [anon_sym_lock] = ACTIONS(1206),
    [anon_sym_rlock] = ACTIONS(1206),
    [sym__c_string_opening] = ACTIONS(1204),
    [sym__raw_string_opening] = ACTIONS(1204),
    [sym__string_opening] = ACTIONS(1204),
    [sym__comment] = ACTIONS(3),
  },
  [1688] = {
    [sym_comment] = STATE(1688),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_CARET] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_LT_DASH] = ACTIONS(1242),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(1242),
    [anon_sym_LT_LT] = ACTIONS(1242),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_GT_GT_GT] = ACTIONS(1242),
    [anon_sym_AMP_CARET] = ACTIONS(1242),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1242),
    [anon_sym_BANG_EQ] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(1242),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_BANGin] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1242),
    [anon_sym_as] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym_none] = ACTIONS(1244),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_map_LBRACK] = ACTIONS(1242),
    [anon_sym_chan] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_thread] = ACTIONS(1244),
    [sym_int_literal] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1242),
    [sym_rune_literal] = ACTIONS(1242),
    [anon_sym_DOT] = ACTIONS(1244),
    [anon_sym_array] = ACTIONS(1244),
    [anon_sym_string] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_sql] = ACTIONS(1244),
    [anon_sym_mut] = ACTIONS(1244),
    [anon_sym_C] = ACTIONS(1244),
    [anon_sym_JS] = ACTIONS(1244),
    [anon_sym_voidptr] = ACTIONS(1244),
    [anon_sym_byteptr] = ACTIONS(1244),
    [anon_sym_charptr] = ACTIONS(1244),
    [anon_sym_i8] = ACTIONS(1244),
    [anon_sym_i16] = ACTIONS(1244),
    [anon_sym_i32] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_i64] = ACTIONS(1244),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1244),
    [anon_sym_u16] = ACTIONS(1244),
    [anon_sym_u32] = ACTIONS(1244),
    [anon_sym_u64] = ACTIONS(1244),
    [anon_sym_f32] = ACTIONS(1244),
    [anon_sym_f64] = ACTIONS(1244),
    [anon_sym_bool] = ACTIONS(1244),
    [anon_sym_rune] = ACTIONS(1244),
    [anon_sym_map] = ACTIONS(1244),
    [anon_sym_mapnode] = ACTIONS(1244),
    [anon_sym_size_t] = ACTIONS(1244),
    [anon_sym_usize] = ACTIONS(1244),
    [anon_sym_isize] = ACTIONS(1244),
    [anon_sym_float_literal] = ACTIONS(1244),
    [anon_sym_int_literal] = ACTIONS(1244),
    [anon_sym_IError] = ACTIONS(1244),
    [sym_type_placeholder] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [sym_type_identifier] = ACTIONS(1244),
    [anon_sym_unsafe] = ACTIONS(1244),
    [anon_sym_fn] = ACTIONS(1244),
    [anon_sym_DOLLARif] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(4470),
    [anon_sym_is] = ACTIONS(1244),
    [anon_sym_BANGis] = ACTIONS(1242),
    [anon_sym_match] = ACTIONS(1244),
    [anon_sym_select] = ACTIONS(1244),
    [anon_sym_lock] = ACTIONS(1244),
    [anon_sym_rlock] = ACTIONS(1244),
    [sym__c_string_opening] = ACTIONS(1242),
    [sym__raw_string_opening] = ACTIONS(1242),
    [sym__string_opening] = ACTIONS(1242),
    [sym__comment] = ACTIONS(3),
  },
  [1689] = {
    [sym_comment] = STATE(1689),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_RBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_DOLLARelse] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1690] = {
    [sym_comment] = STATE(1690),
    [ts_builtin_sym_end] = ACTIONS(4472),
    [sym_identifier] = ACTIONS(4474),
    [anon_sym_LPAREN] = ACTIONS(4472),
    [anon_sym_PLUS] = ACTIONS(4472),
    [anon_sym_DASH] = ACTIONS(4472),
    [anon_sym_BANG] = ACTIONS(4472),
    [anon_sym_TILDE] = ACTIONS(4472),
    [anon_sym_CARET] = ACTIONS(4472),
    [anon_sym_STAR] = ACTIONS(4472),
    [anon_sym_AMP] = ACTIONS(4472),
    [anon_sym_LT_DASH] = ACTIONS(4472),
    [anon_sym_DOLLAR] = ACTIONS(4474),
    [sym_none] = ACTIONS(4474),
    [sym_true] = ACTIONS(4474),
    [sym_false] = ACTIONS(4474),
    [anon_sym_LBRACE] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4472),
    [anon_sym_map_LBRACK] = ACTIONS(4472),
    [anon_sym_chan] = ACTIONS(4474),
    [anon_sym_shared] = ACTIONS(4474),
    [anon_sym_thread] = ACTIONS(4474),
    [sym_int_literal] = ACTIONS(4474),
    [sym_float_literal] = ACTIONS(4472),
    [sym_rune_literal] = ACTIONS(4472),
    [anon_sym_DOT] = ACTIONS(4474),
    [anon_sym_array] = ACTIONS(4474),
    [anon_sym_string] = ACTIONS(4474),
    [anon_sym_char] = ACTIONS(4474),
    [anon_sym_sql] = ACTIONS(4474),
    [anon_sym_mut] = ACTIONS(4474),
    [anon_sym_C] = ACTIONS(4474),
    [anon_sym_JS] = ACTIONS(4474),
    [anon_sym_voidptr] = ACTIONS(4474),
    [anon_sym_byteptr] = ACTIONS(4474),
    [anon_sym_charptr] = ACTIONS(4474),
    [anon_sym_i8] = ACTIONS(4474),
    [anon_sym_i16] = ACTIONS(4474),
    [anon_sym_i32] = ACTIONS(4474),
    [anon_sym_int] = ACTIONS(4474),
    [anon_sym_i64] = ACTIONS(4474),
    [anon_sym_byte] = ACTIONS(4474),
    [anon_sym_u8] = ACTIONS(4474),
    [anon_sym_u16] = ACTIONS(4474),
    [anon_sym_u32] = ACTIONS(4474),
    [anon_sym_u64] = ACTIONS(4474),
    [anon_sym_f32] = ACTIONS(4474),
    [anon_sym_f64] = ACTIONS(4474),
    [anon_sym_bool] = ACTIONS(4474),
    [anon_sym_rune] = ACTIONS(4474),
    [anon_sym_map] = ACTIONS(4474),
    [anon_sym_mapnode] = ACTIONS(4474),
    [anon_sym_size_t] = ACTIONS(4474),
    [anon_sym_usize] = ACTIONS(4474),
    [anon_sym_isize] = ACTIONS(4474),
    [anon_sym_float_literal] = ACTIONS(4474),
    [anon_sym_int_literal] = ACTIONS(4474),
    [anon_sym_IError] = ACTIONS(4474),
    [sym_type_placeholder] = ACTIONS(4474),
    [anon_sym_AT] = ACTIONS(4474),
    [sym_type_identifier] = ACTIONS(4474),
    [anon_sym_assert] = ACTIONS(4474),
    [anon_sym_defer] = ACTIONS(4474),
    [anon_sym_unsafe] = ACTIONS(4474),
    [anon_sym_pub] = ACTIONS(4474),
    [anon_sym_fn] = ACTIONS(4474),
    [anon_sym___global] = ACTIONS(4474),
    [anon_sym_const] = ACTIONS(4474),
    [anon_sym_asm] = ACTIONS(4474),
    [anon_sym_break] = ACTIONS(4474),
    [anon_sym_continue] = ACTIONS(4474),
    [anon_sym_return] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_go] = ACTIONS(4474),
    [anon_sym_spawn] = ACTIONS(4474),
    [anon_sym_goto] = ACTIONS(4474),
    [anon_sym_for] = ACTIONS(4474),
    [anon_sym_DOLLARfor] = ACTIONS(4472),
    [anon_sym_DOLLARif] = ACTIONS(4472),
    [anon_sym_if] = ACTIONS(4474),
    [anon_sym_struct] = ACTIONS(4474),
    [anon_sym_union] = ACTIONS(4474),
    [anon_sym_enum] = ACTIONS(4474),
    [anon_sym_interface] = ACTIONS(4474),
    [anon_sym_POUND] = ACTIONS(4472),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_import] = ACTIONS(4474),
    [anon_sym_match] = ACTIONS(4474),
    [anon_sym_select] = ACTIONS(4474),
    [anon_sym_lock] = ACTIONS(4474),
    [anon_sym_rlock] = ACTIONS(4474),
    [sym__c_string_opening] = ACTIONS(4472),
    [sym__raw_string_opening] = ACTIONS(4472),
    [sym__string_opening] = ACTIONS(4472),
    [sym__comment] = ACTIONS(3),
  },
  [1691] = {
    [sym_comment] = STATE(1691),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_LT_DASH] = ACTIONS(1184),
    [anon_sym_SLASH] = ACTIONS(1184),
    [anon_sym_PERCENT] = ACTIONS(1184),
    [anon_sym_LT_LT] = ACTIONS(1184),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1184),
    [anon_sym_AMP_CARET] = ACTIONS(1184),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1184),
    [sym_none] = ACTIONS(1186),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_RBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [sym_int_literal] = ACTIONS(1186),
    [sym_float_literal] = ACTIONS(1184),
    [sym_rune_literal] = ACTIONS(1184),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_sql] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_unsafe] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_DOLLARif] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [anon_sym_match] = ACTIONS(1186),
    [anon_sym_select] = ACTIONS(1186),
    [anon_sym_lock] = ACTIONS(1186),
    [anon_sym_rlock] = ACTIONS(1186),
    [sym__c_string_opening] = ACTIONS(1184),
    [sym__raw_string_opening] = ACTIONS(1184),
    [sym__string_opening] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1692] = {
    [sym_comment] = STATE(1692),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1106),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_LT_DASH] = ACTIONS(1106),
    [anon_sym_SLASH] = ACTIONS(1106),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_LT_LT] = ACTIONS(1106),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1106),
    [anon_sym_AMP_CARET] = ACTIONS(1106),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1106),
    [anon_sym_BANG_EQ] = ACTIONS(1106),
    [anon_sym_LT] = ACTIONS(1108),
    [anon_sym_LT_EQ] = ACTIONS(1106),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_GT_EQ] = ACTIONS(1106),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_BANGin] = ACTIONS(1106),
    [anon_sym_AMP_AMP] = ACTIONS(1106),
    [anon_sym_PIPE_PIPE] = ACTIONS(1106),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [sym_none] = ACTIONS(1108),
    [sym_true] = ACTIONS(1108),
    [sym_false] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1106),
    [anon_sym_map_LBRACK] = ACTIONS(1106),
    [anon_sym_chan] = ACTIONS(1108),
    [anon_sym_shared] = ACTIONS(1108),
    [anon_sym_thread] = ACTIONS(1108),
    [sym_int_literal] = ACTIONS(1108),
    [sym_float_literal] = ACTIONS(1106),
    [sym_rune_literal] = ACTIONS(1106),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_array] = ACTIONS(1108),
    [anon_sym_string] = ACTIONS(1108),
    [anon_sym_char] = ACTIONS(1108),
    [anon_sym_sql] = ACTIONS(1108),
    [anon_sym_mut] = ACTIONS(1108),
    [anon_sym_C] = ACTIONS(1108),
    [anon_sym_JS] = ACTIONS(1108),
    [anon_sym_LT2] = ACTIONS(1108),
    [anon_sym_voidptr] = ACTIONS(1108),
    [anon_sym_byteptr] = ACTIONS(1108),
    [anon_sym_charptr] = ACTIONS(1108),
    [anon_sym_i8] = ACTIONS(1108),
    [anon_sym_i16] = ACTIONS(1108),
    [anon_sym_i32] = ACTIONS(1108),
    [anon_sym_int] = ACTIONS(1108),
    [anon_sym_i64] = ACTIONS(1108),
    [anon_sym_byte] = ACTIONS(1108),
    [anon_sym_u8] = ACTIONS(1108),
    [anon_sym_u16] = ACTIONS(1108),
    [anon_sym_u32] = ACTIONS(1108),
    [anon_sym_u64] = ACTIONS(1108),
    [anon_sym_f32] = ACTIONS(1108),
    [anon_sym_f64] = ACTIONS(1108),
    [anon_sym_bool] = ACTIONS(1108),
    [anon_sym_rune] = ACTIONS(1108),
    [anon_sym_map] = ACTIONS(1108),
    [anon_sym_mapnode] = ACTIONS(1108),
    [anon_sym_size_t] = ACTIONS(1108),
    [anon_sym_usize] = ACTIONS(1108),
    [anon_sym_isize] = ACTIONS(1108),
    [anon_sym_float_literal] = ACTIONS(1108),
    [anon_sym_int_literal] = ACTIONS(1108),
    [anon_sym_IError] = ACTIONS(1108),
    [sym_type_placeholder] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [sym_type_identifier] = ACTIONS(1108),
    [anon_sym_unsafe] = ACTIONS(1108),
    [anon_sym_fn] = ACTIONS(1108),
    [anon_sym_DOLLARif] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_is] = ACTIONS(1108),
    [anon_sym_BANGis] = ACTIONS(1106),
    [anon_sym_match] = ACTIONS(1108),
    [anon_sym_select] = ACTIONS(1108),
    [anon_sym_lock] = ACTIONS(1108),
    [anon_sym_rlock] = ACTIONS(1108),
    [sym__c_string_opening] = ACTIONS(1106),
    [sym__raw_string_opening] = ACTIONS(1106),
    [sym__string_opening] = ACTIONS(1106),
    [sym__comment] = ACTIONS(3),
  },
  [1693] = {
    [sym_comment] = STATE(1693),
    [sym_identifier] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_CARET] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_LT_DASH] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1180),
    [anon_sym_PERCENT] = ACTIONS(1180),
    [anon_sym_LT_LT] = ACTIONS(1180),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_GT_GT_GT] = ACTIONS(1180),
    [anon_sym_AMP_CARET] = ACTIONS(1180),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_in] = ACTIONS(1182),
    [anon_sym_BANGin] = ACTIONS(1180),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_as] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [sym_none] = ACTIONS(1182),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_RBRACK] = ACTIONS(1180),
    [anon_sym_map_LBRACK] = ACTIONS(1180),
    [anon_sym_chan] = ACTIONS(1182),
    [anon_sym_shared] = ACTIONS(1182),
    [anon_sym_thread] = ACTIONS(1182),
    [sym_int_literal] = ACTIONS(1182),
    [sym_float_literal] = ACTIONS(1180),
    [sym_rune_literal] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_array] = ACTIONS(1182),
    [anon_sym_string] = ACTIONS(1182),
    [anon_sym_char] = ACTIONS(1182),
    [anon_sym_sql] = ACTIONS(1182),
    [anon_sym_mut] = ACTIONS(1182),
    [anon_sym_C] = ACTIONS(1182),
    [anon_sym_JS] = ACTIONS(1182),
    [anon_sym_LT2] = ACTIONS(1182),
    [anon_sym_voidptr] = ACTIONS(1182),
    [anon_sym_byteptr] = ACTIONS(1182),
    [anon_sym_charptr] = ACTIONS(1182),
    [anon_sym_i8] = ACTIONS(1182),
    [anon_sym_i16] = ACTIONS(1182),
    [anon_sym_i32] = ACTIONS(1182),
    [anon_sym_int] = ACTIONS(1182),
    [anon_sym_i64] = ACTIONS(1182),
    [anon_sym_byte] = ACTIONS(1182),
    [anon_sym_u8] = ACTIONS(1182),
    [anon_sym_u16] = ACTIONS(1182),
    [anon_sym_u32] = ACTIONS(1182),
    [anon_sym_u64] = ACTIONS(1182),
    [anon_sym_f32] = ACTIONS(1182),
    [anon_sym_f64] = ACTIONS(1182),
    [anon_sym_bool] = ACTIONS(1182),
    [anon_sym_rune] = ACTIONS(1182),
    [anon_sym_map] = ACTIONS(1182),
    [anon_sym_mapnode] = ACTIONS(1182),
    [anon_sym_size_t] = ACTIONS(1182),
    [anon_sym_usize] = ACTIONS(1182),
    [anon_sym_isize] = ACTIONS(1182),
    [anon_sym_float_literal] = ACTIONS(1182),
    [anon_sym_int_literal] = ACTIONS(1182),
    [anon_sym_IError] = ACTIONS(1182),
    [sym_type_placeholder] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [sym_type_identifier] = ACTIONS(1182),
    [anon_sym_unsafe] = ACTIONS(1182),
    [anon_sym_fn] = ACTIONS(1182),
    [anon_sym_DOLLARif] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_is] = ACTIONS(1182),
    [anon_sym_BANGis] = ACTIONS(1180),
    [anon_sym_match] = ACTIONS(1182),
    [anon_sym_select] = ACTIONS(1182),
    [anon_sym_lock] = ACTIONS(1182),
    [anon_sym_rlock] = ACTIONS(1182),
    [sym__c_string_opening] = ACTIONS(1180),
    [sym__raw_string_opening] = ACTIONS(1180),
    [sym__string_opening] = ACTIONS(1180),
    [sym__comment] = ACTIONS(3),
  },
  [1694] = {
    [sym_comment] = STATE(1694),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_LT_DASH] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1130),
    [anon_sym_LT_LT] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1130),
    [anon_sym_AMP_CARET] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1130),
    [sym_none] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_RBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [sym_int_literal] = ACTIONS(1132),
    [sym_float_literal] = ACTIONS(1130),
    [sym_rune_literal] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_sql] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_unsafe] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_DOLLARif] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [anon_sym_match] = ACTIONS(1132),
    [anon_sym_select] = ACTIONS(1132),
    [anon_sym_lock] = ACTIONS(1132),
    [anon_sym_rlock] = ACTIONS(1132),
    [sym__c_string_opening] = ACTIONS(1130),
    [sym__raw_string_opening] = ACTIONS(1130),
    [sym__string_opening] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1695] = {
    [sym_comment] = STATE(1695),
    [ts_builtin_sym_end] = ACTIONS(115),
    [sym_identifier] = ACTIONS(4476),
    [anon_sym_LPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(4476),
    [sym_none] = ACTIONS(4476),
    [sym_true] = ACTIONS(4476),
    [sym_false] = ACTIONS(4476),
    [anon_sym_LBRACE] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(115),
    [anon_sym_map_LBRACK] = ACTIONS(115),
    [anon_sym_chan] = ACTIONS(4476),
    [anon_sym_shared] = ACTIONS(4476),
    [anon_sym_thread] = ACTIONS(4476),
    [sym_int_literal] = ACTIONS(4476),
    [sym_float_literal] = ACTIONS(115),
    [sym_rune_literal] = ACTIONS(115),
    [anon_sym_DOT] = ACTIONS(4476),
    [anon_sym_array] = ACTIONS(4476),
    [anon_sym_string] = ACTIONS(4476),
    [anon_sym_char] = ACTIONS(4476),
    [anon_sym_sql] = ACTIONS(4476),
    [anon_sym_mut] = ACTIONS(4476),
    [anon_sym_C] = ACTIONS(4476),
    [anon_sym_JS] = ACTIONS(4476),
    [anon_sym_voidptr] = ACTIONS(4476),
    [anon_sym_byteptr] = ACTIONS(4476),
    [anon_sym_charptr] = ACTIONS(4476),
    [anon_sym_i8] = ACTIONS(4476),
    [anon_sym_i16] = ACTIONS(4476),
    [anon_sym_i32] = ACTIONS(4476),
    [anon_sym_int] = ACTIONS(4476),
    [anon_sym_i64] = ACTIONS(4476),
    [anon_sym_byte] = ACTIONS(4476),
    [anon_sym_u8] = ACTIONS(4476),
    [anon_sym_u16] = ACTIONS(4476),
    [anon_sym_u32] = ACTIONS(4476),
    [anon_sym_u64] = ACTIONS(4476),
    [anon_sym_f32] = ACTIONS(4476),
    [anon_sym_f64] = ACTIONS(4476),
    [anon_sym_bool] = ACTIONS(4476),
    [anon_sym_rune] = ACTIONS(4476),
    [anon_sym_map] = ACTIONS(4476),
    [anon_sym_mapnode] = ACTIONS(4476),
    [anon_sym_size_t] = ACTIONS(4476),
    [anon_sym_usize] = ACTIONS(4476),
    [anon_sym_isize] = ACTIONS(4476),
    [anon_sym_float_literal] = ACTIONS(4476),
    [anon_sym_int_literal] = ACTIONS(4476),
    [anon_sym_IError] = ACTIONS(4476),
    [sym_type_placeholder] = ACTIONS(4476),
    [anon_sym_AT] = ACTIONS(4476),
    [sym_type_identifier] = ACTIONS(4476),
    [anon_sym_assert] = ACTIONS(4476),
    [anon_sym_defer] = ACTIONS(4476),
    [anon_sym_unsafe] = ACTIONS(4476),
    [anon_sym_pub] = ACTIONS(4476),
    [anon_sym_fn] = ACTIONS(4476),
    [anon_sym___global] = ACTIONS(4476),
    [anon_sym_const] = ACTIONS(4476),
    [anon_sym_asm] = ACTIONS(4476),
    [anon_sym_break] = ACTIONS(4476),
    [anon_sym_continue] = ACTIONS(4476),
    [anon_sym_return] = ACTIONS(4476),
    [anon_sym_type] = ACTIONS(4476),
    [anon_sym_go] = ACTIONS(4476),
    [anon_sym_spawn] = ACTIONS(4476),
    [anon_sym_goto] = ACTIONS(4476),
    [anon_sym_for] = ACTIONS(4476),
    [anon_sym_DOLLARfor] = ACTIONS(115),
    [anon_sym_DOLLARif] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(4476),
    [anon_sym_struct] = ACTIONS(4476),
    [anon_sym_union] = ACTIONS(4476),
    [anon_sym_enum] = ACTIONS(4476),
    [anon_sym_interface] = ACTIONS(4476),
    [anon_sym_POUND] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(4476),
    [anon_sym_import] = ACTIONS(4476),
    [anon_sym_match] = ACTIONS(4476),
    [anon_sym_select] = ACTIONS(4476),
    [anon_sym_lock] = ACTIONS(4476),
    [anon_sym_rlock] = ACTIONS(4476),
    [sym__c_string_opening] = ACTIONS(115),
    [sym__raw_string_opening] = ACTIONS(115),
    [sym__string_opening] = ACTIONS(115),
    [sym__comment] = ACTIONS(3),
  },
  [1696] = {
    [sym_comment] = STATE(1696),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_PERCENT] = ACTIONS(1188),
    [anon_sym_LT_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1188),
    [anon_sym_AMP_CARET] = ACTIONS(1188),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_RBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1697] = {
    [sym_comment] = STATE(1697),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_LT_DASH] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(1236),
    [anon_sym_LT_LT] = ACTIONS(1236),
    [anon_sym_GT_GT] = ACTIONS(1238),
    [anon_sym_GT_GT_GT] = ACTIONS(1236),
    [anon_sym_AMP_CARET] = ACTIONS(1236),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1238),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_BANGin] = ACTIONS(1236),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_as] = ACTIONS(1238),
    [anon_sym_COMMA] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [sym_none] = ACTIONS(1238),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_RBRACK] = ACTIONS(1236),
    [anon_sym_map_LBRACK] = ACTIONS(1236),
    [anon_sym_chan] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_thread] = ACTIONS(1238),
    [sym_int_literal] = ACTIONS(1238),
    [sym_float_literal] = ACTIONS(1236),
    [sym_rune_literal] = ACTIONS(1236),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_array] = ACTIONS(1238),
    [anon_sym_string] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_sql] = ACTIONS(1238),
    [anon_sym_mut] = ACTIONS(1238),
    [anon_sym_C] = ACTIONS(1238),
    [anon_sym_JS] = ACTIONS(1238),
    [anon_sym_voidptr] = ACTIONS(1238),
    [anon_sym_byteptr] = ACTIONS(1238),
    [anon_sym_charptr] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_int] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_byte] = ACTIONS(1238),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_rune] = ACTIONS(1238),
    [anon_sym_map] = ACTIONS(1238),
    [anon_sym_mapnode] = ACTIONS(1238),
    [anon_sym_size_t] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_float_literal] = ACTIONS(1238),
    [anon_sym_int_literal] = ACTIONS(1238),
    [anon_sym_IError] = ACTIONS(1238),
    [sym_type_placeholder] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [sym_type_identifier] = ACTIONS(1238),
    [anon_sym_unsafe] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym_DOLLARif] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(4478),
    [anon_sym_is] = ACTIONS(1238),
    [anon_sym_BANGis] = ACTIONS(1236),
    [anon_sym_match] = ACTIONS(1238),
    [anon_sym_select] = ACTIONS(1238),
    [anon_sym_lock] = ACTIONS(1238),
    [anon_sym_rlock] = ACTIONS(1238),
    [sym__c_string_opening] = ACTIONS(1236),
    [sym__raw_string_opening] = ACTIONS(1236),
    [sym__string_opening] = ACTIONS(1236),
    [sym__comment] = ACTIONS(3),
  },
  [1698] = {
    [sym_comment] = STATE(1698),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_LT_DASH] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_AMP_CARET] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1138),
    [sym_none] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_RBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [sym_int_literal] = ACTIONS(1140),
    [sym_float_literal] = ACTIONS(1138),
    [sym_rune_literal] = ACTIONS(1138),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_sql] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_unsafe] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_DOLLARif] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [anon_sym_match] = ACTIONS(1140),
    [anon_sym_select] = ACTIONS(1140),
    [anon_sym_lock] = ACTIONS(1140),
    [anon_sym_rlock] = ACTIONS(1140),
    [sym__c_string_opening] = ACTIONS(1138),
    [sym__raw_string_opening] = ACTIONS(1138),
    [sym__string_opening] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1699] = {
    [sym_comment] = STATE(1699),
    [sym_fixed_array_type] = STATE(2852),
    [sym_array_type] = STATE(2852),
    [sym_pointer_type] = STATE(2852),
    [sym_map_type] = STATE(2852),
    [sym_channel_type] = STATE(2852),
    [sym_shared_type] = STATE(2852),
    [sym_thread_type] = STATE(2852),
    [sym_binded_identifier] = STATE(2858),
    [sym_option_type] = STATE(2879),
    [sym_result_type] = STATE(2879),
    [sym_multi_return_type] = STATE(2879),
    [sym__simple_type] = STATE(2879),
    [sym_builtin_type] = STATE(2852),
    [sym__binded_type] = STATE(2852),
    [sym_generic_type] = STATE(2852),
    [sym_qualified_type] = STATE(2566),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN] = ACTIONS(4482),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(4484),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(4486),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(650),
    [anon_sym_AMP_AMP] = ACTIONS(650),
    [anon_sym_PIPE_PIPE] = ACTIONS(650),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(4488),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(4490),
    [anon_sym_map_LBRACK] = ACTIONS(4492),
    [anon_sym_chan] = ACTIONS(4494),
    [anon_sym_shared] = ACTIONS(4496),
    [anon_sym_thread] = ACTIONS(4498),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(4500),
    [anon_sym_string] = ACTIONS(4500),
    [anon_sym_char] = ACTIONS(4500),
    [sym__old_identifier] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(4502),
    [anon_sym_JS] = ACTIONS(4502),
    [anon_sym_voidptr] = ACTIONS(4500),
    [anon_sym_byteptr] = ACTIONS(4500),
    [anon_sym_charptr] = ACTIONS(4500),
    [anon_sym_i8] = ACTIONS(4500),
    [anon_sym_i16] = ACTIONS(4500),
    [anon_sym_i32] = ACTIONS(4500),
    [anon_sym_int] = ACTIONS(4500),
    [anon_sym_i64] = ACTIONS(4500),
    [anon_sym_byte] = ACTIONS(4500),
    [anon_sym_u8] = ACTIONS(4500),
    [anon_sym_u16] = ACTIONS(4500),
    [anon_sym_u32] = ACTIONS(4500),
    [anon_sym_u64] = ACTIONS(4500),
    [anon_sym_f32] = ACTIONS(4500),
    [anon_sym_f64] = ACTIONS(4500),
    [anon_sym_bool] = ACTIONS(4500),
    [anon_sym_rune] = ACTIONS(4500),
    [anon_sym_map] = ACTIONS(4500),
    [anon_sym_mapnode] = ACTIONS(4500),
    [anon_sym_size_t] = ACTIONS(4500),
    [anon_sym_usize] = ACTIONS(4500),
    [anon_sym_isize] = ACTIONS(4500),
    [anon_sym_float_literal] = ACTIONS(4500),
    [anon_sym_int_literal] = ACTIONS(4500),
    [anon_sym_IError] = ACTIONS(4500),
    [sym_type_placeholder] = ACTIONS(4504),
    [sym_type_identifier] = ACTIONS(4506),
    [anon_sym_pub] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(4508),
    [anon_sym___global] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(650),
    [sym__comment] = ACTIONS(3),
  },
  [1700] = {
    [sym_comment] = STATE(1700),
    [sym_argument_list] = STATE(1739),
    [sym_identifier] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_LT_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_AMP_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1224),
    [anon_sym_BANGin] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym_none] = ACTIONS(1224),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_map_LBRACK] = ACTIONS(1222),
    [anon_sym_chan] = ACTIONS(1224),
    [anon_sym_shared] = ACTIONS(1224),
    [anon_sym_thread] = ACTIONS(1224),
    [sym_int_literal] = ACTIONS(1224),
    [sym_float_literal] = ACTIONS(1222),
    [sym_rune_literal] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1224),
    [anon_sym_array] = ACTIONS(1224),
    [anon_sym_string] = ACTIONS(1224),
    [anon_sym_char] = ACTIONS(1224),
    [anon_sym_sql] = ACTIONS(1224),
    [anon_sym_mut] = ACTIONS(1224),
    [anon_sym_C] = ACTIONS(1224),
    [anon_sym_JS] = ACTIONS(1224),
    [anon_sym_voidptr] = ACTIONS(1224),
    [anon_sym_byteptr] = ACTIONS(1224),
    [anon_sym_charptr] = ACTIONS(1224),
    [anon_sym_i8] = ACTIONS(1224),
    [anon_sym_i16] = ACTIONS(1224),
    [anon_sym_i32] = ACTIONS(1224),
    [anon_sym_int] = ACTIONS(1224),
    [anon_sym_i64] = ACTIONS(1224),
    [anon_sym_byte] = ACTIONS(1224),
    [anon_sym_u8] = ACTIONS(1224),
    [anon_sym_u16] = ACTIONS(1224),
    [anon_sym_u32] = ACTIONS(1224),
    [anon_sym_u64] = ACTIONS(1224),
    [anon_sym_f32] = ACTIONS(1224),
    [anon_sym_f64] = ACTIONS(1224),
    [anon_sym_bool] = ACTIONS(1224),
    [anon_sym_rune] = ACTIONS(1224),
    [anon_sym_map] = ACTIONS(1224),
    [anon_sym_mapnode] = ACTIONS(1224),
    [anon_sym_size_t] = ACTIONS(1224),
    [anon_sym_usize] = ACTIONS(1224),
    [anon_sym_isize] = ACTIONS(1224),
    [anon_sym_float_literal] = ACTIONS(1224),
    [anon_sym_int_literal] = ACTIONS(1224),
    [anon_sym_IError] = ACTIONS(1224),
    [sym_type_placeholder] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [sym_type_identifier] = ACTIONS(1224),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_fn] = ACTIONS(1224),
    [anon_sym_DOLLARif] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_is] = ACTIONS(1224),
    [anon_sym_BANGis] = ACTIONS(1222),
    [anon_sym_match] = ACTIONS(1224),
    [anon_sym_select] = ACTIONS(1224),
    [anon_sym_lock] = ACTIONS(1224),
    [anon_sym_rlock] = ACTIONS(1224),
    [sym__c_string_opening] = ACTIONS(1222),
    [sym__raw_string_opening] = ACTIONS(1222),
    [sym__string_opening] = ACTIONS(1222),
    [sym__comment] = ACTIONS(3),
  },
  [1701] = {
    [sym_comment] = STATE(1701),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(3735),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(3735),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1702] = {
    [sym_comment] = STATE(1702),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1192),
    [anon_sym_AMP_CARET] = ACTIONS(1192),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_BANGin] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_RBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_DOLLARelse] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_BANGis] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1703] = {
    [sym_comment] = STATE(1703),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_RBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1704] = {
    [sym_comment] = STATE(1704),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_RBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_LT2] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1705] = {
    [sym_comment] = STATE(1705),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_RBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_LT2] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1706] = {
    [sym_comment] = STATE(1706),
    [sym_identifier] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_LT_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(1212),
    [anon_sym_PERCENT] = ACTIONS(1212),
    [anon_sym_LT_LT] = ACTIONS(1212),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_GT_GT_GT] = ACTIONS(1212),
    [anon_sym_AMP_CARET] = ACTIONS(1212),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_in] = ACTIONS(1214),
    [anon_sym_BANGin] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_as] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_RBRACK] = ACTIONS(1212),
    [anon_sym_map_LBRACK] = ACTIONS(1212),
    [anon_sym_chan] = ACTIONS(1214),
    [anon_sym_shared] = ACTIONS(1214),
    [anon_sym_thread] = ACTIONS(1214),
    [sym_int_literal] = ACTIONS(1214),
    [sym_float_literal] = ACTIONS(1212),
    [sym_rune_literal] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_array] = ACTIONS(1214),
    [anon_sym_string] = ACTIONS(1214),
    [anon_sym_char] = ACTIONS(1214),
    [anon_sym_sql] = ACTIONS(1214),
    [anon_sym_mut] = ACTIONS(1214),
    [anon_sym_C] = ACTIONS(1214),
    [anon_sym_JS] = ACTIONS(1214),
    [anon_sym_LT2] = ACTIONS(1214),
    [anon_sym_voidptr] = ACTIONS(1214),
    [anon_sym_byteptr] = ACTIONS(1214),
    [anon_sym_charptr] = ACTIONS(1214),
    [anon_sym_i8] = ACTIONS(1214),
    [anon_sym_i16] = ACTIONS(1214),
    [anon_sym_i32] = ACTIONS(1214),
    [anon_sym_int] = ACTIONS(1214),
    [anon_sym_i64] = ACTIONS(1214),
    [anon_sym_byte] = ACTIONS(1214),
    [anon_sym_u8] = ACTIONS(1214),
    [anon_sym_u16] = ACTIONS(1214),
    [anon_sym_u32] = ACTIONS(1214),
    [anon_sym_u64] = ACTIONS(1214),
    [anon_sym_f32] = ACTIONS(1214),
    [anon_sym_f64] = ACTIONS(1214),
    [anon_sym_bool] = ACTIONS(1214),
    [anon_sym_rune] = ACTIONS(1214),
    [anon_sym_map] = ACTIONS(1214),
    [anon_sym_mapnode] = ACTIONS(1214),
    [anon_sym_size_t] = ACTIONS(1214),
    [anon_sym_usize] = ACTIONS(1214),
    [anon_sym_isize] = ACTIONS(1214),
    [anon_sym_float_literal] = ACTIONS(1214),
    [anon_sym_int_literal] = ACTIONS(1214),
    [anon_sym_IError] = ACTIONS(1214),
    [sym_type_placeholder] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [sym_type_identifier] = ACTIONS(1214),
    [anon_sym_unsafe] = ACTIONS(1214),
    [anon_sym_fn] = ACTIONS(1214),
    [anon_sym_DOLLARif] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_is] = ACTIONS(1214),
    [anon_sym_BANGis] = ACTIONS(1212),
    [anon_sym_match] = ACTIONS(1214),
    [anon_sym_select] = ACTIONS(1214),
    [anon_sym_lock] = ACTIONS(1214),
    [anon_sym_rlock] = ACTIONS(1214),
    [sym__c_string_opening] = ACTIONS(1212),
    [sym__raw_string_opening] = ACTIONS(1212),
    [sym__string_opening] = ACTIONS(1212),
    [sym__comment] = ACTIONS(3),
  },
  [1707] = {
    [sym_comment] = STATE(1707),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_PERCENT] = ACTIONS(1188),
    [anon_sym_LT_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_GT_GT_GT] = ACTIONS(1188),
    [anon_sym_AMP_CARET] = ACTIONS(1188),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1188),
    [anon_sym_BANG_EQ] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1188),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_BANGin] = ACTIONS(1188),
    [anon_sym_AMP_AMP] = ACTIONS(1188),
    [anon_sym_PIPE_PIPE] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_RBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_DOLLARelse] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_BANGis] = ACTIONS(1188),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1708] = {
    [sym_comment] = STATE(1708),
    [sym_argument_list] = STATE(1734),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1210),
    [anon_sym_GT_GT_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1210),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1210),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_in] = ACTIONS(1210),
    [anon_sym_BANGin] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_as] = ACTIONS(1210),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [sym_none] = ACTIONS(1210),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_map_LBRACK] = ACTIONS(1208),
    [anon_sym_chan] = ACTIONS(1210),
    [anon_sym_shared] = ACTIONS(1210),
    [anon_sym_thread] = ACTIONS(1210),
    [sym_int_literal] = ACTIONS(1210),
    [sym_float_literal] = ACTIONS(1208),
    [sym_rune_literal] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1210),
    [anon_sym_array] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_char] = ACTIONS(1210),
    [anon_sym_sql] = ACTIONS(1210),
    [anon_sym_mut] = ACTIONS(1210),
    [anon_sym_C] = ACTIONS(1210),
    [anon_sym_JS] = ACTIONS(1210),
    [anon_sym_voidptr] = ACTIONS(1210),
    [anon_sym_byteptr] = ACTIONS(1210),
    [anon_sym_charptr] = ACTIONS(1210),
    [anon_sym_i8] = ACTIONS(1210),
    [anon_sym_i16] = ACTIONS(1210),
    [anon_sym_i32] = ACTIONS(1210),
    [anon_sym_int] = ACTIONS(1210),
    [anon_sym_i64] = ACTIONS(1210),
    [anon_sym_byte] = ACTIONS(1210),
    [anon_sym_u8] = ACTIONS(1210),
    [anon_sym_u16] = ACTIONS(1210),
    [anon_sym_u32] = ACTIONS(1210),
    [anon_sym_u64] = ACTIONS(1210),
    [anon_sym_f32] = ACTIONS(1210),
    [anon_sym_f64] = ACTIONS(1210),
    [anon_sym_bool] = ACTIONS(1210),
    [anon_sym_rune] = ACTIONS(1210),
    [anon_sym_map] = ACTIONS(1210),
    [anon_sym_mapnode] = ACTIONS(1210),
    [anon_sym_size_t] = ACTIONS(1210),
    [anon_sym_usize] = ACTIONS(1210),
    [anon_sym_isize] = ACTIONS(1210),
    [anon_sym_float_literal] = ACTIONS(1210),
    [anon_sym_int_literal] = ACTIONS(1210),
    [anon_sym_IError] = ACTIONS(1210),
    [sym_type_placeholder] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [sym_type_identifier] = ACTIONS(1210),
    [anon_sym_unsafe] = ACTIONS(1210),
    [anon_sym_fn] = ACTIONS(1210),
    [anon_sym_DOLLARif] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_is] = ACTIONS(1210),
    [anon_sym_BANGis] = ACTIONS(1208),
    [anon_sym_match] = ACTIONS(1210),
    [anon_sym_select] = ACTIONS(1210),
    [anon_sym_lock] = ACTIONS(1210),
    [anon_sym_rlock] = ACTIONS(1210),
    [sym__c_string_opening] = ACTIONS(1208),
    [sym__raw_string_opening] = ACTIONS(1208),
    [sym__string_opening] = ACTIONS(1208),
    [sym__comment] = ACTIONS(3),
  },
  [1709] = {
    [sym_comment] = STATE(1709),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1532),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PERCENT] = ACTIONS(1532),
    [anon_sym_LT_LT] = ACTIONS(1532),
    [anon_sym_GT_GT] = ACTIONS(1534),
    [anon_sym_GT_GT_GT] = ACTIONS(1532),
    [anon_sym_AMP_CARET] = ACTIONS(1532),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1534),
    [anon_sym_BANGin] = ACTIONS(1532),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_as] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [sym_none] = ACTIONS(1534),
    [sym_true] = ACTIONS(1534),
    [sym_false] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_RBRACK] = ACTIONS(1532),
    [anon_sym_map_LBRACK] = ACTIONS(1532),
    [anon_sym_chan] = ACTIONS(1534),
    [anon_sym_shared] = ACTIONS(1534),
    [anon_sym_thread] = ACTIONS(1534),
    [sym_int_literal] = ACTIONS(1534),
    [sym_float_literal] = ACTIONS(1532),
    [sym_rune_literal] = ACTIONS(1532),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_array] = ACTIONS(1534),
    [anon_sym_string] = ACTIONS(1534),
    [anon_sym_char] = ACTIONS(1534),
    [anon_sym_sql] = ACTIONS(1534),
    [anon_sym_mut] = ACTIONS(1534),
    [anon_sym_C] = ACTIONS(1534),
    [anon_sym_JS] = ACTIONS(1534),
    [anon_sym_voidptr] = ACTIONS(1534),
    [anon_sym_byteptr] = ACTIONS(1534),
    [anon_sym_charptr] = ACTIONS(1534),
    [anon_sym_i8] = ACTIONS(1534),
    [anon_sym_i16] = ACTIONS(1534),
    [anon_sym_i32] = ACTIONS(1534),
    [anon_sym_int] = ACTIONS(1534),
    [anon_sym_i64] = ACTIONS(1534),
    [anon_sym_byte] = ACTIONS(1534),
    [anon_sym_u8] = ACTIONS(1534),
    [anon_sym_u16] = ACTIONS(1534),
    [anon_sym_u32] = ACTIONS(1534),
    [anon_sym_u64] = ACTIONS(1534),
    [anon_sym_f32] = ACTIONS(1534),
    [anon_sym_f64] = ACTIONS(1534),
    [anon_sym_bool] = ACTIONS(1534),
    [anon_sym_rune] = ACTIONS(1534),
    [anon_sym_map] = ACTIONS(1534),
    [anon_sym_mapnode] = ACTIONS(1534),
    [anon_sym_size_t] = ACTIONS(1534),
    [anon_sym_usize] = ACTIONS(1534),
    [anon_sym_isize] = ACTIONS(1534),
    [anon_sym_float_literal] = ACTIONS(1534),
    [anon_sym_int_literal] = ACTIONS(1534),
    [anon_sym_IError] = ACTIONS(1534),
    [sym_type_placeholder] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [sym_type_identifier] = ACTIONS(1534),
    [anon_sym_unsafe] = ACTIONS(1534),
    [anon_sym_fn] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_DOLLARif] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1534),
    [anon_sym_is] = ACTIONS(1534),
    [anon_sym_BANGis] = ACTIONS(1532),
    [anon_sym_match] = ACTIONS(1534),
    [anon_sym_select] = ACTIONS(1534),
    [anon_sym_lock] = ACTIONS(1534),
    [anon_sym_rlock] = ACTIONS(1534),
    [sym__c_string_opening] = ACTIONS(1532),
    [sym__raw_string_opening] = ACTIONS(1532),
    [sym__string_opening] = ACTIONS(1532),
    [sym__comment] = ACTIONS(3),
  },
  [1710] = {
    [sym_comment] = STATE(1710),
    [sym_fixed_array_type] = STATE(2820),
    [sym_array_type] = STATE(2820),
    [sym_pointer_type] = STATE(2820),
    [sym_map_type] = STATE(2820),
    [sym_channel_type] = STATE(2820),
    [sym_shared_type] = STATE(2820),
    [sym_thread_type] = STATE(2820),
    [sym_binded_identifier] = STATE(2771),
    [sym_option_type] = STATE(2795),
    [sym_result_type] = STATE(2795),
    [sym_multi_return_type] = STATE(2795),
    [sym__simple_type] = STATE(2795),
    [sym_builtin_type] = STATE(2820),
    [sym__binded_type] = STATE(2820),
    [sym_generic_type] = STATE(2820),
    [sym_qualified_type] = STATE(2573),
    [sym_function_type] = STATE(2820),
    [sym_identifier] = ACTIONS(4510),
    [anon_sym_LPAREN] = ACTIONS(4512),
    [anon_sym_RPAREN] = ACTIONS(644),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(4514),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(4516),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(644),
    [anon_sym_AMP_CARET] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(4518),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_RBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_RBRACK] = ACTIONS(644),
    [anon_sym_map_LBRACK] = ACTIONS(4522),
    [anon_sym_chan] = ACTIONS(4524),
    [anon_sym_shared] = ACTIONS(4526),
    [anon_sym_thread] = ACTIONS(4528),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(4530),
    [anon_sym_string] = ACTIONS(4530),
    [anon_sym_char] = ACTIONS(4530),
    [anon_sym_C] = ACTIONS(4532),
    [anon_sym_JS] = ACTIONS(4532),
    [anon_sym_voidptr] = ACTIONS(4530),
    [anon_sym_byteptr] = ACTIONS(4530),
    [anon_sym_charptr] = ACTIONS(4530),
    [anon_sym_i8] = ACTIONS(4530),
    [anon_sym_i16] = ACTIONS(4530),
    [anon_sym_i32] = ACTIONS(4530),
    [anon_sym_int] = ACTIONS(4530),
    [anon_sym_i64] = ACTIONS(4530),
    [anon_sym_byte] = ACTIONS(4530),
    [anon_sym_u8] = ACTIONS(4530),
    [anon_sym_u16] = ACTIONS(4530),
    [anon_sym_u32] = ACTIONS(4530),
    [anon_sym_u64] = ACTIONS(4530),
    [anon_sym_f32] = ACTIONS(4530),
    [anon_sym_f64] = ACTIONS(4530),
    [anon_sym_bool] = ACTIONS(4530),
    [anon_sym_rune] = ACTIONS(4530),
    [anon_sym_map] = ACTIONS(4530),
    [anon_sym_mapnode] = ACTIONS(4530),
    [anon_sym_size_t] = ACTIONS(4530),
    [anon_sym_usize] = ACTIONS(4530),
    [anon_sym_isize] = ACTIONS(4530),
    [anon_sym_float_literal] = ACTIONS(4530),
    [anon_sym_int_literal] = ACTIONS(4530),
    [anon_sym_IError] = ACTIONS(4530),
    [sym_type_placeholder] = ACTIONS(4534),
    [sym_type_identifier] = ACTIONS(4536),
    [anon_sym_COLON_EQ] = ACTIONS(644),
    [anon_sym_fn] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(644),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1711] = {
    [sym_comment] = STATE(1711),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_LT_DASH] = ACTIONS(1122),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PERCENT] = ACTIONS(1122),
    [anon_sym_LT_LT] = ACTIONS(1122),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1122),
    [anon_sym_AMP_CARET] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1122),
    [sym_none] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_RBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [sym_int_literal] = ACTIONS(1124),
    [sym_float_literal] = ACTIONS(1122),
    [sym_rune_literal] = ACTIONS(1122),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_sql] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_unsafe] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_DOLLARif] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [anon_sym_match] = ACTIONS(1124),
    [anon_sym_select] = ACTIONS(1124),
    [anon_sym_lock] = ACTIONS(1124),
    [anon_sym_rlock] = ACTIONS(1124),
    [sym__c_string_opening] = ACTIONS(1122),
    [sym__raw_string_opening] = ACTIONS(1122),
    [sym__string_opening] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1712] = {
    [sym_comment] = STATE(1712),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_RBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_LT2] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1713] = {
    [sym_comment] = STATE(1713),
    [sym_identifier] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1120),
    [anon_sym_LT_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PERCENT] = ACTIONS(1118),
    [anon_sym_LT_LT] = ACTIONS(1118),
    [anon_sym_GT_GT] = ACTIONS(1120),
    [anon_sym_GT_GT_GT] = ACTIONS(1118),
    [anon_sym_AMP_CARET] = ACTIONS(1118),
    [anon_sym_PIPE] = ACTIONS(1120),
    [anon_sym_EQ_EQ] = ACTIONS(1118),
    [anon_sym_BANG_EQ] = ACTIONS(1118),
    [anon_sym_LT] = ACTIONS(1120),
    [anon_sym_LT_EQ] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1120),
    [anon_sym_GT_EQ] = ACTIONS(1118),
    [anon_sym_in] = ACTIONS(1120),
    [anon_sym_BANGin] = ACTIONS(1118),
    [anon_sym_AMP_AMP] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1118),
    [anon_sym_as] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [sym_none] = ACTIONS(1120),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_RBRACK] = ACTIONS(1118),
    [anon_sym_map_LBRACK] = ACTIONS(1118),
    [anon_sym_chan] = ACTIONS(1120),
    [anon_sym_shared] = ACTIONS(1120),
    [anon_sym_thread] = ACTIONS(1120),
    [sym_int_literal] = ACTIONS(1120),
    [sym_float_literal] = ACTIONS(1118),
    [sym_rune_literal] = ACTIONS(1118),
    [anon_sym_DOT] = ACTIONS(1120),
    [anon_sym_array] = ACTIONS(1120),
    [anon_sym_string] = ACTIONS(1120),
    [anon_sym_char] = ACTIONS(1120),
    [anon_sym_sql] = ACTIONS(1120),
    [anon_sym_mut] = ACTIONS(1120),
    [anon_sym_C] = ACTIONS(1120),
    [anon_sym_JS] = ACTIONS(1120),
    [anon_sym_LT2] = ACTIONS(1120),
    [anon_sym_voidptr] = ACTIONS(1120),
    [anon_sym_byteptr] = ACTIONS(1120),
    [anon_sym_charptr] = ACTIONS(1120),
    [anon_sym_i8] = ACTIONS(1120),
    [anon_sym_i16] = ACTIONS(1120),
    [anon_sym_i32] = ACTIONS(1120),
    [anon_sym_int] = ACTIONS(1120),
    [anon_sym_i64] = ACTIONS(1120),
    [anon_sym_byte] = ACTIONS(1120),
    [anon_sym_u8] = ACTIONS(1120),
    [anon_sym_u16] = ACTIONS(1120),
    [anon_sym_u32] = ACTIONS(1120),
    [anon_sym_u64] = ACTIONS(1120),
    [anon_sym_f32] = ACTIONS(1120),
    [anon_sym_f64] = ACTIONS(1120),
    [anon_sym_bool] = ACTIONS(1120),
    [anon_sym_rune] = ACTIONS(1120),
    [anon_sym_map] = ACTIONS(1120),
    [anon_sym_mapnode] = ACTIONS(1120),
    [anon_sym_size_t] = ACTIONS(1120),
    [anon_sym_usize] = ACTIONS(1120),
    [anon_sym_isize] = ACTIONS(1120),
    [anon_sym_float_literal] = ACTIONS(1120),
    [anon_sym_int_literal] = ACTIONS(1120),
    [anon_sym_IError] = ACTIONS(1120),
    [sym_type_placeholder] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [sym_type_identifier] = ACTIONS(1120),
    [anon_sym_unsafe] = ACTIONS(1120),
    [anon_sym_fn] = ACTIONS(1120),
    [anon_sym_DOLLARif] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_is] = ACTIONS(1120),
    [anon_sym_BANGis] = ACTIONS(1118),
    [anon_sym_match] = ACTIONS(1120),
    [anon_sym_select] = ACTIONS(1120),
    [anon_sym_lock] = ACTIONS(1120),
    [anon_sym_rlock] = ACTIONS(1120),
    [sym__c_string_opening] = ACTIONS(1118),
    [sym__raw_string_opening] = ACTIONS(1118),
    [sym__string_opening] = ACTIONS(1118),
    [sym__comment] = ACTIONS(3),
  },
  [1714] = {
    [sym_comment] = STATE(1714),
    [sym__content_block] = STATE(1801),
    [sym_identifier] = ACTIONS(4540),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(4542),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_RBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1715] = {
    [sym_comment] = STATE(1715),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_LT_DASH] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP_CARET] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1134),
    [sym_none] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_RBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [sym_int_literal] = ACTIONS(1136),
    [sym_float_literal] = ACTIONS(1134),
    [sym_rune_literal] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_sql] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_unsafe] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_DOLLARif] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [anon_sym_match] = ACTIONS(1136),
    [anon_sym_select] = ACTIONS(1136),
    [anon_sym_lock] = ACTIONS(1136),
    [anon_sym_rlock] = ACTIONS(1136),
    [sym__c_string_opening] = ACTIONS(1134),
    [sym__raw_string_opening] = ACTIONS(1134),
    [sym__string_opening] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1716] = {
    [sym_comment] = STATE(1716),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_LT_DASH] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1572),
    [anon_sym_AMP_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_BANGin] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_as] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [sym_none] = ACTIONS(1574),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [anon_sym_map_LBRACK] = ACTIONS(1572),
    [anon_sym_chan] = ACTIONS(1574),
    [anon_sym_shared] = ACTIONS(1574),
    [anon_sym_thread] = ACTIONS(1574),
    [sym_int_literal] = ACTIONS(1574),
    [sym_float_literal] = ACTIONS(1572),
    [sym_rune_literal] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1574),
    [anon_sym_array] = ACTIONS(1574),
    [anon_sym_string] = ACTIONS(1574),
    [anon_sym_char] = ACTIONS(1574),
    [anon_sym_sql] = ACTIONS(1574),
    [anon_sym_mut] = ACTIONS(1574),
    [anon_sym_C] = ACTIONS(1574),
    [anon_sym_JS] = ACTIONS(1574),
    [anon_sym_voidptr] = ACTIONS(1574),
    [anon_sym_byteptr] = ACTIONS(1574),
    [anon_sym_charptr] = ACTIONS(1574),
    [anon_sym_i8] = ACTIONS(1574),
    [anon_sym_i16] = ACTIONS(1574),
    [anon_sym_i32] = ACTIONS(1574),
    [anon_sym_int] = ACTIONS(1574),
    [anon_sym_i64] = ACTIONS(1574),
    [anon_sym_byte] = ACTIONS(1574),
    [anon_sym_u8] = ACTIONS(1574),
    [anon_sym_u16] = ACTIONS(1574),
    [anon_sym_u32] = ACTIONS(1574),
    [anon_sym_u64] = ACTIONS(1574),
    [anon_sym_f32] = ACTIONS(1574),
    [anon_sym_f64] = ACTIONS(1574),
    [anon_sym_bool] = ACTIONS(1574),
    [anon_sym_rune] = ACTIONS(1574),
    [anon_sym_map] = ACTIONS(1574),
    [anon_sym_mapnode] = ACTIONS(1574),
    [anon_sym_size_t] = ACTIONS(1574),
    [anon_sym_usize] = ACTIONS(1574),
    [anon_sym_isize] = ACTIONS(1574),
    [anon_sym_float_literal] = ACTIONS(1574),
    [anon_sym_int_literal] = ACTIONS(1574),
    [anon_sym_IError] = ACTIONS(1574),
    [sym_type_placeholder] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [sym_type_identifier] = ACTIONS(1574),
    [anon_sym_unsafe] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_DOLLARif] = ACTIONS(1572),
    [anon_sym_if] = ACTIONS(1574),
    [anon_sym_is] = ACTIONS(1574),
    [anon_sym_BANGis] = ACTIONS(1572),
    [anon_sym_match] = ACTIONS(1574),
    [anon_sym_select] = ACTIONS(1574),
    [anon_sym_lock] = ACTIONS(1574),
    [anon_sym_rlock] = ACTIONS(1574),
    [sym__c_string_opening] = ACTIONS(1572),
    [sym__raw_string_opening] = ACTIONS(1572),
    [sym__string_opening] = ACTIONS(1572),
    [sym__comment] = ACTIONS(3),
  },
  [1717] = {
    [sym_comment] = STATE(1717),
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_LT_DASH] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1606),
    [anon_sym_PERCENT] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_GT_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_in] = ACTIONS(1608),
    [anon_sym_BANGin] = ACTIONS(1606),
    [anon_sym_AMP_AMP] = ACTIONS(1606),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_as] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [sym_none] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_RBRACK] = ACTIONS(1606),
    [anon_sym_map_LBRACK] = ACTIONS(1606),
    [anon_sym_chan] = ACTIONS(1608),
    [anon_sym_shared] = ACTIONS(1608),
    [anon_sym_thread] = ACTIONS(1608),
    [sym_int_literal] = ACTIONS(1608),
    [sym_float_literal] = ACTIONS(1606),
    [sym_rune_literal] = ACTIONS(1606),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_array] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_char] = ACTIONS(1608),
    [anon_sym_sql] = ACTIONS(1608),
    [anon_sym_mut] = ACTIONS(1608),
    [anon_sym_C] = ACTIONS(1608),
    [anon_sym_JS] = ACTIONS(1608),
    [anon_sym_voidptr] = ACTIONS(1608),
    [anon_sym_byteptr] = ACTIONS(1608),
    [anon_sym_charptr] = ACTIONS(1608),
    [anon_sym_i8] = ACTIONS(1608),
    [anon_sym_i16] = ACTIONS(1608),
    [anon_sym_i32] = ACTIONS(1608),
    [anon_sym_int] = ACTIONS(1608),
    [anon_sym_i64] = ACTIONS(1608),
    [anon_sym_byte] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1608),
    [anon_sym_u16] = ACTIONS(1608),
    [anon_sym_u32] = ACTIONS(1608),
    [anon_sym_u64] = ACTIONS(1608),
    [anon_sym_f32] = ACTIONS(1608),
    [anon_sym_f64] = ACTIONS(1608),
    [anon_sym_bool] = ACTIONS(1608),
    [anon_sym_rune] = ACTIONS(1608),
    [anon_sym_map] = ACTIONS(1608),
    [anon_sym_mapnode] = ACTIONS(1608),
    [anon_sym_size_t] = ACTIONS(1608),
    [anon_sym_usize] = ACTIONS(1608),
    [anon_sym_isize] = ACTIONS(1608),
    [anon_sym_float_literal] = ACTIONS(1608),
    [anon_sym_int_literal] = ACTIONS(1608),
    [anon_sym_IError] = ACTIONS(1608),
    [sym_type_placeholder] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [sym_type_identifier] = ACTIONS(1608),
    [anon_sym_unsafe] = ACTIONS(1608),
    [anon_sym_fn] = ACTIONS(1608),
    [anon_sym_DOLLARif] = ACTIONS(1606),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_is] = ACTIONS(1608),
    [anon_sym_BANGis] = ACTIONS(1606),
    [anon_sym_match] = ACTIONS(1608),
    [anon_sym_select] = ACTIONS(1608),
    [anon_sym_lock] = ACTIONS(1608),
    [anon_sym_rlock] = ACTIONS(1608),
    [sym__c_string_opening] = ACTIONS(1606),
    [sym__raw_string_opening] = ACTIONS(1606),
    [sym__string_opening] = ACTIONS(1606),
    [sym__comment] = ACTIONS(3),
  },
  [1718] = {
    [sym_comment] = STATE(1718),
    [sym_identifier] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1568),
    [anon_sym_STAR] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_LT_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1568),
    [anon_sym_PERCENT] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1568),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1568),
    [anon_sym_AMP_CARET] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_BANGin] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [sym_none] = ACTIONS(1570),
    [sym_true] = ACTIONS(1570),
    [sym_false] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [anon_sym_map_LBRACK] = ACTIONS(1568),
    [anon_sym_chan] = ACTIONS(1570),
    [anon_sym_shared] = ACTIONS(1570),
    [anon_sym_thread] = ACTIONS(1570),
    [sym_int_literal] = ACTIONS(1570),
    [sym_float_literal] = ACTIONS(1568),
    [sym_rune_literal] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_array] = ACTIONS(1570),
    [anon_sym_string] = ACTIONS(1570),
    [anon_sym_char] = ACTIONS(1570),
    [anon_sym_sql] = ACTIONS(1570),
    [anon_sym_mut] = ACTIONS(1570),
    [anon_sym_C] = ACTIONS(1570),
    [anon_sym_JS] = ACTIONS(1570),
    [anon_sym_voidptr] = ACTIONS(1570),
    [anon_sym_byteptr] = ACTIONS(1570),
    [anon_sym_charptr] = ACTIONS(1570),
    [anon_sym_i8] = ACTIONS(1570),
    [anon_sym_i16] = ACTIONS(1570),
    [anon_sym_i32] = ACTIONS(1570),
    [anon_sym_int] = ACTIONS(1570),
    [anon_sym_i64] = ACTIONS(1570),
    [anon_sym_byte] = ACTIONS(1570),
    [anon_sym_u8] = ACTIONS(1570),
    [anon_sym_u16] = ACTIONS(1570),
    [anon_sym_u32] = ACTIONS(1570),
    [anon_sym_u64] = ACTIONS(1570),
    [anon_sym_f32] = ACTIONS(1570),
    [anon_sym_f64] = ACTIONS(1570),
    [anon_sym_bool] = ACTIONS(1570),
    [anon_sym_rune] = ACTIONS(1570),
    [anon_sym_map] = ACTIONS(1570),
    [anon_sym_mapnode] = ACTIONS(1570),
    [anon_sym_size_t] = ACTIONS(1570),
    [anon_sym_usize] = ACTIONS(1570),
    [anon_sym_isize] = ACTIONS(1570),
    [anon_sym_float_literal] = ACTIONS(1570),
    [anon_sym_int_literal] = ACTIONS(1570),
    [anon_sym_IError] = ACTIONS(1570),
    [sym_type_placeholder] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [sym_type_identifier] = ACTIONS(1570),
    [anon_sym_unsafe] = ACTIONS(1570),
    [anon_sym_fn] = ACTIONS(1570),
    [anon_sym_DOLLARif] = ACTIONS(1568),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_is] = ACTIONS(1570),
    [anon_sym_BANGis] = ACTIONS(1568),
    [anon_sym_match] = ACTIONS(1570),
    [anon_sym_select] = ACTIONS(1570),
    [anon_sym_lock] = ACTIONS(1570),
    [anon_sym_rlock] = ACTIONS(1570),
    [sym__c_string_opening] = ACTIONS(1568),
    [sym__raw_string_opening] = ACTIONS(1568),
    [sym__string_opening] = ACTIONS(1568),
    [sym__comment] = ACTIONS(3),
  },
  [1719] = {
    [sym_comment] = STATE(1719),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_LT_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1536),
    [anon_sym_LT_LT] = ACTIONS(1536),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_GT_GT_GT] = ACTIONS(1536),
    [anon_sym_AMP_CARET] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_in] = ACTIONS(1538),
    [anon_sym_BANGin] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_as] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [sym_none] = ACTIONS(1538),
    [sym_true] = ACTIONS(1538),
    [sym_false] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_RBRACK] = ACTIONS(1536),
    [anon_sym_map_LBRACK] = ACTIONS(1536),
    [anon_sym_chan] = ACTIONS(1538),
    [anon_sym_shared] = ACTIONS(1538),
    [anon_sym_thread] = ACTIONS(1538),
    [sym_int_literal] = ACTIONS(1538),
    [sym_float_literal] = ACTIONS(1536),
    [sym_rune_literal] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_array] = ACTIONS(1538),
    [anon_sym_string] = ACTIONS(1538),
    [anon_sym_char] = ACTIONS(1538),
    [anon_sym_sql] = ACTIONS(1538),
    [anon_sym_mut] = ACTIONS(1538),
    [anon_sym_C] = ACTIONS(1538),
    [anon_sym_JS] = ACTIONS(1538),
    [anon_sym_voidptr] = ACTIONS(1538),
    [anon_sym_byteptr] = ACTIONS(1538),
    [anon_sym_charptr] = ACTIONS(1538),
    [anon_sym_i8] = ACTIONS(1538),
    [anon_sym_i16] = ACTIONS(1538),
    [anon_sym_i32] = ACTIONS(1538),
    [anon_sym_int] = ACTIONS(1538),
    [anon_sym_i64] = ACTIONS(1538),
    [anon_sym_byte] = ACTIONS(1538),
    [anon_sym_u8] = ACTIONS(1538),
    [anon_sym_u16] = ACTIONS(1538),
    [anon_sym_u32] = ACTIONS(1538),
    [anon_sym_u64] = ACTIONS(1538),
    [anon_sym_f32] = ACTIONS(1538),
    [anon_sym_f64] = ACTIONS(1538),
    [anon_sym_bool] = ACTIONS(1538),
    [anon_sym_rune] = ACTIONS(1538),
    [anon_sym_map] = ACTIONS(1538),
    [anon_sym_mapnode] = ACTIONS(1538),
    [anon_sym_size_t] = ACTIONS(1538),
    [anon_sym_usize] = ACTIONS(1538),
    [anon_sym_isize] = ACTIONS(1538),
    [anon_sym_float_literal] = ACTIONS(1538),
    [anon_sym_int_literal] = ACTIONS(1538),
    [anon_sym_IError] = ACTIONS(1538),
    [sym_type_placeholder] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [sym_type_identifier] = ACTIONS(1538),
    [anon_sym_unsafe] = ACTIONS(1538),
    [anon_sym_fn] = ACTIONS(1538),
    [anon_sym_DOLLARif] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_is] = ACTIONS(1538),
    [anon_sym_BANGis] = ACTIONS(1536),
    [anon_sym_match] = ACTIONS(1538),
    [anon_sym_select] = ACTIONS(1538),
    [anon_sym_lock] = ACTIONS(1538),
    [anon_sym_rlock] = ACTIONS(1538),
    [sym__c_string_opening] = ACTIONS(1536),
    [sym__raw_string_opening] = ACTIONS(1536),
    [sym__string_opening] = ACTIONS(1536),
    [sym__comment] = ACTIONS(3),
  },
  [1720] = {
    [sym_comment] = STATE(1720),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_PERCENT] = ACTIONS(1478),
    [anon_sym_LT_LT] = ACTIONS(1478),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1478),
    [anon_sym_AMP_CARET] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_BANGin] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_as] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [sym_none] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_RBRACK] = ACTIONS(1478),
    [anon_sym_map_LBRACK] = ACTIONS(1478),
    [anon_sym_chan] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_thread] = ACTIONS(1480),
    [sym_int_literal] = ACTIONS(1480),
    [sym_float_literal] = ACTIONS(1478),
    [sym_rune_literal] = ACTIONS(1478),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_array] = ACTIONS(1480),
    [anon_sym_string] = ACTIONS(1480),
    [anon_sym_char] = ACTIONS(1480),
    [anon_sym_sql] = ACTIONS(1480),
    [anon_sym_mut] = ACTIONS(1480),
    [anon_sym_C] = ACTIONS(1480),
    [anon_sym_JS] = ACTIONS(1480),
    [anon_sym_voidptr] = ACTIONS(1480),
    [anon_sym_byteptr] = ACTIONS(1480),
    [anon_sym_charptr] = ACTIONS(1480),
    [anon_sym_i8] = ACTIONS(1480),
    [anon_sym_i16] = ACTIONS(1480),
    [anon_sym_i32] = ACTIONS(1480),
    [anon_sym_int] = ACTIONS(1480),
    [anon_sym_i64] = ACTIONS(1480),
    [anon_sym_byte] = ACTIONS(1480),
    [anon_sym_u8] = ACTIONS(1480),
    [anon_sym_u16] = ACTIONS(1480),
    [anon_sym_u32] = ACTIONS(1480),
    [anon_sym_u64] = ACTIONS(1480),
    [anon_sym_f32] = ACTIONS(1480),
    [anon_sym_f64] = ACTIONS(1480),
    [anon_sym_bool] = ACTIONS(1480),
    [anon_sym_rune] = ACTIONS(1480),
    [anon_sym_map] = ACTIONS(1480),
    [anon_sym_mapnode] = ACTIONS(1480),
    [anon_sym_size_t] = ACTIONS(1480),
    [anon_sym_usize] = ACTIONS(1480),
    [anon_sym_isize] = ACTIONS(1480),
    [anon_sym_float_literal] = ACTIONS(1480),
    [anon_sym_int_literal] = ACTIONS(1480),
    [anon_sym_IError] = ACTIONS(1480),
    [sym_type_placeholder] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym_type_identifier] = ACTIONS(1480),
    [anon_sym_unsafe] = ACTIONS(1480),
    [anon_sym_fn] = ACTIONS(1480),
    [anon_sym_DOLLARif] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1480),
    [anon_sym_BANGis] = ACTIONS(1478),
    [anon_sym_match] = ACTIONS(1480),
    [anon_sym_select] = ACTIONS(1480),
    [anon_sym_lock] = ACTIONS(1480),
    [anon_sym_rlock] = ACTIONS(1480),
    [sym__c_string_opening] = ACTIONS(1478),
    [sym__raw_string_opening] = ACTIONS(1478),
    [sym__string_opening] = ACTIONS(1478),
    [sym__comment] = ACTIONS(3),
  },
  [1721] = {
    [sym_comment] = STATE(1721),
    [sym_identifier] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_LT_DASH] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1368),
    [anon_sym_LT_LT] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(1368),
    [anon_sym_AMP_CARET] = ACTIONS(1368),
    [anon_sym_PIPE] = ACTIONS(1370),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_LT] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1370),
    [anon_sym_BANGin] = ACTIONS(1368),
    [anon_sym_AMP_AMP] = ACTIONS(1368),
    [anon_sym_PIPE_PIPE] = ACTIONS(1368),
    [anon_sym_as] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [sym_none] = ACTIONS(1370),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_RBRACK] = ACTIONS(1368),
    [anon_sym_map_LBRACK] = ACTIONS(1368),
    [anon_sym_chan] = ACTIONS(1370),
    [anon_sym_shared] = ACTIONS(1370),
    [anon_sym_thread] = ACTIONS(1370),
    [sym_int_literal] = ACTIONS(1370),
    [sym_float_literal] = ACTIONS(1368),
    [sym_rune_literal] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1370),
    [anon_sym_array] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_char] = ACTIONS(1370),
    [anon_sym_sql] = ACTIONS(1370),
    [anon_sym_mut] = ACTIONS(1370),
    [anon_sym_C] = ACTIONS(1370),
    [anon_sym_JS] = ACTIONS(1370),
    [anon_sym_voidptr] = ACTIONS(1370),
    [anon_sym_byteptr] = ACTIONS(1370),
    [anon_sym_charptr] = ACTIONS(1370),
    [anon_sym_i8] = ACTIONS(1370),
    [anon_sym_i16] = ACTIONS(1370),
    [anon_sym_i32] = ACTIONS(1370),
    [anon_sym_int] = ACTIONS(1370),
    [anon_sym_i64] = ACTIONS(1370),
    [anon_sym_byte] = ACTIONS(1370),
    [anon_sym_u8] = ACTIONS(1370),
    [anon_sym_u16] = ACTIONS(1370),
    [anon_sym_u32] = ACTIONS(1370),
    [anon_sym_u64] = ACTIONS(1370),
    [anon_sym_f32] = ACTIONS(1370),
    [anon_sym_f64] = ACTIONS(1370),
    [anon_sym_bool] = ACTIONS(1370),
    [anon_sym_rune] = ACTIONS(1370),
    [anon_sym_map] = ACTIONS(1370),
    [anon_sym_mapnode] = ACTIONS(1370),
    [anon_sym_size_t] = ACTIONS(1370),
    [anon_sym_usize] = ACTIONS(1370),
    [anon_sym_isize] = ACTIONS(1370),
    [anon_sym_float_literal] = ACTIONS(1370),
    [anon_sym_int_literal] = ACTIONS(1370),
    [anon_sym_IError] = ACTIONS(1370),
    [sym_type_placeholder] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [sym_type_identifier] = ACTIONS(1370),
    [anon_sym_unsafe] = ACTIONS(1370),
    [anon_sym_fn] = ACTIONS(1370),
    [anon_sym_DOLLARif] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_is] = ACTIONS(1370),
    [anon_sym_BANGis] = ACTIONS(1368),
    [anon_sym_match] = ACTIONS(1370),
    [anon_sym_select] = ACTIONS(1370),
    [anon_sym_lock] = ACTIONS(1370),
    [anon_sym_rlock] = ACTIONS(1370),
    [sym__c_string_opening] = ACTIONS(1368),
    [sym__raw_string_opening] = ACTIONS(1368),
    [sym__string_opening] = ACTIONS(1368),
    [sym__comment] = ACTIONS(3),
  },
  [1722] = {
    [sym_comment] = STATE(1722),
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LT_DASH] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1488),
    [anon_sym_PERCENT] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1490),
    [anon_sym_GT_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_in] = ACTIONS(1490),
    [anon_sym_BANGin] = ACTIONS(1488),
    [anon_sym_AMP_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_as] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [sym_none] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_RBRACK] = ACTIONS(1488),
    [anon_sym_map_LBRACK] = ACTIONS(1488),
    [anon_sym_chan] = ACTIONS(1490),
    [anon_sym_shared] = ACTIONS(1490),
    [anon_sym_thread] = ACTIONS(1490),
    [sym_int_literal] = ACTIONS(1490),
    [sym_float_literal] = ACTIONS(1488),
    [sym_rune_literal] = ACTIONS(1488),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_array] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_char] = ACTIONS(1490),
    [anon_sym_sql] = ACTIONS(1490),
    [anon_sym_mut] = ACTIONS(1490),
    [anon_sym_C] = ACTIONS(1490),
    [anon_sym_JS] = ACTIONS(1490),
    [anon_sym_voidptr] = ACTIONS(1490),
    [anon_sym_byteptr] = ACTIONS(1490),
    [anon_sym_charptr] = ACTIONS(1490),
    [anon_sym_i8] = ACTIONS(1490),
    [anon_sym_i16] = ACTIONS(1490),
    [anon_sym_i32] = ACTIONS(1490),
    [anon_sym_int] = ACTIONS(1490),
    [anon_sym_i64] = ACTIONS(1490),
    [anon_sym_byte] = ACTIONS(1490),
    [anon_sym_u8] = ACTIONS(1490),
    [anon_sym_u16] = ACTIONS(1490),
    [anon_sym_u32] = ACTIONS(1490),
    [anon_sym_u64] = ACTIONS(1490),
    [anon_sym_f32] = ACTIONS(1490),
    [anon_sym_f64] = ACTIONS(1490),
    [anon_sym_bool] = ACTIONS(1490),
    [anon_sym_rune] = ACTIONS(1490),
    [anon_sym_map] = ACTIONS(1490),
    [anon_sym_mapnode] = ACTIONS(1490),
    [anon_sym_size_t] = ACTIONS(1490),
    [anon_sym_usize] = ACTIONS(1490),
    [anon_sym_isize] = ACTIONS(1490),
    [anon_sym_float_literal] = ACTIONS(1490),
    [anon_sym_int_literal] = ACTIONS(1490),
    [anon_sym_IError] = ACTIONS(1490),
    [sym_type_placeholder] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym_type_identifier] = ACTIONS(1490),
    [anon_sym_unsafe] = ACTIONS(1490),
    [anon_sym_fn] = ACTIONS(1490),
    [anon_sym_DOLLARif] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_is] = ACTIONS(1490),
    [anon_sym_BANGis] = ACTIONS(1488),
    [anon_sym_match] = ACTIONS(1490),
    [anon_sym_select] = ACTIONS(1490),
    [anon_sym_lock] = ACTIONS(1490),
    [anon_sym_rlock] = ACTIONS(1490),
    [sym__c_string_opening] = ACTIONS(1488),
    [sym__raw_string_opening] = ACTIONS(1488),
    [sym__string_opening] = ACTIONS(1488),
    [sym__comment] = ACTIONS(3),
  },
  [1723] = {
    [sym_comment] = STATE(1723),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_LT_DASH] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1390),
    [anon_sym_PERCENT] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1392),
    [anon_sym_GT_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_BANGin] = ACTIONS(1390),
    [anon_sym_AMP_AMP] = ACTIONS(1390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_as] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [sym_none] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_RBRACK] = ACTIONS(1390),
    [anon_sym_map_LBRACK] = ACTIONS(1390),
    [anon_sym_chan] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_thread] = ACTIONS(1392),
    [sym_int_literal] = ACTIONS(1392),
    [sym_float_literal] = ACTIONS(1390),
    [sym_rune_literal] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1392),
    [anon_sym_array] = ACTIONS(1392),
    [anon_sym_string] = ACTIONS(1392),
    [anon_sym_char] = ACTIONS(1392),
    [anon_sym_sql] = ACTIONS(1392),
    [anon_sym_mut] = ACTIONS(1392),
    [anon_sym_C] = ACTIONS(1392),
    [anon_sym_JS] = ACTIONS(1392),
    [anon_sym_voidptr] = ACTIONS(1392),
    [anon_sym_byteptr] = ACTIONS(1392),
    [anon_sym_charptr] = ACTIONS(1392),
    [anon_sym_i8] = ACTIONS(1392),
    [anon_sym_i16] = ACTIONS(1392),
    [anon_sym_i32] = ACTIONS(1392),
    [anon_sym_int] = ACTIONS(1392),
    [anon_sym_i64] = ACTIONS(1392),
    [anon_sym_byte] = ACTIONS(1392),
    [anon_sym_u8] = ACTIONS(1392),
    [anon_sym_u16] = ACTIONS(1392),
    [anon_sym_u32] = ACTIONS(1392),
    [anon_sym_u64] = ACTIONS(1392),
    [anon_sym_f32] = ACTIONS(1392),
    [anon_sym_f64] = ACTIONS(1392),
    [anon_sym_bool] = ACTIONS(1392),
    [anon_sym_rune] = ACTIONS(1392),
    [anon_sym_map] = ACTIONS(1392),
    [anon_sym_mapnode] = ACTIONS(1392),
    [anon_sym_size_t] = ACTIONS(1392),
    [anon_sym_usize] = ACTIONS(1392),
    [anon_sym_isize] = ACTIONS(1392),
    [anon_sym_float_literal] = ACTIONS(1392),
    [anon_sym_int_literal] = ACTIONS(1392),
    [anon_sym_IError] = ACTIONS(1392),
    [sym_type_placeholder] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [sym_type_identifier] = ACTIONS(1392),
    [anon_sym_unsafe] = ACTIONS(1392),
    [anon_sym_fn] = ACTIONS(1392),
    [anon_sym_DOLLARif] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_is] = ACTIONS(1392),
    [anon_sym_BANGis] = ACTIONS(1390),
    [anon_sym_match] = ACTIONS(1392),
    [anon_sym_select] = ACTIONS(1392),
    [anon_sym_lock] = ACTIONS(1392),
    [anon_sym_rlock] = ACTIONS(1392),
    [sym__c_string_opening] = ACTIONS(1390),
    [sym__raw_string_opening] = ACTIONS(1390),
    [sym__string_opening] = ACTIONS(1390),
    [sym__comment] = ACTIONS(3),
  },
  [1724] = {
    [sym_comment] = STATE(1724),
    [sym_identifier] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_LT_DASH] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1362),
    [anon_sym_GT_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_EQ_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_in] = ACTIONS(1362),
    [anon_sym_BANGin] = ACTIONS(1360),
    [anon_sym_AMP_AMP] = ACTIONS(1360),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_as] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [sym_none] = ACTIONS(1362),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_RBRACK] = ACTIONS(1360),
    [anon_sym_map_LBRACK] = ACTIONS(1360),
    [anon_sym_chan] = ACTIONS(1362),
    [anon_sym_shared] = ACTIONS(1362),
    [anon_sym_thread] = ACTIONS(1362),
    [sym_int_literal] = ACTIONS(1362),
    [sym_float_literal] = ACTIONS(1360),
    [sym_rune_literal] = ACTIONS(1360),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_array] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_char] = ACTIONS(1362),
    [anon_sym_sql] = ACTIONS(1362),
    [anon_sym_mut] = ACTIONS(1362),
    [anon_sym_C] = ACTIONS(1362),
    [anon_sym_JS] = ACTIONS(1362),
    [anon_sym_voidptr] = ACTIONS(1362),
    [anon_sym_byteptr] = ACTIONS(1362),
    [anon_sym_charptr] = ACTIONS(1362),
    [anon_sym_i8] = ACTIONS(1362),
    [anon_sym_i16] = ACTIONS(1362),
    [anon_sym_i32] = ACTIONS(1362),
    [anon_sym_int] = ACTIONS(1362),
    [anon_sym_i64] = ACTIONS(1362),
    [anon_sym_byte] = ACTIONS(1362),
    [anon_sym_u8] = ACTIONS(1362),
    [anon_sym_u16] = ACTIONS(1362),
    [anon_sym_u32] = ACTIONS(1362),
    [anon_sym_u64] = ACTIONS(1362),
    [anon_sym_f32] = ACTIONS(1362),
    [anon_sym_f64] = ACTIONS(1362),
    [anon_sym_bool] = ACTIONS(1362),
    [anon_sym_rune] = ACTIONS(1362),
    [anon_sym_map] = ACTIONS(1362),
    [anon_sym_mapnode] = ACTIONS(1362),
    [anon_sym_size_t] = ACTIONS(1362),
    [anon_sym_usize] = ACTIONS(1362),
    [anon_sym_isize] = ACTIONS(1362),
    [anon_sym_float_literal] = ACTIONS(1362),
    [anon_sym_int_literal] = ACTIONS(1362),
    [anon_sym_IError] = ACTIONS(1362),
    [sym_type_placeholder] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [sym_type_identifier] = ACTIONS(1362),
    [anon_sym_unsafe] = ACTIONS(1362),
    [anon_sym_fn] = ACTIONS(1362),
    [anon_sym_DOLLARif] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_is] = ACTIONS(1362),
    [anon_sym_BANGis] = ACTIONS(1360),
    [anon_sym_match] = ACTIONS(1362),
    [anon_sym_select] = ACTIONS(1362),
    [anon_sym_lock] = ACTIONS(1362),
    [anon_sym_rlock] = ACTIONS(1362),
    [sym__c_string_opening] = ACTIONS(1360),
    [sym__raw_string_opening] = ACTIONS(1360),
    [sym__string_opening] = ACTIONS(1360),
    [sym__comment] = ACTIONS(3),
  },
  [1725] = {
    [sym_comment] = STATE(1725),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1620),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_LT_DASH] = ACTIONS(1620),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PERCENT] = ACTIONS(1620),
    [anon_sym_LT_LT] = ACTIONS(1620),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_GT_GT_GT] = ACTIONS(1620),
    [anon_sym_AMP_CARET] = ACTIONS(1620),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_EQ_EQ] = ACTIONS(1620),
    [anon_sym_BANG_EQ] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1620),
    [anon_sym_in] = ACTIONS(1622),
    [anon_sym_BANGin] = ACTIONS(1620),
    [anon_sym_AMP_AMP] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1620),
    [anon_sym_as] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [sym_none] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_RBRACK] = ACTIONS(1620),
    [anon_sym_map_LBRACK] = ACTIONS(1620),
    [anon_sym_chan] = ACTIONS(1622),
    [anon_sym_shared] = ACTIONS(1622),
    [anon_sym_thread] = ACTIONS(1622),
    [sym_int_literal] = ACTIONS(1622),
    [sym_float_literal] = ACTIONS(1620),
    [sym_rune_literal] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_array] = ACTIONS(1622),
    [anon_sym_string] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_sql] = ACTIONS(1622),
    [anon_sym_mut] = ACTIONS(1622),
    [anon_sym_C] = ACTIONS(1622),
    [anon_sym_JS] = ACTIONS(1622),
    [anon_sym_voidptr] = ACTIONS(1622),
    [anon_sym_byteptr] = ACTIONS(1622),
    [anon_sym_charptr] = ACTIONS(1622),
    [anon_sym_i8] = ACTIONS(1622),
    [anon_sym_i16] = ACTIONS(1622),
    [anon_sym_i32] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_i64] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_u8] = ACTIONS(1622),
    [anon_sym_u16] = ACTIONS(1622),
    [anon_sym_u32] = ACTIONS(1622),
    [anon_sym_u64] = ACTIONS(1622),
    [anon_sym_f32] = ACTIONS(1622),
    [anon_sym_f64] = ACTIONS(1622),
    [anon_sym_bool] = ACTIONS(1622),
    [anon_sym_rune] = ACTIONS(1622),
    [anon_sym_map] = ACTIONS(1622),
    [anon_sym_mapnode] = ACTIONS(1622),
    [anon_sym_size_t] = ACTIONS(1622),
    [anon_sym_usize] = ACTIONS(1622),
    [anon_sym_isize] = ACTIONS(1622),
    [anon_sym_float_literal] = ACTIONS(1622),
    [anon_sym_int_literal] = ACTIONS(1622),
    [anon_sym_IError] = ACTIONS(1622),
    [sym_type_placeholder] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [sym_type_identifier] = ACTIONS(1622),
    [anon_sym_unsafe] = ACTIONS(1622),
    [anon_sym_fn] = ACTIONS(1622),
    [anon_sym_DOLLARif] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_is] = ACTIONS(1622),
    [anon_sym_BANGis] = ACTIONS(1620),
    [anon_sym_match] = ACTIONS(1622),
    [anon_sym_select] = ACTIONS(1622),
    [anon_sym_lock] = ACTIONS(1622),
    [anon_sym_rlock] = ACTIONS(1622),
    [sym__c_string_opening] = ACTIONS(1620),
    [sym__raw_string_opening] = ACTIONS(1620),
    [sym__string_opening] = ACTIONS(1620),
    [sym__comment] = ACTIONS(3),
  },
  [1726] = {
    [sym_comment] = STATE(1726),
    [sym_identifier] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_LT_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_PERCENT] = ACTIONS(1344),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1346),
    [anon_sym_GT_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP_CARET] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_EQ_EQ] = ACTIONS(1344),
    [anon_sym_BANG_EQ] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1346),
    [anon_sym_LT_EQ] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1346),
    [anon_sym_GT_EQ] = ACTIONS(1344),
    [anon_sym_in] = ACTIONS(1346),
    [anon_sym_BANGin] = ACTIONS(1344),
    [anon_sym_AMP_AMP] = ACTIONS(1344),
    [anon_sym_PIPE_PIPE] = ACTIONS(1344),
    [anon_sym_as] = ACTIONS(1346),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [sym_none] = ACTIONS(1346),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_RBRACK] = ACTIONS(1344),
    [anon_sym_map_LBRACK] = ACTIONS(1344),
    [anon_sym_chan] = ACTIONS(1346),
    [anon_sym_shared] = ACTIONS(1346),
    [anon_sym_thread] = ACTIONS(1346),
    [sym_int_literal] = ACTIONS(1346),
    [sym_float_literal] = ACTIONS(1344),
    [sym_rune_literal] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1346),
    [anon_sym_array] = ACTIONS(1346),
    [anon_sym_string] = ACTIONS(1346),
    [anon_sym_char] = ACTIONS(1346),
    [anon_sym_sql] = ACTIONS(1346),
    [anon_sym_mut] = ACTIONS(1346),
    [anon_sym_C] = ACTIONS(1346),
    [anon_sym_JS] = ACTIONS(1346),
    [anon_sym_voidptr] = ACTIONS(1346),
    [anon_sym_byteptr] = ACTIONS(1346),
    [anon_sym_charptr] = ACTIONS(1346),
    [anon_sym_i8] = ACTIONS(1346),
    [anon_sym_i16] = ACTIONS(1346),
    [anon_sym_i32] = ACTIONS(1346),
    [anon_sym_int] = ACTIONS(1346),
    [anon_sym_i64] = ACTIONS(1346),
    [anon_sym_byte] = ACTIONS(1346),
    [anon_sym_u8] = ACTIONS(1346),
    [anon_sym_u16] = ACTIONS(1346),
    [anon_sym_u32] = ACTIONS(1346),
    [anon_sym_u64] = ACTIONS(1346),
    [anon_sym_f32] = ACTIONS(1346),
    [anon_sym_f64] = ACTIONS(1346),
    [anon_sym_bool] = ACTIONS(1346),
    [anon_sym_rune] = ACTIONS(1346),
    [anon_sym_map] = ACTIONS(1346),
    [anon_sym_mapnode] = ACTIONS(1346),
    [anon_sym_size_t] = ACTIONS(1346),
    [anon_sym_usize] = ACTIONS(1346),
    [anon_sym_isize] = ACTIONS(1346),
    [anon_sym_float_literal] = ACTIONS(1346),
    [anon_sym_int_literal] = ACTIONS(1346),
    [anon_sym_IError] = ACTIONS(1346),
    [sym_type_placeholder] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [sym_type_identifier] = ACTIONS(1346),
    [anon_sym_unsafe] = ACTIONS(1346),
    [anon_sym_fn] = ACTIONS(1346),
    [anon_sym_DOLLARif] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_is] = ACTIONS(1346),
    [anon_sym_BANGis] = ACTIONS(1344),
    [anon_sym_match] = ACTIONS(1346),
    [anon_sym_select] = ACTIONS(1346),
    [anon_sym_lock] = ACTIONS(1346),
    [anon_sym_rlock] = ACTIONS(1346),
    [sym__c_string_opening] = ACTIONS(1344),
    [sym__raw_string_opening] = ACTIONS(1344),
    [sym__string_opening] = ACTIONS(1344),
    [sym__comment] = ACTIONS(3),
  },
  [1727] = {
    [sym_comment] = STATE(1727),
    [sym_identifier] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_LT_DASH] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1340),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1340),
    [anon_sym_GT_GT] = ACTIONS(1342),
    [anon_sym_GT_GT_GT] = ACTIONS(1340),
    [anon_sym_AMP_CARET] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1342),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_in] = ACTIONS(1342),
    [anon_sym_BANGin] = ACTIONS(1340),
    [anon_sym_AMP_AMP] = ACTIONS(1340),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_as] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [sym_none] = ACTIONS(1342),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACK] = ACTIONS(1340),
    [anon_sym_map_LBRACK] = ACTIONS(1340),
    [anon_sym_chan] = ACTIONS(1342),
    [anon_sym_shared] = ACTIONS(1342),
    [anon_sym_thread] = ACTIONS(1342),
    [sym_int_literal] = ACTIONS(1342),
    [sym_float_literal] = ACTIONS(1340),
    [sym_rune_literal] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_array] = ACTIONS(1342),
    [anon_sym_string] = ACTIONS(1342),
    [anon_sym_char] = ACTIONS(1342),
    [anon_sym_sql] = ACTIONS(1342),
    [anon_sym_mut] = ACTIONS(1342),
    [anon_sym_C] = ACTIONS(1342),
    [anon_sym_JS] = ACTIONS(1342),
    [anon_sym_voidptr] = ACTIONS(1342),
    [anon_sym_byteptr] = ACTIONS(1342),
    [anon_sym_charptr] = ACTIONS(1342),
    [anon_sym_i8] = ACTIONS(1342),
    [anon_sym_i16] = ACTIONS(1342),
    [anon_sym_i32] = ACTIONS(1342),
    [anon_sym_int] = ACTIONS(1342),
    [anon_sym_i64] = ACTIONS(1342),
    [anon_sym_byte] = ACTIONS(1342),
    [anon_sym_u8] = ACTIONS(1342),
    [anon_sym_u16] = ACTIONS(1342),
    [anon_sym_u32] = ACTIONS(1342),
    [anon_sym_u64] = ACTIONS(1342),
    [anon_sym_f32] = ACTIONS(1342),
    [anon_sym_f64] = ACTIONS(1342),
    [anon_sym_bool] = ACTIONS(1342),
    [anon_sym_rune] = ACTIONS(1342),
    [anon_sym_map] = ACTIONS(1342),
    [anon_sym_mapnode] = ACTIONS(1342),
    [anon_sym_size_t] = ACTIONS(1342),
    [anon_sym_usize] = ACTIONS(1342),
    [anon_sym_isize] = ACTIONS(1342),
    [anon_sym_float_literal] = ACTIONS(1342),
    [anon_sym_int_literal] = ACTIONS(1342),
    [anon_sym_IError] = ACTIONS(1342),
    [sym_type_placeholder] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [sym_type_identifier] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1342),
    [anon_sym_fn] = ACTIONS(1342),
    [anon_sym_DOLLARif] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_is] = ACTIONS(1342),
    [anon_sym_BANGis] = ACTIONS(1340),
    [anon_sym_match] = ACTIONS(1342),
    [anon_sym_select] = ACTIONS(1342),
    [anon_sym_lock] = ACTIONS(1342),
    [anon_sym_rlock] = ACTIONS(1342),
    [sym__c_string_opening] = ACTIONS(1340),
    [sym__raw_string_opening] = ACTIONS(1340),
    [sym__string_opening] = ACTIONS(1340),
    [sym__comment] = ACTIONS(3),
  },
  [1728] = {
    [sym_comment] = STATE(1728),
    [sym_identifier] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_LT_DASH] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [anon_sym_LT_LT] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_GT_GT_GT] = ACTIONS(1334),
    [anon_sym_AMP_CARET] = ACTIONS(1334),
    [anon_sym_PIPE] = ACTIONS(1336),
    [anon_sym_EQ_EQ] = ACTIONS(1334),
    [anon_sym_BANG_EQ] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1336),
    [anon_sym_LT_EQ] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1336),
    [anon_sym_GT_EQ] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_BANGin] = ACTIONS(1334),
    [anon_sym_AMP_AMP] = ACTIONS(1334),
    [anon_sym_PIPE_PIPE] = ACTIONS(1334),
    [anon_sym_as] = ACTIONS(1336),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [sym_none] = ACTIONS(1336),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_RBRACK] = ACTIONS(1334),
    [anon_sym_map_LBRACK] = ACTIONS(1334),
    [anon_sym_chan] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_thread] = ACTIONS(1336),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1336),
    [anon_sym_array] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_char] = ACTIONS(1336),
    [anon_sym_sql] = ACTIONS(1336),
    [anon_sym_mut] = ACTIONS(1336),
    [anon_sym_C] = ACTIONS(1336),
    [anon_sym_JS] = ACTIONS(1336),
    [anon_sym_voidptr] = ACTIONS(1336),
    [anon_sym_byteptr] = ACTIONS(1336),
    [anon_sym_charptr] = ACTIONS(1336),
    [anon_sym_i8] = ACTIONS(1336),
    [anon_sym_i16] = ACTIONS(1336),
    [anon_sym_i32] = ACTIONS(1336),
    [anon_sym_int] = ACTIONS(1336),
    [anon_sym_i64] = ACTIONS(1336),
    [anon_sym_byte] = ACTIONS(1336),
    [anon_sym_u8] = ACTIONS(1336),
    [anon_sym_u16] = ACTIONS(1336),
    [anon_sym_u32] = ACTIONS(1336),
    [anon_sym_u64] = ACTIONS(1336),
    [anon_sym_f32] = ACTIONS(1336),
    [anon_sym_f64] = ACTIONS(1336),
    [anon_sym_bool] = ACTIONS(1336),
    [anon_sym_rune] = ACTIONS(1336),
    [anon_sym_map] = ACTIONS(1336),
    [anon_sym_mapnode] = ACTIONS(1336),
    [anon_sym_size_t] = ACTIONS(1336),
    [anon_sym_usize] = ACTIONS(1336),
    [anon_sym_isize] = ACTIONS(1336),
    [anon_sym_float_literal] = ACTIONS(1336),
    [anon_sym_int_literal] = ACTIONS(1336),
    [anon_sym_IError] = ACTIONS(1336),
    [sym_type_placeholder] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [sym_type_identifier] = ACTIONS(1336),
    [anon_sym_unsafe] = ACTIONS(1336),
    [anon_sym_fn] = ACTIONS(1336),
    [anon_sym_DOLLARif] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_is] = ACTIONS(1336),
    [anon_sym_BANGis] = ACTIONS(1334),
    [anon_sym_match] = ACTIONS(1336),
    [anon_sym_select] = ACTIONS(1336),
    [anon_sym_lock] = ACTIONS(1336),
    [anon_sym_rlock] = ACTIONS(1336),
    [sym__c_string_opening] = ACTIONS(1334),
    [sym__raw_string_opening] = ACTIONS(1334),
    [sym__string_opening] = ACTIONS(1334),
    [sym__comment] = ACTIONS(3),
  },
  [1729] = {
    [sym_comment] = STATE(1729),
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_LT_DASH] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1420),
    [anon_sym_GT_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_BANGin] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_as] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [sym_none] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_RBRACK] = ACTIONS(1418),
    [anon_sym_map_LBRACK] = ACTIONS(1418),
    [anon_sym_chan] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_thread] = ACTIONS(1420),
    [sym_int_literal] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1418),
    [sym_rune_literal] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_array] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_char] = ACTIONS(1420),
    [anon_sym_sql] = ACTIONS(1420),
    [anon_sym_mut] = ACTIONS(1420),
    [anon_sym_C] = ACTIONS(1420),
    [anon_sym_JS] = ACTIONS(1420),
    [anon_sym_voidptr] = ACTIONS(1420),
    [anon_sym_byteptr] = ACTIONS(1420),
    [anon_sym_charptr] = ACTIONS(1420),
    [anon_sym_i8] = ACTIONS(1420),
    [anon_sym_i16] = ACTIONS(1420),
    [anon_sym_i32] = ACTIONS(1420),
    [anon_sym_int] = ACTIONS(1420),
    [anon_sym_i64] = ACTIONS(1420),
    [anon_sym_byte] = ACTIONS(1420),
    [anon_sym_u8] = ACTIONS(1420),
    [anon_sym_u16] = ACTIONS(1420),
    [anon_sym_u32] = ACTIONS(1420),
    [anon_sym_u64] = ACTIONS(1420),
    [anon_sym_f32] = ACTIONS(1420),
    [anon_sym_f64] = ACTIONS(1420),
    [anon_sym_bool] = ACTIONS(1420),
    [anon_sym_rune] = ACTIONS(1420),
    [anon_sym_map] = ACTIONS(1420),
    [anon_sym_mapnode] = ACTIONS(1420),
    [anon_sym_size_t] = ACTIONS(1420),
    [anon_sym_usize] = ACTIONS(1420),
    [anon_sym_isize] = ACTIONS(1420),
    [anon_sym_float_literal] = ACTIONS(1420),
    [anon_sym_int_literal] = ACTIONS(1420),
    [anon_sym_IError] = ACTIONS(1420),
    [sym_type_placeholder] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [sym_type_identifier] = ACTIONS(1420),
    [anon_sym_unsafe] = ACTIONS(1420),
    [anon_sym_fn] = ACTIONS(1420),
    [anon_sym_DOLLARif] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_is] = ACTIONS(1420),
    [anon_sym_BANGis] = ACTIONS(1418),
    [anon_sym_match] = ACTIONS(1420),
    [anon_sym_select] = ACTIONS(1420),
    [anon_sym_lock] = ACTIONS(1420),
    [anon_sym_rlock] = ACTIONS(1420),
    [sym__c_string_opening] = ACTIONS(1418),
    [sym__raw_string_opening] = ACTIONS(1418),
    [sym__string_opening] = ACTIONS(1418),
    [sym__comment] = ACTIONS(3),
  },
  [1730] = {
    [sym_comment] = STATE(1730),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1566),
    [anon_sym_LT_DASH] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1564),
    [anon_sym_PERCENT] = ACTIONS(1564),
    [anon_sym_LT_LT] = ACTIONS(1564),
    [anon_sym_GT_GT] = ACTIONS(1566),
    [anon_sym_GT_GT_GT] = ACTIONS(1564),
    [anon_sym_AMP_CARET] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_LT_EQ] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1566),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_in] = ACTIONS(1566),
    [anon_sym_BANGin] = ACTIONS(1564),
    [anon_sym_AMP_AMP] = ACTIONS(1564),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_as] = ACTIONS(1566),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [sym_none] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_RBRACK] = ACTIONS(1564),
    [anon_sym_map_LBRACK] = ACTIONS(1564),
    [anon_sym_chan] = ACTIONS(1566),
    [anon_sym_shared] = ACTIONS(1566),
    [anon_sym_thread] = ACTIONS(1566),
    [sym_int_literal] = ACTIONS(1566),
    [sym_float_literal] = ACTIONS(1564),
    [sym_rune_literal] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_array] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_sql] = ACTIONS(1566),
    [anon_sym_mut] = ACTIONS(1566),
    [anon_sym_C] = ACTIONS(1566),
    [anon_sym_JS] = ACTIONS(1566),
    [anon_sym_voidptr] = ACTIONS(1566),
    [anon_sym_byteptr] = ACTIONS(1566),
    [anon_sym_charptr] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_int] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_byte] = ACTIONS(1566),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_rune] = ACTIONS(1566),
    [anon_sym_map] = ACTIONS(1566),
    [anon_sym_mapnode] = ACTIONS(1566),
    [anon_sym_size_t] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_float_literal] = ACTIONS(1566),
    [anon_sym_int_literal] = ACTIONS(1566),
    [anon_sym_IError] = ACTIONS(1566),
    [sym_type_placeholder] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [sym_type_identifier] = ACTIONS(1566),
    [anon_sym_unsafe] = ACTIONS(1566),
    [anon_sym_fn] = ACTIONS(1566),
    [anon_sym_DOLLARif] = ACTIONS(1564),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_is] = ACTIONS(1566),
    [anon_sym_BANGis] = ACTIONS(1564),
    [anon_sym_match] = ACTIONS(1566),
    [anon_sym_select] = ACTIONS(1566),
    [anon_sym_lock] = ACTIONS(1566),
    [anon_sym_rlock] = ACTIONS(1566),
    [sym__c_string_opening] = ACTIONS(1564),
    [sym__raw_string_opening] = ACTIONS(1564),
    [sym__string_opening] = ACTIONS(1564),
    [sym__comment] = ACTIONS(3),
  },
  [1731] = {
    [sym_comment] = STATE(1731),
    [sym_identifier] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_LT_DASH] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1364),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_EQ_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_in] = ACTIONS(1366),
    [anon_sym_BANGin] = ACTIONS(1364),
    [anon_sym_AMP_AMP] = ACTIONS(1364),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_as] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [sym_none] = ACTIONS(1366),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_RBRACK] = ACTIONS(1364),
    [anon_sym_map_LBRACK] = ACTIONS(1364),
    [anon_sym_chan] = ACTIONS(1366),
    [anon_sym_shared] = ACTIONS(1366),
    [anon_sym_thread] = ACTIONS(1366),
    [sym_int_literal] = ACTIONS(1366),
    [sym_float_literal] = ACTIONS(1364),
    [sym_rune_literal] = ACTIONS(1364),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_array] = ACTIONS(1366),
    [anon_sym_string] = ACTIONS(1366),
    [anon_sym_char] = ACTIONS(1366),
    [anon_sym_sql] = ACTIONS(1366),
    [anon_sym_mut] = ACTIONS(1366),
    [anon_sym_C] = ACTIONS(1366),
    [anon_sym_JS] = ACTIONS(1366),
    [anon_sym_voidptr] = ACTIONS(1366),
    [anon_sym_byteptr] = ACTIONS(1366),
    [anon_sym_charptr] = ACTIONS(1366),
    [anon_sym_i8] = ACTIONS(1366),
    [anon_sym_i16] = ACTIONS(1366),
    [anon_sym_i32] = ACTIONS(1366),
    [anon_sym_int] = ACTIONS(1366),
    [anon_sym_i64] = ACTIONS(1366),
    [anon_sym_byte] = ACTIONS(1366),
    [anon_sym_u8] = ACTIONS(1366),
    [anon_sym_u16] = ACTIONS(1366),
    [anon_sym_u32] = ACTIONS(1366),
    [anon_sym_u64] = ACTIONS(1366),
    [anon_sym_f32] = ACTIONS(1366),
    [anon_sym_f64] = ACTIONS(1366),
    [anon_sym_bool] = ACTIONS(1366),
    [anon_sym_rune] = ACTIONS(1366),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_mapnode] = ACTIONS(1366),
    [anon_sym_size_t] = ACTIONS(1366),
    [anon_sym_usize] = ACTIONS(1366),
    [anon_sym_isize] = ACTIONS(1366),
    [anon_sym_float_literal] = ACTIONS(1366),
    [anon_sym_int_literal] = ACTIONS(1366),
    [anon_sym_IError] = ACTIONS(1366),
    [sym_type_placeholder] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [sym_type_identifier] = ACTIONS(1366),
    [anon_sym_unsafe] = ACTIONS(1366),
    [anon_sym_fn] = ACTIONS(1366),
    [anon_sym_DOLLARif] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_is] = ACTIONS(1366),
    [anon_sym_BANGis] = ACTIONS(1364),
    [anon_sym_match] = ACTIONS(1366),
    [anon_sym_select] = ACTIONS(1366),
    [anon_sym_lock] = ACTIONS(1366),
    [anon_sym_rlock] = ACTIONS(1366),
    [sym__c_string_opening] = ACTIONS(1364),
    [sym__raw_string_opening] = ACTIONS(1364),
    [sym__string_opening] = ACTIONS(1364),
    [sym__comment] = ACTIONS(3),
  },
  [1732] = {
    [sym_comment] = STATE(1732),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_CARET] = ACTIONS(1290),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_LT_DASH] = ACTIONS(1290),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(1290),
    [anon_sym_LT_LT] = ACTIONS(1290),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_GT_GT_GT] = ACTIONS(1290),
    [anon_sym_AMP_CARET] = ACTIONS(1290),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_EQ_EQ] = ACTIONS(1290),
    [anon_sym_BANG_EQ] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_BANGin] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_as] = ACTIONS(1292),
    [anon_sym_COMMA] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [sym_none] = ACTIONS(1292),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_RBRACK] = ACTIONS(1290),
    [anon_sym_map_LBRACK] = ACTIONS(1290),
    [anon_sym_chan] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_thread] = ACTIONS(1292),
    [sym_int_literal] = ACTIONS(1292),
    [sym_float_literal] = ACTIONS(1290),
    [sym_rune_literal] = ACTIONS(1290),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_array] = ACTIONS(1292),
    [anon_sym_string] = ACTIONS(1292),
    [anon_sym_char] = ACTIONS(1292),
    [anon_sym_sql] = ACTIONS(1292),
    [anon_sym_mut] = ACTIONS(1292),
    [anon_sym_C] = ACTIONS(1292),
    [anon_sym_JS] = ACTIONS(1292),
    [anon_sym_voidptr] = ACTIONS(1292),
    [anon_sym_byteptr] = ACTIONS(1292),
    [anon_sym_charptr] = ACTIONS(1292),
    [anon_sym_i8] = ACTIONS(1292),
    [anon_sym_i16] = ACTIONS(1292),
    [anon_sym_i32] = ACTIONS(1292),
    [anon_sym_int] = ACTIONS(1292),
    [anon_sym_i64] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(1292),
    [anon_sym_u8] = ACTIONS(1292),
    [anon_sym_u16] = ACTIONS(1292),
    [anon_sym_u32] = ACTIONS(1292),
    [anon_sym_u64] = ACTIONS(1292),
    [anon_sym_f32] = ACTIONS(1292),
    [anon_sym_f64] = ACTIONS(1292),
    [anon_sym_bool] = ACTIONS(1292),
    [anon_sym_rune] = ACTIONS(1292),
    [anon_sym_map] = ACTIONS(1292),
    [anon_sym_mapnode] = ACTIONS(1292),
    [anon_sym_size_t] = ACTIONS(1292),
    [anon_sym_usize] = ACTIONS(1292),
    [anon_sym_isize] = ACTIONS(1292),
    [anon_sym_float_literal] = ACTIONS(1292),
    [anon_sym_int_literal] = ACTIONS(1292),
    [anon_sym_IError] = ACTIONS(1292),
    [sym_type_placeholder] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [sym_type_identifier] = ACTIONS(1292),
    [anon_sym_unsafe] = ACTIONS(1292),
    [anon_sym_fn] = ACTIONS(1292),
    [anon_sym_DOLLARif] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_is] = ACTIONS(1292),
    [anon_sym_BANGis] = ACTIONS(1290),
    [anon_sym_match] = ACTIONS(1292),
    [anon_sym_select] = ACTIONS(1292),
    [anon_sym_lock] = ACTIONS(1292),
    [anon_sym_rlock] = ACTIONS(1292),
    [sym__c_string_opening] = ACTIONS(1290),
    [sym__raw_string_opening] = ACTIONS(1290),
    [sym__string_opening] = ACTIONS(1290),
    [sym__comment] = ACTIONS(3),
  },
  [1733] = {
    [sym_comment] = STATE(1733),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_LT_DASH] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1426),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1428),
    [anon_sym_GT_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_BANGin] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_as] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [sym_none] = ACTIONS(1428),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_RBRACK] = ACTIONS(1426),
    [anon_sym_map_LBRACK] = ACTIONS(1426),
    [anon_sym_chan] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_thread] = ACTIONS(1428),
    [sym_int_literal] = ACTIONS(1428),
    [sym_float_literal] = ACTIONS(1426),
    [sym_rune_literal] = ACTIONS(1426),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_array] = ACTIONS(1428),
    [anon_sym_string] = ACTIONS(1428),
    [anon_sym_char] = ACTIONS(1428),
    [anon_sym_sql] = ACTIONS(1428),
    [anon_sym_mut] = ACTIONS(1428),
    [anon_sym_C] = ACTIONS(1428),
    [anon_sym_JS] = ACTIONS(1428),
    [anon_sym_voidptr] = ACTIONS(1428),
    [anon_sym_byteptr] = ACTIONS(1428),
    [anon_sym_charptr] = ACTIONS(1428),
    [anon_sym_i8] = ACTIONS(1428),
    [anon_sym_i16] = ACTIONS(1428),
    [anon_sym_i32] = ACTIONS(1428),
    [anon_sym_int] = ACTIONS(1428),
    [anon_sym_i64] = ACTIONS(1428),
    [anon_sym_byte] = ACTIONS(1428),
    [anon_sym_u8] = ACTIONS(1428),
    [anon_sym_u16] = ACTIONS(1428),
    [anon_sym_u32] = ACTIONS(1428),
    [anon_sym_u64] = ACTIONS(1428),
    [anon_sym_f32] = ACTIONS(1428),
    [anon_sym_f64] = ACTIONS(1428),
    [anon_sym_bool] = ACTIONS(1428),
    [anon_sym_rune] = ACTIONS(1428),
    [anon_sym_map] = ACTIONS(1428),
    [anon_sym_mapnode] = ACTIONS(1428),
    [anon_sym_size_t] = ACTIONS(1428),
    [anon_sym_usize] = ACTIONS(1428),
    [anon_sym_isize] = ACTIONS(1428),
    [anon_sym_float_literal] = ACTIONS(1428),
    [anon_sym_int_literal] = ACTIONS(1428),
    [anon_sym_IError] = ACTIONS(1428),
    [sym_type_placeholder] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [sym_type_identifier] = ACTIONS(1428),
    [anon_sym_unsafe] = ACTIONS(1428),
    [anon_sym_fn] = ACTIONS(1428),
    [anon_sym_DOLLARif] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_is] = ACTIONS(1428),
    [anon_sym_BANGis] = ACTIONS(1426),
    [anon_sym_match] = ACTIONS(1428),
    [anon_sym_select] = ACTIONS(1428),
    [anon_sym_lock] = ACTIONS(1428),
    [anon_sym_rlock] = ACTIONS(1428),
    [sym__c_string_opening] = ACTIONS(1426),
    [sym__raw_string_opening] = ACTIONS(1426),
    [sym__string_opening] = ACTIONS(1426),
    [sym__comment] = ACTIONS(3),
  },
  [1734] = {
    [sym_comment] = STATE(1734),
    [sym_identifier] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_LT_DASH] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_LT_LT] = ACTIONS(1510),
    [anon_sym_GT_GT] = ACTIONS(1512),
    [anon_sym_GT_GT_GT] = ACTIONS(1510),
    [anon_sym_AMP_CARET] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_BANGin] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_as] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [sym_none] = ACTIONS(1512),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_RBRACK] = ACTIONS(1510),
    [anon_sym_map_LBRACK] = ACTIONS(1510),
    [anon_sym_chan] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_thread] = ACTIONS(1512),
    [sym_int_literal] = ACTIONS(1512),
    [sym_float_literal] = ACTIONS(1510),
    [sym_rune_literal] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_array] = ACTIONS(1512),
    [anon_sym_string] = ACTIONS(1512),
    [anon_sym_char] = ACTIONS(1512),
    [anon_sym_sql] = ACTIONS(1512),
    [anon_sym_mut] = ACTIONS(1512),
    [anon_sym_C] = ACTIONS(1512),
    [anon_sym_JS] = ACTIONS(1512),
    [anon_sym_voidptr] = ACTIONS(1512),
    [anon_sym_byteptr] = ACTIONS(1512),
    [anon_sym_charptr] = ACTIONS(1512),
    [anon_sym_i8] = ACTIONS(1512),
    [anon_sym_i16] = ACTIONS(1512),
    [anon_sym_i32] = ACTIONS(1512),
    [anon_sym_int] = ACTIONS(1512),
    [anon_sym_i64] = ACTIONS(1512),
    [anon_sym_byte] = ACTIONS(1512),
    [anon_sym_u8] = ACTIONS(1512),
    [anon_sym_u16] = ACTIONS(1512),
    [anon_sym_u32] = ACTIONS(1512),
    [anon_sym_u64] = ACTIONS(1512),
    [anon_sym_f32] = ACTIONS(1512),
    [anon_sym_f64] = ACTIONS(1512),
    [anon_sym_bool] = ACTIONS(1512),
    [anon_sym_rune] = ACTIONS(1512),
    [anon_sym_map] = ACTIONS(1512),
    [anon_sym_mapnode] = ACTIONS(1512),
    [anon_sym_size_t] = ACTIONS(1512),
    [anon_sym_usize] = ACTIONS(1512),
    [anon_sym_isize] = ACTIONS(1512),
    [anon_sym_float_literal] = ACTIONS(1512),
    [anon_sym_int_literal] = ACTIONS(1512),
    [anon_sym_IError] = ACTIONS(1512),
    [sym_type_placeholder] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [sym_type_identifier] = ACTIONS(1512),
    [anon_sym_unsafe] = ACTIONS(1512),
    [anon_sym_fn] = ACTIONS(1512),
    [anon_sym_DOLLARif] = ACTIONS(1510),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1512),
    [anon_sym_BANGis] = ACTIONS(1510),
    [anon_sym_match] = ACTIONS(1512),
    [anon_sym_select] = ACTIONS(1512),
    [anon_sym_lock] = ACTIONS(1512),
    [anon_sym_rlock] = ACTIONS(1512),
    [sym__c_string_opening] = ACTIONS(1510),
    [sym__raw_string_opening] = ACTIONS(1510),
    [sym__string_opening] = ACTIONS(1510),
    [sym__comment] = ACTIONS(3),
  },
  [1735] = {
    [sym_comment] = STATE(1735),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_LT_DASH] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_LT_LT] = ACTIONS(1616),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_GT_GT_GT] = ACTIONS(1616),
    [anon_sym_AMP_CARET] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_in] = ACTIONS(1618),
    [anon_sym_BANGin] = ACTIONS(1616),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_as] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [sym_none] = ACTIONS(1618),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_RBRACK] = ACTIONS(1616),
    [anon_sym_map_LBRACK] = ACTIONS(1616),
    [anon_sym_chan] = ACTIONS(1618),
    [anon_sym_shared] = ACTIONS(1618),
    [anon_sym_thread] = ACTIONS(1618),
    [sym_int_literal] = ACTIONS(1618),
    [sym_float_literal] = ACTIONS(1616),
    [sym_rune_literal] = ACTIONS(1616),
    [anon_sym_DOT] = ACTIONS(1618),
    [anon_sym_array] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_char] = ACTIONS(1618),
    [anon_sym_sql] = ACTIONS(1618),
    [anon_sym_mut] = ACTIONS(1618),
    [anon_sym_C] = ACTIONS(1618),
    [anon_sym_JS] = ACTIONS(1618),
    [anon_sym_voidptr] = ACTIONS(1618),
    [anon_sym_byteptr] = ACTIONS(1618),
    [anon_sym_charptr] = ACTIONS(1618),
    [anon_sym_i8] = ACTIONS(1618),
    [anon_sym_i16] = ACTIONS(1618),
    [anon_sym_i32] = ACTIONS(1618),
    [anon_sym_int] = ACTIONS(1618),
    [anon_sym_i64] = ACTIONS(1618),
    [anon_sym_byte] = ACTIONS(1618),
    [anon_sym_u8] = ACTIONS(1618),
    [anon_sym_u16] = ACTIONS(1618),
    [anon_sym_u32] = ACTIONS(1618),
    [anon_sym_u64] = ACTIONS(1618),
    [anon_sym_f32] = ACTIONS(1618),
    [anon_sym_f64] = ACTIONS(1618),
    [anon_sym_bool] = ACTIONS(1618),
    [anon_sym_rune] = ACTIONS(1618),
    [anon_sym_map] = ACTIONS(1618),
    [anon_sym_mapnode] = ACTIONS(1618),
    [anon_sym_size_t] = ACTIONS(1618),
    [anon_sym_usize] = ACTIONS(1618),
    [anon_sym_isize] = ACTIONS(1618),
    [anon_sym_float_literal] = ACTIONS(1618),
    [anon_sym_int_literal] = ACTIONS(1618),
    [anon_sym_IError] = ACTIONS(1618),
    [sym_type_placeholder] = ACTIONS(1618),
    [anon_sym_AT] = ACTIONS(1618),
    [sym_type_identifier] = ACTIONS(1618),
    [anon_sym_unsafe] = ACTIONS(1618),
    [anon_sym_fn] = ACTIONS(1618),
    [anon_sym_DOLLARif] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1618),
    [anon_sym_is] = ACTIONS(1618),
    [anon_sym_BANGis] = ACTIONS(1616),
    [anon_sym_match] = ACTIONS(1618),
    [anon_sym_select] = ACTIONS(1618),
    [anon_sym_lock] = ACTIONS(1618),
    [anon_sym_rlock] = ACTIONS(1618),
    [sym__c_string_opening] = ACTIONS(1616),
    [sym__raw_string_opening] = ACTIONS(1616),
    [sym__string_opening] = ACTIONS(1616),
    [sym__comment] = ACTIONS(3),
  },
  [1736] = {
    [sym_comment] = STATE(1736),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_LT_DASH] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1522),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1522),
    [anon_sym_AMP_CARET] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_BANGin] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_none] = ACTIONS(1524),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_RBRACK] = ACTIONS(1522),
    [anon_sym_map_LBRACK] = ACTIONS(1522),
    [anon_sym_chan] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_thread] = ACTIONS(1524),
    [sym_int_literal] = ACTIONS(1524),
    [sym_float_literal] = ACTIONS(1522),
    [sym_rune_literal] = ACTIONS(1522),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_array] = ACTIONS(1524),
    [anon_sym_string] = ACTIONS(1524),
    [anon_sym_char] = ACTIONS(1524),
    [anon_sym_sql] = ACTIONS(1524),
    [anon_sym_mut] = ACTIONS(1524),
    [anon_sym_C] = ACTIONS(1524),
    [anon_sym_JS] = ACTIONS(1524),
    [anon_sym_voidptr] = ACTIONS(1524),
    [anon_sym_byteptr] = ACTIONS(1524),
    [anon_sym_charptr] = ACTIONS(1524),
    [anon_sym_i8] = ACTIONS(1524),
    [anon_sym_i16] = ACTIONS(1524),
    [anon_sym_i32] = ACTIONS(1524),
    [anon_sym_int] = ACTIONS(1524),
    [anon_sym_i64] = ACTIONS(1524),
    [anon_sym_byte] = ACTIONS(1524),
    [anon_sym_u8] = ACTIONS(1524),
    [anon_sym_u16] = ACTIONS(1524),
    [anon_sym_u32] = ACTIONS(1524),
    [anon_sym_u64] = ACTIONS(1524),
    [anon_sym_f32] = ACTIONS(1524),
    [anon_sym_f64] = ACTIONS(1524),
    [anon_sym_bool] = ACTIONS(1524),
    [anon_sym_rune] = ACTIONS(1524),
    [anon_sym_map] = ACTIONS(1524),
    [anon_sym_mapnode] = ACTIONS(1524),
    [anon_sym_size_t] = ACTIONS(1524),
    [anon_sym_usize] = ACTIONS(1524),
    [anon_sym_isize] = ACTIONS(1524),
    [anon_sym_float_literal] = ACTIONS(1524),
    [anon_sym_int_literal] = ACTIONS(1524),
    [anon_sym_IError] = ACTIONS(1524),
    [sym_type_placeholder] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [sym_type_identifier] = ACTIONS(1524),
    [anon_sym_unsafe] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym_DOLLARif] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_is] = ACTIONS(1524),
    [anon_sym_BANGis] = ACTIONS(1522),
    [anon_sym_match] = ACTIONS(1524),
    [anon_sym_select] = ACTIONS(1524),
    [anon_sym_lock] = ACTIONS(1524),
    [anon_sym_rlock] = ACTIONS(1524),
    [sym__c_string_opening] = ACTIONS(1522),
    [sym__raw_string_opening] = ACTIONS(1522),
    [sym__string_opening] = ACTIONS(1522),
    [sym__comment] = ACTIONS(3),
  },
  [1737] = {
    [sym_comment] = STATE(1737),
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_LT_DASH] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_GT_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_BANGin] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_as] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [sym_none] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_RBRACK] = ACTIONS(1598),
    [anon_sym_map_LBRACK] = ACTIONS(1598),
    [anon_sym_chan] = ACTIONS(1600),
    [anon_sym_shared] = ACTIONS(1600),
    [anon_sym_thread] = ACTIONS(1600),
    [sym_int_literal] = ACTIONS(1600),
    [sym_float_literal] = ACTIONS(1598),
    [sym_rune_literal] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_array] = ACTIONS(1600),
    [anon_sym_string] = ACTIONS(1600),
    [anon_sym_char] = ACTIONS(1600),
    [anon_sym_sql] = ACTIONS(1600),
    [anon_sym_mut] = ACTIONS(1600),
    [anon_sym_C] = ACTIONS(1600),
    [anon_sym_JS] = ACTIONS(1600),
    [anon_sym_voidptr] = ACTIONS(1600),
    [anon_sym_byteptr] = ACTIONS(1600),
    [anon_sym_charptr] = ACTIONS(1600),
    [anon_sym_i8] = ACTIONS(1600),
    [anon_sym_i16] = ACTIONS(1600),
    [anon_sym_i32] = ACTIONS(1600),
    [anon_sym_int] = ACTIONS(1600),
    [anon_sym_i64] = ACTIONS(1600),
    [anon_sym_byte] = ACTIONS(1600),
    [anon_sym_u8] = ACTIONS(1600),
    [anon_sym_u16] = ACTIONS(1600),
    [anon_sym_u32] = ACTIONS(1600),
    [anon_sym_u64] = ACTIONS(1600),
    [anon_sym_f32] = ACTIONS(1600),
    [anon_sym_f64] = ACTIONS(1600),
    [anon_sym_bool] = ACTIONS(1600),
    [anon_sym_rune] = ACTIONS(1600),
    [anon_sym_map] = ACTIONS(1600),
    [anon_sym_mapnode] = ACTIONS(1600),
    [anon_sym_size_t] = ACTIONS(1600),
    [anon_sym_usize] = ACTIONS(1600),
    [anon_sym_isize] = ACTIONS(1600),
    [anon_sym_float_literal] = ACTIONS(1600),
    [anon_sym_int_literal] = ACTIONS(1600),
    [anon_sym_IError] = ACTIONS(1600),
    [sym_type_placeholder] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [sym_type_identifier] = ACTIONS(1600),
    [anon_sym_unsafe] = ACTIONS(1600),
    [anon_sym_fn] = ACTIONS(1600),
    [anon_sym_DOLLARif] = ACTIONS(1598),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_is] = ACTIONS(1600),
    [anon_sym_BANGis] = ACTIONS(1598),
    [anon_sym_match] = ACTIONS(1600),
    [anon_sym_select] = ACTIONS(1600),
    [anon_sym_lock] = ACTIONS(1600),
    [anon_sym_rlock] = ACTIONS(1600),
    [sym__c_string_opening] = ACTIONS(1598),
    [sym__raw_string_opening] = ACTIONS(1598),
    [sym__string_opening] = ACTIONS(1598),
    [sym__comment] = ACTIONS(3),
  },
  [1738] = {
    [sym_comment] = STATE(1738),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_LT_DASH] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_GT_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1604),
    [anon_sym_BANGin] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_as] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [sym_none] = ACTIONS(1604),
    [sym_true] = ACTIONS(1604),
    [sym_false] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_RBRACK] = ACTIONS(1602),
    [anon_sym_map_LBRACK] = ACTIONS(1602),
    [anon_sym_chan] = ACTIONS(1604),
    [anon_sym_shared] = ACTIONS(1604),
    [anon_sym_thread] = ACTIONS(1604),
    [sym_int_literal] = ACTIONS(1604),
    [sym_float_literal] = ACTIONS(1602),
    [sym_rune_literal] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_array] = ACTIONS(1604),
    [anon_sym_string] = ACTIONS(1604),
    [anon_sym_char] = ACTIONS(1604),
    [anon_sym_sql] = ACTIONS(1604),
    [anon_sym_mut] = ACTIONS(1604),
    [anon_sym_C] = ACTIONS(1604),
    [anon_sym_JS] = ACTIONS(1604),
    [anon_sym_voidptr] = ACTIONS(1604),
    [anon_sym_byteptr] = ACTIONS(1604),
    [anon_sym_charptr] = ACTIONS(1604),
    [anon_sym_i8] = ACTIONS(1604),
    [anon_sym_i16] = ACTIONS(1604),
    [anon_sym_i32] = ACTIONS(1604),
    [anon_sym_int] = ACTIONS(1604),
    [anon_sym_i64] = ACTIONS(1604),
    [anon_sym_byte] = ACTIONS(1604),
    [anon_sym_u8] = ACTIONS(1604),
    [anon_sym_u16] = ACTIONS(1604),
    [anon_sym_u32] = ACTIONS(1604),
    [anon_sym_u64] = ACTIONS(1604),
    [anon_sym_f32] = ACTIONS(1604),
    [anon_sym_f64] = ACTIONS(1604),
    [anon_sym_bool] = ACTIONS(1604),
    [anon_sym_rune] = ACTIONS(1604),
    [anon_sym_map] = ACTIONS(1604),
    [anon_sym_mapnode] = ACTIONS(1604),
    [anon_sym_size_t] = ACTIONS(1604),
    [anon_sym_usize] = ACTIONS(1604),
    [anon_sym_isize] = ACTIONS(1604),
    [anon_sym_float_literal] = ACTIONS(1604),
    [anon_sym_int_literal] = ACTIONS(1604),
    [anon_sym_IError] = ACTIONS(1604),
    [sym_type_placeholder] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [sym_type_identifier] = ACTIONS(1604),
    [anon_sym_unsafe] = ACTIONS(1604),
    [anon_sym_fn] = ACTIONS(1604),
    [anon_sym_DOLLARif] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1604),
    [anon_sym_BANGis] = ACTIONS(1602),
    [anon_sym_match] = ACTIONS(1604),
    [anon_sym_select] = ACTIONS(1604),
    [anon_sym_lock] = ACTIONS(1604),
    [anon_sym_rlock] = ACTIONS(1604),
    [sym__c_string_opening] = ACTIONS(1602),
    [sym__raw_string_opening] = ACTIONS(1602),
    [sym__string_opening] = ACTIONS(1602),
    [sym__comment] = ACTIONS(3),
  },
  [1739] = {
    [sym_comment] = STATE(1739),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_CARET] = ACTIONS(1274),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_LT_DASH] = ACTIONS(1274),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(1274),
    [anon_sym_LT_LT] = ACTIONS(1274),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_GT_GT_GT] = ACTIONS(1274),
    [anon_sym_AMP_CARET] = ACTIONS(1274),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1274),
    [anon_sym_BANG_EQ] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_GT_EQ] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_BANGin] = ACTIONS(1274),
    [anon_sym_AMP_AMP] = ACTIONS(1274),
    [anon_sym_PIPE_PIPE] = ACTIONS(1274),
    [anon_sym_as] = ACTIONS(1276),
    [anon_sym_COMMA] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym_none] = ACTIONS(1276),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_RBRACK] = ACTIONS(1274),
    [anon_sym_map_LBRACK] = ACTIONS(1274),
    [anon_sym_chan] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_thread] = ACTIONS(1276),
    [sym_int_literal] = ACTIONS(1276),
    [sym_float_literal] = ACTIONS(1274),
    [sym_rune_literal] = ACTIONS(1274),
    [anon_sym_DOT] = ACTIONS(1276),
    [anon_sym_array] = ACTIONS(1276),
    [anon_sym_string] = ACTIONS(1276),
    [anon_sym_char] = ACTIONS(1276),
    [anon_sym_sql] = ACTIONS(1276),
    [anon_sym_mut] = ACTIONS(1276),
    [anon_sym_C] = ACTIONS(1276),
    [anon_sym_JS] = ACTIONS(1276),
    [anon_sym_voidptr] = ACTIONS(1276),
    [anon_sym_byteptr] = ACTIONS(1276),
    [anon_sym_charptr] = ACTIONS(1276),
    [anon_sym_i8] = ACTIONS(1276),
    [anon_sym_i16] = ACTIONS(1276),
    [anon_sym_i32] = ACTIONS(1276),
    [anon_sym_int] = ACTIONS(1276),
    [anon_sym_i64] = ACTIONS(1276),
    [anon_sym_byte] = ACTIONS(1276),
    [anon_sym_u8] = ACTIONS(1276),
    [anon_sym_u16] = ACTIONS(1276),
    [anon_sym_u32] = ACTIONS(1276),
    [anon_sym_u64] = ACTIONS(1276),
    [anon_sym_f32] = ACTIONS(1276),
    [anon_sym_f64] = ACTIONS(1276),
    [anon_sym_bool] = ACTIONS(1276),
    [anon_sym_rune] = ACTIONS(1276),
    [anon_sym_map] = ACTIONS(1276),
    [anon_sym_mapnode] = ACTIONS(1276),
    [anon_sym_size_t] = ACTIONS(1276),
    [anon_sym_usize] = ACTIONS(1276),
    [anon_sym_isize] = ACTIONS(1276),
    [anon_sym_float_literal] = ACTIONS(1276),
    [anon_sym_int_literal] = ACTIONS(1276),
    [anon_sym_IError] = ACTIONS(1276),
    [sym_type_placeholder] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [sym_type_identifier] = ACTIONS(1276),
    [anon_sym_unsafe] = ACTIONS(1276),
    [anon_sym_fn] = ACTIONS(1276),
    [anon_sym_DOLLARif] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_is] = ACTIONS(1276),
    [anon_sym_BANGis] = ACTIONS(1274),
    [anon_sym_match] = ACTIONS(1276),
    [anon_sym_select] = ACTIONS(1276),
    [anon_sym_lock] = ACTIONS(1276),
    [anon_sym_rlock] = ACTIONS(1276),
    [sym__c_string_opening] = ACTIONS(1274),
    [sym__raw_string_opening] = ACTIONS(1274),
    [sym__string_opening] = ACTIONS(1274),
    [sym__comment] = ACTIONS(3),
  },
  [1740] = {
    [sym_comment] = STATE(1740),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [sym_none] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_RBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(742),
    [anon_sym_chan] = ACTIONS(744),
    [anon_sym_shared] = ACTIONS(744),
    [anon_sym_thread] = ACTIONS(744),
    [sym_int_literal] = ACTIONS(744),
    [sym_float_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(744),
    [anon_sym_string] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_sql] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(744),
    [anon_sym_JS] = ACTIONS(744),
    [anon_sym_voidptr] = ACTIONS(744),
    [anon_sym_byteptr] = ACTIONS(744),
    [anon_sym_charptr] = ACTIONS(744),
    [anon_sym_i8] = ACTIONS(744),
    [anon_sym_i16] = ACTIONS(744),
    [anon_sym_i32] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_i64] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_u8] = ACTIONS(744),
    [anon_sym_u16] = ACTIONS(744),
    [anon_sym_u32] = ACTIONS(744),
    [anon_sym_u64] = ACTIONS(744),
    [anon_sym_f32] = ACTIONS(744),
    [anon_sym_f64] = ACTIONS(744),
    [anon_sym_bool] = ACTIONS(744),
    [anon_sym_rune] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(744),
    [anon_sym_mapnode] = ACTIONS(744),
    [anon_sym_size_t] = ACTIONS(744),
    [anon_sym_usize] = ACTIONS(744),
    [anon_sym_isize] = ACTIONS(744),
    [anon_sym_float_literal] = ACTIONS(744),
    [anon_sym_int_literal] = ACTIONS(744),
    [anon_sym_IError] = ACTIONS(744),
    [sym_type_placeholder] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_unsafe] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(744),
    [anon_sym_DOLLARif] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [anon_sym_match] = ACTIONS(744),
    [anon_sym_select] = ACTIONS(744),
    [anon_sym_lock] = ACTIONS(744),
    [anon_sym_rlock] = ACTIONS(744),
    [sym__c_string_opening] = ACTIONS(742),
    [sym__raw_string_opening] = ACTIONS(742),
    [sym__string_opening] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1741] = {
    [sym_comment] = STATE(1741),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_option_type] = STATE(2620),
    [sym_result_type] = STATE(2620),
    [sym_multi_return_type] = STATE(2620),
    [sym__simple_type] = STATE(2620),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(4548),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(650),
    [anon_sym_AMP_AMP] = ACTIONS(650),
    [anon_sym_PIPE_PIPE] = ACTIONS(650),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_map_LBRACK] = ACTIONS(4556),
    [anon_sym_chan] = ACTIONS(4558),
    [anon_sym_shared] = ACTIONS(4560),
    [anon_sym_thread] = ACTIONS(4562),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_pub] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(4572),
    [anon_sym___global] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(650),
    [sym__comment] = ACTIONS(3),
  },
  [1742] = {
    [sym_comment] = STATE(1742),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_LT_DASH] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PERCENT] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_GT_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_BANGin] = ACTIONS(1402),
    [anon_sym_AMP_AMP] = ACTIONS(1402),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [sym_none] = ACTIONS(1404),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_RBRACK] = ACTIONS(1402),
    [anon_sym_map_LBRACK] = ACTIONS(1402),
    [anon_sym_chan] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_thread] = ACTIONS(1404),
    [sym_int_literal] = ACTIONS(1404),
    [sym_float_literal] = ACTIONS(1402),
    [sym_rune_literal] = ACTIONS(1402),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_array] = ACTIONS(1404),
    [anon_sym_string] = ACTIONS(1404),
    [anon_sym_char] = ACTIONS(1404),
    [anon_sym_sql] = ACTIONS(1404),
    [anon_sym_mut] = ACTIONS(1404),
    [anon_sym_C] = ACTIONS(1404),
    [anon_sym_JS] = ACTIONS(1404),
    [anon_sym_voidptr] = ACTIONS(1404),
    [anon_sym_byteptr] = ACTIONS(1404),
    [anon_sym_charptr] = ACTIONS(1404),
    [anon_sym_i8] = ACTIONS(1404),
    [anon_sym_i16] = ACTIONS(1404),
    [anon_sym_i32] = ACTIONS(1404),
    [anon_sym_int] = ACTIONS(1404),
    [anon_sym_i64] = ACTIONS(1404),
    [anon_sym_byte] = ACTIONS(1404),
    [anon_sym_u8] = ACTIONS(1404),
    [anon_sym_u16] = ACTIONS(1404),
    [anon_sym_u32] = ACTIONS(1404),
    [anon_sym_u64] = ACTIONS(1404),
    [anon_sym_f32] = ACTIONS(1404),
    [anon_sym_f64] = ACTIONS(1404),
    [anon_sym_bool] = ACTIONS(1404),
    [anon_sym_rune] = ACTIONS(1404),
    [anon_sym_map] = ACTIONS(1404),
    [anon_sym_mapnode] = ACTIONS(1404),
    [anon_sym_size_t] = ACTIONS(1404),
    [anon_sym_usize] = ACTIONS(1404),
    [anon_sym_isize] = ACTIONS(1404),
    [anon_sym_float_literal] = ACTIONS(1404),
    [anon_sym_int_literal] = ACTIONS(1404),
    [anon_sym_IError] = ACTIONS(1404),
    [sym_type_placeholder] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [sym_type_identifier] = ACTIONS(1404),
    [anon_sym_unsafe] = ACTIONS(1404),
    [anon_sym_fn] = ACTIONS(1404),
    [anon_sym_DOLLARif] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_BANGis] = ACTIONS(1402),
    [anon_sym_match] = ACTIONS(1404),
    [anon_sym_select] = ACTIONS(1404),
    [anon_sym_lock] = ACTIONS(1404),
    [anon_sym_rlock] = ACTIONS(1404),
    [sym__c_string_opening] = ACTIONS(1402),
    [sym__raw_string_opening] = ACTIONS(1402),
    [sym__string_opening] = ACTIONS(1402),
    [sym__comment] = ACTIONS(3),
  },
  [1743] = {
    [sym_comment] = STATE(1743),
    [sym_identifier] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_LT_DASH] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1046),
    [anon_sym_PERCENT] = ACTIONS(1046),
    [anon_sym_LT_LT] = ACTIONS(1046),
    [anon_sym_GT_GT] = ACTIONS(1048),
    [anon_sym_GT_GT_GT] = ACTIONS(1046),
    [anon_sym_AMP_CARET] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1048),
    [anon_sym_BANGin] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [sym_none] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_RBRACK] = ACTIONS(1046),
    [anon_sym_map_LBRACK] = ACTIONS(1046),
    [anon_sym_chan] = ACTIONS(1048),
    [anon_sym_shared] = ACTIONS(1048),
    [anon_sym_thread] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1048),
    [sym_float_literal] = ACTIONS(1046),
    [sym_rune_literal] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_array] = ACTIONS(1048),
    [anon_sym_string] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_sql] = ACTIONS(1048),
    [anon_sym_mut] = ACTIONS(1048),
    [anon_sym_C] = ACTIONS(1048),
    [anon_sym_JS] = ACTIONS(1048),
    [anon_sym_voidptr] = ACTIONS(1048),
    [anon_sym_byteptr] = ACTIONS(1048),
    [anon_sym_charptr] = ACTIONS(1048),
    [anon_sym_i8] = ACTIONS(1048),
    [anon_sym_i16] = ACTIONS(1048),
    [anon_sym_i32] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_i64] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_u8] = ACTIONS(1048),
    [anon_sym_u16] = ACTIONS(1048),
    [anon_sym_u32] = ACTIONS(1048),
    [anon_sym_u64] = ACTIONS(1048),
    [anon_sym_f32] = ACTIONS(1048),
    [anon_sym_f64] = ACTIONS(1048),
    [anon_sym_bool] = ACTIONS(1048),
    [anon_sym_rune] = ACTIONS(1048),
    [anon_sym_map] = ACTIONS(1048),
    [anon_sym_mapnode] = ACTIONS(1048),
    [anon_sym_size_t] = ACTIONS(1048),
    [anon_sym_usize] = ACTIONS(1048),
    [anon_sym_isize] = ACTIONS(1048),
    [anon_sym_float_literal] = ACTIONS(1048),
    [anon_sym_int_literal] = ACTIONS(1048),
    [anon_sym_IError] = ACTIONS(1048),
    [sym_type_placeholder] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [sym_type_identifier] = ACTIONS(1048),
    [anon_sym_unsafe] = ACTIONS(1048),
    [anon_sym_fn] = ACTIONS(1048),
    [anon_sym_DOLLARif] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_is] = ACTIONS(1048),
    [anon_sym_BANGis] = ACTIONS(1046),
    [anon_sym_match] = ACTIONS(1048),
    [anon_sym_select] = ACTIONS(1048),
    [anon_sym_lock] = ACTIONS(1048),
    [anon_sym_rlock] = ACTIONS(1048),
    [sym__c_string_opening] = ACTIONS(1046),
    [sym__raw_string_opening] = ACTIONS(1046),
    [sym__string_opening] = ACTIONS(1046),
    [sym__comment] = ACTIONS(3),
  },
  [1744] = {
    [sym_comment] = STATE(1744),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_LT_DASH] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1320),
    [anon_sym_PERCENT] = ACTIONS(1320),
    [anon_sym_LT_LT] = ACTIONS(1320),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_GT_GT_GT] = ACTIONS(1320),
    [anon_sym_AMP_CARET] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1320),
    [anon_sym_BANG_EQ] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1320),
    [anon_sym_in] = ACTIONS(1322),
    [anon_sym_BANGin] = ACTIONS(1320),
    [anon_sym_AMP_AMP] = ACTIONS(1320),
    [anon_sym_PIPE_PIPE] = ACTIONS(1320),
    [anon_sym_as] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [sym_none] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_RBRACK] = ACTIONS(1320),
    [anon_sym_map_LBRACK] = ACTIONS(1320),
    [anon_sym_chan] = ACTIONS(1322),
    [anon_sym_shared] = ACTIONS(1322),
    [anon_sym_thread] = ACTIONS(1322),
    [sym_int_literal] = ACTIONS(1322),
    [sym_float_literal] = ACTIONS(1320),
    [sym_rune_literal] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1322),
    [anon_sym_array] = ACTIONS(1322),
    [anon_sym_string] = ACTIONS(1322),
    [anon_sym_char] = ACTIONS(1322),
    [anon_sym_sql] = ACTIONS(1322),
    [anon_sym_mut] = ACTIONS(1322),
    [anon_sym_C] = ACTIONS(1322),
    [anon_sym_JS] = ACTIONS(1322),
    [anon_sym_voidptr] = ACTIONS(1322),
    [anon_sym_byteptr] = ACTIONS(1322),
    [anon_sym_charptr] = ACTIONS(1322),
    [anon_sym_i8] = ACTIONS(1322),
    [anon_sym_i16] = ACTIONS(1322),
    [anon_sym_i32] = ACTIONS(1322),
    [anon_sym_int] = ACTIONS(1322),
    [anon_sym_i64] = ACTIONS(1322),
    [anon_sym_byte] = ACTIONS(1322),
    [anon_sym_u8] = ACTIONS(1322),
    [anon_sym_u16] = ACTIONS(1322),
    [anon_sym_u32] = ACTIONS(1322),
    [anon_sym_u64] = ACTIONS(1322),
    [anon_sym_f32] = ACTIONS(1322),
    [anon_sym_f64] = ACTIONS(1322),
    [anon_sym_bool] = ACTIONS(1322),
    [anon_sym_rune] = ACTIONS(1322),
    [anon_sym_map] = ACTIONS(1322),
    [anon_sym_mapnode] = ACTIONS(1322),
    [anon_sym_size_t] = ACTIONS(1322),
    [anon_sym_usize] = ACTIONS(1322),
    [anon_sym_isize] = ACTIONS(1322),
    [anon_sym_float_literal] = ACTIONS(1322),
    [anon_sym_int_literal] = ACTIONS(1322),
    [anon_sym_IError] = ACTIONS(1322),
    [sym_type_placeholder] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [sym_type_identifier] = ACTIONS(1322),
    [anon_sym_unsafe] = ACTIONS(1322),
    [anon_sym_fn] = ACTIONS(1322),
    [anon_sym_DOLLARif] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_is] = ACTIONS(1322),
    [anon_sym_BANGis] = ACTIONS(1320),
    [anon_sym_match] = ACTIONS(1322),
    [anon_sym_select] = ACTIONS(1322),
    [anon_sym_lock] = ACTIONS(1322),
    [anon_sym_rlock] = ACTIONS(1322),
    [sym__c_string_opening] = ACTIONS(1320),
    [sym__raw_string_opening] = ACTIONS(1320),
    [sym__string_opening] = ACTIONS(1320),
    [sym__comment] = ACTIONS(3),
  },
  [1745] = {
    [sym_comment] = STATE(1745),
    [sym_identifier] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_LT_DASH] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [anon_sym_LT_LT] = ACTIONS(1326),
    [anon_sym_GT_GT] = ACTIONS(1328),
    [anon_sym_GT_GT_GT] = ACTIONS(1326),
    [anon_sym_AMP_CARET] = ACTIONS(1326),
    [anon_sym_PIPE] = ACTIONS(1328),
    [anon_sym_EQ_EQ] = ACTIONS(1326),
    [anon_sym_BANG_EQ] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1328),
    [anon_sym_LT_EQ] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1328),
    [anon_sym_GT_EQ] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_BANGin] = ACTIONS(1326),
    [anon_sym_AMP_AMP] = ACTIONS(1326),
    [anon_sym_PIPE_PIPE] = ACTIONS(1326),
    [anon_sym_as] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [sym_none] = ACTIONS(1328),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_RBRACK] = ACTIONS(1326),
    [anon_sym_map_LBRACK] = ACTIONS(1326),
    [anon_sym_chan] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_thread] = ACTIONS(1328),
    [sym_int_literal] = ACTIONS(1328),
    [sym_float_literal] = ACTIONS(1326),
    [sym_rune_literal] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1328),
    [anon_sym_array] = ACTIONS(1328),
    [anon_sym_string] = ACTIONS(1328),
    [anon_sym_char] = ACTIONS(1328),
    [anon_sym_sql] = ACTIONS(1328),
    [anon_sym_mut] = ACTIONS(1328),
    [anon_sym_C] = ACTIONS(1328),
    [anon_sym_JS] = ACTIONS(1328),
    [anon_sym_voidptr] = ACTIONS(1328),
    [anon_sym_byteptr] = ACTIONS(1328),
    [anon_sym_charptr] = ACTIONS(1328),
    [anon_sym_i8] = ACTIONS(1328),
    [anon_sym_i16] = ACTIONS(1328),
    [anon_sym_i32] = ACTIONS(1328),
    [anon_sym_int] = ACTIONS(1328),
    [anon_sym_i64] = ACTIONS(1328),
    [anon_sym_byte] = ACTIONS(1328),
    [anon_sym_u8] = ACTIONS(1328),
    [anon_sym_u16] = ACTIONS(1328),
    [anon_sym_u32] = ACTIONS(1328),
    [anon_sym_u64] = ACTIONS(1328),
    [anon_sym_f32] = ACTIONS(1328),
    [anon_sym_f64] = ACTIONS(1328),
    [anon_sym_bool] = ACTIONS(1328),
    [anon_sym_rune] = ACTIONS(1328),
    [anon_sym_map] = ACTIONS(1328),
    [anon_sym_mapnode] = ACTIONS(1328),
    [anon_sym_size_t] = ACTIONS(1328),
    [anon_sym_usize] = ACTIONS(1328),
    [anon_sym_isize] = ACTIONS(1328),
    [anon_sym_float_literal] = ACTIONS(1328),
    [anon_sym_int_literal] = ACTIONS(1328),
    [anon_sym_IError] = ACTIONS(1328),
    [sym_type_placeholder] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [sym_type_identifier] = ACTIONS(1328),
    [anon_sym_unsafe] = ACTIONS(1328),
    [anon_sym_fn] = ACTIONS(1328),
    [anon_sym_DOLLARif] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_is] = ACTIONS(1328),
    [anon_sym_BANGis] = ACTIONS(1326),
    [anon_sym_match] = ACTIONS(1328),
    [anon_sym_select] = ACTIONS(1328),
    [anon_sym_lock] = ACTIONS(1328),
    [anon_sym_rlock] = ACTIONS(1328),
    [sym__c_string_opening] = ACTIONS(1326),
    [sym__raw_string_opening] = ACTIONS(1326),
    [sym__string_opening] = ACTIONS(1326),
    [sym__comment] = ACTIONS(3),
  },
  [1746] = {
    [sym_comment] = STATE(1746),
    [sym_identifier] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_CARET] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_LT_DASH] = ACTIONS(1330),
    [anon_sym_SLASH] = ACTIONS(1330),
    [anon_sym_PERCENT] = ACTIONS(1330),
    [anon_sym_LT_LT] = ACTIONS(1330),
    [anon_sym_GT_GT] = ACTIONS(1332),
    [anon_sym_GT_GT_GT] = ACTIONS(1330),
    [anon_sym_AMP_CARET] = ACTIONS(1330),
    [anon_sym_PIPE] = ACTIONS(1332),
    [anon_sym_EQ_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT] = ACTIONS(1332),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_GT] = ACTIONS(1332),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_BANGin] = ACTIONS(1330),
    [anon_sym_AMP_AMP] = ACTIONS(1330),
    [anon_sym_PIPE_PIPE] = ACTIONS(1330),
    [anon_sym_as] = ACTIONS(1332),
    [anon_sym_COMMA] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [sym_none] = ACTIONS(1332),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_RBRACK] = ACTIONS(1330),
    [anon_sym_map_LBRACK] = ACTIONS(1330),
    [anon_sym_chan] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_thread] = ACTIONS(1332),
    [sym_int_literal] = ACTIONS(1332),
    [sym_float_literal] = ACTIONS(1330),
    [sym_rune_literal] = ACTIONS(1330),
    [anon_sym_DOT] = ACTIONS(1332),
    [anon_sym_array] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_char] = ACTIONS(1332),
    [anon_sym_sql] = ACTIONS(1332),
    [anon_sym_mut] = ACTIONS(1332),
    [anon_sym_C] = ACTIONS(1332),
    [anon_sym_JS] = ACTIONS(1332),
    [anon_sym_voidptr] = ACTIONS(1332),
    [anon_sym_byteptr] = ACTIONS(1332),
    [anon_sym_charptr] = ACTIONS(1332),
    [anon_sym_i8] = ACTIONS(1332),
    [anon_sym_i16] = ACTIONS(1332),
    [anon_sym_i32] = ACTIONS(1332),
    [anon_sym_int] = ACTIONS(1332),
    [anon_sym_i64] = ACTIONS(1332),
    [anon_sym_byte] = ACTIONS(1332),
    [anon_sym_u8] = ACTIONS(1332),
    [anon_sym_u16] = ACTIONS(1332),
    [anon_sym_u32] = ACTIONS(1332),
    [anon_sym_u64] = ACTIONS(1332),
    [anon_sym_f32] = ACTIONS(1332),
    [anon_sym_f64] = ACTIONS(1332),
    [anon_sym_bool] = ACTIONS(1332),
    [anon_sym_rune] = ACTIONS(1332),
    [anon_sym_map] = ACTIONS(1332),
    [anon_sym_mapnode] = ACTIONS(1332),
    [anon_sym_size_t] = ACTIONS(1332),
    [anon_sym_usize] = ACTIONS(1332),
    [anon_sym_isize] = ACTIONS(1332),
    [anon_sym_float_literal] = ACTIONS(1332),
    [anon_sym_int_literal] = ACTIONS(1332),
    [anon_sym_IError] = ACTIONS(1332),
    [sym_type_placeholder] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [sym_type_identifier] = ACTIONS(1332),
    [anon_sym_unsafe] = ACTIONS(1332),
    [anon_sym_fn] = ACTIONS(1332),
    [anon_sym_DOLLARif] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_is] = ACTIONS(1332),
    [anon_sym_BANGis] = ACTIONS(1330),
    [anon_sym_match] = ACTIONS(1332),
    [anon_sym_select] = ACTIONS(1332),
    [anon_sym_lock] = ACTIONS(1332),
    [anon_sym_rlock] = ACTIONS(1332),
    [sym__c_string_opening] = ACTIONS(1330),
    [sym__raw_string_opening] = ACTIONS(1330),
    [sym__string_opening] = ACTIONS(1330),
    [sym__comment] = ACTIONS(3),
  },
  [1747] = {
    [sym_comment] = STATE(1747),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_LT_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PERCENT] = ACTIONS(1372),
    [anon_sym_LT_LT] = ACTIONS(1372),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_GT_GT_GT] = ACTIONS(1372),
    [anon_sym_AMP_CARET] = ACTIONS(1372),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_EQ_EQ] = ACTIONS(1372),
    [anon_sym_BANG_EQ] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1372),
    [anon_sym_in] = ACTIONS(1374),
    [anon_sym_BANGin] = ACTIONS(1372),
    [anon_sym_AMP_AMP] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1372),
    [anon_sym_as] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [sym_none] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_RBRACK] = ACTIONS(1372),
    [anon_sym_map_LBRACK] = ACTIONS(1372),
    [anon_sym_chan] = ACTIONS(1374),
    [anon_sym_shared] = ACTIONS(1374),
    [anon_sym_thread] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1372),
    [sym_rune_literal] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_array] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_char] = ACTIONS(1374),
    [anon_sym_sql] = ACTIONS(1374),
    [anon_sym_mut] = ACTIONS(1374),
    [anon_sym_C] = ACTIONS(1374),
    [anon_sym_JS] = ACTIONS(1374),
    [anon_sym_voidptr] = ACTIONS(1374),
    [anon_sym_byteptr] = ACTIONS(1374),
    [anon_sym_charptr] = ACTIONS(1374),
    [anon_sym_i8] = ACTIONS(1374),
    [anon_sym_i16] = ACTIONS(1374),
    [anon_sym_i32] = ACTIONS(1374),
    [anon_sym_int] = ACTIONS(1374),
    [anon_sym_i64] = ACTIONS(1374),
    [anon_sym_byte] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1374),
    [anon_sym_u16] = ACTIONS(1374),
    [anon_sym_u32] = ACTIONS(1374),
    [anon_sym_u64] = ACTIONS(1374),
    [anon_sym_f32] = ACTIONS(1374),
    [anon_sym_f64] = ACTIONS(1374),
    [anon_sym_bool] = ACTIONS(1374),
    [anon_sym_rune] = ACTIONS(1374),
    [anon_sym_map] = ACTIONS(1374),
    [anon_sym_mapnode] = ACTIONS(1374),
    [anon_sym_size_t] = ACTIONS(1374),
    [anon_sym_usize] = ACTIONS(1374),
    [anon_sym_isize] = ACTIONS(1374),
    [anon_sym_float_literal] = ACTIONS(1374),
    [anon_sym_int_literal] = ACTIONS(1374),
    [anon_sym_IError] = ACTIONS(1374),
    [sym_type_placeholder] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [sym_type_identifier] = ACTIONS(1374),
    [anon_sym_unsafe] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym_DOLLARif] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_is] = ACTIONS(1374),
    [anon_sym_BANGis] = ACTIONS(1372),
    [anon_sym_match] = ACTIONS(1374),
    [anon_sym_select] = ACTIONS(1374),
    [anon_sym_lock] = ACTIONS(1374),
    [anon_sym_rlock] = ACTIONS(1374),
    [sym__c_string_opening] = ACTIONS(1372),
    [sym__raw_string_opening] = ACTIONS(1372),
    [sym__string_opening] = ACTIONS(1372),
    [sym__comment] = ACTIONS(3),
  },
  [1748] = {
    [sym_comment] = STATE(1748),
    [sym_identifier] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_LT_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1376),
    [anon_sym_LT_LT] = ACTIONS(1376),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_GT_GT_GT] = ACTIONS(1376),
    [anon_sym_AMP_CARET] = ACTIONS(1376),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_EQ_EQ] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1376),
    [anon_sym_in] = ACTIONS(1378),
    [anon_sym_BANGin] = ACTIONS(1376),
    [anon_sym_AMP_AMP] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1376),
    [anon_sym_as] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [sym_none] = ACTIONS(1378),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_RBRACK] = ACTIONS(1376),
    [anon_sym_map_LBRACK] = ACTIONS(1376),
    [anon_sym_chan] = ACTIONS(1378),
    [anon_sym_shared] = ACTIONS(1378),
    [anon_sym_thread] = ACTIONS(1378),
    [sym_int_literal] = ACTIONS(1378),
    [sym_float_literal] = ACTIONS(1376),
    [sym_rune_literal] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_array] = ACTIONS(1378),
    [anon_sym_string] = ACTIONS(1378),
    [anon_sym_char] = ACTIONS(1378),
    [anon_sym_sql] = ACTIONS(1378),
    [anon_sym_mut] = ACTIONS(1378),
    [anon_sym_C] = ACTIONS(1378),
    [anon_sym_JS] = ACTIONS(1378),
    [anon_sym_voidptr] = ACTIONS(1378),
    [anon_sym_byteptr] = ACTIONS(1378),
    [anon_sym_charptr] = ACTIONS(1378),
    [anon_sym_i8] = ACTIONS(1378),
    [anon_sym_i16] = ACTIONS(1378),
    [anon_sym_i32] = ACTIONS(1378),
    [anon_sym_int] = ACTIONS(1378),
    [anon_sym_i64] = ACTIONS(1378),
    [anon_sym_byte] = ACTIONS(1378),
    [anon_sym_u8] = ACTIONS(1378),
    [anon_sym_u16] = ACTIONS(1378),
    [anon_sym_u32] = ACTIONS(1378),
    [anon_sym_u64] = ACTIONS(1378),
    [anon_sym_f32] = ACTIONS(1378),
    [anon_sym_f64] = ACTIONS(1378),
    [anon_sym_bool] = ACTIONS(1378),
    [anon_sym_rune] = ACTIONS(1378),
    [anon_sym_map] = ACTIONS(1378),
    [anon_sym_mapnode] = ACTIONS(1378),
    [anon_sym_size_t] = ACTIONS(1378),
    [anon_sym_usize] = ACTIONS(1378),
    [anon_sym_isize] = ACTIONS(1378),
    [anon_sym_float_literal] = ACTIONS(1378),
    [anon_sym_int_literal] = ACTIONS(1378),
    [anon_sym_IError] = ACTIONS(1378),
    [sym_type_placeholder] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [sym_type_identifier] = ACTIONS(1378),
    [anon_sym_unsafe] = ACTIONS(1378),
    [anon_sym_fn] = ACTIONS(1378),
    [anon_sym_DOLLARif] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_is] = ACTIONS(1378),
    [anon_sym_BANGis] = ACTIONS(1376),
    [anon_sym_match] = ACTIONS(1378),
    [anon_sym_select] = ACTIONS(1378),
    [anon_sym_lock] = ACTIONS(1378),
    [anon_sym_rlock] = ACTIONS(1378),
    [sym__c_string_opening] = ACTIONS(1376),
    [sym__raw_string_opening] = ACTIONS(1376),
    [sym__string_opening] = ACTIONS(1376),
    [sym__comment] = ACTIONS(3),
  },
  [1749] = {
    [sym_comment] = STATE(1749),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_CARET] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_LT_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(1282),
    [anon_sym_PERCENT] = ACTIONS(1282),
    [anon_sym_LT_LT] = ACTIONS(1282),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_GT_GT_GT] = ACTIONS(1282),
    [anon_sym_AMP_CARET] = ACTIONS(1282),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1282),
    [anon_sym_BANG_EQ] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_BANGin] = ACTIONS(1282),
    [anon_sym_AMP_AMP] = ACTIONS(1282),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_as] = ACTIONS(1284),
    [anon_sym_COMMA] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym_none] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_RBRACK] = ACTIONS(1282),
    [anon_sym_map_LBRACK] = ACTIONS(1282),
    [anon_sym_chan] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_thread] = ACTIONS(1284),
    [sym_int_literal] = ACTIONS(1284),
    [sym_float_literal] = ACTIONS(1282),
    [sym_rune_literal] = ACTIONS(1282),
    [anon_sym_DOT] = ACTIONS(1284),
    [anon_sym_array] = ACTIONS(1284),
    [anon_sym_string] = ACTIONS(1284),
    [anon_sym_char] = ACTIONS(1284),
    [anon_sym_sql] = ACTIONS(1284),
    [anon_sym_mut] = ACTIONS(1284),
    [anon_sym_C] = ACTIONS(1284),
    [anon_sym_JS] = ACTIONS(1284),
    [anon_sym_voidptr] = ACTIONS(1284),
    [anon_sym_byteptr] = ACTIONS(1284),
    [anon_sym_charptr] = ACTIONS(1284),
    [anon_sym_i8] = ACTIONS(1284),
    [anon_sym_i16] = ACTIONS(1284),
    [anon_sym_i32] = ACTIONS(1284),
    [anon_sym_int] = ACTIONS(1284),
    [anon_sym_i64] = ACTIONS(1284),
    [anon_sym_byte] = ACTIONS(1284),
    [anon_sym_u8] = ACTIONS(1284),
    [anon_sym_u16] = ACTIONS(1284),
    [anon_sym_u32] = ACTIONS(1284),
    [anon_sym_u64] = ACTIONS(1284),
    [anon_sym_f32] = ACTIONS(1284),
    [anon_sym_f64] = ACTIONS(1284),
    [anon_sym_bool] = ACTIONS(1284),
    [anon_sym_rune] = ACTIONS(1284),
    [anon_sym_map] = ACTIONS(1284),
    [anon_sym_mapnode] = ACTIONS(1284),
    [anon_sym_size_t] = ACTIONS(1284),
    [anon_sym_usize] = ACTIONS(1284),
    [anon_sym_isize] = ACTIONS(1284),
    [anon_sym_float_literal] = ACTIONS(1284),
    [anon_sym_int_literal] = ACTIONS(1284),
    [anon_sym_IError] = ACTIONS(1284),
    [sym_type_placeholder] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [sym_type_identifier] = ACTIONS(1284),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_fn] = ACTIONS(1284),
    [anon_sym_DOLLARif] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_is] = ACTIONS(1284),
    [anon_sym_BANGis] = ACTIONS(1282),
    [anon_sym_match] = ACTIONS(1284),
    [anon_sym_select] = ACTIONS(1284),
    [anon_sym_lock] = ACTIONS(1284),
    [anon_sym_rlock] = ACTIONS(1284),
    [sym__c_string_opening] = ACTIONS(1282),
    [sym__raw_string_opening] = ACTIONS(1282),
    [sym__string_opening] = ACTIONS(1282),
    [sym__comment] = ACTIONS(3),
  },
  [1750] = {
    [sym_comment] = STATE(1750),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_CARET] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_LT_DASH] = ACTIONS(1286),
    [anon_sym_SLASH] = ACTIONS(1286),
    [anon_sym_PERCENT] = ACTIONS(1286),
    [anon_sym_LT_LT] = ACTIONS(1286),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_GT_GT_GT] = ACTIONS(1286),
    [anon_sym_AMP_CARET] = ACTIONS(1286),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1286),
    [anon_sym_BANG_EQ] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_BANGin] = ACTIONS(1286),
    [anon_sym_AMP_AMP] = ACTIONS(1286),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_as] = ACTIONS(1288),
    [anon_sym_COMMA] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym_none] = ACTIONS(1288),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_RBRACK] = ACTIONS(1286),
    [anon_sym_map_LBRACK] = ACTIONS(1286),
    [anon_sym_chan] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_thread] = ACTIONS(1288),
    [sym_int_literal] = ACTIONS(1288),
    [sym_float_literal] = ACTIONS(1286),
    [sym_rune_literal] = ACTIONS(1286),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_array] = ACTIONS(1288),
    [anon_sym_string] = ACTIONS(1288),
    [anon_sym_char] = ACTIONS(1288),
    [anon_sym_sql] = ACTIONS(1288),
    [anon_sym_mut] = ACTIONS(1288),
    [anon_sym_C] = ACTIONS(1288),
    [anon_sym_JS] = ACTIONS(1288),
    [anon_sym_voidptr] = ACTIONS(1288),
    [anon_sym_byteptr] = ACTIONS(1288),
    [anon_sym_charptr] = ACTIONS(1288),
    [anon_sym_i8] = ACTIONS(1288),
    [anon_sym_i16] = ACTIONS(1288),
    [anon_sym_i32] = ACTIONS(1288),
    [anon_sym_int] = ACTIONS(1288),
    [anon_sym_i64] = ACTIONS(1288),
    [anon_sym_byte] = ACTIONS(1288),
    [anon_sym_u8] = ACTIONS(1288),
    [anon_sym_u16] = ACTIONS(1288),
    [anon_sym_u32] = ACTIONS(1288),
    [anon_sym_u64] = ACTIONS(1288),
    [anon_sym_f32] = ACTIONS(1288),
    [anon_sym_f64] = ACTIONS(1288),
    [anon_sym_bool] = ACTIONS(1288),
    [anon_sym_rune] = ACTIONS(1288),
    [anon_sym_map] = ACTIONS(1288),
    [anon_sym_mapnode] = ACTIONS(1288),
    [anon_sym_size_t] = ACTIONS(1288),
    [anon_sym_usize] = ACTIONS(1288),
    [anon_sym_isize] = ACTIONS(1288),
    [anon_sym_float_literal] = ACTIONS(1288),
    [anon_sym_int_literal] = ACTIONS(1288),
    [anon_sym_IError] = ACTIONS(1288),
    [sym_type_placeholder] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [sym_type_identifier] = ACTIONS(1288),
    [anon_sym_unsafe] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1288),
    [anon_sym_DOLLARif] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_is] = ACTIONS(1288),
    [anon_sym_BANGis] = ACTIONS(1286),
    [anon_sym_match] = ACTIONS(1288),
    [anon_sym_select] = ACTIONS(1288),
    [anon_sym_lock] = ACTIONS(1288),
    [anon_sym_rlock] = ACTIONS(1288),
    [sym__c_string_opening] = ACTIONS(1286),
    [sym__raw_string_opening] = ACTIONS(1286),
    [sym__string_opening] = ACTIONS(1286),
    [sym__comment] = ACTIONS(3),
  },
  [1751] = {
    [sym_comment] = STATE(1751),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_LT_DASH] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_AMP_CARET] = ACTIONS(1294),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_BANGin] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [sym_none] = ACTIONS(1296),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_RBRACK] = ACTIONS(1294),
    [anon_sym_map_LBRACK] = ACTIONS(1294),
    [anon_sym_chan] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_thread] = ACTIONS(1296),
    [sym_int_literal] = ACTIONS(1296),
    [sym_float_literal] = ACTIONS(1294),
    [sym_rune_literal] = ACTIONS(1294),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_array] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_char] = ACTIONS(1296),
    [anon_sym_sql] = ACTIONS(1296),
    [anon_sym_mut] = ACTIONS(1296),
    [anon_sym_C] = ACTIONS(1296),
    [anon_sym_JS] = ACTIONS(1296),
    [anon_sym_voidptr] = ACTIONS(1296),
    [anon_sym_byteptr] = ACTIONS(1296),
    [anon_sym_charptr] = ACTIONS(1296),
    [anon_sym_i8] = ACTIONS(1296),
    [anon_sym_i16] = ACTIONS(1296),
    [anon_sym_i32] = ACTIONS(1296),
    [anon_sym_int] = ACTIONS(1296),
    [anon_sym_i64] = ACTIONS(1296),
    [anon_sym_byte] = ACTIONS(1296),
    [anon_sym_u8] = ACTIONS(1296),
    [anon_sym_u16] = ACTIONS(1296),
    [anon_sym_u32] = ACTIONS(1296),
    [anon_sym_u64] = ACTIONS(1296),
    [anon_sym_f32] = ACTIONS(1296),
    [anon_sym_f64] = ACTIONS(1296),
    [anon_sym_bool] = ACTIONS(1296),
    [anon_sym_rune] = ACTIONS(1296),
    [anon_sym_map] = ACTIONS(1296),
    [anon_sym_mapnode] = ACTIONS(1296),
    [anon_sym_size_t] = ACTIONS(1296),
    [anon_sym_usize] = ACTIONS(1296),
    [anon_sym_isize] = ACTIONS(1296),
    [anon_sym_float_literal] = ACTIONS(1296),
    [anon_sym_int_literal] = ACTIONS(1296),
    [anon_sym_IError] = ACTIONS(1296),
    [sym_type_placeholder] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [sym_type_identifier] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1296),
    [anon_sym_fn] = ACTIONS(1296),
    [anon_sym_DOLLARif] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_is] = ACTIONS(1296),
    [anon_sym_BANGis] = ACTIONS(1294),
    [anon_sym_match] = ACTIONS(1296),
    [anon_sym_select] = ACTIONS(1296),
    [anon_sym_lock] = ACTIONS(1296),
    [anon_sym_rlock] = ACTIONS(1296),
    [sym__c_string_opening] = ACTIONS(1294),
    [sym__raw_string_opening] = ACTIONS(1294),
    [sym__string_opening] = ACTIONS(1294),
    [sym__comment] = ACTIONS(3),
  },
  [1752] = {
    [sym_comment] = STATE(1752),
    [sym_identifier] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_CARET] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_LT_DASH] = ACTIONS(1316),
    [anon_sym_SLASH] = ACTIONS(1316),
    [anon_sym_PERCENT] = ACTIONS(1316),
    [anon_sym_LT_LT] = ACTIONS(1316),
    [anon_sym_GT_GT] = ACTIONS(1318),
    [anon_sym_GT_GT_GT] = ACTIONS(1316),
    [anon_sym_AMP_CARET] = ACTIONS(1316),
    [anon_sym_PIPE] = ACTIONS(1318),
    [anon_sym_EQ_EQ] = ACTIONS(1316),
    [anon_sym_BANG_EQ] = ACTIONS(1316),
    [anon_sym_LT] = ACTIONS(1318),
    [anon_sym_LT_EQ] = ACTIONS(1316),
    [anon_sym_GT] = ACTIONS(1318),
    [anon_sym_GT_EQ] = ACTIONS(1316),
    [anon_sym_in] = ACTIONS(1318),
    [anon_sym_BANGin] = ACTIONS(1316),
    [anon_sym_AMP_AMP] = ACTIONS(1316),
    [anon_sym_PIPE_PIPE] = ACTIONS(1316),
    [anon_sym_as] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [sym_none] = ACTIONS(1318),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_RBRACK] = ACTIONS(1316),
    [anon_sym_map_LBRACK] = ACTIONS(1316),
    [anon_sym_chan] = ACTIONS(1318),
    [anon_sym_shared] = ACTIONS(1318),
    [anon_sym_thread] = ACTIONS(1318),
    [sym_int_literal] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1316),
    [sym_rune_literal] = ACTIONS(1316),
    [anon_sym_DOT] = ACTIONS(1318),
    [anon_sym_array] = ACTIONS(1318),
    [anon_sym_string] = ACTIONS(1318),
    [anon_sym_char] = ACTIONS(1318),
    [anon_sym_sql] = ACTIONS(1318),
    [anon_sym_mut] = ACTIONS(1318),
    [anon_sym_C] = ACTIONS(1318),
    [anon_sym_JS] = ACTIONS(1318),
    [anon_sym_voidptr] = ACTIONS(1318),
    [anon_sym_byteptr] = ACTIONS(1318),
    [anon_sym_charptr] = ACTIONS(1318),
    [anon_sym_i8] = ACTIONS(1318),
    [anon_sym_i16] = ACTIONS(1318),
    [anon_sym_i32] = ACTIONS(1318),
    [anon_sym_int] = ACTIONS(1318),
    [anon_sym_i64] = ACTIONS(1318),
    [anon_sym_byte] = ACTIONS(1318),
    [anon_sym_u8] = ACTIONS(1318),
    [anon_sym_u16] = ACTIONS(1318),
    [anon_sym_u32] = ACTIONS(1318),
    [anon_sym_u64] = ACTIONS(1318),
    [anon_sym_f32] = ACTIONS(1318),
    [anon_sym_f64] = ACTIONS(1318),
    [anon_sym_bool] = ACTIONS(1318),
    [anon_sym_rune] = ACTIONS(1318),
    [anon_sym_map] = ACTIONS(1318),
    [anon_sym_mapnode] = ACTIONS(1318),
    [anon_sym_size_t] = ACTIONS(1318),
    [anon_sym_usize] = ACTIONS(1318),
    [anon_sym_isize] = ACTIONS(1318),
    [anon_sym_float_literal] = ACTIONS(1318),
    [anon_sym_int_literal] = ACTIONS(1318),
    [anon_sym_IError] = ACTIONS(1318),
    [sym_type_placeholder] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [sym_type_identifier] = ACTIONS(1318),
    [anon_sym_unsafe] = ACTIONS(1318),
    [anon_sym_fn] = ACTIONS(1318),
    [anon_sym_DOLLARif] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_is] = ACTIONS(1318),
    [anon_sym_BANGis] = ACTIONS(1316),
    [anon_sym_match] = ACTIONS(1318),
    [anon_sym_select] = ACTIONS(1318),
    [anon_sym_lock] = ACTIONS(1318),
    [anon_sym_rlock] = ACTIONS(1318),
    [sym__c_string_opening] = ACTIONS(1316),
    [sym__raw_string_opening] = ACTIONS(1316),
    [sym__string_opening] = ACTIONS(1316),
    [sym__comment] = ACTIONS(3),
  },
  [1753] = {
    [sym_comment] = STATE(1753),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(4574),
    [anon_sym_DASH] = ACTIONS(4574),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(4574),
    [anon_sym_STAR] = ACTIONS(4576),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(4576),
    [anon_sym_PERCENT] = ACTIONS(4576),
    [anon_sym_LT_LT] = ACTIONS(4576),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_GT_GT_GT] = ACTIONS(4576),
    [anon_sym_AMP_CARET] = ACTIONS(4576),
    [anon_sym_PIPE] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4582),
    [anon_sym_BANG_EQ] = ACTIONS(4582),
    [anon_sym_LT] = ACTIONS(4584),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4584),
    [anon_sym_GT_EQ] = ACTIONS(4582),
    [anon_sym_in] = ACTIONS(4584),
    [anon_sym_BANGin] = ACTIONS(4582),
    [anon_sym_AMP_AMP] = ACTIONS(4586),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(4588),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(4590),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(4592),
    [anon_sym_BANGis] = ACTIONS(4594),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1754] = {
    [sym_comment] = STATE(1754),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(4574),
    [anon_sym_DASH] = ACTIONS(4574),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(4574),
    [anon_sym_STAR] = ACTIONS(4576),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(4576),
    [anon_sym_PERCENT] = ACTIONS(4576),
    [anon_sym_LT_LT] = ACTIONS(4576),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_GT_GT_GT] = ACTIONS(4576),
    [anon_sym_AMP_CARET] = ACTIONS(4576),
    [anon_sym_PIPE] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4582),
    [anon_sym_BANG_EQ] = ACTIONS(4582),
    [anon_sym_LT] = ACTIONS(4584),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4584),
    [anon_sym_GT_EQ] = ACTIONS(4582),
    [anon_sym_in] = ACTIONS(4584),
    [anon_sym_BANGin] = ACTIONS(4582),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(4588),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(4590),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(4592),
    [anon_sym_BANGis] = ACTIONS(4594),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1755] = {
    [sym_comment] = STATE(1755),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(4574),
    [anon_sym_DASH] = ACTIONS(4574),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(4574),
    [anon_sym_STAR] = ACTIONS(4576),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(4576),
    [anon_sym_PERCENT] = ACTIONS(4576),
    [anon_sym_LT_LT] = ACTIONS(4576),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_GT_GT_GT] = ACTIONS(4576),
    [anon_sym_AMP_CARET] = ACTIONS(4576),
    [anon_sym_PIPE] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(4588),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(4590),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1756] = {
    [sym_comment] = STATE(1756),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_PERCENT] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(4588),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(4590),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1757] = {
    [sym_comment] = STATE(1757),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_CARET] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1116),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_DASH] = ACTIONS(1116),
    [anon_sym_SLASH] = ACTIONS(1116),
    [anon_sym_PERCENT] = ACTIONS(1116),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1116),
    [anon_sym_AMP_CARET] = ACTIONS(1116),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1116),
    [anon_sym_BANG_EQ] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_BANGin] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [sym_none] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_RBRACK] = ACTIONS(1116),
    [anon_sym_map_LBRACK] = ACTIONS(1116),
    [anon_sym_chan] = ACTIONS(1114),
    [anon_sym_shared] = ACTIONS(1114),
    [anon_sym_thread] = ACTIONS(1114),
    [sym_int_literal] = ACTIONS(1114),
    [sym_float_literal] = ACTIONS(1116),
    [sym_rune_literal] = ACTIONS(1116),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_array] = ACTIONS(1114),
    [anon_sym_string] = ACTIONS(1114),
    [anon_sym_char] = ACTIONS(1114),
    [anon_sym_sql] = ACTIONS(1114),
    [anon_sym_mut] = ACTIONS(1114),
    [anon_sym_C] = ACTIONS(1114),
    [anon_sym_JS] = ACTIONS(1114),
    [anon_sym_voidptr] = ACTIONS(1114),
    [anon_sym_byteptr] = ACTIONS(1114),
    [anon_sym_charptr] = ACTIONS(1114),
    [anon_sym_i8] = ACTIONS(1114),
    [anon_sym_i16] = ACTIONS(1114),
    [anon_sym_i32] = ACTIONS(1114),
    [anon_sym_int] = ACTIONS(1114),
    [anon_sym_i64] = ACTIONS(1114),
    [anon_sym_byte] = ACTIONS(1114),
    [anon_sym_u8] = ACTIONS(1114),
    [anon_sym_u16] = ACTIONS(1114),
    [anon_sym_u32] = ACTIONS(1114),
    [anon_sym_u64] = ACTIONS(1114),
    [anon_sym_f32] = ACTIONS(1114),
    [anon_sym_f64] = ACTIONS(1114),
    [anon_sym_bool] = ACTIONS(1114),
    [anon_sym_rune] = ACTIONS(1114),
    [anon_sym_map] = ACTIONS(1114),
    [anon_sym_mapnode] = ACTIONS(1114),
    [anon_sym_size_t] = ACTIONS(1114),
    [anon_sym_usize] = ACTIONS(1114),
    [anon_sym_isize] = ACTIONS(1114),
    [anon_sym_float_literal] = ACTIONS(1114),
    [anon_sym_int_literal] = ACTIONS(1114),
    [anon_sym_IError] = ACTIONS(1114),
    [sym_type_placeholder] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [sym_type_identifier] = ACTIONS(1114),
    [anon_sym_unsafe] = ACTIONS(1114),
    [anon_sym_fn] = ACTIONS(1114),
    [anon_sym_DOLLARif] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_BANGis] = ACTIONS(1116),
    [anon_sym_match] = ACTIONS(1114),
    [anon_sym_select] = ACTIONS(1114),
    [anon_sym_lock] = ACTIONS(1114),
    [anon_sym_rlock] = ACTIONS(1114),
    [sym__c_string_opening] = ACTIONS(1116),
    [sym__raw_string_opening] = ACTIONS(1116),
    [sym__string_opening] = ACTIONS(1116),
    [sym__comment] = ACTIONS(3),
  },
  [1758] = {
    [sym_comment] = STATE(1758),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_LT_DASH] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_LT_LT] = ACTIONS(1348),
    [anon_sym_GT_GT] = ACTIONS(1350),
    [anon_sym_GT_GT_GT] = ACTIONS(1348),
    [anon_sym_AMP_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1348),
    [anon_sym_BANG_EQ] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1348),
    [anon_sym_in] = ACTIONS(1350),
    [anon_sym_BANGin] = ACTIONS(1348),
    [anon_sym_AMP_AMP] = ACTIONS(1348),
    [anon_sym_PIPE_PIPE] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [sym_none] = ACTIONS(1350),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_RBRACK] = ACTIONS(1348),
    [anon_sym_map_LBRACK] = ACTIONS(1348),
    [anon_sym_chan] = ACTIONS(1350),
    [anon_sym_shared] = ACTIONS(1350),
    [anon_sym_thread] = ACTIONS(1350),
    [sym_int_literal] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1348),
    [sym_rune_literal] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_array] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_char] = ACTIONS(1350),
    [anon_sym_sql] = ACTIONS(1350),
    [anon_sym_mut] = ACTIONS(1350),
    [anon_sym_C] = ACTIONS(1350),
    [anon_sym_JS] = ACTIONS(1350),
    [anon_sym_voidptr] = ACTIONS(1350),
    [anon_sym_byteptr] = ACTIONS(1350),
    [anon_sym_charptr] = ACTIONS(1350),
    [anon_sym_i8] = ACTIONS(1350),
    [anon_sym_i16] = ACTIONS(1350),
    [anon_sym_i32] = ACTIONS(1350),
    [anon_sym_int] = ACTIONS(1350),
    [anon_sym_i64] = ACTIONS(1350),
    [anon_sym_byte] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1350),
    [anon_sym_u16] = ACTIONS(1350),
    [anon_sym_u32] = ACTIONS(1350),
    [anon_sym_u64] = ACTIONS(1350),
    [anon_sym_f32] = ACTIONS(1350),
    [anon_sym_f64] = ACTIONS(1350),
    [anon_sym_bool] = ACTIONS(1350),
    [anon_sym_rune] = ACTIONS(1350),
    [anon_sym_map] = ACTIONS(1350),
    [anon_sym_mapnode] = ACTIONS(1350),
    [anon_sym_size_t] = ACTIONS(1350),
    [anon_sym_usize] = ACTIONS(1350),
    [anon_sym_isize] = ACTIONS(1350),
    [anon_sym_float_literal] = ACTIONS(1350),
    [anon_sym_int_literal] = ACTIONS(1350),
    [anon_sym_IError] = ACTIONS(1350),
    [sym_type_placeholder] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [sym_type_identifier] = ACTIONS(1350),
    [anon_sym_unsafe] = ACTIONS(1350),
    [anon_sym_fn] = ACTIONS(1350),
    [anon_sym_DOLLARif] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_is] = ACTIONS(1350),
    [anon_sym_BANGis] = ACTIONS(1348),
    [anon_sym_match] = ACTIONS(1350),
    [anon_sym_select] = ACTIONS(1350),
    [anon_sym_lock] = ACTIONS(1350),
    [anon_sym_rlock] = ACTIONS(1350),
    [sym__c_string_opening] = ACTIONS(1348),
    [sym__raw_string_opening] = ACTIONS(1348),
    [sym__string_opening] = ACTIONS(1348),
    [sym__comment] = ACTIONS(3),
  },
  [1759] = {
    [sym_comment] = STATE(1759),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(4576),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_LT_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(4576),
    [anon_sym_PERCENT] = ACTIONS(4576),
    [anon_sym_LT_LT] = ACTIONS(4576),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_GT_GT_GT] = ACTIONS(4576),
    [anon_sym_AMP_CARET] = ACTIONS(4576),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_BANGin] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [sym_none] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(4588),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_map_LBRACK] = ACTIONS(1540),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_thread] = ACTIONS(1542),
    [sym_int_literal] = ACTIONS(1542),
    [sym_float_literal] = ACTIONS(1540),
    [sym_rune_literal] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(4590),
    [anon_sym_array] = ACTIONS(1542),
    [anon_sym_string] = ACTIONS(1542),
    [anon_sym_char] = ACTIONS(1542),
    [anon_sym_sql] = ACTIONS(1542),
    [anon_sym_mut] = ACTIONS(1542),
    [anon_sym_C] = ACTIONS(1542),
    [anon_sym_JS] = ACTIONS(1542),
    [anon_sym_voidptr] = ACTIONS(1542),
    [anon_sym_byteptr] = ACTIONS(1542),
    [anon_sym_charptr] = ACTIONS(1542),
    [anon_sym_i8] = ACTIONS(1542),
    [anon_sym_i16] = ACTIONS(1542),
    [anon_sym_i32] = ACTIONS(1542),
    [anon_sym_int] = ACTIONS(1542),
    [anon_sym_i64] = ACTIONS(1542),
    [anon_sym_byte] = ACTIONS(1542),
    [anon_sym_u8] = ACTIONS(1542),
    [anon_sym_u16] = ACTIONS(1542),
    [anon_sym_u32] = ACTIONS(1542),
    [anon_sym_u64] = ACTIONS(1542),
    [anon_sym_f32] = ACTIONS(1542),
    [anon_sym_f64] = ACTIONS(1542),
    [anon_sym_bool] = ACTIONS(1542),
    [anon_sym_rune] = ACTIONS(1542),
    [anon_sym_map] = ACTIONS(1542),
    [anon_sym_mapnode] = ACTIONS(1542),
    [anon_sym_size_t] = ACTIONS(1542),
    [anon_sym_usize] = ACTIONS(1542),
    [anon_sym_isize] = ACTIONS(1542),
    [anon_sym_float_literal] = ACTIONS(1542),
    [anon_sym_int_literal] = ACTIONS(1542),
    [anon_sym_IError] = ACTIONS(1542),
    [sym_type_placeholder] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [sym_type_identifier] = ACTIONS(1542),
    [anon_sym_unsafe] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_DOLLARif] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_is] = ACTIONS(1542),
    [anon_sym_BANGis] = ACTIONS(1540),
    [anon_sym_match] = ACTIONS(1542),
    [anon_sym_select] = ACTIONS(1542),
    [anon_sym_lock] = ACTIONS(1542),
    [anon_sym_rlock] = ACTIONS(1542),
    [sym__c_string_opening] = ACTIONS(1540),
    [sym__raw_string_opening] = ACTIONS(1540),
    [sym__string_opening] = ACTIONS(1540),
    [sym__comment] = ACTIONS(3),
  },
  [1760] = {
    [sym_comment] = STATE(1760),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_LT_DASH] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_GT_GT_GT] = ACTIONS(1514),
    [anon_sym_AMP_CARET] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_BANGin] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1514),
    [anon_sym_as] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [sym_none] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_RBRACK] = ACTIONS(1514),
    [anon_sym_map_LBRACK] = ACTIONS(1514),
    [anon_sym_chan] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_thread] = ACTIONS(1516),
    [sym_int_literal] = ACTIONS(1516),
    [sym_float_literal] = ACTIONS(1514),
    [sym_rune_literal] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_array] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_char] = ACTIONS(1516),
    [anon_sym_sql] = ACTIONS(1516),
    [anon_sym_mut] = ACTIONS(1516),
    [anon_sym_C] = ACTIONS(1516),
    [anon_sym_JS] = ACTIONS(1516),
    [anon_sym_voidptr] = ACTIONS(1516),
    [anon_sym_byteptr] = ACTIONS(1516),
    [anon_sym_charptr] = ACTIONS(1516),
    [anon_sym_i8] = ACTIONS(1516),
    [anon_sym_i16] = ACTIONS(1516),
    [anon_sym_i32] = ACTIONS(1516),
    [anon_sym_int] = ACTIONS(1516),
    [anon_sym_i64] = ACTIONS(1516),
    [anon_sym_byte] = ACTIONS(1516),
    [anon_sym_u8] = ACTIONS(1516),
    [anon_sym_u16] = ACTIONS(1516),
    [anon_sym_u32] = ACTIONS(1516),
    [anon_sym_u64] = ACTIONS(1516),
    [anon_sym_f32] = ACTIONS(1516),
    [anon_sym_f64] = ACTIONS(1516),
    [anon_sym_bool] = ACTIONS(1516),
    [anon_sym_rune] = ACTIONS(1516),
    [anon_sym_map] = ACTIONS(1516),
    [anon_sym_mapnode] = ACTIONS(1516),
    [anon_sym_size_t] = ACTIONS(1516),
    [anon_sym_usize] = ACTIONS(1516),
    [anon_sym_isize] = ACTIONS(1516),
    [anon_sym_float_literal] = ACTIONS(1516),
    [anon_sym_int_literal] = ACTIONS(1516),
    [anon_sym_IError] = ACTIONS(1516),
    [sym_type_placeholder] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [sym_type_identifier] = ACTIONS(1516),
    [anon_sym_unsafe] = ACTIONS(1516),
    [anon_sym_fn] = ACTIONS(1516),
    [anon_sym_DOLLARif] = ACTIONS(1514),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_is] = ACTIONS(1516),
    [anon_sym_BANGis] = ACTIONS(1514),
    [anon_sym_match] = ACTIONS(1516),
    [anon_sym_select] = ACTIONS(1516),
    [anon_sym_lock] = ACTIONS(1516),
    [anon_sym_rlock] = ACTIONS(1516),
    [sym__c_string_opening] = ACTIONS(1514),
    [sym__raw_string_opening] = ACTIONS(1514),
    [sym__string_opening] = ACTIONS(1514),
    [sym__comment] = ACTIONS(3),
  },
  [1761] = {
    [sym_comment] = STATE(1761),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1582),
    [anon_sym_PERCENT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_BANGin] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [sym_none] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [anon_sym_map_LBRACK] = ACTIONS(1582),
    [anon_sym_chan] = ACTIONS(1584),
    [anon_sym_shared] = ACTIONS(1584),
    [anon_sym_thread] = ACTIONS(1584),
    [sym_int_literal] = ACTIONS(1584),
    [sym_float_literal] = ACTIONS(1582),
    [sym_rune_literal] = ACTIONS(1582),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_array] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_char] = ACTIONS(1584),
    [anon_sym_sql] = ACTIONS(1584),
    [anon_sym_mut] = ACTIONS(1584),
    [anon_sym_C] = ACTIONS(1584),
    [anon_sym_JS] = ACTIONS(1584),
    [anon_sym_voidptr] = ACTIONS(1584),
    [anon_sym_byteptr] = ACTIONS(1584),
    [anon_sym_charptr] = ACTIONS(1584),
    [anon_sym_i8] = ACTIONS(1584),
    [anon_sym_i16] = ACTIONS(1584),
    [anon_sym_i32] = ACTIONS(1584),
    [anon_sym_int] = ACTIONS(1584),
    [anon_sym_i64] = ACTIONS(1584),
    [anon_sym_byte] = ACTIONS(1584),
    [anon_sym_u8] = ACTIONS(1584),
    [anon_sym_u16] = ACTIONS(1584),
    [anon_sym_u32] = ACTIONS(1584),
    [anon_sym_u64] = ACTIONS(1584),
    [anon_sym_f32] = ACTIONS(1584),
    [anon_sym_f64] = ACTIONS(1584),
    [anon_sym_bool] = ACTIONS(1584),
    [anon_sym_rune] = ACTIONS(1584),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_mapnode] = ACTIONS(1584),
    [anon_sym_size_t] = ACTIONS(1584),
    [anon_sym_usize] = ACTIONS(1584),
    [anon_sym_isize] = ACTIONS(1584),
    [anon_sym_float_literal] = ACTIONS(1584),
    [anon_sym_int_literal] = ACTIONS(1584),
    [anon_sym_IError] = ACTIONS(1584),
    [sym_type_placeholder] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [sym_type_identifier] = ACTIONS(1584),
    [anon_sym_unsafe] = ACTIONS(1584),
    [anon_sym_fn] = ACTIONS(1584),
    [anon_sym_DOLLARif] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_is] = ACTIONS(1584),
    [anon_sym_BANGis] = ACTIONS(1582),
    [anon_sym_match] = ACTIONS(1584),
    [anon_sym_select] = ACTIONS(1584),
    [anon_sym_lock] = ACTIONS(1584),
    [anon_sym_rlock] = ACTIONS(1584),
    [sym__c_string_opening] = ACTIONS(1582),
    [sym__raw_string_opening] = ACTIONS(1582),
    [sym__string_opening] = ACTIONS(1582),
    [sym__comment] = ACTIONS(3),
  },
  [1762] = {
    [sym_comment] = STATE(1762),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_CARET] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_LT_DASH] = ACTIONS(1278),
    [anon_sym_SLASH] = ACTIONS(1278),
    [anon_sym_PERCENT] = ACTIONS(1278),
    [anon_sym_LT_LT] = ACTIONS(1278),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_GT_GT_GT] = ACTIONS(1278),
    [anon_sym_AMP_CARET] = ACTIONS(1278),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1278),
    [anon_sym_BANG_EQ] = ACTIONS(1278),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_BANGin] = ACTIONS(1278),
    [anon_sym_AMP_AMP] = ACTIONS(1278),
    [anon_sym_PIPE_PIPE] = ACTIONS(1278),
    [anon_sym_as] = ACTIONS(1280),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym_none] = ACTIONS(1280),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_RBRACK] = ACTIONS(1278),
    [anon_sym_map_LBRACK] = ACTIONS(1278),
    [anon_sym_chan] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_thread] = ACTIONS(1280),
    [sym_int_literal] = ACTIONS(1280),
    [sym_float_literal] = ACTIONS(1278),
    [sym_rune_literal] = ACTIONS(1278),
    [anon_sym_DOT] = ACTIONS(1280),
    [anon_sym_array] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_char] = ACTIONS(1280),
    [anon_sym_sql] = ACTIONS(1280),
    [anon_sym_mut] = ACTIONS(1280),
    [anon_sym_C] = ACTIONS(1280),
    [anon_sym_JS] = ACTIONS(1280),
    [anon_sym_voidptr] = ACTIONS(1280),
    [anon_sym_byteptr] = ACTIONS(1280),
    [anon_sym_charptr] = ACTIONS(1280),
    [anon_sym_i8] = ACTIONS(1280),
    [anon_sym_i16] = ACTIONS(1280),
    [anon_sym_i32] = ACTIONS(1280),
    [anon_sym_int] = ACTIONS(1280),
    [anon_sym_i64] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_u8] = ACTIONS(1280),
    [anon_sym_u16] = ACTIONS(1280),
    [anon_sym_u32] = ACTIONS(1280),
    [anon_sym_u64] = ACTIONS(1280),
    [anon_sym_f32] = ACTIONS(1280),
    [anon_sym_f64] = ACTIONS(1280),
    [anon_sym_bool] = ACTIONS(1280),
    [anon_sym_rune] = ACTIONS(1280),
    [anon_sym_map] = ACTIONS(1280),
    [anon_sym_mapnode] = ACTIONS(1280),
    [anon_sym_size_t] = ACTIONS(1280),
    [anon_sym_usize] = ACTIONS(1280),
    [anon_sym_isize] = ACTIONS(1280),
    [anon_sym_float_literal] = ACTIONS(1280),
    [anon_sym_int_literal] = ACTIONS(1280),
    [anon_sym_IError] = ACTIONS(1280),
    [sym_type_placeholder] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [sym_type_identifier] = ACTIONS(1280),
    [anon_sym_unsafe] = ACTIONS(1280),
    [anon_sym_fn] = ACTIONS(1280),
    [anon_sym_DOLLARif] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_is] = ACTIONS(1280),
    [anon_sym_BANGis] = ACTIONS(1278),
    [anon_sym_match] = ACTIONS(1280),
    [anon_sym_select] = ACTIONS(1280),
    [anon_sym_lock] = ACTIONS(1280),
    [anon_sym_rlock] = ACTIONS(1280),
    [sym__c_string_opening] = ACTIONS(1278),
    [sym__raw_string_opening] = ACTIONS(1278),
    [sym__string_opening] = ACTIONS(1278),
    [sym__comment] = ACTIONS(3),
  },
  [1763] = {
    [sym_comment] = STATE(1763),
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_LT_DASH] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_LT_LT] = ACTIONS(1448),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1448),
    [anon_sym_AMP_CARET] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_BANGin] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_as] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [sym_none] = ACTIONS(1450),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_map_LBRACK] = ACTIONS(1448),
    [anon_sym_chan] = ACTIONS(1450),
    [anon_sym_shared] = ACTIONS(1450),
    [anon_sym_thread] = ACTIONS(1450),
    [sym_int_literal] = ACTIONS(1450),
    [sym_float_literal] = ACTIONS(1448),
    [sym_rune_literal] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1450),
    [anon_sym_array] = ACTIONS(1450),
    [anon_sym_string] = ACTIONS(1450),
    [anon_sym_char] = ACTIONS(1450),
    [anon_sym_sql] = ACTIONS(1450),
    [anon_sym_mut] = ACTIONS(1450),
    [anon_sym_C] = ACTIONS(1450),
    [anon_sym_JS] = ACTIONS(1450),
    [anon_sym_voidptr] = ACTIONS(1450),
    [anon_sym_byteptr] = ACTIONS(1450),
    [anon_sym_charptr] = ACTIONS(1450),
    [anon_sym_i8] = ACTIONS(1450),
    [anon_sym_i16] = ACTIONS(1450),
    [anon_sym_i32] = ACTIONS(1450),
    [anon_sym_int] = ACTIONS(1450),
    [anon_sym_i64] = ACTIONS(1450),
    [anon_sym_byte] = ACTIONS(1450),
    [anon_sym_u8] = ACTIONS(1450),
    [anon_sym_u16] = ACTIONS(1450),
    [anon_sym_u32] = ACTIONS(1450),
    [anon_sym_u64] = ACTIONS(1450),
    [anon_sym_f32] = ACTIONS(1450),
    [anon_sym_f64] = ACTIONS(1450),
    [anon_sym_bool] = ACTIONS(1450),
    [anon_sym_rune] = ACTIONS(1450),
    [anon_sym_map] = ACTIONS(1450),
    [anon_sym_mapnode] = ACTIONS(1450),
    [anon_sym_size_t] = ACTIONS(1450),
    [anon_sym_usize] = ACTIONS(1450),
    [anon_sym_isize] = ACTIONS(1450),
    [anon_sym_float_literal] = ACTIONS(1450),
    [anon_sym_int_literal] = ACTIONS(1450),
    [anon_sym_IError] = ACTIONS(1450),
    [sym_type_placeholder] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [sym_type_identifier] = ACTIONS(1450),
    [anon_sym_unsafe] = ACTIONS(1450),
    [anon_sym_fn] = ACTIONS(1450),
    [anon_sym_DOLLARif] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_is] = ACTIONS(1450),
    [anon_sym_BANGis] = ACTIONS(1448),
    [anon_sym_match] = ACTIONS(1450),
    [anon_sym_select] = ACTIONS(1450),
    [anon_sym_lock] = ACTIONS(1450),
    [anon_sym_rlock] = ACTIONS(1450),
    [sym__c_string_opening] = ACTIONS(1448),
    [sym__raw_string_opening] = ACTIONS(1448),
    [sym__string_opening] = ACTIONS(1448),
    [sym__comment] = ACTIONS(3),
  },
  [1764] = {
    [sym_comment] = STATE(1764),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_LT_DASH] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_GT_GT_GT] = ACTIONS(1452),
    [anon_sym_AMP_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1454),
    [anon_sym_BANGin] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [sym_none] = ACTIONS(1454),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1452),
    [anon_sym_map_LBRACK] = ACTIONS(1452),
    [anon_sym_chan] = ACTIONS(1454),
    [anon_sym_shared] = ACTIONS(1454),
    [anon_sym_thread] = ACTIONS(1454),
    [sym_int_literal] = ACTIONS(1454),
    [sym_float_literal] = ACTIONS(1452),
    [sym_rune_literal] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_array] = ACTIONS(1454),
    [anon_sym_string] = ACTIONS(1454),
    [anon_sym_char] = ACTIONS(1454),
    [anon_sym_sql] = ACTIONS(1454),
    [anon_sym_mut] = ACTIONS(1454),
    [anon_sym_C] = ACTIONS(1454),
    [anon_sym_JS] = ACTIONS(1454),
    [anon_sym_voidptr] = ACTIONS(1454),
    [anon_sym_byteptr] = ACTIONS(1454),
    [anon_sym_charptr] = ACTIONS(1454),
    [anon_sym_i8] = ACTIONS(1454),
    [anon_sym_i16] = ACTIONS(1454),
    [anon_sym_i32] = ACTIONS(1454),
    [anon_sym_int] = ACTIONS(1454),
    [anon_sym_i64] = ACTIONS(1454),
    [anon_sym_byte] = ACTIONS(1454),
    [anon_sym_u8] = ACTIONS(1454),
    [anon_sym_u16] = ACTIONS(1454),
    [anon_sym_u32] = ACTIONS(1454),
    [anon_sym_u64] = ACTIONS(1454),
    [anon_sym_f32] = ACTIONS(1454),
    [anon_sym_f64] = ACTIONS(1454),
    [anon_sym_bool] = ACTIONS(1454),
    [anon_sym_rune] = ACTIONS(1454),
    [anon_sym_map] = ACTIONS(1454),
    [anon_sym_mapnode] = ACTIONS(1454),
    [anon_sym_size_t] = ACTIONS(1454),
    [anon_sym_usize] = ACTIONS(1454),
    [anon_sym_isize] = ACTIONS(1454),
    [anon_sym_float_literal] = ACTIONS(1454),
    [anon_sym_int_literal] = ACTIONS(1454),
    [anon_sym_IError] = ACTIONS(1454),
    [sym_type_placeholder] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym_type_identifier] = ACTIONS(1454),
    [anon_sym_unsafe] = ACTIONS(1454),
    [anon_sym_fn] = ACTIONS(1454),
    [anon_sym_DOLLARif] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_is] = ACTIONS(1454),
    [anon_sym_BANGis] = ACTIONS(1452),
    [anon_sym_match] = ACTIONS(1454),
    [anon_sym_select] = ACTIONS(1454),
    [anon_sym_lock] = ACTIONS(1454),
    [anon_sym_rlock] = ACTIONS(1454),
    [sym__c_string_opening] = ACTIONS(1452),
    [sym__raw_string_opening] = ACTIONS(1452),
    [sym__string_opening] = ACTIONS(1452),
    [sym__comment] = ACTIONS(3),
  },
  [1765] = {
    [sym_comment] = STATE(1765),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1112),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1112),
    [anon_sym_BANGin] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_as] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_RBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_is] = ACTIONS(1112),
    [anon_sym_BANGis] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1766] = {
    [sym_comment] = STATE(1766),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_PERCENT] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1476),
    [anon_sym_GT_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_BANGin] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_as] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [sym_none] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_RBRACK] = ACTIONS(1474),
    [anon_sym_map_LBRACK] = ACTIONS(1474),
    [anon_sym_chan] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_thread] = ACTIONS(1476),
    [sym_int_literal] = ACTIONS(1476),
    [sym_float_literal] = ACTIONS(1474),
    [sym_rune_literal] = ACTIONS(1474),
    [anon_sym_DOT] = ACTIONS(1476),
    [anon_sym_array] = ACTIONS(1476),
    [anon_sym_string] = ACTIONS(1476),
    [anon_sym_char] = ACTIONS(1476),
    [anon_sym_sql] = ACTIONS(1476),
    [anon_sym_mut] = ACTIONS(1476),
    [anon_sym_C] = ACTIONS(1476),
    [anon_sym_JS] = ACTIONS(1476),
    [anon_sym_voidptr] = ACTIONS(1476),
    [anon_sym_byteptr] = ACTIONS(1476),
    [anon_sym_charptr] = ACTIONS(1476),
    [anon_sym_i8] = ACTIONS(1476),
    [anon_sym_i16] = ACTIONS(1476),
    [anon_sym_i32] = ACTIONS(1476),
    [anon_sym_int] = ACTIONS(1476),
    [anon_sym_i64] = ACTIONS(1476),
    [anon_sym_byte] = ACTIONS(1476),
    [anon_sym_u8] = ACTIONS(1476),
    [anon_sym_u16] = ACTIONS(1476),
    [anon_sym_u32] = ACTIONS(1476),
    [anon_sym_u64] = ACTIONS(1476),
    [anon_sym_f32] = ACTIONS(1476),
    [anon_sym_f64] = ACTIONS(1476),
    [anon_sym_bool] = ACTIONS(1476),
    [anon_sym_rune] = ACTIONS(1476),
    [anon_sym_map] = ACTIONS(1476),
    [anon_sym_mapnode] = ACTIONS(1476),
    [anon_sym_size_t] = ACTIONS(1476),
    [anon_sym_usize] = ACTIONS(1476),
    [anon_sym_isize] = ACTIONS(1476),
    [anon_sym_float_literal] = ACTIONS(1476),
    [anon_sym_int_literal] = ACTIONS(1476),
    [anon_sym_IError] = ACTIONS(1476),
    [sym_type_placeholder] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym_type_identifier] = ACTIONS(1476),
    [anon_sym_unsafe] = ACTIONS(1476),
    [anon_sym_fn] = ACTIONS(1476),
    [anon_sym_DOLLARif] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_is] = ACTIONS(1476),
    [anon_sym_BANGis] = ACTIONS(1474),
    [anon_sym_match] = ACTIONS(1476),
    [anon_sym_select] = ACTIONS(1476),
    [anon_sym_lock] = ACTIONS(1476),
    [anon_sym_rlock] = ACTIONS(1476),
    [sym__c_string_opening] = ACTIONS(1474),
    [sym__raw_string_opening] = ACTIONS(1474),
    [sym__string_opening] = ACTIONS(1474),
    [sym__comment] = ACTIONS(3),
  },
  [1767] = {
    [sym_comment] = STATE(1767),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_LT_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1396),
    [anon_sym_GT_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT] = ACTIONS(1396),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_BANGin] = ACTIONS(1394),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_as] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [sym_none] = ACTIONS(1396),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_RBRACK] = ACTIONS(1394),
    [anon_sym_map_LBRACK] = ACTIONS(1394),
    [anon_sym_chan] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_thread] = ACTIONS(1396),
    [sym_int_literal] = ACTIONS(1396),
    [sym_float_literal] = ACTIONS(1394),
    [sym_rune_literal] = ACTIONS(1394),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_array] = ACTIONS(1396),
    [anon_sym_string] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_sql] = ACTIONS(1396),
    [anon_sym_mut] = ACTIONS(1396),
    [anon_sym_C] = ACTIONS(1396),
    [anon_sym_JS] = ACTIONS(1396),
    [anon_sym_voidptr] = ACTIONS(1396),
    [anon_sym_byteptr] = ACTIONS(1396),
    [anon_sym_charptr] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_int] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_byte] = ACTIONS(1396),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_rune] = ACTIONS(1396),
    [anon_sym_map] = ACTIONS(1396),
    [anon_sym_mapnode] = ACTIONS(1396),
    [anon_sym_size_t] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_float_literal] = ACTIONS(1396),
    [anon_sym_int_literal] = ACTIONS(1396),
    [anon_sym_IError] = ACTIONS(1396),
    [sym_type_placeholder] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [sym_type_identifier] = ACTIONS(1396),
    [anon_sym_unsafe] = ACTIONS(1396),
    [anon_sym_fn] = ACTIONS(1396),
    [anon_sym_DOLLARif] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_is] = ACTIONS(1396),
    [anon_sym_BANGis] = ACTIONS(1394),
    [anon_sym_match] = ACTIONS(1396),
    [anon_sym_select] = ACTIONS(1396),
    [anon_sym_lock] = ACTIONS(1396),
    [anon_sym_rlock] = ACTIONS(1396),
    [sym__c_string_opening] = ACTIONS(1394),
    [sym__raw_string_opening] = ACTIONS(1394),
    [sym__string_opening] = ACTIONS(1394),
    [sym__comment] = ACTIONS(3),
  },
  [1768] = {
    [sym_comment] = STATE(1768),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_LT_DASH] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1398),
    [anon_sym_PERCENT] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_GT_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_BANGin] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1398),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_RBRACK] = ACTIONS(1398),
    [anon_sym_map_LBRACK] = ACTIONS(1398),
    [anon_sym_chan] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_thread] = ACTIONS(1400),
    [sym_int_literal] = ACTIONS(1400),
    [sym_float_literal] = ACTIONS(1398),
    [sym_rune_literal] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_array] = ACTIONS(1400),
    [anon_sym_string] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_sql] = ACTIONS(1400),
    [anon_sym_mut] = ACTIONS(1400),
    [anon_sym_C] = ACTIONS(1400),
    [anon_sym_JS] = ACTIONS(1400),
    [anon_sym_voidptr] = ACTIONS(1400),
    [anon_sym_byteptr] = ACTIONS(1400),
    [anon_sym_charptr] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_int] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_byte] = ACTIONS(1400),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_rune] = ACTIONS(1400),
    [anon_sym_map] = ACTIONS(1400),
    [anon_sym_mapnode] = ACTIONS(1400),
    [anon_sym_size_t] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_float_literal] = ACTIONS(1400),
    [anon_sym_int_literal] = ACTIONS(1400),
    [anon_sym_IError] = ACTIONS(1400),
    [sym_type_placeholder] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [sym_type_identifier] = ACTIONS(1400),
    [anon_sym_unsafe] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym_DOLLARif] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_is] = ACTIONS(1400),
    [anon_sym_BANGis] = ACTIONS(1398),
    [anon_sym_match] = ACTIONS(1400),
    [anon_sym_select] = ACTIONS(1400),
    [anon_sym_lock] = ACTIONS(1400),
    [anon_sym_rlock] = ACTIONS(1400),
    [sym__c_string_opening] = ACTIONS(1398),
    [sym__raw_string_opening] = ACTIONS(1398),
    [sym__string_opening] = ACTIONS(1398),
    [sym__comment] = ACTIONS(3),
  },
  [1769] = {
    [sym_comment] = STATE(1769),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_LT_LT] = ACTIONS(1482),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1482),
    [anon_sym_AMP_CARET] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_BANGin] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_as] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [sym_none] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_map_LBRACK] = ACTIONS(1482),
    [anon_sym_chan] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_thread] = ACTIONS(1484),
    [sym_int_literal] = ACTIONS(1484),
    [sym_float_literal] = ACTIONS(1482),
    [sym_rune_literal] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_array] = ACTIONS(1484),
    [anon_sym_string] = ACTIONS(1484),
    [anon_sym_char] = ACTIONS(1484),
    [anon_sym_sql] = ACTIONS(1484),
    [anon_sym_mut] = ACTIONS(1484),
    [anon_sym_C] = ACTIONS(1484),
    [anon_sym_JS] = ACTIONS(1484),
    [anon_sym_voidptr] = ACTIONS(1484),
    [anon_sym_byteptr] = ACTIONS(1484),
    [anon_sym_charptr] = ACTIONS(1484),
    [anon_sym_i8] = ACTIONS(1484),
    [anon_sym_i16] = ACTIONS(1484),
    [anon_sym_i32] = ACTIONS(1484),
    [anon_sym_int] = ACTIONS(1484),
    [anon_sym_i64] = ACTIONS(1484),
    [anon_sym_byte] = ACTIONS(1484),
    [anon_sym_u8] = ACTIONS(1484),
    [anon_sym_u16] = ACTIONS(1484),
    [anon_sym_u32] = ACTIONS(1484),
    [anon_sym_u64] = ACTIONS(1484),
    [anon_sym_f32] = ACTIONS(1484),
    [anon_sym_f64] = ACTIONS(1484),
    [anon_sym_bool] = ACTIONS(1484),
    [anon_sym_rune] = ACTIONS(1484),
    [anon_sym_map] = ACTIONS(1484),
    [anon_sym_mapnode] = ACTIONS(1484),
    [anon_sym_size_t] = ACTIONS(1484),
    [anon_sym_usize] = ACTIONS(1484),
    [anon_sym_isize] = ACTIONS(1484),
    [anon_sym_float_literal] = ACTIONS(1484),
    [anon_sym_int_literal] = ACTIONS(1484),
    [anon_sym_IError] = ACTIONS(1484),
    [sym_type_placeholder] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym_type_identifier] = ACTIONS(1484),
    [anon_sym_unsafe] = ACTIONS(1484),
    [anon_sym_fn] = ACTIONS(1484),
    [anon_sym_DOLLARif] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1484),
    [anon_sym_BANGis] = ACTIONS(1482),
    [anon_sym_match] = ACTIONS(1484),
    [anon_sym_select] = ACTIONS(1484),
    [anon_sym_lock] = ACTIONS(1484),
    [anon_sym_rlock] = ACTIONS(1484),
    [sym__c_string_opening] = ACTIONS(1482),
    [sym__raw_string_opening] = ACTIONS(1482),
    [sym__string_opening] = ACTIONS(1482),
    [sym__comment] = ACTIONS(3),
  },
  [1770] = {
    [sym_comment] = STATE(1770),
    [sym_identifier] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_LT_DASH] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1494),
    [anon_sym_GT_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1494),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1494),
    [anon_sym_BANGin] = ACTIONS(1492),
    [anon_sym_AMP_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_as] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [sym_none] = ACTIONS(1494),
    [sym_true] = ACTIONS(1494),
    [sym_false] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_RBRACK] = ACTIONS(1492),
    [anon_sym_map_LBRACK] = ACTIONS(1492),
    [anon_sym_chan] = ACTIONS(1494),
    [anon_sym_shared] = ACTIONS(1494),
    [anon_sym_thread] = ACTIONS(1494),
    [sym_int_literal] = ACTIONS(1494),
    [sym_float_literal] = ACTIONS(1492),
    [sym_rune_literal] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1494),
    [anon_sym_array] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_char] = ACTIONS(1494),
    [anon_sym_sql] = ACTIONS(1494),
    [anon_sym_mut] = ACTIONS(1494),
    [anon_sym_C] = ACTIONS(1494),
    [anon_sym_JS] = ACTIONS(1494),
    [anon_sym_voidptr] = ACTIONS(1494),
    [anon_sym_byteptr] = ACTIONS(1494),
    [anon_sym_charptr] = ACTIONS(1494),
    [anon_sym_i8] = ACTIONS(1494),
    [anon_sym_i16] = ACTIONS(1494),
    [anon_sym_i32] = ACTIONS(1494),
    [anon_sym_int] = ACTIONS(1494),
    [anon_sym_i64] = ACTIONS(1494),
    [anon_sym_byte] = ACTIONS(1494),
    [anon_sym_u8] = ACTIONS(1494),
    [anon_sym_u16] = ACTIONS(1494),
    [anon_sym_u32] = ACTIONS(1494),
    [anon_sym_u64] = ACTIONS(1494),
    [anon_sym_f32] = ACTIONS(1494),
    [anon_sym_f64] = ACTIONS(1494),
    [anon_sym_bool] = ACTIONS(1494),
    [anon_sym_rune] = ACTIONS(1494),
    [anon_sym_map] = ACTIONS(1494),
    [anon_sym_mapnode] = ACTIONS(1494),
    [anon_sym_size_t] = ACTIONS(1494),
    [anon_sym_usize] = ACTIONS(1494),
    [anon_sym_isize] = ACTIONS(1494),
    [anon_sym_float_literal] = ACTIONS(1494),
    [anon_sym_int_literal] = ACTIONS(1494),
    [anon_sym_IError] = ACTIONS(1494),
    [sym_type_placeholder] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym_type_identifier] = ACTIONS(1494),
    [anon_sym_unsafe] = ACTIONS(1494),
    [anon_sym_fn] = ACTIONS(1494),
    [anon_sym_DOLLARif] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_is] = ACTIONS(1494),
    [anon_sym_BANGis] = ACTIONS(1492),
    [anon_sym_match] = ACTIONS(1494),
    [anon_sym_select] = ACTIONS(1494),
    [anon_sym_lock] = ACTIONS(1494),
    [anon_sym_rlock] = ACTIONS(1494),
    [sym__c_string_opening] = ACTIONS(1492),
    [sym__raw_string_opening] = ACTIONS(1492),
    [sym__string_opening] = ACTIONS(1492),
    [sym__comment] = ACTIONS(3),
  },
  [1771] = {
    [sym_comment] = STATE(1771),
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_LT_DASH] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1500),
    [anon_sym_PERCENT] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_GT_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_BANGin] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [sym_none] = ACTIONS(1502),
    [sym_true] = ACTIONS(1502),
    [sym_false] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_RBRACK] = ACTIONS(1500),
    [anon_sym_map_LBRACK] = ACTIONS(1500),
    [anon_sym_chan] = ACTIONS(1502),
    [anon_sym_shared] = ACTIONS(1502),
    [anon_sym_thread] = ACTIONS(1502),
    [sym_int_literal] = ACTIONS(1502),
    [sym_float_literal] = ACTIONS(1500),
    [sym_rune_literal] = ACTIONS(1500),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_array] = ACTIONS(1502),
    [anon_sym_string] = ACTIONS(1502),
    [anon_sym_char] = ACTIONS(1502),
    [anon_sym_sql] = ACTIONS(1502),
    [anon_sym_mut] = ACTIONS(1502),
    [anon_sym_C] = ACTIONS(1502),
    [anon_sym_JS] = ACTIONS(1502),
    [anon_sym_voidptr] = ACTIONS(1502),
    [anon_sym_byteptr] = ACTIONS(1502),
    [anon_sym_charptr] = ACTIONS(1502),
    [anon_sym_i8] = ACTIONS(1502),
    [anon_sym_i16] = ACTIONS(1502),
    [anon_sym_i32] = ACTIONS(1502),
    [anon_sym_int] = ACTIONS(1502),
    [anon_sym_i64] = ACTIONS(1502),
    [anon_sym_byte] = ACTIONS(1502),
    [anon_sym_u8] = ACTIONS(1502),
    [anon_sym_u16] = ACTIONS(1502),
    [anon_sym_u32] = ACTIONS(1502),
    [anon_sym_u64] = ACTIONS(1502),
    [anon_sym_f32] = ACTIONS(1502),
    [anon_sym_f64] = ACTIONS(1502),
    [anon_sym_bool] = ACTIONS(1502),
    [anon_sym_rune] = ACTIONS(1502),
    [anon_sym_map] = ACTIONS(1502),
    [anon_sym_mapnode] = ACTIONS(1502),
    [anon_sym_size_t] = ACTIONS(1502),
    [anon_sym_usize] = ACTIONS(1502),
    [anon_sym_isize] = ACTIONS(1502),
    [anon_sym_float_literal] = ACTIONS(1502),
    [anon_sym_int_literal] = ACTIONS(1502),
    [anon_sym_IError] = ACTIONS(1502),
    [sym_type_placeholder] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [sym_type_identifier] = ACTIONS(1502),
    [anon_sym_unsafe] = ACTIONS(1502),
    [anon_sym_fn] = ACTIONS(1502),
    [anon_sym_DOLLARif] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1502),
    [anon_sym_is] = ACTIONS(1502),
    [anon_sym_BANGis] = ACTIONS(1500),
    [anon_sym_match] = ACTIONS(1502),
    [anon_sym_select] = ACTIONS(1502),
    [anon_sym_lock] = ACTIONS(1502),
    [anon_sym_rlock] = ACTIONS(1502),
    [sym__c_string_opening] = ACTIONS(1500),
    [sym__raw_string_opening] = ACTIONS(1500),
    [sym__string_opening] = ACTIONS(1500),
    [sym__comment] = ACTIONS(3),
  },
  [1772] = {
    [sym_comment] = STATE(1772),
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_LT_DASH] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1560),
    [anon_sym_PERCENT] = ACTIONS(1560),
    [anon_sym_LT_LT] = ACTIONS(1560),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1560),
    [anon_sym_AMP_CARET] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_BANGin] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1560),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1562),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_none] = ACTIONS(1562),
    [sym_true] = ACTIONS(1562),
    [sym_false] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_RBRACK] = ACTIONS(1560),
    [anon_sym_map_LBRACK] = ACTIONS(1560),
    [anon_sym_chan] = ACTIONS(1562),
    [anon_sym_shared] = ACTIONS(1562),
    [anon_sym_thread] = ACTIONS(1562),
    [sym_int_literal] = ACTIONS(1562),
    [sym_float_literal] = ACTIONS(1560),
    [sym_rune_literal] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_array] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_char] = ACTIONS(1562),
    [anon_sym_sql] = ACTIONS(1562),
    [anon_sym_mut] = ACTIONS(1562),
    [anon_sym_C] = ACTIONS(1562),
    [anon_sym_JS] = ACTIONS(1562),
    [anon_sym_voidptr] = ACTIONS(1562),
    [anon_sym_byteptr] = ACTIONS(1562),
    [anon_sym_charptr] = ACTIONS(1562),
    [anon_sym_i8] = ACTIONS(1562),
    [anon_sym_i16] = ACTIONS(1562),
    [anon_sym_i32] = ACTIONS(1562),
    [anon_sym_int] = ACTIONS(1562),
    [anon_sym_i64] = ACTIONS(1562),
    [anon_sym_byte] = ACTIONS(1562),
    [anon_sym_u8] = ACTIONS(1562),
    [anon_sym_u16] = ACTIONS(1562),
    [anon_sym_u32] = ACTIONS(1562),
    [anon_sym_u64] = ACTIONS(1562),
    [anon_sym_f32] = ACTIONS(1562),
    [anon_sym_f64] = ACTIONS(1562),
    [anon_sym_bool] = ACTIONS(1562),
    [anon_sym_rune] = ACTIONS(1562),
    [anon_sym_map] = ACTIONS(1562),
    [anon_sym_mapnode] = ACTIONS(1562),
    [anon_sym_size_t] = ACTIONS(1562),
    [anon_sym_usize] = ACTIONS(1562),
    [anon_sym_isize] = ACTIONS(1562),
    [anon_sym_float_literal] = ACTIONS(1562),
    [anon_sym_int_literal] = ACTIONS(1562),
    [anon_sym_IError] = ACTIONS(1562),
    [sym_type_placeholder] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [sym_type_identifier] = ACTIONS(1562),
    [anon_sym_unsafe] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym_DOLLARif] = ACTIONS(1560),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_is] = ACTIONS(1562),
    [anon_sym_BANGis] = ACTIONS(1560),
    [anon_sym_match] = ACTIONS(1562),
    [anon_sym_select] = ACTIONS(1562),
    [anon_sym_lock] = ACTIONS(1562),
    [anon_sym_rlock] = ACTIONS(1562),
    [sym__c_string_opening] = ACTIONS(1560),
    [sym__raw_string_opening] = ACTIONS(1560),
    [sym__string_opening] = ACTIONS(1560),
    [sym__comment] = ACTIONS(3),
  },
  [1773] = {
    [sym_comment] = STATE(1773),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym_LPAREN] = ACTIONS(4598),
    [anon_sym_PLUS] = ACTIONS(4574),
    [anon_sym_DASH] = ACTIONS(4574),
    [anon_sym_BANG] = ACTIONS(4596),
    [anon_sym_TILDE] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4574),
    [anon_sym_STAR] = ACTIONS(4576),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_LT_DASH] = ACTIONS(4598),
    [anon_sym_SLASH] = ACTIONS(4576),
    [anon_sym_PERCENT] = ACTIONS(4576),
    [anon_sym_LT_LT] = ACTIONS(4576),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_GT_GT_GT] = ACTIONS(4576),
    [anon_sym_AMP_CARET] = ACTIONS(4576),
    [anon_sym_PIPE] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4582),
    [anon_sym_BANG_EQ] = ACTIONS(4582),
    [anon_sym_LT] = ACTIONS(4584),
    [anon_sym_LT_EQ] = ACTIONS(4582),
    [anon_sym_GT] = ACTIONS(4584),
    [anon_sym_GT_EQ] = ACTIONS(4582),
    [anon_sym_in] = ACTIONS(4584),
    [anon_sym_BANGin] = ACTIONS(4582),
    [anon_sym_AMP_AMP] = ACTIONS(4586),
    [anon_sym_PIPE_PIPE] = ACTIONS(4600),
    [anon_sym_as] = ACTIONS(4602),
    [anon_sym_COMMA] = ACTIONS(4604),
    [anon_sym_DOLLAR] = ACTIONS(4596),
    [sym_none] = ACTIONS(4596),
    [sym_true] = ACTIONS(4596),
    [sym_false] = ACTIONS(4596),
    [anon_sym_LBRACE] = ACTIONS(4598),
    [anon_sym_LBRACK] = ACTIONS(4588),
    [anon_sym_RBRACK] = ACTIONS(4598),
    [anon_sym_map_LBRACK] = ACTIONS(4598),
    [anon_sym_chan] = ACTIONS(4596),
    [anon_sym_shared] = ACTIONS(4596),
    [anon_sym_thread] = ACTIONS(4596),
    [sym_int_literal] = ACTIONS(4596),
    [sym_float_literal] = ACTIONS(4598),
    [sym_rune_literal] = ACTIONS(4598),
    [anon_sym_DOT] = ACTIONS(4590),
    [anon_sym_array] = ACTIONS(4596),
    [anon_sym_string] = ACTIONS(4596),
    [anon_sym_char] = ACTIONS(4596),
    [anon_sym_sql] = ACTIONS(4596),
    [anon_sym_mut] = ACTIONS(4596),
    [anon_sym_C] = ACTIONS(4596),
    [anon_sym_JS] = ACTIONS(4596),
    [anon_sym_voidptr] = ACTIONS(4596),
    [anon_sym_byteptr] = ACTIONS(4596),
    [anon_sym_charptr] = ACTIONS(4596),
    [anon_sym_i8] = ACTIONS(4596),
    [anon_sym_i16] = ACTIONS(4596),
    [anon_sym_i32] = ACTIONS(4596),
    [anon_sym_int] = ACTIONS(4596),
    [anon_sym_i64] = ACTIONS(4596),
    [anon_sym_byte] = ACTIONS(4596),
    [anon_sym_u8] = ACTIONS(4596),
    [anon_sym_u16] = ACTIONS(4596),
    [anon_sym_u32] = ACTIONS(4596),
    [anon_sym_u64] = ACTIONS(4596),
    [anon_sym_f32] = ACTIONS(4596),
    [anon_sym_f64] = ACTIONS(4596),
    [anon_sym_bool] = ACTIONS(4596),
    [anon_sym_rune] = ACTIONS(4596),
    [anon_sym_map] = ACTIONS(4596),
    [anon_sym_mapnode] = ACTIONS(4596),
    [anon_sym_size_t] = ACTIONS(4596),
    [anon_sym_usize] = ACTIONS(4596),
    [anon_sym_isize] = ACTIONS(4596),
    [anon_sym_float_literal] = ACTIONS(4596),
    [anon_sym_int_literal] = ACTIONS(4596),
    [anon_sym_IError] = ACTIONS(4596),
    [sym_type_placeholder] = ACTIONS(4596),
    [anon_sym_AT] = ACTIONS(4596),
    [sym_type_identifier] = ACTIONS(4596),
    [anon_sym_unsafe] = ACTIONS(4596),
    [anon_sym_fn] = ACTIONS(4596),
    [anon_sym_DOLLARif] = ACTIONS(4598),
    [anon_sym_if] = ACTIONS(4596),
    [anon_sym_is] = ACTIONS(4592),
    [anon_sym_BANGis] = ACTIONS(4594),
    [anon_sym_match] = ACTIONS(4596),
    [anon_sym_select] = ACTIONS(4596),
    [anon_sym_lock] = ACTIONS(4596),
    [anon_sym_rlock] = ACTIONS(4596),
    [sym__c_string_opening] = ACTIONS(4598),
    [sym__raw_string_opening] = ACTIONS(4598),
    [sym__string_opening] = ACTIONS(4598),
    [sym__comment] = ACTIONS(3),
  },
  [1774] = {
    [sym_comment] = STATE(1774),
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_BANG] = ACTIONS(4606),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_LT_DASH] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_BANGin] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [sym_none] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1610),
    [anon_sym_map_LBRACK] = ACTIONS(1610),
    [anon_sym_chan] = ACTIONS(1612),
    [anon_sym_shared] = ACTIONS(1612),
    [anon_sym_thread] = ACTIONS(1612),
    [sym_int_literal] = ACTIONS(1612),
    [sym_float_literal] = ACTIONS(1610),
    [sym_rune_literal] = ACTIONS(1610),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_array] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_sql] = ACTIONS(1612),
    [anon_sym_mut] = ACTIONS(1612),
    [anon_sym_C] = ACTIONS(1612),
    [anon_sym_JS] = ACTIONS(1612),
    [anon_sym_voidptr] = ACTIONS(1612),
    [anon_sym_byteptr] = ACTIONS(1612),
    [anon_sym_charptr] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_int] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_byte] = ACTIONS(1612),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_rune] = ACTIONS(1612),
    [anon_sym_map] = ACTIONS(1612),
    [anon_sym_mapnode] = ACTIONS(1612),
    [anon_sym_size_t] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_float_literal] = ACTIONS(1612),
    [anon_sym_int_literal] = ACTIONS(1612),
    [anon_sym_IError] = ACTIONS(1612),
    [sym_type_placeholder] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [sym_type_identifier] = ACTIONS(1612),
    [anon_sym_unsafe] = ACTIONS(1612),
    [anon_sym_fn] = ACTIONS(1612),
    [anon_sym_DOLLARif] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1612),
    [anon_sym_BANGis] = ACTIONS(1610),
    [anon_sym_match] = ACTIONS(1612),
    [anon_sym_select] = ACTIONS(1612),
    [anon_sym_lock] = ACTIONS(1612),
    [anon_sym_rlock] = ACTIONS(1612),
    [sym__c_string_opening] = ACTIONS(1610),
    [sym__raw_string_opening] = ACTIONS(1610),
    [sym__string_opening] = ACTIONS(1610),
    [sym__comment] = ACTIONS(3),
  },
  [1775] = {
    [sym_comment] = STATE(1775),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_BANGin] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_RBRACK] = ACTIONS(1200),
    [anon_sym_map_LBRACK] = ACTIONS(1200),
    [anon_sym_chan] = ACTIONS(1202),
    [anon_sym_shared] = ACTIONS(1202),
    [anon_sym_thread] = ACTIONS(1202),
    [sym_int_literal] = ACTIONS(1202),
    [sym_float_literal] = ACTIONS(1200),
    [sym_rune_literal] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1202),
    [anon_sym_array] = ACTIONS(1202),
    [anon_sym_string] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_sql] = ACTIONS(1202),
    [anon_sym_mut] = ACTIONS(1202),
    [anon_sym_C] = ACTIONS(1202),
    [anon_sym_JS] = ACTIONS(1202),
    [anon_sym_voidptr] = ACTIONS(1202),
    [anon_sym_byteptr] = ACTIONS(1202),
    [anon_sym_charptr] = ACTIONS(1202),
    [anon_sym_i8] = ACTIONS(1202),
    [anon_sym_i16] = ACTIONS(1202),
    [anon_sym_i32] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_i64] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_u8] = ACTIONS(1202),
    [anon_sym_u16] = ACTIONS(1202),
    [anon_sym_u32] = ACTIONS(1202),
    [anon_sym_u64] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_rune] = ACTIONS(1202),
    [anon_sym_map] = ACTIONS(1202),
    [anon_sym_mapnode] = ACTIONS(1202),
    [anon_sym_size_t] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_float_literal] = ACTIONS(1202),
    [anon_sym_int_literal] = ACTIONS(1202),
    [anon_sym_IError] = ACTIONS(1202),
    [sym_type_placeholder] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_type_identifier] = ACTIONS(1202),
    [anon_sym_unsafe] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_DOLLARif] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_BANGis] = ACTIONS(1200),
    [anon_sym_match] = ACTIONS(1202),
    [anon_sym_select] = ACTIONS(1202),
    [anon_sym_lock] = ACTIONS(1202),
    [anon_sym_rlock] = ACTIONS(1202),
    [sym__c_string_opening] = ACTIONS(1200),
    [sym__raw_string_opening] = ACTIONS(1200),
    [sym__string_opening] = ACTIONS(1200),
    [sym__comment] = ACTIONS(3),
  },
  [1776] = {
    [sym_comment] = STATE(1776),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_BANGin] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_RBRACK] = ACTIONS(1196),
    [anon_sym_map_LBRACK] = ACTIONS(1196),
    [anon_sym_chan] = ACTIONS(1198),
    [anon_sym_shared] = ACTIONS(1198),
    [anon_sym_thread] = ACTIONS(1198),
    [sym_int_literal] = ACTIONS(1198),
    [sym_float_literal] = ACTIONS(1196),
    [sym_rune_literal] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_array] = ACTIONS(1198),
    [anon_sym_string] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_sql] = ACTIONS(1198),
    [anon_sym_mut] = ACTIONS(1198),
    [anon_sym_C] = ACTIONS(1198),
    [anon_sym_JS] = ACTIONS(1198),
    [anon_sym_voidptr] = ACTIONS(1198),
    [anon_sym_byteptr] = ACTIONS(1198),
    [anon_sym_charptr] = ACTIONS(1198),
    [anon_sym_i8] = ACTIONS(1198),
    [anon_sym_i16] = ACTIONS(1198),
    [anon_sym_i32] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_i64] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_u8] = ACTIONS(1198),
    [anon_sym_u16] = ACTIONS(1198),
    [anon_sym_u32] = ACTIONS(1198),
    [anon_sym_u64] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_rune] = ACTIONS(1198),
    [anon_sym_map] = ACTIONS(1198),
    [anon_sym_mapnode] = ACTIONS(1198),
    [anon_sym_size_t] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_float_literal] = ACTIONS(1198),
    [anon_sym_int_literal] = ACTIONS(1198),
    [anon_sym_IError] = ACTIONS(1198),
    [sym_type_placeholder] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_type_identifier] = ACTIONS(1198),
    [anon_sym_unsafe] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_DOLLARif] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1198),
    [anon_sym_BANGis] = ACTIONS(1196),
    [anon_sym_match] = ACTIONS(1198),
    [anon_sym_select] = ACTIONS(1198),
    [anon_sym_lock] = ACTIONS(1198),
    [anon_sym_rlock] = ACTIONS(1198),
    [sym__c_string_opening] = ACTIONS(1196),
    [sym__raw_string_opening] = ACTIONS(1196),
    [sym__string_opening] = ACTIONS(1196),
    [sym__comment] = ACTIONS(3),
  },
  [1777] = {
    [sym_comment] = STATE(1777),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1554),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_LT_DASH] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(1554),
    [anon_sym_PERCENT] = ACTIONS(1554),
    [anon_sym_LT_LT] = ACTIONS(1554),
    [anon_sym_GT_GT] = ACTIONS(1556),
    [anon_sym_GT_GT_GT] = ACTIONS(1554),
    [anon_sym_AMP_CARET] = ACTIONS(1554),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_EQ_EQ] = ACTIONS(1554),
    [anon_sym_BANG_EQ] = ACTIONS(1554),
    [anon_sym_LT] = ACTIONS(1556),
    [anon_sym_LT_EQ] = ACTIONS(1554),
    [anon_sym_GT] = ACTIONS(1556),
    [anon_sym_GT_EQ] = ACTIONS(1554),
    [anon_sym_in] = ACTIONS(1556),
    [anon_sym_BANGin] = ACTIONS(1554),
    [anon_sym_AMP_AMP] = ACTIONS(1554),
    [anon_sym_PIPE_PIPE] = ACTIONS(1554),
    [anon_sym_as] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_none] = ACTIONS(1556),
    [sym_true] = ACTIONS(1556),
    [sym_false] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_RBRACK] = ACTIONS(1554),
    [anon_sym_map_LBRACK] = ACTIONS(1554),
    [anon_sym_chan] = ACTIONS(1556),
    [anon_sym_shared] = ACTIONS(1556),
    [anon_sym_thread] = ACTIONS(1556),
    [sym_int_literal] = ACTIONS(1556),
    [sym_float_literal] = ACTIONS(1554),
    [sym_rune_literal] = ACTIONS(1554),
    [anon_sym_DOT] = ACTIONS(1556),
    [anon_sym_array] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_char] = ACTIONS(1556),
    [anon_sym_sql] = ACTIONS(1556),
    [anon_sym_mut] = ACTIONS(1556),
    [anon_sym_C] = ACTIONS(1556),
    [anon_sym_JS] = ACTIONS(1556),
    [anon_sym_voidptr] = ACTIONS(1556),
    [anon_sym_byteptr] = ACTIONS(1556),
    [anon_sym_charptr] = ACTIONS(1556),
    [anon_sym_i8] = ACTIONS(1556),
    [anon_sym_i16] = ACTIONS(1556),
    [anon_sym_i32] = ACTIONS(1556),
    [anon_sym_int] = ACTIONS(1556),
    [anon_sym_i64] = ACTIONS(1556),
    [anon_sym_byte] = ACTIONS(1556),
    [anon_sym_u8] = ACTIONS(1556),
    [anon_sym_u16] = ACTIONS(1556),
    [anon_sym_u32] = ACTIONS(1556),
    [anon_sym_u64] = ACTIONS(1556),
    [anon_sym_f32] = ACTIONS(1556),
    [anon_sym_f64] = ACTIONS(1556),
    [anon_sym_bool] = ACTIONS(1556),
    [anon_sym_rune] = ACTIONS(1556),
    [anon_sym_map] = ACTIONS(1556),
    [anon_sym_mapnode] = ACTIONS(1556),
    [anon_sym_size_t] = ACTIONS(1556),
    [anon_sym_usize] = ACTIONS(1556),
    [anon_sym_isize] = ACTIONS(1556),
    [anon_sym_float_literal] = ACTIONS(1556),
    [anon_sym_int_literal] = ACTIONS(1556),
    [anon_sym_IError] = ACTIONS(1556),
    [sym_type_placeholder] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [sym_type_identifier] = ACTIONS(1556),
    [anon_sym_unsafe] = ACTIONS(1556),
    [anon_sym_fn] = ACTIONS(1556),
    [anon_sym_DOLLARif] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_is] = ACTIONS(1556),
    [anon_sym_BANGis] = ACTIONS(1554),
    [anon_sym_match] = ACTIONS(1556),
    [anon_sym_select] = ACTIONS(1556),
    [anon_sym_lock] = ACTIONS(1556),
    [anon_sym_rlock] = ACTIONS(1556),
    [sym__c_string_opening] = ACTIONS(1554),
    [sym__raw_string_opening] = ACTIONS(1554),
    [sym__string_opening] = ACTIONS(1554),
    [sym__comment] = ACTIONS(3),
  },
  [1778] = {
    [sym_comment] = STATE(1778),
    [sym_identifier] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_LT_DASH] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1248),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_GT_GT_GT] = ACTIONS(1248),
    [anon_sym_AMP_CARET] = ACTIONS(1248),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_BANGin] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_as] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [sym_none] = ACTIONS(1250),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_RBRACK] = ACTIONS(1248),
    [anon_sym_map_LBRACK] = ACTIONS(1248),
    [anon_sym_chan] = ACTIONS(1250),
    [anon_sym_shared] = ACTIONS(1250),
    [anon_sym_thread] = ACTIONS(1250),
    [sym_int_literal] = ACTIONS(1250),
    [sym_float_literal] = ACTIONS(1248),
    [sym_rune_literal] = ACTIONS(1248),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_array] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_char] = ACTIONS(1250),
    [anon_sym_sql] = ACTIONS(1250),
    [anon_sym_mut] = ACTIONS(1250),
    [anon_sym_C] = ACTIONS(1250),
    [anon_sym_JS] = ACTIONS(1250),
    [anon_sym_voidptr] = ACTIONS(1250),
    [anon_sym_byteptr] = ACTIONS(1250),
    [anon_sym_charptr] = ACTIONS(1250),
    [anon_sym_i8] = ACTIONS(1250),
    [anon_sym_i16] = ACTIONS(1250),
    [anon_sym_i32] = ACTIONS(1250),
    [anon_sym_int] = ACTIONS(1250),
    [anon_sym_i64] = ACTIONS(1250),
    [anon_sym_byte] = ACTIONS(1250),
    [anon_sym_u8] = ACTIONS(1250),
    [anon_sym_u16] = ACTIONS(1250),
    [anon_sym_u32] = ACTIONS(1250),
    [anon_sym_u64] = ACTIONS(1250),
    [anon_sym_f32] = ACTIONS(1250),
    [anon_sym_f64] = ACTIONS(1250),
    [anon_sym_bool] = ACTIONS(1250),
    [anon_sym_rune] = ACTIONS(1250),
    [anon_sym_map] = ACTIONS(1250),
    [anon_sym_mapnode] = ACTIONS(1250),
    [anon_sym_size_t] = ACTIONS(1250),
    [anon_sym_usize] = ACTIONS(1250),
    [anon_sym_isize] = ACTIONS(1250),
    [anon_sym_float_literal] = ACTIONS(1250),
    [anon_sym_int_literal] = ACTIONS(1250),
    [anon_sym_IError] = ACTIONS(1250),
    [sym_type_placeholder] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [sym_type_identifier] = ACTIONS(1250),
    [anon_sym_unsafe] = ACTIONS(1250),
    [anon_sym_fn] = ACTIONS(1250),
    [anon_sym_DOLLARif] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_BANGis] = ACTIONS(1248),
    [anon_sym_match] = ACTIONS(1250),
    [anon_sym_select] = ACTIONS(1250),
    [anon_sym_lock] = ACTIONS(1250),
    [anon_sym_rlock] = ACTIONS(1250),
    [sym__c_string_opening] = ACTIONS(1248),
    [sym__raw_string_opening] = ACTIONS(1248),
    [sym__string_opening] = ACTIONS(1248),
    [sym__comment] = ACTIONS(3),
  },
  [1779] = {
    [sym_comment] = STATE(1779),
    [sym_identifier] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_LT_DASH] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_PERCENT] = ACTIONS(1252),
    [anon_sym_LT_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1254),
    [anon_sym_GT_GT_GT] = ACTIONS(1252),
    [anon_sym_AMP_CARET] = ACTIONS(1252),
    [anon_sym_PIPE] = ACTIONS(1254),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1254),
    [anon_sym_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1254),
    [anon_sym_GT_EQ] = ACTIONS(1252),
    [anon_sym_in] = ACTIONS(1254),
    [anon_sym_BANGin] = ACTIONS(1252),
    [anon_sym_AMP_AMP] = ACTIONS(1252),
    [anon_sym_PIPE_PIPE] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [sym_none] = ACTIONS(1254),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_RBRACK] = ACTIONS(1252),
    [anon_sym_map_LBRACK] = ACTIONS(1252),
    [anon_sym_chan] = ACTIONS(1254),
    [anon_sym_shared] = ACTIONS(1254),
    [anon_sym_thread] = ACTIONS(1254),
    [sym_int_literal] = ACTIONS(1254),
    [sym_float_literal] = ACTIONS(1252),
    [sym_rune_literal] = ACTIONS(1252),
    [anon_sym_DOT] = ACTIONS(1254),
    [anon_sym_array] = ACTIONS(1254),
    [anon_sym_string] = ACTIONS(1254),
    [anon_sym_char] = ACTIONS(1254),
    [anon_sym_sql] = ACTIONS(1254),
    [anon_sym_mut] = ACTIONS(1254),
    [anon_sym_C] = ACTIONS(1254),
    [anon_sym_JS] = ACTIONS(1254),
    [anon_sym_voidptr] = ACTIONS(1254),
    [anon_sym_byteptr] = ACTIONS(1254),
    [anon_sym_charptr] = ACTIONS(1254),
    [anon_sym_i8] = ACTIONS(1254),
    [anon_sym_i16] = ACTIONS(1254),
    [anon_sym_i32] = ACTIONS(1254),
    [anon_sym_int] = ACTIONS(1254),
    [anon_sym_i64] = ACTIONS(1254),
    [anon_sym_byte] = ACTIONS(1254),
    [anon_sym_u8] = ACTIONS(1254),
    [anon_sym_u16] = ACTIONS(1254),
    [anon_sym_u32] = ACTIONS(1254),
    [anon_sym_u64] = ACTIONS(1254),
    [anon_sym_f32] = ACTIONS(1254),
    [anon_sym_f64] = ACTIONS(1254),
    [anon_sym_bool] = ACTIONS(1254),
    [anon_sym_rune] = ACTIONS(1254),
    [anon_sym_map] = ACTIONS(1254),
    [anon_sym_mapnode] = ACTIONS(1254),
    [anon_sym_size_t] = ACTIONS(1254),
    [anon_sym_usize] = ACTIONS(1254),
    [anon_sym_isize] = ACTIONS(1254),
    [anon_sym_float_literal] = ACTIONS(1254),
    [anon_sym_int_literal] = ACTIONS(1254),
    [anon_sym_IError] = ACTIONS(1254),
    [sym_type_placeholder] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [sym_type_identifier] = ACTIONS(1254),
    [anon_sym_unsafe] = ACTIONS(1254),
    [anon_sym_fn] = ACTIONS(1254),
    [anon_sym_DOLLARif] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_is] = ACTIONS(1254),
    [anon_sym_BANGis] = ACTIONS(1252),
    [anon_sym_match] = ACTIONS(1254),
    [anon_sym_select] = ACTIONS(1254),
    [anon_sym_lock] = ACTIONS(1254),
    [anon_sym_rlock] = ACTIONS(1254),
    [sym__c_string_opening] = ACTIONS(1252),
    [sym__raw_string_opening] = ACTIONS(1252),
    [sym__string_opening] = ACTIONS(1252),
    [sym__comment] = ACTIONS(3),
  },
  [1780] = {
    [sym_comment] = STATE(1780),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PERCENT] = ACTIONS(1468),
    [anon_sym_LT_LT] = ACTIONS(1468),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_GT_GT_GT] = ACTIONS(1468),
    [anon_sym_AMP_CARET] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_in] = ACTIONS(1470),
    [anon_sym_BANGin] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_as] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [sym_none] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_RBRACK] = ACTIONS(1468),
    [anon_sym_map_LBRACK] = ACTIONS(1468),
    [anon_sym_chan] = ACTIONS(1470),
    [anon_sym_shared] = ACTIONS(1470),
    [anon_sym_thread] = ACTIONS(1470),
    [sym_int_literal] = ACTIONS(1470),
    [sym_float_literal] = ACTIONS(1468),
    [sym_rune_literal] = ACTIONS(1468),
    [anon_sym_DOT] = ACTIONS(1470),
    [anon_sym_array] = ACTIONS(1470),
    [anon_sym_string] = ACTIONS(1470),
    [anon_sym_char] = ACTIONS(1470),
    [anon_sym_sql] = ACTIONS(1470),
    [anon_sym_mut] = ACTIONS(1470),
    [anon_sym_C] = ACTIONS(1470),
    [anon_sym_JS] = ACTIONS(1470),
    [anon_sym_voidptr] = ACTIONS(1470),
    [anon_sym_byteptr] = ACTIONS(1470),
    [anon_sym_charptr] = ACTIONS(1470),
    [anon_sym_i8] = ACTIONS(1470),
    [anon_sym_i16] = ACTIONS(1470),
    [anon_sym_i32] = ACTIONS(1470),
    [anon_sym_int] = ACTIONS(1470),
    [anon_sym_i64] = ACTIONS(1470),
    [anon_sym_byte] = ACTIONS(1470),
    [anon_sym_u8] = ACTIONS(1470),
    [anon_sym_u16] = ACTIONS(1470),
    [anon_sym_u32] = ACTIONS(1470),
    [anon_sym_u64] = ACTIONS(1470),
    [anon_sym_f32] = ACTIONS(1470),
    [anon_sym_f64] = ACTIONS(1470),
    [anon_sym_bool] = ACTIONS(1470),
    [anon_sym_rune] = ACTIONS(1470),
    [anon_sym_map] = ACTIONS(1470),
    [anon_sym_mapnode] = ACTIONS(1470),
    [anon_sym_size_t] = ACTIONS(1470),
    [anon_sym_usize] = ACTIONS(1470),
    [anon_sym_isize] = ACTIONS(1470),
    [anon_sym_float_literal] = ACTIONS(1470),
    [anon_sym_int_literal] = ACTIONS(1470),
    [anon_sym_IError] = ACTIONS(1470),
    [sym_type_placeholder] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym_type_identifier] = ACTIONS(1470),
    [anon_sym_unsafe] = ACTIONS(1470),
    [anon_sym_fn] = ACTIONS(1470),
    [anon_sym_DOLLARif] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_is] = ACTIONS(1470),
    [anon_sym_BANGis] = ACTIONS(1468),
    [anon_sym_match] = ACTIONS(1470),
    [anon_sym_select] = ACTIONS(1470),
    [anon_sym_lock] = ACTIONS(1470),
    [anon_sym_rlock] = ACTIONS(1470),
    [sym__c_string_opening] = ACTIONS(1468),
    [sym__raw_string_opening] = ACTIONS(1468),
    [sym__string_opening] = ACTIONS(1468),
    [sym__comment] = ACTIONS(3),
  },
  [1781] = {
    [sym_comment] = STATE(1781),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_GT_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_BANGin] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [sym_none] = ACTIONS(1416),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_map_LBRACK] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_thread] = ACTIONS(1416),
    [sym_int_literal] = ACTIONS(1416),
    [sym_float_literal] = ACTIONS(1414),
    [sym_rune_literal] = ACTIONS(1414),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_array] = ACTIONS(1416),
    [anon_sym_string] = ACTIONS(1416),
    [anon_sym_char] = ACTIONS(1416),
    [anon_sym_sql] = ACTIONS(1416),
    [anon_sym_mut] = ACTIONS(1416),
    [anon_sym_C] = ACTIONS(1416),
    [anon_sym_JS] = ACTIONS(1416),
    [anon_sym_voidptr] = ACTIONS(1416),
    [anon_sym_byteptr] = ACTIONS(1416),
    [anon_sym_charptr] = ACTIONS(1416),
    [anon_sym_i8] = ACTIONS(1416),
    [anon_sym_i16] = ACTIONS(1416),
    [anon_sym_i32] = ACTIONS(1416),
    [anon_sym_int] = ACTIONS(1416),
    [anon_sym_i64] = ACTIONS(1416),
    [anon_sym_byte] = ACTIONS(1416),
    [anon_sym_u8] = ACTIONS(1416),
    [anon_sym_u16] = ACTIONS(1416),
    [anon_sym_u32] = ACTIONS(1416),
    [anon_sym_u64] = ACTIONS(1416),
    [anon_sym_f32] = ACTIONS(1416),
    [anon_sym_f64] = ACTIONS(1416),
    [anon_sym_bool] = ACTIONS(1416),
    [anon_sym_rune] = ACTIONS(1416),
    [anon_sym_map] = ACTIONS(1416),
    [anon_sym_mapnode] = ACTIONS(1416),
    [anon_sym_size_t] = ACTIONS(1416),
    [anon_sym_usize] = ACTIONS(1416),
    [anon_sym_isize] = ACTIONS(1416),
    [anon_sym_float_literal] = ACTIONS(1416),
    [anon_sym_int_literal] = ACTIONS(1416),
    [anon_sym_IError] = ACTIONS(1416),
    [sym_type_placeholder] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym_type_identifier] = ACTIONS(1416),
    [anon_sym_unsafe] = ACTIONS(1416),
    [anon_sym_fn] = ACTIONS(1416),
    [anon_sym_DOLLARif] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1416),
    [anon_sym_BANGis] = ACTIONS(1414),
    [anon_sym_match] = ACTIONS(1416),
    [anon_sym_select] = ACTIONS(1416),
    [anon_sym_lock] = ACTIONS(1416),
    [anon_sym_rlock] = ACTIONS(1416),
    [sym__c_string_opening] = ACTIONS(1414),
    [sym__raw_string_opening] = ACTIONS(1414),
    [sym__string_opening] = ACTIONS(1414),
    [sym__comment] = ACTIONS(3),
  },
  [1782] = {
    [sym_comment] = STATE(1782),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(850),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1783] = {
    [sym_comment] = STATE(1783),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_LT_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_AMP_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_BANGin] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_none] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_RBRACK] = ACTIONS(1526),
    [anon_sym_map_LBRACK] = ACTIONS(1526),
    [anon_sym_chan] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_thread] = ACTIONS(1528),
    [sym_int_literal] = ACTIONS(1528),
    [sym_float_literal] = ACTIONS(1526),
    [sym_rune_literal] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_array] = ACTIONS(1528),
    [anon_sym_string] = ACTIONS(1528),
    [anon_sym_char] = ACTIONS(1528),
    [anon_sym_sql] = ACTIONS(1528),
    [anon_sym_mut] = ACTIONS(1528),
    [anon_sym_C] = ACTIONS(1528),
    [anon_sym_JS] = ACTIONS(1528),
    [anon_sym_voidptr] = ACTIONS(1528),
    [anon_sym_byteptr] = ACTIONS(1528),
    [anon_sym_charptr] = ACTIONS(1528),
    [anon_sym_i8] = ACTIONS(1528),
    [anon_sym_i16] = ACTIONS(1528),
    [anon_sym_i32] = ACTIONS(1528),
    [anon_sym_int] = ACTIONS(1528),
    [anon_sym_i64] = ACTIONS(1528),
    [anon_sym_byte] = ACTIONS(1528),
    [anon_sym_u8] = ACTIONS(1528),
    [anon_sym_u16] = ACTIONS(1528),
    [anon_sym_u32] = ACTIONS(1528),
    [anon_sym_u64] = ACTIONS(1528),
    [anon_sym_f32] = ACTIONS(1528),
    [anon_sym_f64] = ACTIONS(1528),
    [anon_sym_bool] = ACTIONS(1528),
    [anon_sym_rune] = ACTIONS(1528),
    [anon_sym_map] = ACTIONS(1528),
    [anon_sym_mapnode] = ACTIONS(1528),
    [anon_sym_size_t] = ACTIONS(1528),
    [anon_sym_usize] = ACTIONS(1528),
    [anon_sym_isize] = ACTIONS(1528),
    [anon_sym_float_literal] = ACTIONS(1528),
    [anon_sym_int_literal] = ACTIONS(1528),
    [anon_sym_IError] = ACTIONS(1528),
    [sym_type_placeholder] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [sym_type_identifier] = ACTIONS(1528),
    [anon_sym_unsafe] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym_DOLLARif] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_is] = ACTIONS(1528),
    [anon_sym_BANGis] = ACTIONS(1526),
    [anon_sym_match] = ACTIONS(1528),
    [anon_sym_select] = ACTIONS(1528),
    [anon_sym_lock] = ACTIONS(1528),
    [anon_sym_rlock] = ACTIONS(1528),
    [sym__c_string_opening] = ACTIONS(1526),
    [sym__raw_string_opening] = ACTIONS(1526),
    [sym__string_opening] = ACTIONS(1526),
    [sym__comment] = ACTIONS(3),
  },
  [1784] = {
    [sym_comment] = STATE(1784),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_RBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1785] = {
    [sym_comment] = STATE(1785),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_LT_DASH] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_AMP_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_BANGin] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_as] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [sym_none] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1518),
    [anon_sym_map_LBRACK] = ACTIONS(1518),
    [anon_sym_chan] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_thread] = ACTIONS(1520),
    [sym_int_literal] = ACTIONS(1520),
    [sym_float_literal] = ACTIONS(1518),
    [sym_rune_literal] = ACTIONS(1518),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_array] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_char] = ACTIONS(1520),
    [anon_sym_sql] = ACTIONS(1520),
    [anon_sym_mut] = ACTIONS(1520),
    [anon_sym_C] = ACTIONS(1520),
    [anon_sym_JS] = ACTIONS(1520),
    [anon_sym_voidptr] = ACTIONS(1520),
    [anon_sym_byteptr] = ACTIONS(1520),
    [anon_sym_charptr] = ACTIONS(1520),
    [anon_sym_i8] = ACTIONS(1520),
    [anon_sym_i16] = ACTIONS(1520),
    [anon_sym_i32] = ACTIONS(1520),
    [anon_sym_int] = ACTIONS(1520),
    [anon_sym_i64] = ACTIONS(1520),
    [anon_sym_byte] = ACTIONS(1520),
    [anon_sym_u8] = ACTIONS(1520),
    [anon_sym_u16] = ACTIONS(1520),
    [anon_sym_u32] = ACTIONS(1520),
    [anon_sym_u64] = ACTIONS(1520),
    [anon_sym_f32] = ACTIONS(1520),
    [anon_sym_f64] = ACTIONS(1520),
    [anon_sym_bool] = ACTIONS(1520),
    [anon_sym_rune] = ACTIONS(1520),
    [anon_sym_map] = ACTIONS(1520),
    [anon_sym_mapnode] = ACTIONS(1520),
    [anon_sym_size_t] = ACTIONS(1520),
    [anon_sym_usize] = ACTIONS(1520),
    [anon_sym_isize] = ACTIONS(1520),
    [anon_sym_float_literal] = ACTIONS(1520),
    [anon_sym_int_literal] = ACTIONS(1520),
    [anon_sym_IError] = ACTIONS(1520),
    [sym_type_placeholder] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [sym_type_identifier] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym_DOLLARif] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_is] = ACTIONS(1520),
    [anon_sym_BANGis] = ACTIONS(1518),
    [anon_sym_match] = ACTIONS(1520),
    [anon_sym_select] = ACTIONS(1520),
    [anon_sym_lock] = ACTIONS(1520),
    [anon_sym_rlock] = ACTIONS(1520),
    [sym__c_string_opening] = ACTIONS(1518),
    [sym__raw_string_opening] = ACTIONS(1518),
    [sym__string_opening] = ACTIONS(1518),
    [sym__comment] = ACTIONS(3),
  },
  [1786] = {
    [sym_comment] = STATE(1786),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_LT_DASH] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1412),
    [anon_sym_GT_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1412),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_BANGin] = ACTIONS(1410),
    [anon_sym_AMP_AMP] = ACTIONS(1410),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_as] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [sym_none] = ACTIONS(1412),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_RBRACK] = ACTIONS(1410),
    [anon_sym_map_LBRACK] = ACTIONS(1410),
    [anon_sym_chan] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_thread] = ACTIONS(1412),
    [sym_int_literal] = ACTIONS(1412),
    [sym_float_literal] = ACTIONS(1410),
    [sym_rune_literal] = ACTIONS(1410),
    [anon_sym_DOT] = ACTIONS(1412),
    [anon_sym_array] = ACTIONS(1412),
    [anon_sym_string] = ACTIONS(1412),
    [anon_sym_char] = ACTIONS(1412),
    [anon_sym_sql] = ACTIONS(1412),
    [anon_sym_mut] = ACTIONS(1412),
    [anon_sym_C] = ACTIONS(1412),
    [anon_sym_JS] = ACTIONS(1412),
    [anon_sym_voidptr] = ACTIONS(1412),
    [anon_sym_byteptr] = ACTIONS(1412),
    [anon_sym_charptr] = ACTIONS(1412),
    [anon_sym_i8] = ACTIONS(1412),
    [anon_sym_i16] = ACTIONS(1412),
    [anon_sym_i32] = ACTIONS(1412),
    [anon_sym_int] = ACTIONS(1412),
    [anon_sym_i64] = ACTIONS(1412),
    [anon_sym_byte] = ACTIONS(1412),
    [anon_sym_u8] = ACTIONS(1412),
    [anon_sym_u16] = ACTIONS(1412),
    [anon_sym_u32] = ACTIONS(1412),
    [anon_sym_u64] = ACTIONS(1412),
    [anon_sym_f32] = ACTIONS(1412),
    [anon_sym_f64] = ACTIONS(1412),
    [anon_sym_bool] = ACTIONS(1412),
    [anon_sym_rune] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1412),
    [anon_sym_mapnode] = ACTIONS(1412),
    [anon_sym_size_t] = ACTIONS(1412),
    [anon_sym_usize] = ACTIONS(1412),
    [anon_sym_isize] = ACTIONS(1412),
    [anon_sym_float_literal] = ACTIONS(1412),
    [anon_sym_int_literal] = ACTIONS(1412),
    [anon_sym_IError] = ACTIONS(1412),
    [sym_type_placeholder] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [sym_type_identifier] = ACTIONS(1412),
    [anon_sym_unsafe] = ACTIONS(1412),
    [anon_sym_fn] = ACTIONS(1412),
    [anon_sym_DOLLARif] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_is] = ACTIONS(1412),
    [anon_sym_BANGis] = ACTIONS(1410),
    [anon_sym_match] = ACTIONS(1412),
    [anon_sym_select] = ACTIONS(1412),
    [anon_sym_lock] = ACTIONS(1412),
    [anon_sym_rlock] = ACTIONS(1412),
    [sym__c_string_opening] = ACTIONS(1410),
    [sym__raw_string_opening] = ACTIONS(1410),
    [sym__string_opening] = ACTIONS(1410),
    [sym__comment] = ACTIONS(3),
  },
  [1787] = {
    [sym_comment] = STATE(1787),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_LT_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_GT_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_BANGin] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_as] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [sym_none] = ACTIONS(1388),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_RBRACK] = ACTIONS(1386),
    [anon_sym_map_LBRACK] = ACTIONS(1386),
    [anon_sym_chan] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_thread] = ACTIONS(1388),
    [sym_int_literal] = ACTIONS(1388),
    [sym_float_literal] = ACTIONS(1386),
    [sym_rune_literal] = ACTIONS(1386),
    [anon_sym_DOT] = ACTIONS(1388),
    [anon_sym_array] = ACTIONS(1388),
    [anon_sym_string] = ACTIONS(1388),
    [anon_sym_char] = ACTIONS(1388),
    [anon_sym_sql] = ACTIONS(1388),
    [anon_sym_mut] = ACTIONS(1388),
    [anon_sym_C] = ACTIONS(1388),
    [anon_sym_JS] = ACTIONS(1388),
    [anon_sym_voidptr] = ACTIONS(1388),
    [anon_sym_byteptr] = ACTIONS(1388),
    [anon_sym_charptr] = ACTIONS(1388),
    [anon_sym_i8] = ACTIONS(1388),
    [anon_sym_i16] = ACTIONS(1388),
    [anon_sym_i32] = ACTIONS(1388),
    [anon_sym_int] = ACTIONS(1388),
    [anon_sym_i64] = ACTIONS(1388),
    [anon_sym_byte] = ACTIONS(1388),
    [anon_sym_u8] = ACTIONS(1388),
    [anon_sym_u16] = ACTIONS(1388),
    [anon_sym_u32] = ACTIONS(1388),
    [anon_sym_u64] = ACTIONS(1388),
    [anon_sym_f32] = ACTIONS(1388),
    [anon_sym_f64] = ACTIONS(1388),
    [anon_sym_bool] = ACTIONS(1388),
    [anon_sym_rune] = ACTIONS(1388),
    [anon_sym_map] = ACTIONS(1388),
    [anon_sym_mapnode] = ACTIONS(1388),
    [anon_sym_size_t] = ACTIONS(1388),
    [anon_sym_usize] = ACTIONS(1388),
    [anon_sym_isize] = ACTIONS(1388),
    [anon_sym_float_literal] = ACTIONS(1388),
    [anon_sym_int_literal] = ACTIONS(1388),
    [anon_sym_IError] = ACTIONS(1388),
    [sym_type_placeholder] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [sym_type_identifier] = ACTIONS(1388),
    [anon_sym_unsafe] = ACTIONS(1388),
    [anon_sym_fn] = ACTIONS(1388),
    [anon_sym_DOLLARif] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_is] = ACTIONS(1388),
    [anon_sym_BANGis] = ACTIONS(1386),
    [anon_sym_match] = ACTIONS(1388),
    [anon_sym_select] = ACTIONS(1388),
    [anon_sym_lock] = ACTIONS(1388),
    [anon_sym_rlock] = ACTIONS(1388),
    [sym__c_string_opening] = ACTIONS(1386),
    [sym__raw_string_opening] = ACTIONS(1386),
    [sym__string_opening] = ACTIONS(1386),
    [sym__comment] = ACTIONS(3),
  },
  [1788] = {
    [sym_comment] = STATE(1788),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_BANGin] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_as] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_DOLLAR] = ACTIONS(852),
    [sym_none] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(3769),
    [anon_sym_map_LBRACK] = ACTIONS(850),
    [anon_sym_chan] = ACTIONS(852),
    [anon_sym_shared] = ACTIONS(852),
    [anon_sym_thread] = ACTIONS(852),
    [sym_int_literal] = ACTIONS(852),
    [sym_float_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_array] = ACTIONS(852),
    [anon_sym_string] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_sql] = ACTIONS(852),
    [anon_sym_mut] = ACTIONS(852),
    [anon_sym_C] = ACTIONS(852),
    [anon_sym_JS] = ACTIONS(852),
    [anon_sym_voidptr] = ACTIONS(852),
    [anon_sym_byteptr] = ACTIONS(852),
    [anon_sym_charptr] = ACTIONS(852),
    [anon_sym_i8] = ACTIONS(852),
    [anon_sym_i16] = ACTIONS(852),
    [anon_sym_i32] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_i64] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_u8] = ACTIONS(852),
    [anon_sym_u16] = ACTIONS(852),
    [anon_sym_u32] = ACTIONS(852),
    [anon_sym_u64] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_rune] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(852),
    [anon_sym_mapnode] = ACTIONS(852),
    [anon_sym_size_t] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_float_literal] = ACTIONS(852),
    [anon_sym_int_literal] = ACTIONS(852),
    [anon_sym_IError] = ACTIONS(852),
    [sym_type_placeholder] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [sym_type_identifier] = ACTIONS(852),
    [anon_sym_unsafe] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_DOLLARif] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_is] = ACTIONS(852),
    [anon_sym_BANGis] = ACTIONS(850),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_select] = ACTIONS(852),
    [anon_sym_lock] = ACTIONS(852),
    [anon_sym_rlock] = ACTIONS(852),
    [sym__c_string_opening] = ACTIONS(850),
    [sym__raw_string_opening] = ACTIONS(850),
    [sym__string_opening] = ACTIONS(850),
    [sym__comment] = ACTIONS(3),
  },
  [1789] = {
    [sym_comment] = STATE(1789),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_LT_DASH] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1590),
    [anon_sym_PERCENT] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_EQ_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_BANGin] = ACTIONS(1590),
    [anon_sym_AMP_AMP] = ACTIONS(1590),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_none] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_RBRACK] = ACTIONS(1590),
    [anon_sym_map_LBRACK] = ACTIONS(1590),
    [anon_sym_chan] = ACTIONS(1592),
    [anon_sym_shared] = ACTIONS(1592),
    [anon_sym_thread] = ACTIONS(1592),
    [sym_int_literal] = ACTIONS(1592),
    [sym_float_literal] = ACTIONS(1590),
    [sym_rune_literal] = ACTIONS(1590),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_array] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_char] = ACTIONS(1592),
    [anon_sym_sql] = ACTIONS(1592),
    [anon_sym_mut] = ACTIONS(1592),
    [anon_sym_C] = ACTIONS(1592),
    [anon_sym_JS] = ACTIONS(1592),
    [anon_sym_voidptr] = ACTIONS(1592),
    [anon_sym_byteptr] = ACTIONS(1592),
    [anon_sym_charptr] = ACTIONS(1592),
    [anon_sym_i8] = ACTIONS(1592),
    [anon_sym_i16] = ACTIONS(1592),
    [anon_sym_i32] = ACTIONS(1592),
    [anon_sym_int] = ACTIONS(1592),
    [anon_sym_i64] = ACTIONS(1592),
    [anon_sym_byte] = ACTIONS(1592),
    [anon_sym_u8] = ACTIONS(1592),
    [anon_sym_u16] = ACTIONS(1592),
    [anon_sym_u32] = ACTIONS(1592),
    [anon_sym_u64] = ACTIONS(1592),
    [anon_sym_f32] = ACTIONS(1592),
    [anon_sym_f64] = ACTIONS(1592),
    [anon_sym_bool] = ACTIONS(1592),
    [anon_sym_rune] = ACTIONS(1592),
    [anon_sym_map] = ACTIONS(1592),
    [anon_sym_mapnode] = ACTIONS(1592),
    [anon_sym_size_t] = ACTIONS(1592),
    [anon_sym_usize] = ACTIONS(1592),
    [anon_sym_isize] = ACTIONS(1592),
    [anon_sym_float_literal] = ACTIONS(1592),
    [anon_sym_int_literal] = ACTIONS(1592),
    [anon_sym_IError] = ACTIONS(1592),
    [sym_type_placeholder] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [sym_type_identifier] = ACTIONS(1592),
    [anon_sym_unsafe] = ACTIONS(1592),
    [anon_sym_fn] = ACTIONS(1592),
    [anon_sym_DOLLARif] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_is] = ACTIONS(1592),
    [anon_sym_BANGis] = ACTIONS(1590),
    [anon_sym_match] = ACTIONS(1592),
    [anon_sym_select] = ACTIONS(1592),
    [anon_sym_lock] = ACTIONS(1592),
    [anon_sym_rlock] = ACTIONS(1592),
    [sym__c_string_opening] = ACTIONS(1590),
    [sym__raw_string_opening] = ACTIONS(1590),
    [sym__string_opening] = ACTIONS(1590),
    [sym__comment] = ACTIONS(3),
  },
  [1790] = {
    [sym_comment] = STATE(1790),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_CARET] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_LT_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PERCENT] = ACTIONS(1356),
    [anon_sym_LT_LT] = ACTIONS(1356),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_GT_GT_GT] = ACTIONS(1356),
    [anon_sym_AMP_CARET] = ACTIONS(1356),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_in] = ACTIONS(1358),
    [anon_sym_BANGin] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [sym_none] = ACTIONS(1358),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_RBRACK] = ACTIONS(1356),
    [anon_sym_map_LBRACK] = ACTIONS(1356),
    [anon_sym_chan] = ACTIONS(1358),
    [anon_sym_shared] = ACTIONS(1358),
    [anon_sym_thread] = ACTIONS(1358),
    [sym_int_literal] = ACTIONS(1358),
    [sym_float_literal] = ACTIONS(1356),
    [sym_rune_literal] = ACTIONS(1356),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_array] = ACTIONS(1358),
    [anon_sym_string] = ACTIONS(1358),
    [anon_sym_char] = ACTIONS(1358),
    [anon_sym_sql] = ACTIONS(1358),
    [anon_sym_mut] = ACTIONS(1358),
    [anon_sym_C] = ACTIONS(1358),
    [anon_sym_JS] = ACTIONS(1358),
    [anon_sym_voidptr] = ACTIONS(1358),
    [anon_sym_byteptr] = ACTIONS(1358),
    [anon_sym_charptr] = ACTIONS(1358),
    [anon_sym_i8] = ACTIONS(1358),
    [anon_sym_i16] = ACTIONS(1358),
    [anon_sym_i32] = ACTIONS(1358),
    [anon_sym_int] = ACTIONS(1358),
    [anon_sym_i64] = ACTIONS(1358),
    [anon_sym_byte] = ACTIONS(1358),
    [anon_sym_u8] = ACTIONS(1358),
    [anon_sym_u16] = ACTIONS(1358),
    [anon_sym_u32] = ACTIONS(1358),
    [anon_sym_u64] = ACTIONS(1358),
    [anon_sym_f32] = ACTIONS(1358),
    [anon_sym_f64] = ACTIONS(1358),
    [anon_sym_bool] = ACTIONS(1358),
    [anon_sym_rune] = ACTIONS(1358),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_mapnode] = ACTIONS(1358),
    [anon_sym_size_t] = ACTIONS(1358),
    [anon_sym_usize] = ACTIONS(1358),
    [anon_sym_isize] = ACTIONS(1358),
    [anon_sym_float_literal] = ACTIONS(1358),
    [anon_sym_int_literal] = ACTIONS(1358),
    [anon_sym_IError] = ACTIONS(1358),
    [sym_type_placeholder] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [sym_type_identifier] = ACTIONS(1358),
    [anon_sym_unsafe] = ACTIONS(1358),
    [anon_sym_fn] = ACTIONS(1358),
    [anon_sym_DOLLARif] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_is] = ACTIONS(1358),
    [anon_sym_BANGis] = ACTIONS(1356),
    [anon_sym_match] = ACTIONS(1358),
    [anon_sym_select] = ACTIONS(1358),
    [anon_sym_lock] = ACTIONS(1358),
    [anon_sym_rlock] = ACTIONS(1358),
    [sym__c_string_opening] = ACTIONS(1356),
    [sym__raw_string_opening] = ACTIONS(1356),
    [sym__string_opening] = ACTIONS(1356),
    [sym__comment] = ACTIONS(3),
  },
  [1791] = {
    [sym_comment] = STATE(1791),
    [sym_identifier] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_LT_DASH] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1594),
    [anon_sym_PERCENT] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1596),
    [anon_sym_GT_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_BANGin] = ACTIONS(1594),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_as] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [sym_none] = ACTIONS(1596),
    [sym_true] = ACTIONS(1596),
    [sym_false] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_RBRACK] = ACTIONS(1594),
    [anon_sym_map_LBRACK] = ACTIONS(1594),
    [anon_sym_chan] = ACTIONS(1596),
    [anon_sym_shared] = ACTIONS(1596),
    [anon_sym_thread] = ACTIONS(1596),
    [sym_int_literal] = ACTIONS(1596),
    [sym_float_literal] = ACTIONS(1594),
    [sym_rune_literal] = ACTIONS(1594),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_array] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_char] = ACTIONS(1596),
    [anon_sym_sql] = ACTIONS(1596),
    [anon_sym_mut] = ACTIONS(1596),
    [anon_sym_C] = ACTIONS(1596),
    [anon_sym_JS] = ACTIONS(1596),
    [anon_sym_voidptr] = ACTIONS(1596),
    [anon_sym_byteptr] = ACTIONS(1596),
    [anon_sym_charptr] = ACTIONS(1596),
    [anon_sym_i8] = ACTIONS(1596),
    [anon_sym_i16] = ACTIONS(1596),
    [anon_sym_i32] = ACTIONS(1596),
    [anon_sym_int] = ACTIONS(1596),
    [anon_sym_i64] = ACTIONS(1596),
    [anon_sym_byte] = ACTIONS(1596),
    [anon_sym_u8] = ACTIONS(1596),
    [anon_sym_u16] = ACTIONS(1596),
    [anon_sym_u32] = ACTIONS(1596),
    [anon_sym_u64] = ACTIONS(1596),
    [anon_sym_f32] = ACTIONS(1596),
    [anon_sym_f64] = ACTIONS(1596),
    [anon_sym_bool] = ACTIONS(1596),
    [anon_sym_rune] = ACTIONS(1596),
    [anon_sym_map] = ACTIONS(1596),
    [anon_sym_mapnode] = ACTIONS(1596),
    [anon_sym_size_t] = ACTIONS(1596),
    [anon_sym_usize] = ACTIONS(1596),
    [anon_sym_isize] = ACTIONS(1596),
    [anon_sym_float_literal] = ACTIONS(1596),
    [anon_sym_int_literal] = ACTIONS(1596),
    [anon_sym_IError] = ACTIONS(1596),
    [sym_type_placeholder] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [sym_type_identifier] = ACTIONS(1596),
    [anon_sym_unsafe] = ACTIONS(1596),
    [anon_sym_fn] = ACTIONS(1596),
    [anon_sym_DOLLARif] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1596),
    [anon_sym_BANGis] = ACTIONS(1594),
    [anon_sym_match] = ACTIONS(1596),
    [anon_sym_select] = ACTIONS(1596),
    [anon_sym_lock] = ACTIONS(1596),
    [anon_sym_rlock] = ACTIONS(1596),
    [sym__c_string_opening] = ACTIONS(1594),
    [sym__raw_string_opening] = ACTIONS(1594),
    [sym__string_opening] = ACTIONS(1594),
    [sym__comment] = ACTIONS(3),
  },
  [1792] = {
    [sym_comment] = STATE(1792),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_LT_DASH] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_PERCENT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_BANGin] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [sym_none] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [anon_sym_map_LBRACK] = ACTIONS(1578),
    [anon_sym_chan] = ACTIONS(1580),
    [anon_sym_shared] = ACTIONS(1580),
    [anon_sym_thread] = ACTIONS(1580),
    [sym_int_literal] = ACTIONS(1580),
    [sym_float_literal] = ACTIONS(1578),
    [sym_rune_literal] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_array] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_char] = ACTIONS(1580),
    [anon_sym_sql] = ACTIONS(1580),
    [anon_sym_mut] = ACTIONS(1580),
    [anon_sym_C] = ACTIONS(1580),
    [anon_sym_JS] = ACTIONS(1580),
    [anon_sym_voidptr] = ACTIONS(1580),
    [anon_sym_byteptr] = ACTIONS(1580),
    [anon_sym_charptr] = ACTIONS(1580),
    [anon_sym_i8] = ACTIONS(1580),
    [anon_sym_i16] = ACTIONS(1580),
    [anon_sym_i32] = ACTIONS(1580),
    [anon_sym_int] = ACTIONS(1580),
    [anon_sym_i64] = ACTIONS(1580),
    [anon_sym_byte] = ACTIONS(1580),
    [anon_sym_u8] = ACTIONS(1580),
    [anon_sym_u16] = ACTIONS(1580),
    [anon_sym_u32] = ACTIONS(1580),
    [anon_sym_u64] = ACTIONS(1580),
    [anon_sym_f32] = ACTIONS(1580),
    [anon_sym_f64] = ACTIONS(1580),
    [anon_sym_bool] = ACTIONS(1580),
    [anon_sym_rune] = ACTIONS(1580),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_mapnode] = ACTIONS(1580),
    [anon_sym_size_t] = ACTIONS(1580),
    [anon_sym_usize] = ACTIONS(1580),
    [anon_sym_isize] = ACTIONS(1580),
    [anon_sym_float_literal] = ACTIONS(1580),
    [anon_sym_int_literal] = ACTIONS(1580),
    [anon_sym_IError] = ACTIONS(1580),
    [sym_type_placeholder] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [sym_type_identifier] = ACTIONS(1580),
    [anon_sym_unsafe] = ACTIONS(1580),
    [anon_sym_fn] = ACTIONS(1580),
    [anon_sym_DOLLARif] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_is] = ACTIONS(1580),
    [anon_sym_BANGis] = ACTIONS(1578),
    [anon_sym_match] = ACTIONS(1580),
    [anon_sym_select] = ACTIONS(1580),
    [anon_sym_lock] = ACTIONS(1580),
    [anon_sym_rlock] = ACTIONS(1580),
    [sym__c_string_opening] = ACTIONS(1578),
    [sym__raw_string_opening] = ACTIONS(1578),
    [sym__string_opening] = ACTIONS(1578),
    [sym__comment] = ACTIONS(3),
  },
  [1793] = {
    [sym_comment] = STATE(1793),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1550),
    [anon_sym_LT_DASH] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1550),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_AMP_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1550),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1550),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1550),
    [anon_sym_BANGin] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_as] = ACTIONS(1550),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [sym_none] = ACTIONS(1550),
    [sym_true] = ACTIONS(1550),
    [sym_false] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(4588),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_map_LBRACK] = ACTIONS(1548),
    [anon_sym_chan] = ACTIONS(1550),
    [anon_sym_shared] = ACTIONS(1550),
    [anon_sym_thread] = ACTIONS(1550),
    [sym_int_literal] = ACTIONS(1550),
    [sym_float_literal] = ACTIONS(1548),
    [sym_rune_literal] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(4590),
    [anon_sym_array] = ACTIONS(1550),
    [anon_sym_string] = ACTIONS(1550),
    [anon_sym_char] = ACTIONS(1550),
    [anon_sym_sql] = ACTIONS(1550),
    [anon_sym_mut] = ACTIONS(1550),
    [anon_sym_C] = ACTIONS(1550),
    [anon_sym_JS] = ACTIONS(1550),
    [anon_sym_voidptr] = ACTIONS(1550),
    [anon_sym_byteptr] = ACTIONS(1550),
    [anon_sym_charptr] = ACTIONS(1550),
    [anon_sym_i8] = ACTIONS(1550),
    [anon_sym_i16] = ACTIONS(1550),
    [anon_sym_i32] = ACTIONS(1550),
    [anon_sym_int] = ACTIONS(1550),
    [anon_sym_i64] = ACTIONS(1550),
    [anon_sym_byte] = ACTIONS(1550),
    [anon_sym_u8] = ACTIONS(1550),
    [anon_sym_u16] = ACTIONS(1550),
    [anon_sym_u32] = ACTIONS(1550),
    [anon_sym_u64] = ACTIONS(1550),
    [anon_sym_f32] = ACTIONS(1550),
    [anon_sym_f64] = ACTIONS(1550),
    [anon_sym_bool] = ACTIONS(1550),
    [anon_sym_rune] = ACTIONS(1550),
    [anon_sym_map] = ACTIONS(1550),
    [anon_sym_mapnode] = ACTIONS(1550),
    [anon_sym_size_t] = ACTIONS(1550),
    [anon_sym_usize] = ACTIONS(1550),
    [anon_sym_isize] = ACTIONS(1550),
    [anon_sym_float_literal] = ACTIONS(1550),
    [anon_sym_int_literal] = ACTIONS(1550),
    [anon_sym_IError] = ACTIONS(1550),
    [sym_type_placeholder] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [sym_type_identifier] = ACTIONS(1550),
    [anon_sym_unsafe] = ACTIONS(1550),
    [anon_sym_fn] = ACTIONS(1550),
    [anon_sym_DOLLARif] = ACTIONS(1548),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_is] = ACTIONS(1550),
    [anon_sym_BANGis] = ACTIONS(1548),
    [anon_sym_match] = ACTIONS(1550),
    [anon_sym_select] = ACTIONS(1550),
    [anon_sym_lock] = ACTIONS(1550),
    [anon_sym_rlock] = ACTIONS(1550),
    [sym__c_string_opening] = ACTIONS(1548),
    [sym__raw_string_opening] = ACTIONS(1548),
    [sym__string_opening] = ACTIONS(1548),
    [sym__comment] = ACTIONS(3),
  },
  [1794] = {
    [sym_comment] = STATE(1794),
    [sym_identifier] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_LT_DASH] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1352),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_GT_GT_GT] = ACTIONS(1352),
    [anon_sym_AMP_CARET] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_BANGin] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [sym_none] = ACTIONS(1354),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_RBRACK] = ACTIONS(1352),
    [anon_sym_map_LBRACK] = ACTIONS(1352),
    [anon_sym_chan] = ACTIONS(1354),
    [anon_sym_shared] = ACTIONS(1354),
    [anon_sym_thread] = ACTIONS(1354),
    [sym_int_literal] = ACTIONS(1354),
    [sym_float_literal] = ACTIONS(1352),
    [sym_rune_literal] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1354),
    [anon_sym_array] = ACTIONS(1354),
    [anon_sym_string] = ACTIONS(1354),
    [anon_sym_char] = ACTIONS(1354),
    [anon_sym_sql] = ACTIONS(1354),
    [anon_sym_mut] = ACTIONS(1354),
    [anon_sym_C] = ACTIONS(1354),
    [anon_sym_JS] = ACTIONS(1354),
    [anon_sym_voidptr] = ACTIONS(1354),
    [anon_sym_byteptr] = ACTIONS(1354),
    [anon_sym_charptr] = ACTIONS(1354),
    [anon_sym_i8] = ACTIONS(1354),
    [anon_sym_i16] = ACTIONS(1354),
    [anon_sym_i32] = ACTIONS(1354),
    [anon_sym_int] = ACTIONS(1354),
    [anon_sym_i64] = ACTIONS(1354),
    [anon_sym_byte] = ACTIONS(1354),
    [anon_sym_u8] = ACTIONS(1354),
    [anon_sym_u16] = ACTIONS(1354),
    [anon_sym_u32] = ACTIONS(1354),
    [anon_sym_u64] = ACTIONS(1354),
    [anon_sym_f32] = ACTIONS(1354),
    [anon_sym_f64] = ACTIONS(1354),
    [anon_sym_bool] = ACTIONS(1354),
    [anon_sym_rune] = ACTIONS(1354),
    [anon_sym_map] = ACTIONS(1354),
    [anon_sym_mapnode] = ACTIONS(1354),
    [anon_sym_size_t] = ACTIONS(1354),
    [anon_sym_usize] = ACTIONS(1354),
    [anon_sym_isize] = ACTIONS(1354),
    [anon_sym_float_literal] = ACTIONS(1354),
    [anon_sym_int_literal] = ACTIONS(1354),
    [anon_sym_IError] = ACTIONS(1354),
    [sym_type_placeholder] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [sym_type_identifier] = ACTIONS(1354),
    [anon_sym_unsafe] = ACTIONS(1354),
    [anon_sym_fn] = ACTIONS(1354),
    [anon_sym_DOLLARif] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_is] = ACTIONS(1354),
    [anon_sym_BANGis] = ACTIONS(1352),
    [anon_sym_match] = ACTIONS(1354),
    [anon_sym_select] = ACTIONS(1354),
    [anon_sym_lock] = ACTIONS(1354),
    [anon_sym_rlock] = ACTIONS(1354),
    [sym__c_string_opening] = ACTIONS(1352),
    [sym__raw_string_opening] = ACTIONS(1352),
    [sym__string_opening] = ACTIONS(1352),
    [sym__comment] = ACTIONS(3),
  },
  [1795] = {
    [sym_comment] = STATE(1795),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_LT_DASH] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_GT_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(1424),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_BANGin] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [sym_none] = ACTIONS(1424),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_RBRACK] = ACTIONS(1422),
    [anon_sym_map_LBRACK] = ACTIONS(1422),
    [anon_sym_chan] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_thread] = ACTIONS(1424),
    [sym_int_literal] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1422),
    [sym_rune_literal] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_array] = ACTIONS(1424),
    [anon_sym_string] = ACTIONS(1424),
    [anon_sym_char] = ACTIONS(1424),
    [anon_sym_sql] = ACTIONS(1424),
    [anon_sym_mut] = ACTIONS(1424),
    [anon_sym_C] = ACTIONS(1424),
    [anon_sym_JS] = ACTIONS(1424),
    [anon_sym_voidptr] = ACTIONS(1424),
    [anon_sym_byteptr] = ACTIONS(1424),
    [anon_sym_charptr] = ACTIONS(1424),
    [anon_sym_i8] = ACTIONS(1424),
    [anon_sym_i16] = ACTIONS(1424),
    [anon_sym_i32] = ACTIONS(1424),
    [anon_sym_int] = ACTIONS(1424),
    [anon_sym_i64] = ACTIONS(1424),
    [anon_sym_byte] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1424),
    [anon_sym_u16] = ACTIONS(1424),
    [anon_sym_u32] = ACTIONS(1424),
    [anon_sym_u64] = ACTIONS(1424),
    [anon_sym_f32] = ACTIONS(1424),
    [anon_sym_f64] = ACTIONS(1424),
    [anon_sym_bool] = ACTIONS(1424),
    [anon_sym_rune] = ACTIONS(1424),
    [anon_sym_map] = ACTIONS(1424),
    [anon_sym_mapnode] = ACTIONS(1424),
    [anon_sym_size_t] = ACTIONS(1424),
    [anon_sym_usize] = ACTIONS(1424),
    [anon_sym_isize] = ACTIONS(1424),
    [anon_sym_float_literal] = ACTIONS(1424),
    [anon_sym_int_literal] = ACTIONS(1424),
    [anon_sym_IError] = ACTIONS(1424),
    [sym_type_placeholder] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [sym_type_identifier] = ACTIONS(1424),
    [anon_sym_unsafe] = ACTIONS(1424),
    [anon_sym_fn] = ACTIONS(1424),
    [anon_sym_DOLLARif] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_is] = ACTIONS(1424),
    [anon_sym_BANGis] = ACTIONS(1422),
    [anon_sym_match] = ACTIONS(1424),
    [anon_sym_select] = ACTIONS(1424),
    [anon_sym_lock] = ACTIONS(1424),
    [anon_sym_rlock] = ACTIONS(1424),
    [sym__c_string_opening] = ACTIONS(1422),
    [sym__raw_string_opening] = ACTIONS(1422),
    [sym__string_opening] = ACTIONS(1422),
    [sym__comment] = ACTIONS(3),
  },
  [1796] = {
    [sym_comment] = STATE(1796),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PERCENT] = ACTIONS(1464),
    [anon_sym_LT_LT] = ACTIONS(1464),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1464),
    [anon_sym_AMP_CARET] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_BANGin] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [sym_none] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_RBRACK] = ACTIONS(1464),
    [anon_sym_map_LBRACK] = ACTIONS(1464),
    [anon_sym_chan] = ACTIONS(1466),
    [anon_sym_shared] = ACTIONS(1466),
    [anon_sym_thread] = ACTIONS(1466),
    [sym_int_literal] = ACTIONS(1466),
    [sym_float_literal] = ACTIONS(1464),
    [sym_rune_literal] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1466),
    [anon_sym_array] = ACTIONS(1466),
    [anon_sym_string] = ACTIONS(1466),
    [anon_sym_char] = ACTIONS(1466),
    [anon_sym_sql] = ACTIONS(1466),
    [anon_sym_mut] = ACTIONS(1466),
    [anon_sym_C] = ACTIONS(1466),
    [anon_sym_JS] = ACTIONS(1466),
    [anon_sym_voidptr] = ACTIONS(1466),
    [anon_sym_byteptr] = ACTIONS(1466),
    [anon_sym_charptr] = ACTIONS(1466),
    [anon_sym_i8] = ACTIONS(1466),
    [anon_sym_i16] = ACTIONS(1466),
    [anon_sym_i32] = ACTIONS(1466),
    [anon_sym_int] = ACTIONS(1466),
    [anon_sym_i64] = ACTIONS(1466),
    [anon_sym_byte] = ACTIONS(1466),
    [anon_sym_u8] = ACTIONS(1466),
    [anon_sym_u16] = ACTIONS(1466),
    [anon_sym_u32] = ACTIONS(1466),
    [anon_sym_u64] = ACTIONS(1466),
    [anon_sym_f32] = ACTIONS(1466),
    [anon_sym_f64] = ACTIONS(1466),
    [anon_sym_bool] = ACTIONS(1466),
    [anon_sym_rune] = ACTIONS(1466),
    [anon_sym_map] = ACTIONS(1466),
    [anon_sym_mapnode] = ACTIONS(1466),
    [anon_sym_size_t] = ACTIONS(1466),
    [anon_sym_usize] = ACTIONS(1466),
    [anon_sym_isize] = ACTIONS(1466),
    [anon_sym_float_literal] = ACTIONS(1466),
    [anon_sym_int_literal] = ACTIONS(1466),
    [anon_sym_IError] = ACTIONS(1466),
    [sym_type_placeholder] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym_type_identifier] = ACTIONS(1466),
    [anon_sym_unsafe] = ACTIONS(1466),
    [anon_sym_fn] = ACTIONS(1466),
    [anon_sym_DOLLARif] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_is] = ACTIONS(1466),
    [anon_sym_BANGis] = ACTIONS(1464),
    [anon_sym_match] = ACTIONS(1466),
    [anon_sym_select] = ACTIONS(1466),
    [anon_sym_lock] = ACTIONS(1466),
    [anon_sym_rlock] = ACTIONS(1466),
    [sym__c_string_opening] = ACTIONS(1464),
    [sym__raw_string_opening] = ACTIONS(1464),
    [sym__string_opening] = ACTIONS(1464),
    [sym__comment] = ACTIONS(3),
  },
  [1797] = {
    [sym_comment] = STATE(1797),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1104),
    [anon_sym_LT_DASH] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1104),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_AMP_CARET] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1104),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1104),
    [anon_sym_BANGin] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_as] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [sym_none] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_RBRACK] = ACTIONS(1102),
    [anon_sym_map_LBRACK] = ACTIONS(1102),
    [anon_sym_chan] = ACTIONS(1104),
    [anon_sym_shared] = ACTIONS(1104),
    [anon_sym_thread] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1104),
    [sym_float_literal] = ACTIONS(1102),
    [sym_rune_literal] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1104),
    [anon_sym_array] = ACTIONS(1104),
    [anon_sym_string] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_sql] = ACTIONS(1104),
    [anon_sym_mut] = ACTIONS(1104),
    [anon_sym_C] = ACTIONS(1104),
    [anon_sym_JS] = ACTIONS(1104),
    [anon_sym_voidptr] = ACTIONS(1104),
    [anon_sym_byteptr] = ACTIONS(1104),
    [anon_sym_charptr] = ACTIONS(1104),
    [anon_sym_i8] = ACTIONS(1104),
    [anon_sym_i16] = ACTIONS(1104),
    [anon_sym_i32] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_i64] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_u8] = ACTIONS(1104),
    [anon_sym_u16] = ACTIONS(1104),
    [anon_sym_u32] = ACTIONS(1104),
    [anon_sym_u64] = ACTIONS(1104),
    [anon_sym_f32] = ACTIONS(1104),
    [anon_sym_f64] = ACTIONS(1104),
    [anon_sym_bool] = ACTIONS(1104),
    [anon_sym_rune] = ACTIONS(1104),
    [anon_sym_map] = ACTIONS(1104),
    [anon_sym_mapnode] = ACTIONS(1104),
    [anon_sym_size_t] = ACTIONS(1104),
    [anon_sym_usize] = ACTIONS(1104),
    [anon_sym_isize] = ACTIONS(1104),
    [anon_sym_float_literal] = ACTIONS(1104),
    [anon_sym_int_literal] = ACTIONS(1104),
    [anon_sym_IError] = ACTIONS(1104),
    [sym_type_placeholder] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [sym_type_identifier] = ACTIONS(1104),
    [anon_sym_unsafe] = ACTIONS(1104),
    [anon_sym_fn] = ACTIONS(1104),
    [anon_sym_DOLLARif] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_is] = ACTIONS(1104),
    [anon_sym_BANGis] = ACTIONS(1102),
    [anon_sym_match] = ACTIONS(1104),
    [anon_sym_select] = ACTIONS(1104),
    [anon_sym_lock] = ACTIONS(1104),
    [anon_sym_rlock] = ACTIONS(1104),
    [sym__c_string_opening] = ACTIONS(1102),
    [sym__raw_string_opening] = ACTIONS(1102),
    [sym__string_opening] = ACTIONS(1102),
    [sym__comment] = ACTIONS(3),
  },
  [1798] = {
    [sym_comment] = STATE(1798),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_LT_LT] = ACTIONS(1456),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_GT_GT_GT] = ACTIONS(1456),
    [anon_sym_AMP_CARET] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1458),
    [anon_sym_BANGin] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_as] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [sym_none] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_RBRACK] = ACTIONS(1456),
    [anon_sym_map_LBRACK] = ACTIONS(1456),
    [anon_sym_chan] = ACTIONS(1458),
    [anon_sym_shared] = ACTIONS(1458),
    [anon_sym_thread] = ACTIONS(1458),
    [sym_int_literal] = ACTIONS(1458),
    [sym_float_literal] = ACTIONS(1456),
    [sym_rune_literal] = ACTIONS(1456),
    [anon_sym_DOT] = ACTIONS(1458),
    [anon_sym_array] = ACTIONS(1458),
    [anon_sym_string] = ACTIONS(1458),
    [anon_sym_char] = ACTIONS(1458),
    [anon_sym_sql] = ACTIONS(1458),
    [anon_sym_mut] = ACTIONS(1458),
    [anon_sym_C] = ACTIONS(1458),
    [anon_sym_JS] = ACTIONS(1458),
    [anon_sym_voidptr] = ACTIONS(1458),
    [anon_sym_byteptr] = ACTIONS(1458),
    [anon_sym_charptr] = ACTIONS(1458),
    [anon_sym_i8] = ACTIONS(1458),
    [anon_sym_i16] = ACTIONS(1458),
    [anon_sym_i32] = ACTIONS(1458),
    [anon_sym_int] = ACTIONS(1458),
    [anon_sym_i64] = ACTIONS(1458),
    [anon_sym_byte] = ACTIONS(1458),
    [anon_sym_u8] = ACTIONS(1458),
    [anon_sym_u16] = ACTIONS(1458),
    [anon_sym_u32] = ACTIONS(1458),
    [anon_sym_u64] = ACTIONS(1458),
    [anon_sym_f32] = ACTIONS(1458),
    [anon_sym_f64] = ACTIONS(1458),
    [anon_sym_bool] = ACTIONS(1458),
    [anon_sym_rune] = ACTIONS(1458),
    [anon_sym_map] = ACTIONS(1458),
    [anon_sym_mapnode] = ACTIONS(1458),
    [anon_sym_size_t] = ACTIONS(1458),
    [anon_sym_usize] = ACTIONS(1458),
    [anon_sym_isize] = ACTIONS(1458),
    [anon_sym_float_literal] = ACTIONS(1458),
    [anon_sym_int_literal] = ACTIONS(1458),
    [anon_sym_IError] = ACTIONS(1458),
    [sym_type_placeholder] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [sym_type_identifier] = ACTIONS(1458),
    [anon_sym_unsafe] = ACTIONS(1458),
    [anon_sym_fn] = ACTIONS(1458),
    [anon_sym_DOLLARif] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1458),
    [anon_sym_BANGis] = ACTIONS(1456),
    [anon_sym_match] = ACTIONS(1458),
    [anon_sym_select] = ACTIONS(1458),
    [anon_sym_lock] = ACTIONS(1458),
    [anon_sym_rlock] = ACTIONS(1458),
    [sym__c_string_opening] = ACTIONS(1456),
    [sym__raw_string_opening] = ACTIONS(1456),
    [sym__string_opening] = ACTIONS(1456),
    [sym__comment] = ACTIONS(3),
  },
  [1799] = {
    [sym_comment] = STATE(1799),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_LT_DASH] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1586),
    [anon_sym_PERCENT] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_in] = ACTIONS(1588),
    [anon_sym_BANGin] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1586),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_as] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_none] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_RBRACK] = ACTIONS(1586),
    [anon_sym_map_LBRACK] = ACTIONS(1586),
    [anon_sym_chan] = ACTIONS(1588),
    [anon_sym_shared] = ACTIONS(1588),
    [anon_sym_thread] = ACTIONS(1588),
    [sym_int_literal] = ACTIONS(1588),
    [sym_float_literal] = ACTIONS(1586),
    [sym_rune_literal] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_array] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_char] = ACTIONS(1588),
    [anon_sym_sql] = ACTIONS(1588),
    [anon_sym_mut] = ACTIONS(1588),
    [anon_sym_C] = ACTIONS(1588),
    [anon_sym_JS] = ACTIONS(1588),
    [anon_sym_voidptr] = ACTIONS(1588),
    [anon_sym_byteptr] = ACTIONS(1588),
    [anon_sym_charptr] = ACTIONS(1588),
    [anon_sym_i8] = ACTIONS(1588),
    [anon_sym_i16] = ACTIONS(1588),
    [anon_sym_i32] = ACTIONS(1588),
    [anon_sym_int] = ACTIONS(1588),
    [anon_sym_i64] = ACTIONS(1588),
    [anon_sym_byte] = ACTIONS(1588),
    [anon_sym_u8] = ACTIONS(1588),
    [anon_sym_u16] = ACTIONS(1588),
    [anon_sym_u32] = ACTIONS(1588),
    [anon_sym_u64] = ACTIONS(1588),
    [anon_sym_f32] = ACTIONS(1588),
    [anon_sym_f64] = ACTIONS(1588),
    [anon_sym_bool] = ACTIONS(1588),
    [anon_sym_rune] = ACTIONS(1588),
    [anon_sym_map] = ACTIONS(1588),
    [anon_sym_mapnode] = ACTIONS(1588),
    [anon_sym_size_t] = ACTIONS(1588),
    [anon_sym_usize] = ACTIONS(1588),
    [anon_sym_isize] = ACTIONS(1588),
    [anon_sym_float_literal] = ACTIONS(1588),
    [anon_sym_int_literal] = ACTIONS(1588),
    [anon_sym_IError] = ACTIONS(1588),
    [sym_type_placeholder] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [sym_type_identifier] = ACTIONS(1588),
    [anon_sym_unsafe] = ACTIONS(1588),
    [anon_sym_fn] = ACTIONS(1588),
    [anon_sym_DOLLARif] = ACTIONS(1586),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_is] = ACTIONS(1588),
    [anon_sym_BANGis] = ACTIONS(1586),
    [anon_sym_match] = ACTIONS(1588),
    [anon_sym_select] = ACTIONS(1588),
    [anon_sym_lock] = ACTIONS(1588),
    [anon_sym_rlock] = ACTIONS(1588),
    [sym__c_string_opening] = ACTIONS(1586),
    [sym__raw_string_opening] = ACTIONS(1586),
    [sym__string_opening] = ACTIONS(1586),
    [sym__comment] = ACTIONS(3),
  },
  [1800] = {
    [sym_comment] = STATE(1800),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_LT_DASH] = ACTIONS(1436),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_AMP_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1438),
    [anon_sym_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_in] = ACTIONS(1438),
    [anon_sym_BANGin] = ACTIONS(1436),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_as] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [sym_none] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_RBRACK] = ACTIONS(1436),
    [anon_sym_map_LBRACK] = ACTIONS(1436),
    [anon_sym_chan] = ACTIONS(1438),
    [anon_sym_shared] = ACTIONS(1438),
    [anon_sym_thread] = ACTIONS(1438),
    [sym_int_literal] = ACTIONS(1438),
    [sym_float_literal] = ACTIONS(1436),
    [sym_rune_literal] = ACTIONS(1436),
    [anon_sym_DOT] = ACTIONS(1438),
    [anon_sym_array] = ACTIONS(1438),
    [anon_sym_string] = ACTIONS(1438),
    [anon_sym_char] = ACTIONS(1438),
    [anon_sym_sql] = ACTIONS(1438),
    [anon_sym_mut] = ACTIONS(1438),
    [anon_sym_C] = ACTIONS(1438),
    [anon_sym_JS] = ACTIONS(1438),
    [anon_sym_voidptr] = ACTIONS(1438),
    [anon_sym_byteptr] = ACTIONS(1438),
    [anon_sym_charptr] = ACTIONS(1438),
    [anon_sym_i8] = ACTIONS(1438),
    [anon_sym_i16] = ACTIONS(1438),
    [anon_sym_i32] = ACTIONS(1438),
    [anon_sym_int] = ACTIONS(1438),
    [anon_sym_i64] = ACTIONS(1438),
    [anon_sym_byte] = ACTIONS(1438),
    [anon_sym_u8] = ACTIONS(1438),
    [anon_sym_u16] = ACTIONS(1438),
    [anon_sym_u32] = ACTIONS(1438),
    [anon_sym_u64] = ACTIONS(1438),
    [anon_sym_f32] = ACTIONS(1438),
    [anon_sym_f64] = ACTIONS(1438),
    [anon_sym_bool] = ACTIONS(1438),
    [anon_sym_rune] = ACTIONS(1438),
    [anon_sym_map] = ACTIONS(1438),
    [anon_sym_mapnode] = ACTIONS(1438),
    [anon_sym_size_t] = ACTIONS(1438),
    [anon_sym_usize] = ACTIONS(1438),
    [anon_sym_isize] = ACTIONS(1438),
    [anon_sym_float_literal] = ACTIONS(1438),
    [anon_sym_int_literal] = ACTIONS(1438),
    [anon_sym_IError] = ACTIONS(1438),
    [sym_type_placeholder] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [sym_type_identifier] = ACTIONS(1438),
    [anon_sym_unsafe] = ACTIONS(1438),
    [anon_sym_fn] = ACTIONS(1438),
    [anon_sym_DOLLARif] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_is] = ACTIONS(1438),
    [anon_sym_BANGis] = ACTIONS(1436),
    [anon_sym_match] = ACTIONS(1438),
    [anon_sym_select] = ACTIONS(1438),
    [anon_sym_lock] = ACTIONS(1438),
    [anon_sym_rlock] = ACTIONS(1438),
    [sym__c_string_opening] = ACTIONS(1436),
    [sym__raw_string_opening] = ACTIONS(1436),
    [sym__string_opening] = ACTIONS(1436),
    [sym__comment] = ACTIONS(3),
  },
  [1801] = {
    [sym_comment] = STATE(1801),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_CARET] = ACTIONS(1270),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_LT_DASH] = ACTIONS(1270),
    [anon_sym_SLASH] = ACTIONS(1270),
    [anon_sym_PERCENT] = ACTIONS(1270),
    [anon_sym_LT_LT] = ACTIONS(1270),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_GT_GT_GT] = ACTIONS(1270),
    [anon_sym_AMP_CARET] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1270),
    [anon_sym_BANG_EQ] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_GT_EQ] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_BANGin] = ACTIONS(1270),
    [anon_sym_AMP_AMP] = ACTIONS(1270),
    [anon_sym_PIPE_PIPE] = ACTIONS(1270),
    [anon_sym_as] = ACTIONS(1272),
    [anon_sym_COMMA] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym_none] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_RBRACK] = ACTIONS(1270),
    [anon_sym_map_LBRACK] = ACTIONS(1270),
    [anon_sym_chan] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_thread] = ACTIONS(1272),
    [sym_int_literal] = ACTIONS(1272),
    [sym_float_literal] = ACTIONS(1270),
    [sym_rune_literal] = ACTIONS(1270),
    [anon_sym_DOT] = ACTIONS(1272),
    [anon_sym_array] = ACTIONS(1272),
    [anon_sym_string] = ACTIONS(1272),
    [anon_sym_char] = ACTIONS(1272),
    [anon_sym_sql] = ACTIONS(1272),
    [anon_sym_mut] = ACTIONS(1272),
    [anon_sym_C] = ACTIONS(1272),
    [anon_sym_JS] = ACTIONS(1272),
    [anon_sym_voidptr] = ACTIONS(1272),
    [anon_sym_byteptr] = ACTIONS(1272),
    [anon_sym_charptr] = ACTIONS(1272),
    [anon_sym_i8] = ACTIONS(1272),
    [anon_sym_i16] = ACTIONS(1272),
    [anon_sym_i32] = ACTIONS(1272),
    [anon_sym_int] = ACTIONS(1272),
    [anon_sym_i64] = ACTIONS(1272),
    [anon_sym_byte] = ACTIONS(1272),
    [anon_sym_u8] = ACTIONS(1272),
    [anon_sym_u16] = ACTIONS(1272),
    [anon_sym_u32] = ACTIONS(1272),
    [anon_sym_u64] = ACTIONS(1272),
    [anon_sym_f32] = ACTIONS(1272),
    [anon_sym_f64] = ACTIONS(1272),
    [anon_sym_bool] = ACTIONS(1272),
    [anon_sym_rune] = ACTIONS(1272),
    [anon_sym_map] = ACTIONS(1272),
    [anon_sym_mapnode] = ACTIONS(1272),
    [anon_sym_size_t] = ACTIONS(1272),
    [anon_sym_usize] = ACTIONS(1272),
    [anon_sym_isize] = ACTIONS(1272),
    [anon_sym_float_literal] = ACTIONS(1272),
    [anon_sym_int_literal] = ACTIONS(1272),
    [anon_sym_IError] = ACTIONS(1272),
    [sym_type_placeholder] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [sym_type_identifier] = ACTIONS(1272),
    [anon_sym_unsafe] = ACTIONS(1272),
    [anon_sym_fn] = ACTIONS(1272),
    [anon_sym_DOLLARif] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_is] = ACTIONS(1272),
    [anon_sym_BANGis] = ACTIONS(1270),
    [anon_sym_match] = ACTIONS(1272),
    [anon_sym_select] = ACTIONS(1272),
    [anon_sym_lock] = ACTIONS(1272),
    [anon_sym_rlock] = ACTIONS(1272),
    [sym__c_string_opening] = ACTIONS(1270),
    [sym__raw_string_opening] = ACTIONS(1270),
    [sym__string_opening] = ACTIONS(1270),
    [sym__comment] = ACTIONS(3),
  },
  [1802] = {
    [sym_comment] = STATE(1802),
    [sym_fixed_array_type] = STATE(2820),
    [sym_array_type] = STATE(2820),
    [sym_pointer_type] = STATE(2820),
    [sym_map_type] = STATE(2820),
    [sym_channel_type] = STATE(2820),
    [sym_shared_type] = STATE(2820),
    [sym_thread_type] = STATE(2820),
    [sym_binded_identifier] = STATE(2771),
    [sym_multi_return_type] = STATE(2652),
    [sym__simple_type] = STATE(2652),
    [sym_builtin_type] = STATE(2820),
    [sym__binded_type] = STATE(2820),
    [sym_generic_type] = STATE(2820),
    [sym_qualified_type] = STATE(2573),
    [sym_function_type] = STATE(2820),
    [sym_identifier] = ACTIONS(4510),
    [anon_sym_LPAREN] = ACTIONS(4512),
    [anon_sym_RPAREN] = ACTIONS(734),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(4516),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(734),
    [anon_sym_AMP_CARET] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_QMARK] = ACTIONS(734),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_RBRACK] = ACTIONS(734),
    [anon_sym_map_LBRACK] = ACTIONS(4522),
    [anon_sym_chan] = ACTIONS(4524),
    [anon_sym_shared] = ACTIONS(4526),
    [anon_sym_thread] = ACTIONS(4528),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(4530),
    [anon_sym_string] = ACTIONS(4530),
    [anon_sym_char] = ACTIONS(4530),
    [anon_sym_C] = ACTIONS(4532),
    [anon_sym_JS] = ACTIONS(4532),
    [anon_sym_voidptr] = ACTIONS(4530),
    [anon_sym_byteptr] = ACTIONS(4530),
    [anon_sym_charptr] = ACTIONS(4530),
    [anon_sym_i8] = ACTIONS(4530),
    [anon_sym_i16] = ACTIONS(4530),
    [anon_sym_i32] = ACTIONS(4530),
    [anon_sym_int] = ACTIONS(4530),
    [anon_sym_i64] = ACTIONS(4530),
    [anon_sym_byte] = ACTIONS(4530),
    [anon_sym_u8] = ACTIONS(4530),
    [anon_sym_u16] = ACTIONS(4530),
    [anon_sym_u32] = ACTIONS(4530),
    [anon_sym_u64] = ACTIONS(4530),
    [anon_sym_f32] = ACTIONS(4530),
    [anon_sym_f64] = ACTIONS(4530),
    [anon_sym_bool] = ACTIONS(4530),
    [anon_sym_rune] = ACTIONS(4530),
    [anon_sym_map] = ACTIONS(4530),
    [anon_sym_mapnode] = ACTIONS(4530),
    [anon_sym_size_t] = ACTIONS(4530),
    [anon_sym_usize] = ACTIONS(4530),
    [anon_sym_isize] = ACTIONS(4530),
    [anon_sym_float_literal] = ACTIONS(4530),
    [anon_sym_int_literal] = ACTIONS(4530),
    [anon_sym_IError] = ACTIONS(4530),
    [sym_type_placeholder] = ACTIONS(4534),
    [sym_type_identifier] = ACTIONS(4536),
    [anon_sym_COLON_EQ] = ACTIONS(734),
    [anon_sym_fn] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(734),
    [anon_sym_SEMI] = ACTIONS(734),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1803] = {
    [sym_comment] = STATE(1803),
    [sym_fixed_array_type] = STATE(2820),
    [sym_array_type] = STATE(2820),
    [sym_pointer_type] = STATE(2820),
    [sym_map_type] = STATE(2820),
    [sym_channel_type] = STATE(2820),
    [sym_shared_type] = STATE(2820),
    [sym_thread_type] = STATE(2820),
    [sym_binded_identifier] = STATE(2771),
    [sym_multi_return_type] = STATE(2747),
    [sym__simple_type] = STATE(2747),
    [sym_builtin_type] = STATE(2820),
    [sym__binded_type] = STATE(2820),
    [sym_generic_type] = STATE(2820),
    [sym_qualified_type] = STATE(2573),
    [sym_function_type] = STATE(2820),
    [sym_identifier] = ACTIONS(4510),
    [anon_sym_LPAREN] = ACTIONS(4512),
    [anon_sym_RPAREN] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(4516),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(738),
    [anon_sym_AMP_CARET] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_QMARK] = ACTIONS(738),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_map_LBRACK] = ACTIONS(4522),
    [anon_sym_chan] = ACTIONS(4524),
    [anon_sym_shared] = ACTIONS(4526),
    [anon_sym_thread] = ACTIONS(4528),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(4530),
    [anon_sym_string] = ACTIONS(4530),
    [anon_sym_char] = ACTIONS(4530),
    [anon_sym_C] = ACTIONS(4532),
    [anon_sym_JS] = ACTIONS(4532),
    [anon_sym_voidptr] = ACTIONS(4530),
    [anon_sym_byteptr] = ACTIONS(4530),
    [anon_sym_charptr] = ACTIONS(4530),
    [anon_sym_i8] = ACTIONS(4530),
    [anon_sym_i16] = ACTIONS(4530),
    [anon_sym_i32] = ACTIONS(4530),
    [anon_sym_int] = ACTIONS(4530),
    [anon_sym_i64] = ACTIONS(4530),
    [anon_sym_byte] = ACTIONS(4530),
    [anon_sym_u8] = ACTIONS(4530),
    [anon_sym_u16] = ACTIONS(4530),
    [anon_sym_u32] = ACTIONS(4530),
    [anon_sym_u64] = ACTIONS(4530),
    [anon_sym_f32] = ACTIONS(4530),
    [anon_sym_f64] = ACTIONS(4530),
    [anon_sym_bool] = ACTIONS(4530),
    [anon_sym_rune] = ACTIONS(4530),
    [anon_sym_map] = ACTIONS(4530),
    [anon_sym_mapnode] = ACTIONS(4530),
    [anon_sym_size_t] = ACTIONS(4530),
    [anon_sym_usize] = ACTIONS(4530),
    [anon_sym_isize] = ACTIONS(4530),
    [anon_sym_float_literal] = ACTIONS(4530),
    [anon_sym_int_literal] = ACTIONS(4530),
    [anon_sym_IError] = ACTIONS(4530),
    [sym_type_placeholder] = ACTIONS(4534),
    [sym_type_identifier] = ACTIONS(4536),
    [anon_sym_COLON_EQ] = ACTIONS(738),
    [anon_sym_fn] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(738),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1804] = {
    [sym_comment] = STATE(1804),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1186),
    [anon_sym_AMP_CARET] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_QMARK] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_COLON_EQ] = ACTIONS(1184),
    [anon_sym_STAR_EQ] = ACTIONS(1184),
    [anon_sym_SLASH_EQ] = ACTIONS(1184),
    [anon_sym_PERCENT_EQ] = ACTIONS(1184),
    [anon_sym_LT_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT_GT_EQ] = ACTIONS(1184),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1184),
    [anon_sym_AMP_EQ] = ACTIONS(1184),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1184),
    [anon_sym_PLUS_EQ] = ACTIONS(1184),
    [anon_sym_DASH_EQ] = ACTIONS(1184),
    [anon_sym_PIPE_EQ] = ACTIONS(1184),
    [anon_sym_CARET_EQ] = ACTIONS(1184),
    [anon_sym_EQ] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_DOT_DOT] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1805] = {
    [sym_comment] = STATE(1805),
    [sym_fixed_array_type] = STATE(2852),
    [sym_array_type] = STATE(2852),
    [sym_pointer_type] = STATE(2852),
    [sym_map_type] = STATE(2852),
    [sym_channel_type] = STATE(2852),
    [sym_shared_type] = STATE(2852),
    [sym_thread_type] = STATE(2852),
    [sym_binded_identifier] = STATE(2858),
    [sym_multi_return_type] = STATE(2867),
    [sym__simple_type] = STATE(2867),
    [sym_builtin_type] = STATE(2852),
    [sym__binded_type] = STATE(2852),
    [sym_generic_type] = STATE(2852),
    [sym_qualified_type] = STATE(2566),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN] = ACTIONS(4482),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(4486),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(740),
    [anon_sym_BANG_EQ] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(740),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(740),
    [anon_sym_AMP_AMP] = ACTIONS(740),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_CR] = ACTIONS(740),
    [anon_sym_CR_LF] = ACTIONS(740),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(4490),
    [anon_sym_map_LBRACK] = ACTIONS(4492),
    [anon_sym_chan] = ACTIONS(4494),
    [anon_sym_shared] = ACTIONS(4496),
    [anon_sym_thread] = ACTIONS(4498),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(4500),
    [anon_sym_string] = ACTIONS(4500),
    [anon_sym_char] = ACTIONS(4500),
    [sym__old_identifier] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(4502),
    [anon_sym_JS] = ACTIONS(4502),
    [anon_sym_voidptr] = ACTIONS(4500),
    [anon_sym_byteptr] = ACTIONS(4500),
    [anon_sym_charptr] = ACTIONS(4500),
    [anon_sym_i8] = ACTIONS(4500),
    [anon_sym_i16] = ACTIONS(4500),
    [anon_sym_i32] = ACTIONS(4500),
    [anon_sym_int] = ACTIONS(4500),
    [anon_sym_i64] = ACTIONS(4500),
    [anon_sym_byte] = ACTIONS(4500),
    [anon_sym_u8] = ACTIONS(4500),
    [anon_sym_u16] = ACTIONS(4500),
    [anon_sym_u32] = ACTIONS(4500),
    [anon_sym_u64] = ACTIONS(4500),
    [anon_sym_f32] = ACTIONS(4500),
    [anon_sym_f64] = ACTIONS(4500),
    [anon_sym_bool] = ACTIONS(4500),
    [anon_sym_rune] = ACTIONS(4500),
    [anon_sym_map] = ACTIONS(4500),
    [anon_sym_mapnode] = ACTIONS(4500),
    [anon_sym_size_t] = ACTIONS(4500),
    [anon_sym_usize] = ACTIONS(4500),
    [anon_sym_isize] = ACTIONS(4500),
    [anon_sym_float_literal] = ACTIONS(4500),
    [anon_sym_int_literal] = ACTIONS(4500),
    [anon_sym_IError] = ACTIONS(4500),
    [sym_type_placeholder] = ACTIONS(4504),
    [sym_type_identifier] = ACTIONS(4506),
    [anon_sym_pub] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(4508),
    [anon_sym___global] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(740),
    [sym__comment] = ACTIONS(3),
  },
  [1806] = {
    [sym_comment] = STATE(1806),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_AMP_CARET] = ACTIONS(1136),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_QMARK] = ACTIONS(1134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_COLON_EQ] = ACTIONS(1134),
    [anon_sym_STAR_EQ] = ACTIONS(1134),
    [anon_sym_SLASH_EQ] = ACTIONS(1134),
    [anon_sym_PERCENT_EQ] = ACTIONS(1134),
    [anon_sym_LT_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT_GT_EQ] = ACTIONS(1134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1134),
    [anon_sym_AMP_EQ] = ACTIONS(1134),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1134),
    [anon_sym_PLUS_EQ] = ACTIONS(1134),
    [anon_sym_DASH_EQ] = ACTIONS(1134),
    [anon_sym_PIPE_EQ] = ACTIONS(1134),
    [anon_sym_CARET_EQ] = ACTIONS(1134),
    [anon_sym_EQ] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_DOT_DOT] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1807] = {
    [sym_comment] = STATE(1807),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_RPAREN] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(4608),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(746),
    [anon_sym_AMP_CARET] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_QMARK] = ACTIONS(746),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_RBRACK] = ACTIONS(746),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_COLON_EQ] = ACTIONS(746),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_DOT_DOT] = ACTIONS(746),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [1808] = {
    [sym_comment] = STATE(1808),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_option_type] = STATE(2620),
    [sym_result_type] = STATE(2620),
    [sym_multi_return_type] = STATE(2620),
    [sym__simple_type] = STATE(2620),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(4610),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(4612),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(650),
    [anon_sym_AMP_AMP] = ACTIONS(650),
    [anon_sym_PIPE_PIPE] = ACTIONS(650),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(4614),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(4616),
    [anon_sym_map_LBRACK] = ACTIONS(4618),
    [anon_sym_chan] = ACTIONS(4620),
    [anon_sym_shared] = ACTIONS(4622),
    [anon_sym_thread] = ACTIONS(4624),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4626),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(650),
    [sym__comment] = ACTIONS(3),
  },
  [1809] = {
    [sym_comment] = STATE(1809),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1124),
    [anon_sym_PERCENT] = ACTIONS(1124),
    [anon_sym_LT_LT] = ACTIONS(1124),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1124),
    [anon_sym_AMP_CARET] = ACTIONS(1124),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_QMARK] = ACTIONS(1122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_COLON_EQ] = ACTIONS(1122),
    [anon_sym_STAR_EQ] = ACTIONS(1122),
    [anon_sym_SLASH_EQ] = ACTIONS(1122),
    [anon_sym_PERCENT_EQ] = ACTIONS(1122),
    [anon_sym_LT_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT_GT_EQ] = ACTIONS(1122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1122),
    [anon_sym_AMP_EQ] = ACTIONS(1122),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1122),
    [anon_sym_PLUS_EQ] = ACTIONS(1122),
    [anon_sym_DASH_EQ] = ACTIONS(1122),
    [anon_sym_PIPE_EQ] = ACTIONS(1122),
    [anon_sym_CARET_EQ] = ACTIONS(1122),
    [anon_sym_EQ] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_DOT_DOT] = ACTIONS(1124),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1810] = {
    [sym_comment] = STATE(1810),
    [sym_fixed_array_type] = STATE(2852),
    [sym_array_type] = STATE(2852),
    [sym_pointer_type] = STATE(2852),
    [sym_map_type] = STATE(2852),
    [sym_channel_type] = STATE(2852),
    [sym_shared_type] = STATE(2852),
    [sym_thread_type] = STATE(2852),
    [sym_binded_identifier] = STATE(2858),
    [sym_multi_return_type] = STATE(2815),
    [sym__simple_type] = STATE(2815),
    [sym_builtin_type] = STATE(2852),
    [sym__binded_type] = STATE(2852),
    [sym_generic_type] = STATE(2852),
    [sym_qualified_type] = STATE(2566),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN] = ACTIONS(4482),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(4486),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(736),
    [anon_sym_BANG_EQ] = ACTIONS(736),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(736),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(736),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(736),
    [anon_sym_PIPE_PIPE] = ACTIONS(736),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_LF] = ACTIONS(736),
    [anon_sym_CR] = ACTIONS(736),
    [anon_sym_CR_LF] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(4490),
    [anon_sym_map_LBRACK] = ACTIONS(4492),
    [anon_sym_chan] = ACTIONS(4494),
    [anon_sym_shared] = ACTIONS(4496),
    [anon_sym_thread] = ACTIONS(4498),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(4500),
    [anon_sym_string] = ACTIONS(4500),
    [anon_sym_char] = ACTIONS(4500),
    [sym__old_identifier] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(4502),
    [anon_sym_JS] = ACTIONS(4502),
    [anon_sym_voidptr] = ACTIONS(4500),
    [anon_sym_byteptr] = ACTIONS(4500),
    [anon_sym_charptr] = ACTIONS(4500),
    [anon_sym_i8] = ACTIONS(4500),
    [anon_sym_i16] = ACTIONS(4500),
    [anon_sym_i32] = ACTIONS(4500),
    [anon_sym_int] = ACTIONS(4500),
    [anon_sym_i64] = ACTIONS(4500),
    [anon_sym_byte] = ACTIONS(4500),
    [anon_sym_u8] = ACTIONS(4500),
    [anon_sym_u16] = ACTIONS(4500),
    [anon_sym_u32] = ACTIONS(4500),
    [anon_sym_u64] = ACTIONS(4500),
    [anon_sym_f32] = ACTIONS(4500),
    [anon_sym_f64] = ACTIONS(4500),
    [anon_sym_bool] = ACTIONS(4500),
    [anon_sym_rune] = ACTIONS(4500),
    [anon_sym_map] = ACTIONS(4500),
    [anon_sym_mapnode] = ACTIONS(4500),
    [anon_sym_size_t] = ACTIONS(4500),
    [anon_sym_usize] = ACTIONS(4500),
    [anon_sym_isize] = ACTIONS(4500),
    [anon_sym_float_literal] = ACTIONS(4500),
    [anon_sym_int_literal] = ACTIONS(4500),
    [anon_sym_IError] = ACTIONS(4500),
    [sym_type_placeholder] = ACTIONS(4504),
    [sym_type_identifier] = ACTIONS(4506),
    [anon_sym_pub] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(4508),
    [anon_sym___global] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(736),
    [sym__comment] = ACTIONS(3),
  },
  [1811] = {
    [sym_comment] = STATE(1811),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1132),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_AMP_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_QMARK] = ACTIONS(1130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_COLON_EQ] = ACTIONS(1130),
    [anon_sym_STAR_EQ] = ACTIONS(1130),
    [anon_sym_SLASH_EQ] = ACTIONS(1130),
    [anon_sym_PERCENT_EQ] = ACTIONS(1130),
    [anon_sym_LT_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT_GT_EQ] = ACTIONS(1130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1130),
    [anon_sym_AMP_EQ] = ACTIONS(1130),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1130),
    [anon_sym_PLUS_EQ] = ACTIONS(1130),
    [anon_sym_DASH_EQ] = ACTIONS(1130),
    [anon_sym_PIPE_EQ] = ACTIONS(1130),
    [anon_sym_CARET_EQ] = ACTIONS(1130),
    [anon_sym_EQ] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_DOT_DOT] = ACTIONS(1132),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1812] = {
    [sym_comment] = STATE(1812),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1140),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1140),
    [anon_sym_AMP_CARET] = ACTIONS(1140),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_QMARK] = ACTIONS(1138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_COLON_EQ] = ACTIONS(1138),
    [anon_sym_STAR_EQ] = ACTIONS(1138),
    [anon_sym_SLASH_EQ] = ACTIONS(1138),
    [anon_sym_PERCENT_EQ] = ACTIONS(1138),
    [anon_sym_LT_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT_GT_EQ] = ACTIONS(1138),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1138),
    [anon_sym_AMP_EQ] = ACTIONS(1138),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1138),
    [anon_sym_PLUS_EQ] = ACTIONS(1138),
    [anon_sym_DASH_EQ] = ACTIONS(1138),
    [anon_sym_PIPE_EQ] = ACTIONS(1138),
    [anon_sym_CARET_EQ] = ACTIONS(1138),
    [anon_sym_EQ] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_DOT_DOT] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1813] = {
    [sym_comment] = STATE(1813),
    [sym_fixed_array_type] = STATE(3067),
    [sym_array_type] = STATE(3067),
    [sym_pointer_type] = STATE(3067),
    [sym_map_type] = STATE(3067),
    [sym_channel_type] = STATE(3067),
    [sym_shared_type] = STATE(3067),
    [sym_thread_type] = STATE(3067),
    [sym_binded_identifier] = STATE(3066),
    [sym_option_type] = STATE(3052),
    [sym_result_type] = STATE(3052),
    [sym_multi_return_type] = STATE(3052),
    [sym__simple_type] = STATE(3052),
    [sym_builtin_type] = STATE(3067),
    [sym__binded_type] = STATE(3067),
    [sym_generic_type] = STATE(3067),
    [sym_qualified_type] = STATE(2938),
    [sym_function_type] = STATE(3067),
    [sym_identifier] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(4630),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(4632),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(4634),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(644),
    [anon_sym_AMP_CARET] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(4636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(4638),
    [anon_sym_map_LBRACK] = ACTIONS(4640),
    [anon_sym_chan] = ACTIONS(4642),
    [anon_sym_shared] = ACTIONS(4644),
    [anon_sym_thread] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(4648),
    [anon_sym_string] = ACTIONS(4648),
    [anon_sym_char] = ACTIONS(4648),
    [anon_sym_C] = ACTIONS(4650),
    [anon_sym_JS] = ACTIONS(4650),
    [anon_sym_voidptr] = ACTIONS(4648),
    [anon_sym_byteptr] = ACTIONS(4648),
    [anon_sym_charptr] = ACTIONS(4648),
    [anon_sym_i8] = ACTIONS(4648),
    [anon_sym_i16] = ACTIONS(4648),
    [anon_sym_i32] = ACTIONS(4648),
    [anon_sym_int] = ACTIONS(4648),
    [anon_sym_i64] = ACTIONS(4648),
    [anon_sym_byte] = ACTIONS(4648),
    [anon_sym_u8] = ACTIONS(4648),
    [anon_sym_u16] = ACTIONS(4648),
    [anon_sym_u32] = ACTIONS(4648),
    [anon_sym_u64] = ACTIONS(4648),
    [anon_sym_f32] = ACTIONS(4648),
    [anon_sym_f64] = ACTIONS(4648),
    [anon_sym_bool] = ACTIONS(4648),
    [anon_sym_rune] = ACTIONS(4648),
    [anon_sym_map] = ACTIONS(4648),
    [anon_sym_mapnode] = ACTIONS(4648),
    [anon_sym_size_t] = ACTIONS(4648),
    [anon_sym_usize] = ACTIONS(4648),
    [anon_sym_isize] = ACTIONS(4648),
    [anon_sym_float_literal] = ACTIONS(4648),
    [anon_sym_int_literal] = ACTIONS(4648),
    [anon_sym_IError] = ACTIONS(4648),
    [sym_type_placeholder] = ACTIONS(4652),
    [sym_type_identifier] = ACTIONS(4654),
    [anon_sym_fn] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(650),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1814] = {
    [sym_comment] = STATE(1814),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_option_type] = STATE(2620),
    [sym_result_type] = STATE(2620),
    [sym_multi_return_type] = STATE(2620),
    [sym__simple_type] = STATE(2620),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(4658),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(4660),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(650),
    [anon_sym_AMP_CARET] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(650),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(650),
    [anon_sym_AMP_AMP] = ACTIONS(650),
    [anon_sym_PIPE_PIPE] = ACTIONS(650),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(4662),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_map_LBRACK] = ACTIONS(4666),
    [anon_sym_chan] = ACTIONS(4668),
    [anon_sym_shared] = ACTIONS(4670),
    [anon_sym_thread] = ACTIONS(4672),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4674),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(650),
    [sym__comment] = ACTIONS(3),
  },
  [1815] = {
    [sym_comment] = STATE(1815),
    [aux_sym_expression_list_repeat1] = STATE(1827),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_CARET] = ACTIONS(1172),
    [anon_sym_STAR] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1172),
    [anon_sym_LT_DASH] = ACTIONS(1172),
    [anon_sym_COMMA] = ACTIONS(3616),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [sym_none] = ACTIONS(1174),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_map_LBRACK] = ACTIONS(1172),
    [anon_sym_chan] = ACTIONS(1174),
    [anon_sym_shared] = ACTIONS(1174),
    [anon_sym_thread] = ACTIONS(1174),
    [sym_int_literal] = ACTIONS(1174),
    [sym_float_literal] = ACTIONS(1172),
    [sym_rune_literal] = ACTIONS(1172),
    [anon_sym_DOT] = ACTIONS(1174),
    [anon_sym_array] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_char] = ACTIONS(1174),
    [anon_sym_sql] = ACTIONS(1174),
    [anon_sym_mut] = ACTIONS(1174),
    [anon_sym_C] = ACTIONS(1174),
    [anon_sym_JS] = ACTIONS(1174),
    [anon_sym_voidptr] = ACTIONS(1174),
    [anon_sym_byteptr] = ACTIONS(1174),
    [anon_sym_charptr] = ACTIONS(1174),
    [anon_sym_i8] = ACTIONS(1174),
    [anon_sym_i16] = ACTIONS(1174),
    [anon_sym_i32] = ACTIONS(1174),
    [anon_sym_int] = ACTIONS(1174),
    [anon_sym_i64] = ACTIONS(1174),
    [anon_sym_byte] = ACTIONS(1174),
    [anon_sym_u8] = ACTIONS(1174),
    [anon_sym_u16] = ACTIONS(1174),
    [anon_sym_u32] = ACTIONS(1174),
    [anon_sym_u64] = ACTIONS(1174),
    [anon_sym_f32] = ACTIONS(1174),
    [anon_sym_f64] = ACTIONS(1174),
    [anon_sym_bool] = ACTIONS(1174),
    [anon_sym_rune] = ACTIONS(1174),
    [anon_sym_map] = ACTIONS(1174),
    [anon_sym_mapnode] = ACTIONS(1174),
    [anon_sym_size_t] = ACTIONS(1174),
    [anon_sym_usize] = ACTIONS(1174),
    [anon_sym_isize] = ACTIONS(1174),
    [anon_sym_float_literal] = ACTIONS(1174),
    [anon_sym_int_literal] = ACTIONS(1174),
    [anon_sym_IError] = ACTIONS(1174),
    [sym_type_placeholder] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [sym_type_identifier] = ACTIONS(1174),
    [anon_sym_assert] = ACTIONS(1174),
    [anon_sym_defer] = ACTIONS(1174),
    [anon_sym_unsafe] = ACTIONS(1174),
    [anon_sym_fn] = ACTIONS(1174),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_go] = ACTIONS(1174),
    [anon_sym_spawn] = ACTIONS(1174),
    [anon_sym_goto] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_DOLLARfor] = ACTIONS(1172),
    [anon_sym_DOLLARif] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(1172),
    [anon_sym_match] = ACTIONS(1174),
    [anon_sym_select] = ACTIONS(1174),
    [anon_sym_lock] = ACTIONS(1174),
    [anon_sym_rlock] = ACTIONS(1174),
    [sym__automatic_separator] = ACTIONS(1172),
    [sym__c_string_opening] = ACTIONS(1172),
    [sym__raw_string_opening] = ACTIONS(1172),
    [sym__string_opening] = ACTIONS(1172),
    [sym__comment] = ACTIONS(3),
  },
  [1816] = {
    [sym_comment] = STATE(1816),
    [sym_fixed_array_type] = STATE(2820),
    [sym_array_type] = STATE(2820),
    [sym_pointer_type] = STATE(2820),
    [sym_map_type] = STATE(2820),
    [sym_channel_type] = STATE(2820),
    [sym_shared_type] = STATE(2820),
    [sym_thread_type] = STATE(2820),
    [sym_binded_identifier] = STATE(2771),
    [sym__simple_type] = STATE(2862),
    [sym_builtin_type] = STATE(2820),
    [sym__binded_type] = STATE(2820),
    [sym_generic_type] = STATE(2820),
    [sym_qualified_type] = STATE(2573),
    [sym_function_type] = STATE(2820),
    [sym_identifier] = ACTIONS(4510),
    [anon_sym_RPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_RBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(4522),
    [anon_sym_chan] = ACTIONS(4524),
    [anon_sym_shared] = ACTIONS(4526),
    [anon_sym_thread] = ACTIONS(4528),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4530),
    [anon_sym_string] = ACTIONS(4530),
    [anon_sym_char] = ACTIONS(4530),
    [anon_sym_C] = ACTIONS(4532),
    [anon_sym_JS] = ACTIONS(4532),
    [anon_sym_voidptr] = ACTIONS(4530),
    [anon_sym_byteptr] = ACTIONS(4530),
    [anon_sym_charptr] = ACTIONS(4530),
    [anon_sym_i8] = ACTIONS(4530),
    [anon_sym_i16] = ACTIONS(4530),
    [anon_sym_i32] = ACTIONS(4530),
    [anon_sym_int] = ACTIONS(4530),
    [anon_sym_i64] = ACTIONS(4530),
    [anon_sym_byte] = ACTIONS(4530),
    [anon_sym_u8] = ACTIONS(4530),
    [anon_sym_u16] = ACTIONS(4530),
    [anon_sym_u32] = ACTIONS(4530),
    [anon_sym_u64] = ACTIONS(4530),
    [anon_sym_f32] = ACTIONS(4530),
    [anon_sym_f64] = ACTIONS(4530),
    [anon_sym_bool] = ACTIONS(4530),
    [anon_sym_rune] = ACTIONS(4530),
    [anon_sym_map] = ACTIONS(4530),
    [anon_sym_mapnode] = ACTIONS(4530),
    [anon_sym_size_t] = ACTIONS(4530),
    [anon_sym_usize] = ACTIONS(4530),
    [anon_sym_isize] = ACTIONS(4530),
    [anon_sym_float_literal] = ACTIONS(4530),
    [anon_sym_int_literal] = ACTIONS(4530),
    [anon_sym_IError] = ACTIONS(4530),
    [sym_type_placeholder] = ACTIONS(4534),
    [sym_type_identifier] = ACTIONS(4536),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_fn] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1817] = {
    [sym_comment] = STATE(1817),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_multi_return_type] = STATE(2606),
    [sym__simple_type] = STATE(2606),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(736),
    [anon_sym_BANG_EQ] = ACTIONS(736),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(736),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(736),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(736),
    [anon_sym_PIPE_PIPE] = ACTIONS(736),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_LF] = ACTIONS(736),
    [anon_sym_CR] = ACTIONS(736),
    [anon_sym_CR_LF] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_map_LBRACK] = ACTIONS(4556),
    [anon_sym_chan] = ACTIONS(4558),
    [anon_sym_shared] = ACTIONS(4560),
    [anon_sym_thread] = ACTIONS(4562),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_pub] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(4572),
    [anon_sym___global] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(736),
    [sym__comment] = ACTIONS(3),
  },
  [1818] = {
    [sym_comment] = STATE(1818),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(4676),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(750),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(750),
    [anon_sym_AMP_CARET] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(750),
    [anon_sym_BANG_EQ] = ACTIONS(750),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(750),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(750),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(750),
    [anon_sym_AMP_AMP] = ACTIONS(750),
    [anon_sym_PIPE_PIPE] = ACTIONS(750),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_LF] = ACTIONS(750),
    [anon_sym_CR] = ACTIONS(750),
    [anon_sym_CR_LF] = ACTIONS(750),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_map_LBRACK] = ACTIONS(3554),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [sym__old_identifier] = ACTIONS(750),
    [anon_sym_mut] = ACTIONS(750),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_pub] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym___global] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(750),
    [sym__comment] = ACTIONS(3),
  },
  [1819] = {
    [sym_comment] = STATE(1819),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_multi_return_type] = STATE(2614),
    [sym__simple_type] = STATE(2614),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(740),
    [anon_sym_BANG_EQ] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(740),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(740),
    [anon_sym_AMP_AMP] = ACTIONS(740),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_CR] = ACTIONS(740),
    [anon_sym_CR_LF] = ACTIONS(740),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_map_LBRACK] = ACTIONS(4556),
    [anon_sym_chan] = ACTIONS(4558),
    [anon_sym_shared] = ACTIONS(4560),
    [anon_sym_thread] = ACTIONS(4562),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_pub] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(4572),
    [anon_sym___global] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(740),
    [sym__comment] = ACTIONS(3),
  },
  [1820] = {
    [sym_comment] = STATE(1820),
    [sym_fixed_array_type] = STATE(3253),
    [sym_array_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym_map_type] = STATE(3253),
    [sym_channel_type] = STATE(3253),
    [sym_shared_type] = STATE(3253),
    [sym_thread_type] = STATE(3253),
    [sym_binded_identifier] = STATE(3225),
    [sym_option_type] = STATE(3221),
    [sym_result_type] = STATE(3221),
    [sym_multi_return_type] = STATE(3221),
    [sym__simple_type] = STATE(3221),
    [sym_builtin_type] = STATE(3253),
    [sym__binded_type] = STATE(3253),
    [sym_generic_type] = STATE(3253),
    [sym_qualified_type] = STATE(3003),
    [sym_function_type] = STATE(3253),
    [sym_identifier] = ACTIONS(4678),
    [anon_sym_LPAREN] = ACTIONS(4680),
    [anon_sym_RPAREN] = ACTIONS(644),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(4682),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(4684),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(644),
    [anon_sym_AMP_CARET] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(4686),
    [anon_sym_LBRACK] = ACTIONS(4688),
    [anon_sym_map_LBRACK] = ACTIONS(4690),
    [anon_sym_chan] = ACTIONS(4692),
    [anon_sym_shared] = ACTIONS(4694),
    [anon_sym_thread] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(644),
    [anon_sym_array] = ACTIONS(4698),
    [anon_sym_string] = ACTIONS(4698),
    [anon_sym_char] = ACTIONS(4698),
    [anon_sym_C] = ACTIONS(4700),
    [anon_sym_JS] = ACTIONS(4700),
    [anon_sym_voidptr] = ACTIONS(4698),
    [anon_sym_byteptr] = ACTIONS(4698),
    [anon_sym_charptr] = ACTIONS(4698),
    [anon_sym_i8] = ACTIONS(4698),
    [anon_sym_i16] = ACTIONS(4698),
    [anon_sym_i32] = ACTIONS(4698),
    [anon_sym_int] = ACTIONS(4698),
    [anon_sym_i64] = ACTIONS(4698),
    [anon_sym_byte] = ACTIONS(4698),
    [anon_sym_u8] = ACTIONS(4698),
    [anon_sym_u16] = ACTIONS(4698),
    [anon_sym_u32] = ACTIONS(4698),
    [anon_sym_u64] = ACTIONS(4698),
    [anon_sym_f32] = ACTIONS(4698),
    [anon_sym_f64] = ACTIONS(4698),
    [anon_sym_bool] = ACTIONS(4698),
    [anon_sym_rune] = ACTIONS(4698),
    [anon_sym_map] = ACTIONS(4698),
    [anon_sym_mapnode] = ACTIONS(4698),
    [anon_sym_size_t] = ACTIONS(4698),
    [anon_sym_usize] = ACTIONS(4698),
    [anon_sym_isize] = ACTIONS(4698),
    [anon_sym_float_literal] = ACTIONS(4698),
    [anon_sym_int_literal] = ACTIONS(4698),
    [anon_sym_IError] = ACTIONS(4698),
    [sym_type_placeholder] = ACTIONS(4702),
    [sym_type_identifier] = ACTIONS(4704),
    [anon_sym_fn] = ACTIONS(4706),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [sym__automatic_separator] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1821] = {
    [sym_comment] = STATE(1821),
    [sym_fixed_array_type] = STATE(2820),
    [sym_array_type] = STATE(2820),
    [sym_pointer_type] = STATE(2820),
    [sym_map_type] = STATE(2820),
    [sym_channel_type] = STATE(2820),
    [sym_shared_type] = STATE(2820),
    [sym_thread_type] = STATE(2820),
    [sym_binded_identifier] = STATE(2771),
    [sym__simple_type] = STATE(2855),
    [sym_builtin_type] = STATE(2820),
    [sym__binded_type] = STATE(2820),
    [sym_generic_type] = STATE(2820),
    [sym_qualified_type] = STATE(2573),
    [sym_function_type] = STATE(2820),
    [sym_identifier] = ACTIONS(4510),
    [anon_sym_RPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(4516),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_RBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(4522),
    [anon_sym_chan] = ACTIONS(4524),
    [anon_sym_shared] = ACTIONS(4526),
    [anon_sym_thread] = ACTIONS(4528),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4530),
    [anon_sym_string] = ACTIONS(4530),
    [anon_sym_char] = ACTIONS(4530),
    [anon_sym_C] = ACTIONS(4532),
    [anon_sym_JS] = ACTIONS(4532),
    [anon_sym_voidptr] = ACTIONS(4530),
    [anon_sym_byteptr] = ACTIONS(4530),
    [anon_sym_charptr] = ACTIONS(4530),
    [anon_sym_i8] = ACTIONS(4530),
    [anon_sym_i16] = ACTIONS(4530),
    [anon_sym_i32] = ACTIONS(4530),
    [anon_sym_int] = ACTIONS(4530),
    [anon_sym_i64] = ACTIONS(4530),
    [anon_sym_byte] = ACTIONS(4530),
    [anon_sym_u8] = ACTIONS(4530),
    [anon_sym_u16] = ACTIONS(4530),
    [anon_sym_u32] = ACTIONS(4530),
    [anon_sym_u64] = ACTIONS(4530),
    [anon_sym_f32] = ACTIONS(4530),
    [anon_sym_f64] = ACTIONS(4530),
    [anon_sym_bool] = ACTIONS(4530),
    [anon_sym_rune] = ACTIONS(4530),
    [anon_sym_map] = ACTIONS(4530),
    [anon_sym_mapnode] = ACTIONS(4530),
    [anon_sym_size_t] = ACTIONS(4530),
    [anon_sym_usize] = ACTIONS(4530),
    [anon_sym_isize] = ACTIONS(4530),
    [anon_sym_float_literal] = ACTIONS(4530),
    [anon_sym_int_literal] = ACTIONS(4530),
    [anon_sym_IError] = ACTIONS(4530),
    [sym_type_placeholder] = ACTIONS(4534),
    [sym_type_identifier] = ACTIONS(4536),
    [anon_sym_COLON_EQ] = ACTIONS(742),
    [anon_sym_fn] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1822] = {
    [sym_comment] = STATE(1822),
    [sym_fixed_array_type] = STATE(2852),
    [sym_array_type] = STATE(2852),
    [sym_pointer_type] = STATE(2852),
    [sym_map_type] = STATE(2852),
    [sym_channel_type] = STATE(2852),
    [sym_shared_type] = STATE(2852),
    [sym_thread_type] = STATE(2852),
    [sym_binded_identifier] = STATE(2858),
    [sym__simple_type] = STATE(2859),
    [sym_builtin_type] = STATE(2852),
    [sym__binded_type] = STATE(2852),
    [sym_generic_type] = STATE(2852),
    [sym_qualified_type] = STATE(2566),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(4486),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(4490),
    [anon_sym_map_LBRACK] = ACTIONS(4492),
    [anon_sym_chan] = ACTIONS(4494),
    [anon_sym_shared] = ACTIONS(4496),
    [anon_sym_thread] = ACTIONS(4498),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4500),
    [anon_sym_string] = ACTIONS(4500),
    [anon_sym_char] = ACTIONS(4500),
    [sym__old_identifier] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(4502),
    [anon_sym_JS] = ACTIONS(4502),
    [anon_sym_voidptr] = ACTIONS(4500),
    [anon_sym_byteptr] = ACTIONS(4500),
    [anon_sym_charptr] = ACTIONS(4500),
    [anon_sym_i8] = ACTIONS(4500),
    [anon_sym_i16] = ACTIONS(4500),
    [anon_sym_i32] = ACTIONS(4500),
    [anon_sym_int] = ACTIONS(4500),
    [anon_sym_i64] = ACTIONS(4500),
    [anon_sym_byte] = ACTIONS(4500),
    [anon_sym_u8] = ACTIONS(4500),
    [anon_sym_u16] = ACTIONS(4500),
    [anon_sym_u32] = ACTIONS(4500),
    [anon_sym_u64] = ACTIONS(4500),
    [anon_sym_f32] = ACTIONS(4500),
    [anon_sym_f64] = ACTIONS(4500),
    [anon_sym_bool] = ACTIONS(4500),
    [anon_sym_rune] = ACTIONS(4500),
    [anon_sym_map] = ACTIONS(4500),
    [anon_sym_mapnode] = ACTIONS(4500),
    [anon_sym_size_t] = ACTIONS(4500),
    [anon_sym_usize] = ACTIONS(4500),
    [anon_sym_isize] = ACTIONS(4500),
    [anon_sym_float_literal] = ACTIONS(4500),
    [anon_sym_int_literal] = ACTIONS(4500),
    [anon_sym_IError] = ACTIONS(4500),
    [sym_type_placeholder] = ACTIONS(4504),
    [sym_type_identifier] = ACTIONS(4506),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(4508),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1823] = {
    [sym_comment] = STATE(1823),
    [sym_fixed_array_type] = STATE(3312),
    [sym_array_type] = STATE(3312),
    [sym_pointer_type] = STATE(3312),
    [sym_map_type] = STATE(3312),
    [sym_channel_type] = STATE(3312),
    [sym_shared_type] = STATE(3312),
    [sym_thread_type] = STATE(3312),
    [sym_binded_identifier] = STATE(3322),
    [sym_option_type] = STATE(3361),
    [sym_result_type] = STATE(3361),
    [sym_multi_return_type] = STATE(3361),
    [sym__simple_type] = STATE(3361),
    [sym_builtin_type] = STATE(3312),
    [sym__binded_type] = STATE(3312),
    [sym_generic_type] = STATE(3312),
    [sym_qualified_type] = STATE(3097),
    [sym_function_type] = STATE(3312),
    [sym_identifier] = ACTIONS(4708),
    [anon_sym_LPAREN] = ACTIONS(4710),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(4712),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(644),
    [anon_sym_AMP_CARET] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_BANGin] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(644),
    [anon_sym_as] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_COLON] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_map_LBRACK] = ACTIONS(4720),
    [anon_sym_chan] = ACTIONS(4722),
    [anon_sym_shared] = ACTIONS(4724),
    [anon_sym_thread] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(644),
    [anon_sym_array] = ACTIONS(4728),
    [anon_sym_string] = ACTIONS(4728),
    [anon_sym_char] = ACTIONS(4728),
    [anon_sym_C] = ACTIONS(4730),
    [anon_sym_JS] = ACTIONS(4730),
    [anon_sym_voidptr] = ACTIONS(4728),
    [anon_sym_byteptr] = ACTIONS(4728),
    [anon_sym_charptr] = ACTIONS(4728),
    [anon_sym_i8] = ACTIONS(4728),
    [anon_sym_i16] = ACTIONS(4728),
    [anon_sym_i32] = ACTIONS(4728),
    [anon_sym_int] = ACTIONS(4728),
    [anon_sym_i64] = ACTIONS(4728),
    [anon_sym_byte] = ACTIONS(4728),
    [anon_sym_u8] = ACTIONS(4728),
    [anon_sym_u16] = ACTIONS(4728),
    [anon_sym_u32] = ACTIONS(4728),
    [anon_sym_u64] = ACTIONS(4728),
    [anon_sym_f32] = ACTIONS(4728),
    [anon_sym_f64] = ACTIONS(4728),
    [anon_sym_bool] = ACTIONS(4728),
    [anon_sym_rune] = ACTIONS(4728),
    [anon_sym_map] = ACTIONS(4728),
    [anon_sym_mapnode] = ACTIONS(4728),
    [anon_sym_size_t] = ACTIONS(4728),
    [anon_sym_usize] = ACTIONS(4728),
    [anon_sym_isize] = ACTIONS(4728),
    [anon_sym_float_literal] = ACTIONS(4728),
    [anon_sym_int_literal] = ACTIONS(4728),
    [anon_sym_IError] = ACTIONS(4728),
    [sym_type_placeholder] = ACTIONS(4732),
    [sym_type_identifier] = ACTIONS(4734),
    [anon_sym_fn] = ACTIONS(4736),
    [anon_sym_is] = ACTIONS(650),
    [anon_sym_BANGis] = ACTIONS(644),
    [sym__interpolation_closing] = ACTIONS(644),
    [sym__comment] = ACTIONS(3),
  },
  [1824] = {
    [sym_comment] = STATE(1824),
    [sym_fixed_array_type] = STATE(2852),
    [sym_array_type] = STATE(2852),
    [sym_pointer_type] = STATE(2852),
    [sym_map_type] = STATE(2852),
    [sym_channel_type] = STATE(2852),
    [sym_shared_type] = STATE(2852),
    [sym_thread_type] = STATE(2852),
    [sym_binded_identifier] = STATE(2858),
    [sym__simple_type] = STATE(2861),
    [sym_builtin_type] = STATE(2852),
    [sym__binded_type] = STATE(2852),
    [sym_generic_type] = STATE(2852),
    [sym_qualified_type] = STATE(2566),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_map_LBRACK] = ACTIONS(4492),
    [anon_sym_chan] = ACTIONS(4494),
    [anon_sym_shared] = ACTIONS(4496),
    [anon_sym_thread] = ACTIONS(4498),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4500),
    [anon_sym_string] = ACTIONS(4500),
    [anon_sym_char] = ACTIONS(4500),
    [sym__old_identifier] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(4502),
    [anon_sym_JS] = ACTIONS(4502),
    [anon_sym_voidptr] = ACTIONS(4500),
    [anon_sym_byteptr] = ACTIONS(4500),
    [anon_sym_charptr] = ACTIONS(4500),
    [anon_sym_i8] = ACTIONS(4500),
    [anon_sym_i16] = ACTIONS(4500),
    [anon_sym_i32] = ACTIONS(4500),
    [anon_sym_int] = ACTIONS(4500),
    [anon_sym_i64] = ACTIONS(4500),
    [anon_sym_byte] = ACTIONS(4500),
    [anon_sym_u8] = ACTIONS(4500),
    [anon_sym_u16] = ACTIONS(4500),
    [anon_sym_u32] = ACTIONS(4500),
    [anon_sym_u64] = ACTIONS(4500),
    [anon_sym_f32] = ACTIONS(4500),
    [anon_sym_f64] = ACTIONS(4500),
    [anon_sym_bool] = ACTIONS(4500),
    [anon_sym_rune] = ACTIONS(4500),
    [anon_sym_map] = ACTIONS(4500),
    [anon_sym_mapnode] = ACTIONS(4500),
    [anon_sym_size_t] = ACTIONS(4500),
    [anon_sym_usize] = ACTIONS(4500),
    [anon_sym_isize] = ACTIONS(4500),
    [anon_sym_float_literal] = ACTIONS(4500),
    [anon_sym_int_literal] = ACTIONS(4500),
    [anon_sym_IError] = ACTIONS(4500),
    [sym_type_placeholder] = ACTIONS(4504),
    [sym_type_identifier] = ACTIONS(4506),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(4508),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1825] = {
    [sym_comment] = STATE(1825),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_CARET] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym_LT_DASH] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_DOLLAR] = ACTIONS(3312),
    [sym_none] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_map_LBRACK] = ACTIONS(3310),
    [anon_sym_chan] = ACTIONS(3312),
    [anon_sym_shared] = ACTIONS(3312),
    [anon_sym_thread] = ACTIONS(3312),
    [sym_int_literal] = ACTIONS(3312),
    [sym_float_literal] = ACTIONS(3310),
    [sym_rune_literal] = ACTIONS(3310),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_array] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_char] = ACTIONS(3312),
    [anon_sym_sql] = ACTIONS(3312),
    [anon_sym_mut] = ACTIONS(3312),
    [anon_sym_C] = ACTIONS(3312),
    [anon_sym_JS] = ACTIONS(3312),
    [anon_sym_voidptr] = ACTIONS(3312),
    [anon_sym_byteptr] = ACTIONS(3312),
    [anon_sym_charptr] = ACTIONS(3312),
    [anon_sym_i8] = ACTIONS(3312),
    [anon_sym_i16] = ACTIONS(3312),
    [anon_sym_i32] = ACTIONS(3312),
    [anon_sym_int] = ACTIONS(3312),
    [anon_sym_i64] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_u8] = ACTIONS(3312),
    [anon_sym_u16] = ACTIONS(3312),
    [anon_sym_u32] = ACTIONS(3312),
    [anon_sym_u64] = ACTIONS(3312),
    [anon_sym_f32] = ACTIONS(3312),
    [anon_sym_f64] = ACTIONS(3312),
    [anon_sym_bool] = ACTIONS(3312),
    [anon_sym_rune] = ACTIONS(3312),
    [anon_sym_map] = ACTIONS(3312),
    [anon_sym_mapnode] = ACTIONS(3312),
    [anon_sym_size_t] = ACTIONS(3312),
    [anon_sym_usize] = ACTIONS(3312),
    [anon_sym_isize] = ACTIONS(3312),
    [anon_sym_float_literal] = ACTIONS(3312),
    [anon_sym_int_literal] = ACTIONS(3312),
    [anon_sym_IError] = ACTIONS(3312),
    [sym_type_placeholder] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [sym_type_identifier] = ACTIONS(3312),
    [anon_sym_assert] = ACTIONS(3312),
    [anon_sym_defer] = ACTIONS(3312),
    [anon_sym_unsafe] = ACTIONS(3312),
    [anon_sym_fn] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_go] = ACTIONS(3312),
    [anon_sym_spawn] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_DOLLARfor] = ACTIONS(3310),
    [anon_sym_DOLLARif] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_is] = ACTIONS(3622),
    [anon_sym_BANGis] = ACTIONS(3624),
    [anon_sym_POUND] = ACTIONS(3310),
    [anon_sym_match] = ACTIONS(3312),
    [anon_sym_select] = ACTIONS(3312),
    [anon_sym_lock] = ACTIONS(3312),
    [anon_sym_rlock] = ACTIONS(3312),
    [sym__automatic_separator] = ACTIONS(3310),
    [sym__c_string_opening] = ACTIONS(3310),
    [sym__raw_string_opening] = ACTIONS(3310),
    [sym__string_opening] = ACTIONS(3310),
    [sym__comment] = ACTIONS(3),
  },
  [1826] = {
    [sym_comment] = STATE(1826),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(4738),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(750),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(750),
    [anon_sym_AMP_CARET] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(750),
    [anon_sym_BANG_EQ] = ACTIONS(750),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(750),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(750),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(750),
    [anon_sym_AMP_AMP] = ACTIONS(750),
    [anon_sym_PIPE_PIPE] = ACTIONS(750),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_LF] = ACTIONS(750),
    [anon_sym_CR] = ACTIONS(750),
    [anon_sym_CR_LF] = ACTIONS(750),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_map_LBRACK] = ACTIONS(3554),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_mut] = ACTIONS(750),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_pub] = ACTIONS(750),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym___global] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(750),
    [sym__comment] = ACTIONS(3),
  },
  [1827] = {
    [sym_comment] = STATE(1827),
    [aux_sym_expression_list_repeat1] = STATE(1828),
    [sym_identifier] = ACTIONS(3810),
    [anon_sym_LPAREN] = ACTIONS(3808),
    [anon_sym_PLUS] = ACTIONS(3808),
    [anon_sym_DASH] = ACTIONS(3808),
    [anon_sym_BANG] = ACTIONS(3808),
    [anon_sym_TILDE] = ACTIONS(3808),
    [anon_sym_CARET] = ACTIONS(3808),
    [anon_sym_STAR] = ACTIONS(3808),
    [anon_sym_AMP] = ACTIONS(3808),
    [anon_sym_LT_DASH] = ACTIONS(3808),
    [anon_sym_COMMA] = ACTIONS(3616),
    [anon_sym_DOLLAR] = ACTIONS(3810),
    [sym_none] = ACTIONS(3810),
    [sym_true] = ACTIONS(3810),
    [sym_false] = ACTIONS(3810),
    [anon_sym_LBRACE] = ACTIONS(3808),
    [anon_sym_RBRACE] = ACTIONS(3808),
    [anon_sym_LBRACK] = ACTIONS(3808),
    [anon_sym_map_LBRACK] = ACTIONS(3808),
    [anon_sym_chan] = ACTIONS(3810),
    [anon_sym_shared] = ACTIONS(3810),
    [anon_sym_thread] = ACTIONS(3810),
    [sym_int_literal] = ACTIONS(3810),
    [sym_float_literal] = ACTIONS(3808),
    [sym_rune_literal] = ACTIONS(3808),
    [anon_sym_DOT] = ACTIONS(3810),
    [anon_sym_array] = ACTIONS(3810),
    [anon_sym_string] = ACTIONS(3810),
    [anon_sym_char] = ACTIONS(3810),
    [anon_sym_sql] = ACTIONS(3810),
    [anon_sym_mut] = ACTIONS(3810),
    [anon_sym_C] = ACTIONS(3810),
    [anon_sym_JS] = ACTIONS(3810),
    [anon_sym_voidptr] = ACTIONS(3810),
    [anon_sym_byteptr] = ACTIONS(3810),
    [anon_sym_charptr] = ACTIONS(3810),
    [anon_sym_i8] = ACTIONS(3810),
    [anon_sym_i16] = ACTIONS(3810),
    [anon_sym_i32] = ACTIONS(3810),
    [anon_sym_int] = ACTIONS(3810),
    [anon_sym_i64] = ACTIONS(3810),
    [anon_sym_byte] = ACTIONS(3810),
    [anon_sym_u8] = ACTIONS(3810),
    [anon_sym_u16] = ACTIONS(3810),
    [anon_sym_u32] = ACTIONS(3810),
    [anon_sym_u64] = ACTIONS(3810),
    [anon_sym_f32] = ACTIONS(3810),
    [anon_sym_f64] = ACTIONS(3810),
    [anon_sym_bool] = ACTIONS(3810),
    [anon_sym_rune] = ACTIONS(3810),
    [anon_sym_map] = ACTIONS(3810),
    [anon_sym_mapnode] = ACTIONS(3810),
    [anon_sym_size_t] = ACTIONS(3810),
    [anon_sym_usize] = ACTIONS(3810),
    [anon_sym_isize] = ACTIONS(3810),
    [anon_sym_float_literal] = ACTIONS(3810),
    [anon_sym_int_literal] = ACTIONS(3810),
    [anon_sym_IError] = ACTIONS(3810),
    [sym_type_placeholder] = ACTIONS(3810),
    [anon_sym_AT] = ACTIONS(3810),
    [sym_type_identifier] = ACTIONS(3810),
    [anon_sym_assert] = ACTIONS(3810),
    [anon_sym_defer] = ACTIONS(3810),
    [anon_sym_unsafe] = ACTIONS(3810),
    [anon_sym_fn] = ACTIONS(3810),
    [anon_sym_asm] = ACTIONS(3810),
    [anon_sym_break] = ACTIONS(3810),
    [anon_sym_continue] = ACTIONS(3810),
    [anon_sym_return] = ACTIONS(3810),
    [anon_sym_go] = ACTIONS(3810),
    [anon_sym_spawn] = ACTIONS(3810),
    [anon_sym_goto] = ACTIONS(3810),
    [anon_sym_for] = ACTIONS(3810),
    [anon_sym_DOLLARfor] = ACTIONS(3808),
    [anon_sym_DOLLARif] = ACTIONS(3808),
    [anon_sym_if] = ACTIONS(3810),
    [anon_sym_POUND] = ACTIONS(3808),
    [anon_sym_match] = ACTIONS(3810),
    [anon_sym_select] = ACTIONS(3810),
    [anon_sym_lock] = ACTIONS(3810),
    [anon_sym_rlock] = ACTIONS(3810),
    [sym__automatic_separator] = ACTIONS(3808),
    [sym__c_string_opening] = ACTIONS(3808),
    [sym__raw_string_opening] = ACTIONS(3808),
    [sym__string_opening] = ACTIONS(3808),
    [sym__comment] = ACTIONS(3),
  },
  [1828] = {
    [sym_comment] = STATE(1828),
    [aux_sym_expression_list_repeat1] = STATE(1828),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_CARET] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym_LT_DASH] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(4740),
    [anon_sym_DOLLAR] = ACTIONS(3312),
    [sym_none] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_map_LBRACK] = ACTIONS(3310),
    [anon_sym_chan] = ACTIONS(3312),
    [anon_sym_shared] = ACTIONS(3312),
    [anon_sym_thread] = ACTIONS(3312),
    [sym_int_literal] = ACTIONS(3312),
    [sym_float_literal] = ACTIONS(3310),
    [sym_rune_literal] = ACTIONS(3310),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_array] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_char] = ACTIONS(3312),
    [anon_sym_sql] = ACTIONS(3312),
    [anon_sym_mut] = ACTIONS(3312),
    [anon_sym_C] = ACTIONS(3312),
    [anon_sym_JS] = ACTIONS(3312),
    [anon_sym_voidptr] = ACTIONS(3312),
    [anon_sym_byteptr] = ACTIONS(3312),
    [anon_sym_charptr] = ACTIONS(3312),
    [anon_sym_i8] = ACTIONS(3312),
    [anon_sym_i16] = ACTIONS(3312),
    [anon_sym_i32] = ACTIONS(3312),
    [anon_sym_int] = ACTIONS(3312),
    [anon_sym_i64] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_u8] = ACTIONS(3312),
    [anon_sym_u16] = ACTIONS(3312),
    [anon_sym_u32] = ACTIONS(3312),
    [anon_sym_u64] = ACTIONS(3312),
    [anon_sym_f32] = ACTIONS(3312),
    [anon_sym_f64] = ACTIONS(3312),
    [anon_sym_bool] = ACTIONS(3312),
    [anon_sym_rune] = ACTIONS(3312),
    [anon_sym_map] = ACTIONS(3312),
    [anon_sym_mapnode] = ACTIONS(3312),
    [anon_sym_size_t] = ACTIONS(3312),
    [anon_sym_usize] = ACTIONS(3312),
    [anon_sym_isize] = ACTIONS(3312),
    [anon_sym_float_literal] = ACTIONS(3312),
    [anon_sym_int_literal] = ACTIONS(3312),
    [anon_sym_IError] = ACTIONS(3312),
    [sym_type_placeholder] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [sym_type_identifier] = ACTIONS(3312),
    [anon_sym_assert] = ACTIONS(3312),
    [anon_sym_defer] = ACTIONS(3312),
    [anon_sym_unsafe] = ACTIONS(3312),
    [anon_sym_fn] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_go] = ACTIONS(3312),
    [anon_sym_spawn] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_DOLLARfor] = ACTIONS(3310),
    [anon_sym_DOLLARif] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_POUND] = ACTIONS(3310),
    [anon_sym_match] = ACTIONS(3312),
    [anon_sym_select] = ACTIONS(3312),
    [anon_sym_lock] = ACTIONS(3312),
    [anon_sym_rlock] = ACTIONS(3312),
    [sym__automatic_separator] = ACTIONS(3310),
    [sym__c_string_opening] = ACTIONS(3310),
    [sym__raw_string_opening] = ACTIONS(3310),
    [sym__string_opening] = ACTIONS(3310),
    [sym__comment] = ACTIONS(3),
  },
  [1829] = {
    [sym_comment] = STATE(1829),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym__simple_type] = STATE(2611),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_map_LBRACK] = ACTIONS(4556),
    [anon_sym_chan] = ACTIONS(4558),
    [anon_sym_shared] = ACTIONS(4560),
    [anon_sym_thread] = ACTIONS(4562),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(4572),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1830] = {
    [sym_comment] = STATE(1830),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym__simple_type] = STATE(2629),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_map_LBRACK] = ACTIONS(4556),
    [anon_sym_chan] = ACTIONS(4558),
    [anon_sym_shared] = ACTIONS(4560),
    [anon_sym_thread] = ACTIONS(4562),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(4572),
    [anon_sym___global] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1831] = {
    [sym_comment] = STATE(1831),
    [sym_fixed_array_type] = STATE(3067),
    [sym_array_type] = STATE(3067),
    [sym_pointer_type] = STATE(3067),
    [sym_map_type] = STATE(3067),
    [sym_channel_type] = STATE(3067),
    [sym_shared_type] = STATE(3067),
    [sym_thread_type] = STATE(3067),
    [sym_binded_identifier] = STATE(3066),
    [sym_multi_return_type] = STATE(3128),
    [sym__simple_type] = STATE(3128),
    [sym_builtin_type] = STATE(3067),
    [sym__binded_type] = STATE(3067),
    [sym_generic_type] = STATE(3067),
    [sym_qualified_type] = STATE(2938),
    [sym_function_type] = STATE(3067),
    [sym_identifier] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(4630),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(4634),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(734),
    [anon_sym_AMP_CARET] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(734),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(4638),
    [anon_sym_map_LBRACK] = ACTIONS(4640),
    [anon_sym_chan] = ACTIONS(4642),
    [anon_sym_shared] = ACTIONS(4644),
    [anon_sym_thread] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(4648),
    [anon_sym_string] = ACTIONS(4648),
    [anon_sym_char] = ACTIONS(4648),
    [anon_sym_C] = ACTIONS(4650),
    [anon_sym_JS] = ACTIONS(4650),
    [anon_sym_voidptr] = ACTIONS(4648),
    [anon_sym_byteptr] = ACTIONS(4648),
    [anon_sym_charptr] = ACTIONS(4648),
    [anon_sym_i8] = ACTIONS(4648),
    [anon_sym_i16] = ACTIONS(4648),
    [anon_sym_i32] = ACTIONS(4648),
    [anon_sym_int] = ACTIONS(4648),
    [anon_sym_i64] = ACTIONS(4648),
    [anon_sym_byte] = ACTIONS(4648),
    [anon_sym_u8] = ACTIONS(4648),
    [anon_sym_u16] = ACTIONS(4648),
    [anon_sym_u32] = ACTIONS(4648),
    [anon_sym_u64] = ACTIONS(4648),
    [anon_sym_f32] = ACTIONS(4648),
    [anon_sym_f64] = ACTIONS(4648),
    [anon_sym_bool] = ACTIONS(4648),
    [anon_sym_rune] = ACTIONS(4648),
    [anon_sym_map] = ACTIONS(4648),
    [anon_sym_mapnode] = ACTIONS(4648),
    [anon_sym_size_t] = ACTIONS(4648),
    [anon_sym_usize] = ACTIONS(4648),
    [anon_sym_isize] = ACTIONS(4648),
    [anon_sym_float_literal] = ACTIONS(4648),
    [anon_sym_int_literal] = ACTIONS(4648),
    [anon_sym_IError] = ACTIONS(4648),
    [sym_type_placeholder] = ACTIONS(4652),
    [sym_type_identifier] = ACTIONS(4654),
    [anon_sym_fn] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1832] = {
    [sym_comment] = STATE(1832),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_multi_return_type] = STATE(2614),
    [sym__simple_type] = STATE(2614),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(4612),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(740),
    [anon_sym_BANG_EQ] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(740),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(740),
    [anon_sym_AMP_AMP] = ACTIONS(740),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_CR] = ACTIONS(740),
    [anon_sym_CR_LF] = ACTIONS(740),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(4616),
    [anon_sym_map_LBRACK] = ACTIONS(4618),
    [anon_sym_chan] = ACTIONS(4620),
    [anon_sym_shared] = ACTIONS(4622),
    [anon_sym_thread] = ACTIONS(4624),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4626),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(740),
    [sym__comment] = ACTIONS(3),
  },
  [1833] = {
    [sym_comment] = STATE(1833),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_multi_return_type] = STATE(2606),
    [sym__simple_type] = STATE(2606),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(4612),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(736),
    [anon_sym_BANG_EQ] = ACTIONS(736),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(736),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(736),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(736),
    [anon_sym_PIPE_PIPE] = ACTIONS(736),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_LF] = ACTIONS(736),
    [anon_sym_CR] = ACTIONS(736),
    [anon_sym_CR_LF] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(4616),
    [anon_sym_map_LBRACK] = ACTIONS(4618),
    [anon_sym_chan] = ACTIONS(4620),
    [anon_sym_shared] = ACTIONS(4622),
    [anon_sym_thread] = ACTIONS(4624),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4626),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(736),
    [sym__comment] = ACTIONS(3),
  },
  [1834] = {
    [sym_comment] = STATE(1834),
    [sym_fixed_array_type] = STATE(3067),
    [sym_array_type] = STATE(3067),
    [sym_pointer_type] = STATE(3067),
    [sym_map_type] = STATE(3067),
    [sym_channel_type] = STATE(3067),
    [sym_shared_type] = STATE(3067),
    [sym_thread_type] = STATE(3067),
    [sym_binded_identifier] = STATE(3066),
    [sym_multi_return_type] = STATE(3042),
    [sym__simple_type] = STATE(3042),
    [sym_builtin_type] = STATE(3067),
    [sym__binded_type] = STATE(3067),
    [sym_generic_type] = STATE(3067),
    [sym_qualified_type] = STATE(2938),
    [sym_function_type] = STATE(3067),
    [sym_identifier] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(4630),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(4634),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(738),
    [anon_sym_AMP_CARET] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(738),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(4638),
    [anon_sym_map_LBRACK] = ACTIONS(4640),
    [anon_sym_chan] = ACTIONS(4642),
    [anon_sym_shared] = ACTIONS(4644),
    [anon_sym_thread] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(4648),
    [anon_sym_string] = ACTIONS(4648),
    [anon_sym_char] = ACTIONS(4648),
    [anon_sym_C] = ACTIONS(4650),
    [anon_sym_JS] = ACTIONS(4650),
    [anon_sym_voidptr] = ACTIONS(4648),
    [anon_sym_byteptr] = ACTIONS(4648),
    [anon_sym_charptr] = ACTIONS(4648),
    [anon_sym_i8] = ACTIONS(4648),
    [anon_sym_i16] = ACTIONS(4648),
    [anon_sym_i32] = ACTIONS(4648),
    [anon_sym_int] = ACTIONS(4648),
    [anon_sym_i64] = ACTIONS(4648),
    [anon_sym_byte] = ACTIONS(4648),
    [anon_sym_u8] = ACTIONS(4648),
    [anon_sym_u16] = ACTIONS(4648),
    [anon_sym_u32] = ACTIONS(4648),
    [anon_sym_u64] = ACTIONS(4648),
    [anon_sym_f32] = ACTIONS(4648),
    [anon_sym_f64] = ACTIONS(4648),
    [anon_sym_bool] = ACTIONS(4648),
    [anon_sym_rune] = ACTIONS(4648),
    [anon_sym_map] = ACTIONS(4648),
    [anon_sym_mapnode] = ACTIONS(4648),
    [anon_sym_size_t] = ACTIONS(4648),
    [anon_sym_usize] = ACTIONS(4648),
    [anon_sym_isize] = ACTIONS(4648),
    [anon_sym_float_literal] = ACTIONS(4648),
    [anon_sym_int_literal] = ACTIONS(4648),
    [anon_sym_IError] = ACTIONS(4648),
    [sym_type_placeholder] = ACTIONS(4652),
    [sym_type_identifier] = ACTIONS(4654),
    [anon_sym_fn] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(740),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1835] = {
    [sym_comment] = STATE(1835),
    [sym_fixed_array_type] = STATE(3253),
    [sym_array_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym_map_type] = STATE(3253),
    [sym_channel_type] = STATE(3253),
    [sym_shared_type] = STATE(3253),
    [sym_thread_type] = STATE(3253),
    [sym_binded_identifier] = STATE(3225),
    [sym_multi_return_type] = STATE(3257),
    [sym__simple_type] = STATE(3257),
    [sym_builtin_type] = STATE(3253),
    [sym__binded_type] = STATE(3253),
    [sym_generic_type] = STATE(3253),
    [sym_qualified_type] = STATE(3003),
    [sym_function_type] = STATE(3253),
    [sym_identifier] = ACTIONS(4678),
    [anon_sym_LPAREN] = ACTIONS(4680),
    [anon_sym_RPAREN] = ACTIONS(734),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(4684),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(734),
    [anon_sym_AMP_CARET] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(4688),
    [anon_sym_map_LBRACK] = ACTIONS(4690),
    [anon_sym_chan] = ACTIONS(4692),
    [anon_sym_shared] = ACTIONS(4694),
    [anon_sym_thread] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(734),
    [anon_sym_array] = ACTIONS(4698),
    [anon_sym_string] = ACTIONS(4698),
    [anon_sym_char] = ACTIONS(4698),
    [anon_sym_C] = ACTIONS(4700),
    [anon_sym_JS] = ACTIONS(4700),
    [anon_sym_voidptr] = ACTIONS(4698),
    [anon_sym_byteptr] = ACTIONS(4698),
    [anon_sym_charptr] = ACTIONS(4698),
    [anon_sym_i8] = ACTIONS(4698),
    [anon_sym_i16] = ACTIONS(4698),
    [anon_sym_i32] = ACTIONS(4698),
    [anon_sym_int] = ACTIONS(4698),
    [anon_sym_i64] = ACTIONS(4698),
    [anon_sym_byte] = ACTIONS(4698),
    [anon_sym_u8] = ACTIONS(4698),
    [anon_sym_u16] = ACTIONS(4698),
    [anon_sym_u32] = ACTIONS(4698),
    [anon_sym_u64] = ACTIONS(4698),
    [anon_sym_f32] = ACTIONS(4698),
    [anon_sym_f64] = ACTIONS(4698),
    [anon_sym_bool] = ACTIONS(4698),
    [anon_sym_rune] = ACTIONS(4698),
    [anon_sym_map] = ACTIONS(4698),
    [anon_sym_mapnode] = ACTIONS(4698),
    [anon_sym_size_t] = ACTIONS(4698),
    [anon_sym_usize] = ACTIONS(4698),
    [anon_sym_isize] = ACTIONS(4698),
    [anon_sym_float_literal] = ACTIONS(4698),
    [anon_sym_int_literal] = ACTIONS(4698),
    [anon_sym_IError] = ACTIONS(4698),
    [sym_type_placeholder] = ACTIONS(4702),
    [sym_type_identifier] = ACTIONS(4704),
    [anon_sym_fn] = ACTIONS(4706),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [sym__automatic_separator] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1836] = {
    [sym_comment] = STATE(1836),
    [sym_identifier] = ACTIONS(4298),
    [anon_sym_LPAREN] = ACTIONS(4296),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_BANG] = ACTIONS(4296),
    [anon_sym_TILDE] = ACTIONS(4296),
    [anon_sym_CARET] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4296),
    [anon_sym_AMP] = ACTIONS(4296),
    [anon_sym_LT_DASH] = ACTIONS(4296),
    [anon_sym_DOLLAR] = ACTIONS(4298),
    [sym_none] = ACTIONS(4298),
    [sym_true] = ACTIONS(4298),
    [sym_false] = ACTIONS(4298),
    [anon_sym_LBRACE] = ACTIONS(4296),
    [anon_sym_RBRACE] = ACTIONS(4296),
    [anon_sym_LBRACK] = ACTIONS(4296),
    [anon_sym_map_LBRACK] = ACTIONS(4296),
    [anon_sym_chan] = ACTIONS(4298),
    [anon_sym_shared] = ACTIONS(4298),
    [anon_sym_thread] = ACTIONS(4298),
    [sym_int_literal] = ACTIONS(4298),
    [sym_float_literal] = ACTIONS(4296),
    [sym_rune_literal] = ACTIONS(4296),
    [anon_sym_DOT] = ACTIONS(4298),
    [anon_sym_array] = ACTIONS(4298),
    [anon_sym_string] = ACTIONS(4298),
    [anon_sym_char] = ACTIONS(4298),
    [anon_sym_sql] = ACTIONS(4298),
    [anon_sym_mut] = ACTIONS(4298),
    [anon_sym_C] = ACTIONS(4298),
    [anon_sym_JS] = ACTIONS(4298),
    [anon_sym_voidptr] = ACTIONS(4298),
    [anon_sym_byteptr] = ACTIONS(4298),
    [anon_sym_charptr] = ACTIONS(4298),
    [anon_sym_i8] = ACTIONS(4298),
    [anon_sym_i16] = ACTIONS(4298),
    [anon_sym_i32] = ACTIONS(4298),
    [anon_sym_int] = ACTIONS(4298),
    [anon_sym_i64] = ACTIONS(4298),
    [anon_sym_byte] = ACTIONS(4298),
    [anon_sym_u8] = ACTIONS(4298),
    [anon_sym_u16] = ACTIONS(4298),
    [anon_sym_u32] = ACTIONS(4298),
    [anon_sym_u64] = ACTIONS(4298),
    [anon_sym_f32] = ACTIONS(4298),
    [anon_sym_f64] = ACTIONS(4298),
    [anon_sym_bool] = ACTIONS(4298),
    [anon_sym_rune] = ACTIONS(4298),
    [anon_sym_map] = ACTIONS(4298),
    [anon_sym_mapnode] = ACTIONS(4298),
    [anon_sym_size_t] = ACTIONS(4298),
    [anon_sym_usize] = ACTIONS(4298),
    [anon_sym_isize] = ACTIONS(4298),
    [anon_sym_float_literal] = ACTIONS(4298),
    [anon_sym_int_literal] = ACTIONS(4298),
    [anon_sym_IError] = ACTIONS(4298),
    [sym_type_placeholder] = ACTIONS(4298),
    [anon_sym_AT] = ACTIONS(4298),
    [sym_type_identifier] = ACTIONS(4298),
    [anon_sym_assert] = ACTIONS(4298),
    [anon_sym_defer] = ACTIONS(4298),
    [anon_sym_unsafe] = ACTIONS(4298),
    [anon_sym_fn] = ACTIONS(4298),
    [anon_sym_asm] = ACTIONS(4298),
    [anon_sym_break] = ACTIONS(4298),
    [anon_sym_continue] = ACTIONS(4298),
    [anon_sym_return] = ACTIONS(4298),
    [anon_sym_go] = ACTIONS(4298),
    [anon_sym_spawn] = ACTIONS(4298),
    [anon_sym_goto] = ACTIONS(4298),
    [anon_sym_for] = ACTIONS(4298),
    [anon_sym_DOLLARfor] = ACTIONS(4296),
    [anon_sym_DOLLARif] = ACTIONS(4296),
    [anon_sym_if] = ACTIONS(4298),
    [anon_sym_POUND] = ACTIONS(4296),
    [anon_sym_match] = ACTIONS(4298),
    [anon_sym_select] = ACTIONS(4298),
    [anon_sym_lock] = ACTIONS(4298),
    [anon_sym_rlock] = ACTIONS(4298),
    [sym__automatic_separator] = ACTIONS(4296),
    [sym__c_string_opening] = ACTIONS(4296),
    [sym__raw_string_opening] = ACTIONS(4296),
    [sym__string_opening] = ACTIONS(4296),
    [sym__comment] = ACTIONS(3),
  },
  [1837] = {
    [sym_comment] = STATE(1837),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1140),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1140),
    [anon_sym_AMP_CARET] = ACTIONS(1140),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_QMARK] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1138),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_COLON_EQ] = ACTIONS(1138),
    [anon_sym_STAR_EQ] = ACTIONS(1138),
    [anon_sym_SLASH_EQ] = ACTIONS(1138),
    [anon_sym_PERCENT_EQ] = ACTIONS(1138),
    [anon_sym_LT_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT_GT_EQ] = ACTIONS(1138),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1138),
    [anon_sym_AMP_EQ] = ACTIONS(1138),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1138),
    [anon_sym_PLUS_EQ] = ACTIONS(1138),
    [anon_sym_DASH_EQ] = ACTIONS(1138),
    [anon_sym_PIPE_EQ] = ACTIONS(1138),
    [anon_sym_CARET_EQ] = ACTIONS(1138),
    [anon_sym_EQ] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1838] = {
    [sym_comment] = STATE(1838),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_AMP_CARET] = ACTIONS(1136),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_QMARK] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1134),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_COLON_EQ] = ACTIONS(1134),
    [anon_sym_STAR_EQ] = ACTIONS(1134),
    [anon_sym_SLASH_EQ] = ACTIONS(1134),
    [anon_sym_PERCENT_EQ] = ACTIONS(1134),
    [anon_sym_LT_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT_GT_EQ] = ACTIONS(1134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1134),
    [anon_sym_AMP_EQ] = ACTIONS(1134),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1134),
    [anon_sym_PLUS_EQ] = ACTIONS(1134),
    [anon_sym_DASH_EQ] = ACTIONS(1134),
    [anon_sym_PIPE_EQ] = ACTIONS(1134),
    [anon_sym_CARET_EQ] = ACTIONS(1134),
    [anon_sym_EQ] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1839] = {
    [sym_comment] = STATE(1839),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_go] = ACTIONS(1190),
    [anon_sym_spawn] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_DOLLARfor] = ACTIONS(1188),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_POUND] = ACTIONS(1188),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__automatic_separator] = ACTIONS(1188),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1840] = {
    [sym_comment] = STATE(1840),
    [sym_identifier] = ACTIONS(4392),
    [anon_sym_LPAREN] = ACTIONS(4390),
    [anon_sym_PLUS] = ACTIONS(4390),
    [anon_sym_DASH] = ACTIONS(4390),
    [anon_sym_BANG] = ACTIONS(4390),
    [anon_sym_TILDE] = ACTIONS(4390),
    [anon_sym_CARET] = ACTIONS(4390),
    [anon_sym_STAR] = ACTIONS(4390),
    [anon_sym_AMP] = ACTIONS(4390),
    [anon_sym_LT_DASH] = ACTIONS(4390),
    [anon_sym_DOLLAR] = ACTIONS(4392),
    [sym_none] = ACTIONS(4392),
    [sym_true] = ACTIONS(4392),
    [sym_false] = ACTIONS(4392),
    [anon_sym_LBRACE] = ACTIONS(4390),
    [anon_sym_RBRACE] = ACTIONS(4390),
    [anon_sym_LBRACK] = ACTIONS(4390),
    [anon_sym_map_LBRACK] = ACTIONS(4390),
    [anon_sym_chan] = ACTIONS(4392),
    [anon_sym_shared] = ACTIONS(4392),
    [anon_sym_thread] = ACTIONS(4392),
    [sym_int_literal] = ACTIONS(4392),
    [sym_float_literal] = ACTIONS(4390),
    [sym_rune_literal] = ACTIONS(4390),
    [anon_sym_DOT] = ACTIONS(4392),
    [anon_sym_array] = ACTIONS(4392),
    [anon_sym_string] = ACTIONS(4392),
    [anon_sym_char] = ACTIONS(4392),
    [anon_sym_sql] = ACTIONS(4392),
    [anon_sym_mut] = ACTIONS(4392),
    [anon_sym_C] = ACTIONS(4392),
    [anon_sym_JS] = ACTIONS(4392),
    [anon_sym_voidptr] = ACTIONS(4392),
    [anon_sym_byteptr] = ACTIONS(4392),
    [anon_sym_charptr] = ACTIONS(4392),
    [anon_sym_i8] = ACTIONS(4392),
    [anon_sym_i16] = ACTIONS(4392),
    [anon_sym_i32] = ACTIONS(4392),
    [anon_sym_int] = ACTIONS(4392),
    [anon_sym_i64] = ACTIONS(4392),
    [anon_sym_byte] = ACTIONS(4392),
    [anon_sym_u8] = ACTIONS(4392),
    [anon_sym_u16] = ACTIONS(4392),
    [anon_sym_u32] = ACTIONS(4392),
    [anon_sym_u64] = ACTIONS(4392),
    [anon_sym_f32] = ACTIONS(4392),
    [anon_sym_f64] = ACTIONS(4392),
    [anon_sym_bool] = ACTIONS(4392),
    [anon_sym_rune] = ACTIONS(4392),
    [anon_sym_map] = ACTIONS(4392),
    [anon_sym_mapnode] = ACTIONS(4392),
    [anon_sym_size_t] = ACTIONS(4392),
    [anon_sym_usize] = ACTIONS(4392),
    [anon_sym_isize] = ACTIONS(4392),
    [anon_sym_float_literal] = ACTIONS(4392),
    [anon_sym_int_literal] = ACTIONS(4392),
    [anon_sym_IError] = ACTIONS(4392),
    [sym_type_placeholder] = ACTIONS(4392),
    [anon_sym_AT] = ACTIONS(4392),
    [sym_type_identifier] = ACTIONS(4392),
    [anon_sym_assert] = ACTIONS(4392),
    [anon_sym_defer] = ACTIONS(4392),
    [anon_sym_unsafe] = ACTIONS(4392),
    [anon_sym_fn] = ACTIONS(4392),
    [anon_sym_asm] = ACTIONS(4392),
    [anon_sym_break] = ACTIONS(4392),
    [anon_sym_continue] = ACTIONS(4392),
    [anon_sym_return] = ACTIONS(4392),
    [anon_sym_go] = ACTIONS(4392),
    [anon_sym_spawn] = ACTIONS(4392),
    [anon_sym_goto] = ACTIONS(4392),
    [anon_sym_for] = ACTIONS(4392),
    [anon_sym_DOLLARfor] = ACTIONS(4390),
    [anon_sym_DOLLARif] = ACTIONS(4390),
    [anon_sym_if] = ACTIONS(4392),
    [anon_sym_POUND] = ACTIONS(4390),
    [anon_sym_match] = ACTIONS(4392),
    [anon_sym_select] = ACTIONS(4392),
    [anon_sym_lock] = ACTIONS(4392),
    [anon_sym_rlock] = ACTIONS(4392),
    [sym__automatic_separator] = ACTIONS(4390),
    [sym__c_string_opening] = ACTIONS(4390),
    [sym__raw_string_opening] = ACTIONS(4390),
    [sym__string_opening] = ACTIONS(4390),
    [sym__comment] = ACTIONS(3),
  },
  [1841] = {
    [sym_comment] = STATE(1841),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_TILDE] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_DASH] = ACTIONS(4124),
    [anon_sym_DOLLAR] = ACTIONS(4126),
    [sym_none] = ACTIONS(4126),
    [sym_true] = ACTIONS(4126),
    [sym_false] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_map_LBRACK] = ACTIONS(4124),
    [anon_sym_chan] = ACTIONS(4126),
    [anon_sym_shared] = ACTIONS(4126),
    [anon_sym_thread] = ACTIONS(4126),
    [sym_int_literal] = ACTIONS(4126),
    [sym_float_literal] = ACTIONS(4124),
    [sym_rune_literal] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4126),
    [anon_sym_array] = ACTIONS(4126),
    [anon_sym_string] = ACTIONS(4126),
    [anon_sym_char] = ACTIONS(4126),
    [anon_sym_sql] = ACTIONS(4126),
    [anon_sym_mut] = ACTIONS(4126),
    [anon_sym_C] = ACTIONS(4126),
    [anon_sym_JS] = ACTIONS(4126),
    [anon_sym_voidptr] = ACTIONS(4126),
    [anon_sym_byteptr] = ACTIONS(4126),
    [anon_sym_charptr] = ACTIONS(4126),
    [anon_sym_i8] = ACTIONS(4126),
    [anon_sym_i16] = ACTIONS(4126),
    [anon_sym_i32] = ACTIONS(4126),
    [anon_sym_int] = ACTIONS(4126),
    [anon_sym_i64] = ACTIONS(4126),
    [anon_sym_byte] = ACTIONS(4126),
    [anon_sym_u8] = ACTIONS(4126),
    [anon_sym_u16] = ACTIONS(4126),
    [anon_sym_u32] = ACTIONS(4126),
    [anon_sym_u64] = ACTIONS(4126),
    [anon_sym_f32] = ACTIONS(4126),
    [anon_sym_f64] = ACTIONS(4126),
    [anon_sym_bool] = ACTIONS(4126),
    [anon_sym_rune] = ACTIONS(4126),
    [anon_sym_map] = ACTIONS(4126),
    [anon_sym_mapnode] = ACTIONS(4126),
    [anon_sym_size_t] = ACTIONS(4126),
    [anon_sym_usize] = ACTIONS(4126),
    [anon_sym_isize] = ACTIONS(4126),
    [anon_sym_float_literal] = ACTIONS(4126),
    [anon_sym_int_literal] = ACTIONS(4126),
    [anon_sym_IError] = ACTIONS(4126),
    [sym_type_placeholder] = ACTIONS(4126),
    [anon_sym_AT] = ACTIONS(4126),
    [sym_type_identifier] = ACTIONS(4126),
    [anon_sym_assert] = ACTIONS(4126),
    [anon_sym_defer] = ACTIONS(4126),
    [anon_sym_unsafe] = ACTIONS(4126),
    [anon_sym_fn] = ACTIONS(4126),
    [anon_sym_asm] = ACTIONS(4126),
    [anon_sym_break] = ACTIONS(4126),
    [anon_sym_continue] = ACTIONS(4126),
    [anon_sym_return] = ACTIONS(4126),
    [anon_sym_go] = ACTIONS(4126),
    [anon_sym_spawn] = ACTIONS(4126),
    [anon_sym_goto] = ACTIONS(4126),
    [anon_sym_for] = ACTIONS(4126),
    [anon_sym_DOLLARfor] = ACTIONS(4124),
    [anon_sym_DOLLARif] = ACTIONS(4124),
    [anon_sym_if] = ACTIONS(4126),
    [anon_sym_POUND] = ACTIONS(4124),
    [anon_sym_match] = ACTIONS(4126),
    [anon_sym_select] = ACTIONS(4126),
    [anon_sym_lock] = ACTIONS(4126),
    [anon_sym_rlock] = ACTIONS(4126),
    [sym__automatic_separator] = ACTIONS(4124),
    [sym__c_string_opening] = ACTIONS(4124),
    [sym__raw_string_opening] = ACTIONS(4124),
    [sym__string_opening] = ACTIONS(4124),
    [sym__comment] = ACTIONS(3),
  },
  [1842] = {
    [sym_comment] = STATE(1842),
    [sym_identifier] = ACTIONS(4743),
    [anon_sym_LPAREN] = ACTIONS(4745),
    [anon_sym_PLUS] = ACTIONS(4745),
    [anon_sym_DASH] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(4745),
    [anon_sym_TILDE] = ACTIONS(4745),
    [anon_sym_CARET] = ACTIONS(4745),
    [anon_sym_STAR] = ACTIONS(4745),
    [anon_sym_AMP] = ACTIONS(4745),
    [anon_sym_LT_DASH] = ACTIONS(4745),
    [anon_sym_DOLLAR] = ACTIONS(4743),
    [sym_none] = ACTIONS(4743),
    [sym_true] = ACTIONS(4743),
    [sym_false] = ACTIONS(4743),
    [anon_sym_LBRACE] = ACTIONS(4745),
    [anon_sym_RBRACE] = ACTIONS(4745),
    [anon_sym_LBRACK] = ACTIONS(4745),
    [anon_sym_map_LBRACK] = ACTIONS(4745),
    [anon_sym_chan] = ACTIONS(4743),
    [anon_sym_shared] = ACTIONS(4743),
    [anon_sym_thread] = ACTIONS(4743),
    [sym_int_literal] = ACTIONS(4743),
    [sym_float_literal] = ACTIONS(4745),
    [sym_rune_literal] = ACTIONS(4745),
    [anon_sym_DOT] = ACTIONS(4743),
    [anon_sym_array] = ACTIONS(4743),
    [anon_sym_string] = ACTIONS(4743),
    [anon_sym_char] = ACTIONS(4743),
    [anon_sym_sql] = ACTIONS(4743),
    [anon_sym_mut] = ACTIONS(4743),
    [anon_sym_C] = ACTIONS(4743),
    [anon_sym_JS] = ACTIONS(4743),
    [anon_sym_voidptr] = ACTIONS(4743),
    [anon_sym_byteptr] = ACTIONS(4743),
    [anon_sym_charptr] = ACTIONS(4743),
    [anon_sym_i8] = ACTIONS(4743),
    [anon_sym_i16] = ACTIONS(4743),
    [anon_sym_i32] = ACTIONS(4743),
    [anon_sym_int] = ACTIONS(4743),
    [anon_sym_i64] = ACTIONS(4743),
    [anon_sym_byte] = ACTIONS(4743),
    [anon_sym_u8] = ACTIONS(4743),
    [anon_sym_u16] = ACTIONS(4743),
    [anon_sym_u32] = ACTIONS(4743),
    [anon_sym_u64] = ACTIONS(4743),
    [anon_sym_f32] = ACTIONS(4743),
    [anon_sym_f64] = ACTIONS(4743),
    [anon_sym_bool] = ACTIONS(4743),
    [anon_sym_rune] = ACTIONS(4743),
    [anon_sym_map] = ACTIONS(4743),
    [anon_sym_mapnode] = ACTIONS(4743),
    [anon_sym_size_t] = ACTIONS(4743),
    [anon_sym_usize] = ACTIONS(4743),
    [anon_sym_isize] = ACTIONS(4743),
    [anon_sym_float_literal] = ACTIONS(4743),
    [anon_sym_int_literal] = ACTIONS(4743),
    [anon_sym_IError] = ACTIONS(4743),
    [sym_type_placeholder] = ACTIONS(4743),
    [anon_sym_AT] = ACTIONS(4743),
    [sym_type_identifier] = ACTIONS(4743),
    [anon_sym_assert] = ACTIONS(4743),
    [anon_sym_defer] = ACTIONS(4743),
    [anon_sym_unsafe] = ACTIONS(4743),
    [anon_sym_fn] = ACTIONS(4743),
    [anon_sym_asm] = ACTIONS(4743),
    [anon_sym_break] = ACTIONS(4743),
    [anon_sym_continue] = ACTIONS(4743),
    [anon_sym_return] = ACTIONS(4743),
    [anon_sym_go] = ACTIONS(4743),
    [anon_sym_spawn] = ACTIONS(4743),
    [anon_sym_goto] = ACTIONS(4743),
    [anon_sym_for] = ACTIONS(4743),
    [anon_sym_DOLLARfor] = ACTIONS(4745),
    [anon_sym_DOLLARif] = ACTIONS(4745),
    [anon_sym_if] = ACTIONS(4743),
    [anon_sym_POUND] = ACTIONS(4745),
    [anon_sym_match] = ACTIONS(4743),
    [anon_sym_select] = ACTIONS(4743),
    [anon_sym_lock] = ACTIONS(4743),
    [anon_sym_rlock] = ACTIONS(4743),
    [sym__automatic_separator] = ACTIONS(4747),
    [sym__c_string_opening] = ACTIONS(4745),
    [sym__raw_string_opening] = ACTIONS(4745),
    [sym__string_opening] = ACTIONS(4745),
    [sym__comment] = ACTIONS(3),
  },
  [1843] = {
    [sym_comment] = STATE(1843),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3960),
    [anon_sym_DASH] = ACTIONS(3960),
    [anon_sym_BANG] = ACTIONS(3960),
    [anon_sym_TILDE] = ACTIONS(3960),
    [anon_sym_CARET] = ACTIONS(3960),
    [anon_sym_STAR] = ACTIONS(3960),
    [anon_sym_AMP] = ACTIONS(3960),
    [anon_sym_LT_DASH] = ACTIONS(3960),
    [anon_sym_DOLLAR] = ACTIONS(3962),
    [sym_none] = ACTIONS(3962),
    [sym_true] = ACTIONS(3962),
    [sym_false] = ACTIONS(3962),
    [anon_sym_LBRACE] = ACTIONS(3960),
    [anon_sym_RBRACE] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3960),
    [anon_sym_map_LBRACK] = ACTIONS(3960),
    [anon_sym_chan] = ACTIONS(3962),
    [anon_sym_shared] = ACTIONS(3962),
    [anon_sym_thread] = ACTIONS(3962),
    [sym_int_literal] = ACTIONS(3962),
    [sym_float_literal] = ACTIONS(3960),
    [sym_rune_literal] = ACTIONS(3960),
    [anon_sym_DOT] = ACTIONS(3962),
    [anon_sym_array] = ACTIONS(3962),
    [anon_sym_string] = ACTIONS(3962),
    [anon_sym_char] = ACTIONS(3962),
    [anon_sym_sql] = ACTIONS(3962),
    [anon_sym_mut] = ACTIONS(3962),
    [anon_sym_C] = ACTIONS(3962),
    [anon_sym_JS] = ACTIONS(3962),
    [anon_sym_voidptr] = ACTIONS(3962),
    [anon_sym_byteptr] = ACTIONS(3962),
    [anon_sym_charptr] = ACTIONS(3962),
    [anon_sym_i8] = ACTIONS(3962),
    [anon_sym_i16] = ACTIONS(3962),
    [anon_sym_i32] = ACTIONS(3962),
    [anon_sym_int] = ACTIONS(3962),
    [anon_sym_i64] = ACTIONS(3962),
    [anon_sym_byte] = ACTIONS(3962),
    [anon_sym_u8] = ACTIONS(3962),
    [anon_sym_u16] = ACTIONS(3962),
    [anon_sym_u32] = ACTIONS(3962),
    [anon_sym_u64] = ACTIONS(3962),
    [anon_sym_f32] = ACTIONS(3962),
    [anon_sym_f64] = ACTIONS(3962),
    [anon_sym_bool] = ACTIONS(3962),
    [anon_sym_rune] = ACTIONS(3962),
    [anon_sym_map] = ACTIONS(3962),
    [anon_sym_mapnode] = ACTIONS(3962),
    [anon_sym_size_t] = ACTIONS(3962),
    [anon_sym_usize] = ACTIONS(3962),
    [anon_sym_isize] = ACTIONS(3962),
    [anon_sym_float_literal] = ACTIONS(3962),
    [anon_sym_int_literal] = ACTIONS(3962),
    [anon_sym_IError] = ACTIONS(3962),
    [sym_type_placeholder] = ACTIONS(3962),
    [anon_sym_AT] = ACTIONS(3962),
    [sym_type_identifier] = ACTIONS(3962),
    [anon_sym_assert] = ACTIONS(3962),
    [anon_sym_defer] = ACTIONS(3962),
    [anon_sym_unsafe] = ACTIONS(3962),
    [anon_sym_fn] = ACTIONS(3962),
    [anon_sym_asm] = ACTIONS(3962),
    [anon_sym_break] = ACTIONS(3962),
    [anon_sym_continue] = ACTIONS(3962),
    [anon_sym_return] = ACTIONS(3962),
    [anon_sym_go] = ACTIONS(3962),
    [anon_sym_spawn] = ACTIONS(3962),
    [anon_sym_goto] = ACTIONS(3962),
    [anon_sym_for] = ACTIONS(3962),
    [anon_sym_DOLLARfor] = ACTIONS(3960),
    [anon_sym_DOLLARif] = ACTIONS(3960),
    [anon_sym_if] = ACTIONS(3962),
    [anon_sym_POUND] = ACTIONS(3960),
    [anon_sym_match] = ACTIONS(3962),
    [anon_sym_select] = ACTIONS(3962),
    [anon_sym_lock] = ACTIONS(3962),
    [anon_sym_rlock] = ACTIONS(3962),
    [sym__automatic_separator] = ACTIONS(3960),
    [sym__c_string_opening] = ACTIONS(3960),
    [sym__raw_string_opening] = ACTIONS(3960),
    [sym__string_opening] = ACTIONS(3960),
    [sym__comment] = ACTIONS(3),
  },
  [1844] = {
    [sym_comment] = STATE(1844),
    [sym_fixed_array_type] = STATE(3253),
    [sym_array_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym_map_type] = STATE(3253),
    [sym_channel_type] = STATE(3253),
    [sym_shared_type] = STATE(3253),
    [sym_thread_type] = STATE(3253),
    [sym_binded_identifier] = STATE(3225),
    [sym_multi_return_type] = STATE(3274),
    [sym__simple_type] = STATE(3274),
    [sym_builtin_type] = STATE(3253),
    [sym__binded_type] = STATE(3253),
    [sym_generic_type] = STATE(3253),
    [sym_qualified_type] = STATE(3003),
    [sym_function_type] = STATE(3253),
    [sym_identifier] = ACTIONS(4678),
    [anon_sym_LPAREN] = ACTIONS(4680),
    [anon_sym_RPAREN] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(4684),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(738),
    [anon_sym_AMP_CARET] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(4688),
    [anon_sym_map_LBRACK] = ACTIONS(4690),
    [anon_sym_chan] = ACTIONS(4692),
    [anon_sym_shared] = ACTIONS(4694),
    [anon_sym_thread] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(738),
    [anon_sym_array] = ACTIONS(4698),
    [anon_sym_string] = ACTIONS(4698),
    [anon_sym_char] = ACTIONS(4698),
    [anon_sym_C] = ACTIONS(4700),
    [anon_sym_JS] = ACTIONS(4700),
    [anon_sym_voidptr] = ACTIONS(4698),
    [anon_sym_byteptr] = ACTIONS(4698),
    [anon_sym_charptr] = ACTIONS(4698),
    [anon_sym_i8] = ACTIONS(4698),
    [anon_sym_i16] = ACTIONS(4698),
    [anon_sym_i32] = ACTIONS(4698),
    [anon_sym_int] = ACTIONS(4698),
    [anon_sym_i64] = ACTIONS(4698),
    [anon_sym_byte] = ACTIONS(4698),
    [anon_sym_u8] = ACTIONS(4698),
    [anon_sym_u16] = ACTIONS(4698),
    [anon_sym_u32] = ACTIONS(4698),
    [anon_sym_u64] = ACTIONS(4698),
    [anon_sym_f32] = ACTIONS(4698),
    [anon_sym_f64] = ACTIONS(4698),
    [anon_sym_bool] = ACTIONS(4698),
    [anon_sym_rune] = ACTIONS(4698),
    [anon_sym_map] = ACTIONS(4698),
    [anon_sym_mapnode] = ACTIONS(4698),
    [anon_sym_size_t] = ACTIONS(4698),
    [anon_sym_usize] = ACTIONS(4698),
    [anon_sym_isize] = ACTIONS(4698),
    [anon_sym_float_literal] = ACTIONS(4698),
    [anon_sym_int_literal] = ACTIONS(4698),
    [anon_sym_IError] = ACTIONS(4698),
    [sym_type_placeholder] = ACTIONS(4702),
    [sym_type_identifier] = ACTIONS(4704),
    [anon_sym_fn] = ACTIONS(4706),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [sym__automatic_separator] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1845] = {
    [sym_comment] = STATE(1845),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1124),
    [anon_sym_PERCENT] = ACTIONS(1124),
    [anon_sym_LT_LT] = ACTIONS(1124),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1124),
    [anon_sym_AMP_CARET] = ACTIONS(1124),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_QMARK] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_COLON_EQ] = ACTIONS(1122),
    [anon_sym_STAR_EQ] = ACTIONS(1122),
    [anon_sym_SLASH_EQ] = ACTIONS(1122),
    [anon_sym_PERCENT_EQ] = ACTIONS(1122),
    [anon_sym_LT_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT_GT_EQ] = ACTIONS(1122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1122),
    [anon_sym_AMP_EQ] = ACTIONS(1122),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1122),
    [anon_sym_PLUS_EQ] = ACTIONS(1122),
    [anon_sym_DASH_EQ] = ACTIONS(1122),
    [anon_sym_PIPE_EQ] = ACTIONS(1122),
    [anon_sym_CARET_EQ] = ACTIONS(1122),
    [anon_sym_EQ] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1846] = {
    [sym_comment] = STATE(1846),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym_LPAREN] = ACTIONS(4414),
    [anon_sym_PLUS] = ACTIONS(4414),
    [anon_sym_DASH] = ACTIONS(4414),
    [anon_sym_BANG] = ACTIONS(4414),
    [anon_sym_TILDE] = ACTIONS(4414),
    [anon_sym_CARET] = ACTIONS(4414),
    [anon_sym_STAR] = ACTIONS(4414),
    [anon_sym_AMP] = ACTIONS(4414),
    [anon_sym_LT_DASH] = ACTIONS(4414),
    [anon_sym_DOLLAR] = ACTIONS(4418),
    [sym_none] = ACTIONS(4418),
    [sym_true] = ACTIONS(4418),
    [sym_false] = ACTIONS(4418),
    [anon_sym_LBRACE] = ACTIONS(4414),
    [anon_sym_RBRACE] = ACTIONS(4414),
    [anon_sym_LBRACK] = ACTIONS(4414),
    [anon_sym_map_LBRACK] = ACTIONS(4414),
    [anon_sym_chan] = ACTIONS(4418),
    [anon_sym_shared] = ACTIONS(4418),
    [anon_sym_thread] = ACTIONS(4418),
    [sym_int_literal] = ACTIONS(4418),
    [sym_float_literal] = ACTIONS(4414),
    [sym_rune_literal] = ACTIONS(4414),
    [anon_sym_DOT] = ACTIONS(4418),
    [anon_sym_array] = ACTIONS(4418),
    [anon_sym_string] = ACTIONS(4418),
    [anon_sym_char] = ACTIONS(4418),
    [anon_sym_sql] = ACTIONS(4418),
    [anon_sym_mut] = ACTIONS(4418),
    [anon_sym_C] = ACTIONS(4418),
    [anon_sym_JS] = ACTIONS(4418),
    [anon_sym_voidptr] = ACTIONS(4418),
    [anon_sym_byteptr] = ACTIONS(4418),
    [anon_sym_charptr] = ACTIONS(4418),
    [anon_sym_i8] = ACTIONS(4418),
    [anon_sym_i16] = ACTIONS(4418),
    [anon_sym_i32] = ACTIONS(4418),
    [anon_sym_int] = ACTIONS(4418),
    [anon_sym_i64] = ACTIONS(4418),
    [anon_sym_byte] = ACTIONS(4418),
    [anon_sym_u8] = ACTIONS(4418),
    [anon_sym_u16] = ACTIONS(4418),
    [anon_sym_u32] = ACTIONS(4418),
    [anon_sym_u64] = ACTIONS(4418),
    [anon_sym_f32] = ACTIONS(4418),
    [anon_sym_f64] = ACTIONS(4418),
    [anon_sym_bool] = ACTIONS(4418),
    [anon_sym_rune] = ACTIONS(4418),
    [anon_sym_map] = ACTIONS(4418),
    [anon_sym_mapnode] = ACTIONS(4418),
    [anon_sym_size_t] = ACTIONS(4418),
    [anon_sym_usize] = ACTIONS(4418),
    [anon_sym_isize] = ACTIONS(4418),
    [anon_sym_float_literal] = ACTIONS(4418),
    [anon_sym_int_literal] = ACTIONS(4418),
    [anon_sym_IError] = ACTIONS(4418),
    [sym_type_placeholder] = ACTIONS(4418),
    [anon_sym_AT] = ACTIONS(4418),
    [sym_type_identifier] = ACTIONS(4418),
    [anon_sym_assert] = ACTIONS(4418),
    [anon_sym_defer] = ACTIONS(4418),
    [anon_sym_unsafe] = ACTIONS(4418),
    [anon_sym_fn] = ACTIONS(4418),
    [anon_sym_asm] = ACTIONS(4418),
    [anon_sym_break] = ACTIONS(4418),
    [anon_sym_continue] = ACTIONS(4418),
    [anon_sym_return] = ACTIONS(4418),
    [anon_sym_go] = ACTIONS(4418),
    [anon_sym_spawn] = ACTIONS(4418),
    [anon_sym_goto] = ACTIONS(4418),
    [anon_sym_for] = ACTIONS(4418),
    [anon_sym_DOLLARfor] = ACTIONS(4414),
    [anon_sym_DOLLARif] = ACTIONS(4414),
    [anon_sym_if] = ACTIONS(4418),
    [anon_sym_POUND] = ACTIONS(4414),
    [anon_sym_match] = ACTIONS(4418),
    [anon_sym_select] = ACTIONS(4418),
    [anon_sym_lock] = ACTIONS(4418),
    [anon_sym_rlock] = ACTIONS(4418),
    [sym__automatic_separator] = ACTIONS(4414),
    [sym__c_string_opening] = ACTIONS(4414),
    [sym__raw_string_opening] = ACTIONS(4414),
    [sym__string_opening] = ACTIONS(4414),
    [sym__comment] = ACTIONS(3),
  },
  [1847] = {
    [sym_comment] = STATE(1847),
    [sym_identifier] = ACTIONS(4751),
    [anon_sym_LPAREN] = ACTIONS(4368),
    [anon_sym_PLUS] = ACTIONS(4368),
    [anon_sym_DASH] = ACTIONS(4368),
    [anon_sym_BANG] = ACTIONS(4368),
    [anon_sym_TILDE] = ACTIONS(4368),
    [anon_sym_CARET] = ACTIONS(4368),
    [anon_sym_STAR] = ACTIONS(4368),
    [anon_sym_AMP] = ACTIONS(4368),
    [anon_sym_LT_DASH] = ACTIONS(4368),
    [anon_sym_DOLLAR] = ACTIONS(4372),
    [sym_none] = ACTIONS(4372),
    [sym_true] = ACTIONS(4372),
    [sym_false] = ACTIONS(4372),
    [anon_sym_LBRACE] = ACTIONS(4368),
    [anon_sym_RBRACE] = ACTIONS(4368),
    [anon_sym_LBRACK] = ACTIONS(4368),
    [anon_sym_map_LBRACK] = ACTIONS(4368),
    [anon_sym_chan] = ACTIONS(4372),
    [anon_sym_shared] = ACTIONS(4372),
    [anon_sym_thread] = ACTIONS(4372),
    [sym_int_literal] = ACTIONS(4372),
    [sym_float_literal] = ACTIONS(4368),
    [sym_rune_literal] = ACTIONS(4368),
    [anon_sym_DOT] = ACTIONS(4372),
    [anon_sym_array] = ACTIONS(4372),
    [anon_sym_string] = ACTIONS(4372),
    [anon_sym_char] = ACTIONS(4372),
    [anon_sym_sql] = ACTIONS(4372),
    [anon_sym_mut] = ACTIONS(4372),
    [anon_sym_C] = ACTIONS(4372),
    [anon_sym_JS] = ACTIONS(4372),
    [anon_sym_voidptr] = ACTIONS(4372),
    [anon_sym_byteptr] = ACTIONS(4372),
    [anon_sym_charptr] = ACTIONS(4372),
    [anon_sym_i8] = ACTIONS(4372),
    [anon_sym_i16] = ACTIONS(4372),
    [anon_sym_i32] = ACTIONS(4372),
    [anon_sym_int] = ACTIONS(4372),
    [anon_sym_i64] = ACTIONS(4372),
    [anon_sym_byte] = ACTIONS(4372),
    [anon_sym_u8] = ACTIONS(4372),
    [anon_sym_u16] = ACTIONS(4372),
    [anon_sym_u32] = ACTIONS(4372),
    [anon_sym_u64] = ACTIONS(4372),
    [anon_sym_f32] = ACTIONS(4372),
    [anon_sym_f64] = ACTIONS(4372),
    [anon_sym_bool] = ACTIONS(4372),
    [anon_sym_rune] = ACTIONS(4372),
    [anon_sym_map] = ACTIONS(4372),
    [anon_sym_mapnode] = ACTIONS(4372),
    [anon_sym_size_t] = ACTIONS(4372),
    [anon_sym_usize] = ACTIONS(4372),
    [anon_sym_isize] = ACTIONS(4372),
    [anon_sym_float_literal] = ACTIONS(4372),
    [anon_sym_int_literal] = ACTIONS(4372),
    [anon_sym_IError] = ACTIONS(4372),
    [sym_type_placeholder] = ACTIONS(4372),
    [anon_sym_AT] = ACTIONS(4372),
    [sym_type_identifier] = ACTIONS(4372),
    [anon_sym_assert] = ACTIONS(4372),
    [anon_sym_defer] = ACTIONS(4372),
    [anon_sym_unsafe] = ACTIONS(4372),
    [anon_sym_fn] = ACTIONS(4372),
    [anon_sym_asm] = ACTIONS(4372),
    [anon_sym_break] = ACTIONS(4372),
    [anon_sym_continue] = ACTIONS(4372),
    [anon_sym_return] = ACTIONS(4372),
    [anon_sym_go] = ACTIONS(4372),
    [anon_sym_spawn] = ACTIONS(4372),
    [anon_sym_goto] = ACTIONS(4372),
    [anon_sym_for] = ACTIONS(4372),
    [anon_sym_DOLLARfor] = ACTIONS(4368),
    [anon_sym_DOLLARif] = ACTIONS(4368),
    [anon_sym_if] = ACTIONS(4372),
    [anon_sym_POUND] = ACTIONS(4368),
    [anon_sym_match] = ACTIONS(4372),
    [anon_sym_select] = ACTIONS(4372),
    [anon_sym_lock] = ACTIONS(4372),
    [anon_sym_rlock] = ACTIONS(4372),
    [sym__automatic_separator] = ACTIONS(4368),
    [sym__c_string_opening] = ACTIONS(4368),
    [sym__raw_string_opening] = ACTIONS(4368),
    [sym__string_opening] = ACTIONS(4368),
    [sym__comment] = ACTIONS(3),
  },
  [1848] = {
    [sym_comment] = STATE(1848),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_go] = ACTIONS(1194),
    [anon_sym_spawn] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_DOLLARfor] = ACTIONS(1192),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_POUND] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__automatic_separator] = ACTIONS(1192),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1849] = {
    [sym_comment] = STATE(1849),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_multi_return_type] = STATE(2614),
    [sym__simple_type] = STATE(2614),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(4660),
    [anon_sym_SLASH] = ACTIONS(740),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_AMP_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(740),
    [anon_sym_BANG_EQ] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(740),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(740),
    [anon_sym_AMP_AMP] = ACTIONS(740),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_CR] = ACTIONS(740),
    [anon_sym_CR_LF] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_map_LBRACK] = ACTIONS(4666),
    [anon_sym_chan] = ACTIONS(4668),
    [anon_sym_shared] = ACTIONS(4670),
    [anon_sym_thread] = ACTIONS(4672),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4674),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(740),
    [sym__comment] = ACTIONS(3),
  },
  [1850] = {
    [sym_comment] = STATE(1850),
    [sym_identifier] = ACTIONS(4074),
    [anon_sym_LPAREN] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_BANG] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4072),
    [anon_sym_CARET] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(4072),
    [anon_sym_AMP] = ACTIONS(4072),
    [anon_sym_LT_DASH] = ACTIONS(4072),
    [anon_sym_DOLLAR] = ACTIONS(4074),
    [sym_none] = ACTIONS(4074),
    [sym_true] = ACTIONS(4074),
    [sym_false] = ACTIONS(4074),
    [anon_sym_LBRACE] = ACTIONS(4072),
    [anon_sym_RBRACE] = ACTIONS(4072),
    [anon_sym_LBRACK] = ACTIONS(4072),
    [anon_sym_map_LBRACK] = ACTIONS(4072),
    [anon_sym_chan] = ACTIONS(4074),
    [anon_sym_shared] = ACTIONS(4074),
    [anon_sym_thread] = ACTIONS(4074),
    [sym_int_literal] = ACTIONS(4074),
    [sym_float_literal] = ACTIONS(4072),
    [sym_rune_literal] = ACTIONS(4072),
    [anon_sym_DOT] = ACTIONS(4074),
    [anon_sym_array] = ACTIONS(4074),
    [anon_sym_string] = ACTIONS(4074),
    [anon_sym_char] = ACTIONS(4074),
    [anon_sym_sql] = ACTIONS(4074),
    [anon_sym_mut] = ACTIONS(4074),
    [anon_sym_C] = ACTIONS(4074),
    [anon_sym_JS] = ACTIONS(4074),
    [anon_sym_voidptr] = ACTIONS(4074),
    [anon_sym_byteptr] = ACTIONS(4074),
    [anon_sym_charptr] = ACTIONS(4074),
    [anon_sym_i8] = ACTIONS(4074),
    [anon_sym_i16] = ACTIONS(4074),
    [anon_sym_i32] = ACTIONS(4074),
    [anon_sym_int] = ACTIONS(4074),
    [anon_sym_i64] = ACTIONS(4074),
    [anon_sym_byte] = ACTIONS(4074),
    [anon_sym_u8] = ACTIONS(4074),
    [anon_sym_u16] = ACTIONS(4074),
    [anon_sym_u32] = ACTIONS(4074),
    [anon_sym_u64] = ACTIONS(4074),
    [anon_sym_f32] = ACTIONS(4074),
    [anon_sym_f64] = ACTIONS(4074),
    [anon_sym_bool] = ACTIONS(4074),
    [anon_sym_rune] = ACTIONS(4074),
    [anon_sym_map] = ACTIONS(4074),
    [anon_sym_mapnode] = ACTIONS(4074),
    [anon_sym_size_t] = ACTIONS(4074),
    [anon_sym_usize] = ACTIONS(4074),
    [anon_sym_isize] = ACTIONS(4074),
    [anon_sym_float_literal] = ACTIONS(4074),
    [anon_sym_int_literal] = ACTIONS(4074),
    [anon_sym_IError] = ACTIONS(4074),
    [sym_type_placeholder] = ACTIONS(4074),
    [anon_sym_AT] = ACTIONS(4074),
    [sym_type_identifier] = ACTIONS(4074),
    [anon_sym_assert] = ACTIONS(4074),
    [anon_sym_defer] = ACTIONS(4074),
    [anon_sym_unsafe] = ACTIONS(4074),
    [anon_sym_fn] = ACTIONS(4074),
    [anon_sym_asm] = ACTIONS(4074),
    [anon_sym_break] = ACTIONS(4074),
    [anon_sym_continue] = ACTIONS(4074),
    [anon_sym_return] = ACTIONS(4074),
    [anon_sym_go] = ACTIONS(4074),
    [anon_sym_spawn] = ACTIONS(4074),
    [anon_sym_goto] = ACTIONS(4074),
    [anon_sym_for] = ACTIONS(4074),
    [anon_sym_DOLLARfor] = ACTIONS(4072),
    [anon_sym_DOLLARif] = ACTIONS(4072),
    [anon_sym_if] = ACTIONS(4074),
    [anon_sym_POUND] = ACTIONS(4072),
    [anon_sym_match] = ACTIONS(4074),
    [anon_sym_select] = ACTIONS(4074),
    [anon_sym_lock] = ACTIONS(4074),
    [anon_sym_rlock] = ACTIONS(4074),
    [sym__automatic_separator] = ACTIONS(4072),
    [sym__c_string_opening] = ACTIONS(4072),
    [sym__raw_string_opening] = ACTIONS(4072),
    [sym__string_opening] = ACTIONS(4072),
    [sym__comment] = ACTIONS(3),
  },
  [1851] = {
    [sym_comment] = STATE(1851),
    [sym_identifier] = ACTIONS(4294),
    [anon_sym_LPAREN] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_BANG] = ACTIONS(4292),
    [anon_sym_TILDE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4292),
    [anon_sym_LT_DASH] = ACTIONS(4292),
    [anon_sym_DOLLAR] = ACTIONS(4294),
    [sym_none] = ACTIONS(4294),
    [sym_true] = ACTIONS(4294),
    [sym_false] = ACTIONS(4294),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(4292),
    [anon_sym_map_LBRACK] = ACTIONS(4292),
    [anon_sym_chan] = ACTIONS(4294),
    [anon_sym_shared] = ACTIONS(4294),
    [anon_sym_thread] = ACTIONS(4294),
    [sym_int_literal] = ACTIONS(4294),
    [sym_float_literal] = ACTIONS(4292),
    [sym_rune_literal] = ACTIONS(4292),
    [anon_sym_DOT] = ACTIONS(4294),
    [anon_sym_array] = ACTIONS(4294),
    [anon_sym_string] = ACTIONS(4294),
    [anon_sym_char] = ACTIONS(4294),
    [anon_sym_sql] = ACTIONS(4294),
    [anon_sym_mut] = ACTIONS(4294),
    [anon_sym_C] = ACTIONS(4294),
    [anon_sym_JS] = ACTIONS(4294),
    [anon_sym_voidptr] = ACTIONS(4294),
    [anon_sym_byteptr] = ACTIONS(4294),
    [anon_sym_charptr] = ACTIONS(4294),
    [anon_sym_i8] = ACTIONS(4294),
    [anon_sym_i16] = ACTIONS(4294),
    [anon_sym_i32] = ACTIONS(4294),
    [anon_sym_int] = ACTIONS(4294),
    [anon_sym_i64] = ACTIONS(4294),
    [anon_sym_byte] = ACTIONS(4294),
    [anon_sym_u8] = ACTIONS(4294),
    [anon_sym_u16] = ACTIONS(4294),
    [anon_sym_u32] = ACTIONS(4294),
    [anon_sym_u64] = ACTIONS(4294),
    [anon_sym_f32] = ACTIONS(4294),
    [anon_sym_f64] = ACTIONS(4294),
    [anon_sym_bool] = ACTIONS(4294),
    [anon_sym_rune] = ACTIONS(4294),
    [anon_sym_map] = ACTIONS(4294),
    [anon_sym_mapnode] = ACTIONS(4294),
    [anon_sym_size_t] = ACTIONS(4294),
    [anon_sym_usize] = ACTIONS(4294),
    [anon_sym_isize] = ACTIONS(4294),
    [anon_sym_float_literal] = ACTIONS(4294),
    [anon_sym_int_literal] = ACTIONS(4294),
    [anon_sym_IError] = ACTIONS(4294),
    [sym_type_placeholder] = ACTIONS(4294),
    [anon_sym_AT] = ACTIONS(4294),
    [sym_type_identifier] = ACTIONS(4294),
    [anon_sym_assert] = ACTIONS(4294),
    [anon_sym_defer] = ACTIONS(4294),
    [anon_sym_unsafe] = ACTIONS(4294),
    [anon_sym_fn] = ACTIONS(4294),
    [anon_sym_asm] = ACTIONS(4294),
    [anon_sym_break] = ACTIONS(4294),
    [anon_sym_continue] = ACTIONS(4294),
    [anon_sym_return] = ACTIONS(4294),
    [anon_sym_go] = ACTIONS(4294),
    [anon_sym_spawn] = ACTIONS(4294),
    [anon_sym_goto] = ACTIONS(4294),
    [anon_sym_for] = ACTIONS(4294),
    [anon_sym_DOLLARfor] = ACTIONS(4292),
    [anon_sym_DOLLARif] = ACTIONS(4292),
    [anon_sym_if] = ACTIONS(4294),
    [anon_sym_POUND] = ACTIONS(4292),
    [anon_sym_match] = ACTIONS(4294),
    [anon_sym_select] = ACTIONS(4294),
    [anon_sym_lock] = ACTIONS(4294),
    [anon_sym_rlock] = ACTIONS(4294),
    [sym__automatic_separator] = ACTIONS(4292),
    [sym__c_string_opening] = ACTIONS(4292),
    [sym__raw_string_opening] = ACTIONS(4292),
    [sym__string_opening] = ACTIONS(4292),
    [sym__comment] = ACTIONS(3),
  },
  [1852] = {
    [sym_comment] = STATE(1852),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_PLUS] = ACTIONS(4040),
    [anon_sym_DASH] = ACTIONS(4040),
    [anon_sym_BANG] = ACTIONS(4040),
    [anon_sym_TILDE] = ACTIONS(4040),
    [anon_sym_CARET] = ACTIONS(4040),
    [anon_sym_STAR] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4040),
    [anon_sym_LT_DASH] = ACTIONS(4040),
    [anon_sym_DOLLAR] = ACTIONS(4042),
    [sym_none] = ACTIONS(4042),
    [sym_true] = ACTIONS(4042),
    [sym_false] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4040),
    [anon_sym_RBRACE] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4040),
    [anon_sym_map_LBRACK] = ACTIONS(4040),
    [anon_sym_chan] = ACTIONS(4042),
    [anon_sym_shared] = ACTIONS(4042),
    [anon_sym_thread] = ACTIONS(4042),
    [sym_int_literal] = ACTIONS(4042),
    [sym_float_literal] = ACTIONS(4040),
    [sym_rune_literal] = ACTIONS(4040),
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_array] = ACTIONS(4042),
    [anon_sym_string] = ACTIONS(4042),
    [anon_sym_char] = ACTIONS(4042),
    [anon_sym_sql] = ACTIONS(4042),
    [anon_sym_mut] = ACTIONS(4042),
    [anon_sym_C] = ACTIONS(4042),
    [anon_sym_JS] = ACTIONS(4042),
    [anon_sym_voidptr] = ACTIONS(4042),
    [anon_sym_byteptr] = ACTIONS(4042),
    [anon_sym_charptr] = ACTIONS(4042),
    [anon_sym_i8] = ACTIONS(4042),
    [anon_sym_i16] = ACTIONS(4042),
    [anon_sym_i32] = ACTIONS(4042),
    [anon_sym_int] = ACTIONS(4042),
    [anon_sym_i64] = ACTIONS(4042),
    [anon_sym_byte] = ACTIONS(4042),
    [anon_sym_u8] = ACTIONS(4042),
    [anon_sym_u16] = ACTIONS(4042),
    [anon_sym_u32] = ACTIONS(4042),
    [anon_sym_u64] = ACTIONS(4042),
    [anon_sym_f32] = ACTIONS(4042),
    [anon_sym_f64] = ACTIONS(4042),
    [anon_sym_bool] = ACTIONS(4042),
    [anon_sym_rune] = ACTIONS(4042),
    [anon_sym_map] = ACTIONS(4042),
    [anon_sym_mapnode] = ACTIONS(4042),
    [anon_sym_size_t] = ACTIONS(4042),
    [anon_sym_usize] = ACTIONS(4042),
    [anon_sym_isize] = ACTIONS(4042),
    [anon_sym_float_literal] = ACTIONS(4042),
    [anon_sym_int_literal] = ACTIONS(4042),
    [anon_sym_IError] = ACTIONS(4042),
    [sym_type_placeholder] = ACTIONS(4042),
    [anon_sym_AT] = ACTIONS(4042),
    [sym_type_identifier] = ACTIONS(4042),
    [anon_sym_assert] = ACTIONS(4042),
    [anon_sym_defer] = ACTIONS(4042),
    [anon_sym_unsafe] = ACTIONS(4042),
    [anon_sym_fn] = ACTIONS(4042),
    [anon_sym_asm] = ACTIONS(4042),
    [anon_sym_break] = ACTIONS(4042),
    [anon_sym_continue] = ACTIONS(4042),
    [anon_sym_return] = ACTIONS(4042),
    [anon_sym_go] = ACTIONS(4042),
    [anon_sym_spawn] = ACTIONS(4042),
    [anon_sym_goto] = ACTIONS(4042),
    [anon_sym_for] = ACTIONS(4042),
    [anon_sym_DOLLARfor] = ACTIONS(4040),
    [anon_sym_DOLLARif] = ACTIONS(4040),
    [anon_sym_if] = ACTIONS(4042),
    [anon_sym_POUND] = ACTIONS(4040),
    [anon_sym_match] = ACTIONS(4042),
    [anon_sym_select] = ACTIONS(4042),
    [anon_sym_lock] = ACTIONS(4042),
    [anon_sym_rlock] = ACTIONS(4042),
    [sym__automatic_separator] = ACTIONS(4040),
    [sym__c_string_opening] = ACTIONS(4040),
    [sym__raw_string_opening] = ACTIONS(4040),
    [sym__string_opening] = ACTIONS(4040),
    [sym__comment] = ACTIONS(3),
  },
  [1853] = {
    [sym_comment] = STATE(1853),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1186),
    [anon_sym_AMP_CARET] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_QMARK] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1184),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_COLON_EQ] = ACTIONS(1184),
    [anon_sym_STAR_EQ] = ACTIONS(1184),
    [anon_sym_SLASH_EQ] = ACTIONS(1184),
    [anon_sym_PERCENT_EQ] = ACTIONS(1184),
    [anon_sym_LT_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT_GT_EQ] = ACTIONS(1184),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1184),
    [anon_sym_AMP_EQ] = ACTIONS(1184),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1184),
    [anon_sym_PLUS_EQ] = ACTIONS(1184),
    [anon_sym_DASH_EQ] = ACTIONS(1184),
    [anon_sym_PIPE_EQ] = ACTIONS(1184),
    [anon_sym_CARET_EQ] = ACTIONS(1184),
    [anon_sym_EQ] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1854] = {
    [sym_comment] = STATE(1854),
    [sym_identifier] = ACTIONS(4094),
    [anon_sym_LPAREN] = ACTIONS(4092),
    [anon_sym_PLUS] = ACTIONS(4092),
    [anon_sym_DASH] = ACTIONS(4092),
    [anon_sym_BANG] = ACTIONS(4092),
    [anon_sym_TILDE] = ACTIONS(4092),
    [anon_sym_CARET] = ACTIONS(4092),
    [anon_sym_STAR] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_LT_DASH] = ACTIONS(4092),
    [anon_sym_DOLLAR] = ACTIONS(4094),
    [sym_none] = ACTIONS(4094),
    [sym_true] = ACTIONS(4094),
    [sym_false] = ACTIONS(4094),
    [anon_sym_LBRACE] = ACTIONS(4092),
    [anon_sym_RBRACE] = ACTIONS(4092),
    [anon_sym_LBRACK] = ACTIONS(4092),
    [anon_sym_map_LBRACK] = ACTIONS(4092),
    [anon_sym_chan] = ACTIONS(4094),
    [anon_sym_shared] = ACTIONS(4094),
    [anon_sym_thread] = ACTIONS(4094),
    [sym_int_literal] = ACTIONS(4094),
    [sym_float_literal] = ACTIONS(4092),
    [sym_rune_literal] = ACTIONS(4092),
    [anon_sym_DOT] = ACTIONS(4094),
    [anon_sym_array] = ACTIONS(4094),
    [anon_sym_string] = ACTIONS(4094),
    [anon_sym_char] = ACTIONS(4094),
    [anon_sym_sql] = ACTIONS(4094),
    [anon_sym_mut] = ACTIONS(4094),
    [anon_sym_C] = ACTIONS(4094),
    [anon_sym_JS] = ACTIONS(4094),
    [anon_sym_voidptr] = ACTIONS(4094),
    [anon_sym_byteptr] = ACTIONS(4094),
    [anon_sym_charptr] = ACTIONS(4094),
    [anon_sym_i8] = ACTIONS(4094),
    [anon_sym_i16] = ACTIONS(4094),
    [anon_sym_i32] = ACTIONS(4094),
    [anon_sym_int] = ACTIONS(4094),
    [anon_sym_i64] = ACTIONS(4094),
    [anon_sym_byte] = ACTIONS(4094),
    [anon_sym_u8] = ACTIONS(4094),
    [anon_sym_u16] = ACTIONS(4094),
    [anon_sym_u32] = ACTIONS(4094),
    [anon_sym_u64] = ACTIONS(4094),
    [anon_sym_f32] = ACTIONS(4094),
    [anon_sym_f64] = ACTIONS(4094),
    [anon_sym_bool] = ACTIONS(4094),
    [anon_sym_rune] = ACTIONS(4094),
    [anon_sym_map] = ACTIONS(4094),
    [anon_sym_mapnode] = ACTIONS(4094),
    [anon_sym_size_t] = ACTIONS(4094),
    [anon_sym_usize] = ACTIONS(4094),
    [anon_sym_isize] = ACTIONS(4094),
    [anon_sym_float_literal] = ACTIONS(4094),
    [anon_sym_int_literal] = ACTIONS(4094),
    [anon_sym_IError] = ACTIONS(4094),
    [sym_type_placeholder] = ACTIONS(4094),
    [anon_sym_AT] = ACTIONS(4094),
    [sym_type_identifier] = ACTIONS(4094),
    [anon_sym_assert] = ACTIONS(4094),
    [anon_sym_defer] = ACTIONS(4094),
    [anon_sym_unsafe] = ACTIONS(4094),
    [anon_sym_fn] = ACTIONS(4094),
    [anon_sym_asm] = ACTIONS(4094),
    [anon_sym_break] = ACTIONS(4094),
    [anon_sym_continue] = ACTIONS(4094),
    [anon_sym_return] = ACTIONS(4094),
    [anon_sym_go] = ACTIONS(4094),
    [anon_sym_spawn] = ACTIONS(4094),
    [anon_sym_goto] = ACTIONS(4094),
    [anon_sym_for] = ACTIONS(4094),
    [anon_sym_DOLLARfor] = ACTIONS(4092),
    [anon_sym_DOLLARif] = ACTIONS(4092),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_POUND] = ACTIONS(4092),
    [anon_sym_match] = ACTIONS(4094),
    [anon_sym_select] = ACTIONS(4094),
    [anon_sym_lock] = ACTIONS(4094),
    [anon_sym_rlock] = ACTIONS(4094),
    [sym__automatic_separator] = ACTIONS(4092),
    [sym__c_string_opening] = ACTIONS(4092),
    [sym__raw_string_opening] = ACTIONS(4092),
    [sym__string_opening] = ACTIONS(4092),
    [sym__comment] = ACTIONS(3),
  },
  [1855] = {
    [sym_comment] = STATE(1855),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_LT_DASH] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [sym_none] = ACTIONS(1374),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_map_LBRACK] = ACTIONS(1372),
    [anon_sym_chan] = ACTIONS(1374),
    [anon_sym_shared] = ACTIONS(1374),
    [anon_sym_thread] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1372),
    [sym_rune_literal] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_array] = ACTIONS(1374),
    [anon_sym_string] = ACTIONS(1374),
    [anon_sym_char] = ACTIONS(1374),
    [anon_sym_sql] = ACTIONS(1374),
    [anon_sym_mut] = ACTIONS(1374),
    [anon_sym_C] = ACTIONS(1374),
    [anon_sym_JS] = ACTIONS(1374),
    [anon_sym_voidptr] = ACTIONS(1374),
    [anon_sym_byteptr] = ACTIONS(1374),
    [anon_sym_charptr] = ACTIONS(1374),
    [anon_sym_i8] = ACTIONS(1374),
    [anon_sym_i16] = ACTIONS(1374),
    [anon_sym_i32] = ACTIONS(1374),
    [anon_sym_int] = ACTIONS(1374),
    [anon_sym_i64] = ACTIONS(1374),
    [anon_sym_byte] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1374),
    [anon_sym_u16] = ACTIONS(1374),
    [anon_sym_u32] = ACTIONS(1374),
    [anon_sym_u64] = ACTIONS(1374),
    [anon_sym_f32] = ACTIONS(1374),
    [anon_sym_f64] = ACTIONS(1374),
    [anon_sym_bool] = ACTIONS(1374),
    [anon_sym_rune] = ACTIONS(1374),
    [anon_sym_map] = ACTIONS(1374),
    [anon_sym_mapnode] = ACTIONS(1374),
    [anon_sym_size_t] = ACTIONS(1374),
    [anon_sym_usize] = ACTIONS(1374),
    [anon_sym_isize] = ACTIONS(1374),
    [anon_sym_float_literal] = ACTIONS(1374),
    [anon_sym_int_literal] = ACTIONS(1374),
    [anon_sym_IError] = ACTIONS(1374),
    [sym_type_placeholder] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [sym_type_identifier] = ACTIONS(1374),
    [anon_sym_assert] = ACTIONS(1374),
    [anon_sym_defer] = ACTIONS(1374),
    [anon_sym_unsafe] = ACTIONS(1374),
    [anon_sym_fn] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_go] = ACTIONS(1374),
    [anon_sym_spawn] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_DOLLARfor] = ACTIONS(1372),
    [anon_sym_DOLLARif] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_POUND] = ACTIONS(1372),
    [anon_sym_match] = ACTIONS(1374),
    [anon_sym_select] = ACTIONS(1374),
    [anon_sym_lock] = ACTIONS(1374),
    [anon_sym_rlock] = ACTIONS(1374),
    [sym__automatic_separator] = ACTIONS(1372),
    [sym__c_string_opening] = ACTIONS(1372),
    [sym__raw_string_opening] = ACTIONS(1372),
    [sym__string_opening] = ACTIONS(1372),
    [sym__comment] = ACTIONS(3),
  },
  [1856] = {
    [sym_comment] = STATE(1856),
    [sym_identifier] = ACTIONS(4106),
    [anon_sym_LPAREN] = ACTIONS(4104),
    [anon_sym_PLUS] = ACTIONS(4104),
    [anon_sym_DASH] = ACTIONS(4104),
    [anon_sym_BANG] = ACTIONS(4104),
    [anon_sym_TILDE] = ACTIONS(4104),
    [anon_sym_CARET] = ACTIONS(4104),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_LT_DASH] = ACTIONS(4104),
    [anon_sym_DOLLAR] = ACTIONS(4106),
    [sym_none] = ACTIONS(4106),
    [sym_true] = ACTIONS(4106),
    [sym_false] = ACTIONS(4106),
    [anon_sym_LBRACE] = ACTIONS(4104),
    [anon_sym_RBRACE] = ACTIONS(4104),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_map_LBRACK] = ACTIONS(4104),
    [anon_sym_chan] = ACTIONS(4106),
    [anon_sym_shared] = ACTIONS(4106),
    [anon_sym_thread] = ACTIONS(4106),
    [sym_int_literal] = ACTIONS(4106),
    [sym_float_literal] = ACTIONS(4104),
    [sym_rune_literal] = ACTIONS(4104),
    [anon_sym_DOT] = ACTIONS(4106),
    [anon_sym_array] = ACTIONS(4106),
    [anon_sym_string] = ACTIONS(4106),
    [anon_sym_char] = ACTIONS(4106),
    [anon_sym_sql] = ACTIONS(4106),
    [anon_sym_mut] = ACTIONS(4106),
    [anon_sym_C] = ACTIONS(4106),
    [anon_sym_JS] = ACTIONS(4106),
    [anon_sym_voidptr] = ACTIONS(4106),
    [anon_sym_byteptr] = ACTIONS(4106),
    [anon_sym_charptr] = ACTIONS(4106),
    [anon_sym_i8] = ACTIONS(4106),
    [anon_sym_i16] = ACTIONS(4106),
    [anon_sym_i32] = ACTIONS(4106),
    [anon_sym_int] = ACTIONS(4106),
    [anon_sym_i64] = ACTIONS(4106),
    [anon_sym_byte] = ACTIONS(4106),
    [anon_sym_u8] = ACTIONS(4106),
    [anon_sym_u16] = ACTIONS(4106),
    [anon_sym_u32] = ACTIONS(4106),
    [anon_sym_u64] = ACTIONS(4106),
    [anon_sym_f32] = ACTIONS(4106),
    [anon_sym_f64] = ACTIONS(4106),
    [anon_sym_bool] = ACTIONS(4106),
    [anon_sym_rune] = ACTIONS(4106),
    [anon_sym_map] = ACTIONS(4106),
    [anon_sym_mapnode] = ACTIONS(4106),
    [anon_sym_size_t] = ACTIONS(4106),
    [anon_sym_usize] = ACTIONS(4106),
    [anon_sym_isize] = ACTIONS(4106),
    [anon_sym_float_literal] = ACTIONS(4106),
    [anon_sym_int_literal] = ACTIONS(4106),
    [anon_sym_IError] = ACTIONS(4106),
    [sym_type_placeholder] = ACTIONS(4106),
    [anon_sym_AT] = ACTIONS(4106),
    [sym_type_identifier] = ACTIONS(4106),
    [anon_sym_assert] = ACTIONS(4106),
    [anon_sym_defer] = ACTIONS(4106),
    [anon_sym_unsafe] = ACTIONS(4106),
    [anon_sym_fn] = ACTIONS(4106),
    [anon_sym_asm] = ACTIONS(4106),
    [anon_sym_break] = ACTIONS(4106),
    [anon_sym_continue] = ACTIONS(4106),
    [anon_sym_return] = ACTIONS(4106),
    [anon_sym_go] = ACTIONS(4106),
    [anon_sym_spawn] = ACTIONS(4106),
    [anon_sym_goto] = ACTIONS(4106),
    [anon_sym_for] = ACTIONS(4106),
    [anon_sym_DOLLARfor] = ACTIONS(4104),
    [anon_sym_DOLLARif] = ACTIONS(4104),
    [anon_sym_if] = ACTIONS(4106),
    [anon_sym_POUND] = ACTIONS(4104),
    [anon_sym_match] = ACTIONS(4106),
    [anon_sym_select] = ACTIONS(4106),
    [anon_sym_lock] = ACTIONS(4106),
    [anon_sym_rlock] = ACTIONS(4106),
    [sym__automatic_separator] = ACTIONS(4104),
    [sym__c_string_opening] = ACTIONS(4104),
    [sym__raw_string_opening] = ACTIONS(4104),
    [sym__string_opening] = ACTIONS(4104),
    [sym__comment] = ACTIONS(3),
  },
  [1857] = {
    [sym_comment] = STATE(1857),
    [sym_identifier] = ACTIONS(4220),
    [anon_sym_LPAREN] = ACTIONS(4218),
    [anon_sym_PLUS] = ACTIONS(4218),
    [anon_sym_DASH] = ACTIONS(4218),
    [anon_sym_BANG] = ACTIONS(4218),
    [anon_sym_TILDE] = ACTIONS(4218),
    [anon_sym_CARET] = ACTIONS(4218),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_LT_DASH] = ACTIONS(4218),
    [anon_sym_DOLLAR] = ACTIONS(4220),
    [sym_none] = ACTIONS(4220),
    [sym_true] = ACTIONS(4220),
    [sym_false] = ACTIONS(4220),
    [anon_sym_LBRACE] = ACTIONS(4218),
    [anon_sym_RBRACE] = ACTIONS(4218),
    [anon_sym_LBRACK] = ACTIONS(4218),
    [anon_sym_map_LBRACK] = ACTIONS(4218),
    [anon_sym_chan] = ACTIONS(4220),
    [anon_sym_shared] = ACTIONS(4220),
    [anon_sym_thread] = ACTIONS(4220),
    [sym_int_literal] = ACTIONS(4220),
    [sym_float_literal] = ACTIONS(4218),
    [sym_rune_literal] = ACTIONS(4218),
    [anon_sym_DOT] = ACTIONS(4220),
    [anon_sym_array] = ACTIONS(4220),
    [anon_sym_string] = ACTIONS(4220),
    [anon_sym_char] = ACTIONS(4220),
    [anon_sym_sql] = ACTIONS(4220),
    [anon_sym_mut] = ACTIONS(4220),
    [anon_sym_C] = ACTIONS(4220),
    [anon_sym_JS] = ACTIONS(4220),
    [anon_sym_voidptr] = ACTIONS(4220),
    [anon_sym_byteptr] = ACTIONS(4220),
    [anon_sym_charptr] = ACTIONS(4220),
    [anon_sym_i8] = ACTIONS(4220),
    [anon_sym_i16] = ACTIONS(4220),
    [anon_sym_i32] = ACTIONS(4220),
    [anon_sym_int] = ACTIONS(4220),
    [anon_sym_i64] = ACTIONS(4220),
    [anon_sym_byte] = ACTIONS(4220),
    [anon_sym_u8] = ACTIONS(4220),
    [anon_sym_u16] = ACTIONS(4220),
    [anon_sym_u32] = ACTIONS(4220),
    [anon_sym_u64] = ACTIONS(4220),
    [anon_sym_f32] = ACTIONS(4220),
    [anon_sym_f64] = ACTIONS(4220),
    [anon_sym_bool] = ACTIONS(4220),
    [anon_sym_rune] = ACTIONS(4220),
    [anon_sym_map] = ACTIONS(4220),
    [anon_sym_mapnode] = ACTIONS(4220),
    [anon_sym_size_t] = ACTIONS(4220),
    [anon_sym_usize] = ACTIONS(4220),
    [anon_sym_isize] = ACTIONS(4220),
    [anon_sym_float_literal] = ACTIONS(4220),
    [anon_sym_int_literal] = ACTIONS(4220),
    [anon_sym_IError] = ACTIONS(4220),
    [sym_type_placeholder] = ACTIONS(4220),
    [anon_sym_AT] = ACTIONS(4220),
    [sym_type_identifier] = ACTIONS(4220),
    [anon_sym_assert] = ACTIONS(4220),
    [anon_sym_defer] = ACTIONS(4220),
    [anon_sym_unsafe] = ACTIONS(4220),
    [anon_sym_fn] = ACTIONS(4220),
    [anon_sym_asm] = ACTIONS(4220),
    [anon_sym_break] = ACTIONS(4220),
    [anon_sym_continue] = ACTIONS(4220),
    [anon_sym_return] = ACTIONS(4220),
    [anon_sym_go] = ACTIONS(4220),
    [anon_sym_spawn] = ACTIONS(4220),
    [anon_sym_goto] = ACTIONS(4220),
    [anon_sym_for] = ACTIONS(4220),
    [anon_sym_DOLLARfor] = ACTIONS(4218),
    [anon_sym_DOLLARif] = ACTIONS(4218),
    [anon_sym_if] = ACTIONS(4220),
    [anon_sym_POUND] = ACTIONS(4218),
    [anon_sym_match] = ACTIONS(4220),
    [anon_sym_select] = ACTIONS(4220),
    [anon_sym_lock] = ACTIONS(4220),
    [anon_sym_rlock] = ACTIONS(4220),
    [sym__automatic_separator] = ACTIONS(4218),
    [sym__c_string_opening] = ACTIONS(4218),
    [sym__raw_string_opening] = ACTIONS(4218),
    [sym__string_opening] = ACTIONS(4218),
    [sym__comment] = ACTIONS(3),
  },
  [1858] = {
    [sym_comment] = STATE(1858),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN] = ACTIONS(4068),
    [anon_sym_PLUS] = ACTIONS(4068),
    [anon_sym_DASH] = ACTIONS(4068),
    [anon_sym_BANG] = ACTIONS(4068),
    [anon_sym_TILDE] = ACTIONS(4068),
    [anon_sym_CARET] = ACTIONS(4068),
    [anon_sym_STAR] = ACTIONS(4068),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT_DASH] = ACTIONS(4068),
    [anon_sym_DOLLAR] = ACTIONS(4070),
    [sym_none] = ACTIONS(4070),
    [sym_true] = ACTIONS(4070),
    [sym_false] = ACTIONS(4070),
    [anon_sym_LBRACE] = ACTIONS(4068),
    [anon_sym_RBRACE] = ACTIONS(4068),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym_map_LBRACK] = ACTIONS(4068),
    [anon_sym_chan] = ACTIONS(4070),
    [anon_sym_shared] = ACTIONS(4070),
    [anon_sym_thread] = ACTIONS(4070),
    [sym_int_literal] = ACTIONS(4070),
    [sym_float_literal] = ACTIONS(4068),
    [sym_rune_literal] = ACTIONS(4068),
    [anon_sym_DOT] = ACTIONS(4070),
    [anon_sym_array] = ACTIONS(4070),
    [anon_sym_string] = ACTIONS(4070),
    [anon_sym_char] = ACTIONS(4070),
    [anon_sym_sql] = ACTIONS(4070),
    [anon_sym_mut] = ACTIONS(4070),
    [anon_sym_C] = ACTIONS(4070),
    [anon_sym_JS] = ACTIONS(4070),
    [anon_sym_voidptr] = ACTIONS(4070),
    [anon_sym_byteptr] = ACTIONS(4070),
    [anon_sym_charptr] = ACTIONS(4070),
    [anon_sym_i8] = ACTIONS(4070),
    [anon_sym_i16] = ACTIONS(4070),
    [anon_sym_i32] = ACTIONS(4070),
    [anon_sym_int] = ACTIONS(4070),
    [anon_sym_i64] = ACTIONS(4070),
    [anon_sym_byte] = ACTIONS(4070),
    [anon_sym_u8] = ACTIONS(4070),
    [anon_sym_u16] = ACTIONS(4070),
    [anon_sym_u32] = ACTIONS(4070),
    [anon_sym_u64] = ACTIONS(4070),
    [anon_sym_f32] = ACTIONS(4070),
    [anon_sym_f64] = ACTIONS(4070),
    [anon_sym_bool] = ACTIONS(4070),
    [anon_sym_rune] = ACTIONS(4070),
    [anon_sym_map] = ACTIONS(4070),
    [anon_sym_mapnode] = ACTIONS(4070),
    [anon_sym_size_t] = ACTIONS(4070),
    [anon_sym_usize] = ACTIONS(4070),
    [anon_sym_isize] = ACTIONS(4070),
    [anon_sym_float_literal] = ACTIONS(4070),
    [anon_sym_int_literal] = ACTIONS(4070),
    [anon_sym_IError] = ACTIONS(4070),
    [sym_type_placeholder] = ACTIONS(4070),
    [anon_sym_AT] = ACTIONS(4070),
    [sym_type_identifier] = ACTIONS(4070),
    [anon_sym_assert] = ACTIONS(4070),
    [anon_sym_defer] = ACTIONS(4070),
    [anon_sym_unsafe] = ACTIONS(4070),
    [anon_sym_fn] = ACTIONS(4070),
    [anon_sym_asm] = ACTIONS(4070),
    [anon_sym_break] = ACTIONS(4070),
    [anon_sym_continue] = ACTIONS(4070),
    [anon_sym_return] = ACTIONS(4070),
    [anon_sym_go] = ACTIONS(4070),
    [anon_sym_spawn] = ACTIONS(4070),
    [anon_sym_goto] = ACTIONS(4070),
    [anon_sym_for] = ACTIONS(4070),
    [anon_sym_DOLLARfor] = ACTIONS(4068),
    [anon_sym_DOLLARif] = ACTIONS(4068),
    [anon_sym_if] = ACTIONS(4070),
    [anon_sym_POUND] = ACTIONS(4068),
    [anon_sym_match] = ACTIONS(4070),
    [anon_sym_select] = ACTIONS(4070),
    [anon_sym_lock] = ACTIONS(4070),
    [anon_sym_rlock] = ACTIONS(4070),
    [sym__automatic_separator] = ACTIONS(4068),
    [sym__c_string_opening] = ACTIONS(4068),
    [sym__raw_string_opening] = ACTIONS(4068),
    [sym__string_opening] = ACTIONS(4068),
    [sym__comment] = ACTIONS(3),
  },
  [1859] = {
    [sym_comment] = STATE(1859),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1132),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_AMP_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_QMARK] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1130),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_COLON_EQ] = ACTIONS(1130),
    [anon_sym_STAR_EQ] = ACTIONS(1130),
    [anon_sym_SLASH_EQ] = ACTIONS(1130),
    [anon_sym_PERCENT_EQ] = ACTIONS(1130),
    [anon_sym_LT_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT_GT_EQ] = ACTIONS(1130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1130),
    [anon_sym_AMP_EQ] = ACTIONS(1130),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1130),
    [anon_sym_PLUS_EQ] = ACTIONS(1130),
    [anon_sym_DASH_EQ] = ACTIONS(1130),
    [anon_sym_PIPE_EQ] = ACTIONS(1130),
    [anon_sym_CARET_EQ] = ACTIONS(1130),
    [anon_sym_EQ] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1860] = {
    [sym_comment] = STATE(1860),
    [sym_identifier] = ACTIONS(4240),
    [anon_sym_LPAREN] = ACTIONS(4238),
    [anon_sym_PLUS] = ACTIONS(4238),
    [anon_sym_DASH] = ACTIONS(4238),
    [anon_sym_BANG] = ACTIONS(4238),
    [anon_sym_TILDE] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4238),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_AMP] = ACTIONS(4238),
    [anon_sym_LT_DASH] = ACTIONS(4238),
    [anon_sym_DOLLAR] = ACTIONS(4240),
    [sym_none] = ACTIONS(4240),
    [sym_true] = ACTIONS(4240),
    [sym_false] = ACTIONS(4240),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4238),
    [anon_sym_LBRACK] = ACTIONS(4238),
    [anon_sym_map_LBRACK] = ACTIONS(4238),
    [anon_sym_chan] = ACTIONS(4240),
    [anon_sym_shared] = ACTIONS(4240),
    [anon_sym_thread] = ACTIONS(4240),
    [sym_int_literal] = ACTIONS(4240),
    [sym_float_literal] = ACTIONS(4238),
    [sym_rune_literal] = ACTIONS(4238),
    [anon_sym_DOT] = ACTIONS(4240),
    [anon_sym_array] = ACTIONS(4240),
    [anon_sym_string] = ACTIONS(4240),
    [anon_sym_char] = ACTIONS(4240),
    [anon_sym_sql] = ACTIONS(4240),
    [anon_sym_mut] = ACTIONS(4240),
    [anon_sym_C] = ACTIONS(4240),
    [anon_sym_JS] = ACTIONS(4240),
    [anon_sym_voidptr] = ACTIONS(4240),
    [anon_sym_byteptr] = ACTIONS(4240),
    [anon_sym_charptr] = ACTIONS(4240),
    [anon_sym_i8] = ACTIONS(4240),
    [anon_sym_i16] = ACTIONS(4240),
    [anon_sym_i32] = ACTIONS(4240),
    [anon_sym_int] = ACTIONS(4240),
    [anon_sym_i64] = ACTIONS(4240),
    [anon_sym_byte] = ACTIONS(4240),
    [anon_sym_u8] = ACTIONS(4240),
    [anon_sym_u16] = ACTIONS(4240),
    [anon_sym_u32] = ACTIONS(4240),
    [anon_sym_u64] = ACTIONS(4240),
    [anon_sym_f32] = ACTIONS(4240),
    [anon_sym_f64] = ACTIONS(4240),
    [anon_sym_bool] = ACTIONS(4240),
    [anon_sym_rune] = ACTIONS(4240),
    [anon_sym_map] = ACTIONS(4240),
    [anon_sym_mapnode] = ACTIONS(4240),
    [anon_sym_size_t] = ACTIONS(4240),
    [anon_sym_usize] = ACTIONS(4240),
    [anon_sym_isize] = ACTIONS(4240),
    [anon_sym_float_literal] = ACTIONS(4240),
    [anon_sym_int_literal] = ACTIONS(4240),
    [anon_sym_IError] = ACTIONS(4240),
    [sym_type_placeholder] = ACTIONS(4240),
    [anon_sym_AT] = ACTIONS(4240),
    [sym_type_identifier] = ACTIONS(4240),
    [anon_sym_assert] = ACTIONS(4240),
    [anon_sym_defer] = ACTIONS(4240),
    [anon_sym_unsafe] = ACTIONS(4240),
    [anon_sym_fn] = ACTIONS(4240),
    [anon_sym_asm] = ACTIONS(4240),
    [anon_sym_break] = ACTIONS(4240),
    [anon_sym_continue] = ACTIONS(4240),
    [anon_sym_return] = ACTIONS(4240),
    [anon_sym_go] = ACTIONS(4240),
    [anon_sym_spawn] = ACTIONS(4240),
    [anon_sym_goto] = ACTIONS(4240),
    [anon_sym_for] = ACTIONS(4240),
    [anon_sym_DOLLARfor] = ACTIONS(4238),
    [anon_sym_DOLLARif] = ACTIONS(4238),
    [anon_sym_if] = ACTIONS(4240),
    [anon_sym_POUND] = ACTIONS(4238),
    [anon_sym_match] = ACTIONS(4240),
    [anon_sym_select] = ACTIONS(4240),
    [anon_sym_lock] = ACTIONS(4240),
    [anon_sym_rlock] = ACTIONS(4240),
    [sym__automatic_separator] = ACTIONS(4238),
    [sym__c_string_opening] = ACTIONS(4238),
    [sym__raw_string_opening] = ACTIONS(4238),
    [sym__string_opening] = ACTIONS(4238),
    [sym__comment] = ACTIONS(3),
  },
  [1861] = {
    [sym_comment] = STATE(1861),
    [sym_identifier] = ACTIONS(4236),
    [anon_sym_LPAREN] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4234),
    [anon_sym_DASH] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4234),
    [anon_sym_TILDE] = ACTIONS(4234),
    [anon_sym_CARET] = ACTIONS(4234),
    [anon_sym_STAR] = ACTIONS(4234),
    [anon_sym_AMP] = ACTIONS(4234),
    [anon_sym_LT_DASH] = ACTIONS(4234),
    [anon_sym_DOLLAR] = ACTIONS(4236),
    [sym_none] = ACTIONS(4236),
    [sym_true] = ACTIONS(4236),
    [sym_false] = ACTIONS(4236),
    [anon_sym_LBRACE] = ACTIONS(4234),
    [anon_sym_RBRACE] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4234),
    [anon_sym_map_LBRACK] = ACTIONS(4234),
    [anon_sym_chan] = ACTIONS(4236),
    [anon_sym_shared] = ACTIONS(4236),
    [anon_sym_thread] = ACTIONS(4236),
    [sym_int_literal] = ACTIONS(4236),
    [sym_float_literal] = ACTIONS(4234),
    [sym_rune_literal] = ACTIONS(4234),
    [anon_sym_DOT] = ACTIONS(4236),
    [anon_sym_array] = ACTIONS(4236),
    [anon_sym_string] = ACTIONS(4236),
    [anon_sym_char] = ACTIONS(4236),
    [anon_sym_sql] = ACTIONS(4236),
    [anon_sym_mut] = ACTIONS(4236),
    [anon_sym_C] = ACTIONS(4236),
    [anon_sym_JS] = ACTIONS(4236),
    [anon_sym_voidptr] = ACTIONS(4236),
    [anon_sym_byteptr] = ACTIONS(4236),
    [anon_sym_charptr] = ACTIONS(4236),
    [anon_sym_i8] = ACTIONS(4236),
    [anon_sym_i16] = ACTIONS(4236),
    [anon_sym_i32] = ACTIONS(4236),
    [anon_sym_int] = ACTIONS(4236),
    [anon_sym_i64] = ACTIONS(4236),
    [anon_sym_byte] = ACTIONS(4236),
    [anon_sym_u8] = ACTIONS(4236),
    [anon_sym_u16] = ACTIONS(4236),
    [anon_sym_u32] = ACTIONS(4236),
    [anon_sym_u64] = ACTIONS(4236),
    [anon_sym_f32] = ACTIONS(4236),
    [anon_sym_f64] = ACTIONS(4236),
    [anon_sym_bool] = ACTIONS(4236),
    [anon_sym_rune] = ACTIONS(4236),
    [anon_sym_map] = ACTIONS(4236),
    [anon_sym_mapnode] = ACTIONS(4236),
    [anon_sym_size_t] = ACTIONS(4236),
    [anon_sym_usize] = ACTIONS(4236),
    [anon_sym_isize] = ACTIONS(4236),
    [anon_sym_float_literal] = ACTIONS(4236),
    [anon_sym_int_literal] = ACTIONS(4236),
    [anon_sym_IError] = ACTIONS(4236),
    [sym_type_placeholder] = ACTIONS(4236),
    [anon_sym_AT] = ACTIONS(4236),
    [sym_type_identifier] = ACTIONS(4236),
    [anon_sym_assert] = ACTIONS(4236),
    [anon_sym_defer] = ACTIONS(4236),
    [anon_sym_unsafe] = ACTIONS(4236),
    [anon_sym_fn] = ACTIONS(4236),
    [anon_sym_asm] = ACTIONS(4236),
    [anon_sym_break] = ACTIONS(4236),
    [anon_sym_continue] = ACTIONS(4236),
    [anon_sym_return] = ACTIONS(4236),
    [anon_sym_go] = ACTIONS(4236),
    [anon_sym_spawn] = ACTIONS(4236),
    [anon_sym_goto] = ACTIONS(4236),
    [anon_sym_for] = ACTIONS(4236),
    [anon_sym_DOLLARfor] = ACTIONS(4234),
    [anon_sym_DOLLARif] = ACTIONS(4234),
    [anon_sym_if] = ACTIONS(4236),
    [anon_sym_POUND] = ACTIONS(4234),
    [anon_sym_match] = ACTIONS(4236),
    [anon_sym_select] = ACTIONS(4236),
    [anon_sym_lock] = ACTIONS(4236),
    [anon_sym_rlock] = ACTIONS(4236),
    [sym__automatic_separator] = ACTIONS(4234),
    [sym__c_string_opening] = ACTIONS(4234),
    [sym__raw_string_opening] = ACTIONS(4234),
    [sym__string_opening] = ACTIONS(4234),
    [sym__comment] = ACTIONS(3),
  },
  [1862] = {
    [sym_comment] = STATE(1862),
    [sym_identifier] = ACTIONS(4362),
    [anon_sym_LPAREN] = ACTIONS(4360),
    [anon_sym_PLUS] = ACTIONS(4360),
    [anon_sym_DASH] = ACTIONS(4360),
    [anon_sym_BANG] = ACTIONS(4360),
    [anon_sym_TILDE] = ACTIONS(4360),
    [anon_sym_CARET] = ACTIONS(4360),
    [anon_sym_STAR] = ACTIONS(4360),
    [anon_sym_AMP] = ACTIONS(4360),
    [anon_sym_LT_DASH] = ACTIONS(4360),
    [anon_sym_DOLLAR] = ACTIONS(4362),
    [sym_none] = ACTIONS(4362),
    [sym_true] = ACTIONS(4362),
    [sym_false] = ACTIONS(4362),
    [anon_sym_LBRACE] = ACTIONS(4360),
    [anon_sym_RBRACE] = ACTIONS(4360),
    [anon_sym_LBRACK] = ACTIONS(4360),
    [anon_sym_map_LBRACK] = ACTIONS(4360),
    [anon_sym_chan] = ACTIONS(4362),
    [anon_sym_shared] = ACTIONS(4362),
    [anon_sym_thread] = ACTIONS(4362),
    [sym_int_literal] = ACTIONS(4362),
    [sym_float_literal] = ACTIONS(4360),
    [sym_rune_literal] = ACTIONS(4360),
    [anon_sym_DOT] = ACTIONS(4362),
    [anon_sym_array] = ACTIONS(4362),
    [anon_sym_string] = ACTIONS(4362),
    [anon_sym_char] = ACTIONS(4362),
    [anon_sym_sql] = ACTIONS(4362),
    [anon_sym_mut] = ACTIONS(4362),
    [anon_sym_C] = ACTIONS(4362),
    [anon_sym_JS] = ACTIONS(4362),
    [anon_sym_voidptr] = ACTIONS(4362),
    [anon_sym_byteptr] = ACTIONS(4362),
    [anon_sym_charptr] = ACTIONS(4362),
    [anon_sym_i8] = ACTIONS(4362),
    [anon_sym_i16] = ACTIONS(4362),
    [anon_sym_i32] = ACTIONS(4362),
    [anon_sym_int] = ACTIONS(4362),
    [anon_sym_i64] = ACTIONS(4362),
    [anon_sym_byte] = ACTIONS(4362),
    [anon_sym_u8] = ACTIONS(4362),
    [anon_sym_u16] = ACTIONS(4362),
    [anon_sym_u32] = ACTIONS(4362),
    [anon_sym_u64] = ACTIONS(4362),
    [anon_sym_f32] = ACTIONS(4362),
    [anon_sym_f64] = ACTIONS(4362),
    [anon_sym_bool] = ACTIONS(4362),
    [anon_sym_rune] = ACTIONS(4362),
    [anon_sym_map] = ACTIONS(4362),
    [anon_sym_mapnode] = ACTIONS(4362),
    [anon_sym_size_t] = ACTIONS(4362),
    [anon_sym_usize] = ACTIONS(4362),
    [anon_sym_isize] = ACTIONS(4362),
    [anon_sym_float_literal] = ACTIONS(4362),
    [anon_sym_int_literal] = ACTIONS(4362),
    [anon_sym_IError] = ACTIONS(4362),
    [sym_type_placeholder] = ACTIONS(4362),
    [anon_sym_AT] = ACTIONS(4362),
    [sym_type_identifier] = ACTIONS(4362),
    [anon_sym_assert] = ACTIONS(4362),
    [anon_sym_defer] = ACTIONS(4362),
    [anon_sym_unsafe] = ACTIONS(4362),
    [anon_sym_fn] = ACTIONS(4362),
    [anon_sym_asm] = ACTIONS(4362),
    [anon_sym_break] = ACTIONS(4362),
    [anon_sym_continue] = ACTIONS(4362),
    [anon_sym_return] = ACTIONS(4362),
    [anon_sym_go] = ACTIONS(4362),
    [anon_sym_spawn] = ACTIONS(4362),
    [anon_sym_goto] = ACTIONS(4362),
    [anon_sym_for] = ACTIONS(4362),
    [anon_sym_DOLLARfor] = ACTIONS(4360),
    [anon_sym_DOLLARif] = ACTIONS(4360),
    [anon_sym_if] = ACTIONS(4362),
    [anon_sym_POUND] = ACTIONS(4360),
    [anon_sym_match] = ACTIONS(4362),
    [anon_sym_select] = ACTIONS(4362),
    [anon_sym_lock] = ACTIONS(4362),
    [anon_sym_rlock] = ACTIONS(4362),
    [sym__automatic_separator] = ACTIONS(4360),
    [sym__c_string_opening] = ACTIONS(4360),
    [sym__raw_string_opening] = ACTIONS(4360),
    [sym__string_opening] = ACTIONS(4360),
    [sym__comment] = ACTIONS(3),
  },
  [1863] = {
    [sym_comment] = STATE(1863),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_LPAREN] = ACTIONS(3980),
    [anon_sym_PLUS] = ACTIONS(3980),
    [anon_sym_DASH] = ACTIONS(3980),
    [anon_sym_BANG] = ACTIONS(3980),
    [anon_sym_TILDE] = ACTIONS(3980),
    [anon_sym_CARET] = ACTIONS(3980),
    [anon_sym_STAR] = ACTIONS(3980),
    [anon_sym_AMP] = ACTIONS(3980),
    [anon_sym_LT_DASH] = ACTIONS(3980),
    [anon_sym_DOLLAR] = ACTIONS(3982),
    [sym_none] = ACTIONS(3982),
    [sym_true] = ACTIONS(3982),
    [sym_false] = ACTIONS(3982),
    [anon_sym_LBRACE] = ACTIONS(3980),
    [anon_sym_RBRACE] = ACTIONS(3980),
    [anon_sym_LBRACK] = ACTIONS(3980),
    [anon_sym_map_LBRACK] = ACTIONS(3980),
    [anon_sym_chan] = ACTIONS(3982),
    [anon_sym_shared] = ACTIONS(3982),
    [anon_sym_thread] = ACTIONS(3982),
    [sym_int_literal] = ACTIONS(3982),
    [sym_float_literal] = ACTIONS(3980),
    [sym_rune_literal] = ACTIONS(3980),
    [anon_sym_DOT] = ACTIONS(3982),
    [anon_sym_array] = ACTIONS(3982),
    [anon_sym_string] = ACTIONS(3982),
    [anon_sym_char] = ACTIONS(3982),
    [anon_sym_sql] = ACTIONS(3982),
    [anon_sym_mut] = ACTIONS(3982),
    [anon_sym_C] = ACTIONS(3982),
    [anon_sym_JS] = ACTIONS(3982),
    [anon_sym_voidptr] = ACTIONS(3982),
    [anon_sym_byteptr] = ACTIONS(3982),
    [anon_sym_charptr] = ACTIONS(3982),
    [anon_sym_i8] = ACTIONS(3982),
    [anon_sym_i16] = ACTIONS(3982),
    [anon_sym_i32] = ACTIONS(3982),
    [anon_sym_int] = ACTIONS(3982),
    [anon_sym_i64] = ACTIONS(3982),
    [anon_sym_byte] = ACTIONS(3982),
    [anon_sym_u8] = ACTIONS(3982),
    [anon_sym_u16] = ACTIONS(3982),
    [anon_sym_u32] = ACTIONS(3982),
    [anon_sym_u64] = ACTIONS(3982),
    [anon_sym_f32] = ACTIONS(3982),
    [anon_sym_f64] = ACTIONS(3982),
    [anon_sym_bool] = ACTIONS(3982),
    [anon_sym_rune] = ACTIONS(3982),
    [anon_sym_map] = ACTIONS(3982),
    [anon_sym_mapnode] = ACTIONS(3982),
    [anon_sym_size_t] = ACTIONS(3982),
    [anon_sym_usize] = ACTIONS(3982),
    [anon_sym_isize] = ACTIONS(3982),
    [anon_sym_float_literal] = ACTIONS(3982),
    [anon_sym_int_literal] = ACTIONS(3982),
    [anon_sym_IError] = ACTIONS(3982),
    [sym_type_placeholder] = ACTIONS(3982),
    [anon_sym_AT] = ACTIONS(3982),
    [sym_type_identifier] = ACTIONS(3982),
    [anon_sym_assert] = ACTIONS(3982),
    [anon_sym_defer] = ACTIONS(3982),
    [anon_sym_unsafe] = ACTIONS(3982),
    [anon_sym_fn] = ACTIONS(3982),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym_break] = ACTIONS(3982),
    [anon_sym_continue] = ACTIONS(3982),
    [anon_sym_return] = ACTIONS(3982),
    [anon_sym_go] = ACTIONS(3982),
    [anon_sym_spawn] = ACTIONS(3982),
    [anon_sym_goto] = ACTIONS(3982),
    [anon_sym_for] = ACTIONS(3982),
    [anon_sym_DOLLARfor] = ACTIONS(3980),
    [anon_sym_DOLLARif] = ACTIONS(3980),
    [anon_sym_if] = ACTIONS(3982),
    [anon_sym_POUND] = ACTIONS(3980),
    [anon_sym_match] = ACTIONS(3982),
    [anon_sym_select] = ACTIONS(3982),
    [anon_sym_lock] = ACTIONS(3982),
    [anon_sym_rlock] = ACTIONS(3982),
    [sym__automatic_separator] = ACTIONS(3980),
    [sym__c_string_opening] = ACTIONS(3980),
    [sym__raw_string_opening] = ACTIONS(3980),
    [sym__string_opening] = ACTIONS(3980),
    [sym__comment] = ACTIONS(3),
  },
  [1864] = {
    [sym_comment] = STATE(1864),
    [sym_identifier] = ACTIONS(4358),
    [anon_sym_LPAREN] = ACTIONS(4356),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_BANG] = ACTIONS(4356),
    [anon_sym_TILDE] = ACTIONS(4356),
    [anon_sym_CARET] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4356),
    [anon_sym_AMP] = ACTIONS(4356),
    [anon_sym_LT_DASH] = ACTIONS(4356),
    [anon_sym_DOLLAR] = ACTIONS(4358),
    [sym_none] = ACTIONS(4358),
    [sym_true] = ACTIONS(4358),
    [sym_false] = ACTIONS(4358),
    [anon_sym_LBRACE] = ACTIONS(4356),
    [anon_sym_RBRACE] = ACTIONS(4356),
    [anon_sym_LBRACK] = ACTIONS(4356),
    [anon_sym_map_LBRACK] = ACTIONS(4356),
    [anon_sym_chan] = ACTIONS(4358),
    [anon_sym_shared] = ACTIONS(4358),
    [anon_sym_thread] = ACTIONS(4358),
    [sym_int_literal] = ACTIONS(4358),
    [sym_float_literal] = ACTIONS(4356),
    [sym_rune_literal] = ACTIONS(4356),
    [anon_sym_DOT] = ACTIONS(4358),
    [anon_sym_array] = ACTIONS(4358),
    [anon_sym_string] = ACTIONS(4358),
    [anon_sym_char] = ACTIONS(4358),
    [anon_sym_sql] = ACTIONS(4358),
    [anon_sym_mut] = ACTIONS(4358),
    [anon_sym_C] = ACTIONS(4358),
    [anon_sym_JS] = ACTIONS(4358),
    [anon_sym_voidptr] = ACTIONS(4358),
    [anon_sym_byteptr] = ACTIONS(4358),
    [anon_sym_charptr] = ACTIONS(4358),
    [anon_sym_i8] = ACTIONS(4358),
    [anon_sym_i16] = ACTIONS(4358),
    [anon_sym_i32] = ACTIONS(4358),
    [anon_sym_int] = ACTIONS(4358),
    [anon_sym_i64] = ACTIONS(4358),
    [anon_sym_byte] = ACTIONS(4358),
    [anon_sym_u8] = ACTIONS(4358),
    [anon_sym_u16] = ACTIONS(4358),
    [anon_sym_u32] = ACTIONS(4358),
    [anon_sym_u64] = ACTIONS(4358),
    [anon_sym_f32] = ACTIONS(4358),
    [anon_sym_f64] = ACTIONS(4358),
    [anon_sym_bool] = ACTIONS(4358),
    [anon_sym_rune] = ACTIONS(4358),
    [anon_sym_map] = ACTIONS(4358),
    [anon_sym_mapnode] = ACTIONS(4358),
    [anon_sym_size_t] = ACTIONS(4358),
    [anon_sym_usize] = ACTIONS(4358),
    [anon_sym_isize] = ACTIONS(4358),
    [anon_sym_float_literal] = ACTIONS(4358),
    [anon_sym_int_literal] = ACTIONS(4358),
    [anon_sym_IError] = ACTIONS(4358),
    [sym_type_placeholder] = ACTIONS(4358),
    [anon_sym_AT] = ACTIONS(4358),
    [sym_type_identifier] = ACTIONS(4358),
    [anon_sym_assert] = ACTIONS(4358),
    [anon_sym_defer] = ACTIONS(4358),
    [anon_sym_unsafe] = ACTIONS(4358),
    [anon_sym_fn] = ACTIONS(4358),
    [anon_sym_asm] = ACTIONS(4358),
    [anon_sym_break] = ACTIONS(4358),
    [anon_sym_continue] = ACTIONS(4358),
    [anon_sym_return] = ACTIONS(4358),
    [anon_sym_go] = ACTIONS(4358),
    [anon_sym_spawn] = ACTIONS(4358),
    [anon_sym_goto] = ACTIONS(4358),
    [anon_sym_for] = ACTIONS(4358),
    [anon_sym_DOLLARfor] = ACTIONS(4356),
    [anon_sym_DOLLARif] = ACTIONS(4356),
    [anon_sym_if] = ACTIONS(4358),
    [anon_sym_POUND] = ACTIONS(4356),
    [anon_sym_match] = ACTIONS(4358),
    [anon_sym_select] = ACTIONS(4358),
    [anon_sym_lock] = ACTIONS(4358),
    [anon_sym_rlock] = ACTIONS(4358),
    [sym__automatic_separator] = ACTIONS(4356),
    [sym__c_string_opening] = ACTIONS(4356),
    [sym__raw_string_opening] = ACTIONS(4356),
    [sym__string_opening] = ACTIONS(4356),
    [sym__comment] = ACTIONS(3),
  },
  [1865] = {
    [sym_comment] = STATE(1865),
    [sym_identifier] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_CARET] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_AMP] = ACTIONS(1142),
    [anon_sym_LT_DASH] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [sym_none] = ACTIONS(1144),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_map_LBRACK] = ACTIONS(1142),
    [anon_sym_chan] = ACTIONS(1144),
    [anon_sym_shared] = ACTIONS(1144),
    [anon_sym_thread] = ACTIONS(1144),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(1144),
    [anon_sym_array] = ACTIONS(1144),
    [anon_sym_string] = ACTIONS(1144),
    [anon_sym_char] = ACTIONS(1144),
    [anon_sym_sql] = ACTIONS(1144),
    [anon_sym_mut] = ACTIONS(1144),
    [anon_sym_C] = ACTIONS(1144),
    [anon_sym_JS] = ACTIONS(1144),
    [anon_sym_voidptr] = ACTIONS(1144),
    [anon_sym_byteptr] = ACTIONS(1144),
    [anon_sym_charptr] = ACTIONS(1144),
    [anon_sym_i8] = ACTIONS(1144),
    [anon_sym_i16] = ACTIONS(1144),
    [anon_sym_i32] = ACTIONS(1144),
    [anon_sym_int] = ACTIONS(1144),
    [anon_sym_i64] = ACTIONS(1144),
    [anon_sym_byte] = ACTIONS(1144),
    [anon_sym_u8] = ACTIONS(1144),
    [anon_sym_u16] = ACTIONS(1144),
    [anon_sym_u32] = ACTIONS(1144),
    [anon_sym_u64] = ACTIONS(1144),
    [anon_sym_f32] = ACTIONS(1144),
    [anon_sym_f64] = ACTIONS(1144),
    [anon_sym_bool] = ACTIONS(1144),
    [anon_sym_rune] = ACTIONS(1144),
    [anon_sym_map] = ACTIONS(1144),
    [anon_sym_mapnode] = ACTIONS(1144),
    [anon_sym_size_t] = ACTIONS(1144),
    [anon_sym_usize] = ACTIONS(1144),
    [anon_sym_isize] = ACTIONS(1144),
    [anon_sym_float_literal] = ACTIONS(1144),
    [anon_sym_int_literal] = ACTIONS(1144),
    [anon_sym_IError] = ACTIONS(1144),
    [sym_type_placeholder] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [sym_type_identifier] = ACTIONS(1144),
    [anon_sym_assert] = ACTIONS(1144),
    [anon_sym_defer] = ACTIONS(1144),
    [anon_sym_unsafe] = ACTIONS(1144),
    [anon_sym_fn] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_go] = ACTIONS(1144),
    [anon_sym_spawn] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_DOLLARfor] = ACTIONS(1142),
    [anon_sym_DOLLARif] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_POUND] = ACTIONS(1142),
    [anon_sym_match] = ACTIONS(1144),
    [anon_sym_select] = ACTIONS(1144),
    [anon_sym_lock] = ACTIONS(1144),
    [anon_sym_rlock] = ACTIONS(1144),
    [sym__automatic_separator] = ACTIONS(1142),
    [sym__c_string_opening] = ACTIONS(1142),
    [sym__raw_string_opening] = ACTIONS(1142),
    [sym__string_opening] = ACTIONS(1142),
    [sym__comment] = ACTIONS(3),
  },
  [1866] = {
    [sym_comment] = STATE(1866),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_multi_return_type] = STATE(2606),
    [sym__simple_type] = STATE(2606),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_CARET] = ACTIONS(736),
    [anon_sym_STAR] = ACTIONS(736),
    [anon_sym_AMP] = ACTIONS(4660),
    [anon_sym_SLASH] = ACTIONS(736),
    [anon_sym_PERCENT] = ACTIONS(736),
    [anon_sym_LT_LT] = ACTIONS(736),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(736),
    [anon_sym_AMP_CARET] = ACTIONS(736),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(736),
    [anon_sym_BANG_EQ] = ACTIONS(736),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(736),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(736),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(736),
    [anon_sym_PIPE_PIPE] = ACTIONS(736),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_LF] = ACTIONS(736),
    [anon_sym_CR] = ACTIONS(736),
    [anon_sym_CR_LF] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_map_LBRACK] = ACTIONS(4666),
    [anon_sym_chan] = ACTIONS(4668),
    [anon_sym_shared] = ACTIONS(4670),
    [anon_sym_thread] = ACTIONS(4672),
    [anon_sym_DOT] = ACTIONS(736),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4674),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(736),
    [sym__comment] = ACTIONS(3),
  },
  [1867] = {
    [sym_comment] = STATE(1867),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_defer] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_go] = ACTIONS(1112),
    [anon_sym_spawn] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_DOLLARfor] = ACTIONS(1110),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1110),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__automatic_separator] = ACTIONS(1110),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1868] = {
    [sym_comment] = STATE(1868),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3662),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(4753),
    [anon_sym_LPAREN] = ACTIONS(4755),
    [anon_sym_PLUS] = ACTIONS(4755),
    [anon_sym_DASH] = ACTIONS(4755),
    [anon_sym_BANG] = ACTIONS(4755),
    [anon_sym_TILDE] = ACTIONS(4755),
    [anon_sym_CARET] = ACTIONS(4755),
    [anon_sym_STAR] = ACTIONS(4755),
    [anon_sym_AMP] = ACTIONS(4755),
    [anon_sym_LT_DASH] = ACTIONS(4755),
    [anon_sym_DOLLAR] = ACTIONS(4753),
    [sym_none] = ACTIONS(4753),
    [sym_true] = ACTIONS(4753),
    [sym_false] = ACTIONS(4753),
    [anon_sym_LBRACE] = ACTIONS(4755),
    [anon_sym_LBRACK] = ACTIONS(4755),
    [anon_sym_map_LBRACK] = ACTIONS(4755),
    [anon_sym_chan] = ACTIONS(4753),
    [anon_sym_shared] = ACTIONS(4753),
    [anon_sym_thread] = ACTIONS(4753),
    [sym_int_literal] = ACTIONS(4753),
    [sym_float_literal] = ACTIONS(4755),
    [sym_rune_literal] = ACTIONS(4755),
    [anon_sym_DOT] = ACTIONS(4753),
    [anon_sym_array] = ACTIONS(4753),
    [anon_sym_string] = ACTIONS(4753),
    [anon_sym_char] = ACTIONS(4753),
    [anon_sym_sql] = ACTIONS(4753),
    [anon_sym_mut] = ACTIONS(4753),
    [anon_sym_C] = ACTIONS(4753),
    [anon_sym_JS] = ACTIONS(4753),
    [anon_sym_voidptr] = ACTIONS(4753),
    [anon_sym_byteptr] = ACTIONS(4753),
    [anon_sym_charptr] = ACTIONS(4753),
    [anon_sym_i8] = ACTIONS(4753),
    [anon_sym_i16] = ACTIONS(4753),
    [anon_sym_i32] = ACTIONS(4753),
    [anon_sym_int] = ACTIONS(4753),
    [anon_sym_i64] = ACTIONS(4753),
    [anon_sym_byte] = ACTIONS(4753),
    [anon_sym_u8] = ACTIONS(4753),
    [anon_sym_u16] = ACTIONS(4753),
    [anon_sym_u32] = ACTIONS(4753),
    [anon_sym_u64] = ACTIONS(4753),
    [anon_sym_f32] = ACTIONS(4753),
    [anon_sym_f64] = ACTIONS(4753),
    [anon_sym_bool] = ACTIONS(4753),
    [anon_sym_rune] = ACTIONS(4753),
    [anon_sym_map] = ACTIONS(4753),
    [anon_sym_mapnode] = ACTIONS(4753),
    [anon_sym_size_t] = ACTIONS(4753),
    [anon_sym_usize] = ACTIONS(4753),
    [anon_sym_isize] = ACTIONS(4753),
    [anon_sym_float_literal] = ACTIONS(4753),
    [anon_sym_int_literal] = ACTIONS(4753),
    [anon_sym_IError] = ACTIONS(4753),
    [sym_type_placeholder] = ACTIONS(4753),
    [anon_sym_AT] = ACTIONS(4753),
    [sym_type_identifier] = ACTIONS(4753),
    [anon_sym_unsafe] = ACTIONS(4753),
    [anon_sym_fn] = ACTIONS(4753),
    [anon_sym_DOLLARif] = ACTIONS(4755),
    [anon_sym_if] = ACTIONS(4753),
    [anon_sym_match] = ACTIONS(4753),
    [anon_sym_select] = ACTIONS(4753),
    [anon_sym_lock] = ACTIONS(4753),
    [anon_sym_rlock] = ACTIONS(4753),
    [sym__c_string_opening] = ACTIONS(4755),
    [sym__raw_string_opening] = ACTIONS(4755),
    [sym__string_opening] = ACTIONS(4755),
    [sym__comment] = ACTIONS(3),
  },
  [1869] = {
    [sym_comment] = STATE(1869),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(746),
    [anon_sym_AMP_CARET] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(746),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_DOT_DOT] = ACTIONS(750),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [1870] = {
    [sym_comment] = STATE(1870),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym__simple_type] = STATE(2629),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_map_LBRACK] = ACTIONS(4618),
    [anon_sym_chan] = ACTIONS(4620),
    [anon_sym_shared] = ACTIONS(4622),
    [anon_sym_thread] = ACTIONS(4624),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4626),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1871] = {
    [sym_comment] = STATE(1871),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_RPAREN] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(4759),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(746),
    [anon_sym_AMP_CARET] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_DOT] = ACTIONS(746),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [sym__automatic_separator] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [1872] = {
    [sym_comment] = STATE(1872),
    [sym_fixed_array_type] = STATE(3067),
    [sym_array_type] = STATE(3067),
    [sym_pointer_type] = STATE(3067),
    [sym_map_type] = STATE(3067),
    [sym_channel_type] = STATE(3067),
    [sym_shared_type] = STATE(3067),
    [sym_thread_type] = STATE(3067),
    [sym_binded_identifier] = STATE(3066),
    [sym__simple_type] = STATE(3062),
    [sym_builtin_type] = STATE(3067),
    [sym__binded_type] = STATE(3067),
    [sym_generic_type] = STATE(3067),
    [sym_qualified_type] = STATE(2938),
    [sym_function_type] = STATE(3067),
    [sym_identifier] = ACTIONS(4628),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(4634),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(4638),
    [anon_sym_map_LBRACK] = ACTIONS(4640),
    [anon_sym_chan] = ACTIONS(4642),
    [anon_sym_shared] = ACTIONS(4644),
    [anon_sym_thread] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4648),
    [anon_sym_string] = ACTIONS(4648),
    [anon_sym_char] = ACTIONS(4648),
    [anon_sym_C] = ACTIONS(4650),
    [anon_sym_JS] = ACTIONS(4650),
    [anon_sym_voidptr] = ACTIONS(4648),
    [anon_sym_byteptr] = ACTIONS(4648),
    [anon_sym_charptr] = ACTIONS(4648),
    [anon_sym_i8] = ACTIONS(4648),
    [anon_sym_i16] = ACTIONS(4648),
    [anon_sym_i32] = ACTIONS(4648),
    [anon_sym_int] = ACTIONS(4648),
    [anon_sym_i64] = ACTIONS(4648),
    [anon_sym_byte] = ACTIONS(4648),
    [anon_sym_u8] = ACTIONS(4648),
    [anon_sym_u16] = ACTIONS(4648),
    [anon_sym_u32] = ACTIONS(4648),
    [anon_sym_u64] = ACTIONS(4648),
    [anon_sym_f32] = ACTIONS(4648),
    [anon_sym_f64] = ACTIONS(4648),
    [anon_sym_bool] = ACTIONS(4648),
    [anon_sym_rune] = ACTIONS(4648),
    [anon_sym_map] = ACTIONS(4648),
    [anon_sym_mapnode] = ACTIONS(4648),
    [anon_sym_size_t] = ACTIONS(4648),
    [anon_sym_usize] = ACTIONS(4648),
    [anon_sym_isize] = ACTIONS(4648),
    [anon_sym_float_literal] = ACTIONS(4648),
    [anon_sym_int_literal] = ACTIONS(4648),
    [anon_sym_IError] = ACTIONS(4648),
    [sym_type_placeholder] = ACTIONS(4652),
    [sym_type_identifier] = ACTIONS(4654),
    [anon_sym_fn] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1873] = {
    [sym_comment] = STATE(1873),
    [sym_fixed_array_type] = STATE(3312),
    [sym_array_type] = STATE(3312),
    [sym_pointer_type] = STATE(3312),
    [sym_map_type] = STATE(3312),
    [sym_channel_type] = STATE(3312),
    [sym_shared_type] = STATE(3312),
    [sym_thread_type] = STATE(3312),
    [sym_binded_identifier] = STATE(3322),
    [sym_multi_return_type] = STATE(3285),
    [sym__simple_type] = STATE(3285),
    [sym_builtin_type] = STATE(3312),
    [sym__binded_type] = STATE(3312),
    [sym_generic_type] = STATE(3312),
    [sym_qualified_type] = STATE(3097),
    [sym_function_type] = STATE(3312),
    [sym_identifier] = ACTIONS(4708),
    [anon_sym_LPAREN] = ACTIONS(4710),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(734),
    [anon_sym_AMP_CARET] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(736),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(736),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_in] = ACTIONS(736),
    [anon_sym_BANGin] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [anon_sym_as] = ACTIONS(736),
    [anon_sym_COLON] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_map_LBRACK] = ACTIONS(4720),
    [anon_sym_chan] = ACTIONS(4722),
    [anon_sym_shared] = ACTIONS(4724),
    [anon_sym_thread] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(734),
    [anon_sym_array] = ACTIONS(4728),
    [anon_sym_string] = ACTIONS(4728),
    [anon_sym_char] = ACTIONS(4728),
    [anon_sym_C] = ACTIONS(4730),
    [anon_sym_JS] = ACTIONS(4730),
    [anon_sym_voidptr] = ACTIONS(4728),
    [anon_sym_byteptr] = ACTIONS(4728),
    [anon_sym_charptr] = ACTIONS(4728),
    [anon_sym_i8] = ACTIONS(4728),
    [anon_sym_i16] = ACTIONS(4728),
    [anon_sym_i32] = ACTIONS(4728),
    [anon_sym_int] = ACTIONS(4728),
    [anon_sym_i64] = ACTIONS(4728),
    [anon_sym_byte] = ACTIONS(4728),
    [anon_sym_u8] = ACTIONS(4728),
    [anon_sym_u16] = ACTIONS(4728),
    [anon_sym_u32] = ACTIONS(4728),
    [anon_sym_u64] = ACTIONS(4728),
    [anon_sym_f32] = ACTIONS(4728),
    [anon_sym_f64] = ACTIONS(4728),
    [anon_sym_bool] = ACTIONS(4728),
    [anon_sym_rune] = ACTIONS(4728),
    [anon_sym_map] = ACTIONS(4728),
    [anon_sym_mapnode] = ACTIONS(4728),
    [anon_sym_size_t] = ACTIONS(4728),
    [anon_sym_usize] = ACTIONS(4728),
    [anon_sym_isize] = ACTIONS(4728),
    [anon_sym_float_literal] = ACTIONS(4728),
    [anon_sym_int_literal] = ACTIONS(4728),
    [anon_sym_IError] = ACTIONS(4728),
    [sym_type_placeholder] = ACTIONS(4732),
    [sym_type_identifier] = ACTIONS(4734),
    [anon_sym_fn] = ACTIONS(4736),
    [anon_sym_is] = ACTIONS(736),
    [anon_sym_BANGis] = ACTIONS(734),
    [sym__interpolation_closing] = ACTIONS(734),
    [sym__comment] = ACTIONS(3),
  },
  [1874] = {
    [sym_comment] = STATE(1874),
    [sym_identifier] = ACTIONS(4761),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_CARET] = ACTIONS(520),
    [anon_sym_STAR] = ACTIONS(520),
    [anon_sym_AMP] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(520),
    [anon_sym_DOLLAR] = ACTIONS(4761),
    [sym_none] = ACTIONS(4761),
    [sym_true] = ACTIONS(4761),
    [sym_false] = ACTIONS(4761),
    [anon_sym_LBRACE] = ACTIONS(520),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(520),
    [anon_sym_map_LBRACK] = ACTIONS(520),
    [anon_sym_chan] = ACTIONS(4761),
    [anon_sym_shared] = ACTIONS(4761),
    [anon_sym_thread] = ACTIONS(4761),
    [sym_int_literal] = ACTIONS(4761),
    [sym_float_literal] = ACTIONS(520),
    [sym_rune_literal] = ACTIONS(520),
    [anon_sym_DOT] = ACTIONS(4761),
    [anon_sym_array] = ACTIONS(4761),
    [anon_sym_string] = ACTIONS(4761),
    [anon_sym_char] = ACTIONS(4761),
    [anon_sym_sql] = ACTIONS(4761),
    [anon_sym_mut] = ACTIONS(4761),
    [anon_sym_C] = ACTIONS(4761),
    [anon_sym_JS] = ACTIONS(4761),
    [anon_sym_voidptr] = ACTIONS(4761),
    [anon_sym_byteptr] = ACTIONS(4761),
    [anon_sym_charptr] = ACTIONS(4761),
    [anon_sym_i8] = ACTIONS(4761),
    [anon_sym_i16] = ACTIONS(4761),
    [anon_sym_i32] = ACTIONS(4761),
    [anon_sym_int] = ACTIONS(4761),
    [anon_sym_i64] = ACTIONS(4761),
    [anon_sym_byte] = ACTIONS(4761),
    [anon_sym_u8] = ACTIONS(4761),
    [anon_sym_u16] = ACTIONS(4761),
    [anon_sym_u32] = ACTIONS(4761),
    [anon_sym_u64] = ACTIONS(4761),
    [anon_sym_f32] = ACTIONS(4761),
    [anon_sym_f64] = ACTIONS(4761),
    [anon_sym_bool] = ACTIONS(4761),
    [anon_sym_rune] = ACTIONS(4761),
    [anon_sym_map] = ACTIONS(4761),
    [anon_sym_mapnode] = ACTIONS(4761),
    [anon_sym_size_t] = ACTIONS(4761),
    [anon_sym_usize] = ACTIONS(4761),
    [anon_sym_isize] = ACTIONS(4761),
    [anon_sym_float_literal] = ACTIONS(4761),
    [anon_sym_int_literal] = ACTIONS(4761),
    [anon_sym_IError] = ACTIONS(4761),
    [sym_type_placeholder] = ACTIONS(4761),
    [anon_sym_AT] = ACTIONS(4761),
    [sym_type_identifier] = ACTIONS(4761),
    [anon_sym_assert] = ACTIONS(4761),
    [anon_sym_defer] = ACTIONS(4761),
    [anon_sym_unsafe] = ACTIONS(4761),
    [anon_sym_fn] = ACTIONS(4761),
    [anon_sym_asm] = ACTIONS(4761),
    [anon_sym_break] = ACTIONS(4761),
    [anon_sym_continue] = ACTIONS(4761),
    [anon_sym_return] = ACTIONS(4761),
    [anon_sym_go] = ACTIONS(4761),
    [anon_sym_spawn] = ACTIONS(4761),
    [anon_sym_goto] = ACTIONS(4761),
    [anon_sym_for] = ACTIONS(4761),
    [anon_sym_DOLLARfor] = ACTIONS(520),
    [anon_sym_DOLLARif] = ACTIONS(520),
    [anon_sym_if] = ACTIONS(4761),
    [anon_sym_POUND] = ACTIONS(520),
    [anon_sym_match] = ACTIONS(4761),
    [anon_sym_select] = ACTIONS(4761),
    [anon_sym_lock] = ACTIONS(4761),
    [anon_sym_rlock] = ACTIONS(4761),
    [sym__c_string_opening] = ACTIONS(520),
    [sym__raw_string_opening] = ACTIONS(520),
    [sym__string_opening] = ACTIONS(520),
    [sym__comment] = ACTIONS(3),
  },
  [1875] = {
    [sym_comment] = STATE(1875),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym__simple_type] = STATE(2611),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(4612),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(4616),
    [anon_sym_map_LBRACK] = ACTIONS(4618),
    [anon_sym_chan] = ACTIONS(4620),
    [anon_sym_shared] = ACTIONS(4622),
    [anon_sym_thread] = ACTIONS(4624),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4626),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1876] = {
    [sym_comment] = STATE(1876),
    [sym_fixed_array_type] = STATE(3067),
    [sym_array_type] = STATE(3067),
    [sym_pointer_type] = STATE(3067),
    [sym_map_type] = STATE(3067),
    [sym_channel_type] = STATE(3067),
    [sym_shared_type] = STATE(3067),
    [sym_thread_type] = STATE(3067),
    [sym_binded_identifier] = STATE(3066),
    [sym__simple_type] = STATE(3060),
    [sym_builtin_type] = STATE(3067),
    [sym__binded_type] = STATE(3067),
    [sym_generic_type] = STATE(3067),
    [sym_qualified_type] = STATE(2938),
    [sym_function_type] = STATE(3067),
    [sym_identifier] = ACTIONS(4628),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(4640),
    [anon_sym_chan] = ACTIONS(4642),
    [anon_sym_shared] = ACTIONS(4644),
    [anon_sym_thread] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4648),
    [anon_sym_string] = ACTIONS(4648),
    [anon_sym_char] = ACTIONS(4648),
    [anon_sym_C] = ACTIONS(4650),
    [anon_sym_JS] = ACTIONS(4650),
    [anon_sym_voidptr] = ACTIONS(4648),
    [anon_sym_byteptr] = ACTIONS(4648),
    [anon_sym_charptr] = ACTIONS(4648),
    [anon_sym_i8] = ACTIONS(4648),
    [anon_sym_i16] = ACTIONS(4648),
    [anon_sym_i32] = ACTIONS(4648),
    [anon_sym_int] = ACTIONS(4648),
    [anon_sym_i64] = ACTIONS(4648),
    [anon_sym_byte] = ACTIONS(4648),
    [anon_sym_u8] = ACTIONS(4648),
    [anon_sym_u16] = ACTIONS(4648),
    [anon_sym_u32] = ACTIONS(4648),
    [anon_sym_u64] = ACTIONS(4648),
    [anon_sym_f32] = ACTIONS(4648),
    [anon_sym_f64] = ACTIONS(4648),
    [anon_sym_bool] = ACTIONS(4648),
    [anon_sym_rune] = ACTIONS(4648),
    [anon_sym_map] = ACTIONS(4648),
    [anon_sym_mapnode] = ACTIONS(4648),
    [anon_sym_size_t] = ACTIONS(4648),
    [anon_sym_usize] = ACTIONS(4648),
    [anon_sym_isize] = ACTIONS(4648),
    [anon_sym_float_literal] = ACTIONS(4648),
    [anon_sym_int_literal] = ACTIONS(4648),
    [anon_sym_IError] = ACTIONS(4648),
    [sym_type_placeholder] = ACTIONS(4652),
    [sym_type_identifier] = ACTIONS(4654),
    [anon_sym_fn] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(744),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1877] = {
    [sym_comment] = STATE(1877),
    [sym_fixed_array_type] = STATE(3312),
    [sym_array_type] = STATE(3312),
    [sym_pointer_type] = STATE(3312),
    [sym_map_type] = STATE(3312),
    [sym_channel_type] = STATE(3312),
    [sym_shared_type] = STATE(3312),
    [sym_thread_type] = STATE(3312),
    [sym_binded_identifier] = STATE(3322),
    [sym_multi_return_type] = STATE(3325),
    [sym__simple_type] = STATE(3325),
    [sym_builtin_type] = STATE(3312),
    [sym__binded_type] = STATE(3312),
    [sym_generic_type] = STATE(3312),
    [sym_qualified_type] = STATE(3097),
    [sym_function_type] = STATE(3312),
    [sym_identifier] = ACTIONS(4708),
    [anon_sym_LPAREN] = ACTIONS(4710),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(738),
    [anon_sym_AMP_CARET] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(740),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(740),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_BANGin] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [anon_sym_as] = ACTIONS(740),
    [anon_sym_COLON] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_map_LBRACK] = ACTIONS(4720),
    [anon_sym_chan] = ACTIONS(4722),
    [anon_sym_shared] = ACTIONS(4724),
    [anon_sym_thread] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(738),
    [anon_sym_array] = ACTIONS(4728),
    [anon_sym_string] = ACTIONS(4728),
    [anon_sym_char] = ACTIONS(4728),
    [anon_sym_C] = ACTIONS(4730),
    [anon_sym_JS] = ACTIONS(4730),
    [anon_sym_voidptr] = ACTIONS(4728),
    [anon_sym_byteptr] = ACTIONS(4728),
    [anon_sym_charptr] = ACTIONS(4728),
    [anon_sym_i8] = ACTIONS(4728),
    [anon_sym_i16] = ACTIONS(4728),
    [anon_sym_i32] = ACTIONS(4728),
    [anon_sym_int] = ACTIONS(4728),
    [anon_sym_i64] = ACTIONS(4728),
    [anon_sym_byte] = ACTIONS(4728),
    [anon_sym_u8] = ACTIONS(4728),
    [anon_sym_u16] = ACTIONS(4728),
    [anon_sym_u32] = ACTIONS(4728),
    [anon_sym_u64] = ACTIONS(4728),
    [anon_sym_f32] = ACTIONS(4728),
    [anon_sym_f64] = ACTIONS(4728),
    [anon_sym_bool] = ACTIONS(4728),
    [anon_sym_rune] = ACTIONS(4728),
    [anon_sym_map] = ACTIONS(4728),
    [anon_sym_mapnode] = ACTIONS(4728),
    [anon_sym_size_t] = ACTIONS(4728),
    [anon_sym_usize] = ACTIONS(4728),
    [anon_sym_isize] = ACTIONS(4728),
    [anon_sym_float_literal] = ACTIONS(4728),
    [anon_sym_int_literal] = ACTIONS(4728),
    [anon_sym_IError] = ACTIONS(4728),
    [sym_type_placeholder] = ACTIONS(4732),
    [sym_type_identifier] = ACTIONS(4734),
    [anon_sym_fn] = ACTIONS(4736),
    [anon_sym_is] = ACTIONS(740),
    [anon_sym_BANGis] = ACTIONS(738),
    [sym__interpolation_closing] = ACTIONS(738),
    [sym__comment] = ACTIONS(3),
  },
  [1878] = {
    [sym_comment] = STATE(1878),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym__simple_type] = STATE(2611),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(4660),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_map_LBRACK] = ACTIONS(4666),
    [anon_sym_chan] = ACTIONS(4668),
    [anon_sym_shared] = ACTIONS(4670),
    [anon_sym_thread] = ACTIONS(4672),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4674),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1879] = {
    [sym_comment] = STATE(1879),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym__simple_type] = STATE(3712),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(4763),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_GT_GT_GT] = ACTIONS(746),
    [anon_sym_AMP_CARET] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_in] = ACTIONS(750),
    [anon_sym_BANGin] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [anon_sym_as] = ACTIONS(750),
    [anon_sym_COLON] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_DOT] = ACTIONS(746),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_is] = ACTIONS(750),
    [anon_sym_BANGis] = ACTIONS(746),
    [sym__interpolation_closing] = ACTIONS(746),
    [sym__comment] = ACTIONS(3),
  },
  [1880] = {
    [sym_comment] = STATE(1880),
    [sym_fixed_array_type] = STATE(3253),
    [sym_array_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym_map_type] = STATE(3253),
    [sym_channel_type] = STATE(3253),
    [sym_shared_type] = STATE(3253),
    [sym_thread_type] = STATE(3253),
    [sym_binded_identifier] = STATE(3225),
    [sym__simple_type] = STATE(3216),
    [sym_builtin_type] = STATE(3253),
    [sym__binded_type] = STATE(3253),
    [sym_generic_type] = STATE(3253),
    [sym_qualified_type] = STATE(3003),
    [sym_function_type] = STATE(3253),
    [sym_identifier] = ACTIONS(4678),
    [anon_sym_RPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(4690),
    [anon_sym_chan] = ACTIONS(4692),
    [anon_sym_shared] = ACTIONS(4694),
    [anon_sym_thread] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_array] = ACTIONS(4698),
    [anon_sym_string] = ACTIONS(4698),
    [anon_sym_char] = ACTIONS(4698),
    [anon_sym_C] = ACTIONS(4700),
    [anon_sym_JS] = ACTIONS(4700),
    [anon_sym_voidptr] = ACTIONS(4698),
    [anon_sym_byteptr] = ACTIONS(4698),
    [anon_sym_charptr] = ACTIONS(4698),
    [anon_sym_i8] = ACTIONS(4698),
    [anon_sym_i16] = ACTIONS(4698),
    [anon_sym_i32] = ACTIONS(4698),
    [anon_sym_int] = ACTIONS(4698),
    [anon_sym_i64] = ACTIONS(4698),
    [anon_sym_byte] = ACTIONS(4698),
    [anon_sym_u8] = ACTIONS(4698),
    [anon_sym_u16] = ACTIONS(4698),
    [anon_sym_u32] = ACTIONS(4698),
    [anon_sym_u64] = ACTIONS(4698),
    [anon_sym_f32] = ACTIONS(4698),
    [anon_sym_f64] = ACTIONS(4698),
    [anon_sym_bool] = ACTIONS(4698),
    [anon_sym_rune] = ACTIONS(4698),
    [anon_sym_map] = ACTIONS(4698),
    [anon_sym_mapnode] = ACTIONS(4698),
    [anon_sym_size_t] = ACTIONS(4698),
    [anon_sym_usize] = ACTIONS(4698),
    [anon_sym_isize] = ACTIONS(4698),
    [anon_sym_float_literal] = ACTIONS(4698),
    [anon_sym_int_literal] = ACTIONS(4698),
    [anon_sym_IError] = ACTIONS(4698),
    [sym_type_placeholder] = ACTIONS(4702),
    [sym_type_identifier] = ACTIONS(4704),
    [anon_sym_fn] = ACTIONS(4706),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1881] = {
    [sym_comment] = STATE(1881),
    [sym_fixed_array_type] = STATE(3253),
    [sym_array_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym_map_type] = STATE(3253),
    [sym_channel_type] = STATE(3253),
    [sym_shared_type] = STATE(3253),
    [sym_thread_type] = STATE(3253),
    [sym_binded_identifier] = STATE(3225),
    [sym__simple_type] = STATE(3224),
    [sym_builtin_type] = STATE(3253),
    [sym__binded_type] = STATE(3253),
    [sym_generic_type] = STATE(3253),
    [sym_qualified_type] = STATE(3003),
    [sym_function_type] = STATE(3253),
    [sym_identifier] = ACTIONS(4678),
    [anon_sym_RPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(4684),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(4688),
    [anon_sym_map_LBRACK] = ACTIONS(4690),
    [anon_sym_chan] = ACTIONS(4692),
    [anon_sym_shared] = ACTIONS(4694),
    [anon_sym_thread] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_array] = ACTIONS(4698),
    [anon_sym_string] = ACTIONS(4698),
    [anon_sym_char] = ACTIONS(4698),
    [anon_sym_C] = ACTIONS(4700),
    [anon_sym_JS] = ACTIONS(4700),
    [anon_sym_voidptr] = ACTIONS(4698),
    [anon_sym_byteptr] = ACTIONS(4698),
    [anon_sym_charptr] = ACTIONS(4698),
    [anon_sym_i8] = ACTIONS(4698),
    [anon_sym_i16] = ACTIONS(4698),
    [anon_sym_i32] = ACTIONS(4698),
    [anon_sym_int] = ACTIONS(4698),
    [anon_sym_i64] = ACTIONS(4698),
    [anon_sym_byte] = ACTIONS(4698),
    [anon_sym_u8] = ACTIONS(4698),
    [anon_sym_u16] = ACTIONS(4698),
    [anon_sym_u32] = ACTIONS(4698),
    [anon_sym_u64] = ACTIONS(4698),
    [anon_sym_f32] = ACTIONS(4698),
    [anon_sym_f64] = ACTIONS(4698),
    [anon_sym_bool] = ACTIONS(4698),
    [anon_sym_rune] = ACTIONS(4698),
    [anon_sym_map] = ACTIONS(4698),
    [anon_sym_mapnode] = ACTIONS(4698),
    [anon_sym_size_t] = ACTIONS(4698),
    [anon_sym_usize] = ACTIONS(4698),
    [anon_sym_isize] = ACTIONS(4698),
    [anon_sym_float_literal] = ACTIONS(4698),
    [anon_sym_int_literal] = ACTIONS(4698),
    [anon_sym_IError] = ACTIONS(4698),
    [sym_type_placeholder] = ACTIONS(4702),
    [sym_type_identifier] = ACTIONS(4704),
    [anon_sym_fn] = ACTIONS(4706),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__automatic_separator] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1882] = {
    [sym_comment] = STATE(1882),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym__simple_type] = STATE(2629),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(744),
    [anon_sym_AMP_CARET] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(744),
    [anon_sym_AMP_AMP] = ACTIONS(744),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_map_LBRACK] = ACTIONS(4666),
    [anon_sym_chan] = ACTIONS(4668),
    [anon_sym_shared] = ACTIONS(4670),
    [anon_sym_thread] = ACTIONS(4672),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(4566),
    [anon_sym_JS] = ACTIONS(4566),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4674),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1883] = {
    [sym_comment] = STATE(1883),
    [sym_fixed_array_type] = STATE(3312),
    [sym_array_type] = STATE(3312),
    [sym_pointer_type] = STATE(3312),
    [sym_map_type] = STATE(3312),
    [sym_channel_type] = STATE(3312),
    [sym_shared_type] = STATE(3312),
    [sym_thread_type] = STATE(3312),
    [sym_binded_identifier] = STATE(3322),
    [sym__simple_type] = STATE(3324),
    [sym_builtin_type] = STATE(3312),
    [sym__binded_type] = STATE(3312),
    [sym_generic_type] = STATE(3312),
    [sym_qualified_type] = STATE(3097),
    [sym_function_type] = STATE(3312),
    [sym_identifier] = ACTIONS(4708),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_map_LBRACK] = ACTIONS(4720),
    [anon_sym_chan] = ACTIONS(4722),
    [anon_sym_shared] = ACTIONS(4724),
    [anon_sym_thread] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_array] = ACTIONS(4728),
    [anon_sym_string] = ACTIONS(4728),
    [anon_sym_char] = ACTIONS(4728),
    [anon_sym_C] = ACTIONS(4730),
    [anon_sym_JS] = ACTIONS(4730),
    [anon_sym_voidptr] = ACTIONS(4728),
    [anon_sym_byteptr] = ACTIONS(4728),
    [anon_sym_charptr] = ACTIONS(4728),
    [anon_sym_i8] = ACTIONS(4728),
    [anon_sym_i16] = ACTIONS(4728),
    [anon_sym_i32] = ACTIONS(4728),
    [anon_sym_int] = ACTIONS(4728),
    [anon_sym_i64] = ACTIONS(4728),
    [anon_sym_byte] = ACTIONS(4728),
    [anon_sym_u8] = ACTIONS(4728),
    [anon_sym_u16] = ACTIONS(4728),
    [anon_sym_u32] = ACTIONS(4728),
    [anon_sym_u64] = ACTIONS(4728),
    [anon_sym_f32] = ACTIONS(4728),
    [anon_sym_f64] = ACTIONS(4728),
    [anon_sym_bool] = ACTIONS(4728),
    [anon_sym_rune] = ACTIONS(4728),
    [anon_sym_map] = ACTIONS(4728),
    [anon_sym_mapnode] = ACTIONS(4728),
    [anon_sym_size_t] = ACTIONS(4728),
    [anon_sym_usize] = ACTIONS(4728),
    [anon_sym_isize] = ACTIONS(4728),
    [anon_sym_float_literal] = ACTIONS(4728),
    [anon_sym_int_literal] = ACTIONS(4728),
    [anon_sym_IError] = ACTIONS(4728),
    [sym_type_placeholder] = ACTIONS(4732),
    [sym_type_identifier] = ACTIONS(4734),
    [anon_sym_fn] = ACTIONS(4736),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__interpolation_closing] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1884] = {
    [sym_comment] = STATE(1884),
    [sym_fixed_array_type] = STATE(3312),
    [sym_array_type] = STATE(3312),
    [sym_pointer_type] = STATE(3312),
    [sym_map_type] = STATE(3312),
    [sym_channel_type] = STATE(3312),
    [sym_shared_type] = STATE(3312),
    [sym_thread_type] = STATE(3312),
    [sym_binded_identifier] = STATE(3322),
    [sym__simple_type] = STATE(3340),
    [sym_builtin_type] = STATE(3312),
    [sym__binded_type] = STATE(3312),
    [sym_generic_type] = STATE(3312),
    [sym_qualified_type] = STATE(3097),
    [sym_function_type] = STATE(3312),
    [sym_identifier] = ACTIONS(4708),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_GT_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(744),
    [anon_sym_BANGin] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [anon_sym_as] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_map_LBRACK] = ACTIONS(4720),
    [anon_sym_chan] = ACTIONS(4722),
    [anon_sym_shared] = ACTIONS(4724),
    [anon_sym_thread] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_array] = ACTIONS(4728),
    [anon_sym_string] = ACTIONS(4728),
    [anon_sym_char] = ACTIONS(4728),
    [anon_sym_C] = ACTIONS(4730),
    [anon_sym_JS] = ACTIONS(4730),
    [anon_sym_voidptr] = ACTIONS(4728),
    [anon_sym_byteptr] = ACTIONS(4728),
    [anon_sym_charptr] = ACTIONS(4728),
    [anon_sym_i8] = ACTIONS(4728),
    [anon_sym_i16] = ACTIONS(4728),
    [anon_sym_i32] = ACTIONS(4728),
    [anon_sym_int] = ACTIONS(4728),
    [anon_sym_i64] = ACTIONS(4728),
    [anon_sym_byte] = ACTIONS(4728),
    [anon_sym_u8] = ACTIONS(4728),
    [anon_sym_u16] = ACTIONS(4728),
    [anon_sym_u32] = ACTIONS(4728),
    [anon_sym_u64] = ACTIONS(4728),
    [anon_sym_f32] = ACTIONS(4728),
    [anon_sym_f64] = ACTIONS(4728),
    [anon_sym_bool] = ACTIONS(4728),
    [anon_sym_rune] = ACTIONS(4728),
    [anon_sym_map] = ACTIONS(4728),
    [anon_sym_mapnode] = ACTIONS(4728),
    [anon_sym_size_t] = ACTIONS(4728),
    [anon_sym_usize] = ACTIONS(4728),
    [anon_sym_isize] = ACTIONS(4728),
    [anon_sym_float_literal] = ACTIONS(4728),
    [anon_sym_int_literal] = ACTIONS(4728),
    [anon_sym_IError] = ACTIONS(4728),
    [sym_type_placeholder] = ACTIONS(4732),
    [sym_type_identifier] = ACTIONS(4734),
    [anon_sym_fn] = ACTIONS(4736),
    [anon_sym_is] = ACTIONS(744),
    [anon_sym_BANGis] = ACTIONS(742),
    [sym__interpolation_closing] = ACTIONS(742),
    [sym__comment] = ACTIONS(3),
  },
  [1885] = {
    [sym_comment] = STATE(1885),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_RPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1184),
    [anon_sym_PERCENT] = ACTIONS(1184),
    [anon_sym_LT_LT] = ACTIONS(1184),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1184),
    [anon_sym_AMP_CARET] = ACTIONS(1184),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_QMARK] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_RBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_COLON_EQ] = ACTIONS(1184),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_DOT_DOT] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1886] = {
    [sym_comment] = STATE(1886),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1124),
    [anon_sym_PERCENT] = ACTIONS(1124),
    [anon_sym_LT_LT] = ACTIONS(1124),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1124),
    [anon_sym_AMP_CARET] = ACTIONS(1124),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1124),
    [anon_sym_BANG_EQ] = ACTIONS(1124),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1124),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1124),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1124),
    [anon_sym_AMP_AMP] = ACTIONS(1124),
    [anon_sym_PIPE_PIPE] = ACTIONS(1124),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1124),
    [anon_sym_LF] = ACTIONS(1124),
    [anon_sym_CR] = ACTIONS(1124),
    [anon_sym_CR_LF] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_map_LBRACK] = ACTIONS(1124),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [sym__old_identifier] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_pub] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym___global] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1124),
    [sym__comment] = ACTIONS(3),
  },
  [1887] = {
    [sym_comment] = STATE(1887),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1140),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1140),
    [anon_sym_AMP_CARET] = ACTIONS(1140),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1140),
    [anon_sym_BANG_EQ] = ACTIONS(1140),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1140),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1140),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1140),
    [anon_sym_AMP_AMP] = ACTIONS(1140),
    [anon_sym_PIPE_PIPE] = ACTIONS(1140),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1140),
    [anon_sym_LF] = ACTIONS(1140),
    [anon_sym_CR] = ACTIONS(1140),
    [anon_sym_CR_LF] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_map_LBRACK] = ACTIONS(1140),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [sym__old_identifier] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_pub] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym___global] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1140),
    [sym__comment] = ACTIONS(3),
  },
  [1888] = {
    [sym_comment] = STATE(1888),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_RPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_AMP_CARET] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_QMARK] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_RBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_COLON_EQ] = ACTIONS(1138),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_DOT_DOT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1889] = {
    [sym_comment] = STATE(1889),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_AMP_CARET] = ACTIONS(1136),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1136),
    [anon_sym_BANG_EQ] = ACTIONS(1136),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1136),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1136),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1136),
    [anon_sym_AMP_AMP] = ACTIONS(1136),
    [anon_sym_PIPE_PIPE] = ACTIONS(1136),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1136),
    [anon_sym_LF] = ACTIONS(1136),
    [anon_sym_CR] = ACTIONS(1136),
    [anon_sym_CR_LF] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_map_LBRACK] = ACTIONS(1136),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [sym__old_identifier] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_pub] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym___global] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1136),
    [sym__comment] = ACTIONS(3),
  },
  [1890] = {
    [sym_comment] = STATE(1890),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_RPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP_CARET] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_QMARK] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_RBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_COLON_EQ] = ACTIONS(1134),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_DOT_DOT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1891] = {
    [sym_comment] = STATE(1891),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_RPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PERCENT] = ACTIONS(1122),
    [anon_sym_LT_LT] = ACTIONS(1122),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1122),
    [anon_sym_AMP_CARET] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_QMARK] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_RBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_COLON_EQ] = ACTIONS(1122),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_DOT_DOT] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1892] = {
    [sym_comment] = STATE(1892),
    [sym_identifier] = ACTIONS(4765),
    [anon_sym_LPAREN] = ACTIONS(4765),
    [anon_sym_PLUS] = ACTIONS(4765),
    [anon_sym_DASH] = ACTIONS(4765),
    [anon_sym_BANG] = ACTIONS(4765),
    [anon_sym_TILDE] = ACTIONS(4765),
    [anon_sym_CARET] = ACTIONS(4765),
    [anon_sym_STAR] = ACTIONS(4765),
    [anon_sym_AMP] = ACTIONS(4765),
    [anon_sym_LT_DASH] = ACTIONS(4765),
    [anon_sym_COMMA] = ACTIONS(4767),
    [anon_sym_DOLLAR] = ACTIONS(4765),
    [sym_none] = ACTIONS(4765),
    [sym_true] = ACTIONS(4765),
    [sym_false] = ACTIONS(4765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4765),
    [anon_sym_LBRACE] = ACTIONS(4765),
    [anon_sym_LF] = ACTIONS(4767),
    [anon_sym_CR] = ACTIONS(4767),
    [anon_sym_CR_LF] = ACTIONS(4767),
    [anon_sym_RBRACE] = ACTIONS(4765),
    [anon_sym_LBRACK] = ACTIONS(4765),
    [anon_sym_map_LBRACK] = ACTIONS(4765),
    [anon_sym_chan] = ACTIONS(4765),
    [anon_sym_shared] = ACTIONS(4765),
    [anon_sym_thread] = ACTIONS(4765),
    [sym_int_literal] = ACTIONS(4765),
    [sym_float_literal] = ACTIONS(4765),
    [sym_rune_literal] = ACTIONS(4765),
    [anon_sym_DOT] = ACTIONS(4765),
    [anon_sym_array] = ACTIONS(4765),
    [anon_sym_string] = ACTIONS(4765),
    [anon_sym_char] = ACTIONS(4765),
    [anon_sym_sql] = ACTIONS(4765),
    [anon_sym_mut] = ACTIONS(4765),
    [anon_sym_C] = ACTIONS(4765),
    [anon_sym_JS] = ACTIONS(4765),
    [anon_sym_voidptr] = ACTIONS(4765),
    [anon_sym_byteptr] = ACTIONS(4765),
    [anon_sym_charptr] = ACTIONS(4765),
    [anon_sym_i8] = ACTIONS(4765),
    [anon_sym_i16] = ACTIONS(4765),
    [anon_sym_i32] = ACTIONS(4765),
    [anon_sym_int] = ACTIONS(4765),
    [anon_sym_i64] = ACTIONS(4765),
    [anon_sym_byte] = ACTIONS(4765),
    [anon_sym_u8] = ACTIONS(4765),
    [anon_sym_u16] = ACTIONS(4765),
    [anon_sym_u32] = ACTIONS(4765),
    [anon_sym_u64] = ACTIONS(4765),
    [anon_sym_f32] = ACTIONS(4765),
    [anon_sym_f64] = ACTIONS(4765),
    [anon_sym_bool] = ACTIONS(4765),
    [anon_sym_rune] = ACTIONS(4765),
    [anon_sym_map] = ACTIONS(4765),
    [anon_sym_mapnode] = ACTIONS(4765),
    [anon_sym_size_t] = ACTIONS(4765),
    [anon_sym_usize] = ACTIONS(4765),
    [anon_sym_isize] = ACTIONS(4765),
    [anon_sym_float_literal] = ACTIONS(4765),
    [anon_sym_int_literal] = ACTIONS(4765),
    [anon_sym_IError] = ACTIONS(4765),
    [sym_type_placeholder] = ACTIONS(4765),
    [anon_sym_AT] = ACTIONS(4765),
    [sym_type_identifier] = ACTIONS(4765),
    [anon_sym_unsafe] = ACTIONS(4765),
    [anon_sym_fn] = ACTIONS(4765),
    [anon_sym_DOLLARif] = ACTIONS(4765),
    [anon_sym_if] = ACTIONS(4765),
    [anon_sym_match] = ACTIONS(4765),
    [anon_sym_select] = ACTIONS(4765),
    [anon_sym_lock] = ACTIONS(4765),
    [anon_sym_rlock] = ACTIONS(4765),
    [sym__c_string_opening] = ACTIONS(4769),
    [sym__raw_string_opening] = ACTIONS(4769),
    [sym__string_opening] = ACTIONS(4769),
    [sym__comment] = ACTIONS(3),
  },
  [1893] = {
    [sym_comment] = STATE(1893),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_RPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1130),
    [anon_sym_LT_LT] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1130),
    [anon_sym_AMP_CARET] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_QMARK] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_RBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_COLON_EQ] = ACTIONS(1130),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_DOT_DOT] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1894] = {
    [sym_comment] = STATE(1894),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1186),
    [anon_sym_AMP_CARET] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1186),
    [anon_sym_BANG_EQ] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1186),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1186),
    [anon_sym_AMP_AMP] = ACTIONS(1186),
    [anon_sym_PIPE_PIPE] = ACTIONS(1186),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1186),
    [anon_sym_LF] = ACTIONS(1186),
    [anon_sym_CR] = ACTIONS(1186),
    [anon_sym_CR_LF] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_map_LBRACK] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [sym__old_identifier] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_pub] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym___global] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1186),
    [sym__comment] = ACTIONS(3),
  },
  [1895] = {
    [sym_comment] = STATE(1895),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1132),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_AMP_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_LF] = ACTIONS(1132),
    [anon_sym_CR] = ACTIONS(1132),
    [anon_sym_CR_LF] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_map_LBRACK] = ACTIONS(1132),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [sym__old_identifier] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_pub] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym___global] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1132),
    [sym__comment] = ACTIONS(3),
  },
  [1896] = {
    [sym_comment] = STATE(1896),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1186),
    [anon_sym_AMP_CARET] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1186),
    [anon_sym_BANG_EQ] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1186),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1186),
    [anon_sym_AMP_AMP] = ACTIONS(1186),
    [anon_sym_PIPE_PIPE] = ACTIONS(1186),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1186),
    [anon_sym_LF] = ACTIONS(1186),
    [anon_sym_CR] = ACTIONS(1186),
    [anon_sym_CR_LF] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_map_LBRACK] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_mut] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_pub] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym___global] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1186),
    [sym__comment] = ACTIONS(3),
  },
  [1897] = {
    [sym_comment] = STATE(1897),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1140),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1140),
    [anon_sym_AMP_CARET] = ACTIONS(1140),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1140),
    [anon_sym_BANG_EQ] = ACTIONS(1140),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1140),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1140),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1140),
    [anon_sym_AMP_AMP] = ACTIONS(1140),
    [anon_sym_PIPE_PIPE] = ACTIONS(1140),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1140),
    [anon_sym_LF] = ACTIONS(1140),
    [anon_sym_CR] = ACTIONS(1140),
    [anon_sym_CR_LF] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_map_LBRACK] = ACTIONS(1140),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_mut] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_pub] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym___global] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1140),
    [sym__comment] = ACTIONS(3),
  },
  [1898] = {
    [sym_comment] = STATE(1898),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1132),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_AMP_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_LF] = ACTIONS(1132),
    [anon_sym_CR] = ACTIONS(1132),
    [anon_sym_CR_LF] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_map_LBRACK] = ACTIONS(1132),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_mut] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_pub] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym___global] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1132),
    [sym__comment] = ACTIONS(3),
  },
  [1899] = {
    [sym_comment] = STATE(1899),
    [sym_identifier] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4771),
    [anon_sym_DASH] = ACTIONS(4771),
    [anon_sym_BANG] = ACTIONS(4771),
    [anon_sym_TILDE] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4771),
    [anon_sym_STAR] = ACTIONS(4771),
    [anon_sym_AMP] = ACTIONS(4771),
    [anon_sym_LT_DASH] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4773),
    [anon_sym_DOLLAR] = ACTIONS(4771),
    [sym_none] = ACTIONS(4771),
    [sym_true] = ACTIONS(4771),
    [sym_false] = ACTIONS(4771),
    [anon_sym_LBRACE] = ACTIONS(4771),
    [anon_sym_LF] = ACTIONS(4773),
    [anon_sym_CR] = ACTIONS(4773),
    [anon_sym_CR_LF] = ACTIONS(4773),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_map_LBRACK] = ACTIONS(4771),
    [anon_sym_chan] = ACTIONS(4771),
    [anon_sym_shared] = ACTIONS(4771),
    [anon_sym_thread] = ACTIONS(4771),
    [sym_int_literal] = ACTIONS(4771),
    [sym_float_literal] = ACTIONS(4771),
    [sym_rune_literal] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4771),
    [anon_sym_array] = ACTIONS(4771),
    [anon_sym_string] = ACTIONS(4771),
    [anon_sym_char] = ACTIONS(4771),
    [anon_sym_sql] = ACTIONS(4771),
    [anon_sym_mut] = ACTIONS(4771),
    [anon_sym_C] = ACTIONS(4771),
    [anon_sym_JS] = ACTIONS(4771),
    [anon_sym_voidptr] = ACTIONS(4771),
    [anon_sym_byteptr] = ACTIONS(4771),
    [anon_sym_charptr] = ACTIONS(4771),
    [anon_sym_i8] = ACTIONS(4771),
    [anon_sym_i16] = ACTIONS(4771),
    [anon_sym_i32] = ACTIONS(4771),
    [anon_sym_int] = ACTIONS(4771),
    [anon_sym_i64] = ACTIONS(4771),
    [anon_sym_byte] = ACTIONS(4771),
    [anon_sym_u8] = ACTIONS(4771),
    [anon_sym_u16] = ACTIONS(4771),
    [anon_sym_u32] = ACTIONS(4771),
    [anon_sym_u64] = ACTIONS(4771),
    [anon_sym_f32] = ACTIONS(4771),
    [anon_sym_f64] = ACTIONS(4771),
    [anon_sym_bool] = ACTIONS(4771),
    [anon_sym_rune] = ACTIONS(4771),
    [anon_sym_map] = ACTIONS(4771),
    [anon_sym_mapnode] = ACTIONS(4771),
    [anon_sym_size_t] = ACTIONS(4771),
    [anon_sym_usize] = ACTIONS(4771),
    [anon_sym_isize] = ACTIONS(4771),
    [anon_sym_float_literal] = ACTIONS(4771),
    [anon_sym_int_literal] = ACTIONS(4771),
    [anon_sym_IError] = ACTIONS(4771),
    [sym_type_placeholder] = ACTIONS(4771),
    [anon_sym_AT] = ACTIONS(4771),
    [sym_type_identifier] = ACTIONS(4771),
    [anon_sym_unsafe] = ACTIONS(4771),
    [anon_sym_fn] = ACTIONS(4771),
    [anon_sym_DOLLARif] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_match] = ACTIONS(4771),
    [anon_sym_select] = ACTIONS(4771),
    [anon_sym_lock] = ACTIONS(4771),
    [anon_sym_rlock] = ACTIONS(4771),
    [sym__c_string_opening] = ACTIONS(4775),
    [sym__raw_string_opening] = ACTIONS(4775),
    [sym__string_opening] = ACTIONS(4775),
    [sym__comment] = ACTIONS(3),
  },
  [1900] = {
    [sym_comment] = STATE(1900),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_AMP_CARET] = ACTIONS(1136),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1136),
    [anon_sym_BANG_EQ] = ACTIONS(1136),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1136),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1136),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1136),
    [anon_sym_AMP_AMP] = ACTIONS(1136),
    [anon_sym_PIPE_PIPE] = ACTIONS(1136),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1136),
    [anon_sym_LF] = ACTIONS(1136),
    [anon_sym_CR] = ACTIONS(1136),
    [anon_sym_CR_LF] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_map_LBRACK] = ACTIONS(1136),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_mut] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_pub] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym___global] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1136),
    [sym__comment] = ACTIONS(3),
  },
  [1901] = {
    [sym_comment] = STATE(1901),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1124),
    [anon_sym_PERCENT] = ACTIONS(1124),
    [anon_sym_LT_LT] = ACTIONS(1124),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1124),
    [anon_sym_AMP_CARET] = ACTIONS(1124),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1124),
    [anon_sym_BANG_EQ] = ACTIONS(1124),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1124),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1124),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1124),
    [anon_sym_AMP_AMP] = ACTIONS(1124),
    [anon_sym_PIPE_PIPE] = ACTIONS(1124),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1124),
    [anon_sym_LF] = ACTIONS(1124),
    [anon_sym_CR] = ACTIONS(1124),
    [anon_sym_CR_LF] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_map_LBRACK] = ACTIONS(1124),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_mut] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_pub] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym___global] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1124),
    [sym__comment] = ACTIONS(3),
  },
  [1902] = {
    [sym_comment] = STATE(1902),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3769),
    [sym_option_type] = STATE(4291),
    [sym_result_type] = STATE(4291),
    [sym_multi_return_type] = STATE(4291),
    [sym__simple_type] = STATE(4291),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_block] = STATE(156),
    [sym_overloadable_operator] = STATE(3790),
    [sym_exposed_variables_list] = STATE(3473),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(4777),
    [anon_sym_LPAREN] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4779),
    [anon_sym_DASH] = ACTIONS(4779),
    [anon_sym_BANG] = ACTIONS(4781),
    [anon_sym_STAR] = ACTIONS(4779),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_SLASH] = ACTIONS(4779),
    [anon_sym_PERCENT] = ACTIONS(4779),
    [anon_sym_EQ_EQ] = ACTIONS(4779),
    [anon_sym_BANG_EQ] = ACTIONS(4779),
    [anon_sym_LT] = ACTIONS(4785),
    [anon_sym_LT_EQ] = ACTIONS(4779),
    [anon_sym_GT] = ACTIONS(4785),
    [anon_sym_GT_EQ] = ACTIONS(4779),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(4787),
    [anon_sym_LBRACK] = ACTIONS(4789),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1903] = {
    [sym_comment] = STATE(1903),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_LT_DASH] = ACTIONS(1192),
    [anon_sym_GT] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_map_LBRACK] = ACTIONS(1192),
    [anon_sym_chan] = ACTIONS(1194),
    [anon_sym_shared] = ACTIONS(1194),
    [anon_sym_thread] = ACTIONS(1194),
    [sym_int_literal] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1192),
    [sym_rune_literal] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_array] = ACTIONS(1194),
    [anon_sym_string] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_sql] = ACTIONS(1194),
    [anon_sym_mut] = ACTIONS(1194),
    [anon_sym_C] = ACTIONS(1194),
    [anon_sym_JS] = ACTIONS(1194),
    [anon_sym_voidptr] = ACTIONS(1194),
    [anon_sym_byteptr] = ACTIONS(1194),
    [anon_sym_charptr] = ACTIONS(1194),
    [anon_sym_i8] = ACTIONS(1194),
    [anon_sym_i16] = ACTIONS(1194),
    [anon_sym_i32] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_i64] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1194),
    [anon_sym_u16] = ACTIONS(1194),
    [anon_sym_u32] = ACTIONS(1194),
    [anon_sym_u64] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_rune] = ACTIONS(1194),
    [anon_sym_map] = ACTIONS(1194),
    [anon_sym_mapnode] = ACTIONS(1194),
    [anon_sym_size_t] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_float_literal] = ACTIONS(1194),
    [anon_sym_int_literal] = ACTIONS(1194),
    [anon_sym_IError] = ACTIONS(1194),
    [sym_type_placeholder] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_type_identifier] = ACTIONS(1194),
    [anon_sym_unsafe] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_DOLLARif] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_match] = ACTIONS(1194),
    [anon_sym_select] = ACTIONS(1194),
    [anon_sym_lock] = ACTIONS(1194),
    [anon_sym_rlock] = ACTIONS(1194),
    [sym__c_string_opening] = ACTIONS(1192),
    [sym__raw_string_opening] = ACTIONS(1192),
    [sym__string_opening] = ACTIONS(1192),
    [sym__comment] = ACTIONS(3),
  },
  [1904] = {
    [sym_comment] = STATE(1904),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_LPAREN] = ACTIONS(4793),
    [anon_sym_PLUS] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4793),
    [anon_sym_BANG] = ACTIONS(4793),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_CARET] = ACTIONS(4793),
    [anon_sym_STAR] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4793),
    [anon_sym_LT_DASH] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4793),
    [anon_sym_DOLLAR] = ACTIONS(4791),
    [sym_none] = ACTIONS(4791),
    [sym_true] = ACTIONS(4791),
    [sym_false] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_RBRACE] = ACTIONS(4793),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_map_LBRACK] = ACTIONS(4793),
    [anon_sym_chan] = ACTIONS(4791),
    [anon_sym_shared] = ACTIONS(4791),
    [anon_sym_thread] = ACTIONS(4791),
    [sym_int_literal] = ACTIONS(4791),
    [sym_float_literal] = ACTIONS(4793),
    [sym_rune_literal] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_array] = ACTIONS(4791),
    [anon_sym_string] = ACTIONS(4791),
    [anon_sym_char] = ACTIONS(4791),
    [anon_sym_sql] = ACTIONS(4791),
    [anon_sym_mut] = ACTIONS(4791),
    [anon_sym_C] = ACTIONS(4791),
    [anon_sym_JS] = ACTIONS(4791),
    [anon_sym_voidptr] = ACTIONS(4791),
    [anon_sym_byteptr] = ACTIONS(4791),
    [anon_sym_charptr] = ACTIONS(4791),
    [anon_sym_i8] = ACTIONS(4791),
    [anon_sym_i16] = ACTIONS(4791),
    [anon_sym_i32] = ACTIONS(4791),
    [anon_sym_int] = ACTIONS(4791),
    [anon_sym_i64] = ACTIONS(4791),
    [anon_sym_byte] = ACTIONS(4791),
    [anon_sym_u8] = ACTIONS(4791),
    [anon_sym_u16] = ACTIONS(4791),
    [anon_sym_u32] = ACTIONS(4791),
    [anon_sym_u64] = ACTIONS(4791),
    [anon_sym_f32] = ACTIONS(4791),
    [anon_sym_f64] = ACTIONS(4791),
    [anon_sym_bool] = ACTIONS(4791),
    [anon_sym_rune] = ACTIONS(4791),
    [anon_sym_map] = ACTIONS(4791),
    [anon_sym_mapnode] = ACTIONS(4791),
    [anon_sym_size_t] = ACTIONS(4791),
    [anon_sym_usize] = ACTIONS(4791),
    [anon_sym_isize] = ACTIONS(4791),
    [anon_sym_float_literal] = ACTIONS(4791),
    [anon_sym_int_literal] = ACTIONS(4791),
    [anon_sym_IError] = ACTIONS(4791),
    [sym_type_placeholder] = ACTIONS(4791),
    [anon_sym_AT] = ACTIONS(4791),
    [sym_type_identifier] = ACTIONS(4791),
    [anon_sym_unsafe] = ACTIONS(4791),
    [anon_sym_fn] = ACTIONS(4791),
    [anon_sym_DOLLARif] = ACTIONS(4793),
    [anon_sym_if] = ACTIONS(4791),
    [anon_sym_else] = ACTIONS(4791),
    [anon_sym_match] = ACTIONS(4791),
    [anon_sym_select] = ACTIONS(4791),
    [anon_sym_lock] = ACTIONS(4791),
    [anon_sym_rlock] = ACTIONS(4791),
    [sym__c_string_opening] = ACTIONS(4793),
    [sym__raw_string_opening] = ACTIONS(4793),
    [sym__string_opening] = ACTIONS(4793),
    [sym__comment] = ACTIONS(3),
  },
  [1905] = {
    [sym_comment] = STATE(1905),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [sym_none] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_map_LBRACK] = ACTIONS(1110),
    [anon_sym_chan] = ACTIONS(1112),
    [anon_sym_shared] = ACTIONS(1112),
    [anon_sym_thread] = ACTIONS(1112),
    [sym_int_literal] = ACTIONS(1112),
    [sym_float_literal] = ACTIONS(1110),
    [sym_rune_literal] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_array] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_sql] = ACTIONS(1112),
    [anon_sym_mut] = ACTIONS(1112),
    [anon_sym_C] = ACTIONS(1112),
    [anon_sym_JS] = ACTIONS(1112),
    [anon_sym_voidptr] = ACTIONS(1112),
    [anon_sym_byteptr] = ACTIONS(1112),
    [anon_sym_charptr] = ACTIONS(1112),
    [anon_sym_i8] = ACTIONS(1112),
    [anon_sym_i16] = ACTIONS(1112),
    [anon_sym_i32] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_i64] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_u8] = ACTIONS(1112),
    [anon_sym_u16] = ACTIONS(1112),
    [anon_sym_u32] = ACTIONS(1112),
    [anon_sym_u64] = ACTIONS(1112),
    [anon_sym_f32] = ACTIONS(1112),
    [anon_sym_f64] = ACTIONS(1112),
    [anon_sym_bool] = ACTIONS(1112),
    [anon_sym_rune] = ACTIONS(1112),
    [anon_sym_map] = ACTIONS(1112),
    [anon_sym_mapnode] = ACTIONS(1112),
    [anon_sym_size_t] = ACTIONS(1112),
    [anon_sym_usize] = ACTIONS(1112),
    [anon_sym_isize] = ACTIONS(1112),
    [anon_sym_float_literal] = ACTIONS(1112),
    [anon_sym_int_literal] = ACTIONS(1112),
    [anon_sym_IError] = ACTIONS(1112),
    [sym_type_placeholder] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_type_identifier] = ACTIONS(1112),
    [anon_sym_unsafe] = ACTIONS(1112),
    [anon_sym_fn] = ACTIONS(1112),
    [anon_sym_DOLLARif] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_match] = ACTIONS(1112),
    [anon_sym_select] = ACTIONS(1112),
    [anon_sym_lock] = ACTIONS(1112),
    [anon_sym_rlock] = ACTIONS(1112),
    [sym__c_string_opening] = ACTIONS(1110),
    [sym__raw_string_opening] = ACTIONS(1110),
    [sym__string_opening] = ACTIONS(1110),
    [sym__comment] = ACTIONS(3),
  },
  [1906] = {
    [sym_comment] = STATE(1906),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1188),
    [anon_sym_GT] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_map_LBRACK] = ACTIONS(1188),
    [anon_sym_chan] = ACTIONS(1190),
    [anon_sym_shared] = ACTIONS(1190),
    [anon_sym_thread] = ACTIONS(1190),
    [sym_int_literal] = ACTIONS(1190),
    [sym_float_literal] = ACTIONS(1188),
    [sym_rune_literal] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_array] = ACTIONS(1190),
    [anon_sym_string] = ACTIONS(1190),
    [anon_sym_char] = ACTIONS(1190),
    [anon_sym_sql] = ACTIONS(1190),
    [anon_sym_mut] = ACTIONS(1190),
    [anon_sym_C] = ACTIONS(1190),
    [anon_sym_JS] = ACTIONS(1190),
    [anon_sym_voidptr] = ACTIONS(1190),
    [anon_sym_byteptr] = ACTIONS(1190),
    [anon_sym_charptr] = ACTIONS(1190),
    [anon_sym_i8] = ACTIONS(1190),
    [anon_sym_i16] = ACTIONS(1190),
    [anon_sym_i32] = ACTIONS(1190),
    [anon_sym_int] = ACTIONS(1190),
    [anon_sym_i64] = ACTIONS(1190),
    [anon_sym_byte] = ACTIONS(1190),
    [anon_sym_u8] = ACTIONS(1190),
    [anon_sym_u16] = ACTIONS(1190),
    [anon_sym_u32] = ACTIONS(1190),
    [anon_sym_u64] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_rune] = ACTIONS(1190),
    [anon_sym_map] = ACTIONS(1190),
    [anon_sym_mapnode] = ACTIONS(1190),
    [anon_sym_size_t] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_float_literal] = ACTIONS(1190),
    [anon_sym_int_literal] = ACTIONS(1190),
    [anon_sym_IError] = ACTIONS(1190),
    [sym_type_placeholder] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_type_identifier] = ACTIONS(1190),
    [anon_sym_unsafe] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_DOLLARif] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1190),
    [anon_sym_select] = ACTIONS(1190),
    [anon_sym_lock] = ACTIONS(1190),
    [anon_sym_rlock] = ACTIONS(1190),
    [sym__c_string_opening] = ACTIONS(1188),
    [sym__raw_string_opening] = ACTIONS(1188),
    [sym__string_opening] = ACTIONS(1188),
    [sym__comment] = ACTIONS(3),
  },
  [1907] = {
    [sym_comment] = STATE(1907),
    [sym_identifier] = ACTIONS(4795),
    [anon_sym_LPAREN] = ACTIONS(4797),
    [anon_sym_PLUS] = ACTIONS(4797),
    [anon_sym_DASH] = ACTIONS(4797),
    [anon_sym_BANG] = ACTIONS(4797),
    [anon_sym_TILDE] = ACTIONS(4797),
    [anon_sym_CARET] = ACTIONS(4797),
    [anon_sym_STAR] = ACTIONS(4797),
    [anon_sym_AMP] = ACTIONS(4797),
    [anon_sym_LT_DASH] = ACTIONS(4797),
    [anon_sym_GT] = ACTIONS(4797),
    [anon_sym_DOLLAR] = ACTIONS(4795),
    [sym_none] = ACTIONS(4795),
    [sym_true] = ACTIONS(4795),
    [sym_false] = ACTIONS(4795),
    [anon_sym_LBRACE] = ACTIONS(4797),
    [anon_sym_RBRACE] = ACTIONS(4797),
    [anon_sym_LBRACK] = ACTIONS(4797),
    [anon_sym_map_LBRACK] = ACTIONS(4797),
    [anon_sym_chan] = ACTIONS(4795),
    [anon_sym_shared] = ACTIONS(4795),
    [anon_sym_thread] = ACTIONS(4795),
    [sym_int_literal] = ACTIONS(4795),
    [sym_float_literal] = ACTIONS(4797),
    [sym_rune_literal] = ACTIONS(4797),
    [anon_sym_DOT] = ACTIONS(4795),
    [anon_sym_array] = ACTIONS(4795),
    [anon_sym_string] = ACTIONS(4795),
    [anon_sym_char] = ACTIONS(4795),
    [anon_sym_sql] = ACTIONS(4795),
    [anon_sym_mut] = ACTIONS(4795),
    [anon_sym_C] = ACTIONS(4795),
    [anon_sym_JS] = ACTIONS(4795),
    [anon_sym_voidptr] = ACTIONS(4795),
    [anon_sym_byteptr] = ACTIONS(4795),
    [anon_sym_charptr] = ACTIONS(4795),
    [anon_sym_i8] = ACTIONS(4795),
    [anon_sym_i16] = ACTIONS(4795),
    [anon_sym_i32] = ACTIONS(4795),
    [anon_sym_int] = ACTIONS(4795),
    [anon_sym_i64] = ACTIONS(4795),
    [anon_sym_byte] = ACTIONS(4795),
    [anon_sym_u8] = ACTIONS(4795),
    [anon_sym_u16] = ACTIONS(4795),
    [anon_sym_u32] = ACTIONS(4795),
    [anon_sym_u64] = ACTIONS(4795),
    [anon_sym_f32] = ACTIONS(4795),
    [anon_sym_f64] = ACTIONS(4795),
    [anon_sym_bool] = ACTIONS(4795),
    [anon_sym_rune] = ACTIONS(4795),
    [anon_sym_map] = ACTIONS(4795),
    [anon_sym_mapnode] = ACTIONS(4795),
    [anon_sym_size_t] = ACTIONS(4795),
    [anon_sym_usize] = ACTIONS(4795),
    [anon_sym_isize] = ACTIONS(4795),
    [anon_sym_float_literal] = ACTIONS(4795),
    [anon_sym_int_literal] = ACTIONS(4795),
    [anon_sym_IError] = ACTIONS(4795),
    [sym_type_placeholder] = ACTIONS(4795),
    [anon_sym_AT] = ACTIONS(4795),
    [sym_type_identifier] = ACTIONS(4795),
    [anon_sym_unsafe] = ACTIONS(4795),
    [anon_sym_fn] = ACTIONS(4795),
    [anon_sym_DOLLARif] = ACTIONS(4797),
    [anon_sym_if] = ACTIONS(4795),
    [anon_sym_else] = ACTIONS(4795),
    [anon_sym_match] = ACTIONS(4795),
    [anon_sym_select] = ACTIONS(4795),
    [anon_sym_lock] = ACTIONS(4795),
    [anon_sym_rlock] = ACTIONS(4795),
    [sym__c_string_opening] = ACTIONS(4797),
    [sym__raw_string_opening] = ACTIONS(4797),
    [sym__string_opening] = ACTIONS(4797),
    [sym__comment] = ACTIONS(3),
  },
  [1908] = {
    [sym_comment] = STATE(1908),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1130),
    [anon_sym_LT_LT] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1130),
    [anon_sym_AMP_CARET] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_QMARK] = ACTIONS(1130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_DOT_DOT] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1909] = {
    [sym_comment] = STATE(1909),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_AMP_CARET] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_QMARK] = ACTIONS(1138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_DOT_DOT] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1910] = {
    [sym_comment] = STATE(1910),
    [sym_identifier] = ACTIONS(4799),
    [anon_sym_LPAREN] = ACTIONS(2102),
    [anon_sym_PLUS] = ACTIONS(2102),
    [anon_sym_DASH] = ACTIONS(2102),
    [anon_sym_BANG] = ACTIONS(2102),
    [anon_sym_TILDE] = ACTIONS(2102),
    [anon_sym_CARET] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2102),
    [anon_sym_AMP] = ACTIONS(2102),
    [anon_sym_LT_DASH] = ACTIONS(2102),
    [anon_sym_DOLLAR] = ACTIONS(4799),
    [sym_none] = ACTIONS(4799),
    [sym_true] = ACTIONS(4799),
    [sym_false] = ACTIONS(4799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2102),
    [anon_sym_LBRACE] = ACTIONS(2102),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_map_LBRACK] = ACTIONS(2102),
    [anon_sym_chan] = ACTIONS(4799),
    [anon_sym_shared] = ACTIONS(4799),
    [anon_sym_thread] = ACTIONS(4799),
    [sym_int_literal] = ACTIONS(4799),
    [sym_float_literal] = ACTIONS(2102),
    [sym_rune_literal] = ACTIONS(2102),
    [anon_sym_DOT] = ACTIONS(4799),
    [anon_sym_array] = ACTIONS(4799),
    [anon_sym_string] = ACTIONS(4799),
    [anon_sym_char] = ACTIONS(4799),
    [anon_sym_sql] = ACTIONS(4799),
    [anon_sym_mut] = ACTIONS(4799),
    [anon_sym_C] = ACTIONS(4799),
    [anon_sym_JS] = ACTIONS(4799),
    [anon_sym_voidptr] = ACTIONS(4799),
    [anon_sym_byteptr] = ACTIONS(4799),
    [anon_sym_charptr] = ACTIONS(4799),
    [anon_sym_i8] = ACTIONS(4799),
    [anon_sym_i16] = ACTIONS(4799),
    [anon_sym_i32] = ACTIONS(4799),
    [anon_sym_int] = ACTIONS(4799),
    [anon_sym_i64] = ACTIONS(4799),
    [anon_sym_byte] = ACTIONS(4799),
    [anon_sym_u8] = ACTIONS(4799),
    [anon_sym_u16] = ACTIONS(4799),
    [anon_sym_u32] = ACTIONS(4799),
    [anon_sym_u64] = ACTIONS(4799),
    [anon_sym_f32] = ACTIONS(4799),
    [anon_sym_f64] = ACTIONS(4799),
    [anon_sym_bool] = ACTIONS(4799),
    [anon_sym_rune] = ACTIONS(4799),
    [anon_sym_map] = ACTIONS(4799),
    [anon_sym_mapnode] = ACTIONS(4799),
    [anon_sym_size_t] = ACTIONS(4799),
    [anon_sym_usize] = ACTIONS(4799),
    [anon_sym_isize] = ACTIONS(4799),
    [anon_sym_float_literal] = ACTIONS(4799),
    [anon_sym_int_literal] = ACTIONS(4799),
    [anon_sym_IError] = ACTIONS(4799),
    [sym_type_placeholder] = ACTIONS(4799),
    [anon_sym_AT] = ACTIONS(4799),
    [sym_type_identifier] = ACTIONS(4799),
    [anon_sym_unsafe] = ACTIONS(4799),
    [anon_sym_fn] = ACTIONS(4799),
    [anon_sym_DOLLARif] = ACTIONS(2102),
    [anon_sym_if] = ACTIONS(4799),
    [anon_sym_match] = ACTIONS(4799),
    [anon_sym_select] = ACTIONS(4799),
    [anon_sym_lock] = ACTIONS(4799),
    [anon_sym_rlock] = ACTIONS(4799),
    [sym__c_string_opening] = ACTIONS(2102),
    [sym__raw_string_opening] = ACTIONS(2102),
    [sym__string_opening] = ACTIONS(2102),
    [sym__comment] = ACTIONS(3),
  },
  [1911] = {
    [sym_comment] = STATE(1911),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1184),
    [anon_sym_PERCENT] = ACTIONS(1184),
    [anon_sym_LT_LT] = ACTIONS(1184),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1184),
    [anon_sym_AMP_CARET] = ACTIONS(1184),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_QMARK] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_DOT_DOT] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1912] = {
    [sym_comment] = STATE(1912),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PERCENT] = ACTIONS(1122),
    [anon_sym_LT_LT] = ACTIONS(1122),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1122),
    [anon_sym_AMP_CARET] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_QMARK] = ACTIONS(1122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_DOT_DOT] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1913] = {
    [sym_comment] = STATE(1913),
    [sym_identifier] = ACTIONS(4801),
    [anon_sym_LPAREN] = ACTIONS(4803),
    [anon_sym_PLUS] = ACTIONS(4803),
    [anon_sym_DASH] = ACTIONS(4803),
    [anon_sym_BANG] = ACTIONS(4803),
    [anon_sym_TILDE] = ACTIONS(4803),
    [anon_sym_CARET] = ACTIONS(4803),
    [anon_sym_STAR] = ACTIONS(4803),
    [anon_sym_AMP] = ACTIONS(4803),
    [anon_sym_LT_DASH] = ACTIONS(4803),
    [anon_sym_DOLLAR] = ACTIONS(4801),
    [sym_none] = ACTIONS(4801),
    [sym_true] = ACTIONS(4801),
    [sym_false] = ACTIONS(4801),
    [anon_sym_LBRACE] = ACTIONS(4803),
    [anon_sym_RBRACE] = ACTIONS(4803),
    [anon_sym_LBRACK] = ACTIONS(4803),
    [anon_sym_map_LBRACK] = ACTIONS(4803),
    [anon_sym_chan] = ACTIONS(4801),
    [anon_sym_shared] = ACTIONS(4801),
    [anon_sym_thread] = ACTIONS(4801),
    [sym_int_literal] = ACTIONS(4801),
    [sym_float_literal] = ACTIONS(4803),
    [sym_rune_literal] = ACTIONS(4803),
    [anon_sym_DOT] = ACTIONS(4801),
    [anon_sym_array] = ACTIONS(4801),
    [anon_sym_string] = ACTIONS(4801),
    [anon_sym_char] = ACTIONS(4801),
    [anon_sym_sql] = ACTIONS(4801),
    [anon_sym_mut] = ACTIONS(4801),
    [anon_sym_C] = ACTIONS(4801),
    [anon_sym_JS] = ACTIONS(4801),
    [anon_sym_voidptr] = ACTIONS(4801),
    [anon_sym_byteptr] = ACTIONS(4801),
    [anon_sym_charptr] = ACTIONS(4801),
    [anon_sym_i8] = ACTIONS(4801),
    [anon_sym_i16] = ACTIONS(4801),
    [anon_sym_i32] = ACTIONS(4801),
    [anon_sym_int] = ACTIONS(4801),
    [anon_sym_i64] = ACTIONS(4801),
    [anon_sym_byte] = ACTIONS(4801),
    [anon_sym_u8] = ACTIONS(4801),
    [anon_sym_u16] = ACTIONS(4801),
    [anon_sym_u32] = ACTIONS(4801),
    [anon_sym_u64] = ACTIONS(4801),
    [anon_sym_f32] = ACTIONS(4801),
    [anon_sym_f64] = ACTIONS(4801),
    [anon_sym_bool] = ACTIONS(4801),
    [anon_sym_rune] = ACTIONS(4801),
    [anon_sym_map] = ACTIONS(4801),
    [anon_sym_mapnode] = ACTIONS(4801),
    [anon_sym_size_t] = ACTIONS(4801),
    [anon_sym_usize] = ACTIONS(4801),
    [anon_sym_isize] = ACTIONS(4801),
    [anon_sym_float_literal] = ACTIONS(4801),
    [anon_sym_int_literal] = ACTIONS(4801),
    [anon_sym_IError] = ACTIONS(4801),
    [sym_type_placeholder] = ACTIONS(4801),
    [anon_sym_AT] = ACTIONS(4801),
    [sym_type_identifier] = ACTIONS(4801),
    [anon_sym_unsafe] = ACTIONS(4801),
    [anon_sym_fn] = ACTIONS(4801),
    [anon_sym_DOLLARif] = ACTIONS(4803),
    [anon_sym_if] = ACTIONS(4801),
    [anon_sym_else] = ACTIONS(4801),
    [anon_sym_match] = ACTIONS(4801),
    [anon_sym_select] = ACTIONS(4801),
    [anon_sym_lock] = ACTIONS(4801),
    [anon_sym_rlock] = ACTIONS(4801),
    [sym__c_string_opening] = ACTIONS(4803),
    [sym__raw_string_opening] = ACTIONS(4803),
    [sym__string_opening] = ACTIONS(4803),
    [sym__comment] = ACTIONS(3),
  },
  [1914] = {
    [sym_comment] = STATE(1914),
    [sym_identifier] = ACTIONS(4805),
    [anon_sym_LPAREN] = ACTIONS(4807),
    [anon_sym_PLUS] = ACTIONS(4807),
    [anon_sym_DASH] = ACTIONS(4807),
    [anon_sym_BANG] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4807),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_STAR] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4807),
    [anon_sym_LT_DASH] = ACTIONS(4807),
    [anon_sym_DOLLAR] = ACTIONS(4805),
    [sym_none] = ACTIONS(4805),
    [sym_true] = ACTIONS(4805),
    [sym_false] = ACTIONS(4805),
    [anon_sym_LBRACE] = ACTIONS(4807),
    [anon_sym_RBRACE] = ACTIONS(4807),
    [anon_sym_LBRACK] = ACTIONS(4807),
    [anon_sym_map_LBRACK] = ACTIONS(4807),
    [anon_sym_chan] = ACTIONS(4805),
    [anon_sym_shared] = ACTIONS(4805),
    [anon_sym_thread] = ACTIONS(4805),
    [sym_int_literal] = ACTIONS(4805),
    [sym_float_literal] = ACTIONS(4807),
    [sym_rune_literal] = ACTIONS(4807),
    [anon_sym_DOT] = ACTIONS(4805),
    [anon_sym_array] = ACTIONS(4805),
    [anon_sym_string] = ACTIONS(4805),
    [anon_sym_char] = ACTIONS(4805),
    [anon_sym_sql] = ACTIONS(4805),
    [anon_sym_mut] = ACTIONS(4805),
    [anon_sym_C] = ACTIONS(4805),
    [anon_sym_JS] = ACTIONS(4805),
    [anon_sym_voidptr] = ACTIONS(4805),
    [anon_sym_byteptr] = ACTIONS(4805),
    [anon_sym_charptr] = ACTIONS(4805),
    [anon_sym_i8] = ACTIONS(4805),
    [anon_sym_i16] = ACTIONS(4805),
    [anon_sym_i32] = ACTIONS(4805),
    [anon_sym_int] = ACTIONS(4805),
    [anon_sym_i64] = ACTIONS(4805),
    [anon_sym_byte] = ACTIONS(4805),
    [anon_sym_u8] = ACTIONS(4805),
    [anon_sym_u16] = ACTIONS(4805),
    [anon_sym_u32] = ACTIONS(4805),
    [anon_sym_u64] = ACTIONS(4805),
    [anon_sym_f32] = ACTIONS(4805),
    [anon_sym_f64] = ACTIONS(4805),
    [anon_sym_bool] = ACTIONS(4805),
    [anon_sym_rune] = ACTIONS(4805),
    [anon_sym_map] = ACTIONS(4805),
    [anon_sym_mapnode] = ACTIONS(4805),
    [anon_sym_size_t] = ACTIONS(4805),
    [anon_sym_usize] = ACTIONS(4805),
    [anon_sym_isize] = ACTIONS(4805),
    [anon_sym_float_literal] = ACTIONS(4805),
    [anon_sym_int_literal] = ACTIONS(4805),
    [anon_sym_IError] = ACTIONS(4805),
    [sym_type_placeholder] = ACTIONS(4805),
    [anon_sym_AT] = ACTIONS(4805),
    [sym_type_identifier] = ACTIONS(4805),
    [anon_sym_unsafe] = ACTIONS(4805),
    [anon_sym_fn] = ACTIONS(4805),
    [anon_sym_DOLLARif] = ACTIONS(4807),
    [anon_sym_if] = ACTIONS(4805),
    [anon_sym_else] = ACTIONS(4805),
    [anon_sym_match] = ACTIONS(4805),
    [anon_sym_select] = ACTIONS(4805),
    [anon_sym_lock] = ACTIONS(4805),
    [anon_sym_rlock] = ACTIONS(4805),
    [sym__c_string_opening] = ACTIONS(4807),
    [sym__raw_string_opening] = ACTIONS(4807),
    [sym__string_opening] = ACTIONS(4807),
    [sym__comment] = ACTIONS(3),
  },
  [1915] = {
    [sym_comment] = STATE(1915),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP_CARET] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_QMARK] = ACTIONS(1134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_DOT_DOT] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1916] = {
    [sym_comment] = STATE(1916),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_RPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP_CARET] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1134),
    [anon_sym_QMARK] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1134),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [sym__automatic_separator] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1917] = {
    [sym_comment] = STATE(1917),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_RPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_AMP_CARET] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_QMARK] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1138),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [sym__automatic_separator] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1918] = {
    [sym_comment] = STATE(1918),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_RPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1184),
    [anon_sym_PERCENT] = ACTIONS(1184),
    [anon_sym_LT_LT] = ACTIONS(1184),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1184),
    [anon_sym_AMP_CARET] = ACTIONS(1184),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_QMARK] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1184),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [sym__automatic_separator] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1919] = {
    [sym_comment] = STATE(1919),
    [sym_identifier] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_CARET] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_AMP] = ACTIONS(2323),
    [anon_sym_LT_DASH] = ACTIONS(2323),
    [anon_sym_DOLLAR] = ACTIONS(4809),
    [sym_none] = ACTIONS(4809),
    [sym_true] = ACTIONS(4809),
    [sym_false] = ACTIONS(4809),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_map_LBRACK] = ACTIONS(2323),
    [anon_sym_chan] = ACTIONS(4809),
    [anon_sym_shared] = ACTIONS(4809),
    [anon_sym_thread] = ACTIONS(4809),
    [sym_int_literal] = ACTIONS(4809),
    [sym_float_literal] = ACTIONS(2323),
    [sym_rune_literal] = ACTIONS(2323),
    [anon_sym_DOT] = ACTIONS(4809),
    [anon_sym_array] = ACTIONS(4809),
    [anon_sym_string] = ACTIONS(4809),
    [anon_sym_char] = ACTIONS(4809),
    [anon_sym_sql] = ACTIONS(4809),
    [anon_sym_mut] = ACTIONS(4809),
    [anon_sym_C] = ACTIONS(4809),
    [anon_sym_JS] = ACTIONS(4809),
    [anon_sym_voidptr] = ACTIONS(4809),
    [anon_sym_byteptr] = ACTIONS(4809),
    [anon_sym_charptr] = ACTIONS(4809),
    [anon_sym_i8] = ACTIONS(4809),
    [anon_sym_i16] = ACTIONS(4809),
    [anon_sym_i32] = ACTIONS(4809),
    [anon_sym_int] = ACTIONS(4809),
    [anon_sym_i64] = ACTIONS(4809),
    [anon_sym_byte] = ACTIONS(4809),
    [anon_sym_u8] = ACTIONS(4809),
    [anon_sym_u16] = ACTIONS(4809),
    [anon_sym_u32] = ACTIONS(4809),
    [anon_sym_u64] = ACTIONS(4809),
    [anon_sym_f32] = ACTIONS(4809),
    [anon_sym_f64] = ACTIONS(4809),
    [anon_sym_bool] = ACTIONS(4809),
    [anon_sym_rune] = ACTIONS(4809),
    [anon_sym_map] = ACTIONS(4809),
    [anon_sym_mapnode] = ACTIONS(4809),
    [anon_sym_size_t] = ACTIONS(4809),
    [anon_sym_usize] = ACTIONS(4809),
    [anon_sym_isize] = ACTIONS(4809),
    [anon_sym_float_literal] = ACTIONS(4809),
    [anon_sym_int_literal] = ACTIONS(4809),
    [anon_sym_IError] = ACTIONS(4809),
    [sym_type_placeholder] = ACTIONS(4809),
    [anon_sym_AT] = ACTIONS(4809),
    [sym_type_identifier] = ACTIONS(4809),
    [anon_sym_unsafe] = ACTIONS(4809),
    [anon_sym_fn] = ACTIONS(4809),
    [anon_sym_DOLLARif] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(4809),
    [anon_sym_match] = ACTIONS(4809),
    [anon_sym_select] = ACTIONS(4809),
    [anon_sym_lock] = ACTIONS(4809),
    [anon_sym_rlock] = ACTIONS(4809),
    [sym__c_string_opening] = ACTIONS(2323),
    [sym__raw_string_opening] = ACTIONS(2323),
    [sym__string_opening] = ACTIONS(2323),
    [sym__comment] = ACTIONS(3),
  },
  [1920] = {
    [sym_comment] = STATE(1920),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_RPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1130),
    [anon_sym_LT_LT] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1130),
    [anon_sym_AMP_CARET] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_QMARK] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1130),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [sym__automatic_separator] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1921] = {
    [sym_comment] = STATE(1921),
    [sym_identifier] = ACTIONS(4811),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_CARET] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_LT_DASH] = ACTIONS(2629),
    [anon_sym_DOLLAR] = ACTIONS(4811),
    [sym_none] = ACTIONS(4811),
    [sym_true] = ACTIONS(4811),
    [sym_false] = ACTIONS(4811),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_RBRACK] = ACTIONS(2629),
    [anon_sym_map_LBRACK] = ACTIONS(2629),
    [anon_sym_chan] = ACTIONS(4811),
    [anon_sym_shared] = ACTIONS(4811),
    [anon_sym_thread] = ACTIONS(4811),
    [sym_int_literal] = ACTIONS(4811),
    [sym_float_literal] = ACTIONS(2629),
    [sym_rune_literal] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(4811),
    [anon_sym_array] = ACTIONS(4811),
    [anon_sym_string] = ACTIONS(4811),
    [anon_sym_char] = ACTIONS(4811),
    [anon_sym_sql] = ACTIONS(4811),
    [anon_sym_mut] = ACTIONS(4811),
    [anon_sym_C] = ACTIONS(4811),
    [anon_sym_JS] = ACTIONS(4811),
    [anon_sym_voidptr] = ACTIONS(4811),
    [anon_sym_byteptr] = ACTIONS(4811),
    [anon_sym_charptr] = ACTIONS(4811),
    [anon_sym_i8] = ACTIONS(4811),
    [anon_sym_i16] = ACTIONS(4811),
    [anon_sym_i32] = ACTIONS(4811),
    [anon_sym_int] = ACTIONS(4811),
    [anon_sym_i64] = ACTIONS(4811),
    [anon_sym_byte] = ACTIONS(4811),
    [anon_sym_u8] = ACTIONS(4811),
    [anon_sym_u16] = ACTIONS(4811),
    [anon_sym_u32] = ACTIONS(4811),
    [anon_sym_u64] = ACTIONS(4811),
    [anon_sym_f32] = ACTIONS(4811),
    [anon_sym_f64] = ACTIONS(4811),
    [anon_sym_bool] = ACTIONS(4811),
    [anon_sym_rune] = ACTIONS(4811),
    [anon_sym_map] = ACTIONS(4811),
    [anon_sym_mapnode] = ACTIONS(4811),
    [anon_sym_size_t] = ACTIONS(4811),
    [anon_sym_usize] = ACTIONS(4811),
    [anon_sym_isize] = ACTIONS(4811),
    [anon_sym_float_literal] = ACTIONS(4811),
    [anon_sym_int_literal] = ACTIONS(4811),
    [anon_sym_IError] = ACTIONS(4811),
    [sym_type_placeholder] = ACTIONS(4811),
    [anon_sym_AT] = ACTIONS(4811),
    [sym_type_identifier] = ACTIONS(4811),
    [anon_sym_unsafe] = ACTIONS(4811),
    [anon_sym_fn] = ACTIONS(4811),
    [anon_sym_DOLLARif] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(4811),
    [anon_sym_match] = ACTIONS(4811),
    [anon_sym_select] = ACTIONS(4811),
    [anon_sym_lock] = ACTIONS(4811),
    [anon_sym_rlock] = ACTIONS(4811),
    [sym__c_string_opening] = ACTIONS(2629),
    [sym__raw_string_opening] = ACTIONS(2629),
    [sym__string_opening] = ACTIONS(2629),
    [sym__comment] = ACTIONS(3),
  },
  [1922] = {
    [sym_comment] = STATE(1922),
    [sym_identifier] = ACTIONS(4753),
    [anon_sym_LPAREN] = ACTIONS(4755),
    [anon_sym_PLUS] = ACTIONS(4755),
    [anon_sym_DASH] = ACTIONS(4755),
    [anon_sym_BANG] = ACTIONS(4755),
    [anon_sym_TILDE] = ACTIONS(4755),
    [anon_sym_CARET] = ACTIONS(4755),
    [anon_sym_STAR] = ACTIONS(4755),
    [anon_sym_AMP] = ACTIONS(4755),
    [anon_sym_LT_DASH] = ACTIONS(4755),
    [anon_sym_DOLLAR] = ACTIONS(4753),
    [sym_none] = ACTIONS(4753),
    [sym_true] = ACTIONS(4753),
    [sym_false] = ACTIONS(4753),
    [anon_sym_LBRACE] = ACTIONS(4755),
    [anon_sym_LBRACK] = ACTIONS(4755),
    [anon_sym_map_LBRACK] = ACTIONS(4755),
    [anon_sym_chan] = ACTIONS(4753),
    [anon_sym_shared] = ACTIONS(4753),
    [anon_sym_thread] = ACTIONS(4753),
    [sym_int_literal] = ACTIONS(4753),
    [sym_float_literal] = ACTIONS(4755),
    [sym_rune_literal] = ACTIONS(4755),
    [anon_sym_DOT] = ACTIONS(4753),
    [anon_sym_array] = ACTIONS(4753),
    [anon_sym_string] = ACTIONS(4753),
    [anon_sym_char] = ACTIONS(4753),
    [anon_sym_sql] = ACTIONS(4753),
    [anon_sym_mut] = ACTIONS(4753),
    [anon_sym_static] = ACTIONS(4813),
    [anon_sym_C] = ACTIONS(4753),
    [anon_sym_JS] = ACTIONS(4753),
    [anon_sym_voidptr] = ACTIONS(4753),
    [anon_sym_byteptr] = ACTIONS(4753),
    [anon_sym_charptr] = ACTIONS(4753),
    [anon_sym_i8] = ACTIONS(4753),
    [anon_sym_i16] = ACTIONS(4753),
    [anon_sym_i32] = ACTIONS(4753),
    [anon_sym_int] = ACTIONS(4753),
    [anon_sym_i64] = ACTIONS(4753),
    [anon_sym_byte] = ACTIONS(4753),
    [anon_sym_u8] = ACTIONS(4753),
    [anon_sym_u16] = ACTIONS(4753),
    [anon_sym_u32] = ACTIONS(4753),
    [anon_sym_u64] = ACTIONS(4753),
    [anon_sym_f32] = ACTIONS(4753),
    [anon_sym_f64] = ACTIONS(4753),
    [anon_sym_bool] = ACTIONS(4753),
    [anon_sym_rune] = ACTIONS(4753),
    [anon_sym_map] = ACTIONS(4753),
    [anon_sym_mapnode] = ACTIONS(4753),
    [anon_sym_size_t] = ACTIONS(4753),
    [anon_sym_usize] = ACTIONS(4753),
    [anon_sym_isize] = ACTIONS(4753),
    [anon_sym_float_literal] = ACTIONS(4753),
    [anon_sym_int_literal] = ACTIONS(4753),
    [anon_sym_IError] = ACTIONS(4753),
    [sym_type_placeholder] = ACTIONS(4753),
    [anon_sym_AT] = ACTIONS(4753),
    [sym_type_identifier] = ACTIONS(4753),
    [anon_sym_unsafe] = ACTIONS(4753),
    [anon_sym_fn] = ACTIONS(4753),
    [anon_sym_DOLLARif] = ACTIONS(4755),
    [anon_sym_if] = ACTIONS(4753),
    [anon_sym_match] = ACTIONS(4753),
    [anon_sym_select] = ACTIONS(4753),
    [anon_sym_lock] = ACTIONS(4753),
    [anon_sym_rlock] = ACTIONS(4753),
    [sym__c_string_opening] = ACTIONS(4755),
    [sym__raw_string_opening] = ACTIONS(4755),
    [sym__string_opening] = ACTIONS(4755),
    [sym__comment] = ACTIONS(3),
  },
  [1923] = {
    [sym_comment] = STATE(1923),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_RPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PERCENT] = ACTIONS(1122),
    [anon_sym_LT_LT] = ACTIONS(1122),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1122),
    [anon_sym_AMP_CARET] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1122),
    [anon_sym_QMARK] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [sym__automatic_separator] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1924] = {
    [sym_comment] = STATE(1924),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1136),
    [anon_sym_GT_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP_CARET] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1136),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1136),
    [anon_sym_BANGin] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1134),
    [anon_sym_COLON] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_map_LBRACK] = ACTIONS(1134),
    [anon_sym_chan] = ACTIONS(1136),
    [anon_sym_shared] = ACTIONS(1136),
    [anon_sym_thread] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1134),
    [anon_sym_array] = ACTIONS(1136),
    [anon_sym_string] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_C] = ACTIONS(1136),
    [anon_sym_JS] = ACTIONS(1136),
    [anon_sym_voidptr] = ACTIONS(1136),
    [anon_sym_byteptr] = ACTIONS(1136),
    [anon_sym_charptr] = ACTIONS(1136),
    [anon_sym_i8] = ACTIONS(1136),
    [anon_sym_i16] = ACTIONS(1136),
    [anon_sym_i32] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_i64] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_u8] = ACTIONS(1136),
    [anon_sym_u16] = ACTIONS(1136),
    [anon_sym_u32] = ACTIONS(1136),
    [anon_sym_u64] = ACTIONS(1136),
    [anon_sym_f32] = ACTIONS(1136),
    [anon_sym_f64] = ACTIONS(1136),
    [anon_sym_bool] = ACTIONS(1136),
    [anon_sym_rune] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1136),
    [anon_sym_mapnode] = ACTIONS(1136),
    [anon_sym_size_t] = ACTIONS(1136),
    [anon_sym_usize] = ACTIONS(1136),
    [anon_sym_isize] = ACTIONS(1136),
    [anon_sym_float_literal] = ACTIONS(1136),
    [anon_sym_int_literal] = ACTIONS(1136),
    [anon_sym_IError] = ACTIONS(1136),
    [sym_type_placeholder] = ACTIONS(1136),
    [sym_type_identifier] = ACTIONS(1136),
    [anon_sym_fn] = ACTIONS(1136),
    [anon_sym_is] = ACTIONS(1136),
    [anon_sym_BANGis] = ACTIONS(1134),
    [sym__interpolation_closing] = ACTIONS(1134),
    [sym__comment] = ACTIONS(3),
  },
  [1925] = {
    [sym_comment] = STATE(1925),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PERCENT] = ACTIONS(1122),
    [anon_sym_LT_LT] = ACTIONS(1122),
    [anon_sym_GT_GT] = ACTIONS(1124),
    [anon_sym_GT_GT_GT] = ACTIONS(1122),
    [anon_sym_AMP_CARET] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1124),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1124),
    [anon_sym_BANGin] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_as] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1122),
    [anon_sym_COLON] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_map_LBRACK] = ACTIONS(1122),
    [anon_sym_chan] = ACTIONS(1124),
    [anon_sym_shared] = ACTIONS(1124),
    [anon_sym_thread] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_array] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_C] = ACTIONS(1124),
    [anon_sym_JS] = ACTIONS(1124),
    [anon_sym_voidptr] = ACTIONS(1124),
    [anon_sym_byteptr] = ACTIONS(1124),
    [anon_sym_charptr] = ACTIONS(1124),
    [anon_sym_i8] = ACTIONS(1124),
    [anon_sym_i16] = ACTIONS(1124),
    [anon_sym_i32] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_i64] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_u8] = ACTIONS(1124),
    [anon_sym_u16] = ACTIONS(1124),
    [anon_sym_u32] = ACTIONS(1124),
    [anon_sym_u64] = ACTIONS(1124),
    [anon_sym_f32] = ACTIONS(1124),
    [anon_sym_f64] = ACTIONS(1124),
    [anon_sym_bool] = ACTIONS(1124),
    [anon_sym_rune] = ACTIONS(1124),
    [anon_sym_map] = ACTIONS(1124),
    [anon_sym_mapnode] = ACTIONS(1124),
    [anon_sym_size_t] = ACTIONS(1124),
    [anon_sym_usize] = ACTIONS(1124),
    [anon_sym_isize] = ACTIONS(1124),
    [anon_sym_float_literal] = ACTIONS(1124),
    [anon_sym_int_literal] = ACTIONS(1124),
    [anon_sym_IError] = ACTIONS(1124),
    [sym_type_placeholder] = ACTIONS(1124),
    [sym_type_identifier] = ACTIONS(1124),
    [anon_sym_fn] = ACTIONS(1124),
    [anon_sym_is] = ACTIONS(1124),
    [anon_sym_BANGis] = ACTIONS(1122),
    [sym__interpolation_closing] = ACTIONS(1122),
    [sym__comment] = ACTIONS(3),
  },
  [1926] = {
    [sym_comment] = STATE(1926),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1184),
    [anon_sym_PERCENT] = ACTIONS(1184),
    [anon_sym_LT_LT] = ACTIONS(1184),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_GT_GT_GT] = ACTIONS(1184),
    [anon_sym_AMP_CARET] = ACTIONS(1184),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1184),
    [anon_sym_BANG_EQ] = ACTIONS(1184),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1184),
    [anon_sym_GT] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1184),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_BANGin] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1184),
    [anon_sym_PIPE_PIPE] = ACTIONS(1184),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1184),
    [anon_sym_COLON] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_map_LBRACK] = ACTIONS(1184),
    [anon_sym_chan] = ACTIONS(1186),
    [anon_sym_shared] = ACTIONS(1186),
    [anon_sym_thread] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1184),
    [anon_sym_array] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_char] = ACTIONS(1186),
    [anon_sym_C] = ACTIONS(1186),
    [anon_sym_JS] = ACTIONS(1186),
    [anon_sym_voidptr] = ACTIONS(1186),
    [anon_sym_byteptr] = ACTIONS(1186),
    [anon_sym_charptr] = ACTIONS(1186),
    [anon_sym_i8] = ACTIONS(1186),
    [anon_sym_i16] = ACTIONS(1186),
    [anon_sym_i32] = ACTIONS(1186),
    [anon_sym_int] = ACTIONS(1186),
    [anon_sym_i64] = ACTIONS(1186),
    [anon_sym_byte] = ACTIONS(1186),
    [anon_sym_u8] = ACTIONS(1186),
    [anon_sym_u16] = ACTIONS(1186),
    [anon_sym_u32] = ACTIONS(1186),
    [anon_sym_u64] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_rune] = ACTIONS(1186),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_mapnode] = ACTIONS(1186),
    [anon_sym_size_t] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_float_literal] = ACTIONS(1186),
    [anon_sym_int_literal] = ACTIONS(1186),
    [anon_sym_IError] = ACTIONS(1186),
    [sym_type_placeholder] = ACTIONS(1186),
    [sym_type_identifier] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_BANGis] = ACTIONS(1184),
    [sym__interpolation_closing] = ACTIONS(1184),
    [sym__comment] = ACTIONS(3),
  },
  [1927] = {
    [sym_comment] = STATE(1927),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_AMP_CARET] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_BANGin] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1138),
    [anon_sym_COLON] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_map_LBRACK] = ACTIONS(1138),
    [anon_sym_chan] = ACTIONS(1140),
    [anon_sym_shared] = ACTIONS(1140),
    [anon_sym_thread] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1138),
    [anon_sym_array] = ACTIONS(1140),
    [anon_sym_string] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_C] = ACTIONS(1140),
    [anon_sym_JS] = ACTIONS(1140),
    [anon_sym_voidptr] = ACTIONS(1140),
    [anon_sym_byteptr] = ACTIONS(1140),
    [anon_sym_charptr] = ACTIONS(1140),
    [anon_sym_i8] = ACTIONS(1140),
    [anon_sym_i16] = ACTIONS(1140),
    [anon_sym_i32] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_i64] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_u8] = ACTIONS(1140),
    [anon_sym_u16] = ACTIONS(1140),
    [anon_sym_u32] = ACTIONS(1140),
    [anon_sym_u64] = ACTIONS(1140),
    [anon_sym_f32] = ACTIONS(1140),
    [anon_sym_f64] = ACTIONS(1140),
    [anon_sym_bool] = ACTIONS(1140),
    [anon_sym_rune] = ACTIONS(1140),
    [anon_sym_map] = ACTIONS(1140),
    [anon_sym_mapnode] = ACTIONS(1140),
    [anon_sym_size_t] = ACTIONS(1140),
    [anon_sym_usize] = ACTIONS(1140),
    [anon_sym_isize] = ACTIONS(1140),
    [anon_sym_float_literal] = ACTIONS(1140),
    [anon_sym_int_literal] = ACTIONS(1140),
    [anon_sym_IError] = ACTIONS(1140),
    [sym_type_placeholder] = ACTIONS(1140),
    [sym_type_identifier] = ACTIONS(1140),
    [anon_sym_fn] = ACTIONS(1140),
    [anon_sym_is] = ACTIONS(1140),
    [anon_sym_BANGis] = ACTIONS(1138),
    [sym__interpolation_closing] = ACTIONS(1138),
    [sym__comment] = ACTIONS(3),
  },
  [1928] = {
    [sym_comment] = STATE(1928),
    [sym_identifier] = ACTIONS(4815),
    [anon_sym_LPAREN] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_BANG] = ACTIONS(4817),
    [anon_sym_TILDE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_LT_DASH] = ACTIONS(4817),
    [anon_sym_DOLLAR] = ACTIONS(4815),
    [sym_none] = ACTIONS(4815),
    [sym_true] = ACTIONS(4815),
    [sym_false] = ACTIONS(4815),
    [anon_sym_LBRACE] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_map_LBRACK] = ACTIONS(4817),
    [anon_sym_chan] = ACTIONS(4815),
    [anon_sym_shared] = ACTIONS(4815),
    [anon_sym_thread] = ACTIONS(4815),
    [sym_int_literal] = ACTIONS(4815),
    [sym_float_literal] = ACTIONS(4817),
    [sym_rune_literal] = ACTIONS(4817),
    [anon_sym_DOT] = ACTIONS(4815),
    [anon_sym_array] = ACTIONS(4815),
    [anon_sym_string] = ACTIONS(4815),
    [anon_sym_char] = ACTIONS(4815),
    [anon_sym_sql] = ACTIONS(4815),
    [anon_sym_mut] = ACTIONS(4815),
    [anon_sym_C] = ACTIONS(4815),
    [anon_sym_JS] = ACTIONS(4815),
    [anon_sym_voidptr] = ACTIONS(4815),
    [anon_sym_byteptr] = ACTIONS(4815),
    [anon_sym_charptr] = ACTIONS(4815),
    [anon_sym_i8] = ACTIONS(4815),
    [anon_sym_i16] = ACTIONS(4815),
    [anon_sym_i32] = ACTIONS(4815),
    [anon_sym_int] = ACTIONS(4815),
    [anon_sym_i64] = ACTIONS(4815),
    [anon_sym_byte] = ACTIONS(4815),
    [anon_sym_u8] = ACTIONS(4815),
    [anon_sym_u16] = ACTIONS(4815),
    [anon_sym_u32] = ACTIONS(4815),
    [anon_sym_u64] = ACTIONS(4815),
    [anon_sym_f32] = ACTIONS(4815),
    [anon_sym_f64] = ACTIONS(4815),
    [anon_sym_bool] = ACTIONS(4815),
    [anon_sym_rune] = ACTIONS(4815),
    [anon_sym_map] = ACTIONS(4815),
    [anon_sym_mapnode] = ACTIONS(4815),
    [anon_sym_size_t] = ACTIONS(4815),
    [anon_sym_usize] = ACTIONS(4815),
    [anon_sym_isize] = ACTIONS(4815),
    [anon_sym_float_literal] = ACTIONS(4815),
    [anon_sym_int_literal] = ACTIONS(4815),
    [anon_sym_IError] = ACTIONS(4815),
    [sym_type_placeholder] = ACTIONS(4815),
    [anon_sym_AT] = ACTIONS(4815),
    [sym_type_identifier] = ACTIONS(4815),
    [anon_sym_unsafe] = ACTIONS(4815),
    [anon_sym_fn] = ACTIONS(4815),
    [anon_sym_DOLLARif] = ACTIONS(4817),
    [anon_sym_if] = ACTIONS(4815),
    [anon_sym_match] = ACTIONS(4815),
    [anon_sym_select] = ACTIONS(4815),
    [anon_sym_lock] = ACTIONS(4815),
    [anon_sym_rlock] = ACTIONS(4815),
    [sym__c_string_opening] = ACTIONS(4817),
    [sym__raw_string_opening] = ACTIONS(4817),
    [sym__string_opening] = ACTIONS(4817),
    [sym__comment] = ACTIONS(3),
  },
  [1929] = {
    [sym_comment] = STATE(1929),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1130),
    [anon_sym_LT_LT] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1130),
    [anon_sym_AMP_CARET] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_BANGin] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1130),
    [anon_sym_COLON] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_map_LBRACK] = ACTIONS(1130),
    [anon_sym_chan] = ACTIONS(1132),
    [anon_sym_shared] = ACTIONS(1132),
    [anon_sym_thread] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1130),
    [anon_sym_array] = ACTIONS(1132),
    [anon_sym_string] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_C] = ACTIONS(1132),
    [anon_sym_JS] = ACTIONS(1132),
    [anon_sym_voidptr] = ACTIONS(1132),
    [anon_sym_byteptr] = ACTIONS(1132),
    [anon_sym_charptr] = ACTIONS(1132),
    [anon_sym_i8] = ACTIONS(1132),
    [anon_sym_i16] = ACTIONS(1132),
    [anon_sym_i32] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_i64] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_u8] = ACTIONS(1132),
    [anon_sym_u16] = ACTIONS(1132),
    [anon_sym_u32] = ACTIONS(1132),
    [anon_sym_u64] = ACTIONS(1132),
    [anon_sym_f32] = ACTIONS(1132),
    [anon_sym_f64] = ACTIONS(1132),
    [anon_sym_bool] = ACTIONS(1132),
    [anon_sym_rune] = ACTIONS(1132),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_mapnode] = ACTIONS(1132),
    [anon_sym_size_t] = ACTIONS(1132),
    [anon_sym_usize] = ACTIONS(1132),
    [anon_sym_isize] = ACTIONS(1132),
    [anon_sym_float_literal] = ACTIONS(1132),
    [anon_sym_int_literal] = ACTIONS(1132),
    [anon_sym_IError] = ACTIONS(1132),
    [sym_type_placeholder] = ACTIONS(1132),
    [sym_type_identifier] = ACTIONS(1132),
    [anon_sym_fn] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_BANGis] = ACTIONS(1130),
    [sym__interpolation_closing] = ACTIONS(1130),
    [sym__comment] = ACTIONS(3),
  },
  [1930] = {
    [sym_comment] = STATE(1930),
    [sym_fixed_array_type] = STATE(3519),
    [sym_array_type] = STATE(3519),
    [sym_pointer_type] = STATE(3519),
    [sym_map_type] = STATE(3519),
    [sym_channel_type] = STATE(3519),
    [sym_shared_type] = STATE(3519),
    [sym_thread_type] = STATE(3519),
    [sym_binded_identifier] = STATE(3526),
    [sym_option_type] = STATE(3499),
    [sym_result_type] = STATE(3499),
    [sym_multi_return_type] = STATE(3499),
    [sym__simple_type] = STATE(3499),
    [sym_builtin_type] = STATE(3519),
    [sym__binded_type] = STATE(3519),
    [sym_generic_type] = STATE(3519),
    [sym_qualified_type] = STATE(3487),
    [sym_function_type] = STATE(3519),
    [sym_identifier] = ACTIONS(4819),
    [anon_sym_LPAREN] = ACTIONS(4821),
    [anon_sym_BANG] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [anon_sym_map_LBRACK] = ACTIONS(4831),
    [anon_sym_chan] = ACTIONS(4833),
    [anon_sym_shared] = ACTIONS(4835),
    [anon_sym_thread] = ACTIONS(4837),
    [anon_sym_array] = ACTIONS(4839),
    [anon_sym_string] = ACTIONS(4839),
    [anon_sym_char] = ACTIONS(4839),
    [sym__old_identifier] = ACTIONS(650),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(4841),
    [anon_sym_JS] = ACTIONS(4841),
    [anon_sym_voidptr] = ACTIONS(4839),
    [anon_sym_byteptr] = ACTIONS(4839),
    [anon_sym_charptr] = ACTIONS(4839),
    [anon_sym_i8] = ACTIONS(4839),
    [anon_sym_i16] = ACTIONS(4839),
    [anon_sym_i32] = ACTIONS(4839),
    [anon_sym_int] = ACTIONS(4839),
    [anon_sym_i64] = ACTIONS(4839),
    [anon_sym_byte] = ACTIONS(4839),
    [anon_sym_u8] = ACTIONS(4839),
    [anon_sym_u16] = ACTIONS(4839),
    [anon_sym_u32] = ACTIONS(4839),
    [anon_sym_u64] = ACTIONS(4839),
    [anon_sym_f32] = ACTIONS(4839),
    [anon_sym_f64] = ACTIONS(4839),
    [anon_sym_bool] = ACTIONS(4839),
    [anon_sym_rune] = ACTIONS(4839),
    [anon_sym_map] = ACTIONS(4839),
    [anon_sym_mapnode] = ACTIONS(4839),
    [anon_sym_size_t] = ACTIONS(4839),
    [anon_sym_usize] = ACTIONS(4839),
    [anon_sym_isize] = ACTIONS(4839),
    [anon_sym_float_literal] = ACTIONS(4839),
    [anon_sym_int_literal] = ACTIONS(4839),
    [anon_sym_IError] = ACTIONS(4839),
    [sym_type_placeholder] = ACTIONS(4843),
    [sym_type_identifier] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_pub] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(4847),
    [anon_sym___global] = ACTIONS(650),
    [sym__comment] = ACTIONS(3),
  },
  [1931] = {
    [sym_comment] = STATE(1931),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_option_type] = STATE(2620),
    [sym_result_type] = STATE(2620),
    [sym_multi_return_type] = STATE(2620),
    [sym__simple_type] = STATE(2620),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_map_LBRACK] = ACTIONS(4857),
    [anon_sym_chan] = ACTIONS(4859),
    [anon_sym_shared] = ACTIONS(4861),
    [anon_sym_thread] = ACTIONS(4863),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_pub] = ACTIONS(650),
    [anon_sym_fn] = ACTIONS(4865),
    [anon_sym___global] = ACTIONS(650),
    [sym__comment] = ACTIONS(3),
  },
  [1932] = {
    [sym_comment] = STATE(1932),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4182),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4011),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4869),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1933] = {
    [sym_comment] = STATE(1933),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4099),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4270),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1934] = {
    [sym_comment] = STATE(1934),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4271),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4140),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1935] = {
    [sym_comment] = STATE(1935),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4292),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4287),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1936] = {
    [sym_comment] = STATE(1936),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4123),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4298),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4887),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1937] = {
    [sym_comment] = STATE(1937),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4232),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4290),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4889),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1938] = {
    [sym_comment] = STATE(1938),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4328),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4326),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1939] = {
    [sym_comment] = STATE(1939),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4179),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4202),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1940] = {
    [sym_comment] = STATE(1940),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4286),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4095),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4895),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1941] = {
    [sym_comment] = STATE(1941),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4094),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4306),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4897),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1942] = {
    [sym_comment] = STATE(1942),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4307),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4122),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4899),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1943] = {
    [sym_comment] = STATE(1943),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4363),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4191),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4901),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1944] = {
    [sym_comment] = STATE(1944),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4259),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4360),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4903),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1945] = {
    [sym_comment] = STATE(1945),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4181),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4326),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4905),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1946] = {
    [sym_comment] = STATE(1946),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4209),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4258),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4907),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1947] = {
    [sym_comment] = STATE(1947),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4297),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4040),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4909),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1948] = {
    [sym_comment] = STATE(1948),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4139),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4177),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4911),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1949] = {
    [sym_comment] = STATE(1949),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4195),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(4231),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4913),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1950] = {
    [sym_comment] = STATE(1950),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_variadic_type] = STATE(4399),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym__reserved_identifier] = STATE(2031),
    [sym__mutable_prefix] = STATE(3715),
    [sym_mutable_identifier] = STATE(2031),
    [sym_binded_identifier] = STATE(3669),
    [sym_parameter_declaration] = STATE(4190),
    [sym_option_type] = STATE(4399),
    [sym__simple_type] = STATE(4399),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_type_parameter_declaration] = STATE(3999),
    [sym_identifier] = ACTIONS(4867),
    [anon_sym_RPAREN] = ACTIONS(4915),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(4873),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(4875),
    [anon_sym_string] = ACTIONS(4875),
    [anon_sym_char] = ACTIONS(4875),
    [anon_sym_sql] = ACTIONS(4877),
    [anon_sym_mut] = ACTIONS(4879),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1951] = {
    [sym_comment] = STATE(1951),
    [sym_fixed_array_type] = STATE(3519),
    [sym_array_type] = STATE(3519),
    [sym_pointer_type] = STATE(3519),
    [sym_map_type] = STATE(3519),
    [sym_channel_type] = STATE(3519),
    [sym_shared_type] = STATE(3519),
    [sym_thread_type] = STATE(3519),
    [sym_binded_identifier] = STATE(3526),
    [sym_multi_return_type] = STATE(3512),
    [sym__simple_type] = STATE(3512),
    [sym_builtin_type] = STATE(3519),
    [sym__binded_type] = STATE(3519),
    [sym_generic_type] = STATE(3519),
    [sym_qualified_type] = STATE(3487),
    [sym_function_type] = STATE(3519),
    [sym_identifier] = ACTIONS(4819),
    [anon_sym_LPAREN] = ACTIONS(4821),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_CR] = ACTIONS(740),
    [anon_sym_CR_LF] = ACTIONS(740),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [anon_sym_map_LBRACK] = ACTIONS(4831),
    [anon_sym_chan] = ACTIONS(4833),
    [anon_sym_shared] = ACTIONS(4835),
    [anon_sym_thread] = ACTIONS(4837),
    [anon_sym_array] = ACTIONS(4839),
    [anon_sym_string] = ACTIONS(4839),
    [anon_sym_char] = ACTIONS(4839),
    [sym__old_identifier] = ACTIONS(740),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(4841),
    [anon_sym_JS] = ACTIONS(4841),
    [anon_sym_voidptr] = ACTIONS(4839),
    [anon_sym_byteptr] = ACTIONS(4839),
    [anon_sym_charptr] = ACTIONS(4839),
    [anon_sym_i8] = ACTIONS(4839),
    [anon_sym_i16] = ACTIONS(4839),
    [anon_sym_i32] = ACTIONS(4839),
    [anon_sym_int] = ACTIONS(4839),
    [anon_sym_i64] = ACTIONS(4839),
    [anon_sym_byte] = ACTIONS(4839),
    [anon_sym_u8] = ACTIONS(4839),
    [anon_sym_u16] = ACTIONS(4839),
    [anon_sym_u32] = ACTIONS(4839),
    [anon_sym_u64] = ACTIONS(4839),
    [anon_sym_f32] = ACTIONS(4839),
    [anon_sym_f64] = ACTIONS(4839),
    [anon_sym_bool] = ACTIONS(4839),
    [anon_sym_rune] = ACTIONS(4839),
    [anon_sym_map] = ACTIONS(4839),
    [anon_sym_mapnode] = ACTIONS(4839),
    [anon_sym_size_t] = ACTIONS(4839),
    [anon_sym_usize] = ACTIONS(4839),
    [anon_sym_isize] = ACTIONS(4839),
    [anon_sym_float_literal] = ACTIONS(4839),
    [anon_sym_int_literal] = ACTIONS(4839),
    [anon_sym_IError] = ACTIONS(4839),
    [sym_type_placeholder] = ACTIONS(4843),
    [sym_type_identifier] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(740),
    [anon_sym_pub] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(4847),
    [anon_sym___global] = ACTIONS(740),
    [sym__comment] = ACTIONS(3),
  },
  [1952] = {
    [sym_comment] = STATE(1952),
    [sym_fixed_array_type] = STATE(3519),
    [sym_array_type] = STATE(3519),
    [sym_pointer_type] = STATE(3519),
    [sym_map_type] = STATE(3519),
    [sym_channel_type] = STATE(3519),
    [sym_shared_type] = STATE(3519),
    [sym_thread_type] = STATE(3519),
    [sym_binded_identifier] = STATE(3526),
    [sym_multi_return_type] = STATE(3520),
    [sym__simple_type] = STATE(3520),
    [sym_builtin_type] = STATE(3519),
    [sym__binded_type] = STATE(3519),
    [sym_generic_type] = STATE(3519),
    [sym_qualified_type] = STATE(3487),
    [sym_function_type] = STATE(3519),
    [sym_identifier] = ACTIONS(4819),
    [anon_sym_LPAREN] = ACTIONS(4821),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_LF] = ACTIONS(736),
    [anon_sym_CR] = ACTIONS(736),
    [anon_sym_CR_LF] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [anon_sym_map_LBRACK] = ACTIONS(4831),
    [anon_sym_chan] = ACTIONS(4833),
    [anon_sym_shared] = ACTIONS(4835),
    [anon_sym_thread] = ACTIONS(4837),
    [anon_sym_array] = ACTIONS(4839),
    [anon_sym_string] = ACTIONS(4839),
    [anon_sym_char] = ACTIONS(4839),
    [sym__old_identifier] = ACTIONS(736),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(4841),
    [anon_sym_JS] = ACTIONS(4841),
    [anon_sym_voidptr] = ACTIONS(4839),
    [anon_sym_byteptr] = ACTIONS(4839),
    [anon_sym_charptr] = ACTIONS(4839),
    [anon_sym_i8] = ACTIONS(4839),
    [anon_sym_i16] = ACTIONS(4839),
    [anon_sym_i32] = ACTIONS(4839),
    [anon_sym_int] = ACTIONS(4839),
    [anon_sym_i64] = ACTIONS(4839),
    [anon_sym_byte] = ACTIONS(4839),
    [anon_sym_u8] = ACTIONS(4839),
    [anon_sym_u16] = ACTIONS(4839),
    [anon_sym_u32] = ACTIONS(4839),
    [anon_sym_u64] = ACTIONS(4839),
    [anon_sym_f32] = ACTIONS(4839),
    [anon_sym_f64] = ACTIONS(4839),
    [anon_sym_bool] = ACTIONS(4839),
    [anon_sym_rune] = ACTIONS(4839),
    [anon_sym_map] = ACTIONS(4839),
    [anon_sym_mapnode] = ACTIONS(4839),
    [anon_sym_size_t] = ACTIONS(4839),
    [anon_sym_usize] = ACTIONS(4839),
    [anon_sym_isize] = ACTIONS(4839),
    [anon_sym_float_literal] = ACTIONS(4839),
    [anon_sym_int_literal] = ACTIONS(4839),
    [anon_sym_IError] = ACTIONS(4839),
    [sym_type_placeholder] = ACTIONS(4843),
    [sym_type_identifier] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(736),
    [anon_sym_pub] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(4847),
    [anon_sym___global] = ACTIONS(736),
    [sym__comment] = ACTIONS(3),
  },
  [1953] = {
    [sym_comment] = STATE(1953),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_option_type] = STATE(2620),
    [sym_result_type] = STATE(2620),
    [sym_multi_return_type] = STATE(2620),
    [sym__simple_type] = STATE(2620),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4917),
    [anon_sym_AMP] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(4921),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [anon_sym_map_LBRACK] = ACTIONS(4925),
    [anon_sym_chan] = ACTIONS(4927),
    [anon_sym_shared] = ACTIONS(4929),
    [anon_sym_thread] = ACTIONS(4931),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(650),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4933),
    [sym__comment] = ACTIONS(3),
  },
  [1954] = {
    [sym_comment] = STATE(1954),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_option_type] = STATE(3646),
    [sym_result_type] = STATE(3646),
    [sym_multi_return_type] = STATE(3646),
    [sym__simple_type] = STATE(3646),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4917),
    [anon_sym_AMP] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(4921),
    [anon_sym_LF] = ACTIONS(4935),
    [anon_sym_CR] = ACTIONS(4935),
    [anon_sym_CR_LF] = ACTIONS(4935),
    [anon_sym_RBRACE] = ACTIONS(4935),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [anon_sym_map_LBRACK] = ACTIONS(4925),
    [anon_sym_chan] = ACTIONS(4927),
    [anon_sym_shared] = ACTIONS(4929),
    [anon_sym_thread] = ACTIONS(4931),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(4935),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4933),
    [sym__comment] = ACTIONS(3),
  },
  [1955] = {
    [sym_comment] = STATE(1955),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_multi_return_type] = STATE(2614),
    [sym__simple_type] = STATE(2614),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_CR] = ACTIONS(740),
    [anon_sym_CR_LF] = ACTIONS(740),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_map_LBRACK] = ACTIONS(4857),
    [anon_sym_chan] = ACTIONS(4859),
    [anon_sym_shared] = ACTIONS(4861),
    [anon_sym_thread] = ACTIONS(4863),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(740),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_EQ] = ACTIONS(740),
    [anon_sym_pub] = ACTIONS(740),
    [anon_sym_fn] = ACTIONS(4865),
    [anon_sym___global] = ACTIONS(740),
    [sym__comment] = ACTIONS(3),
  },
  [1956] = {
    [sym_comment] = STATE(1956),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym_option_type] = STATE(3786),
    [sym_result_type] = STATE(3786),
    [sym_multi_return_type] = STATE(3786),
    [sym__simple_type] = STATE(3786),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_block] = STATE(3001),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(4512),
    [anon_sym_RPAREN] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(4937),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1957] = {
    [sym_comment] = STATE(1957),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym_option_type] = STATE(3741),
    [sym_result_type] = STATE(3741),
    [sym_multi_return_type] = STATE(3741),
    [sym__simple_type] = STATE(3741),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(4512),
    [anon_sym_RPAREN] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(4937),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_RBRACK] = ACTIONS(644),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1958] = {
    [sym_comment] = STATE(1958),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_multi_return_type] = STATE(2606),
    [sym__simple_type] = STATE(2606),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_LF] = ACTIONS(736),
    [anon_sym_CR] = ACTIONS(736),
    [anon_sym_CR_LF] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_map_LBRACK] = ACTIONS(4857),
    [anon_sym_chan] = ACTIONS(4859),
    [anon_sym_shared] = ACTIONS(4861),
    [anon_sym_thread] = ACTIONS(4863),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_mut] = ACTIONS(736),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_EQ] = ACTIONS(736),
    [anon_sym_pub] = ACTIONS(736),
    [anon_sym_fn] = ACTIONS(4865),
    [anon_sym___global] = ACTIONS(736),
    [sym__comment] = ACTIONS(3),
  },
  [1959] = {
    [sym_comment] = STATE(1959),
    [sym_fixed_array_type] = STATE(3519),
    [sym_array_type] = STATE(3519),
    [sym_pointer_type] = STATE(3519),
    [sym_map_type] = STATE(3519),
    [sym_channel_type] = STATE(3519),
    [sym_shared_type] = STATE(3519),
    [sym_thread_type] = STATE(3519),
    [sym_binded_identifier] = STATE(3526),
    [sym__simple_type] = STATE(3514),
    [sym_builtin_type] = STATE(3519),
    [sym__binded_type] = STATE(3519),
    [sym_generic_type] = STATE(3519),
    [sym_qualified_type] = STATE(3487),
    [sym_function_type] = STATE(3519),
    [sym_identifier] = ACTIONS(4819),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [anon_sym_map_LBRACK] = ACTIONS(4831),
    [anon_sym_chan] = ACTIONS(4833),
    [anon_sym_shared] = ACTIONS(4835),
    [anon_sym_thread] = ACTIONS(4837),
    [anon_sym_array] = ACTIONS(4839),
    [anon_sym_string] = ACTIONS(4839),
    [anon_sym_char] = ACTIONS(4839),
    [sym__old_identifier] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(4841),
    [anon_sym_JS] = ACTIONS(4841),
    [anon_sym_voidptr] = ACTIONS(4839),
    [anon_sym_byteptr] = ACTIONS(4839),
    [anon_sym_charptr] = ACTIONS(4839),
    [anon_sym_i8] = ACTIONS(4839),
    [anon_sym_i16] = ACTIONS(4839),
    [anon_sym_i32] = ACTIONS(4839),
    [anon_sym_int] = ACTIONS(4839),
    [anon_sym_i64] = ACTIONS(4839),
    [anon_sym_byte] = ACTIONS(4839),
    [anon_sym_u8] = ACTIONS(4839),
    [anon_sym_u16] = ACTIONS(4839),
    [anon_sym_u32] = ACTIONS(4839),
    [anon_sym_u64] = ACTIONS(4839),
    [anon_sym_f32] = ACTIONS(4839),
    [anon_sym_f64] = ACTIONS(4839),
    [anon_sym_bool] = ACTIONS(4839),
    [anon_sym_rune] = ACTIONS(4839),
    [anon_sym_map] = ACTIONS(4839),
    [anon_sym_mapnode] = ACTIONS(4839),
    [anon_sym_size_t] = ACTIONS(4839),
    [anon_sym_usize] = ACTIONS(4839),
    [anon_sym_isize] = ACTIONS(4839),
    [anon_sym_float_literal] = ACTIONS(4839),
    [anon_sym_int_literal] = ACTIONS(4839),
    [anon_sym_IError] = ACTIONS(4839),
    [sym_type_placeholder] = ACTIONS(4843),
    [sym_type_identifier] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(4847),
    [anon_sym___global] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
  [1960] = {
    [sym_comment] = STATE(1960),
    [sym_fixed_array_type] = STATE(3654),
    [sym_array_type] = STATE(3654),
    [sym_pointer_type] = STATE(3654),
    [sym_map_type] = STATE(3654),
    [sym_channel_type] = STATE(3654),
    [sym_shared_type] = STATE(3654),
    [sym_thread_type] = STATE(3654),
    [sym_binded_identifier] = STATE(3669),
    [sym_option_type] = STATE(3925),
    [sym_result_type] = STATE(3925),
    [sym_multi_return_type] = STATE(3925),
    [sym__simple_type] = STATE(3925),
    [sym_builtin_type] = STATE(3654),
    [sym__binded_type] = STATE(3654),
    [sym_generic_type] = STATE(3654),
    [sym_qualified_type] = STATE(3592),
    [sym_block] = STATE(2961),
    [sym_function_type] = STATE(3654),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(4512),
    [anon_sym_BANG] = ACTIONS(4937),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_LBRACK] = ACTIONS(756),
    [anon_sym_map_LBRACK] = ACTIONS(23),
    [anon_sym_chan] = ACTIONS(25),
    [anon_sym_shared] = ACTIONS(758),
    [anon_sym_thread] = ACTIONS(29),
    [anon_sym_array] = ACTIONS(45),
    [anon_sym_string] = ACTIONS(45),
    [anon_sym_char] = ACTIONS(45),
    [anon_sym_C] = ACTIONS(760),
    [anon_sym_JS] = ACTIONS(760),
    [anon_sym_voidptr] = ACTIONS(45),
    [anon_sym_byteptr] = ACTIONS(45),
    [anon_sym_charptr] = ACTIONS(45),
    [anon_sym_i8] = ACTIONS(45),
    [anon_sym_i16] = ACTIONS(45),
    [anon_sym_i32] = ACTIONS(45),
    [anon_sym_int] = ACTIONS(45),
    [anon_sym_i64] = ACTIONS(45),
    [anon_sym_byte] = ACTIONS(45),
    [anon_sym_u8] = ACTIONS(45),
    [anon_sym_u16] = ACTIONS(45),
    [anon_sym_u32] = ACTIONS(45),
    [anon_sym_u64] = ACTIONS(45),
    [anon_sym_f32] = ACTIONS(45),
    [anon_sym_f64] = ACTIONS(45),
    [anon_sym_bool] = ACTIONS(45),
    [anon_sym_rune] = ACTIONS(45),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_mapnode] = ACTIONS(45),
    [anon_sym_size_t] = ACTIONS(45),
    [anon_sym_usize] = ACTIONS(45),
    [anon_sym_isize] = ACTIONS(45),
    [anon_sym_float_literal] = ACTIONS(45),
    [anon_sym_int_literal] = ACTIONS(45),
    [anon_sym_IError] = ACTIONS(45),
    [sym_type_placeholder] = ACTIONS(762),
    [sym_type_identifier] = ACTIONS(764),
    [anon_sym_fn] = ACTIONS(766),
    [sym__comment] = ACTIONS(3),
  },
  [1961] = {
    [sym_comment] = STATE(1961),
    [sym_fixed_array_type] = STATE(2618),
    [sym_array_type] = STATE(2618),
    [sym_pointer_type] = STATE(2618),
    [sym_map_type] = STATE(2618),
    [sym_channel_type] = STATE(2618),
    [sym_shared_type] = STATE(2618),
    [sym_thread_type] = STATE(2618),
    [sym_binded_identifier] = STATE(2612),
    [sym_option_type] = STATE(2620),
    [sym_result_type] = STATE(2620),
    [sym_multi_return_type] = STATE(2620),
    [sym__simple_type] = STATE(2620),
    [sym_builtin_type] = STATE(2618),
    [sym__binded_type] = STATE(2618),
    [sym_generic_type] = STATE(2618),
    [sym_qualified_type] = STATE(2555),
    [sym_function_type] = STATE(2618),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4943),
    [anon_sym_AMP] = ACTIONS(4945),
    [anon_sym_QMARK] = ACTIONS(4947),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_CR] = ACTIONS(650),
    [anon_sym_CR_LF] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(4949),
    [anon_sym_map_LBRACK] = ACTIONS(4951),
    [anon_sym_chan] = ACTIONS(4953),
    [anon_sym_shared] = ACTIONS(4955),
    [anon_sym_thread] = ACTIONS(4957),
    [anon_sym_array] = ACTIONS(4564),
    [anon_sym_string] = ACTIONS(4564),
    [anon_sym_char] = ACTIONS(4564),
    [anon_sym_C] = ACTIONS(3046),
    [anon_sym_JS] = ACTIONS(3046),
    [anon_sym_voidptr] = ACTIONS(4564),
    [anon_sym_byteptr] = ACTIONS(4564),
    [anon_sym_charptr] = ACTIONS(4564),
    [anon_sym_i8] = ACTIONS(4564),
    [anon_sym_i16] = ACTIONS(4564),
    [anon_sym_i32] = ACTIONS(4564),
    [anon_sym_int] = ACTIONS(4564),
    [anon_sym_i64] = ACTIONS(4564),
    [anon_sym_byte] = ACTIONS(4564),
    [anon_sym_u8] = ACTIONS(4564),
    [anon_sym_u16] = ACTIONS(4564),
    [anon_sym_u32] = ACTIONS(4564),
    [anon_sym_u64] = ACTIONS(4564),
    [anon_sym_f32] = ACTIONS(4564),
    [anon_sym_f64] = ACTIONS(4564),
    [anon_sym_bool] = ACTIONS(4564),
    [anon_sym_rune] = ACTIONS(4564),
    [anon_sym_map] = ACTIONS(4564),
    [anon_sym_mapnode] = ACTIONS(4564),
    [anon_sym_size_t] = ACTIONS(4564),
    [anon_sym_usize] = ACTIONS(4564),
    [anon_sym_isize] = ACTIONS(4564),
    [anon_sym_float_literal] = ACTIONS(4564),
    [anon_sym_int_literal] = ACTIONS(4564),
    [anon_sym_IError] = ACTIONS(4564),
    [sym_type_placeholder] = ACTIONS(4568),
    [sym_type_identifier] = ACTIONS(4570),
    [anon_sym_fn] = ACTIONS(4959),
    [sym__comment] = ACTIONS(3),
  },
  [1962] = {
    [sym_comment] = STATE(1962),
    [sym_fixed_array_type] = STATE(3519),
    [sym_array_type] = STATE(3519),
    [sym_pointer_type] = STATE(3519),
    [sym_map_type] = STATE(3519),
    [sym_channel_type] = STATE(3519),
    [sym_shared_type] = STATE(3519),
    [sym_thread_type] = STATE(3519),
    [sym_binded_identifier] = STATE(3526),
    [sym__simple_type] = STATE(3522),
    [sym_builtin_type] = STATE(3519),
    [sym__binded_type] = STATE(3519),
    [sym_generic_type] = STATE(3519),
    [sym_qualified_type] = STATE(3487),
    [sym_function_type] = STATE(3519),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_CR] = ACTIONS(744),
    [anon_sym_CR_LF] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_map_LBRACK] = ACTIONS(4831),
    [anon_sym_chan] = ACTIONS(4833),
    [anon_sym_shared] = ACTIONS(4835),
    [anon_sym_thread] = ACTIONS(4837),
    [anon_sym_array] = ACTIONS(4839),
    [anon_sym_string] = ACTIONS(4839),
    [anon_sym_char] = ACTIONS(4839),
    [sym__old_identifier] = ACTIONS(744),
    [anon_sym_mut] = ACTIONS(744),
    [anon_sym_C] = ACTIONS(4841),
    [anon_sym_JS] = ACTIONS(4841),
    [anon_sym_voidptr] = ACTIONS(4839),
    [anon_sym_byteptr] = ACTIONS(4839),
    [anon_sym_charptr] = ACTIONS(4839),
    [anon_sym_i8] = ACTIONS(4839),
    [anon_sym_i16] = ACTIONS(4839),
    [anon_sym_i32] = ACTIONS(4839),
    [anon_sym_int] = ACTIONS(4839),
    [anon_sym_i64] = ACTIONS(4839),
    [anon_sym_byte] = ACTIONS(4839),
    [anon_sym_u8] = ACTIONS(4839),
    [anon_sym_u16] = ACTIONS(4839),
    [anon_sym_u32] = ACTIONS(4839),
    [anon_sym_u64] = ACTIONS(4839),
    [anon_sym_f32] = ACTIONS(4839),
    [anon_sym_f64] = ACTIONS(4839),
    [anon_sym_bool] = ACTIONS(4839),
    [anon_sym_rune] = ACTIONS(4839),
    [anon_sym_map] = ACTIONS(4839),
    [anon_sym_mapnode] = ACTIONS(4839),
    [anon_sym_size_t] = ACTIONS(4839),
    [anon_sym_usize] = ACTIONS(4839),
    [anon_sym_isize] = ACTIONS(4839),
    [anon_sym_float_literal] = ACTIONS(4839),
    [anon_sym_int_literal] = ACTIONS(4839),
    [anon_sym_IError] = ACTIONS(4839),
    [sym_type_placeholder] = ACTIONS(4843),
    [sym_type_identifier] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_pub] = ACTIONS(744),
    [anon_sym_fn] = ACTIONS(4847),
    [anon_sym___global] = ACTIONS(744),
    [sym__comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(1963), 1,
      sym_comment,
    STATE(2597), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4358), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [111] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_block,
    STATE(1964), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4508), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [222] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(1965), 1,
      sym_comment,
    STATE(2575), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4464), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [333] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    STATE(156), 1,
      sym_block,
    STATE(1966), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4291), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [444] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4851), 1,
      anon_sym_AMP,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4857), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    STATE(1967), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2611), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(744), 8,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [547] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_block,
    STATE(1968), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4043), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [658] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(887), 1,
      sym_block,
    STATE(1969), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4578), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [769] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(1700), 1,
      sym_block,
    STATE(1970), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4141), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [880] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(1971), 1,
      sym_comment,
    STATE(2950), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4512), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [991] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(1972), 1,
      sym_comment,
    STATE(2406), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4592), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1102] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(1027), 1,
      sym_block,
    STATE(1973), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4309), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1213] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    STATE(132), 1,
      sym_block,
    STATE(1974), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4540), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1324] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(1975), 1,
      sym_comment,
    STATE(2399), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4121), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1435] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(1023), 1,
      sym_block,
    STATE(1976), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4406), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1546] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(1977), 1,
      sym_comment,
    STATE(2601), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4401), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1657] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4851), 1,
      anon_sym_AMP,
    ACTIONS(4857), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    STATE(1978), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2629), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(744), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1754] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(1979), 1,
      sym_comment,
    STATE(3033), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4115), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1865] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(1980), 1,
      sym_comment,
    STATE(3143), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4430), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [1976] = 22,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4975), 1,
      anon_sym_LPAREN,
    ACTIONS(4977), 1,
      anon_sym_BANG,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4981), 1,
      anon_sym_QMARK,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(1981), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(644), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3741), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2085] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_comment,
    STATE(2262), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4268), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2196] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(1373), 1,
      sym_block,
    STATE(1983), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4624), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2307] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(1362), 1,
      sym_block,
    STATE(1984), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4096), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2418] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(1985), 1,
      sym_comment,
    STATE(2562), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4167), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2529] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(1986), 1,
      sym_comment,
    STATE(2273), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4483), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2640] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(1987), 1,
      sym_comment,
    STATE(2990), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4518), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2751] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_block,
    STATE(1988), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4424), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2862] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(1205), 1,
      sym_block,
    STATE(1989), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4299), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [2973] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(1990), 1,
      sym_comment,
    STATE(2581), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4288), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3084] = 23,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_comment,
    STATE(2596), 1,
      sym_block,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4436), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3195] = 22,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    ACTIONS(3396), 1,
      anon_sym_BANG,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3402), 1,
      anon_sym_QMARK,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    ACTIONS(5005), 1,
      anon_sym_EQ,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1992), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1554), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3303] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4546), 1,
      anon_sym_LPAREN,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4919), 1,
      anon_sym_AMP,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(4925), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    STATE(1993), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2614), 2,
      sym_multi_return_type,
      sym__simple_type,
    ACTIONS(740), 5,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_mut,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3407] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4546), 1,
      anon_sym_LPAREN,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4919), 1,
      anon_sym_AMP,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(4925), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    STATE(1994), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2606), 2,
      sym_multi_return_type,
      sym__simple_type,
    ACTIONS(736), 5,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_mut,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3511] = 22,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    ACTIONS(5009), 1,
      anon_sym_BANG,
    ACTIONS(5011), 1,
      anon_sym_AMP,
    ACTIONS(5013), 1,
      anon_sym_QMARK,
    ACTIONS(5015), 1,
      anon_sym_LBRACK,
    ACTIONS(5017), 1,
      anon_sym_map_LBRACK,
    ACTIONS(5019), 1,
      anon_sym_EQ,
    STATE(1995), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4144), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3619] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4668), 1,
      anon_sym_chan,
    ACTIONS(4670), 1,
      anon_sym_shared,
    ACTIONS(4672), 1,
      anon_sym_thread,
    ACTIONS(4674), 1,
      anon_sym_fn,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    ACTIONS(5021), 1,
      anon_sym_BANG,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_QMARK,
    ACTIONS(5027), 1,
      anon_sym_LBRACK,
    ACTIONS(5029), 1,
      anon_sym_map_LBRACK,
    STATE(1996), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2661), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3724] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(1997), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3777), 2,
      sym_multi_return_type,
      sym__simple_type,
    ACTIONS(738), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3827] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4871), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5031), 1,
      anon_sym_static,
    STATE(1998), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4408), 3,
      sym_variadic_type,
      sym_option_type,
      sym__simple_type,
    ACTIONS(4753), 5,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
      sym_identifier,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 25,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [3932] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4620), 1,
      anon_sym_chan,
    ACTIONS(4622), 1,
      anon_sym_shared,
    ACTIONS(4624), 1,
      anon_sym_thread,
    ACTIONS(4626), 1,
      anon_sym_fn,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_BANG,
    ACTIONS(5035), 1,
      anon_sym_AMP,
    ACTIONS(5037), 1,
      anon_sym_QMARK,
    ACTIONS(5039), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_map_LBRACK,
    STATE(1999), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2661), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4037] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4628), 1,
      sym_identifier,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    ACTIONS(4636), 1,
      anon_sym_QMARK,
    ACTIONS(4638), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4642), 1,
      anon_sym_chan,
    ACTIONS(4644), 1,
      anon_sym_shared,
    ACTIONS(4646), 1,
      anon_sym_thread,
    ACTIONS(4652), 1,
      sym_type_placeholder,
    ACTIONS(4654), 1,
      sym_type_identifier,
    ACTIONS(4656), 1,
      anon_sym_fn,
    ACTIONS(5043), 1,
      anon_sym_BANG,
    ACTIONS(5045), 1,
      anon_sym_AMP,
    STATE(2000), 1,
      sym_comment,
    STATE(2938), 1,
      sym_qualified_type,
    STATE(3066), 1,
      sym_binded_identifier,
    ACTIONS(4650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3048), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3067), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4142] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1070), 1,
      anon_sym_LPAREN,
    ACTIONS(1076), 1,
      anon_sym_QMARK,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_map_LBRACK,
    ACTIONS(1082), 1,
      anon_sym_chan,
    ACTIONS(1084), 1,
      anon_sym_shared,
    ACTIONS(1086), 1,
      anon_sym_thread,
    ACTIONS(1092), 1,
      sym_type_placeholder,
    ACTIONS(1094), 1,
      sym_type_identifier,
    ACTIONS(1096), 1,
      anon_sym_fn,
    ACTIONS(5047), 1,
      anon_sym_BANG,
    ACTIONS(5049), 1,
      anon_sym_AMP,
    STATE(999), 1,
      sym_qualified_type,
    STATE(1092), 1,
      sym_binded_identifier,
    STATE(2001), 1,
      sym_comment,
    ACTIONS(1090), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1110), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(1089), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(1088), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4247] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    ACTIONS(5051), 1,
      anon_sym_BANG,
    ACTIONS(5053), 1,
      anon_sym_AMP,
    ACTIONS(5055), 1,
      anon_sym_QMARK,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5059), 1,
      anon_sym_map_LBRACK,
    STATE(2002), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2661), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4352] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    ACTIONS(5009), 1,
      anon_sym_BANG,
    ACTIONS(5011), 1,
      anon_sym_AMP,
    ACTIONS(5013), 1,
      anon_sym_QMARK,
    ACTIONS(5015), 1,
      anon_sym_LBRACK,
    ACTIONS(5017), 1,
      anon_sym_map_LBRACK,
    STATE(2003), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2661), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4457] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(4833), 1,
      anon_sym_chan,
    ACTIONS(4835), 1,
      anon_sym_shared,
    ACTIONS(4837), 1,
      anon_sym_thread,
    ACTIONS(4843), 1,
      sym_type_placeholder,
    ACTIONS(4845), 1,
      sym_type_identifier,
    ACTIONS(4847), 1,
      anon_sym_fn,
    ACTIONS(5061), 1,
      anon_sym_LPAREN,
    ACTIONS(5063), 1,
      anon_sym_BANG,
    ACTIONS(5065), 1,
      anon_sym_AMP,
    ACTIONS(5067), 1,
      anon_sym_QMARK,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_map_LBRACK,
    STATE(2004), 1,
      sym_comment,
    STATE(3487), 1,
      sym_qualified_type,
    STATE(3526), 1,
      sym_binded_identifier,
    ACTIONS(4841), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3497), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3519), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4839), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4562] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(770), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_QMARK,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_map_LBRACK,
    ACTIONS(782), 1,
      anon_sym_chan,
    ACTIONS(784), 1,
      anon_sym_shared,
    ACTIONS(786), 1,
      anon_sym_thread,
    ACTIONS(792), 1,
      sym_type_placeholder,
    ACTIONS(794), 1,
      sym_type_identifier,
    ACTIONS(796), 1,
      anon_sym_fn,
    ACTIONS(5073), 1,
      anon_sym_BANG,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    STATE(807), 1,
      sym_qualified_type,
    STATE(949), 1,
      sym_binded_identifier,
    STATE(2005), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(948), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(937), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(788), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4667] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4480), 1,
      sym_identifier,
    ACTIONS(4494), 1,
      anon_sym_chan,
    ACTIONS(4496), 1,
      anon_sym_shared,
    ACTIONS(4498), 1,
      anon_sym_thread,
    ACTIONS(4504), 1,
      sym_type_placeholder,
    ACTIONS(4506), 1,
      sym_type_identifier,
    ACTIONS(4508), 1,
      anon_sym_fn,
    ACTIONS(5077), 1,
      anon_sym_LPAREN,
    ACTIONS(5079), 1,
      anon_sym_BANG,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5083), 1,
      anon_sym_QMARK,
    ACTIONS(5085), 1,
      anon_sym_LBRACK,
    ACTIONS(5087), 1,
      anon_sym_map_LBRACK,
    STATE(2006), 1,
      sym_comment,
    STATE(2566), 1,
      sym_qualified_type,
    STATE(2858), 1,
      sym_binded_identifier,
    ACTIONS(4502), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2883), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2852), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4500), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4772] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3636), 1,
      anon_sym_QMARK,
    ACTIONS(3638), 1,
      anon_sym_LBRACK,
    ACTIONS(3640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3642), 1,
      anon_sym_chan,
    ACTIONS(3644), 1,
      anon_sym_shared,
    ACTIONS(3646), 1,
      anon_sym_thread,
    ACTIONS(3652), 1,
      sym_type_placeholder,
    ACTIONS(3654), 1,
      sym_type_identifier,
    ACTIONS(3656), 1,
      anon_sym_fn,
    ACTIONS(5089), 1,
      anon_sym_BANG,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(2007), 1,
      sym_comment,
    STATE(2271), 1,
      sym_qualified_type,
    STATE(2323), 1,
      sym_binded_identifier,
    ACTIONS(3650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2337), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2339), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4877] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_BANG,
    STATE(2008), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3752), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [4982] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3166), 1,
      sym_identifier,
    ACTIONS(3168), 1,
      anon_sym_LPAREN,
    ACTIONS(3174), 1,
      anon_sym_QMARK,
    ACTIONS(3176), 1,
      anon_sym_LBRACK,
    ACTIONS(3178), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3180), 1,
      anon_sym_chan,
    ACTIONS(3182), 1,
      anon_sym_shared,
    ACTIONS(3184), 1,
      anon_sym_thread,
    ACTIONS(3190), 1,
      sym_type_placeholder,
    ACTIONS(3192), 1,
      sym_type_identifier,
    ACTIONS(3194), 1,
      anon_sym_fn,
    ACTIONS(5093), 1,
      anon_sym_BANG,
    ACTIONS(5095), 1,
      anon_sym_AMP,
    STATE(1191), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_binded_identifier,
    STATE(2009), 1,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1307), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(1237), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3186), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5087] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4708), 1,
      sym_identifier,
    ACTIONS(4710), 1,
      anon_sym_LPAREN,
    ACTIONS(4716), 1,
      anon_sym_QMARK,
    ACTIONS(4718), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_chan,
    ACTIONS(4724), 1,
      anon_sym_shared,
    ACTIONS(4726), 1,
      anon_sym_thread,
    ACTIONS(4732), 1,
      sym_type_placeholder,
    ACTIONS(4734), 1,
      sym_type_identifier,
    ACTIONS(4736), 1,
      anon_sym_fn,
    ACTIONS(5097), 1,
      anon_sym_BANG,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    STATE(2010), 1,
      sym_comment,
    STATE(3097), 1,
      sym_qualified_type,
    STATE(3322), 1,
      sym_binded_identifier,
    ACTIONS(4730), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3301), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3312), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4728), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5192] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3688), 1,
      sym_identifier,
    ACTIONS(3690), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_QMARK,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    ACTIONS(3700), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_chan,
    ACTIONS(3704), 1,
      anon_sym_shared,
    ACTIONS(3706), 1,
      anon_sym_thread,
    ACTIONS(3712), 1,
      sym_type_placeholder,
    ACTIONS(3714), 1,
      sym_type_identifier,
    ACTIONS(3716), 1,
      anon_sym_fn,
    ACTIONS(5101), 1,
      anon_sym_BANG,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    STATE(2011), 1,
      sym_comment,
    STATE(2402), 1,
      sym_qualified_type,
    STATE(2465), 1,
      sym_binded_identifier,
    ACTIONS(3710), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2488), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2440), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3708), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5297] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3356), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_chan,
    ACTIONS(3372), 1,
      anon_sym_shared,
    ACTIONS(3374), 1,
      anon_sym_thread,
    ACTIONS(3380), 1,
      sym_type_placeholder,
    ACTIONS(3382), 1,
      sym_type_identifier,
    ACTIONS(3384), 1,
      anon_sym_fn,
    ACTIONS(5105), 1,
      anon_sym_LPAREN,
    ACTIONS(5107), 1,
      anon_sym_BANG,
    ACTIONS(5109), 1,
      anon_sym_AMP,
    ACTIONS(5111), 1,
      anon_sym_QMARK,
    ACTIONS(5113), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 1,
      anon_sym_map_LBRACK,
    STATE(1348), 1,
      sym_qualified_type,
    STATE(1395), 1,
      sym_binded_identifier,
    STATE(2012), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1383), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(1384), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3376), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5402] = 22,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4871), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5117), 1,
      anon_sym_mut,
    STATE(2013), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4559), 1,
      sym_type_parameter_declaration,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4399), 3,
      sym_variadic_type,
      sym_option_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5509] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4558), 1,
      anon_sym_chan,
    ACTIONS(4560), 1,
      anon_sym_shared,
    ACTIONS(4562), 1,
      anon_sym_thread,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4572), 1,
      anon_sym_fn,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    ACTIONS(5119), 1,
      anon_sym_BANG,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_QMARK,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 1,
      anon_sym_map_LBRACK,
    STATE(2014), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2661), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5614] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2015), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2652), 2,
      sym_multi_return_type,
      sym__simple_type,
    ACTIONS(734), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5717] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    ACTIONS(5129), 1,
      anon_sym_BANG,
    ACTIONS(5131), 1,
      anon_sym_AMP,
    ACTIONS(5133), 1,
      anon_sym_QMARK,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5137), 1,
      anon_sym_map_LBRACK,
    STATE(2016), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2661), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5822] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4510), 1,
      sym_identifier,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4518), 1,
      anon_sym_QMARK,
    ACTIONS(4520), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4524), 1,
      anon_sym_chan,
    ACTIONS(4526), 1,
      anon_sym_shared,
    ACTIONS(4528), 1,
      anon_sym_thread,
    ACTIONS(4534), 1,
      sym_type_placeholder,
    ACTIONS(4536), 1,
      sym_type_identifier,
    ACTIONS(4538), 1,
      anon_sym_fn,
    ACTIONS(5139), 1,
      anon_sym_BANG,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    STATE(2017), 1,
      sym_comment,
    STATE(2573), 1,
      sym_qualified_type,
    STATE(2771), 1,
      sym_binded_identifier,
    ACTIONS(4532), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2764), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(2820), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4530), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [5927] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3556), 1,
      sym_identifier,
    ACTIONS(3558), 1,
      anon_sym_LPAREN,
    ACTIONS(3564), 1,
      anon_sym_QMARK,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3570), 1,
      anon_sym_chan,
    ACTIONS(3572), 1,
      anon_sym_shared,
    ACTIONS(3574), 1,
      anon_sym_thread,
    ACTIONS(3580), 1,
      sym_type_placeholder,
    ACTIONS(3582), 1,
      sym_type_identifier,
    ACTIONS(3584), 1,
      anon_sym_fn,
    ACTIONS(5143), 1,
      anon_sym_BANG,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    STATE(1668), 1,
      sym_qualified_type,
    STATE(1749), 1,
      sym_binded_identifier,
    STATE(2018), 1,
      sym_comment,
    ACTIONS(3578), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1800), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(1743), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3576), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6032] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4678), 1,
      sym_identifier,
    ACTIONS(4680), 1,
      anon_sym_LPAREN,
    ACTIONS(4686), 1,
      anon_sym_QMARK,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4692), 1,
      anon_sym_chan,
    ACTIONS(4694), 1,
      anon_sym_shared,
    ACTIONS(4696), 1,
      anon_sym_thread,
    ACTIONS(4702), 1,
      sym_type_placeholder,
    ACTIONS(4704), 1,
      sym_type_identifier,
    ACTIONS(4706), 1,
      anon_sym_fn,
    ACTIONS(5147), 1,
      anon_sym_BANG,
    ACTIONS(5149), 1,
      anon_sym_AMP,
    STATE(2019), 1,
      sym_comment,
    STATE(3003), 1,
      sym_qualified_type,
    STATE(3225), 1,
      sym_binded_identifier,
    ACTIONS(4700), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3277), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3253), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4698), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6137] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(646), 1,
      sym_identifier,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(656), 1,
      anon_sym_QMARK,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(660), 1,
      anon_sym_map_LBRACK,
    ACTIONS(662), 1,
      anon_sym_chan,
    ACTIONS(664), 1,
      anon_sym_shared,
    ACTIONS(666), 1,
      anon_sym_thread,
    ACTIONS(672), 1,
      sym_type_placeholder,
    ACTIONS(674), 1,
      sym_type_identifier,
    ACTIONS(676), 1,
      anon_sym_fn,
    ACTIONS(5151), 1,
      anon_sym_BANG,
    ACTIONS(5153), 1,
      anon_sym_AMP,
    STATE(126), 1,
      sym_qualified_type,
    STATE(173), 1,
      sym_binded_identifier,
    STATE(2020), 1,
      sym_comment,
    ACTIONS(670), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(225), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(168), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(668), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6242] = 22,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    ACTIONS(5053), 1,
      anon_sym_AMP,
    ACTIONS(5055), 1,
      anon_sym_QMARK,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5059), 1,
      anon_sym_map_LBRACK,
    ACTIONS(5155), 1,
      anon_sym_LPAREN,
    ACTIONS(5157), 1,
      anon_sym_DOT,
    STATE(2021), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1954), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
    STATE(3488), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6349] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    ACTIONS(3396), 1,
      anon_sym_BANG,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3402), 1,
      anon_sym_QMARK,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(2022), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1527), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6454] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4975), 1,
      anon_sym_LPAREN,
    ACTIONS(4977), 1,
      anon_sym_BANG,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4981), 1,
      anon_sym_QMARK,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2023), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3752), 4,
      sym_option_type,
      sym_result_type,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6559] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2024), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3760), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(742), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6659] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4919), 1,
      anon_sym_AMP,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(4925), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    STATE(2025), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2629), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(744), 7,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6755] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4546), 1,
      anon_sym_LPAREN,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    STATE(2026), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2614), 2,
      sym_multi_return_type,
      sym__simple_type,
    ACTIONS(740), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6857] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2027), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3684), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(742), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [6957] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4546), 1,
      anon_sym_LPAREN,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    STATE(2028), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2606), 2,
      sym_multi_return_type,
      sym__simple_type,
    ACTIONS(736), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7059] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4919), 1,
      anon_sym_AMP,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(4925), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    STATE(2029), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2611), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(744), 5,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_mut,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7159] = 21,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4871), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5159), 1,
      anon_sym_DOT,
    STATE(2030), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4392), 3,
      sym_variadic_type,
      sym_option_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7263] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4871), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2031), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4392), 3,
      sym_variadic_type,
      sym_option_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7364] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(1646), 1,
      anon_sym_QMARK,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    ACTIONS(4871), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2032), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4408), 3,
      sym_variadic_type,
      sym_option_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7465] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4975), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2033), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(738), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3777), 2,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7566] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4975), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2034), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(734), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4584), 2,
      sym_multi_return_type,
      sym__simple_type,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7667] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3356), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_chan,
    ACTIONS(3372), 1,
      anon_sym_shared,
    ACTIONS(3374), 1,
      anon_sym_thread,
    ACTIONS(3380), 1,
      sym_type_placeholder,
    ACTIONS(3382), 1,
      sym_type_identifier,
    ACTIONS(3384), 1,
      anon_sym_fn,
    ACTIONS(5109), 1,
      anon_sym_AMP,
    ACTIONS(5111), 1,
      anon_sym_QMARK,
    ACTIONS(5113), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 1,
      anon_sym_map_LBRACK,
    ACTIONS(5161), 1,
      sym_none,
    STATE(1348), 1,
      sym_qualified_type,
    STATE(1395), 1,
      sym_binded_identifier,
    STATE(2035), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1441), 2,
      sym_option_type,
      sym__simple_type,
    STATE(1384), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3376), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7767] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    ACTIONS(5053), 1,
      anon_sym_AMP,
    ACTIONS(5055), 1,
      anon_sym_QMARK,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5059), 1,
      anon_sym_map_LBRACK,
    ACTIONS(5157), 1,
      anon_sym_DOT,
    STATE(2036), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3488), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7867] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4708), 1,
      sym_identifier,
    ACTIONS(4716), 1,
      anon_sym_QMARK,
    ACTIONS(4718), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_chan,
    ACTIONS(4724), 1,
      anon_sym_shared,
    ACTIONS(4726), 1,
      anon_sym_thread,
    ACTIONS(4732), 1,
      sym_type_placeholder,
    ACTIONS(4734), 1,
      sym_type_identifier,
    ACTIONS(4736), 1,
      anon_sym_fn,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(5163), 1,
      sym_none,
    STATE(2037), 1,
      sym_comment,
    STATE(3097), 1,
      sym_qualified_type,
    STATE(3322), 1,
      sym_binded_identifier,
    ACTIONS(4730), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3328), 2,
      sym_option_type,
      sym__simple_type,
    STATE(3312), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4728), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [7967] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4628), 1,
      sym_identifier,
    ACTIONS(4636), 1,
      anon_sym_QMARK,
    ACTIONS(4638), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4642), 1,
      anon_sym_chan,
    ACTIONS(4644), 1,
      anon_sym_shared,
    ACTIONS(4646), 1,
      anon_sym_thread,
    ACTIONS(4652), 1,
      sym_type_placeholder,
    ACTIONS(4654), 1,
      sym_type_identifier,
    ACTIONS(4656), 1,
      anon_sym_fn,
    ACTIONS(5045), 1,
      anon_sym_AMP,
    ACTIONS(5165), 1,
      sym_none,
    STATE(2038), 1,
      sym_comment,
    STATE(2938), 1,
      sym_qualified_type,
    STATE(3066), 1,
      sym_binded_identifier,
    ACTIONS(4650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3133), 2,
      sym_option_type,
      sym__simple_type,
    STATE(3067), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8067] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    STATE(2039), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2629), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(744), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8165] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3688), 1,
      sym_identifier,
    ACTIONS(3696), 1,
      anon_sym_QMARK,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    ACTIONS(3700), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_chan,
    ACTIONS(3704), 1,
      anon_sym_shared,
    ACTIONS(3706), 1,
      anon_sym_thread,
    ACTIONS(3712), 1,
      sym_type_placeholder,
    ACTIONS(3714), 1,
      sym_type_identifier,
    ACTIONS(3716), 1,
      anon_sym_fn,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    ACTIONS(5167), 1,
      sym_none,
    STATE(2040), 1,
      sym_comment,
    STATE(2402), 1,
      sym_qualified_type,
    STATE(2465), 1,
      sym_binded_identifier,
    ACTIONS(3710), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2426), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2440), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3708), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8265] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4678), 1,
      sym_identifier,
    ACTIONS(4686), 1,
      anon_sym_QMARK,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4692), 1,
      anon_sym_chan,
    ACTIONS(4694), 1,
      anon_sym_shared,
    ACTIONS(4696), 1,
      anon_sym_thread,
    ACTIONS(4702), 1,
      sym_type_placeholder,
    ACTIONS(4704), 1,
      sym_type_identifier,
    ACTIONS(4706), 1,
      anon_sym_fn,
    ACTIONS(5149), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      sym_none,
    STATE(2041), 1,
      sym_comment,
    STATE(3003), 1,
      sym_qualified_type,
    STATE(3225), 1,
      sym_binded_identifier,
    ACTIONS(4700), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3220), 2,
      sym_option_type,
      sym__simple_type,
    STATE(3253), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4698), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8365] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3556), 1,
      sym_identifier,
    ACTIONS(3564), 1,
      anon_sym_QMARK,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3570), 1,
      anon_sym_chan,
    ACTIONS(3572), 1,
      anon_sym_shared,
    ACTIONS(3574), 1,
      anon_sym_thread,
    ACTIONS(3580), 1,
      sym_type_placeholder,
    ACTIONS(3582), 1,
      sym_type_identifier,
    ACTIONS(3584), 1,
      anon_sym_fn,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    ACTIONS(5171), 1,
      sym_none,
    STATE(1668), 1,
      sym_qualified_type,
    STATE(1749), 1,
      sym_binded_identifier,
    STATE(2042), 1,
      sym_comment,
    ACTIONS(3578), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1763), 2,
      sym_option_type,
      sym__simple_type,
    STATE(1743), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3576), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8465] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4558), 1,
      anon_sym_chan,
    ACTIONS(4560), 1,
      anon_sym_shared,
    ACTIONS(4562), 1,
      anon_sym_thread,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4572), 1,
      anon_sym_fn,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_QMARK,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 1,
      anon_sym_map_LBRACK,
    ACTIONS(5173), 1,
      sym_none,
    STATE(2043), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2797), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8565] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3166), 1,
      sym_identifier,
    ACTIONS(3174), 1,
      anon_sym_QMARK,
    ACTIONS(3176), 1,
      anon_sym_LBRACK,
    ACTIONS(3178), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3180), 1,
      anon_sym_chan,
    ACTIONS(3182), 1,
      anon_sym_shared,
    ACTIONS(3184), 1,
      anon_sym_thread,
    ACTIONS(3190), 1,
      sym_type_placeholder,
    ACTIONS(3192), 1,
      sym_type_identifier,
    ACTIONS(3194), 1,
      anon_sym_fn,
    ACTIONS(5095), 1,
      anon_sym_AMP,
    ACTIONS(5175), 1,
      sym_none,
    STATE(1191), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_binded_identifier,
    STATE(2044), 1,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1314), 2,
      sym_option_type,
      sym__simple_type,
    STATE(1237), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3186), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8665] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_QMARK,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_map_LBRACK,
    ACTIONS(782), 1,
      anon_sym_chan,
    ACTIONS(784), 1,
      anon_sym_shared,
    ACTIONS(786), 1,
      anon_sym_thread,
    ACTIONS(792), 1,
      sym_type_placeholder,
    ACTIONS(794), 1,
      sym_type_identifier,
    ACTIONS(796), 1,
      anon_sym_fn,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(5177), 1,
      sym_none,
    STATE(807), 1,
      sym_qualified_type,
    STATE(949), 1,
      sym_binded_identifier,
    STATE(2045), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(927), 2,
      sym_option_type,
      sym__simple_type,
    STATE(937), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(788), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8765] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(646), 1,
      sym_identifier,
    ACTIONS(656), 1,
      anon_sym_QMARK,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(660), 1,
      anon_sym_map_LBRACK,
    ACTIONS(662), 1,
      anon_sym_chan,
    ACTIONS(664), 1,
      anon_sym_shared,
    ACTIONS(666), 1,
      anon_sym_thread,
    ACTIONS(672), 1,
      sym_type_placeholder,
    ACTIONS(674), 1,
      sym_type_identifier,
    ACTIONS(676), 1,
      anon_sym_fn,
    ACTIONS(5153), 1,
      anon_sym_AMP,
    ACTIONS(5179), 1,
      sym_none,
    STATE(126), 1,
      sym_qualified_type,
    STATE(173), 1,
      sym_binded_identifier,
    STATE(2046), 1,
      sym_comment,
    ACTIONS(670), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(230), 2,
      sym_option_type,
      sym__simple_type,
    STATE(168), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(668), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8865] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3636), 1,
      anon_sym_QMARK,
    ACTIONS(3638), 1,
      anon_sym_LBRACK,
    ACTIONS(3640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3642), 1,
      anon_sym_chan,
    ACTIONS(3644), 1,
      anon_sym_shared,
    ACTIONS(3646), 1,
      anon_sym_thread,
    ACTIONS(3652), 1,
      sym_type_placeholder,
    ACTIONS(3654), 1,
      sym_type_identifier,
    ACTIONS(3656), 1,
      anon_sym_fn,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    ACTIONS(5181), 1,
      sym_none,
    STATE(2047), 1,
      sym_comment,
    STATE(2271), 1,
      sym_qualified_type,
    STATE(2323), 1,
      sym_binded_identifier,
    ACTIONS(3650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2345), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2339), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [8965] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4620), 1,
      anon_sym_chan,
    ACTIONS(4622), 1,
      anon_sym_shared,
    ACTIONS(4624), 1,
      anon_sym_thread,
    ACTIONS(4626), 1,
      anon_sym_fn,
    ACTIONS(5035), 1,
      anon_sym_AMP,
    ACTIONS(5037), 1,
      anon_sym_QMARK,
    ACTIONS(5039), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_map_LBRACK,
    ACTIONS(5173), 1,
      sym_none,
    STATE(2048), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2797), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9065] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4510), 1,
      sym_identifier,
    ACTIONS(4518), 1,
      anon_sym_QMARK,
    ACTIONS(4520), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4524), 1,
      anon_sym_chan,
    ACTIONS(4526), 1,
      anon_sym_shared,
    ACTIONS(4528), 1,
      anon_sym_thread,
    ACTIONS(4534), 1,
      sym_type_placeholder,
    ACTIONS(4536), 1,
      sym_type_identifier,
    ACTIONS(4538), 1,
      anon_sym_fn,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      sym_none,
    STATE(2049), 1,
      sym_comment,
    STATE(2573), 1,
      sym_qualified_type,
    STATE(2771), 1,
      sym_binded_identifier,
    ACTIONS(4532), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2881), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2820), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4530), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9165] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4480), 1,
      sym_identifier,
    ACTIONS(4494), 1,
      anon_sym_chan,
    ACTIONS(4496), 1,
      anon_sym_shared,
    ACTIONS(4498), 1,
      anon_sym_thread,
    ACTIONS(4504), 1,
      sym_type_placeholder,
    ACTIONS(4506), 1,
      sym_type_identifier,
    ACTIONS(4508), 1,
      anon_sym_fn,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5083), 1,
      anon_sym_QMARK,
    ACTIONS(5085), 1,
      anon_sym_LBRACK,
    ACTIONS(5087), 1,
      anon_sym_map_LBRACK,
    ACTIONS(5185), 1,
      sym_none,
    STATE(2050), 1,
      sym_comment,
    STATE(2566), 1,
      sym_qualified_type,
    STATE(2858), 1,
      sym_binded_identifier,
    ACTIONS(4502), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2679), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2852), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4500), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9265] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1076), 1,
      anon_sym_QMARK,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_map_LBRACK,
    ACTIONS(1082), 1,
      anon_sym_chan,
    ACTIONS(1084), 1,
      anon_sym_shared,
    ACTIONS(1086), 1,
      anon_sym_thread,
    ACTIONS(1092), 1,
      sym_type_placeholder,
    ACTIONS(1094), 1,
      sym_type_identifier,
    ACTIONS(1096), 1,
      anon_sym_fn,
    ACTIONS(5049), 1,
      anon_sym_AMP,
    ACTIONS(5187), 1,
      sym_none,
    STATE(999), 1,
      sym_qualified_type,
    STATE(1092), 1,
      sym_binded_identifier,
    STATE(2051), 1,
      sym_comment,
    ACTIONS(1090), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1113), 2,
      sym_option_type,
      sym__simple_type,
    STATE(1089), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(1088), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9365] = 20,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4668), 1,
      anon_sym_chan,
    ACTIONS(4670), 1,
      anon_sym_shared,
    ACTIONS(4672), 1,
      anon_sym_thread,
    ACTIONS(4674), 1,
      anon_sym_fn,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_QMARK,
    ACTIONS(5027), 1,
      anon_sym_LBRACK,
    ACTIONS(5029), 1,
      anon_sym_map_LBRACK,
    ACTIONS(5173), 1,
      sym_none,
    STATE(2052), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2797), 2,
      sym_option_type,
      sym__simple_type,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9465] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    STATE(2053), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2611), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(744), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9563] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(4833), 1,
      anon_sym_chan,
    ACTIONS(4835), 1,
      anon_sym_shared,
    ACTIONS(4837), 1,
      anon_sym_thread,
    ACTIONS(4843), 1,
      sym_type_placeholder,
    ACTIONS(4845), 1,
      sym_type_identifier,
    ACTIONS(4847), 1,
      anon_sym_fn,
    ACTIONS(5065), 1,
      anon_sym_AMP,
    ACTIONS(5067), 1,
      anon_sym_QMARK,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_map_LBRACK,
    STATE(2054), 1,
      sym_comment,
    STATE(3487), 1,
      sym_qualified_type,
    STATE(3526), 1,
      sym_binded_identifier,
    ACTIONS(4841), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3491), 2,
      sym_option_type,
      sym__simple_type,
    STATE(3519), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4839), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9660] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(4833), 1,
      anon_sym_chan,
    ACTIONS(4835), 1,
      anon_sym_shared,
    ACTIONS(4837), 1,
      anon_sym_thread,
    ACTIONS(4843), 1,
      sym_type_placeholder,
    ACTIONS(4845), 1,
      sym_type_identifier,
    ACTIONS(4847), 1,
      anon_sym_fn,
    ACTIONS(5065), 1,
      anon_sym_AMP,
    ACTIONS(5067), 1,
      anon_sym_QMARK,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_map_LBRACK,
    STATE(2055), 1,
      sym_comment,
    STATE(3487), 1,
      sym_qualified_type,
    STATE(3526), 1,
      sym_binded_identifier,
    ACTIONS(4841), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3490), 2,
      sym_option_type,
      sym__simple_type,
    STATE(3519), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4839), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9757] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2056), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3760), 1,
      sym__simple_type,
    ACTIONS(742), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9854] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2057), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3684), 1,
      sym__simple_type,
    ACTIONS(742), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [9951] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2058), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3662), 1,
      sym__simple_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    ACTIONS(4753), 5,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
      sym_identifier,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 25,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10045] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2059), 1,
      sym_comment,
    ACTIONS(1130), 15,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
    ACTIONS(1132), 40,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [10111] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2060), 1,
      sym_comment,
    ACTIONS(1134), 15,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
    ACTIONS(1136), 40,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [10177] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2061), 1,
      sym_comment,
    ACTIONS(1122), 15,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
    ACTIONS(1124), 40,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [10243] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1409), 1,
      sym__simple_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1561), 1,
      sym_sum_type_list,
    STATE(2062), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10339] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1409), 1,
      sym__simple_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1582), 1,
      sym_sum_type_list,
    STATE(2063), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10435] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1409), 1,
      sym__simple_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1661), 1,
      sym_sum_type_list,
    STATE(2064), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10531] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1409), 1,
      sym__simple_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1663), 1,
      sym_sum_type_list,
    STATE(2065), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10627] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2066), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4775), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10720] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2067), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4975), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10813] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2068), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4118), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10906] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2069), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4648), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [10999] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2070), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4135), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11092] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3356), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_chan,
    ACTIONS(3372), 1,
      anon_sym_shared,
    ACTIONS(3374), 1,
      anon_sym_thread,
    ACTIONS(3380), 1,
      sym_type_placeholder,
    ACTIONS(3382), 1,
      sym_type_identifier,
    ACTIONS(3384), 1,
      anon_sym_fn,
    ACTIONS(5109), 1,
      anon_sym_AMP,
    ACTIONS(5113), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 1,
      anon_sym_map_LBRACK,
    STATE(1348), 1,
      sym_qualified_type,
    STATE(1395), 1,
      sym_binded_identifier,
    STATE(1399), 1,
      sym__simple_type,
    STATE(2071), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1384), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3376), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11185] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3356), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_chan,
    ACTIONS(3372), 1,
      anon_sym_shared,
    ACTIONS(3374), 1,
      anon_sym_thread,
    ACTIONS(3380), 1,
      sym_type_placeholder,
    ACTIONS(3382), 1,
      sym_type_identifier,
    ACTIONS(3384), 1,
      anon_sym_fn,
    ACTIONS(5109), 1,
      anon_sym_AMP,
    ACTIONS(5113), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 1,
      anon_sym_map_LBRACK,
    STATE(1348), 1,
      sym_qualified_type,
    STATE(1395), 1,
      sym_binded_identifier,
    STATE(1429), 1,
      sym__simple_type,
    STATE(2072), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1384), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3376), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11278] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2073), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4153), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11371] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2074), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4792), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11464] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2075), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3712), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11557] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2076), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3766), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11650] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2077), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3662), 1,
      sym__simple_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11743] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2078), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4275), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11836] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2079), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4329), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [11929] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    ACTIONS(5011), 1,
      anon_sym_AMP,
    ACTIONS(5015), 1,
      anon_sym_LBRACK,
    ACTIONS(5017), 1,
      anon_sym_map_LBRACK,
    STATE(2080), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2610), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12022] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    ACTIONS(5011), 1,
      anon_sym_AMP,
    ACTIONS(5015), 1,
      anon_sym_LBRACK,
    ACTIONS(5017), 1,
      anon_sym_map_LBRACK,
    STATE(2081), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2605), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12115] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2082), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4955), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12208] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_map_LBRACK,
    ACTIONS(1082), 1,
      anon_sym_chan,
    ACTIONS(1084), 1,
      anon_sym_shared,
    ACTIONS(1086), 1,
      anon_sym_thread,
    ACTIONS(1092), 1,
      sym_type_placeholder,
    ACTIONS(1094), 1,
      sym_type_identifier,
    ACTIONS(1096), 1,
      anon_sym_fn,
    ACTIONS(5049), 1,
      anon_sym_AMP,
    STATE(999), 1,
      sym_qualified_type,
    STATE(1092), 1,
      sym_binded_identifier,
    STATE(1106), 1,
      sym__simple_type,
    STATE(2083), 1,
      sym_comment,
    ACTIONS(1090), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1089), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(1088), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12301] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4510), 1,
      sym_identifier,
    ACTIONS(4520), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4524), 1,
      anon_sym_chan,
    ACTIONS(4526), 1,
      anon_sym_shared,
    ACTIONS(4528), 1,
      anon_sym_thread,
    ACTIONS(4534), 1,
      sym_type_placeholder,
    ACTIONS(4536), 1,
      sym_type_identifier,
    ACTIONS(4538), 1,
      anon_sym_fn,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    STATE(2084), 1,
      sym_comment,
    STATE(2573), 1,
      sym_qualified_type,
    STATE(2771), 1,
      sym_binded_identifier,
    STATE(2849), 1,
      sym__simple_type,
    ACTIONS(4532), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2820), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4530), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12394] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2085), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3712), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12487] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2086), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4274), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12580] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2087), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4793), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12673] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2088), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4242), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12766] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(4833), 1,
      anon_sym_chan,
    ACTIONS(4835), 1,
      anon_sym_shared,
    ACTIONS(4837), 1,
      anon_sym_thread,
    ACTIONS(4843), 1,
      sym_type_placeholder,
    ACTIONS(4845), 1,
      sym_type_identifier,
    ACTIONS(4847), 1,
      anon_sym_fn,
    ACTIONS(5065), 1,
      anon_sym_AMP,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_map_LBRACK,
    STATE(2089), 1,
      sym_comment,
    STATE(3487), 1,
      sym_qualified_type,
    STATE(3509), 1,
      sym__simple_type,
    STATE(3526), 1,
      sym_binded_identifier,
    ACTIONS(4841), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3519), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4839), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12859] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2090), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3740), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [12952] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(4833), 1,
      anon_sym_chan,
    ACTIONS(4835), 1,
      anon_sym_shared,
    ACTIONS(4837), 1,
      anon_sym_thread,
    ACTIONS(4843), 1,
      sym_type_placeholder,
    ACTIONS(4845), 1,
      sym_type_identifier,
    ACTIONS(4847), 1,
      anon_sym_fn,
    ACTIONS(5065), 1,
      anon_sym_AMP,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_map_LBRACK,
    STATE(2091), 1,
      sym_comment,
    STATE(3487), 1,
      sym_qualified_type,
    STATE(3498), 1,
      sym__simple_type,
    STATE(3526), 1,
      sym_binded_identifier,
    ACTIONS(4841), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3519), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4839), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13045] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(4833), 1,
      anon_sym_chan,
    ACTIONS(4835), 1,
      anon_sym_shared,
    ACTIONS(4837), 1,
      anon_sym_thread,
    ACTIONS(4843), 1,
      sym_type_placeholder,
    ACTIONS(4845), 1,
      sym_type_identifier,
    ACTIONS(4847), 1,
      anon_sym_fn,
    ACTIONS(5065), 1,
      anon_sym_AMP,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_map_LBRACK,
    STATE(2092), 1,
      sym_comment,
    STATE(3487), 1,
      sym_qualified_type,
    STATE(3524), 1,
      sym__simple_type,
    STATE(3526), 1,
      sym_binded_identifier,
    ACTIONS(4841), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3519), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4839), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13138] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(4833), 1,
      anon_sym_chan,
    ACTIONS(4835), 1,
      anon_sym_shared,
    ACTIONS(4837), 1,
      anon_sym_thread,
    ACTIONS(4843), 1,
      sym_type_placeholder,
    ACTIONS(4845), 1,
      sym_type_identifier,
    ACTIONS(4847), 1,
      anon_sym_fn,
    ACTIONS(5065), 1,
      anon_sym_AMP,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_map_LBRACK,
    STATE(2093), 1,
      sym_comment,
    STATE(3487), 1,
      sym_qualified_type,
    STATE(3508), 1,
      sym__simple_type,
    STATE(3526), 1,
      sym_binded_identifier,
    ACTIONS(4841), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3519), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4839), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13231] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2094), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4743), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13324] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1502), 1,
      sym__simple_type,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13417] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4708), 1,
      sym_identifier,
    ACTIONS(4718), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_chan,
    ACTIONS(4724), 1,
      anon_sym_shared,
    ACTIONS(4726), 1,
      anon_sym_thread,
    ACTIONS(4732), 1,
      sym_type_placeholder,
    ACTIONS(4734), 1,
      sym_type_identifier,
    ACTIONS(4736), 1,
      anon_sym_fn,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    STATE(2096), 1,
      sym_comment,
    STATE(3097), 1,
      sym_qualified_type,
    STATE(3322), 1,
      sym_binded_identifier,
    STATE(3362), 1,
      sym__simple_type,
    ACTIONS(4730), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3312), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4728), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13510] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_map_LBRACK,
    ACTIONS(782), 1,
      anon_sym_chan,
    ACTIONS(784), 1,
      anon_sym_shared,
    ACTIONS(786), 1,
      anon_sym_thread,
    ACTIONS(792), 1,
      sym_type_placeholder,
    ACTIONS(794), 1,
      sym_type_identifier,
    ACTIONS(796), 1,
      anon_sym_fn,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    STATE(807), 1,
      sym_qualified_type,
    STATE(916), 1,
      sym__simple_type,
    STATE(949), 1,
      sym_binded_identifier,
    STATE(2097), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(937), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(788), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13603] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2098), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4755), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13696] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2099), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4927), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13789] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4708), 1,
      sym_identifier,
    ACTIONS(4718), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_chan,
    ACTIONS(4724), 1,
      anon_sym_shared,
    ACTIONS(4726), 1,
      anon_sym_thread,
    ACTIONS(4732), 1,
      sym_type_placeholder,
    ACTIONS(4734), 1,
      sym_type_identifier,
    ACTIONS(4736), 1,
      anon_sym_fn,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    STATE(2100), 1,
      sym_comment,
    STATE(3097), 1,
      sym_qualified_type,
    STATE(3283), 1,
      sym__simple_type,
    STATE(3322), 1,
      sym_binded_identifier,
    ACTIONS(4730), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3312), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4728), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13882] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3356), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_chan,
    ACTIONS(3372), 1,
      anon_sym_shared,
    ACTIONS(3374), 1,
      anon_sym_thread,
    ACTIONS(3380), 1,
      sym_type_placeholder,
    ACTIONS(3382), 1,
      sym_type_identifier,
    ACTIONS(3384), 1,
      anon_sym_fn,
    ACTIONS(5109), 1,
      anon_sym_AMP,
    ACTIONS(5113), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 1,
      anon_sym_map_LBRACK,
    STATE(1348), 1,
      sym_qualified_type,
    STATE(1395), 1,
      sym_binded_identifier,
    STATE(1426), 1,
      sym__simple_type,
    STATE(2101), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1384), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3376), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [13975] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2102), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4064), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14068] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2103), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4030), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14161] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(646), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(660), 1,
      anon_sym_map_LBRACK,
    ACTIONS(662), 1,
      anon_sym_chan,
    ACTIONS(664), 1,
      anon_sym_shared,
    ACTIONS(666), 1,
      anon_sym_thread,
    ACTIONS(672), 1,
      sym_type_placeholder,
    ACTIONS(674), 1,
      sym_type_identifier,
    ACTIONS(676), 1,
      anon_sym_fn,
    ACTIONS(5153), 1,
      anon_sym_AMP,
    STATE(126), 1,
      sym_qualified_type,
    STATE(173), 1,
      sym_binded_identifier,
    STATE(270), 1,
      sym__simple_type,
    STATE(2104), 1,
      sym_comment,
    ACTIONS(670), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(168), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(668), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14254] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2105), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4786), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14347] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2106), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4814), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14440] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2107), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4783), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14533] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2108), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4807), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14626] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2109), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4223), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14719] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2110), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4233), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14812] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2111), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4841), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14905] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2112), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4067), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [14998] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4628), 1,
      sym_identifier,
    ACTIONS(4638), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4642), 1,
      anon_sym_chan,
    ACTIONS(4644), 1,
      anon_sym_shared,
    ACTIONS(4646), 1,
      anon_sym_thread,
    ACTIONS(4652), 1,
      sym_type_placeholder,
    ACTIONS(4654), 1,
      sym_type_identifier,
    ACTIONS(4656), 1,
      anon_sym_fn,
    ACTIONS(5045), 1,
      anon_sym_AMP,
    STATE(2113), 1,
      sym_comment,
    STATE(2938), 1,
      sym_qualified_type,
    STATE(3057), 1,
      sym__simple_type,
    STATE(3066), 1,
      sym_binded_identifier,
    ACTIONS(4650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3067), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15091] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    ACTIONS(5053), 1,
      anon_sym_AMP,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5059), 1,
      anon_sym_map_LBRACK,
    STATE(2114), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2648), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15184] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    ACTIONS(5053), 1,
      anon_sym_AMP,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5059), 1,
      anon_sym_map_LBRACK,
    STATE(2115), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2663), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15277] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2116), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4250), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15370] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3556), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3570), 1,
      anon_sym_chan,
    ACTIONS(3572), 1,
      anon_sym_shared,
    ACTIONS(3574), 1,
      anon_sym_thread,
    ACTIONS(3580), 1,
      sym_type_placeholder,
    ACTIONS(3582), 1,
      sym_type_identifier,
    ACTIONS(3584), 1,
      anon_sym_fn,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    STATE(1668), 1,
      sym_qualified_type,
    STATE(1718), 1,
      sym__simple_type,
    STATE(1749), 1,
      sym_binded_identifier,
    STATE(2117), 1,
      sym_comment,
    ACTIONS(3578), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1743), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3576), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15463] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4628), 1,
      sym_identifier,
    ACTIONS(4638), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4642), 1,
      anon_sym_chan,
    ACTIONS(4644), 1,
      anon_sym_shared,
    ACTIONS(4646), 1,
      anon_sym_thread,
    ACTIONS(4652), 1,
      sym_type_placeholder,
    ACTIONS(4654), 1,
      sym_type_identifier,
    ACTIONS(4656), 1,
      anon_sym_fn,
    ACTIONS(5045), 1,
      anon_sym_AMP,
    STATE(2118), 1,
      sym_comment,
    STATE(2938), 1,
      sym_qualified_type,
    STATE(3061), 1,
      sym__simple_type,
    STATE(3066), 1,
      sym_binded_identifier,
    ACTIONS(4650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3067), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15556] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_map_LBRACK,
    ACTIONS(1082), 1,
      anon_sym_chan,
    ACTIONS(1084), 1,
      anon_sym_shared,
    ACTIONS(1086), 1,
      anon_sym_thread,
    ACTIONS(1092), 1,
      sym_type_placeholder,
    ACTIONS(1094), 1,
      sym_type_identifier,
    ACTIONS(1096), 1,
      anon_sym_fn,
    ACTIONS(5049), 1,
      anon_sym_AMP,
    STATE(999), 1,
      sym_qualified_type,
    STATE(1092), 1,
      sym_binded_identifier,
    STATE(1116), 1,
      sym__simple_type,
    STATE(2119), 1,
      sym_comment,
    ACTIONS(1090), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1089), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(1088), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15649] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4628), 1,
      sym_identifier,
    ACTIONS(4638), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4642), 1,
      anon_sym_chan,
    ACTIONS(4644), 1,
      anon_sym_shared,
    ACTIONS(4646), 1,
      anon_sym_thread,
    ACTIONS(4652), 1,
      sym_type_placeholder,
    ACTIONS(4654), 1,
      sym_type_identifier,
    ACTIONS(4656), 1,
      anon_sym_fn,
    ACTIONS(5045), 1,
      anon_sym_AMP,
    STATE(2120), 1,
      sym_comment,
    STATE(2938), 1,
      sym_qualified_type,
    STATE(3049), 1,
      sym__simple_type,
    STATE(3066), 1,
      sym_binded_identifier,
    ACTIONS(4650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3067), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15742] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1519), 1,
      sym__simple_type,
    STATE(2121), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15835] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1493), 1,
      sym__simple_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(2122), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [15928] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2123), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4873), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16021] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2124), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4276), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16114] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    ACTIONS(5011), 1,
      anon_sym_AMP,
    ACTIONS(5015), 1,
      anon_sym_LBRACK,
    ACTIONS(5017), 1,
      anon_sym_map_LBRACK,
    STATE(2125), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2663), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16207] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4628), 1,
      sym_identifier,
    ACTIONS(4638), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4642), 1,
      anon_sym_chan,
    ACTIONS(4644), 1,
      anon_sym_shared,
    ACTIONS(4646), 1,
      anon_sym_thread,
    ACTIONS(4652), 1,
      sym_type_placeholder,
    ACTIONS(4654), 1,
      sym_type_identifier,
    ACTIONS(4656), 1,
      anon_sym_fn,
    ACTIONS(5045), 1,
      anon_sym_AMP,
    STATE(2126), 1,
      sym_comment,
    STATE(2938), 1,
      sym_qualified_type,
    STATE(3058), 1,
      sym__simple_type,
    STATE(3066), 1,
      sym_binded_identifier,
    ACTIONS(4650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3067), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16300] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2127), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4293), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16393] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2128), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4929), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16486] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    ACTIONS(5053), 1,
      anon_sym_AMP,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5059), 1,
      anon_sym_map_LBRACK,
    STATE(2129), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2610), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16579] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4859), 1,
      anon_sym_chan,
    ACTIONS(4861), 1,
      anon_sym_shared,
    ACTIONS(4863), 1,
      anon_sym_thread,
    ACTIONS(4865), 1,
      anon_sym_fn,
    ACTIONS(5053), 1,
      anon_sym_AMP,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5059), 1,
      anon_sym_map_LBRACK,
    STATE(2130), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2605), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16672] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1528), 1,
      sym__simple_type,
    STATE(2131), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16765] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3688), 1,
      sym_identifier,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    ACTIONS(3700), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_chan,
    ACTIONS(3704), 1,
      anon_sym_shared,
    ACTIONS(3706), 1,
      anon_sym_thread,
    ACTIONS(3712), 1,
      sym_type_placeholder,
    ACTIONS(3714), 1,
      sym_type_identifier,
    ACTIONS(3716), 1,
      anon_sym_fn,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    STATE(2132), 1,
      sym_comment,
    STATE(2402), 1,
      sym_qualified_type,
    STATE(2465), 1,
      sym_binded_identifier,
    STATE(2483), 1,
      sym__simple_type,
    ACTIONS(3710), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2440), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3708), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16858] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3688), 1,
      sym_identifier,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    ACTIONS(3700), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_chan,
    ACTIONS(3704), 1,
      anon_sym_shared,
    ACTIONS(3706), 1,
      anon_sym_thread,
    ACTIONS(3712), 1,
      sym_type_placeholder,
    ACTIONS(3714), 1,
      sym_type_identifier,
    ACTIONS(3716), 1,
      anon_sym_fn,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    STATE(2133), 1,
      sym_comment,
    STATE(2402), 1,
      sym_qualified_type,
    STATE(2465), 1,
      sym_binded_identifier,
    STATE(2468), 1,
      sym__simple_type,
    ACTIONS(3710), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2440), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3708), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [16951] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3406), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_chan,
    ACTIONS(3412), 1,
      anon_sym_shared,
    ACTIONS(3414), 1,
      anon_sym_thread,
    ACTIONS(3420), 1,
      sym_type_placeholder,
    ACTIONS(3422), 1,
      sym_type_identifier,
    ACTIONS(3424), 1,
      anon_sym_fn,
    STATE(1368), 1,
      sym_qualified_type,
    STATE(1497), 1,
      sym_binded_identifier,
    STATE(1542), 1,
      sym__simple_type,
    STATE(2134), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1510), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3416), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17044] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_map_LBRACK,
    ACTIONS(1082), 1,
      anon_sym_chan,
    ACTIONS(1084), 1,
      anon_sym_shared,
    ACTIONS(1086), 1,
      anon_sym_thread,
    ACTIONS(1092), 1,
      sym_type_placeholder,
    ACTIONS(1094), 1,
      sym_type_identifier,
    ACTIONS(1096), 1,
      anon_sym_fn,
    ACTIONS(5049), 1,
      anon_sym_AMP,
    STATE(999), 1,
      sym_qualified_type,
    STATE(1077), 1,
      sym__simple_type,
    STATE(1092), 1,
      sym_binded_identifier,
    STATE(2135), 1,
      sym_comment,
    ACTIONS(1090), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1089), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(1088), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17137] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4628), 1,
      sym_identifier,
    ACTIONS(4638), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4642), 1,
      anon_sym_chan,
    ACTIONS(4644), 1,
      anon_sym_shared,
    ACTIONS(4646), 1,
      anon_sym_thread,
    ACTIONS(4652), 1,
      sym_type_placeholder,
    ACTIONS(4654), 1,
      sym_type_identifier,
    ACTIONS(4656), 1,
      anon_sym_fn,
    ACTIONS(5045), 1,
      anon_sym_AMP,
    STATE(2136), 1,
      sym_comment,
    STATE(2938), 1,
      sym_qualified_type,
    STATE(3066), 1,
      sym_binded_identifier,
    STATE(3123), 1,
      sym__simple_type,
    ACTIONS(4650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3067), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17230] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4953), 1,
      anon_sym_chan,
    ACTIONS(4955), 1,
      anon_sym_shared,
    ACTIONS(4957), 1,
      anon_sym_thread,
    ACTIONS(4959), 1,
      anon_sym_fn,
    ACTIONS(5011), 1,
      anon_sym_AMP,
    ACTIONS(5015), 1,
      anon_sym_LBRACK,
    ACTIONS(5017), 1,
      anon_sym_map_LBRACK,
    STATE(2137), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2648), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17323] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2138), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4079), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17416] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2139), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4335), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17509] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3638), 1,
      anon_sym_LBRACK,
    ACTIONS(3640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3642), 1,
      anon_sym_chan,
    ACTIONS(3644), 1,
      anon_sym_shared,
    ACTIONS(3646), 1,
      anon_sym_thread,
    ACTIONS(3652), 1,
      sym_type_placeholder,
    ACTIONS(3654), 1,
      sym_type_identifier,
    ACTIONS(3656), 1,
      anon_sym_fn,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(2140), 1,
      sym_comment,
    STATE(2271), 1,
      sym_qualified_type,
    STATE(2323), 1,
      sym_binded_identifier,
    STATE(2341), 1,
      sym__simple_type,
    ACTIONS(3650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2339), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17602] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(646), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(660), 1,
      anon_sym_map_LBRACK,
    ACTIONS(662), 1,
      anon_sym_chan,
    ACTIONS(664), 1,
      anon_sym_shared,
    ACTIONS(666), 1,
      anon_sym_thread,
    ACTIONS(672), 1,
      sym_type_placeholder,
    ACTIONS(674), 1,
      sym_type_identifier,
    ACTIONS(676), 1,
      anon_sym_fn,
    ACTIONS(5153), 1,
      anon_sym_AMP,
    STATE(126), 1,
      sym_qualified_type,
    STATE(173), 1,
      sym_binded_identifier,
    STATE(212), 1,
      sym__simple_type,
    STATE(2141), 1,
      sym_comment,
    ACTIONS(670), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(168), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(668), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17695] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3638), 1,
      anon_sym_LBRACK,
    ACTIONS(3640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3642), 1,
      anon_sym_chan,
    ACTIONS(3644), 1,
      anon_sym_shared,
    ACTIONS(3646), 1,
      anon_sym_thread,
    ACTIONS(3652), 1,
      sym_type_placeholder,
    ACTIONS(3654), 1,
      sym_type_identifier,
    ACTIONS(3656), 1,
      anon_sym_fn,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(2142), 1,
      sym_comment,
    STATE(2271), 1,
      sym_qualified_type,
    STATE(2323), 1,
      sym_binded_identifier,
    STATE(2350), 1,
      sym__simple_type,
    ACTIONS(3650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2339), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17788] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2143), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4260), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17881] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(646), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(660), 1,
      anon_sym_map_LBRACK,
    ACTIONS(662), 1,
      anon_sym_chan,
    ACTIONS(664), 1,
      anon_sym_shared,
    ACTIONS(666), 1,
      anon_sym_thread,
    ACTIONS(672), 1,
      sym_type_placeholder,
    ACTIONS(674), 1,
      sym_type_identifier,
    ACTIONS(676), 1,
      anon_sym_fn,
    ACTIONS(5153), 1,
      anon_sym_AMP,
    STATE(126), 1,
      sym_qualified_type,
    STATE(173), 1,
      sym_binded_identifier,
    STATE(220), 1,
      sym__simple_type,
    STATE(2144), 1,
      sym_comment,
    ACTIONS(670), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(168), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(668), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [17974] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2145), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4366), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18067] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2146), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4974), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18160] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2147), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4211), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18253] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2148), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4304), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18346] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    ACTIONS(5131), 1,
      anon_sym_AMP,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5137), 1,
      anon_sym_map_LBRACK,
    STATE(2149), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2605), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18439] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4510), 1,
      sym_identifier,
    ACTIONS(4520), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4524), 1,
      anon_sym_chan,
    ACTIONS(4526), 1,
      anon_sym_shared,
    ACTIONS(4528), 1,
      anon_sym_thread,
    ACTIONS(4534), 1,
      sym_type_placeholder,
    ACTIONS(4536), 1,
      sym_type_identifier,
    ACTIONS(4538), 1,
      anon_sym_fn,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    STATE(2150), 1,
      sym_comment,
    STATE(2573), 1,
      sym_qualified_type,
    STATE(2771), 1,
      sym_binded_identifier,
    STATE(2813), 1,
      sym__simple_type,
    ACTIONS(4532), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2820), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4530), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18532] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4510), 1,
      sym_identifier,
    ACTIONS(4520), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4524), 1,
      anon_sym_chan,
    ACTIONS(4526), 1,
      anon_sym_shared,
    ACTIONS(4528), 1,
      anon_sym_thread,
    ACTIONS(4534), 1,
      sym_type_placeholder,
    ACTIONS(4536), 1,
      sym_type_identifier,
    ACTIONS(4538), 1,
      anon_sym_fn,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    STATE(2151), 1,
      sym_comment,
    STATE(2573), 1,
      sym_qualified_type,
    STATE(2771), 1,
      sym_binded_identifier,
    STATE(2856), 1,
      sym__simple_type,
    ACTIONS(4532), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2820), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4530), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18625] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    ACTIONS(5131), 1,
      anon_sym_AMP,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5137), 1,
      anon_sym_map_LBRACK,
    STATE(2152), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2610), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18718] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4678), 1,
      sym_identifier,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4692), 1,
      anon_sym_chan,
    ACTIONS(4694), 1,
      anon_sym_shared,
    ACTIONS(4696), 1,
      anon_sym_thread,
    ACTIONS(4702), 1,
      sym_type_placeholder,
    ACTIONS(4704), 1,
      sym_type_identifier,
    ACTIONS(4706), 1,
      anon_sym_fn,
    ACTIONS(5149), 1,
      anon_sym_AMP,
    STATE(2153), 1,
      sym_comment,
    STATE(3003), 1,
      sym_qualified_type,
    STATE(3176), 1,
      sym__simple_type,
    STATE(3225), 1,
      sym_binded_identifier,
    ACTIONS(4700), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3253), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4698), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18811] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4678), 1,
      sym_identifier,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4692), 1,
      anon_sym_chan,
    ACTIONS(4694), 1,
      anon_sym_shared,
    ACTIONS(4696), 1,
      anon_sym_thread,
    ACTIONS(4702), 1,
      sym_type_placeholder,
    ACTIONS(4704), 1,
      sym_type_identifier,
    ACTIONS(4706), 1,
      anon_sym_fn,
    ACTIONS(5149), 1,
      anon_sym_AMP,
    STATE(2154), 1,
      sym_comment,
    STATE(3003), 1,
      sym_qualified_type,
    STATE(3225), 1,
      sym_binded_identifier,
    STATE(3271), 1,
      sym__simple_type,
    ACTIONS(4700), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3253), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4698), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18904] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3638), 1,
      anon_sym_LBRACK,
    ACTIONS(3640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3642), 1,
      anon_sym_chan,
    ACTIONS(3644), 1,
      anon_sym_shared,
    ACTIONS(3646), 1,
      anon_sym_thread,
    ACTIONS(3652), 1,
      sym_type_placeholder,
    ACTIONS(3654), 1,
      sym_type_identifier,
    ACTIONS(3656), 1,
      anon_sym_fn,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(2155), 1,
      sym_comment,
    STATE(2271), 1,
      sym_qualified_type,
    STATE(2323), 1,
      sym_binded_identifier,
    STATE(2329), 1,
      sym__simple_type,
    ACTIONS(3650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2339), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [18997] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4510), 1,
      sym_identifier,
    ACTIONS(4520), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4524), 1,
      anon_sym_chan,
    ACTIONS(4526), 1,
      anon_sym_shared,
    ACTIONS(4528), 1,
      anon_sym_thread,
    ACTIONS(4534), 1,
      sym_type_placeholder,
    ACTIONS(4536), 1,
      sym_type_identifier,
    ACTIONS(4538), 1,
      anon_sym_fn,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    STATE(2156), 1,
      sym_comment,
    STATE(2573), 1,
      sym_qualified_type,
    STATE(2767), 1,
      sym__simple_type,
    STATE(2771), 1,
      sym_binded_identifier,
    ACTIONS(4532), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2820), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4530), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19090] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3356), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_chan,
    ACTIONS(3372), 1,
      anon_sym_shared,
    ACTIONS(3374), 1,
      anon_sym_thread,
    ACTIONS(3380), 1,
      sym_type_placeholder,
    ACTIONS(3382), 1,
      sym_type_identifier,
    ACTIONS(3384), 1,
      anon_sym_fn,
    ACTIONS(5109), 1,
      anon_sym_AMP,
    ACTIONS(5113), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 1,
      anon_sym_map_LBRACK,
    STATE(1348), 1,
      sym_qualified_type,
    STATE(1395), 1,
      sym_binded_identifier,
    STATE(1461), 1,
      sym__simple_type,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1384), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3376), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19183] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4510), 1,
      sym_identifier,
    ACTIONS(4520), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4524), 1,
      anon_sym_chan,
    ACTIONS(4526), 1,
      anon_sym_shared,
    ACTIONS(4528), 1,
      anon_sym_thread,
    ACTIONS(4534), 1,
      sym_type_placeholder,
    ACTIONS(4536), 1,
      sym_type_identifier,
    ACTIONS(4538), 1,
      anon_sym_fn,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    STATE(2158), 1,
      sym_comment,
    STATE(2573), 1,
      sym_qualified_type,
    STATE(2771), 1,
      sym_binded_identifier,
    STATE(2816), 1,
      sym__simple_type,
    ACTIONS(4532), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2820), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4530), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19276] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    ACTIONS(5131), 1,
      anon_sym_AMP,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5137), 1,
      anon_sym_map_LBRACK,
    STATE(2159), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2663), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19369] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4678), 1,
      sym_identifier,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4692), 1,
      anon_sym_chan,
    ACTIONS(4694), 1,
      anon_sym_shared,
    ACTIONS(4696), 1,
      anon_sym_thread,
    ACTIONS(4702), 1,
      sym_type_placeholder,
    ACTIONS(4704), 1,
      sym_type_identifier,
    ACTIONS(4706), 1,
      anon_sym_fn,
    ACTIONS(5149), 1,
      anon_sym_AMP,
    STATE(2160), 1,
      sym_comment,
    STATE(3003), 1,
      sym_qualified_type,
    STATE(3217), 1,
      sym__simple_type,
    STATE(3225), 1,
      sym_binded_identifier,
    ACTIONS(4700), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3253), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4698), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19462] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4678), 1,
      sym_identifier,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4692), 1,
      anon_sym_chan,
    ACTIONS(4694), 1,
      anon_sym_shared,
    ACTIONS(4696), 1,
      anon_sym_thread,
    ACTIONS(4702), 1,
      sym_type_placeholder,
    ACTIONS(4704), 1,
      sym_type_identifier,
    ACTIONS(4706), 1,
      anon_sym_fn,
    ACTIONS(5149), 1,
      anon_sym_AMP,
    STATE(2161), 1,
      sym_comment,
    STATE(3003), 1,
      sym_qualified_type,
    STATE(3177), 1,
      sym__simple_type,
    STATE(3225), 1,
      sym_binded_identifier,
    ACTIONS(4700), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3253), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4698), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19555] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4927), 1,
      anon_sym_chan,
    ACTIONS(4929), 1,
      anon_sym_shared,
    ACTIONS(4931), 1,
      anon_sym_thread,
    ACTIONS(4933), 1,
      anon_sym_fn,
    ACTIONS(5131), 1,
      anon_sym_AMP,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5137), 1,
      anon_sym_map_LBRACK,
    STATE(2162), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2648), 1,
      sym__simple_type,
    ACTIONS(3046), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19648] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2163), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4852), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19741] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3688), 1,
      sym_identifier,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    ACTIONS(3700), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_chan,
    ACTIONS(3704), 1,
      anon_sym_shared,
    ACTIONS(3706), 1,
      anon_sym_thread,
    ACTIONS(3712), 1,
      sym_type_placeholder,
    ACTIONS(3714), 1,
      sym_type_identifier,
    ACTIONS(3716), 1,
      anon_sym_fn,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    STATE(2164), 1,
      sym_comment,
    STATE(2402), 1,
      sym_qualified_type,
    STATE(2465), 1,
      sym_binded_identifier,
    STATE(2490), 1,
      sym__simple_type,
    ACTIONS(3710), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2440), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3708), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19834] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4668), 1,
      anon_sym_chan,
    ACTIONS(4670), 1,
      anon_sym_shared,
    ACTIONS(4672), 1,
      anon_sym_thread,
    ACTIONS(4674), 1,
      anon_sym_fn,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5027), 1,
      anon_sym_LBRACK,
    ACTIONS(5029), 1,
      anon_sym_map_LBRACK,
    STATE(2165), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2605), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [19927] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3356), 1,
      sym_identifier,
    ACTIONS(3370), 1,
      anon_sym_chan,
    ACTIONS(3372), 1,
      anon_sym_shared,
    ACTIONS(3374), 1,
      anon_sym_thread,
    ACTIONS(3380), 1,
      sym_type_placeholder,
    ACTIONS(3382), 1,
      sym_type_identifier,
    ACTIONS(3384), 1,
      anon_sym_fn,
    ACTIONS(5109), 1,
      anon_sym_AMP,
    ACTIONS(5113), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 1,
      anon_sym_map_LBRACK,
    STATE(1348), 1,
      sym_qualified_type,
    STATE(1395), 1,
      sym_binded_identifier,
    STATE(1459), 1,
      sym__simple_type,
    STATE(2166), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1384), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3376), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20020] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3688), 1,
      sym_identifier,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    ACTIONS(3700), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_chan,
    ACTIONS(3704), 1,
      anon_sym_shared,
    ACTIONS(3706), 1,
      anon_sym_thread,
    ACTIONS(3712), 1,
      sym_type_placeholder,
    ACTIONS(3714), 1,
      sym_type_identifier,
    ACTIONS(3716), 1,
      anon_sym_fn,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    STATE(2167), 1,
      sym_comment,
    STATE(2402), 1,
      sym_qualified_type,
    STATE(2417), 1,
      sym__simple_type,
    STATE(2465), 1,
      sym_binded_identifier,
    ACTIONS(3710), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2440), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3708), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20113] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2168), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4208), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20206] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4668), 1,
      anon_sym_chan,
    ACTIONS(4670), 1,
      anon_sym_shared,
    ACTIONS(4672), 1,
      anon_sym_thread,
    ACTIONS(4674), 1,
      anon_sym_fn,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5027), 1,
      anon_sym_LBRACK,
    ACTIONS(5029), 1,
      anon_sym_map_LBRACK,
    STATE(2169), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2610), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20299] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2170), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4282), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20392] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2171), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3740), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20485] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4668), 1,
      anon_sym_chan,
    ACTIONS(4670), 1,
      anon_sym_shared,
    ACTIONS(4672), 1,
      anon_sym_thread,
    ACTIONS(4674), 1,
      anon_sym_fn,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5027), 1,
      anon_sym_LBRACK,
    ACTIONS(5029), 1,
      anon_sym_map_LBRACK,
    STATE(2172), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2663), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20578] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2173), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4186), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20671] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2174), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(3766), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20764] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4480), 1,
      sym_identifier,
    ACTIONS(4494), 1,
      anon_sym_chan,
    ACTIONS(4496), 1,
      anon_sym_shared,
    ACTIONS(4498), 1,
      anon_sym_thread,
    ACTIONS(4504), 1,
      sym_type_placeholder,
    ACTIONS(4506), 1,
      sym_type_identifier,
    ACTIONS(4508), 1,
      anon_sym_fn,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_LBRACK,
    ACTIONS(5087), 1,
      anon_sym_map_LBRACK,
    STATE(2175), 1,
      sym_comment,
    STATE(2566), 1,
      sym_qualified_type,
    STATE(2697), 1,
      sym__simple_type,
    STATE(2858), 1,
      sym_binded_identifier,
    ACTIONS(4502), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2852), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4500), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20857] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4668), 1,
      anon_sym_chan,
    ACTIONS(4670), 1,
      anon_sym_shared,
    ACTIONS(4672), 1,
      anon_sym_thread,
    ACTIONS(4674), 1,
      anon_sym_fn,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5027), 1,
      anon_sym_LBRACK,
    ACTIONS(5029), 1,
      anon_sym_map_LBRACK,
    STATE(2176), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2648), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [20950] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2177), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3662), 1,
      sym__simple_type,
    STATE(3669), 1,
      sym_binded_identifier,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21043] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_map_LBRACK,
    ACTIONS(782), 1,
      anon_sym_chan,
    ACTIONS(784), 1,
      anon_sym_shared,
    ACTIONS(786), 1,
      anon_sym_thread,
    ACTIONS(792), 1,
      sym_type_placeholder,
    ACTIONS(794), 1,
      sym_type_identifier,
    ACTIONS(796), 1,
      anon_sym_fn,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    STATE(807), 1,
      sym_qualified_type,
    STATE(920), 1,
      sym__simple_type,
    STATE(949), 1,
      sym_binded_identifier,
    STATE(2178), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(937), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(788), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21136] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(646), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(660), 1,
      anon_sym_map_LBRACK,
    ACTIONS(662), 1,
      anon_sym_chan,
    ACTIONS(664), 1,
      anon_sym_shared,
    ACTIONS(666), 1,
      anon_sym_thread,
    ACTIONS(672), 1,
      sym_type_placeholder,
    ACTIONS(674), 1,
      sym_type_identifier,
    ACTIONS(676), 1,
      anon_sym_fn,
    ACTIONS(5153), 1,
      anon_sym_AMP,
    STATE(126), 1,
      sym_qualified_type,
    STATE(173), 1,
      sym_binded_identifier,
    STATE(176), 1,
      sym__simple_type,
    STATE(2179), 1,
      sym_comment,
    ACTIONS(670), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(168), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(668), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21229] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_map_LBRACK,
    ACTIONS(782), 1,
      anon_sym_chan,
    ACTIONS(784), 1,
      anon_sym_shared,
    ACTIONS(786), 1,
      anon_sym_thread,
    ACTIONS(792), 1,
      sym_type_placeholder,
    ACTIONS(794), 1,
      sym_type_identifier,
    ACTIONS(796), 1,
      anon_sym_fn,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    STATE(807), 1,
      sym_qualified_type,
    STATE(939), 1,
      sym__simple_type,
    STATE(949), 1,
      sym_binded_identifier,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(937), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(788), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21322] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2181), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4688), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21415] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3638), 1,
      anon_sym_LBRACK,
    ACTIONS(3640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3642), 1,
      anon_sym_chan,
    ACTIONS(3644), 1,
      anon_sym_shared,
    ACTIONS(3646), 1,
      anon_sym_thread,
    ACTIONS(3652), 1,
      sym_type_placeholder,
    ACTIONS(3654), 1,
      sym_type_identifier,
    ACTIONS(3656), 1,
      anon_sym_fn,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(2182), 1,
      sym_comment,
    STATE(2271), 1,
      sym_qualified_type,
    STATE(2315), 1,
      sym__simple_type,
    STATE(2323), 1,
      sym_binded_identifier,
    ACTIONS(3650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2339), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21508] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2183), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4112), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21601] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2184), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4756), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21694] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3638), 1,
      anon_sym_LBRACK,
    ACTIONS(3640), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3642), 1,
      anon_sym_chan,
    ACTIONS(3644), 1,
      anon_sym_shared,
    ACTIONS(3646), 1,
      anon_sym_thread,
    ACTIONS(3652), 1,
      sym_type_placeholder,
    ACTIONS(3654), 1,
      sym_type_identifier,
    ACTIONS(3656), 1,
      anon_sym_fn,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_comment,
    STATE(2271), 1,
      sym_qualified_type,
    STATE(2323), 1,
      sym_binded_identifier,
    STATE(2342), 1,
      sym__simple_type,
    ACTIONS(3650), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2339), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3648), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21787] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2186), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4090), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21880] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4678), 1,
      sym_identifier,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4692), 1,
      anon_sym_chan,
    ACTIONS(4694), 1,
      anon_sym_shared,
    ACTIONS(4696), 1,
      anon_sym_thread,
    ACTIONS(4702), 1,
      sym_type_placeholder,
    ACTIONS(4704), 1,
      sym_type_identifier,
    ACTIONS(4706), 1,
      anon_sym_fn,
    ACTIONS(5149), 1,
      anon_sym_AMP,
    STATE(2187), 1,
      sym_comment,
    STATE(3003), 1,
      sym_qualified_type,
    STATE(3225), 1,
      sym_binded_identifier,
    STATE(3270), 1,
      sym__simple_type,
    ACTIONS(4700), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3253), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4698), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [21973] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2188), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4722), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22066] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_map_LBRACK,
    ACTIONS(782), 1,
      anon_sym_chan,
    ACTIONS(784), 1,
      anon_sym_shared,
    ACTIONS(786), 1,
      anon_sym_thread,
    ACTIONS(792), 1,
      sym_type_placeholder,
    ACTIONS(794), 1,
      sym_type_identifier,
    ACTIONS(796), 1,
      anon_sym_fn,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    STATE(807), 1,
      sym_qualified_type,
    STATE(933), 1,
      sym__simple_type,
    STATE(949), 1,
      sym_binded_identifier,
    STATE(2189), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(937), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(788), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22159] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(646), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LBRACK,
    ACTIONS(660), 1,
      anon_sym_map_LBRACK,
    ACTIONS(662), 1,
      anon_sym_chan,
    ACTIONS(664), 1,
      anon_sym_shared,
    ACTIONS(666), 1,
      anon_sym_thread,
    ACTIONS(672), 1,
      sym_type_placeholder,
    ACTIONS(674), 1,
      sym_type_identifier,
    ACTIONS(676), 1,
      anon_sym_fn,
    ACTIONS(5153), 1,
      anon_sym_AMP,
    STATE(126), 1,
      sym_qualified_type,
    STATE(173), 1,
      sym_binded_identifier,
    STATE(213), 1,
      sym__simple_type,
    STATE(2190), 1,
      sym_comment,
    ACTIONS(670), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(168), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(668), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22252] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4620), 1,
      anon_sym_chan,
    ACTIONS(4622), 1,
      anon_sym_shared,
    ACTIONS(4624), 1,
      anon_sym_thread,
    ACTIONS(4626), 1,
      anon_sym_fn,
    ACTIONS(5035), 1,
      anon_sym_AMP,
    ACTIONS(5039), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_map_LBRACK,
    STATE(2191), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2605), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22345] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_map_LBRACK,
    ACTIONS(782), 1,
      anon_sym_chan,
    ACTIONS(784), 1,
      anon_sym_shared,
    ACTIONS(786), 1,
      anon_sym_thread,
    ACTIONS(792), 1,
      sym_type_placeholder,
    ACTIONS(794), 1,
      sym_type_identifier,
    ACTIONS(796), 1,
      anon_sym_fn,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    STATE(807), 1,
      sym_qualified_type,
    STATE(949), 1,
      sym_binded_identifier,
    STATE(953), 1,
      sym__simple_type,
    STATE(2192), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(937), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(788), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22438] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2193), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4118), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22531] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4620), 1,
      anon_sym_chan,
    ACTIONS(4622), 1,
      anon_sym_shared,
    ACTIONS(4624), 1,
      anon_sym_thread,
    ACTIONS(4626), 1,
      anon_sym_fn,
    ACTIONS(5035), 1,
      anon_sym_AMP,
    ACTIONS(5039), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_map_LBRACK,
    STATE(2194), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2610), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22624] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_map_LBRACK,
    ACTIONS(1082), 1,
      anon_sym_chan,
    ACTIONS(1084), 1,
      anon_sym_shared,
    ACTIONS(1086), 1,
      anon_sym_thread,
    ACTIONS(1092), 1,
      sym_type_placeholder,
    ACTIONS(1094), 1,
      sym_type_identifier,
    ACTIONS(1096), 1,
      anon_sym_fn,
    ACTIONS(5049), 1,
      anon_sym_AMP,
    STATE(999), 1,
      sym_qualified_type,
    STATE(1092), 1,
      sym_binded_identifier,
    STATE(1112), 1,
      sym__simple_type,
    STATE(2195), 1,
      sym_comment,
    ACTIONS(1090), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1089), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(1088), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22717] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4620), 1,
      anon_sym_chan,
    ACTIONS(4622), 1,
      anon_sym_shared,
    ACTIONS(4624), 1,
      anon_sym_thread,
    ACTIONS(4626), 1,
      anon_sym_fn,
    ACTIONS(5035), 1,
      anon_sym_AMP,
    ACTIONS(5039), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_map_LBRACK,
    STATE(2196), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2663), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22810] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2197), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4305), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22903] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4620), 1,
      anon_sym_chan,
    ACTIONS(4622), 1,
      anon_sym_shared,
    ACTIONS(4624), 1,
      anon_sym_thread,
    ACTIONS(4626), 1,
      anon_sym_fn,
    ACTIONS(5035), 1,
      anon_sym_AMP,
    ACTIONS(5039), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_map_LBRACK,
    STATE(2198), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2648), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [22996] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4668), 1,
      anon_sym_chan,
    ACTIONS(4670), 1,
      anon_sym_shared,
    ACTIONS(4672), 1,
      anon_sym_thread,
    ACTIONS(4674), 1,
      anon_sym_fn,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5027), 1,
      anon_sym_LBRACK,
    ACTIONS(5029), 1,
      anon_sym_map_LBRACK,
    STATE(2199), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2774), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23089] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3166), 1,
      sym_identifier,
    ACTIONS(3176), 1,
      anon_sym_LBRACK,
    ACTIONS(3178), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3180), 1,
      anon_sym_chan,
    ACTIONS(3182), 1,
      anon_sym_shared,
    ACTIONS(3184), 1,
      anon_sym_thread,
    ACTIONS(3190), 1,
      sym_type_placeholder,
    ACTIONS(3192), 1,
      sym_type_identifier,
    ACTIONS(3194), 1,
      anon_sym_fn,
    ACTIONS(5095), 1,
      anon_sym_AMP,
    STATE(1191), 1,
      sym_qualified_type,
    STATE(1231), 1,
      sym__simple_type,
    STATE(1246), 1,
      sym_binded_identifier,
    STATE(2200), 1,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1237), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3186), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23182] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_map_LBRACK,
    ACTIONS(1082), 1,
      anon_sym_chan,
    ACTIONS(1084), 1,
      anon_sym_shared,
    ACTIONS(1086), 1,
      anon_sym_thread,
    ACTIONS(1092), 1,
      sym_type_placeholder,
    ACTIONS(1094), 1,
      sym_type_identifier,
    ACTIONS(1096), 1,
      anon_sym_fn,
    ACTIONS(5049), 1,
      anon_sym_AMP,
    STATE(999), 1,
      sym_qualified_type,
    STATE(1092), 1,
      sym_binded_identifier,
    STATE(1114), 1,
      sym__simple_type,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(1090), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1089), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(1088), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23275] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3166), 1,
      sym_identifier,
    ACTIONS(3176), 1,
      anon_sym_LBRACK,
    ACTIONS(3178), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3180), 1,
      anon_sym_chan,
    ACTIONS(3182), 1,
      anon_sym_shared,
    ACTIONS(3184), 1,
      anon_sym_thread,
    ACTIONS(3190), 1,
      sym_type_placeholder,
    ACTIONS(3192), 1,
      sym_type_identifier,
    ACTIONS(3194), 1,
      anon_sym_fn,
    ACTIONS(5095), 1,
      anon_sym_AMP,
    STATE(1191), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_binded_identifier,
    STATE(1309), 1,
      sym__simple_type,
    STATE(2202), 1,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1237), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3186), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23368] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3166), 1,
      sym_identifier,
    ACTIONS(3176), 1,
      anon_sym_LBRACK,
    ACTIONS(3178), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3180), 1,
      anon_sym_chan,
    ACTIONS(3182), 1,
      anon_sym_shared,
    ACTIONS(3184), 1,
      anon_sym_thread,
    ACTIONS(3190), 1,
      sym_type_placeholder,
    ACTIONS(3192), 1,
      sym_type_identifier,
    ACTIONS(3194), 1,
      anon_sym_fn,
    ACTIONS(5095), 1,
      anon_sym_AMP,
    STATE(1191), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_binded_identifier,
    STATE(1311), 1,
      sym__simple_type,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1237), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3186), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23461] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4558), 1,
      anon_sym_chan,
    ACTIONS(4560), 1,
      anon_sym_shared,
    ACTIONS(4562), 1,
      anon_sym_thread,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4572), 1,
      anon_sym_fn,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 1,
      anon_sym_map_LBRACK,
    STATE(2204), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2605), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23554] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2205), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4016), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23647] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2206), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4020), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23740] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4558), 1,
      anon_sym_chan,
    ACTIONS(4560), 1,
      anon_sym_shared,
    ACTIONS(4562), 1,
      anon_sym_thread,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4572), 1,
      anon_sym_fn,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 1,
      anon_sym_map_LBRACK,
    STATE(2207), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2610), 1,
      sym__simple_type,
    STATE(2612), 1,
      sym_binded_identifier,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23833] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3166), 1,
      sym_identifier,
    ACTIONS(3176), 1,
      anon_sym_LBRACK,
    ACTIONS(3178), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3180), 1,
      anon_sym_chan,
    ACTIONS(3182), 1,
      anon_sym_shared,
    ACTIONS(3184), 1,
      anon_sym_thread,
    ACTIONS(3190), 1,
      sym_type_placeholder,
    ACTIONS(3192), 1,
      sym_type_identifier,
    ACTIONS(3194), 1,
      anon_sym_fn,
    ACTIONS(5095), 1,
      anon_sym_AMP,
    STATE(1191), 1,
      sym_qualified_type,
    STATE(1236), 1,
      sym__simple_type,
    STATE(1246), 1,
      sym_binded_identifier,
    STATE(2208), 1,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1237), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3186), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [23926] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3166), 1,
      sym_identifier,
    ACTIONS(3176), 1,
      anon_sym_LBRACK,
    ACTIONS(3178), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3180), 1,
      anon_sym_chan,
    ACTIONS(3182), 1,
      anon_sym_shared,
    ACTIONS(3184), 1,
      anon_sym_thread,
    ACTIONS(3190), 1,
      sym_type_placeholder,
    ACTIONS(3192), 1,
      sym_type_identifier,
    ACTIONS(3194), 1,
      anon_sym_fn,
    ACTIONS(5095), 1,
      anon_sym_AMP,
    STATE(1191), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_binded_identifier,
    STATE(1274), 1,
      sym__simple_type,
    STATE(2209), 1,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1237), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3186), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24019] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4558), 1,
      anon_sym_chan,
    ACTIONS(4560), 1,
      anon_sym_shared,
    ACTIONS(4562), 1,
      anon_sym_thread,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4572), 1,
      anon_sym_fn,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 1,
      anon_sym_map_LBRACK,
    STATE(2210), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2663), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24112] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4708), 1,
      sym_identifier,
    ACTIONS(4718), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_chan,
    ACTIONS(4724), 1,
      anon_sym_shared,
    ACTIONS(4726), 1,
      anon_sym_thread,
    ACTIONS(4732), 1,
      sym_type_placeholder,
    ACTIONS(4734), 1,
      sym_type_identifier,
    ACTIONS(4736), 1,
      anon_sym_fn,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    STATE(2211), 1,
      sym_comment,
    STATE(3097), 1,
      sym_qualified_type,
    STATE(3322), 1,
      sym_binded_identifier,
    STATE(3377), 1,
      sym__simple_type,
    ACTIONS(4730), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3312), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4728), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24205] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2212), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4874), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24298] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3556), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3570), 1,
      anon_sym_chan,
    ACTIONS(3572), 1,
      anon_sym_shared,
    ACTIONS(3574), 1,
      anon_sym_thread,
    ACTIONS(3580), 1,
      sym_type_placeholder,
    ACTIONS(3582), 1,
      sym_type_identifier,
    ACTIONS(3584), 1,
      anon_sym_fn,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    STATE(1668), 1,
      sym_qualified_type,
    STATE(1749), 1,
      sym_binded_identifier,
    STATE(1768), 1,
      sym__simple_type,
    STATE(2213), 1,
      sym_comment,
    ACTIONS(3578), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1743), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3576), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24391] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3556), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3570), 1,
      anon_sym_chan,
    ACTIONS(3572), 1,
      anon_sym_shared,
    ACTIONS(3574), 1,
      anon_sym_thread,
    ACTIONS(3580), 1,
      sym_type_placeholder,
    ACTIONS(3582), 1,
      sym_type_identifier,
    ACTIONS(3584), 1,
      anon_sym_fn,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    STATE(1668), 1,
      sym_qualified_type,
    STATE(1749), 1,
      sym_binded_identifier,
    STATE(1751), 1,
      sym__simple_type,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(3578), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1743), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3576), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24484] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4708), 1,
      sym_identifier,
    ACTIONS(4718), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_chan,
    ACTIONS(4724), 1,
      anon_sym_shared,
    ACTIONS(4726), 1,
      anon_sym_thread,
    ACTIONS(4732), 1,
      sym_type_placeholder,
    ACTIONS(4734), 1,
      sym_type_identifier,
    ACTIONS(4736), 1,
      anon_sym_fn,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    STATE(2215), 1,
      sym_comment,
    STATE(3097), 1,
      sym_qualified_type,
    STATE(3322), 1,
      sym_binded_identifier,
    STATE(3376), 1,
      sym__simple_type,
    ACTIONS(4730), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3312), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4728), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24577] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4480), 1,
      sym_identifier,
    ACTIONS(4494), 1,
      anon_sym_chan,
    ACTIONS(4496), 1,
      anon_sym_shared,
    ACTIONS(4498), 1,
      anon_sym_thread,
    ACTIONS(4504), 1,
      sym_type_placeholder,
    ACTIONS(4506), 1,
      sym_type_identifier,
    ACTIONS(4508), 1,
      anon_sym_fn,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_LBRACK,
    ACTIONS(5087), 1,
      anon_sym_map_LBRACK,
    STATE(2216), 1,
      sym_comment,
    STATE(2566), 1,
      sym_qualified_type,
    STATE(2858), 1,
      sym_binded_identifier,
    STATE(2866), 1,
      sym__simple_type,
    ACTIONS(4502), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2852), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4500), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24670] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2217), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4221), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24763] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2218), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4315), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24856] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3556), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3570), 1,
      anon_sym_chan,
    ACTIONS(3572), 1,
      anon_sym_shared,
    ACTIONS(3574), 1,
      anon_sym_thread,
    ACTIONS(3580), 1,
      sym_type_placeholder,
    ACTIONS(3582), 1,
      sym_type_identifier,
    ACTIONS(3584), 1,
      anon_sym_fn,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    STATE(1668), 1,
      sym_qualified_type,
    STATE(1749), 1,
      sym_binded_identifier,
    STATE(1795), 1,
      sym__simple_type,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(3578), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1743), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3576), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [24949] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2220), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4046), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25042] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3556), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3570), 1,
      anon_sym_chan,
    ACTIONS(3572), 1,
      anon_sym_shared,
    ACTIONS(3574), 1,
      anon_sym_thread,
    ACTIONS(3580), 1,
      sym_type_placeholder,
    ACTIONS(3582), 1,
      sym_type_identifier,
    ACTIONS(3584), 1,
      anon_sym_fn,
    ACTIONS(5145), 1,
      anon_sym_AMP,
    STATE(1668), 1,
      sym_qualified_type,
    STATE(1749), 1,
      sym_binded_identifier,
    STATE(1767), 1,
      sym__simple_type,
    STATE(2221), 1,
      sym_comment,
    ACTIONS(3578), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(1743), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3576), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25135] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2222), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4388), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25228] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4558), 1,
      anon_sym_chan,
    ACTIONS(4560), 1,
      anon_sym_shared,
    ACTIONS(4562), 1,
      anon_sym_thread,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4572), 1,
      anon_sym_fn,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 1,
      anon_sym_map_LBRACK,
    STATE(2223), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2648), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25321] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4558), 1,
      anon_sym_chan,
    ACTIONS(4560), 1,
      anon_sym_shared,
    ACTIONS(4562), 1,
      anon_sym_thread,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4572), 1,
      anon_sym_fn,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 1,
      anon_sym_map_LBRACK,
    STATE(2224), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2774), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25414] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4544), 1,
      sym_identifier,
    ACTIONS(4568), 1,
      sym_type_placeholder,
    ACTIONS(4570), 1,
      sym_type_identifier,
    ACTIONS(4620), 1,
      anon_sym_chan,
    ACTIONS(4622), 1,
      anon_sym_shared,
    ACTIONS(4624), 1,
      anon_sym_thread,
    ACTIONS(4626), 1,
      anon_sym_fn,
    ACTIONS(5035), 1,
      anon_sym_AMP,
    ACTIONS(5039), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_map_LBRACK,
    STATE(2225), 1,
      sym_comment,
    STATE(2555), 1,
      sym_qualified_type,
    STATE(2612), 1,
      sym_binded_identifier,
    STATE(2774), 1,
      sym__simple_type,
    ACTIONS(4566), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2618), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4564), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25507] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(4979), 1,
      anon_sym_AMP,
    ACTIONS(4983), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_chan,
    ACTIONS(4989), 1,
      anon_sym_shared,
    ACTIONS(4991), 1,
      anon_sym_thread,
    ACTIONS(4995), 1,
      anon_sym_fn,
    STATE(2226), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4133), 1,
      sym__simple_type,
    ACTIONS(4993), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25600] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2227), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(5018), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25693] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3688), 1,
      sym_identifier,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    ACTIONS(3700), 1,
      anon_sym_map_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_chan,
    ACTIONS(3704), 1,
      anon_sym_shared,
    ACTIONS(3706), 1,
      anon_sym_thread,
    ACTIONS(3712), 1,
      sym_type_placeholder,
    ACTIONS(3714), 1,
      sym_type_identifier,
    ACTIONS(3716), 1,
      anon_sym_fn,
    ACTIONS(5103), 1,
      anon_sym_AMP,
    STATE(2228), 1,
      sym_comment,
    STATE(2402), 1,
      sym_qualified_type,
    STATE(2465), 1,
      sym_binded_identifier,
    STATE(2473), 1,
      sym__simple_type,
    ACTIONS(3710), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2440), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(3708), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25786] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4480), 1,
      sym_identifier,
    ACTIONS(4494), 1,
      anon_sym_chan,
    ACTIONS(4496), 1,
      anon_sym_shared,
    ACTIONS(4498), 1,
      anon_sym_thread,
    ACTIONS(4504), 1,
      sym_type_placeholder,
    ACTIONS(4506), 1,
      sym_type_identifier,
    ACTIONS(4508), 1,
      anon_sym_fn,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_LBRACK,
    ACTIONS(5087), 1,
      anon_sym_map_LBRACK,
    STATE(2229), 1,
      sym_comment,
    STATE(2566), 1,
      sym_qualified_type,
    STATE(2858), 1,
      sym_binded_identifier,
    STATE(2868), 1,
      sym__simple_type,
    ACTIONS(4502), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2852), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4500), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25879] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2230), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4154), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [25972] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4480), 1,
      sym_identifier,
    ACTIONS(4494), 1,
      anon_sym_chan,
    ACTIONS(4496), 1,
      anon_sym_shared,
    ACTIONS(4498), 1,
      anon_sym_thread,
    ACTIONS(4504), 1,
      sym_type_placeholder,
    ACTIONS(4506), 1,
      sym_type_identifier,
    ACTIONS(4508), 1,
      anon_sym_fn,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_LBRACK,
    ACTIONS(5087), 1,
      anon_sym_map_LBRACK,
    STATE(2231), 1,
      sym_comment,
    STATE(2566), 1,
      sym_qualified_type,
    STATE(2858), 1,
      sym_binded_identifier,
    STATE(2860), 1,
      sym__simple_type,
    ACTIONS(4502), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2852), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4500), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [26065] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(23), 1,
      anon_sym_map_LBRACK,
    ACTIONS(25), 1,
      anon_sym_chan,
    ACTIONS(29), 1,
      anon_sym_thread,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(756), 1,
      anon_sym_LBRACK,
    ACTIONS(758), 1,
      anon_sym_shared,
    ACTIONS(762), 1,
      sym_type_placeholder,
    ACTIONS(764), 1,
      sym_type_identifier,
    ACTIONS(766), 1,
      anon_sym_fn,
    ACTIONS(4783), 1,
      anon_sym_AMP,
    STATE(2232), 1,
      sym_comment,
    STATE(3592), 1,
      sym_qualified_type,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4081), 1,
      sym__simple_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3654), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(45), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [26158] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4708), 1,
      sym_identifier,
    ACTIONS(4718), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_map_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_chan,
    ACTIONS(4724), 1,
      anon_sym_shared,
    ACTIONS(4726), 1,
      anon_sym_thread,
    ACTIONS(4732), 1,
      sym_type_placeholder,
    ACTIONS(4734), 1,
      sym_type_identifier,
    ACTIONS(4736), 1,
      anon_sym_fn,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    STATE(2233), 1,
      sym_comment,
    STATE(3097), 1,
      sym_qualified_type,
    STATE(3291), 1,
      sym__simple_type,
    STATE(3322), 1,
      sym_binded_identifier,
    ACTIONS(4730), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3312), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4728), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [26251] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4480), 1,
      sym_identifier,
    ACTIONS(4494), 1,
      anon_sym_chan,
    ACTIONS(4496), 1,
      anon_sym_shared,
    ACTIONS(4498), 1,
      anon_sym_thread,
    ACTIONS(4504), 1,
      sym_type_placeholder,
    ACTIONS(4506), 1,
      sym_type_identifier,
    ACTIONS(4508), 1,
      anon_sym_fn,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_LBRACK,
    ACTIONS(5087), 1,
      anon_sym_map_LBRACK,
    STATE(2234), 1,
      sym_comment,
    STATE(2566), 1,
      sym_qualified_type,
    STATE(2858), 1,
      sym_binded_identifier,
    STATE(2882), 1,
      sym__simple_type,
    ACTIONS(4502), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(2852), 11,
      sym_fixed_array_type,
      sym_array_type,
      sym_pointer_type,
      sym_map_type,
      sym_channel_type,
      sym_shared_type,
      sym_thread_type,
      sym_builtin_type,
      sym__binded_type,
      sym_generic_type,
      sym_function_type,
    ACTIONS(4500), 28,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [26344] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5189), 1,
      anon_sym_BANG,
    ACTIONS(5191), 1,
      anon_sym_QMARK,
    ACTIONS(5193), 1,
      anon_sym_or,
    STATE(2235), 1,
      sym_comment,
    STATE(2299), 1,
      sym_option_propagator,
    STATE(2353), 1,
      sym_or_block,
    ACTIONS(879), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(877), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [26418] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5189), 1,
      anon_sym_BANG,
    ACTIONS(5191), 1,
      anon_sym_QMARK,
    ACTIONS(5193), 1,
      anon_sym_or,
    STATE(2236), 1,
      sym_comment,
    STATE(2325), 1,
      sym_option_propagator,
    STATE(2353), 1,
      sym_or_block,
    ACTIONS(883), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(881), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [26492] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5189), 1,
      anon_sym_BANG,
    ACTIONS(5191), 1,
      anon_sym_QMARK,
    ACTIONS(5193), 1,
      anon_sym_or,
    STATE(2237), 1,
      sym_comment,
    STATE(2351), 1,
      sym_option_propagator,
    STATE(2353), 1,
      sym_or_block,
    ACTIONS(875), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(873), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [26566] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5189), 1,
      anon_sym_BANG,
    ACTIONS(5191), 1,
      anon_sym_QMARK,
    ACTIONS(5193), 1,
      anon_sym_or,
    STATE(2238), 1,
      sym_comment,
    STATE(2352), 1,
      sym_option_propagator,
    STATE(2353), 1,
      sym_or_block,
    ACTIONS(865), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(863), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [26640] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5195), 1,
      anon_sym_LPAREN,
    STATE(2237), 1,
      sym_argument_list,
    STATE(2238), 1,
      sym_special_argument_list,
    STATE(2239), 1,
      sym_comment,
    STATE(4417), 1,
      sym_type_parameters,
    ACTIONS(852), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(850), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [26714] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(858), 1,
      anon_sym_DOT,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5195), 1,
      anon_sym_LPAREN,
    STATE(2237), 1,
      sym_argument_list,
    STATE(2238), 1,
      sym_special_argument_list,
    STATE(2240), 1,
      sym_comment,
    STATE(4417), 1,
      sym_type_parameters,
    ACTIONS(852), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(850), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [26790] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1015), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_LPAREN,
    STATE(2237), 1,
      sym_argument_list,
    STATE(2241), 1,
      sym_comment,
    STATE(4417), 1,
      sym_type_parameters,
    ACTIONS(852), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(850), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [26863] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2242), 1,
      sym_comment,
    ACTIONS(1124), 52,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [26924] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2243), 1,
      sym_comment,
    ACTIONS(1132), 52,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [26985] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(1186), 52,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [27046] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2245), 1,
      sym_comment,
    ACTIONS(1140), 52,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [27107] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(1136), 52,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [27168] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5195), 1,
      anon_sym_LPAREN,
    ACTIONS(5199), 1,
      anon_sym_in,
    ACTIONS(5201), 1,
      anon_sym_COMMA,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    STATE(2237), 1,
      sym_argument_list,
    STATE(2238), 1,
      sym_special_argument_list,
    STATE(2247), 1,
      sym_comment,
    STATE(4218), 1,
      aux_sym_identifier_list_repeat1,
    STATE(4417), 1,
      sym_type_parameters,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [27249] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2248), 1,
      sym_comment,
    ACTIONS(1124), 51,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [27309] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(1062), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1060), 33,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [27371] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(1136), 51,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [27431] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2251), 1,
      sym_comment,
    ACTIONS(1054), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1052), 33,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [27493] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2252), 1,
      sym_comment,
    ACTIONS(1194), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1192), 34,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [27555] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(1190), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1188), 34,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [27617] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(1186), 51,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [27677] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(1040), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1038), 33,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [27739] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2256), 1,
      sym_comment,
    ACTIONS(1132), 51,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [27799] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2257), 1,
      sym_comment,
    ACTIONS(1066), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1064), 33,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [27861] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2258), 1,
      sym_comment,
    ACTIONS(1112), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1110), 34,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [27923] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2259), 1,
      sym_comment,
    ACTIONS(1044), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1042), 33,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [27985] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2260), 1,
      sym_comment,
    ACTIONS(1140), 51,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_mut,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
  [28045] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2261), 1,
      sym_comment,
    ACTIONS(1058), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1056), 33,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28107] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5197), 1,
      anon_sym_LPAREN,
    STATE(2262), 1,
      sym_comment,
    STATE(2321), 1,
      sym_argument_list,
    ACTIONS(1224), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1222), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28172] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2263), 1,
      sym_comment,
    ACTIONS(1202), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1200), 32,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28233] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2264), 1,
      sym_comment,
    ACTIONS(1198), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1196), 32,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28294] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2265), 1,
      sym_comment,
    ACTIONS(1120), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1118), 32,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28355] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5197), 1,
      anon_sym_LPAREN,
    STATE(2266), 1,
      sym_comment,
    STATE(2309), 1,
      sym_argument_list,
    ACTIONS(1128), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1126), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28420] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5197), 1,
      anon_sym_LPAREN,
    STATE(2267), 1,
      sym_comment,
    STATE(2298), 1,
      sym_argument_list,
    ACTIONS(1210), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1208), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28485] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2268), 1,
      sym_comment,
    ACTIONS(1206), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1204), 32,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28546] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2269), 1,
      sym_comment,
    ACTIONS(1182), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1180), 32,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28607] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(1104), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1102), 32,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28668] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5206), 1,
      anon_sym_LT2,
    STATE(2271), 1,
      sym_comment,
    STATE(2294), 1,
      sym_type_parameters,
    ACTIONS(1048), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1046), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28733] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5208), 1,
      sym_identifier,
    ACTIONS(5210), 1,
      anon_sym_LBRACE,
    STATE(2272), 1,
      sym_comment,
    STATE(2376), 1,
      sym__content_block,
    ACTIONS(1104), 20,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_is,
    ACTIONS(1102), 27,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_BANGis,
  [28800] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5197), 1,
      anon_sym_LPAREN,
    STATE(2273), 1,
      sym_comment,
    STATE(2307), 1,
      sym_argument_list,
    ACTIONS(1100), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1098), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28865] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2274), 1,
      sym_comment,
    ACTIONS(1108), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1106), 32,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28926] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2275), 1,
      sym_comment,
    ACTIONS(1214), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1212), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [28986] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5212), 1,
      anon_sym_DOLLARelse,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(1232), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1230), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29048] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5214), 1,
      anon_sym_else,
    STATE(2277), 1,
      sym_comment,
    ACTIONS(1238), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1236), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29110] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5216), 1,
      anon_sym_else,
    STATE(2278), 1,
      sym_comment,
    ACTIONS(1244), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1242), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29172] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5218), 1,
      anon_sym_BANG,
    STATE(2279), 1,
      sym_comment,
    ACTIONS(1612), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1610), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29234] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2280), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1104), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1102), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29296] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5220), 1,
      anon_sym_DOLLARelse,
    STATE(2281), 1,
      sym_comment,
    ACTIONS(1218), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1216), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29358] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_DOT,
    STATE(2282), 1,
      sym_comment,
    ACTIONS(1542), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1540), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29421] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_DOT,
    STATE(2283), 1,
      sym_comment,
    ACTIONS(1550), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1548), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29484] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(1566), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1564), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29543] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2285), 1,
      sym_comment,
    ACTIONS(1622), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1620), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29602] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2286), 1,
      sym_comment,
    ACTIONS(1104), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1102), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29661] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2287), 1,
      sym_comment,
    ACTIONS(1202), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1200), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29720] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2288), 1,
      sym_comment,
    ACTIONS(1198), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1196), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29779] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2289), 1,
      sym_comment,
    ACTIONS(1114), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1116), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29838] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5226), 1,
      anon_sym_LPAREN,
    STATE(2290), 1,
      sym_comment,
    STATE(2293), 1,
      sym_argument_list,
    STATE(2340), 1,
      sym_special_argument_list,
    STATE(4553), 1,
      sym_type_parameters,
    ACTIONS(3264), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 25,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [29911] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2291), 1,
      sym_comment,
    ACTIONS(1416), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1414), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [29970] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(5228), 1,
      anon_sym_LPAREN,
    STATE(2292), 1,
      sym_comment,
    STATE(2293), 1,
      sym_argument_list,
    STATE(4553), 1,
      sym_type_parameters,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [30039] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5230), 1,
      anon_sym_BANG,
    ACTIONS(5232), 1,
      anon_sym_QMARK,
    ACTIONS(5234), 1,
      anon_sym_or,
    STATE(2293), 1,
      sym_comment,
    STATE(2476), 1,
      sym_or_block,
    STATE(2482), 1,
      sym_option_propagator,
    ACTIONS(875), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(873), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [30108] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2294), 1,
      sym_comment,
    ACTIONS(1350), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1348), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30167] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2295), 1,
      sym_comment,
    ACTIONS(1604), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1602), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30226] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2296), 1,
      sym_comment,
    ACTIONS(1600), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1598), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30285] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2297), 1,
      sym_comment,
    ACTIONS(1524), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1522), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30344] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2298), 1,
      sym_comment,
    ACTIONS(1512), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1510), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30403] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2299), 1,
      sym_comment,
    ACTIONS(1428), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1426), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30462] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2300), 1,
      sym_comment,
    ACTIONS(1292), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1290), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30521] = 22,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1142), 1,
      anon_sym_SEMI,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    ACTIONS(1174), 1,
      anon_sym_EQ,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_in,
    ACTIONS(5246), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5248), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5250), 1,
      anon_sym_as,
    ACTIONS(5252), 1,
      anon_sym_LBRACE,
    ACTIONS(5254), 1,
      anon_sym_DOT,
    ACTIONS(5256), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(5258), 1,
      anon_sym_DASH_DASH,
    STATE(1863), 1,
      sym_block,
    STATE(2301), 1,
      sym_comment,
    STATE(3475), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5242), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5236), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5240), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
    ACTIONS(5238), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1172), 13,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [30616] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2302), 1,
      sym_comment,
    ACTIONS(1366), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30675] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2303), 1,
      sym_comment,
    ACTIONS(1420), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30734] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2304), 1,
      sym_comment,
    ACTIONS(1336), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1334), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30793] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2305), 1,
      sym_comment,
    ACTIONS(1342), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1340), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30852] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2306), 1,
      sym_comment,
    ACTIONS(1346), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1344), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30911] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2307), 1,
      sym_comment,
    ACTIONS(1362), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1360), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [30970] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5226), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_argument_list,
    STATE(2308), 1,
      sym_comment,
    STATE(2340), 1,
      sym_special_argument_list,
    STATE(4553), 1,
      sym_type_parameters,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [31039] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2309), 1,
      sym_comment,
    ACTIONS(1392), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1390), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31098] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2310), 1,
      sym_comment,
    ACTIONS(1490), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1488), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31157] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2311), 1,
      sym_comment,
    ACTIONS(1318), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1316), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31216] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2312), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1368), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31275] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5226), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_argument_list,
    STATE(2313), 1,
      sym_comment,
    STATE(2340), 1,
      sym_special_argument_list,
    STATE(4553), 1,
      sym_type_parameters,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 27,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [31346] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2314), 1,
      sym_comment,
    ACTIONS(1280), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1278), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31405] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2315), 1,
      sym_comment,
    ACTIONS(1296), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1294), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31464] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2316), 1,
      sym_comment,
    ACTIONS(1480), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1478), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31523] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2317), 1,
      sym_comment,
    ACTIONS(1288), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1286), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31582] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2318), 1,
      sym_comment,
    ACTIONS(1538), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1536), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31641] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2319), 1,
      sym_comment,
    ACTIONS(1556), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1554), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31700] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2320), 1,
      sym_comment,
    ACTIONS(1592), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1590), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31759] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2321), 1,
      sym_comment,
    ACTIONS(1276), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1274), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31818] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2322), 1,
      sym_comment,
    ACTIONS(1112), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1110), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31877] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2323), 1,
      sym_comment,
    ACTIONS(1284), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1282), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31936] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2324), 1,
      sym_comment,
    ACTIONS(1322), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1320), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [31995] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2325), 1,
      sym_comment,
    ACTIONS(1328), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1326), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32054] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2326), 1,
      sym_comment,
    ACTIONS(1332), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1330), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32113] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2327), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1376), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32172] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5230), 1,
      anon_sym_BANG,
    ACTIONS(5232), 1,
      anon_sym_QMARK,
    ACTIONS(5234), 1,
      anon_sym_or,
    STATE(2328), 1,
      sym_comment,
    STATE(2476), 1,
      sym_or_block,
    STATE(2491), 1,
      sym_option_propagator,
    ACTIONS(883), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(881), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [32241] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2329), 1,
      sym_comment,
    ACTIONS(1570), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1568), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32300] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_DOT,
    ACTIONS(5246), 1,
      anon_sym_AMP_AMP,
    STATE(2330), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(5242), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5236), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5240), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(5238), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 21,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
  [32375] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_DOT,
    STATE(2331), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(5242), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5236), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5240), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(5238), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 22,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
  [32448] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_DOT,
    STATE(2332), 1,
      sym_comment,
    ACTIONS(1542), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(5236), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5238), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32515] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2333), 1,
      sym_comment,
    ACTIONS(1122), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_map_LBRACK,
      anon_sym_GT2,
    ACTIONS(1124), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [32574] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_DOT,
    STATE(2334), 1,
      sym_comment,
    ACTIONS(1542), 8,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(5238), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32639] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2335), 1,
      sym_comment,
    ACTIONS(1516), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1514), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32698] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2336), 1,
      sym_comment,
    ACTIONS(1130), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_map_LBRACK,
      anon_sym_GT2,
    ACTIONS(1132), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [32757] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2337), 1,
      sym_comment,
    ACTIONS(1438), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1436), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32816] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5226), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_argument_list,
    STATE(2338), 1,
      sym_comment,
    STATE(2340), 1,
      sym_special_argument_list,
    STATE(4553), 1,
      sym_type_parameters,
    ACTIONS(3252), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 26,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [32887] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2339), 1,
      sym_comment,
    ACTIONS(1048), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1046), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [32946] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5230), 1,
      anon_sym_BANG,
    ACTIONS(5232), 1,
      anon_sym_QMARK,
    ACTIONS(5234), 1,
      anon_sym_or,
    STATE(2340), 1,
      sym_comment,
    STATE(2476), 1,
      sym_or_block,
    STATE(2495), 1,
      sym_option_propagator,
    ACTIONS(865), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(863), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [33015] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2341), 1,
      sym_comment,
    ACTIONS(1396), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1394), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33074] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2342), 1,
      sym_comment,
    ACTIONS(1400), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1398), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33133] = 22,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1142), 1,
      anon_sym_SEMI,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    ACTIONS(1174), 1,
      anon_sym_EQ,
    ACTIONS(3404), 1,
      anon_sym_LBRACE,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_in,
    ACTIONS(5246), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5248), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5250), 1,
      anon_sym_as,
    ACTIONS(5254), 1,
      anon_sym_DOT,
    ACTIONS(5256), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(5258), 1,
      anon_sym_DASH_DASH,
    STATE(1551), 1,
      sym_block,
    STATE(2343), 1,
      sym_comment,
    STATE(3475), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5242), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5236), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5240), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
    ACTIONS(5238), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1172), 13,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [33228] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2344), 1,
      sym_comment,
    ACTIONS(744), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(742), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33287] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2345), 1,
      sym_comment,
    ACTIONS(1450), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1448), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33346] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2346), 1,
      sym_comment,
    ACTIONS(1454), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1452), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33405] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2347), 1,
      sym_comment,
    ACTIONS(1476), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1474), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33464] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2348), 1,
      sym_comment,
    ACTIONS(1470), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1468), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33523] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2349), 1,
      sym_comment,
    ACTIONS(852), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(850), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33582] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2350), 1,
      sym_comment,
    ACTIONS(1424), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1422), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33641] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2351), 1,
      sym_comment,
    ACTIONS(1484), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1482), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33700] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2352), 1,
      sym_comment,
    ACTIONS(1494), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1492), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33759] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2353), 1,
      sym_comment,
    ACTIONS(1502), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1500), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33818] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_DOT,
    ACTIONS(5262), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5264), 1,
      anon_sym_LBRACE,
    ACTIONS(5266), 1,
      anon_sym_DOT_DOT,
    STATE(2354), 1,
      sym_comment,
    ACTIONS(1542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(5236), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5238), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33891] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2355), 1,
      sym_comment,
    ACTIONS(1562), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1560), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [33950] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2356), 1,
      sym_comment,
    ACTIONS(1134), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_map_LBRACK,
      anon_sym_GT2,
    ACTIONS(1136), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [34009] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2357), 1,
      sym_comment,
    ACTIONS(1374), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1372), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34068] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2358), 1,
      sym_comment,
    ACTIONS(1618), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1616), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34127] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2359), 1,
      sym_comment,
    ACTIONS(1184), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_map_LBRACK,
      anon_sym_GT2,
    ACTIONS(1186), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [34186] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2360), 1,
      sym_comment,
    ACTIONS(1588), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1586), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34245] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2361), 1,
      sym_comment,
    ACTIONS(1250), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1248), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34304] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2362), 1,
      sym_comment,
    ACTIONS(1254), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1252), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34363] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2363), 1,
      sym_comment,
    ACTIONS(1466), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1464), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34422] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2364), 1,
      sym_comment,
    ACTIONS(1534), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1532), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34481] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2365), 1,
      sym_comment,
    ACTIONS(1528), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1526), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34540] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2366), 1,
      sym_comment,
    ACTIONS(1520), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1518), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34599] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2367), 1,
      sym_comment,
    ACTIONS(1458), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1456), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34658] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2368), 1,
      sym_comment,
    ACTIONS(1608), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1606), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34717] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5230), 1,
      anon_sym_BANG,
    ACTIONS(5232), 1,
      anon_sym_QMARK,
    ACTIONS(5234), 1,
      anon_sym_or,
    STATE(2369), 1,
      sym_comment,
    STATE(2449), 1,
      sym_option_propagator,
    STATE(2476), 1,
      sym_or_block,
    ACTIONS(879), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(877), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [34786] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2370), 1,
      sym_comment,
    ACTIONS(1412), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1410), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34845] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(1388), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1386), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34904] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2372), 1,
      sym_comment,
    ACTIONS(1358), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [34963] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2373), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1352), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [35022] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2374), 1,
      sym_comment,
    ACTIONS(1596), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1594), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [35081] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2375), 1,
      sym_comment,
    ACTIONS(1580), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1578), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [35140] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2376), 1,
      sym_comment,
    ACTIONS(1272), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1270), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [35199] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2377), 1,
      sym_comment,
    ACTIONS(1404), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1402), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [35258] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2378), 1,
      sym_comment,
    ACTIONS(1574), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1572), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [35317] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2379), 1,
      sym_comment,
    ACTIONS(1584), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(1582), 31,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [35376] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2380), 1,
      sym_comment,
    ACTIONS(1138), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_map_LBRACK,
      anon_sym_GT2,
    ACTIONS(1140), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [35435] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5226), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_argument_list,
    STATE(2340), 1,
      sym_special_argument_list,
    STATE(2381), 1,
      sym_comment,
    STATE(4553), 1,
      sym_type_parameters,
    ACTIONS(3264), 4,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 22,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [35507] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5199), 1,
      anon_sym_in,
    ACTIONS(5201), 1,
      anon_sym_COMMA,
    STATE(2382), 1,
      sym_comment,
    STATE(4218), 1,
      aux_sym_identifier_list_repeat1,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 29,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [35571] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2383), 1,
      sym_comment,
    ACTIONS(1190), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1188), 31,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [35628] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2384), 1,
      sym_comment,
    ACTIONS(1198), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_EQ,
    ACTIONS(1196), 30,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [35685] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2385), 1,
      sym_comment,
    ACTIONS(1044), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1042), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [35742] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2386), 1,
      sym_comment,
    ACTIONS(1194), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1192), 31,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [35799] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1142), 1,
      anon_sym_LBRACE,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    ACTIONS(1174), 1,
      anon_sym_EQ,
    ACTIONS(5222), 1,
      anon_sym_LBRACK,
    ACTIONS(5246), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5248), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5250), 1,
      anon_sym_as,
    ACTIONS(5254), 1,
      anon_sym_DOT,
    ACTIONS(5256), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(5258), 1,
      anon_sym_DASH_DASH,
    STATE(2387), 1,
      sym_comment,
    STATE(3475), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5242), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5236), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5240), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(5238), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1172), 13,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [35886] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2388), 1,
      sym_comment,
    ACTIONS(1202), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_EQ,
    ACTIONS(1200), 30,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [35943] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2389), 1,
      sym_comment,
    ACTIONS(1066), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1064), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36000] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2390), 1,
      sym_comment,
    ACTIONS(1058), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1056), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36057] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2391), 1,
      sym_comment,
    ACTIONS(1054), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1052), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36114] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2392), 1,
      sym_comment,
    ACTIONS(1062), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1060), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36171] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2393), 1,
      sym_comment,
    ACTIONS(1040), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1038), 30,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36228] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2394), 1,
      sym_comment,
    ACTIONS(1112), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1110), 31,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [36285] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5268), 1,
      sym_identifier,
    ACTIONS(5270), 1,
      anon_sym_LBRACE,
    STATE(2395), 1,
      sym_comment,
    STATE(2452), 1,
      sym__content_block,
    ACTIONS(1104), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_is,
    ACTIONS(1102), 25,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_BANGis,
  [36348] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2396), 1,
      sym_comment,
    ACTIONS(1104), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_EQ,
    ACTIONS(1102), 29,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36404] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5228), 1,
      anon_sym_LPAREN,
    STATE(2397), 1,
      sym_comment,
    STATE(2448), 1,
      sym_argument_list,
    ACTIONS(1210), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1208), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36464] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2398), 1,
      sym_comment,
    ACTIONS(1182), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_EQ,
    ACTIONS(1180), 29,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36520] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5228), 1,
      anon_sym_LPAREN,
    STATE(2399), 1,
      sym_comment,
    STATE(2498), 1,
      sym_argument_list,
    ACTIONS(1224), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1222), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36580] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2400), 1,
      sym_comment,
    ACTIONS(1206), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_EQ,
    ACTIONS(1204), 29,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36636] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2401), 1,
      sym_comment,
    ACTIONS(1108), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_EQ,
    ACTIONS(1106), 29,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36692] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5272), 1,
      anon_sym_LT2,
    STATE(2402), 1,
      sym_comment,
    STATE(2477), 1,
      sym_type_parameters,
    ACTIONS(1048), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1046), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36752] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2403), 1,
      sym_comment,
    ACTIONS(1120), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_EQ,
    ACTIONS(1118), 29,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36808] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2404), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1104), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1102), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36866] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5228), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym_comment,
    STATE(2432), 1,
      sym_argument_list,
    ACTIONS(1128), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1126), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36926] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5228), 1,
      anon_sym_LPAREN,
    STATE(2406), 1,
      sym_comment,
    STATE(2461), 1,
      sym_argument_list,
    ACTIONS(1100), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1098), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [36986] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5274), 1,
      anon_sym_DOLLARelse,
    STATE(2407), 1,
      sym_comment,
    ACTIONS(1232), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1230), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37043] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5276), 1,
      anon_sym_BANG,
    STATE(2408), 1,
      sym_comment,
    ACTIONS(1612), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1610), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37100] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    STATE(2409), 1,
      sym_comment,
    ACTIONS(1112), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1110), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37157] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    STATE(2410), 1,
      sym_comment,
    ACTIONS(1584), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1582), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37214] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(1134), 7,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
    ACTIONS(1136), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [37269] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5278), 1,
      anon_sym_DOLLARelse,
    STATE(2412), 1,
      sym_comment,
    ACTIONS(1218), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1216), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37326] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5280), 1,
      anon_sym_else,
    STATE(2413), 1,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1242), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37383] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2414), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1102), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
    ACTIONS(1104), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [37440] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5282), 1,
      anon_sym_else,
    STATE(2415), 1,
      sym_comment,
    ACTIONS(1238), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1236), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37497] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2416), 1,
      sym_comment,
    ACTIONS(1214), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_EQ,
    ACTIONS(1212), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37552] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2417), 1,
      sym_comment,
    ACTIONS(1396), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1394), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37606] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_comment,
    ACTIONS(1542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(5284), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5286), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 26,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37668] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2419), 1,
      sym_comment,
    ACTIONS(1458), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1456), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37722] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    STATE(2420), 1,
      sym_comment,
    ACTIONS(1550), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1548), 26,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37780] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2421), 1,
      sym_comment,
    ACTIONS(1574), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1572), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37834] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2422), 1,
      sym_comment,
    ACTIONS(3252), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 26,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [37890] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2423), 1,
      sym_comment,
    ACTIONS(1374), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1372), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37944] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(1580), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1578), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [37998] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2425), 1,
      sym_comment,
    ACTIONS(1202), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1200), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38052] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2426), 1,
      sym_comment,
    ACTIONS(1450), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1448), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38106] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2427), 1,
      sym_comment,
    ACTIONS(1454), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1452), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38160] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2428), 1,
      sym_comment,
    ACTIONS(1198), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1196), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38214] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 26,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [38270] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2430), 1,
      sym_comment,
    ACTIONS(1476), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1474), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38324] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2431), 1,
      sym_comment,
    ACTIONS(1608), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1606), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38378] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2432), 1,
      sym_comment,
    ACTIONS(1392), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1390), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38432] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    STATE(2433), 1,
      sym_comment,
    ACTIONS(1542), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(5286), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 26,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38492] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3318), 1,
      anon_sym_EQ,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    ACTIONS(5296), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5298), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5300), 1,
      anon_sym_as,
    STATE(2434), 1,
      sym_comment,
    ACTIONS(5294), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5302), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5284), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5292), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(5286), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(3316), 15,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [38566] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3312), 1,
      anon_sym_EQ,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    ACTIONS(5296), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5298), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5300), 1,
      anon_sym_as,
    STATE(2435), 1,
      sym_comment,
    ACTIONS(5294), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5302), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5284), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5292), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(5286), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(3310), 15,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [38640] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2436), 1,
      sym_comment,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38694] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2437), 1,
      sym_comment,
    ACTIONS(1280), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1278), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38748] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2438), 1,
      sym_comment,
    ACTIONS(744), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(742), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38802] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2439), 1,
      sym_comment,
    ACTIONS(1354), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1352), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38856] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2440), 1,
      sym_comment,
    ACTIONS(1048), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1046), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38910] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    STATE(2441), 1,
      sym_comment,
    ACTIONS(1542), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1540), 26,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [38968] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2442), 1,
      sym_comment,
    ACTIONS(1588), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1586), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39022] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2443), 1,
      sym_comment,
    ACTIONS(1516), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1514), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39076] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2444), 1,
      sym_comment,
    ACTIONS(1358), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1356), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39130] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2445), 1,
      sym_comment,
    ACTIONS(1604), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1602), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39184] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2446), 1,
      sym_comment,
    ACTIONS(1600), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1598), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39238] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2447), 1,
      sym_comment,
    ACTIONS(1524), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1522), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39292] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2448), 1,
      sym_comment,
    ACTIONS(1512), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1510), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39346] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2449), 1,
      sym_comment,
    ACTIONS(1428), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1426), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39400] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2450), 1,
      sym_comment,
    ACTIONS(1388), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1386), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39454] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(1412), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1410), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39508] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2452), 1,
      sym_comment,
    ACTIONS(1272), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1270), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39562] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2453), 1,
      sym_comment,
    ACTIONS(1104), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1102), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39616] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2454), 1,
      sym_comment,
    ACTIONS(1292), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1290), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39670] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2455), 1,
      sym_comment,
    ACTIONS(1366), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1364), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39724] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2456), 1,
      sym_comment,
    ACTIONS(1420), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1418), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39778] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2457), 1,
      sym_comment,
    ACTIONS(1336), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1334), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39832] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2458), 1,
      sym_comment,
    ACTIONS(1342), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1340), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39886] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2459), 1,
      sym_comment,
    ACTIONS(1346), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1344), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [39940] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1542), 1,
      anon_sym_EQ,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    STATE(2460), 1,
      sym_comment,
    ACTIONS(5294), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5302), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5284), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5292), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(5286), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 18,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [40008] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2461), 1,
      sym_comment,
    ACTIONS(1362), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1360), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40062] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1542), 1,
      anon_sym_EQ,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    ACTIONS(5296), 1,
      anon_sym_AMP_AMP,
    STATE(2462), 1,
      sym_comment,
    ACTIONS(5294), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5302), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5284), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5292), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(5286), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [40132] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(1114), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1116), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40186] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2464), 1,
      sym_comment,
    ACTIONS(1562), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1560), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40240] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2465), 1,
      sym_comment,
    ACTIONS(1284), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1282), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40294] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2466), 1,
      sym_comment,
    ACTIONS(1288), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1286), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40348] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2467), 1,
      sym_comment,
    ACTIONS(1622), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1620), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40402] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2468), 1,
      sym_comment,
    ACTIONS(1296), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1294), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40456] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2469), 1,
      sym_comment,
    ACTIONS(1318), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1316), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40510] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2470), 1,
      sym_comment,
    ACTIONS(1566), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1564), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40564] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2471), 1,
      sym_comment,
    ACTIONS(1490), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1488), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40618] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2472), 1,
      sym_comment,
    ACTIONS(1470), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1468), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40672] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2473), 1,
      sym_comment,
    ACTIONS(1570), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1568), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40726] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2474), 1,
      sym_comment,
    ACTIONS(1596), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1594), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40780] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2475), 1,
      sym_comment,
    ACTIONS(1250), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1248), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40834] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2476), 1,
      sym_comment,
    ACTIONS(1502), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1500), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40888] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2477), 1,
      sym_comment,
    ACTIONS(1350), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1348), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40942] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2478), 1,
      sym_comment,
    ACTIONS(1370), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1368), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [40996] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(1618), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1616), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41050] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2480), 1,
      sym_comment,
    ACTIONS(1480), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1478), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41104] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2481), 1,
      sym_comment,
    ACTIONS(1378), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1376), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41158] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2482), 1,
      sym_comment,
    ACTIONS(1484), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1482), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41212] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2483), 1,
      sym_comment,
    ACTIONS(1400), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1398), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41266] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(1254), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1252), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41320] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2485), 1,
      sym_comment,
    ACTIONS(1332), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1330), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41374] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2486), 1,
      sym_comment,
    ACTIONS(1466), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1464), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41428] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2487), 1,
      sym_comment,
    ACTIONS(1538), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1536), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41482] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2488), 1,
      sym_comment,
    ACTIONS(1438), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1436), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41536] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2489), 1,
      sym_comment,
    ACTIONS(1556), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1554), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41590] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2490), 1,
      sym_comment,
    ACTIONS(1424), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1422), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41644] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2491), 1,
      sym_comment,
    ACTIONS(1328), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1326), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41698] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2492), 1,
      sym_comment,
    ACTIONS(1534), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1532), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41752] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(1322), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1320), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41806] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2494), 1,
      sym_comment,
    ACTIONS(1520), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1518), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41860] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2495), 1,
      sym_comment,
    ACTIONS(1494), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1492), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41914] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2496), 1,
      sym_comment,
    ACTIONS(1592), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1590), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [41968] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2497), 1,
      sym_comment,
    ACTIONS(1528), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1526), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [42022] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2498), 1,
      sym_comment,
    ACTIONS(1276), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1274), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [42076] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2499), 1,
      sym_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1414), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [42130] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2500), 1,
      sym_comment,
    ACTIONS(1404), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(1402), 28,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [42184] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2501), 1,
      sym_comment,
    ACTIONS(1102), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
    ACTIONS(1104), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [42237] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2502), 1,
      sym_comment,
    ACTIONS(3264), 4,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(850), 23,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [42292] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(3264), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_map_LBRACK,
    ACTIONS(3262), 37,
      anon_sym_chan,
      anon_sym_shared,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
      sym_type_placeholder,
      sym_type_identifier,
      anon_sym_fn,
  [42345] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5306), 1,
      anon_sym_or,
    STATE(2504), 1,
      sym_comment,
    STATE(2668), 1,
      sym_option_propagator,
    STATE(2819), 1,
      sym_or_block,
    ACTIONS(5304), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(875), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [42403] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(858), 1,
      anon_sym_DOT,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2505), 1,
      sym_comment,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [42467] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5306), 1,
      anon_sym_or,
    STATE(2506), 1,
      sym_comment,
    STATE(2801), 1,
      sym_option_propagator,
    STATE(2819), 1,
      sym_or_block,
    ACTIONS(5304), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(879), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [42525] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5312), 1,
      anon_sym_or,
    STATE(2507), 1,
      sym_comment,
    STATE(2806), 1,
      sym_option_propagator,
    STATE(2807), 1,
      sym_or_block,
    ACTIONS(5310), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(865), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [42583] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5312), 1,
      anon_sym_or,
    STATE(2508), 1,
      sym_comment,
    STATE(2805), 1,
      sym_option_propagator,
    STATE(2807), 1,
      sym_or_block,
    ACTIONS(5310), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(875), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [42641] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5314), 1,
      anon_sym_BANG,
    ACTIONS(5316), 1,
      anon_sym_QMARK,
    ACTIONS(5318), 1,
      anon_sym_or,
    STATE(2509), 1,
      sym_comment,
    STATE(2637), 1,
      sym_or_block,
    STATE(2638), 1,
      sym_option_propagator,
    ACTIONS(875), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(873), 29,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [42703] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2510), 1,
      sym_comment,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(850), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [42765] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1284), 1,
      anon_sym_LBRACE,
    ACTIONS(5320), 1,
      anon_sym_LPAREN,
    STATE(2508), 1,
      sym_argument_list,
    STATE(2511), 1,
      sym_comment,
    STATE(4472), 1,
      sym_type_parameters,
    ACTIONS(852), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [42825] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5312), 1,
      anon_sym_or,
    STATE(2512), 1,
      sym_comment,
    STATE(2710), 1,
      sym_option_propagator,
    STATE(2807), 1,
      sym_or_block,
    ACTIONS(5310), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(879), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [42883] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5306), 1,
      anon_sym_or,
    STATE(2513), 1,
      sym_comment,
    STATE(2819), 1,
      sym_or_block,
    STATE(2828), 1,
      sym_option_propagator,
    ACTIONS(5304), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(865), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [42941] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5312), 1,
      anon_sym_or,
    STATE(2514), 1,
      sym_comment,
    STATE(2754), 1,
      sym_option_propagator,
    STATE(2807), 1,
      sym_or_block,
    ACTIONS(5310), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(883), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [42999] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5322), 1,
      anon_sym_LPAREN,
    STATE(2507), 1,
      sym_special_argument_list,
    STATE(2508), 1,
      sym_argument_list,
    STATE(2515), 1,
      sym_comment,
    STATE(4472), 1,
      sym_type_parameters,
    ACTIONS(852), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43059] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5306), 1,
      anon_sym_or,
    STATE(2516), 1,
      sym_comment,
    STATE(2729), 1,
      sym_option_propagator,
    STATE(2819), 1,
      sym_or_block,
    ACTIONS(5304), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(883), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43117] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1284), 1,
      anon_sym_LBRACE,
    ACTIONS(5324), 1,
      anon_sym_LPAREN,
    STATE(2504), 1,
      sym_argument_list,
    STATE(2517), 1,
      sym_comment,
    STATE(4391), 1,
      sym_type_parameters,
    ACTIONS(852), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43177] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(858), 1,
      anon_sym_DOT,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    STATE(2504), 1,
      sym_argument_list,
    STATE(2513), 1,
      sym_special_argument_list,
    STATE(2518), 1,
      sym_comment,
    STATE(4391), 1,
      sym_type_parameters,
    ACTIONS(852), 35,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43239] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5314), 1,
      anon_sym_BANG,
    ACTIONS(5316), 1,
      anon_sym_QMARK,
    ACTIONS(5318), 1,
      anon_sym_or,
    STATE(2519), 1,
      sym_comment,
    STATE(2637), 1,
      sym_or_block,
    STATE(2649), 1,
      sym_option_propagator,
    ACTIONS(883), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(881), 29,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [43301] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(858), 1,
      anon_sym_DOT,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5322), 1,
      anon_sym_LPAREN,
    STATE(2507), 1,
      sym_special_argument_list,
    STATE(2508), 1,
      sym_argument_list,
    STATE(2520), 1,
      sym_comment,
    STATE(4472), 1,
      sym_type_parameters,
    ACTIONS(852), 35,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43363] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5314), 1,
      anon_sym_BANG,
    ACTIONS(5316), 1,
      anon_sym_QMARK,
    ACTIONS(5318), 1,
      anon_sym_or,
    STATE(2521), 1,
      sym_comment,
    STATE(2637), 1,
      sym_or_block,
    STATE(2660), 1,
      sym_option_propagator,
    ACTIONS(879), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(877), 29,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [43425] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    STATE(2504), 1,
      sym_argument_list,
    STATE(2513), 1,
      sym_special_argument_list,
    STATE(2522), 1,
      sym_comment,
    STATE(4391), 1,
      sym_type_parameters,
    ACTIONS(852), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43485] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2523), 1,
      sym_comment,
    ACTIONS(1198), 40,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43534] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2524), 1,
      sym_comment,
    ACTIONS(1202), 40,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43583] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5314), 1,
      anon_sym_BANG,
    ACTIONS(5316), 1,
      anon_sym_QMARK,
    ACTIONS(5318), 1,
      anon_sym_or,
    STATE(2525), 1,
      sym_comment,
    STATE(2637), 1,
      sym_or_block,
    STATE(2853), 1,
      sym_option_propagator,
    ACTIONS(865), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(863), 29,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [43644] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(1112), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1110), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [43695] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(1194), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1192), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [43746] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(1190), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1188), 33,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [43797] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(1062), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43845] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2530), 1,
      sym_comment,
    ACTIONS(1066), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43893] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2531), 1,
      sym_comment,
    ACTIONS(1044), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43941] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2532), 1,
      sym_comment,
    ACTIONS(1198), 39,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [43989] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2533), 1,
      sym_comment,
    ACTIONS(1054), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1052), 31,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [44039] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2534), 1,
      sym_comment,
    ACTIONS(1040), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1038), 31,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [44089] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(5328), 1,
      sym_type_identifier,
    STATE(2535), 1,
      sym_comment,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4562), 1,
      sym__binded_type,
    STATE(4617), 1,
      sym_qualified_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4563), 2,
      sym_builtin_type,
      sym_generic_type,
    ACTIONS(45), 30,
      anon_sym_chan,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [44151] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2536), 1,
      sym_comment,
    ACTIONS(1202), 39,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [44199] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(5330), 1,
      sym_type_identifier,
    STATE(2537), 1,
      sym_comment,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4372), 1,
      sym__binded_type,
    STATE(4617), 1,
      sym_qualified_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4477), 2,
      sym_builtin_type,
      sym_generic_type,
    ACTIONS(45), 30,
      anon_sym_chan,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [44261] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2538), 1,
      sym_comment,
    ACTIONS(1058), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [44309] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(1120), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_LT2,
    ACTIONS(1118), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [44359] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2540), 1,
      sym_comment,
    ACTIONS(1044), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1042), 31,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [44409] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2541), 1,
      sym_comment,
    ACTIONS(1040), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [44457] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(5332), 1,
      sym_type_identifier,
    STATE(2542), 1,
      sym_comment,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4509), 1,
      sym__binded_type,
    STATE(4617), 1,
      sym_qualified_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4489), 2,
      sym_builtin_type,
      sym_generic_type,
    ACTIONS(45), 30,
      anon_sym_chan,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [44519] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2543), 1,
      sym_comment,
    ACTIONS(1112), 39,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [44567] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2544), 1,
      sym_comment,
    ACTIONS(1054), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [44615] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(748), 1,
      sym_identifier,
    ACTIONS(5334), 1,
      sym_type_identifier,
    STATE(2545), 1,
      sym_comment,
    STATE(3669), 1,
      sym_binded_identifier,
    STATE(4613), 1,
      sym__binded_type,
    STATE(4617), 1,
      sym_qualified_type,
    ACTIONS(760), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(4610), 2,
      sym_builtin_type,
      sym_generic_type,
    ACTIONS(45), 30,
      anon_sym_chan,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_int,
      anon_sym_i64,
      anon_sym_byte,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_map,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
      anon_sym_IError,
  [44677] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2546), 1,
      sym_comment,
    ACTIONS(1194), 39,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [44725] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2547), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(850), 28,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [44785] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2548), 1,
      sym_comment,
    ACTIONS(1044), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [44833] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2549), 1,
      sym_comment,
    ACTIONS(1040), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [44881] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2550), 1,
      sym_comment,
    ACTIONS(1062), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [44929] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2551), 1,
      sym_comment,
    ACTIONS(1058), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1056), 31,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [44979] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2552), 1,
      sym_comment,
    ACTIONS(1108), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_LT2,
    ACTIONS(1106), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45029] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(1054), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45077] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2554), 1,
      sym_comment,
    ACTIONS(1190), 39,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [45125] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5338), 1,
      anon_sym_LT2,
    STATE(2555), 1,
      sym_comment,
    STATE(2624), 1,
      sym_type_parameters,
    ACTIONS(1048), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45177] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2556), 1,
      sym_comment,
    ACTIONS(1058), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45225] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(1066), 39,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45273] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2558), 1,
      sym_comment,
    ACTIONS(1104), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_LT2,
    ACTIONS(1102), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45323] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2559), 1,
      sym_comment,
    ACTIONS(1182), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_LT2,
    ACTIONS(1180), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45373] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2560), 1,
      sym_comment,
    ACTIONS(1206), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_LT2,
    ACTIONS(1204), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45423] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5340), 1,
      sym_identifier,
    ACTIONS(5342), 1,
      anon_sym_LBRACE,
    STATE(2561), 1,
      sym_comment,
    STATE(2678), 1,
      sym__content_block,
    ACTIONS(1104), 35,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45476] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    STATE(2562), 1,
      sym_comment,
    STATE(2808), 1,
      sym_argument_list,
    ACTIONS(1224), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1222), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45529] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2563), 1,
      sym_comment,
    ACTIONS(1202), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
    ACTIONS(1200), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45578] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2564), 1,
      sym_comment,
    ACTIONS(1198), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
    ACTIONS(1196), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45627] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2565), 1,
      sym_comment,
    ACTIONS(744), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1104), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45676] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5344), 1,
      anon_sym_LT2,
    STATE(2566), 1,
      sym_comment,
    STATE(2863), 1,
      sym_type_parameters,
    ACTIONS(1048), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45727] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2567), 1,
      sym_comment,
    ACTIONS(1182), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45774] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2568), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5346), 6,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [45835] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2569), 1,
      sym_comment,
    ACTIONS(1066), 7,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1064), 31,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45884] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5348), 1,
      anon_sym_LPAREN,
    STATE(2570), 1,
      sym_comment,
    STATE(2789), 1,
      sym_argument_list,
    ACTIONS(1210), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [45935] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2571), 1,
      sym_comment,
    ACTIONS(1062), 7,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1060), 31,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [45984] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    STATE(2572), 1,
      sym_comment,
    STATE(2780), 1,
      sym_argument_list,
    ACTIONS(1128), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1126), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [46037] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5350), 1,
      anon_sym_LT2,
    STATE(2573), 1,
      sym_comment,
    STATE(2878), 1,
      sym_type_parameters,
    ACTIONS(1048), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1046), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [46090] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2574), 1,
      sym_comment,
    ACTIONS(1114), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1112), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46139] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    STATE(2575), 1,
      sym_comment,
    STATE(2700), 1,
      sym_argument_list,
    ACTIONS(1100), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1098), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [46192] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2576), 1,
      sym_comment,
    ACTIONS(1206), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46239] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2577), 1,
      sym_comment,
    ACTIONS(1120), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46286] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(744), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1104), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46335] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2579), 1,
      sym_comment,
    ACTIONS(1120), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46382] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5352), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2580), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(5354), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [46447] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5320), 1,
      anon_sym_LPAREN,
    STATE(2581), 1,
      sym_comment,
    STATE(2746), 1,
      sym_argument_list,
    ACTIONS(1224), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46498] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2582), 1,
      sym_comment,
    ACTIONS(1114), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1112), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46547] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    STATE(2583), 1,
      sym_comment,
    STATE(2727), 1,
      sym_argument_list,
    ACTIONS(1210), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1208), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [46600] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2584), 1,
      sym_comment,
    ACTIONS(1214), 38,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46647] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2585), 1,
      sym_comment,
    ACTIONS(1104), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46694] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2586), 1,
      sym_comment,
    ACTIONS(1114), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1584), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46743] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2587), 1,
      sym_comment,
    ACTIONS(1206), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46790] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2588), 1,
      sym_comment,
    ACTIONS(1114), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1584), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46839] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2589), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5346), 6,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
    ACTIONS(850), 21,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [46902] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5348), 1,
      anon_sym_LPAREN,
    STATE(2590), 1,
      sym_comment,
    STATE(2875), 1,
      sym_argument_list,
    ACTIONS(1128), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [46953] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2591), 1,
      sym_comment,
    ACTIONS(1182), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47000] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2592), 1,
      sym_comment,
    ACTIONS(1108), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47047] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5356), 1,
      sym_identifier,
    ACTIONS(5358), 1,
      anon_sym_LBRACE,
    STATE(2593), 1,
      sym_comment,
    STATE(2732), 1,
      sym__content_block,
    ACTIONS(1104), 9,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_is,
    ACTIONS(1102), 26,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_BANGis,
  [47102] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5320), 1,
      anon_sym_LPAREN,
    STATE(2594), 1,
      sym_comment,
    STATE(2719), 1,
      sym_argument_list,
    ACTIONS(1128), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47153] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2595), 1,
      sym_comment,
    ACTIONS(1104), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47200] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5320), 1,
      anon_sym_LPAREN,
    STATE(2596), 1,
      sym_comment,
    STATE(2884), 1,
      sym_argument_list,
    ACTIONS(1100), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47251] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5348), 1,
      anon_sym_LPAREN,
    STATE(2597), 1,
      sym_comment,
    STATE(2775), 1,
      sym_argument_list,
    ACTIONS(1224), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47302] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2598), 1,
      sym_comment,
    ACTIONS(1194), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_DOLLARelse,
      anon_sym_is,
      anon_sym_BANGis,
  [47349] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2599), 1,
      sym_comment,
    ACTIONS(1112), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_DOLLARelse,
      anon_sym_is,
      anon_sym_BANGis,
  [47396] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2600), 1,
      sym_comment,
    ACTIONS(1190), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_DOLLARelse,
      anon_sym_is,
      anon_sym_BANGis,
  [47443] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5348), 1,
      anon_sym_LPAREN,
    STATE(2601), 1,
      sym_comment,
    STATE(2873), 1,
      sym_argument_list,
    ACTIONS(1100), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47494] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5360), 1,
      sym_identifier,
    ACTIONS(5362), 1,
      anon_sym_LBRACE,
    STATE(2602), 1,
      sym_comment,
    STATE(2877), 1,
      sym__content_block,
    ACTIONS(1104), 35,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47547] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5320), 1,
      anon_sym_LPAREN,
    STATE(2603), 1,
      sym_comment,
    STATE(2708), 1,
      sym_argument_list,
    ACTIONS(1210), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47598] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(1108), 38,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47645] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2605), 1,
      sym_comment,
    ACTIONS(1400), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47691] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2606), 1,
      sym_comment,
    ACTIONS(1458), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47737] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2607), 1,
      sym_comment,
    ACTIONS(1190), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [47783] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2608), 1,
      sym_comment,
    ACTIONS(1112), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [47829] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2609), 1,
      sym_comment,
    ACTIONS(1194), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [47875] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2610), 1,
      sym_comment,
    ACTIONS(1296), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47921] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2611), 1,
      sym_comment,
    ACTIONS(1288), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [47967] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2612), 1,
      sym_comment,
    ACTIONS(1284), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48013] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2613), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1104), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1102), 29,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [48063] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2614), 1,
      sym_comment,
    ACTIONS(1618), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48109] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5364), 1,
      anon_sym_DOLLARelse,
    STATE(2615), 1,
      sym_comment,
    ACTIONS(1232), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48157] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5366), 1,
      anon_sym_else,
    STATE(2616), 1,
      sym_comment,
    ACTIONS(1238), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48205] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5368), 1,
      anon_sym_else,
    STATE(2617), 1,
      sym_comment,
    ACTIONS(1244), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48253] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2618), 1,
      sym_comment,
    ACTIONS(1048), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48299] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2619), 1,
      sym_comment,
    ACTIONS(1596), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1594), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [48347] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2620), 1,
      sym_comment,
    ACTIONS(1416), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48393] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2621), 1,
      sym_comment,
    ACTIONS(1580), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1578), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [48441] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2622), 1,
      sym_comment,
    ACTIONS(744), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48487] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2623), 1,
      sym_comment,
    ACTIONS(1574), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1572), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [48535] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2624), 1,
      sym_comment,
    ACTIONS(1350), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48581] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(2503), 1,
      anon_sym_COLON,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2625), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [48641] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(2501), 1,
      anon_sym_COLON,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2626), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [48703] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2627), 1,
      sym_comment,
    ACTIONS(1104), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1102), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [48751] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2628), 1,
      sym_comment,
    ACTIONS(1404), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1402), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [48799] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2629), 1,
      sym_comment,
    ACTIONS(1318), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [48845] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2630), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(3264), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [48907] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2631), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(3252), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [48967] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5370), 1,
      anon_sym_DOLLARelse,
    STATE(2632), 1,
      sym_comment,
    ACTIONS(1218), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [49015] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2633), 1,
      sym_comment,
    ACTIONS(1520), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1518), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49063] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2634), 1,
      sym_comment,
    ACTIONS(1528), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1526), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49111] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2635), 1,
      sym_comment,
    ACTIONS(1534), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1532), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49159] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5372), 1,
      anon_sym_BANG,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(1612), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1610), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49209] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2637), 1,
      sym_comment,
    ACTIONS(1502), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1500), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49257] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2638), 1,
      sym_comment,
    ACTIONS(1484), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1482), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49305] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2639), 1,
      sym_comment,
    ACTIONS(1622), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1620), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49353] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2640), 1,
      sym_comment,
    ACTIONS(1454), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1452), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49401] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5374), 1,
      anon_sym_DOLLARelse,
    STATE(2641), 1,
      sym_comment,
    ACTIONS(1232), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1230), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49451] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5376), 1,
      anon_sym_BANG,
    STATE(2642), 1,
      sym_comment,
    ACTIONS(1612), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [49499] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5378), 1,
      anon_sym_else,
    STATE(2643), 1,
      sym_comment,
    ACTIONS(1238), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1236), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49549] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5380), 1,
      anon_sym_else,
    STATE(2644), 1,
      sym_comment,
    ACTIONS(1244), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1242), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49599] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2645), 1,
      sym_comment,
    ACTIONS(1214), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_LT2,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [49645] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2646), 1,
      sym_comment,
    ACTIONS(1622), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [49691] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2647), 1,
      sym_comment,
    ACTIONS(1332), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1330), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49739] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2648), 1,
      sym_comment,
    ACTIONS(1396), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [49785] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2649), 1,
      sym_comment,
    ACTIONS(1328), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1326), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49833] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5382), 1,
      anon_sym_BANG,
    STATE(2650), 1,
      sym_comment,
    ACTIONS(1612), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [49881] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2651), 1,
      sym_comment,
    ACTIONS(1214), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
    ACTIONS(1212), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49929] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2652), 1,
      sym_comment,
    ACTIONS(1458), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1456), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [49977] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5384), 1,
      anon_sym_DOLLARelse,
    STATE(2653), 1,
      sym_comment,
    ACTIONS(1218), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1216), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [50027] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2654), 1,
      sym_comment,
    ACTIONS(1566), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1564), 31,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [50075] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5386), 1,
      anon_sym_DOLLARelse,
    STATE(2655), 1,
      sym_comment,
    ACTIONS(1232), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50123] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5388), 1,
      anon_sym_else,
    STATE(2656), 1,
      sym_comment,
    ACTIONS(1238), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50171] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5390), 1,
      anon_sym_else,
    STATE(2657), 1,
      sym_comment,
    ACTIONS(1244), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50219] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2658), 1,
      sym_comment,
    ACTIONS(1470), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50265] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5392), 1,
      anon_sym_DOLLARelse,
    STATE(2659), 1,
      sym_comment,
    ACTIONS(1218), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50313] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2660), 1,
      sym_comment,
    ACTIONS(1428), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1426), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [50361] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2661), 1,
      sym_comment,
    ACTIONS(1438), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50407] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2662), 1,
      sym_comment,
    ACTIONS(1466), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50453] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2663), 1,
      sym_comment,
    ACTIONS(1424), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50499] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2664), 1,
      sym_comment,
    ACTIONS(1566), 37,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50545] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2665), 1,
      sym_comment,
    ACTIONS(1250), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50590] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2666), 1,
      sym_comment,
    ACTIONS(1412), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50635] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5394), 1,
      anon_sym_BANG,
    ACTIONS(5396), 1,
      anon_sym_QMARK,
    ACTIONS(5398), 1,
      anon_sym_or,
    STATE(2667), 1,
      sym_comment,
    STATE(3136), 1,
      sym_option_propagator,
    STATE(3158), 1,
      sym_or_block,
    ACTIONS(875), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(873), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [50692] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2668), 1,
      sym_comment,
    ACTIONS(1484), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50737] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2669), 1,
      sym_comment,
    ACTIONS(1520), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50782] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2670), 1,
      sym_comment,
    ACTIONS(1280), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1278), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [50829] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2671), 1,
      sym_comment,
    ACTIONS(1476), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50874] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2672), 1,
      sym_comment,
    ACTIONS(1412), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50919] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2673), 1,
      sym_comment,
    ACTIONS(1388), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [50964] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2674), 1,
      sym_comment,
    ACTIONS(1358), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51009] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2675), 1,
      sym_comment,
    ACTIONS(1354), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51054] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5400), 1,
      anon_sym_LPAREN,
    STATE(2676), 1,
      sym_comment,
    STATE(2694), 1,
      sym_special_argument_list,
    STATE(2695), 1,
      sym_argument_list,
    STATE(4580), 1,
      sym_type_parameters,
    ACTIONS(852), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(850), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [51111] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2677), 1,
      sym_comment,
    ACTIONS(1454), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51156] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2678), 1,
      sym_comment,
    ACTIONS(1272), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51201] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2679), 1,
      sym_comment,
    ACTIONS(1450), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51246] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(858), 1,
      anon_sym_DOT,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5400), 1,
      anon_sym_LPAREN,
    STATE(2680), 1,
      sym_comment,
    STATE(2694), 1,
      sym_special_argument_list,
    STATE(2695), 1,
      sym_argument_list,
    STATE(4580), 1,
      sym_type_parameters,
    ACTIONS(852), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT_DOT,
    ACTIONS(850), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [51305] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2681), 1,
      sym_comment,
    ACTIONS(852), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(850), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [51352] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2682), 1,
      sym_comment,
    ACTIONS(1404), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51397] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5414), 1,
      anon_sym_as,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2683), 1,
      sym_comment,
    ACTIONS(5422), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5416), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5404), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5402), 6,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
    ACTIONS(5406), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5408), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [51462] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2684), 1,
      sym_comment,
    ACTIONS(5404), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5406), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1542), 22,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51515] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2685), 1,
      sym_comment,
    ACTIONS(5406), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1542), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51566] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2686), 1,
      sym_comment,
    ACTIONS(1516), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51611] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    STATE(2687), 1,
      sym_comment,
    ACTIONS(1550), 34,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51660] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2688), 1,
      sym_comment,
    ACTIONS(1574), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51705] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2689), 1,
      sym_comment,
    ACTIONS(1580), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51750] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2690), 1,
      sym_comment,
    ACTIONS(1596), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51795] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2691), 1,
      sym_comment,
    ACTIONS(1608), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51840] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2692), 1,
      sym_comment,
    ACTIONS(1608), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1606), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [51887] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2693), 1,
      sym_comment,
    ACTIONS(852), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [51932] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5428), 1,
      anon_sym_BANG,
    ACTIONS(5430), 1,
      anon_sym_QMARK,
    ACTIONS(5432), 1,
      anon_sym_or,
    STATE(2694), 1,
      sym_comment,
    STATE(3115), 1,
      sym_or_block,
    STATE(3152), 1,
      sym_option_propagator,
    ACTIONS(865), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(863), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [51989] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5428), 1,
      anon_sym_BANG,
    ACTIONS(5430), 1,
      anon_sym_QMARK,
    ACTIONS(5432), 1,
      anon_sym_or,
    STATE(2695), 1,
      sym_comment,
    STATE(3115), 1,
      sym_or_block,
    STATE(3145), 1,
      sym_option_propagator,
    ACTIONS(875), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(873), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [52046] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    STATE(2696), 1,
      sym_comment,
    ACTIONS(1542), 34,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52095] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2697), 1,
      sym_comment,
    ACTIONS(1570), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52140] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2698), 1,
      sym_comment,
    ACTIONS(1280), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52185] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2699), 1,
      sym_comment,
    ACTIONS(1604), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52230] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2700), 1,
      sym_comment,
    ACTIONS(1362), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1360), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [52277] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2701), 1,
      sym_comment,
    ACTIONS(1600), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52322] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    ACTIONS(5442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5446), 1,
      anon_sym_as,
    STATE(2702), 1,
      sym_comment,
    ACTIONS(5450), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5448), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5436), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5434), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
    ACTIONS(5438), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5440), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [52387] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2703), 1,
      sym_comment,
    ACTIONS(1524), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52432] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2704), 1,
      sym_comment,
    ACTIONS(1378), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52477] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    STATE(2705), 1,
      sym_comment,
    ACTIONS(1550), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1548), 29,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [52528] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    ACTIONS(5442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5446), 1,
      anon_sym_as,
    STATE(2706), 1,
      sym_comment,
    ACTIONS(5450), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5458), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5436), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5456), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
    ACTIONS(5438), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5440), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [52593] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5460), 1,
      anon_sym_LPAREN,
    ACTIONS(5462), 1,
      anon_sym_COLON,
    STATE(2667), 1,
      sym_argument_list,
    STATE(2707), 1,
      sym_comment,
    STATE(2890), 1,
      sym_special_argument_list,
    STATE(4465), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [52652] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2708), 1,
      sym_comment,
    ACTIONS(1512), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52697] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2709), 1,
      sym_comment,
    ACTIONS(1332), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52742] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2710), 1,
      sym_comment,
    ACTIONS(1428), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52787] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2711), 1,
      sym_comment,
    ACTIONS(1292), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52832] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2712), 1,
      sym_comment,
    ACTIONS(1366), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52877] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2713), 1,
      sym_comment,
    ACTIONS(1420), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52922] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2714), 1,
      sym_comment,
    ACTIONS(1044), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [52967] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2715), 1,
      sym_comment,
    ACTIONS(1336), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53012] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2716), 1,
      sym_comment,
    ACTIONS(1342), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53057] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2717), 1,
      sym_comment,
    ACTIONS(1346), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53102] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2718), 1,
      sym_comment,
    ACTIONS(1114), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1116), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53149] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2719), 1,
      sym_comment,
    ACTIONS(1392), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53194] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5394), 1,
      anon_sym_BANG,
    ACTIONS(5396), 1,
      anon_sym_QMARK,
    ACTIONS(5398), 1,
      anon_sym_or,
    STATE(2720), 1,
      sym_comment,
    STATE(3046), 1,
      sym_option_propagator,
    STATE(3158), 1,
      sym_or_block,
    ACTIONS(883), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(881), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [53251] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2721), 1,
      sym_comment,
    ACTIONS(1198), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1196), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53298] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2722), 1,
      sym_comment,
    ACTIONS(1202), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1200), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53345] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2723), 1,
      sym_comment,
    ACTIONS(1604), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1602), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53392] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2724), 1,
      sym_comment,
    ACTIONS(1600), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1598), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53439] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2725), 1,
      sym_comment,
    ACTIONS(1490), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53484] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2726), 1,
      sym_comment,
    ACTIONS(1524), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1522), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53531] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2727), 1,
      sym_comment,
    ACTIONS(1512), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1510), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53578] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2728), 1,
      sym_comment,
    ACTIONS(1470), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1468), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53625] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2729), 1,
      sym_comment,
    ACTIONS(1328), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53670] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2730), 1,
      sym_comment,
    ACTIONS(1370), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53715] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2731), 1,
      sym_comment,
    ACTIONS(1322), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53760] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2732), 1,
      sym_comment,
    ACTIONS(1272), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1270), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [53807] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    ACTIONS(5442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5446), 1,
      anon_sym_as,
    STATE(2733), 1,
      sym_comment,
    ACTIONS(5450), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5466), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5436), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5464), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
    ACTIONS(5438), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5440), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [53872] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2734), 1,
      sym_comment,
    ACTIONS(1480), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [53917] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5428), 1,
      anon_sym_BANG,
    ACTIONS(5430), 1,
      anon_sym_QMARK,
    ACTIONS(5432), 1,
      anon_sym_or,
    STATE(2735), 1,
      sym_comment,
    STATE(3088), 1,
      sym_option_propagator,
    STATE(3115), 1,
      sym_or_block,
    ACTIONS(879), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(877), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [53974] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    STATE(2736), 1,
      sym_comment,
    ACTIONS(5438), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1542), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54025] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2737), 1,
      sym_comment,
    ACTIONS(1538), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54070] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    STATE(2738), 1,
      sym_comment,
    ACTIONS(5436), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5438), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1542), 22,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54123] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    STATE(2739), 1,
      sym_comment,
    ACTIONS(5450), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5436), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5438), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5440), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(1542), 12,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [54180] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    ACTIONS(5442), 1,
      anon_sym_AMP_AMP,
    STATE(2740), 1,
      sym_comment,
    ACTIONS(5450), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5436), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5438), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5440), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(1542), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [54239] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2741), 1,
      sym_comment,
    ACTIONS(1524), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54284] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2742), 1,
      sym_comment,
    ACTIONS(1556), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54329] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2743), 1,
      sym_comment,
    ACTIONS(1592), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54374] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2744), 1,
      sym_comment,
    ACTIONS(1604), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54419] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2745), 1,
      sym_comment,
    ACTIONS(1292), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1290), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [54466] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2746), 1,
      sym_comment,
    ACTIONS(1276), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54511] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2747), 1,
      sym_comment,
    ACTIONS(1618), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1616), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [54558] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5394), 1,
      anon_sym_BANG,
    ACTIONS(5396), 1,
      anon_sym_QMARK,
    ACTIONS(5398), 1,
      anon_sym_or,
    STATE(2748), 1,
      sym_comment,
    STATE(3147), 1,
      sym_option_propagator,
    STATE(3158), 1,
      sym_or_block,
    ACTIONS(879), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(877), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [54615] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2749), 1,
      sym_comment,
    ACTIONS(1374), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54660] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2750), 1,
      sym_comment,
    ACTIONS(1354), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1352), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [54707] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2751), 1,
      sym_comment,
    ACTIONS(1058), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54752] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2752), 1,
      sym_comment,
    ACTIONS(1358), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1356), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [54799] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2753), 1,
      sym_comment,
    ACTIONS(1322), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54844] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2754), 1,
      sym_comment,
    ACTIONS(1328), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54889] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2755), 1,
      sym_comment,
    ACTIONS(1332), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [54934] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2756), 1,
      sym_comment,
    ACTIONS(1366), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1364), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [54981] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2757), 1,
      sym_comment,
    ACTIONS(1420), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1418), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55028] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2758), 1,
      sym_comment,
    ACTIONS(1466), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1464), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55075] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2759), 1,
      sym_comment,
    ACTIONS(1388), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1386), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55122] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5414), 1,
      anon_sym_as,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2760), 1,
      sym_comment,
    ACTIONS(5422), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5470), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5404), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5468), 6,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
    ACTIONS(5406), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5408), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [55187] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 1,
      anon_sym_DOT,
    ACTIONS(5442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5446), 1,
      anon_sym_as,
    STATE(2761), 1,
      sym_comment,
    ACTIONS(5450), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5474), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5436), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5472), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
    ACTIONS(5438), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5440), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [55252] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2762), 1,
      sym_comment,
    ACTIONS(1104), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [55297] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2763), 1,
      sym_comment,
    ACTIONS(1280), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [55342] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2764), 1,
      sym_comment,
    ACTIONS(1438), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1436), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55389] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2765), 1,
      sym_comment,
    ACTIONS(1378), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [55434] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2766), 1,
      sym_comment,
    ACTIONS(1336), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1334), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55481] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2767), 1,
      sym_comment,
    ACTIONS(1424), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1422), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55528] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2768), 1,
      sym_comment,
    ACTIONS(1600), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [55573] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2769), 1,
      sym_comment,
    ACTIONS(1342), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1340), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55620] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2770), 1,
      sym_comment,
    ACTIONS(1054), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [55665] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2771), 1,
      sym_comment,
    ACTIONS(1284), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1282), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55712] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2772), 1,
      sym_comment,
    ACTIONS(1412), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1410), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55759] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2773), 1,
      sym_comment,
    ACTIONS(1346), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1344), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55806] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2774), 1,
      sym_comment,
    ACTIONS(1570), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [55851] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2775), 1,
      sym_comment,
    ACTIONS(1276), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [55896] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2776), 1,
      sym_comment,
    ACTIONS(1476), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1474), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [55943] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2777), 1,
      sym_comment,
    ACTIONS(852), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [55988] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2778), 1,
      sym_comment,
    ACTIONS(1542), 34,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56037] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2779), 1,
      sym_comment,
    ACTIONS(1592), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56082] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2780), 1,
      sym_comment,
    ACTIONS(1392), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1390), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [56129] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2781), 1,
      sym_comment,
    ACTIONS(1516), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56174] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2782), 1,
      sym_comment,
    ACTIONS(1490), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1488), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [56221] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2783), 1,
      sym_comment,
    ACTIONS(1622), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56266] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2784), 1,
      sym_comment,
    ACTIONS(1370), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1368), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [56313] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2785), 1,
      sym_comment,
    ACTIONS(1480), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1478), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [56360] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2786), 1,
      sym_comment,
    ACTIONS(1040), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56405] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2787), 1,
      sym_comment,
    ACTIONS(1566), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56450] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2788), 1,
      sym_comment,
    ACTIONS(1370), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56495] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2789), 1,
      sym_comment,
    ACTIONS(1512), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56540] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2790), 1,
      sym_comment,
    ACTIONS(1534), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56585] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2791), 1,
      sym_comment,
    ACTIONS(1538), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1536), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [56632] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2792), 1,
      sym_comment,
    ACTIONS(1114), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56677] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2793), 1,
      sym_comment,
    ACTIONS(1556), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1554), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [56724] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2794), 1,
      sym_comment,
    ACTIONS(1592), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1590), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [56771] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2795), 1,
      sym_comment,
    ACTIONS(1416), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1414), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [56818] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2796), 1,
      sym_comment,
    ACTIONS(1254), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56863] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2797), 1,
      sym_comment,
    ACTIONS(1450), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56908] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2798), 1,
      sym_comment,
    ACTIONS(1454), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56953] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2799), 1,
      sym_comment,
    ACTIONS(1556), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [56998] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2800), 1,
      sym_comment,
    ACTIONS(1476), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57043] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2801), 1,
      sym_comment,
    ACTIONS(1428), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57088] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2802), 1,
      sym_comment,
    ACTIONS(1538), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57133] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5428), 1,
      anon_sym_BANG,
    ACTIONS(5430), 1,
      anon_sym_QMARK,
    ACTIONS(5432), 1,
      anon_sym_or,
    STATE(2803), 1,
      sym_comment,
    STATE(3083), 1,
      sym_option_propagator,
    STATE(3115), 1,
      sym_or_block,
    ACTIONS(883), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(881), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [57190] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2804), 1,
      sym_comment,
    ACTIONS(1480), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57235] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2805), 1,
      sym_comment,
    ACTIONS(1484), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57280] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2806), 1,
      sym_comment,
    ACTIONS(1494), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57325] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2807), 1,
      sym_comment,
    ACTIONS(1502), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57370] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2808), 1,
      sym_comment,
    ACTIONS(1276), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1274), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [57417] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2809), 1,
      sym_comment,
    ACTIONS(1292), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57462] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2810), 1,
      sym_comment,
    ACTIONS(1562), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57507] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5460), 1,
      anon_sym_LPAREN,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    STATE(2667), 1,
      sym_argument_list,
    STATE(2811), 1,
      sym_comment,
    STATE(2890), 1,
      sym_special_argument_list,
    STATE(4465), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 24,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [57568] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2812), 1,
      sym_comment,
    ACTIONS(744), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(742), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [57615] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2813), 1,
      sym_comment,
    ACTIONS(1400), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1398), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [57662] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2814), 1,
      sym_comment,
    ACTIONS(1366), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57707] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2815), 1,
      sym_comment,
    ACTIONS(1458), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57752] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2816), 1,
      sym_comment,
    ACTIONS(1396), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1394), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [57799] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2817), 1,
      sym_comment,
    ACTIONS(1588), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57844] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2818), 1,
      sym_comment,
    ACTIONS(1254), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1252), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [57891] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2819), 1,
      sym_comment,
    ACTIONS(1502), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [57936] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2820), 1,
      sym_comment,
    ACTIONS(1048), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1046), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [57983] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2821), 1,
      sym_comment,
    ACTIONS(1322), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1320), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [58030] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2822), 1,
      sym_comment,
    ACTIONS(1420), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58075] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2823), 1,
      sym_comment,
    ACTIONS(1104), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58120] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2824), 1,
      sym_comment,
    ACTIONS(1336), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58165] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2825), 1,
      sym_comment,
    ACTIONS(1342), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58210] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2826), 1,
      sym_comment,
    ACTIONS(1250), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1248), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [58257] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2827), 1,
      sym_comment,
    ACTIONS(1588), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1586), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [58304] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2828), 1,
      sym_comment,
    ACTIONS(1494), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58349] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2829), 1,
      sym_comment,
    ACTIONS(1198), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58394] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2830), 1,
      sym_comment,
    ACTIONS(1608), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58439] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2831), 1,
      sym_comment,
    ACTIONS(1202), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58484] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2832), 1,
      sym_comment,
    ACTIONS(1254), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58529] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2833), 1,
      sym_comment,
    ACTIONS(1114), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58574] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2834), 1,
      sym_comment,
    ACTIONS(1374), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58619] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2835), 1,
      sym_comment,
    ACTIONS(1534), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58664] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2836), 1,
      sym_comment,
    ACTIONS(1596), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58709] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2837), 1,
      sym_comment,
    ACTIONS(1580), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58754] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2838), 1,
      sym_comment,
    ACTIONS(1374), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1372), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [58801] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2839), 1,
      sym_comment,
    ACTIONS(1378), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1376), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [58848] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2840), 1,
      sym_comment,
    ACTIONS(1528), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58893] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2841), 1,
      sym_comment,
    ACTIONS(1574), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58938] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2842), 1,
      sym_comment,
    ACTIONS(1520), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [58983] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2843), 1,
      sym_comment,
    ACTIONS(1550), 34,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59032] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2844), 1,
      sym_comment,
    ACTIONS(1198), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59077] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2845), 1,
      sym_comment,
    ACTIONS(1202), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59122] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2846), 1,
      sym_comment,
    ACTIONS(1562), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1560), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [59169] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2847), 1,
      sym_comment,
    ACTIONS(1346), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59214] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2848), 1,
      sym_comment,
    ACTIONS(1528), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59259] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2849), 1,
      sym_comment,
    ACTIONS(1570), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1568), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [59306] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2850), 1,
      sym_comment,
    ACTIONS(1562), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59351] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2851), 1,
      sym_comment,
    ACTIONS(744), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59396] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2852), 1,
      sym_comment,
    ACTIONS(1048), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59441] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2853), 1,
      sym_comment,
    ACTIONS(1494), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1492), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [59488] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2854), 1,
      sym_comment,
    ACTIONS(1490), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59533] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2855), 1,
      sym_comment,
    ACTIONS(1288), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1286), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [59580] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2856), 1,
      sym_comment,
    ACTIONS(1296), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1294), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [59627] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2857), 1,
      sym_comment,
    ACTIONS(1388), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59672] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2858), 1,
      sym_comment,
    ACTIONS(1284), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59717] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2859), 1,
      sym_comment,
    ACTIONS(1288), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59762] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2860), 1,
      sym_comment,
    ACTIONS(1296), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59807] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2861), 1,
      sym_comment,
    ACTIONS(1318), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59852] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2862), 1,
      sym_comment,
    ACTIONS(1318), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1316), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [59899] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2863), 1,
      sym_comment,
    ACTIONS(1350), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [59944] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    STATE(2864), 1,
      sym_comment,
    ACTIONS(1542), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1540), 29,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [59995] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2865), 1,
      sym_comment,
    ACTIONS(1470), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60040] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2866), 1,
      sym_comment,
    ACTIONS(1396), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60085] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2867), 1,
      sym_comment,
    ACTIONS(1618), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60130] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2868), 1,
      sym_comment,
    ACTIONS(1400), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60175] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2869), 1,
      sym_comment,
    ACTIONS(5422), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5404), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5406), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5408), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(1542), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [60234] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2870), 1,
      sym_comment,
    ACTIONS(1516), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1514), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [60281] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2871), 1,
      sym_comment,
    ACTIONS(5422), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5404), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5406), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5408), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(1542), 12,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [60338] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2872), 1,
      sym_comment,
    ACTIONS(1404), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60383] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2873), 1,
      sym_comment,
    ACTIONS(1362), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60428] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2874), 1,
      sym_comment,
    ACTIONS(1250), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60473] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2875), 1,
      sym_comment,
    ACTIONS(1392), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60518] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2876), 1,
      sym_comment,
    ACTIONS(1588), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60563] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2877), 1,
      sym_comment,
    ACTIONS(1272), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60608] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2878), 1,
      sym_comment,
    ACTIONS(1350), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1348), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [60655] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2879), 1,
      sym_comment,
    ACTIONS(1416), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60700] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2880), 1,
      sym_comment,
    ACTIONS(1358), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60745] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2881), 1,
      sym_comment,
    ACTIONS(1450), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1448), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [60792] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2882), 1,
      sym_comment,
    ACTIONS(1424), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60837] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2883), 1,
      sym_comment,
    ACTIONS(1438), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60882] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2884), 1,
      sym_comment,
    ACTIONS(1362), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60927] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2885), 1,
      sym_comment,
    ACTIONS(1354), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [60972] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2886), 1,
      sym_comment,
    ACTIONS(1466), 36,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
      anon_sym_is,
      anon_sym_BANGis,
  [61017] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2887), 1,
      sym_comment,
    ACTIONS(1108), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1106), 29,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      sym_escape_sequence,
      anon_sym_LBRACK,
      anon_sym_DOLLAR2,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61063] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2888), 1,
      sym_comment,
    ACTIONS(1206), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1204), 29,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      sym_escape_sequence,
      anon_sym_LBRACK,
      anon_sym_DOLLAR2,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61109] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2889), 1,
      sym_comment,
    ACTIONS(1104), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1102), 29,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      sym_escape_sequence,
      anon_sym_LBRACK,
      anon_sym_DOLLAR2,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61155] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5394), 1,
      anon_sym_BANG,
    ACTIONS(5396), 1,
      anon_sym_QMARK,
    ACTIONS(5398), 1,
      anon_sym_or,
    STATE(2890), 1,
      sym_comment,
    STATE(3158), 1,
      sym_or_block,
    STATE(3184), 1,
      sym_option_propagator,
    ACTIONS(865), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(863), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61211] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1015), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2891), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [61267] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5460), 1,
      anon_sym_LPAREN,
    STATE(2667), 1,
      sym_argument_list,
    STATE(2890), 1,
      sym_special_argument_list,
    STATE(2892), 1,
      sym_comment,
    STATE(4465), 1,
      sym_type_parameters,
    ACTIONS(3252), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 23,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
  [61325] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5460), 1,
      anon_sym_LPAREN,
    STATE(2667), 1,
      sym_argument_list,
    STATE(2890), 1,
      sym_special_argument_list,
    STATE(2893), 1,
      sym_comment,
    STATE(4465), 1,
      sym_type_parameters,
    ACTIONS(3264), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
  [61385] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2894), 1,
      sym_comment,
    ACTIONS(1182), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1180), 29,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      sym_escape_sequence,
      anon_sym_LBRACK,
      anon_sym_DOLLAR2,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61431] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    STATE(2695), 1,
      sym_argument_list,
    STATE(2895), 1,
      sym_comment,
    STATE(4580), 1,
      sym_type_parameters,
    ACTIONS(1015), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(852), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [61487] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1015), 1,
      anon_sym_LBRACE,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    STATE(2695), 1,
      sym_argument_list,
    STATE(2896), 1,
      sym_comment,
    STATE(4580), 1,
      sym_type_parameters,
    ACTIONS(852), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(850), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [61543] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5460), 1,
      anon_sym_LPAREN,
    STATE(2667), 1,
      sym_argument_list,
    STATE(2890), 1,
      sym_special_argument_list,
    STATE(2897), 1,
      sym_comment,
    STATE(4465), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 24,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [61601] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5460), 1,
      anon_sym_LPAREN,
    STATE(2667), 1,
      sym_argument_list,
    STATE(2890), 1,
      sym_special_argument_list,
    STATE(2898), 1,
      sym_comment,
    STATE(4465), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61657] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2899), 1,
      sym_comment,
    ACTIONS(1120), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1118), 29,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      sym_escape_sequence,
      anon_sym_LBRACK,
      anon_sym_DOLLAR2,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61703] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    STATE(2667), 1,
      sym_argument_list,
    STATE(2900), 1,
      sym_comment,
    STATE(4465), 1,
      sym_type_parameters,
    ACTIONS(1015), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 23,
      sym__automatic_separator,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61761] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    STATE(2667), 1,
      sym_argument_list,
    STATE(2901), 1,
      sym_comment,
    STATE(4465), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61817] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2902), 1,
      sym_comment,
    ACTIONS(1040), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1038), 28,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61862] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2903), 1,
      sym_comment,
    ACTIONS(1044), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1042), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [61907] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2904), 1,
      sym_comment,
    ACTIONS(1044), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 28,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [61952] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2905), 1,
      sym_comment,
    ACTIONS(1190), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1188), 27,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [61997] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2906), 1,
      sym_comment,
    ACTIONS(1054), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1052), 28,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [62042] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2907), 1,
      sym_comment,
    ACTIONS(1058), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1056), 28,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [62087] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2908), 1,
      sym_comment,
    ACTIONS(1054), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1052), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [62132] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2909), 1,
      sym_comment,
    ACTIONS(1066), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1064), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [62177] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5199), 1,
      anon_sym_in,
    ACTIONS(5201), 1,
      anon_sym_COMMA,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2910), 1,
      sym_comment,
    STATE(4218), 1,
      aux_sym_identifier_list_repeat1,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 20,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [62240] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2911), 1,
      sym_comment,
    ACTIONS(1058), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1056), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [62285] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5482), 1,
      anon_sym_LPAREN,
    STATE(2912), 1,
      sym_comment,
    STATE(2916), 1,
      sym_argument_list,
    STATE(2919), 1,
      sym_special_argument_list,
    STATE(4447), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 23,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [62342] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2913), 1,
      sym_comment,
    ACTIONS(1190), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1188), 29,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [62387] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    STATE(2914), 1,
      sym_comment,
    STATE(2916), 1,
      sym_argument_list,
    STATE(4447), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [62442] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2915), 1,
      sym_comment,
    ACTIONS(1194), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1192), 27,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [62487] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5486), 1,
      anon_sym_BANG,
    ACTIONS(5488), 1,
      anon_sym_QMARK,
    ACTIONS(5490), 1,
      anon_sym_or,
    STATE(2916), 1,
      sym_comment,
    STATE(3350), 1,
      sym_option_propagator,
    STATE(3356), 1,
      sym_or_block,
    ACTIONS(875), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(873), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [62542] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5486), 1,
      anon_sym_BANG,
    ACTIONS(5488), 1,
      anon_sym_QMARK,
    ACTIONS(5490), 1,
      anon_sym_or,
    STATE(2917), 1,
      sym_comment,
    STATE(3307), 1,
      sym_option_propagator,
    STATE(3356), 1,
      sym_or_block,
    ACTIONS(879), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(877), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [62597] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5486), 1,
      anon_sym_BANG,
    ACTIONS(5488), 1,
      anon_sym_QMARK,
    ACTIONS(5490), 1,
      anon_sym_or,
    STATE(2918), 1,
      sym_comment,
    STATE(3316), 1,
      sym_option_propagator,
    STATE(3356), 1,
      sym_or_block,
    ACTIONS(883), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(881), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [62652] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5486), 1,
      anon_sym_BANG,
    ACTIONS(5488), 1,
      anon_sym_QMARK,
    ACTIONS(5490), 1,
      anon_sym_or,
    STATE(2919), 1,
      sym_comment,
    STATE(3352), 1,
      sym_option_propagator,
    STATE(3356), 1,
      sym_or_block,
    ACTIONS(865), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(863), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [62707] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2920), 1,
      sym_comment,
    ACTIONS(1062), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1060), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [62752] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(3769), 1,
      anon_sym_RBRACK,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2921), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [62811] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2922), 1,
      sym_comment,
    ACTIONS(1112), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1110), 27,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [62856] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2923), 1,
      sym_comment,
    ACTIONS(1194), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 29,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [62901] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2924), 1,
      sym_comment,
    ACTIONS(1040), 8,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1038), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [62946] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2925), 1,
      sym_comment,
    ACTIONS(1112), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1110), 29,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [62991] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5482), 1,
      anon_sym_LPAREN,
    STATE(2916), 1,
      sym_argument_list,
    STATE(2919), 1,
      sym_special_argument_list,
    STATE(2926), 1,
      sym_comment,
    STATE(4447), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63046] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5492), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2927), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63102] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5494), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2928), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63158] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    STATE(2929), 1,
      sym_comment,
    ACTIONS(1584), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1582), 27,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [63204] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    STATE(2930), 1,
      sym_comment,
    ACTIONS(1112), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1110), 27,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [63250] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5496), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2931), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63306] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2932), 1,
      sym_comment,
    ACTIONS(1202), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_DOT_DOT,
    ACTIONS(1200), 25,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [63350] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2933), 1,
      sym_comment,
    ACTIONS(1198), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_DOT_DOT,
    ACTIONS(1196), 25,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [63394] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2934), 1,
      sym_comment,
    ACTIONS(1104), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1102), 27,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63438] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2935), 1,
      sym_comment,
    ACTIONS(1066), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 27,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63482] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2936), 1,
      sym_comment,
    ACTIONS(1120), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_DOT_DOT,
    ACTIONS(1118), 25,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [63526] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5498), 1,
      sym_identifier,
    ACTIONS(5500), 1,
      anon_sym_LBRACE,
    STATE(2937), 1,
      sym_comment,
    STATE(3078), 1,
      sym__content_block,
    ACTIONS(1104), 10,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_is,
    ACTIONS(1102), 20,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_BANGis,
  [63576] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5502), 1,
      anon_sym_LT2,
    STATE(2938), 1,
      sym_comment,
    STATE(3059), 1,
      sym_type_parameters,
    ACTIONS(1048), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1046), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [63624] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2939), 1,
      sym_comment,
    ACTIONS(1116), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1112), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1110), 25,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [63670] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2940), 1,
      sym_comment,
    ACTIONS(1062), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1060), 27,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63714] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2941), 1,
      sym_comment,
    ACTIONS(1182), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_DOT_DOT,
    ACTIONS(1180), 25,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [63758] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5504), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2942), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63814] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2943), 1,
      sym_comment,
    ACTIONS(1116), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1584), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
    ACTIONS(1582), 25,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [63860] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5506), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2944), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [63916] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    STATE(2945), 1,
      sym_comment,
    STATE(3091), 1,
      sym_argument_list,
    ACTIONS(1210), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1208), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [63964] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5508), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2946), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64020] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5510), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2947), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64076] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5512), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2948), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64132] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5514), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2949), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64188] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    STATE(2950), 1,
      sym_comment,
    STATE(3068), 1,
      sym_argument_list,
    ACTIONS(1100), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1098), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [64236] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5516), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2951), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64292] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2952), 1,
      sym_comment,
    ACTIONS(1108), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_DOT_DOT,
    ACTIONS(1106), 25,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [64336] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2953), 1,
      sym_comment,
    ACTIONS(1206), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_DOT_DOT,
    ACTIONS(1204), 25,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [64380] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    STATE(2954), 1,
      sym_comment,
    STATE(3065), 1,
      sym_argument_list,
    ACTIONS(1128), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1126), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [64428] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2955), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64484] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2956), 1,
      sym_comment,
    ACTIONS(1104), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_DOT_DOT,
    ACTIONS(1102), 25,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [64528] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2957), 1,
      sym_comment,
    ACTIONS(1202), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1200), 27,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64572] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5520), 1,
      sym_identifier,
    ACTIONS(5522), 1,
      anon_sym_LBRACE,
    STATE(2958), 1,
      sym_comment,
    STATE(3212), 1,
      sym__content_block,
    ACTIONS(1104), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1102), 22,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_BANGis,
  [64622] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5524), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2959), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64678] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2960), 1,
      sym_comment,
    ACTIONS(1198), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1196), 27,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64722] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    STATE(2961), 1,
      sym_comment,
    STATE(3036), 1,
      sym_argument_list,
    ACTIONS(1224), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1222), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [64770] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5526), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2962), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64826] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5203), 1,
      anon_sym_DOT,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2963), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(3264), 4,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
  [64884] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2964), 1,
      sym_comment,
    ACTIONS(1206), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1204), 27,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64928] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2965), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [64984] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 1,
      anon_sym_LT2,
    ACTIONS(5308), 1,
      anon_sym_LPAREN,
    ACTIONS(5530), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2525), 1,
      sym_special_argument_list,
    STATE(2966), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [65040] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2967), 1,
      sym_comment,
    ACTIONS(1108), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1106), 27,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [65084] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2968), 1,
      sym_comment,
    ACTIONS(1182), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1180), 27,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [65128] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2969), 1,
      sym_comment,
    ACTIONS(1120), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1118), 27,
      sym__automatic_separator,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [65172] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2970), 1,
      sym_comment,
    ACTIONS(1044), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1042), 26,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [65215] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1116), 1,
      anon_sym_COMMA,
    STATE(2971), 1,
      sym_comment,
    ACTIONS(1584), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1582), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [65260] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5532), 1,
      anon_sym_else,
    STATE(2972), 1,
      sym_comment,
    ACTIONS(1238), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1236), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [65305] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5534), 1,
      anon_sym_DOLLARelse,
    STATE(2973), 1,
      sym_comment,
    ACTIONS(1232), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1230), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [65350] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2974), 1,
      sym_comment,
    ACTIONS(5536), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5538), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1542), 18,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_is,
      anon_sym_BANGis,
  [65399] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2975), 1,
      sym_comment,
    ACTIONS(1190), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1188), 27,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [65442] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5540), 1,
      anon_sym_BANG,
    STATE(2976), 1,
      sym_comment,
    ACTIONS(1612), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1610), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [65487] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5542), 1,
      anon_sym_else,
    STATE(2977), 1,
      sym_comment,
    ACTIONS(1244), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1242), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [65532] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5546), 1,
      sym_type_identifier,
    STATE(2978), 1,
      sym_comment,
    STATE(4068), 1,
      sym_builtin_type,
    ACTIONS(45), 5,
      anon_sym_char,
      anon_sym_int,
      anon_sym_byte,
      anon_sym_map,
      anon_sym_IError,
    ACTIONS(5544), 25,
      anon_sym_chan,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
  [65579] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    ACTIONS(5552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5554), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5556), 1,
      anon_sym_as,
    STATE(2979), 1,
      sym_comment,
    ACTIONS(5558), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5536), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5548), 5,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(5538), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5550), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [65638] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    STATE(2980), 1,
      sym_comment,
    STATE(3187), 1,
      sym_argument_list,
    ACTIONS(1210), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1208), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [65685] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2503), 1,
      anon_sym_COLON,
    STATE(2981), 1,
      sym_comment,
    ACTIONS(1280), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1278), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [65730] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(2982), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    STATE(4973), 1,
      sym_block,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [65803] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2983), 1,
      sym_comment,
    ACTIONS(1112), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1110), 27,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [65846] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(2984), 1,
      sym_comment,
    STATE(3243), 1,
      sym_block,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [65919] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(2985), 1,
      sym_comment,
    ACTIONS(5538), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1542), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_is,
      anon_sym_BANGis,
  [65966] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(1697), 1,
      sym_block,
    STATE(2986), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [66039] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2503), 1,
      anon_sym_COLON,
    STATE(2987), 1,
      sym_comment,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 26,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [66084] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2988), 1,
      sym_comment,
    ACTIONS(742), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1104), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1102), 23,
      sym__automatic_separator,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [66129] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2989), 1,
      sym_comment,
    ACTIONS(1584), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1582), 25,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [66172] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    STATE(2990), 1,
      sym_comment,
    STATE(3223), 1,
      sym_argument_list,
    ACTIONS(1100), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1098), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [66219] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5584), 1,
      sym_type_identifier,
    STATE(2991), 1,
      sym_comment,
    STATE(4356), 1,
      sym_builtin_type,
    ACTIONS(45), 5,
      anon_sym_char,
      anon_sym_int,
      anon_sym_byte,
      anon_sym_map,
      anon_sym_IError,
    ACTIONS(5544), 25,
      anon_sym_chan,
      anon_sym_thread,
      anon_sym_array,
      anon_sym_string,
      anon_sym_voidptr,
      anon_sym_byteptr,
      anon_sym_charptr,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_u8,
      anon_sym_u16,
      anon_sym_u32,
      anon_sym_u64,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_rune,
      anon_sym_mapnode,
      anon_sym_size_t,
      anon_sym_usize,
      anon_sym_isize,
      anon_sym_float_literal,
      anon_sym_int_literal,
  [66266] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    STATE(2992), 1,
      sym_comment,
    STATE(3230), 1,
      sym_argument_list,
    ACTIONS(1128), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1126), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [66313] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2993), 1,
      sym_comment,
    ACTIONS(1194), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 27,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DOLLARelse,
      anon_sym_else,
      anon_sym_is,
      anon_sym_BANGis,
  [66356] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5586), 1,
      anon_sym_DOLLARelse,
    STATE(2994), 1,
      sym_comment,
    ACTIONS(1218), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1216), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [66401] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5594), 1,
      anon_sym_PIPE,
    ACTIONS(5600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5602), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5604), 1,
      anon_sym_as,
    ACTIONS(5606), 1,
      anon_sym_COMMA,
    ACTIONS(5608), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5610), 1,
      anon_sym_LBRACE,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    ACTIONS(5616), 1,
      anon_sym_DOT_DOT,
    STATE(2995), 1,
      sym_comment,
    STATE(4278), 1,
      aux_sym_case_list_repeat1,
    ACTIONS(5592), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5598), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5588), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5590), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5596), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [66474] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2996), 1,
      sym_comment,
    ACTIONS(1202), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1200), 26,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [66517] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(911), 1,
      sym_block,
    STATE(2997), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [66590] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(1364), 1,
      sym_block,
    STATE(2998), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [66663] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1116), 1,
      anon_sym_COMMA,
    STATE(2999), 1,
      sym_comment,
    ACTIONS(1112), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1110), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [66708] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(2656), 1,
      sym_block,
    STATE(3000), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [66781] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    STATE(3001), 1,
      sym_comment,
    STATE(3273), 1,
      sym_argument_list,
    ACTIONS(1224), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1222), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [66828] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3002), 1,
      sym_comment,
    ACTIONS(1198), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1196), 26,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [66871] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5620), 1,
      anon_sym_LT2,
    STATE(3003), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_parameters,
    ACTIONS(1048), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1046), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [66918] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3004), 1,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [66963] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3005), 1,
      sym_comment,
    ACTIONS(1062), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1060), 26,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [67006] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3006), 1,
      sym_comment,
    ACTIONS(1040), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1038), 26,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [67049] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5622), 1,
      anon_sym_LBRACE,
    STATE(2616), 1,
      sym_block,
    STATE(3007), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [67122] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3008), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1104), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1102), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [67167] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3009), 1,
      sym_comment,
    STATE(3105), 1,
      sym_block,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [67240] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3010), 1,
      sym_comment,
    ACTIONS(1112), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1110), 25,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [67283] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3011), 1,
      sym_comment,
    ACTIONS(3252), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [67328] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(2415), 1,
      sym_block,
    STATE(3012), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [67401] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(1217), 1,
      sym_block,
    STATE(3013), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [67474] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5624), 1,
      sym_identifier,
    ACTIONS(5626), 1,
      anon_sym_LBRACE,
    STATE(3014), 1,
      sym_comment,
    STATE(3353), 1,
      sym__content_block,
    ACTIONS(1104), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1102), 21,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_BANGis,
  [67523] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3015), 1,
      sym_comment,
    ACTIONS(1054), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1052), 26,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [67566] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5634), 1,
      anon_sym_PIPE,
    STATE(3016), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5628), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5630), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 16,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [67621] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(1033), 1,
      sym_block,
    STATE(3017), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [67694] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5634), 1,
      anon_sym_PIPE,
    ACTIONS(5640), 1,
      anon_sym_AMP_AMP,
    STATE(3018), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5632), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5638), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5628), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5630), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5636), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(1540), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [67755] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3019), 1,
      sym_comment,
    ACTIONS(1214), 8,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_DOT_DOT,
    ACTIONS(1212), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [67798] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5634), 1,
      anon_sym_PIPE,
    ACTIONS(5640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5642), 1,
      anon_sym_PIPE_PIPE,
    STATE(3020), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5632), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5638), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 3,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
    ACTIONS(5628), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5630), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5636), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [67867] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(3021), 1,
      sym_comment,
    ACTIONS(5558), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5536), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1542), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(5538), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5550), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [67920] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    ACTIONS(5552), 1,
      anon_sym_AMP_AMP,
    STATE(3022), 1,
      sym_comment,
    ACTIONS(5558), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5536), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1542), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(5538), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5550), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [67975] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(2972), 1,
      sym_block,
    STATE(3023), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [68048] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5634), 1,
      anon_sym_PIPE,
    STATE(3024), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5632), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5638), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5628), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5630), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5636), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(1540), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [68107] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(2643), 1,
      sym_block,
    STATE(3025), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [68180] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3026), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1104), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1102), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [68225] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(2277), 1,
      sym_block,
    STATE(3027), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [68298] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3028), 1,
      sym_comment,
    ACTIONS(1066), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1064), 26,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [68341] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3029), 1,
      sym_comment,
    ACTIONS(742), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1104), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1102), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [68386] = 19,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_COLON_EQ,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(159), 1,
      sym_block,
    STATE(3030), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [68459] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3031), 1,
      sym_comment,
    ACTIONS(1058), 6,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1056), 26,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [68502] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3032), 1,
      sym_comment,
    ACTIONS(5632), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5630), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 19,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [68553] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    STATE(3033), 1,
      sym_comment,
    STATE(3330), 1,
      sym_argument_list,
    ACTIONS(1224), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1222), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [68599] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5644), 1,
      anon_sym_RPAREN,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5672), 1,
      sym__automatic_separator,
    STATE(3034), 1,
      sym_comment,
    STATE(3894), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [68669] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3035), 1,
      sym_comment,
    ACTIONS(1108), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1106), 25,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [68711] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3036), 1,
      sym_comment,
    ACTIONS(1276), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1274), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [68753] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3037), 1,
      sym_comment,
    ACTIONS(1116), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1112), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1110), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [68797] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3038), 1,
      sym_comment,
    ACTIONS(1592), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1590), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [68839] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3039), 1,
      sym_comment,
    ACTIONS(1556), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1554), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [68881] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3040), 1,
      sym_comment,
    ACTIONS(1538), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1536), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [68923] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    STATE(3041), 1,
      sym_comment,
    ACTIONS(1550), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT_DOT,
    ACTIONS(1548), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_is,
      anon_sym_BANGis,
  [68969] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3042), 1,
      sym_comment,
    ACTIONS(1618), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1616), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69011] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3043), 1,
      sym_comment,
    ACTIONS(1104), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1102), 25,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [69053] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3044), 1,
      sym_comment,
    ACTIONS(1480), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1478), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69095] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3045), 1,
      sym_comment,
    ACTIONS(1470), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1468), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69137] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3046), 1,
      sym_comment,
    ACTIONS(1328), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1326), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [69179] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3047), 1,
      sym_comment,
    ACTIONS(1466), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1464), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69221] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3048), 1,
      sym_comment,
    ACTIONS(1438), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1436), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69263] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3049), 1,
      sym_comment,
    ACTIONS(1424), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1422), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69305] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3050), 1,
      sym_comment,
    ACTIONS(1198), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1196), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69347] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3051), 1,
      sym_comment,
    ACTIONS(1202), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1200), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69389] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3052), 1,
      sym_comment,
    ACTIONS(1416), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1414), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69431] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3053), 1,
      sym_comment,
    ACTIONS(1370), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1368), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69473] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3054), 1,
      sym_comment,
    ACTIONS(1206), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1204), 25,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [69515] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3055), 1,
      sym_comment,
    ACTIONS(1104), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1102), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69557] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3056), 1,
      sym_comment,
    ACTIONS(1182), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1180), 25,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [69599] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3057), 1,
      sym_comment,
    ACTIONS(1400), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1398), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69641] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3058), 1,
      sym_comment,
    ACTIONS(1396), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1394), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69683] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3059), 1,
      sym_comment,
    ACTIONS(1350), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1348), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69725] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3060), 1,
      sym_comment,
    ACTIONS(1318), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1316), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69767] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3061), 1,
      sym_comment,
    ACTIONS(1296), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1294), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69809] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3062), 1,
      sym_comment,
    ACTIONS(1288), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1286), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69851] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3063), 1,
      sym_comment,
    ACTIONS(1490), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1488), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [69893] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5594), 1,
      anon_sym_PIPE,
    ACTIONS(5600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5602), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5604), 1,
      anon_sym_as,
    ACTIONS(5608), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    ACTIONS(5616), 1,
      anon_sym_DOT_DOT,
    STATE(3064), 1,
      sym_comment,
    ACTIONS(5592), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5598), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5588), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5590), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5596), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [69961] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3065), 1,
      sym_comment,
    ACTIONS(1392), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1390), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70003] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3066), 1,
      sym_comment,
    ACTIONS(1284), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1282), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70045] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3067), 1,
      sym_comment,
    ACTIONS(1048), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1046), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70087] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3068), 1,
      sym_comment,
    ACTIONS(1362), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1360), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70129] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3069), 1,
      sym_comment,
    ACTIONS(744), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(742), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70171] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5676), 1,
      anon_sym_RPAREN,
    ACTIONS(5678), 1,
      sym__automatic_separator,
    STATE(3070), 1,
      sym_comment,
    STATE(3912), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [70241] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3071), 1,
      sym_comment,
    ACTIONS(1346), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1344), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70283] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5680), 1,
      anon_sym_DOLLARelse,
    STATE(3072), 1,
      sym_comment,
    ACTIONS(1218), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [70327] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3073), 1,
      sym_comment,
    ACTIONS(1342), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1340), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70369] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3074), 1,
      sym_comment,
    ACTIONS(1120), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1118), 25,
      sym__interpolation_closing,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [70411] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    ACTIONS(5684), 1,
      sym__automatic_separator,
    STATE(3075), 1,
      sym_comment,
    STATE(3900), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [70481] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3076), 1,
      sym_comment,
    ACTIONS(1358), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70523] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3077), 1,
      sym_comment,
    ACTIONS(1336), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1334), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70565] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3078), 1,
      sym_comment,
    ACTIONS(1272), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1270), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70607] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3079), 1,
      sym_comment,
    ACTIONS(1354), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1352), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70649] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3080), 1,
      sym_comment,
    ACTIONS(1374), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1372), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70691] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5686), 1,
      anon_sym_RPAREN,
    ACTIONS(5688), 1,
      sym__automatic_separator,
    STATE(3081), 1,
      sym_comment,
    STATE(3907), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [70761] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3082), 1,
      sym_comment,
    ACTIONS(1322), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1320), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70803] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3083), 1,
      sym_comment,
    ACTIONS(1328), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1326), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70845] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3084), 1,
      sym_comment,
    ACTIONS(1332), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1330), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70887] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3085), 1,
      sym_comment,
    ACTIONS(1420), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70929] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3086), 1,
      sym_comment,
    ACTIONS(1366), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [70971] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3087), 1,
      sym_comment,
    ACTIONS(1292), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1290), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [71013] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3088), 1,
      sym_comment,
    ACTIONS(1428), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1426), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [71055] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3089), 1,
      sym_comment,
    ACTIONS(1596), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71097] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3090), 1,
      sym_comment,
    ACTIONS(1574), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1572), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [71139] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3091), 1,
      sym_comment,
    ACTIONS(1512), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1510), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [71181] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3092), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1104), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1102), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71225] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3093), 1,
      sym_comment,
    ACTIONS(1388), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1386), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [71267] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3094), 1,
      sym_comment,
    ACTIONS(1412), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1410), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [71309] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3095), 1,
      sym_comment,
    ACTIONS(1524), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1522), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [71351] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    ACTIONS(5692), 1,
      sym__automatic_separator,
    STATE(3096), 1,
      sym_comment,
    STATE(3981), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [71421] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5694), 1,
      anon_sym_LT2,
    STATE(3097), 1,
      sym_comment,
    STATE(3364), 1,
      sym_type_parameters,
    ACTIONS(1048), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1046), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71467] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3098), 1,
      sym_comment,
    ACTIONS(1580), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1578), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [71509] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3099), 1,
      sym_comment,
    ACTIONS(1580), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1578), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71551] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3100), 1,
      sym_comment,
    ACTIONS(1574), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1572), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71593] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5696), 1,
      anon_sym_RPAREN,
    ACTIONS(5698), 1,
      sym__automatic_separator,
    STATE(3101), 1,
      sym_comment,
    STATE(3944), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [71663] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3102), 1,
      sym_comment,
    ACTIONS(1104), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1102), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71705] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5700), 1,
      anon_sym_else,
    STATE(3103), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71749] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5702), 1,
      anon_sym_RPAREN,
    ACTIONS(5704), 1,
      sym__automatic_separator,
    STATE(3104), 1,
      sym_comment,
    STATE(3923), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [71819] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5706), 1,
      anon_sym_else,
    STATE(3105), 1,
      sym_comment,
    ACTIONS(1238), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71863] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5708), 1,
      anon_sym_RPAREN,
    ACTIONS(5710), 1,
      sym__automatic_separator,
    STATE(3106), 1,
      sym_comment,
    STATE(3953), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [71933] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5712), 1,
      anon_sym_DOLLARelse,
    STATE(3107), 1,
      sym_comment,
    ACTIONS(1232), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1230), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [71977] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3108), 1,
      sym_comment,
    ACTIONS(1600), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1598), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72019] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3109), 1,
      sym_comment,
    ACTIONS(1378), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1376), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72061] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3110), 1,
      sym_comment,
    ACTIONS(1604), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1602), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72103] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    STATE(3111), 1,
      sym_comment,
    ACTIONS(1112), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1110), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [72147] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3112), 1,
      sym_comment,
    ACTIONS(1622), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1620), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72189] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3113), 1,
      sym_comment,
    ACTIONS(1566), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1564), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72231] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5714), 1,
      anon_sym_RPAREN,
    ACTIONS(5716), 1,
      sym__automatic_separator,
    STATE(3114), 1,
      sym_comment,
    STATE(3902), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [72301] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3115), 1,
      sym_comment,
    ACTIONS(1502), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1500), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72343] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1542), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5594), 1,
      anon_sym_PIPE,
    ACTIONS(5600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    STATE(3116), 1,
      sym_comment,
    ACTIONS(5592), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5598), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5588), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
    ACTIONS(5590), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5596), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [72405] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1542), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5594), 1,
      anon_sym_PIPE,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    STATE(3117), 1,
      sym_comment,
    ACTIONS(5592), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5598), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5588), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 6,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
    ACTIONS(5590), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5596), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [72465] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5594), 1,
      anon_sym_PIPE,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    STATE(3118), 1,
      sym_comment,
    ACTIONS(5592), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT_DOT,
    ACTIONS(5588), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5590), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 14,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_is,
      anon_sym_BANGis,
  [72519] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    STATE(3119), 1,
      sym_comment,
    ACTIONS(5592), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 4,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT_DOT,
    ACTIONS(5590), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_is,
      anon_sym_BANGis,
  [72569] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    STATE(3120), 1,
      sym_comment,
    STATE(3357), 1,
      sym_argument_list,
    ACTIONS(1128), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1126), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [72615] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3121), 1,
      sym_comment,
    ACTIONS(1280), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1278), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72657] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3122), 1,
      sym_comment,
    ACTIONS(1454), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1452), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [72699] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3123), 1,
      sym_comment,
    ACTIONS(1570), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1568), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72741] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    STATE(3124), 1,
      sym_comment,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 18,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [72791] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3125), 1,
      sym_comment,
    ACTIONS(1404), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1402), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [72833] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    STATE(3126), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 15,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_is,
      anon_sym_BANGis,
  [72887] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    STATE(3127), 1,
      sym_comment,
    ACTIONS(1542), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT_DOT,
    ACTIONS(1540), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_is,
      anon_sym_BANGis,
  [72933] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3128), 1,
      sym_comment,
    ACTIONS(1458), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1456), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [72975] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3129), 1,
      sym_comment,
    ACTIONS(1516), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1514), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [73017] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5634), 1,
      anon_sym_PIPE,
    ACTIONS(5640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5642), 1,
      anon_sym_PIPE_PIPE,
    STATE(3130), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5632), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5638), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5628), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(3316), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
    ACTIONS(5630), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5636), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [73081] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    STATE(3131), 1,
      sym_comment,
    ACTIONS(1584), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1582), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [73125] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5726), 1,
      anon_sym_RPAREN,
    ACTIONS(5728), 1,
      sym__automatic_separator,
    STATE(3132), 1,
      sym_comment,
    STATE(3872), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [73195] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3133), 1,
      sym_comment,
    ACTIONS(1450), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1448), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [73237] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    STATE(3134), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
    ACTIONS(1540), 7,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
  [73295] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5734), 1,
      anon_sym_BANG,
    STATE(3135), 1,
      sym_comment,
    ACTIONS(1612), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1610), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [73339] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3136), 1,
      sym_comment,
    ACTIONS(1484), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1482), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [73381] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    STATE(3137), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 6,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [73441] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3138), 1,
      sym_comment,
    ACTIONS(1520), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1518), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [73483] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3139), 1,
      sym_comment,
    ACTIONS(1528), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1526), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [73525] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5738), 1,
      anon_sym_RPAREN,
    ACTIONS(5740), 1,
      sym__automatic_separator,
    STATE(3140), 1,
      sym_comment,
    STATE(3949), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [73595] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3141), 1,
      sym_comment,
    ACTIONS(1454), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1452), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [73637] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3142), 1,
      sym_comment,
    ACTIONS(1596), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1594), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [73679] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    STATE(3143), 1,
      sym_comment,
    STATE(3349), 1,
      sym_argument_list,
    ACTIONS(1100), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1098), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [73725] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3144), 1,
      sym_comment,
    ACTIONS(1476), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1474), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [73767] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3145), 1,
      sym_comment,
    ACTIONS(1484), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1482), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [73809] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3146), 1,
      sym_comment,
    ACTIONS(1116), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1584), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1582), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [73853] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3147), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [73895] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5742), 1,
      anon_sym_RPAREN,
    ACTIONS(5744), 1,
      sym__automatic_separator,
    STATE(3148), 1,
      sym_comment,
    STATE(3963), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [73965] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3149), 1,
      sym_comment,
    ACTIONS(1520), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1518), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74007] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3150), 1,
      sym_comment,
    ACTIONS(1332), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1330), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74049] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3151), 1,
      sym_comment,
    ACTIONS(1528), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1526), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74091] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3152), 1,
      sym_comment,
    ACTIONS(1494), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1492), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [74133] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3153), 1,
      sym_comment,
    ACTIONS(852), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(850), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [74175] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    STATE(3154), 1,
      sym_comment,
    STATE(3295), 1,
      sym_argument_list,
    ACTIONS(1210), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1208), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74221] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3155), 1,
      sym_comment,
    ACTIONS(1404), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1402), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [74263] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5746), 1,
      anon_sym_RPAREN,
    ACTIONS(5748), 1,
      sym__automatic_separator,
    STATE(3156), 1,
      sym_comment,
    STATE(3884), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [74333] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3157), 1,
      sym_comment,
    ACTIONS(1562), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1560), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [74375] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3158), 1,
      sym_comment,
    ACTIONS(1502), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1500), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74417] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5462), 1,
      anon_sym_COLON,
    STATE(3159), 1,
      sym_comment,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74461] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3160), 1,
      sym_comment,
    ACTIONS(1214), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1212), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74503] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5462), 1,
      anon_sym_COLON,
    STATE(3161), 1,
      sym_comment,
    ACTIONS(1280), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1278), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74547] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3162), 1,
      sym_comment,
    ACTIONS(1534), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1532), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [74589] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3163), 1,
      sym_comment,
    ACTIONS(1608), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1606), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [74631] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3164), 1,
      sym_comment,
    ACTIONS(1534), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1532), 26,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [74673] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5750), 1,
      anon_sym_RPAREN,
    ACTIONS(5752), 1,
      sym__automatic_separator,
    STATE(3165), 1,
      sym_comment,
    STATE(3947), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [74743] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5634), 1,
      anon_sym_PIPE,
    ACTIONS(5640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5642), 1,
      anon_sym_PIPE_PIPE,
    STATE(3166), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5632), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5638), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5628), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(3310), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
    ACTIONS(5630), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5636), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [74807] = 18,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    ACTIONS(5756), 1,
      sym__automatic_separator,
    STATE(3167), 1,
      sym_comment,
    STATE(3960), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [74877] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3168), 1,
      sym_comment,
    ACTIONS(1114), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1116), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [74919] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3169), 1,
      sym_comment,
    ACTIONS(1254), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1252), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [74961] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3170), 1,
      sym_comment,
    ACTIONS(1250), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1248), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [75003] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3171), 1,
      sym_comment,
    ACTIONS(1588), 7,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1586), 24,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_is,
      anon_sym_BANGis,
  [75045] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3172), 1,
      sym_comment,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [75104] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3173), 1,
      sym_comment,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5758), 3,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [75167] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3174), 1,
      sym_comment,
    ACTIONS(1604), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1602), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75208] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5776), 1,
      anon_sym_QMARK,
    ACTIONS(5778), 1,
      anon_sym_LBRACE,
    STATE(1363), 1,
      sym_block,
    STATE(3175), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [75275] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3176), 1,
      sym_comment,
    ACTIONS(1396), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75316] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3177), 1,
      sym_comment,
    ACTIONS(1400), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1398), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75357] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_QMARK,
    ACTIONS(5782), 1,
      anon_sym_LBRACE,
    STATE(1682), 1,
      sym_block,
    STATE(3178), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [75424] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3179), 1,
      sym_comment,
    ACTIONS(1588), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1586), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75465] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3180), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1560), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75506] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3181), 1,
      sym_comment,
    ACTIONS(1250), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1248), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75547] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3182), 1,
      sym_comment,
    ACTIONS(1466), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1464), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75588] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3183), 1,
      sym_comment,
    ACTIONS(1600), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1598), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75629] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3184), 1,
      sym_comment,
    ACTIONS(1494), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1492), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75670] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5784), 1,
      anon_sym_QMARK,
    STATE(2615), 1,
      sym_block,
    STATE(3185), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [75737] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3186), 1,
      sym_comment,
    ACTIONS(1524), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1522), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75778] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3187), 1,
      sym_comment,
    ACTIONS(1512), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1510), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75819] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5786), 1,
      anon_sym_BANG,
    STATE(3188), 1,
      sym_comment,
    ACTIONS(1612), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1610), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75862] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3189), 1,
      sym_comment,
    ACTIONS(1254), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1252), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75903] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3190), 1,
      sym_comment,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75944] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5788), 1,
      anon_sym_DOLLARelse,
    STATE(3191), 1,
      sym_comment,
    ACTIONS(1218), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1216), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [75987] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3192), 1,
      sym_comment,
    ACTIONS(1214), 6,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT2,
    ACTIONS(1212), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76028] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5262), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5264), 1,
      anon_sym_LBRACE,
    ACTIONS(5266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    ACTIONS(5796), 1,
      anon_sym_PIPE,
    STATE(3193), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5794), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5790), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5792), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 11,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_is,
      anon_sym_BANGis,
  [76087] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3194), 1,
      sym_comment,
    ACTIONS(1622), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1620), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76128] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5806), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5808), 1,
      anon_sym_as,
    STATE(3195), 1,
      sym_comment,
    ACTIONS(5810), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(3322), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5798), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5800), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5802), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [76185] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3196), 1,
      sym_comment,
    ACTIONS(1412), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1410), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76226] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5812), 1,
      anon_sym_QMARK,
    ACTIONS(5814), 1,
      anon_sym_LBRACE,
    STATE(158), 1,
      sym_block,
    STATE(3197), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [76293] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3198), 1,
      sym_comment,
    ACTIONS(1388), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1386), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76334] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5806), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5808), 1,
      anon_sym_as,
    STATE(3199), 1,
      sym_comment,
    ACTIONS(5810), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(3350), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5798), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5800), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5802), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [76391] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5816), 1,
      anon_sym_QMARK,
    STATE(2407), 1,
      sym_block,
    STATE(3200), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [76458] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3201), 1,
      sym_comment,
    ACTIONS(1292), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1290), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76499] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3202), 1,
      sym_comment,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(3814), 3,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [76562] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3203), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76603] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5824), 1,
      anon_sym_PIPE,
    ACTIONS(5830), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5834), 1,
      anon_sym_as,
    ACTIONS(5836), 1,
      anon_sym_COLON,
    ACTIONS(5838), 1,
      anon_sym_LBRACK,
    ACTIONS(5840), 1,
      anon_sym_DOT,
    ACTIONS(5844), 1,
      sym__interpolation_closing,
    STATE(3204), 1,
      sym_comment,
    STATE(4795), 1,
      sym_format_specifier,
    ACTIONS(5822), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5828), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5842), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5818), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5820), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5826), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [76670] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3205), 1,
      sym_comment,
    ACTIONS(1420), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1418), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76711] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3206), 1,
      sym_comment,
    ACTIONS(1350), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76752] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3207), 1,
      sym_comment,
    ACTIONS(1358), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76793] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3208), 1,
      sym_comment,
    ACTIONS(1336), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1334), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76834] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    STATE(3209), 1,
      sym_comment,
    ACTIONS(5794), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 4,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT_DOT,
    ACTIONS(5792), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_is,
      anon_sym_BANGis,
  [76883] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5262), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5264), 1,
      anon_sym_LBRACE,
    ACTIONS(5266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5604), 1,
      anon_sym_as,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    ACTIONS(5796), 1,
      anon_sym_PIPE,
    ACTIONS(5850), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5852), 1,
      anon_sym_PIPE_PIPE,
    STATE(3210), 1,
      sym_comment,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5794), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5848), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5790), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5792), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5846), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [76950] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3211), 1,
      sym_comment,
    ACTIONS(1354), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1352), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [76991] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3212), 1,
      sym_comment,
    ACTIONS(1272), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1270), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77032] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3213), 1,
      sym_comment,
    ACTIONS(1342), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1340), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77073] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5854), 1,
      anon_sym_QMARK,
    STATE(3214), 1,
      sym_comment,
    STATE(3229), 1,
      sym_block,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [77140] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5856), 1,
      anon_sym_QMARK,
    STATE(2973), 1,
      sym_block,
    STATE(3215), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [77207] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3216), 1,
      sym_comment,
    ACTIONS(1318), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1316), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77248] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3217), 1,
      sym_comment,
    ACTIONS(1296), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1294), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77289] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3218), 1,
      sym_comment,
    ACTIONS(1346), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1344), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77330] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3219), 1,
      sym_comment,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(3316), 3,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [77393] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3220), 1,
      sym_comment,
    ACTIONS(1450), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1448), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77434] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3221), 1,
      sym_comment,
    ACTIONS(1416), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1414), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77475] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5858), 1,
      anon_sym_QMARK,
    STATE(2641), 1,
      sym_block,
    STATE(3222), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [77542] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3223), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1360), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77583] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3224), 1,
      sym_comment,
    ACTIONS(1288), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1286), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77624] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3225), 1,
      sym_comment,
    ACTIONS(1284), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1282), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77665] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      anon_sym_AMP_AMP,
    STATE(3226), 1,
      sym_comment,
    ACTIONS(5810), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5798), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1542), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5800), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5802), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [77718] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3227), 1,
      sym_comment,
    ACTIONS(1550), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1548), 23,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_is,
      anon_sym_BANGis,
  [77763] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    ACTIONS(5796), 1,
      anon_sym_PIPE,
    STATE(3228), 1,
      sym_comment,
    ACTIONS(5794), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT_DOT,
    ACTIONS(5790), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5792), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 13,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_is,
      anon_sym_BANGis,
  [77816] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5860), 1,
      anon_sym_DOLLARelse,
    STATE(3229), 1,
      sym_comment,
    ACTIONS(1232), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1230), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77859] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3230), 1,
      sym_comment,
    ACTIONS(1392), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1390), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77900] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3231), 1,
      sym_comment,
    ACTIONS(1566), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1564), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77941] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3232), 1,
      sym_comment,
    ACTIONS(1490), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1488), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [77982] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5862), 1,
      anon_sym_COMMA,
    STATE(3233), 1,
      sym_comment,
    STATE(4048), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [78049] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1542), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    ACTIONS(5796), 1,
      anon_sym_PIPE,
    STATE(3234), 1,
      sym_comment,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5794), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5848), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5790), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 5,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
    ACTIONS(5792), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5846), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [78108] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5864), 1,
      anon_sym_QMARK,
    STATE(3107), 1,
      sym_block,
    STATE(3235), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [78175] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3236), 1,
      sym_comment,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 17,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [78224] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3237), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 14,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_is,
      anon_sym_BANGis,
  [78277] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3238), 1,
      sym_comment,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 6,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [78334] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(3239), 1,
      sym_comment,
    ACTIONS(5810), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5798), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1542), 6,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(5800), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5802), 8,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [78385] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3240), 1,
      sym_comment,
    ACTIONS(1516), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1514), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [78426] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3241), 1,
      sym_comment,
    ACTIONS(3252), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 23,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
  [78469] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3242), 1,
      sym_comment,
    ACTIONS(1470), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1468), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [78510] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5866), 1,
      anon_sym_else,
    STATE(3243), 1,
      sym_comment,
    ACTIONS(1238), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [78553] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3244), 1,
      sym_comment,
    ACTIONS(1608), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1606), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [78594] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(3245), 1,
      sym_comment,
    ACTIONS(5798), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(5800), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1542), 16,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_is,
      anon_sym_BANGis,
  [78641] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(3246), 1,
      sym_comment,
    ACTIONS(5800), 8,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1542), 20,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_is,
      anon_sym_BANGis,
  [78686] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3247), 1,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 23,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
  [78729] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1542), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5612), 1,
      anon_sym_LBRACK,
    ACTIONS(5614), 1,
      anon_sym_DOT,
    ACTIONS(5796), 1,
      anon_sym_PIPE,
    ACTIONS(5850), 1,
      anon_sym_AMP_AMP,
    STATE(3248), 1,
      sym_comment,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5794), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5848), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5790), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
    ACTIONS(5792), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5846), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [78790] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3249), 1,
      sym_comment,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 17,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_is,
      anon_sym_BANGis,
  [78839] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3250), 1,
      sym_comment,
    ACTIONS(1370), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1368), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [78880] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5868), 1,
      anon_sym_QMARK,
    STATE(2276), 1,
      sym_block,
    STATE(3251), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [78947] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3252), 1,
      sym_comment,
    ACTIONS(1374), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1372), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [78988] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3253), 1,
      sym_comment,
    ACTIONS(1048), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1046), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79029] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3254), 1,
      sym_comment,
    ACTIONS(744), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79070] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3255), 1,
      sym_comment,
    ACTIONS(1480), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1478), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79111] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5870), 1,
      anon_sym_else,
    STATE(3256), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79154] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3257), 1,
      sym_comment,
    ACTIONS(1458), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1456), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79195] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3258), 1,
      sym_comment,
    ACTIONS(1538), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1536), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79236] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5662), 1,
      anon_sym_as,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3259), 1,
      sym_comment,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(3797), 3,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [79299] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3260), 1,
      sym_comment,
    ACTIONS(1542), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1540), 23,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_is,
      anon_sym_BANGis,
  [79344] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3261), 1,
      sym_comment,
    ACTIONS(1556), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1554), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79385] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3262), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 14,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_is,
      anon_sym_BANGis,
  [79438] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3263), 1,
      sym_comment,
    ACTIONS(1280), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1278), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79479] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK,
    ACTIONS(5874), 1,
      anon_sym_LBRACE,
    STATE(1024), 1,
      sym_block,
    STATE(3264), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [79546] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3265), 1,
      sym_comment,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 6,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [79603] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3266), 1,
      sym_comment,
    ACTIONS(1592), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1590), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79644] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3267), 1,
      sym_comment,
    ACTIONS(1114), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1116), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79685] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5652), 1,
      anon_sym_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5666), 1,
      anon_sym_LBRACK,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    STATE(3268), 1,
      sym_comment,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5656), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5646), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 5,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
    ACTIONS(5648), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5654), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [79744] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5876), 1,
      anon_sym_QMARK,
    ACTIONS(5878), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_block,
    STATE(3269), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [79811] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3270), 1,
      sym_comment,
    ACTIONS(1570), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1568), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79852] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3271), 1,
      sym_comment,
    ACTIONS(1424), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1422), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79893] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3272), 1,
      sym_comment,
    ACTIONS(1378), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1376), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79934] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3273), 1,
      sym_comment,
    ACTIONS(1276), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1274), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [79975] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3274), 1,
      sym_comment,
    ACTIONS(1618), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1616), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80016] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3275), 1,
      sym_comment,
    ACTIONS(1322), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1320), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80057] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5880), 1,
      anon_sym_QMARK,
    STATE(2655), 1,
      sym_block,
    STATE(3276), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [80124] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3277), 1,
      sym_comment,
    ACTIONS(1438), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1436), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80165] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3278), 1,
      sym_comment,
    ACTIONS(1202), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1200), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80206] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3279), 1,
      sym_comment,
    ACTIONS(1198), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1196), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80247] = 17,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_block,
    STATE(3280), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [80314] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3281), 1,
      sym_comment,
    ACTIONS(1476), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1474), 25,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80355] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3282), 1,
      sym_comment,
    ACTIONS(1358), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80395] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3283), 1,
      sym_comment,
    ACTIONS(1296), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1294), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80435] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3284), 1,
      sym_comment,
    ACTIONS(1198), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1196), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80475] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3285), 1,
      sym_comment,
    ACTIONS(1458), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1456), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80515] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3286), 1,
      sym_comment,
    ACTIONS(1114), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1116), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80555] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3287), 1,
      sym_comment,
    ACTIONS(1604), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1602), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80595] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3288), 1,
      sym_comment,
    ACTIONS(1600), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1598), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80635] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3289), 1,
      sym_comment,
    ACTIONS(1524), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1522), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80675] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5888), 1,
      anon_sym_RBRACK,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    STATE(3290), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [80739] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3291), 1,
      sym_comment,
    ACTIONS(1570), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1568), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80779] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5824), 1,
      anon_sym_PIPE,
    ACTIONS(5830), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5838), 1,
      anon_sym_LBRACK,
    ACTIONS(5840), 1,
      anon_sym_DOT,
    STATE(3292), 1,
      sym_comment,
    ACTIONS(5822), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5828), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5842), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5818), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 4,
      sym__interpolation_closing,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
    ACTIONS(5820), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5826), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [80837] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    STATE(3293), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [80901] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3294), 1,
      sym_comment,
    ACTIONS(1374), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1372), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80941] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3295), 1,
      sym_comment,
    ACTIONS(1512), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1510), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [80981] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5894), 1,
      anon_sym_RBRACK,
    STATE(3296), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [81045] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5824), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_LBRACK,
    ACTIONS(5840), 1,
      anon_sym_DOT,
    STATE(3297), 1,
      sym_comment,
    ACTIONS(5822), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5828), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5842), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5818), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 5,
      sym__interpolation_closing,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
    ACTIONS(5820), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5826), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [81101] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5824), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_LBRACK,
    ACTIONS(5840), 1,
      anon_sym_DOT,
    STATE(3298), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5822), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5818), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5820), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 13,
      sym__interpolation_closing,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_is,
      anon_sym_BANGis,
  [81153] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3299), 1,
      sym_comment,
    ACTIONS(1622), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1620), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81193] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5896), 1,
      anon_sym_RBRACK,
    STATE(3300), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [81257] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3301), 1,
      sym_comment,
    ACTIONS(1438), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1436), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81297] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3302), 1,
      sym_comment,
    ACTIONS(1378), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1376), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81337] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5838), 1,
      anon_sym_LBRACK,
    ACTIONS(5840), 1,
      anon_sym_DOT,
    STATE(3303), 1,
      sym_comment,
    ACTIONS(1542), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1540), 22,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_is,
      anon_sym_BANGis,
  [81381] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5838), 1,
      anon_sym_LBRACK,
    ACTIONS(5840), 1,
      anon_sym_DOT,
    STATE(3304), 1,
      sym_comment,
    ACTIONS(5822), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5820), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 16,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_is,
      anon_sym_BANGis,
  [81429] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3305), 1,
      sym_comment,
    ACTIONS(1466), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1464), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81469] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5898), 1,
      anon_sym_RBRACK,
    STATE(3306), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [81533] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3307), 1,
      sym_comment,
    ACTIONS(1428), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81573] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3308), 1,
      sym_comment,
    ACTIONS(1516), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1514), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81613] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3309), 1,
      sym_comment,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81653] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3310), 1,
      sym_comment,
    ACTIONS(1332), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1330), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81693] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3311), 1,
      sym_comment,
    ACTIONS(744), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81733] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3312), 1,
      sym_comment,
    ACTIONS(1048), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1046), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81773] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3313), 1,
      sym_comment,
    ACTIONS(3316), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [81835] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3314), 1,
      sym_comment,
    ACTIONS(1608), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1606), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81875] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3315), 1,
      sym_comment,
    ACTIONS(1596), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81915] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3316), 1,
      sym_comment,
    ACTIONS(1328), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1326), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81955] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3317), 1,
      sym_comment,
    ACTIONS(1580), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1578), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [81995] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3318), 1,
      sym_comment,
    ACTIONS(1574), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1572), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82035] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5838), 1,
      anon_sym_LBRACK,
    ACTIONS(5840), 1,
      anon_sym_DOT,
    STATE(3319), 1,
      sym_comment,
    ACTIONS(1550), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1548), 22,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_is,
      anon_sym_BANGis,
  [82079] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3769), 1,
      anon_sym_RBRACK,
    STATE(3320), 1,
      sym_comment,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82121] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3321), 1,
      sym_comment,
    ACTIONS(1322), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1320), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82161] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3322), 1,
      sym_comment,
    ACTIONS(1284), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1282), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82201] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3323), 1,
      sym_comment,
    ACTIONS(1292), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1290), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82241] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3324), 1,
      sym_comment,
    ACTIONS(1288), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1286), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82281] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3325), 1,
      sym_comment,
    ACTIONS(1618), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1616), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82321] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5199), 1,
      anon_sym_in,
    ACTIONS(5201), 1,
      anon_sym_COMMA,
    STATE(3326), 1,
      sym_comment,
    STATE(4218), 1,
      aux_sym_identifier_list_repeat1,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 21,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82367] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5900), 1,
      anon_sym_RBRACK,
    STATE(3327), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [82431] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3328), 1,
      sym_comment,
    ACTIONS(1450), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1448), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82471] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5902), 1,
      anon_sym_RBRACK,
    STATE(3329), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [82535] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3330), 1,
      sym_comment,
    ACTIONS(1276), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1274), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82575] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3331), 1,
      sym_comment,
    ACTIONS(1370), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1368), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82615] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3332), 1,
      sym_comment,
    ACTIONS(1104), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1102), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82655] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3333), 1,
      sym_comment,
    ACTIONS(3310), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [82717] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    STATE(3334), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_LBRACE,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [82775] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3335), 1,
      sym_comment,
    ACTIONS(1588), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1586), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [82815] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    STATE(3336), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1540), 5,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_LBRACE,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [82871] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    STATE(3337), 1,
      sym_comment,
    ACTIONS(1542), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 13,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_is,
      anon_sym_BANGis,
  [82923] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3338), 1,
      sym_comment,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1542), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1540), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_is,
      anon_sym_BANGis,
  [82971] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3339), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83011] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3340), 1,
      sym_comment,
    ACTIONS(1318), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1316), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83051] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3341), 1,
      sym_comment,
    ACTIONS(1454), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1452), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83091] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3342), 1,
      sym_comment,
    ACTIONS(1420), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1418), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83131] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3343), 1,
      sym_comment,
    ACTIONS(1336), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1334), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83171] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3344), 1,
      sym_comment,
    ACTIONS(1476), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1474), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83211] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5904), 1,
      anon_sym_RBRACK,
    STATE(3345), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [83275] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3346), 1,
      sym_comment,
    ACTIONS(1342), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1340), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83315] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3347), 1,
      sym_comment,
    ACTIONS(1346), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1344), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83355] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3348), 1,
      sym_comment,
    ACTIONS(1404), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1402), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83395] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3349), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1360), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83435] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3350), 1,
      sym_comment,
    ACTIONS(1484), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1482), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83475] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5634), 1,
      anon_sym_PIPE,
    ACTIONS(5640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5642), 1,
      anon_sym_PIPE_PIPE,
    STATE(3351), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5632), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5638), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5628), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5630), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5636), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [83537] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3352), 1,
      sym_comment,
    ACTIONS(1494), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1492), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83577] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3353), 1,
      sym_comment,
    ACTIONS(1272), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1270), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83617] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3354), 1,
      sym_comment,
    ACTIONS(1354), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1352), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83657] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5908), 1,
      anon_sym_RBRACK,
    STATE(3355), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [83721] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3356), 1,
      sym_comment,
    ACTIONS(1502), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1500), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83761] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3357), 1,
      sym_comment,
    ACTIONS(1392), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1390), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83801] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3358), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1560), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83841] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3359), 1,
      sym_comment,
    ACTIONS(1566), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1564), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83881] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5910), 1,
      anon_sym_RBRACK,
    STATE(3360), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [83945] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3361), 1,
      sym_comment,
    ACTIONS(1416), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1414), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [83985] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3362), 1,
      sym_comment,
    ACTIONS(1400), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1398), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84025] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3363), 1,
      sym_comment,
    ACTIONS(1202), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1200), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84065] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3364), 1,
      sym_comment,
    ACTIONS(1350), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84105] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_PIPE,
    ACTIONS(5572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5574), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    STATE(3365), 1,
      sym_comment,
    ACTIONS(5564), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5912), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5560), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5562), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5568), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [84167] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3366), 1,
      sym_comment,
    ACTIONS(1490), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1488), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84207] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    STATE(3367), 1,
      sym_comment,
    STATE(4967), 1,
      sym_block,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [84271] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3368), 1,
      sym_comment,
    ACTIONS(1388), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1386), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84311] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3369), 1,
      sym_comment,
    ACTIONS(1412), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1410), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84351] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3370), 1,
      sym_comment,
    ACTIONS(1470), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1468), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84391] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3371), 1,
      sym_comment,
    ACTIONS(1592), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1590), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84431] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5914), 1,
      anon_sym_RBRACK,
    STATE(3372), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [84495] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3373), 1,
      sym_comment,
    ACTIONS(1280), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1278), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84535] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    STATE(3374), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [84599] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3375), 1,
      sym_comment,
    ACTIONS(1556), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1554), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84639] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3376), 1,
      sym_comment,
    ACTIONS(1396), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84679] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3377), 1,
      sym_comment,
    ACTIONS(1424), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1422), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84719] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3378), 1,
      sym_comment,
    ACTIONS(1480), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1478), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84759] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3379), 1,
      sym_comment,
    ACTIONS(1538), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1536), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84799] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5918), 1,
      anon_sym_RBRACK,
    STATE(3380), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [84863] = 16,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5920), 1,
      anon_sym_RBRACK,
    STATE(3381), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [84927] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3382), 1,
      sym_comment,
    ACTIONS(1520), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1518), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [84967] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3383), 1,
      sym_comment,
    ACTIONS(1528), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1526), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [85007] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3384), 1,
      sym_comment,
    ACTIONS(1534), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1532), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [85047] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3385), 1,
      sym_comment,
    ACTIONS(1254), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1252), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [85087] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3386), 1,
      sym_comment,
    ACTIONS(1250), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1248), 24,
      sym__interpolation_closing,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_is,
      anon_sym_BANGis,
  [85127] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85188] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5924), 1,
      anon_sym_RPAREN,
    STATE(3388), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85249] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    STATE(3389), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85310] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5928), 1,
      anon_sym_LBRACE,
    STATE(3390), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85371] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5930), 1,
      anon_sym_RPAREN,
    STATE(3391), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85432] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5912), 1,
      anon_sym_LBRACE,
    STATE(3392), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85493] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    STATE(3393), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85554] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5934), 1,
      anon_sym_RPAREN,
    STATE(3394), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85615] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    STATE(3395), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85676] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5938), 1,
      anon_sym_LBRACE,
    STATE(3396), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85737] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5940), 1,
      anon_sym_RPAREN,
    STATE(3397), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85798] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5942), 1,
      anon_sym_RPAREN,
    STATE(3398), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85859] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5944), 1,
      anon_sym_LBRACE,
    STATE(3399), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85920] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    STATE(3400), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [85981] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5948), 1,
      anon_sym_RPAREN,
    STATE(3401), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86042] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5950), 1,
      anon_sym_RPAREN,
    STATE(3402), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86103] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5952), 1,
      anon_sym_RPAREN,
    STATE(3403), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86164] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_RPAREN,
    STATE(3404), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86225] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5956), 1,
      anon_sym_LBRACE,
    STATE(3405), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86286] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_LBRACE,
    STATE(3406), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86347] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(3407), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86408] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    STATE(3408), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86469] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5964), 1,
      anon_sym_RPAREN,
    STATE(3409), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86530] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    STATE(3410), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86591] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5968), 1,
      anon_sym_RPAREN,
    STATE(3411), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86652] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5970), 1,
      anon_sym_RPAREN,
    STATE(3412), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86713] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5972), 1,
      anon_sym_RPAREN,
    STATE(3413), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86774] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5974), 1,
      anon_sym_LBRACE,
    STATE(3414), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86835] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5976), 1,
      anon_sym_RPAREN,
    STATE(3415), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86896] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    STATE(3416), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [86957] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    STATE(3417), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87018] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    STATE(3418), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87079] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5984), 1,
      anon_sym_RPAREN,
    STATE(3419), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87140] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACE,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    STATE(3420), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87201] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5986), 1,
      anon_sym_RBRACK,
    STATE(3421), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87262] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5988), 1,
      anon_sym_RPAREN,
    STATE(3422), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87323] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5990), 1,
      anon_sym_LBRACE,
    STATE(3423), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87384] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(3424), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87445] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5994), 1,
      anon_sym_RPAREN,
    STATE(3425), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87506] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5996), 1,
      anon_sym_SEMI,
    STATE(3426), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87567] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5998), 1,
      anon_sym_RPAREN,
    STATE(3427), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87628] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(3428), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87689] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6002), 1,
      anon_sym_RPAREN,
    STATE(3429), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87750] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6004), 1,
      anon_sym_RPAREN,
    STATE(3430), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87811] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6006), 1,
      anon_sym_RPAREN,
    STATE(3431), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87872] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6008), 1,
      anon_sym_RPAREN,
    STATE(3432), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87933] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(3433), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [87994] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6012), 1,
      anon_sym_RPAREN,
    STATE(3434), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88055] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3435), 1,
      sym_comment,
    ACTIONS(3264), 4,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(852), 5,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 19,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
  [88096] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6014), 1,
      anon_sym_RPAREN,
    STATE(3436), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88157] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6016), 1,
      anon_sym_LBRACE,
    STATE(3437), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88218] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6018), 1,
      anon_sym_LBRACE,
    STATE(3438), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88279] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6020), 1,
      anon_sym_RPAREN,
    STATE(3439), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88340] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_RPAREN,
    STATE(3440), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88401] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_LBRACE,
    STATE(3441), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88462] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6026), 1,
      anon_sym_RBRACK,
    STATE(3442), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88523] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    STATE(3443), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88584] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6030), 1,
      anon_sym_RPAREN,
    STATE(3444), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88645] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_RPAREN,
    STATE(3445), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88706] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6034), 1,
      anon_sym_RPAREN,
    STATE(3446), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88767] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6036), 1,
      anon_sym_RPAREN,
    STATE(3447), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88828] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_SEMI,
    STATE(3448), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88889] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5766), 1,
      anon_sym_PIPE,
    ACTIONS(5772), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_LBRACE,
    STATE(3449), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5770), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5760), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5762), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5768), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [88950] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    STATE(3450), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [89008] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    STATE(3451), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [89066] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6042), 1,
      anon_sym_in,
    STATE(3452), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5730), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANGin,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
  [89126] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5452), 1,
      anon_sym_LBRACK,
    ACTIONS(5576), 1,
      anon_sym_as,
    ACTIONS(5724), 1,
      anon_sym_PIPE,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5886), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6044), 1,
      anon_sym_DOT,
    STATE(3453), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5720), 2,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5732), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5722), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(5718), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(5730), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_in,
      anon_sym_BANGin,
  [89184] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6046), 1,
      sym_identifier,
    ACTIONS(6048), 1,
      anon_sym_LPAREN,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    STATE(1902), 1,
      sym_parameter_list,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(3454), 1,
      sym_comment,
    STATE(3465), 1,
      sym_exposed_variables_list,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3828), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89232] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6054), 1,
      sym_identifier,
    ACTIONS(6056), 1,
      anon_sym_LPAREN,
    STATE(3455), 1,
      sym_comment,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(3476), 1,
      sym_exposed_variables_list,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3849), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89277] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6056), 1,
      anon_sym_LPAREN,
    ACTIONS(6058), 1,
      sym_identifier,
    STATE(3456), 1,
      sym_comment,
    STATE(3461), 1,
      sym_parameter_list,
    STATE(3478), 1,
      sym_exposed_variables_list,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3822), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89322] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6056), 1,
      anon_sym_LPAREN,
    ACTIONS(6060), 1,
      sym_identifier,
    STATE(3457), 1,
      sym_comment,
    STATE(3462), 1,
      sym_parameter_list,
    STATE(3472), 1,
      sym_exposed_variables_list,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3827), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89367] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    STATE(3458), 1,
      sym_comment,
    STATE(3475), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1178), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(1172), 14,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [89400] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3459), 1,
      sym_comment,
    ACTIONS(5302), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(3310), 16,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [89429] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    STATE(3460), 1,
      sym_comment,
    STATE(3475), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(1172), 14,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [89462] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6062), 1,
      sym_identifier,
    STATE(3461), 1,
      sym_comment,
    STATE(3471), 1,
      sym_exposed_variables_list,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3864), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89501] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6064), 1,
      sym_identifier,
    STATE(3462), 1,
      sym_comment,
    STATE(3477), 1,
      sym_exposed_variables_list,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3800), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89540] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    STATE(3463), 1,
      sym_comment,
    STATE(3475), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(3238), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(1172), 14,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [89573] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    STATE(3464), 1,
      sym_comment,
    STATE(3467), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(3238), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(1172), 14,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [89606] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6066), 1,
      sym_identifier,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1974), 1,
      sym_parameter_list,
    STATE(3465), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3798), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89645] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6070), 1,
      sym_identifier,
    STATE(3466), 1,
      sym_comment,
    STATE(3474), 1,
      sym_exposed_variables_list,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3845), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89684] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    ACTIONS(6072), 1,
      anon_sym_RBRACE,
    STATE(3467), 1,
      sym_comment,
    STATE(3470), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(3808), 14,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [89716] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3468), 1,
      sym_comment,
    ACTIONS(6074), 17,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_enum,
      anon_sym_interface,
      anon_sym_module,
  [89742] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3469), 1,
      sym_comment,
    ACTIONS(6076), 17,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym___global,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_enum,
      anon_sym_interface,
      anon_sym_module,
  [89768] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6078), 1,
      anon_sym_COMMA,
    STATE(3470), 2,
      sym_comment,
      aux_sym_expression_list_repeat1,
    ACTIONS(3310), 15,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [89796] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6081), 1,
      sym_identifier,
    STATE(3471), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3797), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89829] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6083), 1,
      sym_identifier,
    STATE(3472), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3810), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89862] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6085), 1,
      sym_identifier,
    STATE(3473), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3792), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89895] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6087), 1,
      sym_identifier,
    STATE(3474), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3854), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89928] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1162), 1,
      anon_sym_COMMA,
    STATE(3470), 1,
      aux_sym_expression_list_repeat1,
    STATE(3475), 1,
      sym_comment,
    ACTIONS(3808), 14,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [89957] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6089), 1,
      sym_identifier,
    STATE(3476), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3862), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [89990] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6091), 1,
      sym_identifier,
    STATE(3477), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3831), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [90023] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6093), 1,
      sym_identifier,
    STATE(3478), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6052), 2,
      anon_sym_C,
      anon_sym_JS,
    STATE(3788), 2,
      sym_binded_identifier,
      sym_overloadable_operator,
    ACTIONS(4779), 9,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [90056] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3479), 1,
      sym_comment,
    ACTIONS(1136), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1134), 13,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
  [90082] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3480), 1,
      sym_comment,
    ACTIONS(6097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6095), 13,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
  [90108] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3481), 1,
      sym_comment,
    ACTIONS(1124), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1122), 13,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
  [90134] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3482), 1,
      sym_comment,
    ACTIONS(1132), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1130), 13,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_C,
      anon_sym_JS,
  [90160] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6099), 1,
      anon_sym_COLON_EQ,
    STATE(3483), 1,
      sym_comment,
    ACTIONS(6101), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [90185] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6103), 1,
      anon_sym_COLON_EQ,
    STATE(3484), 1,
      sym_comment,
    ACTIONS(6105), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [90210] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6107), 1,
      anon_sym_COLON_EQ,
    STATE(3485), 1,
      sym_comment,
    ACTIONS(6109), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [90235] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6111), 1,
      anon_sym_COLON_EQ,
    STATE(3486), 1,
      sym_comment,
    ACTIONS(6113), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ,
  [90260] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6115), 1,
      anon_sym_LT2,
    STATE(3487), 1,
      sym_comment,
    STATE(3510), 1,
      sym_type_parameters,
    ACTIONS(1048), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90286] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6121), 1,
      anon_sym_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_EQ,
    STATE(3488), 1,
      sym_comment,
    STATE(3539), 1,
      sym_attribute_declaration,
    ACTIONS(6119), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6117), 6,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [90315] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6125), 1,
      sym_identifier,
    ACTIONS(6127), 1,
      anon_sym_RPAREN,
    ACTIONS(6129), 1,
      anon_sym_shared,
    ACTIONS(6131), 1,
      anon_sym_mut,
    STATE(3489), 1,
      sym_comment,
    STATE(3715), 1,
      sym__mutable_prefix,
    STATE(4126), 1,
      sym_parameter_declaration,
    STATE(2031), 2,
      sym__reserved_identifier,
      sym_mutable_identifier,
    ACTIONS(4877), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90350] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6137), 1,
      anon_sym_LBRACK,
    ACTIONS(6139), 1,
      anon_sym_EQ,
    STATE(3490), 1,
      sym_comment,
    STATE(3537), 1,
      sym_attribute_declaration,
    ACTIONS(6135), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6133), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [90379] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6137), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_EQ,
    STATE(3491), 1,
      sym_comment,
    STATE(3540), 1,
      sym_attribute_declaration,
    ACTIONS(6143), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6141), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [90408] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6125), 1,
      sym_identifier,
    ACTIONS(6129), 1,
      anon_sym_shared,
    ACTIONS(6131), 1,
      anon_sym_mut,
    ACTIONS(6147), 1,
      anon_sym_RPAREN,
    STATE(3492), 1,
      sym_comment,
    STATE(3715), 1,
      sym__mutable_prefix,
    STATE(4181), 1,
      sym_parameter_declaration,
    STATE(2031), 2,
      sym__reserved_identifier,
      sym_mutable_identifier,
    ACTIONS(4877), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90443] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1212), 1,
      anon_sym_LT2,
    STATE(3493), 1,
      sym_comment,
    ACTIONS(1214), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90466] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6149), 1,
      sym_identifier,
    ACTIONS(6151), 1,
      anon_sym_DOLLAR,
    ACTIONS(6155), 1,
      sym_type_placeholder,
    ACTIONS(6157), 1,
      sym_type_identifier,
    STATE(3494), 1,
      sym_comment,
    STATE(3056), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6153), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90496] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6159), 1,
      sym_identifier,
    ACTIONS(6161), 1,
      anon_sym_DOLLAR,
    ACTIONS(6165), 1,
      sym_type_placeholder,
    ACTIONS(6167), 1,
      sym_type_identifier,
    STATE(3495), 1,
      sym_comment,
    STATE(2398), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6163), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90526] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6169), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_DOLLAR,
    ACTIONS(6175), 1,
      sym_type_placeholder,
    ACTIONS(6177), 1,
      sym_type_identifier,
    STATE(3496), 1,
      sym_comment,
    STATE(2559), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6173), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90556] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3497), 1,
      sym_comment,
    ACTIONS(1438), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90576] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3498), 1,
      sym_comment,
    ACTIONS(1424), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90596] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3499), 1,
      sym_comment,
    ACTIONS(1416), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90616] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3500), 1,
      sym_comment,
    ACTIONS(6179), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6181), 8,
      anon_sym_LBRACK,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_enum,
      anon_sym_interface,
      anon_sym_module,
  [90638] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6183), 1,
      sym_identifier,
    ACTIONS(6185), 1,
      anon_sym_DOLLAR,
    ACTIONS(6189), 1,
      sym_type_placeholder,
    ACTIONS(6191), 1,
      sym_type_identifier,
    STATE(3501), 1,
      sym_comment,
    STATE(2269), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6187), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90668] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6193), 1,
      sym_identifier,
    ACTIONS(6195), 1,
      anon_sym_DOLLAR,
    ACTIONS(6199), 1,
      sym_type_placeholder,
    ACTIONS(6201), 1,
      sym_type_identifier,
    STATE(3502), 1,
      sym_comment,
    STATE(2567), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6197), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90698] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3503), 1,
      sym_comment,
    ACTIONS(1202), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90718] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6203), 1,
      sym_identifier,
    ACTIONS(6205), 1,
      anon_sym_DOLLAR,
    ACTIONS(6209), 1,
      sym_type_placeholder,
    ACTIONS(6211), 1,
      sym_type_identifier,
    STATE(3504), 1,
      sym_comment,
    STATE(2941), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6207), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90748] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6213), 1,
      sym_identifier,
    ACTIONS(6215), 1,
      anon_sym_DOLLAR,
    ACTIONS(6219), 1,
      sym_type_placeholder,
    ACTIONS(6221), 1,
      sym_type_identifier,
    STATE(3505), 1,
      sym_comment,
    STATE(824), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6217), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90778] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3506), 1,
      sym_comment,
    ACTIONS(1198), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90798] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6223), 1,
      sym_identifier,
    ACTIONS(6225), 1,
      anon_sym_DOLLAR,
    ACTIONS(6229), 1,
      sym_type_placeholder,
    ACTIONS(6231), 1,
      sym_type_identifier,
    STATE(3507), 1,
      sym_comment,
    STATE(2894), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6227), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90828] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3508), 1,
      sym_comment,
    ACTIONS(1400), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90848] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3509), 1,
      sym_comment,
    ACTIONS(1396), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90868] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3510), 1,
      sym_comment,
    ACTIONS(1350), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90888] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6233), 1,
      sym_identifier,
    ACTIONS(6235), 1,
      anon_sym_DOLLAR,
    ACTIONS(6239), 1,
      sym_type_placeholder,
    ACTIONS(6241), 1,
      sym_type_identifier,
    STATE(3511), 1,
      sym_comment,
    STATE(2968), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6237), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [90918] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3512), 1,
      sym_comment,
    ACTIONS(1618), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90938] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3513), 1,
      sym_comment,
    ACTIONS(1470), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90958] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3514), 1,
      sym_comment,
    ACTIONS(1288), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [90978] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6243), 1,
      sym_identifier,
    ACTIONS(6245), 1,
      anon_sym_DOLLAR,
    ACTIONS(6249), 1,
      sym_type_placeholder,
    ACTIONS(6251), 1,
      sym_type_identifier,
    STATE(3515), 1,
      sym_comment,
    STATE(1200), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6247), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [91008] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6253), 1,
      sym_identifier,
    ACTIONS(6255), 1,
      anon_sym_DOLLAR,
    ACTIONS(6259), 1,
      sym_type_placeholder,
    ACTIONS(6261), 1,
      sym_type_identifier,
    STATE(3516), 1,
      sym_comment,
    STATE(1028), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6257), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [91038] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3517), 1,
      sym_comment,
    ACTIONS(1466), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91058] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6125), 1,
      sym_identifier,
    ACTIONS(6129), 1,
      anon_sym_shared,
    ACTIONS(6131), 1,
      anon_sym_mut,
    STATE(3518), 1,
      sym_comment,
    STATE(3715), 1,
      sym__mutable_prefix,
    STATE(4586), 1,
      sym_parameter_declaration,
    STATE(2031), 2,
      sym__reserved_identifier,
      sym_mutable_identifier,
    ACTIONS(4877), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [91090] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3519), 1,
      sym_comment,
    ACTIONS(1048), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91110] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3520), 1,
      sym_comment,
    ACTIONS(1458), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91130] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6263), 1,
      sym_identifier,
    ACTIONS(6265), 1,
      anon_sym_DOLLAR,
    ACTIONS(6269), 1,
      sym_type_placeholder,
    ACTIONS(6271), 1,
      sym_type_identifier,
    STATE(3521), 1,
      sym_comment,
    STATE(1693), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6267), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [91160] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3522), 1,
      sym_comment,
    ACTIONS(1318), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91180] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6273), 1,
      sym_identifier,
    ACTIONS(6275), 1,
      anon_sym_DOLLAR,
    ACTIONS(6279), 1,
      sym_type_placeholder,
    ACTIONS(6281), 1,
      sym_type_identifier,
    STATE(3523), 1,
      sym_comment,
    STATE(143), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6277), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [91210] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3524), 1,
      sym_comment,
    ACTIONS(1296), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91230] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3525), 1,
      sym_comment,
    ACTIONS(744), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91250] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3526), 1,
      sym_comment,
    ACTIONS(1284), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91270] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3527), 1,
      sym_comment,
    ACTIONS(1566), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91290] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3528), 1,
      sym_comment,
    ACTIONS(1622), 11,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91310] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_DOLLAR,
    ACTIONS(6289), 1,
      sym_type_placeholder,
    ACTIONS(6291), 1,
      sym_type_identifier,
    STATE(3529), 1,
      sym_comment,
    STATE(1354), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6287), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [91340] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6293), 1,
      sym_identifier,
    ACTIONS(6295), 1,
      anon_sym_DOLLAR,
    ACTIONS(6299), 1,
      sym_type_placeholder,
    ACTIONS(6301), 1,
      sym_type_identifier,
    STATE(3530), 1,
      sym_comment,
    STATE(2591), 3,
      sym_comptime_identifier,
      sym_comptime_selector_expression,
      sym__reserved_identifier,
    ACTIONS(6297), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [91370] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6303), 1,
      sym_identifier,
    ACTIONS(6306), 1,
      anon_sym_RBRACE,
    ACTIONS(6311), 1,
      sym_type_identifier,
    ACTIONS(6314), 1,
      anon_sym_pub,
    STATE(3548), 1,
      sym_qualified_type,
    ACTIONS(6308), 2,
      anon_sym_mut,
      anon_sym___global,
    STATE(3531), 2,
      sym_comment,
      aux_sym_struct_field_declaration_list_repeat1,
    STATE(3551), 2,
      sym_struct_field_scope,
      sym_struct_field_declaration,
  [91401] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6317), 1,
      sym_identifier,
    ACTIONS(6319), 1,
      anon_sym_RBRACE,
    ACTIONS(6323), 1,
      sym_type_identifier,
    ACTIONS(6325), 1,
      anon_sym_pub,
    STATE(3532), 1,
      sym_comment,
    STATE(3534), 1,
      aux_sym_struct_field_declaration_list_repeat1,
    STATE(3548), 1,
      sym_qualified_type,
    ACTIONS(6321), 2,
      anon_sym_mut,
      anon_sym___global,
    STATE(3551), 2,
      sym_struct_field_scope,
      sym_struct_field_declaration,
  [91434] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3533), 1,
      sym_comment,
    ACTIONS(6074), 10,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91453] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6317), 1,
      sym_identifier,
    ACTIONS(6323), 1,
      sym_type_identifier,
    ACTIONS(6325), 1,
      anon_sym_pub,
    ACTIONS(6327), 1,
      anon_sym_RBRACE,
    STATE(3531), 1,
      aux_sym_struct_field_declaration_list_repeat1,
    STATE(3534), 1,
      sym_comment,
    STATE(3548), 1,
      sym_qualified_type,
    ACTIONS(6321), 2,
      anon_sym_mut,
      anon_sym___global,
    STATE(3551), 2,
      sym_struct_field_scope,
      sym_struct_field_declaration,
  [91486] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6129), 1,
      anon_sym_shared,
    ACTIONS(6131), 1,
      anon_sym_mut,
    ACTIONS(6329), 1,
      sym_identifier,
    STATE(3535), 1,
      sym_comment,
    STATE(3743), 1,
      sym__mutable_prefix,
    STATE(4609), 2,
      sym__reserved_identifier,
      sym_mutable_identifier,
    ACTIONS(6331), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [91515] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3536), 1,
      sym_comment,
    ACTIONS(6076), 10,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_EQ,
      anon_sym_pub,
      anon_sym___global,
  [91534] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6337), 1,
      anon_sym_EQ,
    STATE(3537), 1,
      sym_comment,
    ACTIONS(6335), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6333), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [91557] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6339), 1,
      anon_sym_LBRACK,
    STATE(3500), 1,
      sym_attribute_declaration,
    STATE(3538), 2,
      sym_comment,
      aux_sym_attribute_list_repeat1,
    ACTIONS(6342), 7,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_enum,
      anon_sym_interface,
      anon_sym_module,
  [91580] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6348), 1,
      anon_sym_EQ,
    STATE(3539), 1,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6344), 6,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [91603] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6354), 1,
      anon_sym_EQ,
    STATE(3540), 1,
      sym_comment,
    ACTIONS(6352), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6350), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [91626] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6356), 1,
      anon_sym_LBRACK,
    STATE(3500), 1,
      sym_attribute_declaration,
    STATE(3538), 1,
      aux_sym_attribute_list_repeat1,
    STATE(3541), 1,
      sym_comment,
    ACTIONS(6358), 7,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_enum,
      anon_sym_interface,
      anon_sym_module,
  [91651] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6360), 1,
      sym_identifier,
    ACTIONS(6363), 1,
      anon_sym_RBRACE,
    ACTIONS(6365), 1,
      anon_sym_mut,
    ACTIONS(6368), 1,
      sym_type_identifier,
    STATE(3548), 1,
      sym_qualified_type,
    STATE(3542), 2,
      sym_comment,
      aux_sym_interface_spec_list_repeat1,
    STATE(3651), 3,
      sym_struct_field_declaration,
      sym_interface_field_scope,
      sym_interface_spec,
  [91679] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3543), 1,
      sym_comment,
    ACTIONS(6371), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [91697] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6373), 1,
      sym_identifier,
    ACTIONS(6375), 1,
      anon_sym_RBRACE,
    ACTIONS(6377), 1,
      sym__old_identifier,
    ACTIONS(6381), 1,
      anon_sym_pub,
    STATE(3544), 1,
      sym_comment,
    STATE(3560), 1,
      sym__binded_struct_field_declaration,
    STATE(3561), 1,
      aux_sym__binded_struct_field_declaration_list_repeat1,
    STATE(3564), 1,
      sym_struct_field_scope,
    ACTIONS(6379), 2,
      anon_sym_mut,
      anon_sym___global,
  [91729] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3545), 1,
      sym_comment,
    ACTIONS(6383), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [91747] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3546), 1,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [91765] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6323), 1,
      sym_type_identifier,
    ACTIONS(6387), 1,
      sym_identifier,
    ACTIONS(6389), 1,
      anon_sym_RBRACE,
    ACTIONS(6391), 1,
      anon_sym_mut,
    STATE(3547), 1,
      sym_comment,
    STATE(3548), 1,
      sym_qualified_type,
    STATE(3569), 1,
      aux_sym_interface_spec_list_repeat1,
    STATE(3651), 3,
      sym_struct_field_declaration,
      sym_interface_field_scope,
      sym_interface_spec,
  [91795] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3548), 1,
      sym_comment,
    ACTIONS(6395), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6393), 6,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [91815] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3549), 1,
      sym_comment,
    ACTIONS(6397), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [91833] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3550), 1,
      sym_comment,
    ACTIONS(6399), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [91851] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3551), 1,
      sym_comment,
    ACTIONS(6403), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6401), 6,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [91871] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3552), 1,
      sym_comment,
    ACTIONS(6405), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [91889] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5462), 1,
      anon_sym_COLON,
    ACTIONS(6407), 1,
      anon_sym_LBRACE,
    ACTIONS(6409), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3553), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [91919] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3554), 1,
      sym_comment,
    ACTIONS(6413), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [91937] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3555), 1,
      sym_comment,
    ACTIONS(6415), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [91955] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3556), 1,
      sym_comment,
    ACTIONS(6417), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [91973] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6419), 1,
      sym_identifier,
    ACTIONS(6422), 1,
      anon_sym_RBRACE,
    ACTIONS(6424), 1,
      sym__old_identifier,
    ACTIONS(6430), 1,
      anon_sym_pub,
    STATE(3560), 1,
      sym__binded_struct_field_declaration,
    STATE(3564), 1,
      sym_struct_field_scope,
    ACTIONS(6427), 2,
      anon_sym_mut,
      anon_sym___global,
    STATE(3557), 2,
      sym_comment,
      aux_sym__binded_struct_field_declaration_list_repeat1,
  [92003] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3558), 1,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [92021] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3559), 1,
      sym_comment,
    ACTIONS(6433), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [92039] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6437), 1,
      anon_sym_LF,
    ACTIONS(6439), 1,
      anon_sym_CR,
    ACTIONS(6441), 1,
      anon_sym_CR_LF,
    STATE(3560), 1,
      sym_comment,
    ACTIONS(6435), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [92063] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6373), 1,
      sym_identifier,
    ACTIONS(6377), 1,
      sym__old_identifier,
    ACTIONS(6381), 1,
      anon_sym_pub,
    ACTIONS(6443), 1,
      anon_sym_RBRACE,
    STATE(3557), 1,
      aux_sym__binded_struct_field_declaration_list_repeat1,
    STATE(3560), 1,
      sym__binded_struct_field_declaration,
    STATE(3561), 1,
      sym_comment,
    STATE(3564), 1,
      sym_struct_field_scope,
    ACTIONS(6379), 2,
      anon_sym_mut,
      anon_sym___global,
  [92095] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3562), 1,
      sym_comment,
    ACTIONS(6445), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [92113] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3563), 1,
      sym_comment,
    ACTIONS(6433), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [92131] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3564), 1,
      sym_comment,
    ACTIONS(6449), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6447), 6,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [92151] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3565), 1,
      sym_comment,
    ACTIONS(6451), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [92169] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3566), 1,
      sym_comment,
    ACTIONS(6453), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [92187] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3567), 1,
      sym_comment,
    ACTIONS(6455), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [92205] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3568), 1,
      sym_comment,
    ACTIONS(6457), 9,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
      anon_sym_pub,
      anon_sym___global,
  [92223] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6323), 1,
      sym_type_identifier,
    ACTIONS(6387), 1,
      sym_identifier,
    ACTIONS(6391), 1,
      anon_sym_mut,
    ACTIONS(6459), 1,
      anon_sym_RBRACE,
    STATE(3542), 1,
      aux_sym_interface_spec_list_repeat1,
    STATE(3548), 1,
      sym_qualified_type,
    STATE(3569), 1,
      sym_comment,
    STATE(3651), 3,
      sym_struct_field_declaration,
      sym_interface_field_scope,
      sym_interface_spec,
  [92253] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6469), 1,
      sym__string_closing,
    STATE(3570), 1,
      sym_comment,
    STATE(3586), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92282] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6471), 1,
      sym__string_closing,
    STATE(3571), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92311] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6473), 1,
      sym__string_closing,
    STATE(3572), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92340] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3573), 1,
      sym_comment,
    ACTIONS(742), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_LT2,
      anon_sym_GT2,
      anon_sym_EQ,
  [92357] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6475), 1,
      sym__string_closing,
    STATE(3574), 1,
      sym_comment,
    STATE(3605), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92386] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6477), 1,
      sym__string_closing,
    STATE(3575), 1,
      sym_comment,
    STATE(3614), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92415] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6479), 1,
      sym__string_closing,
    STATE(3576), 1,
      sym_comment,
    STATE(3585), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92444] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      sym__string_closing,
    STATE(3577), 1,
      sym_comment,
    STATE(3622), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92473] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6483), 1,
      sym__string_closing,
    STATE(3572), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3578), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92502] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACE,
    ACTIONS(6409), 1,
      anon_sym_DOT,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3579), 1,
      sym_comment,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(1046), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [92527] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6485), 1,
      sym__string_closing,
    STATE(3580), 1,
      sym_comment,
    STATE(3619), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92556] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6487), 1,
      sym__string_closing,
    STATE(3581), 1,
      sym_comment,
    STATE(3631), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92585] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6489), 1,
      sym__string_closing,
    STATE(3582), 1,
      sym_comment,
    STATE(3629), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92614] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6491), 1,
      sym__string_closing,
    STATE(3583), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92643] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6493), 1,
      sym__string_closing,
    STATE(3584), 1,
      sym_comment,
    STATE(3613), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92672] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6495), 1,
      sym__string_closing,
    STATE(3585), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92701] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6497), 1,
      sym__string_closing,
    STATE(3586), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92730] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6499), 1,
      sym__string_closing,
    STATE(3587), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92759] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6501), 1,
      sym__string_closing,
    STATE(3588), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92788] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6503), 1,
      sym__string_closing,
    STATE(3589), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92817] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6505), 1,
      sym__string_closing,
    STATE(3588), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3590), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92846] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6409), 1,
      anon_sym_DOT,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3591), 1,
      sym_comment,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(1046), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [92869] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3592), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [92890] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6507), 1,
      sym__string_closing,
    STATE(3593), 1,
      sym_comment,
    STATE(3623), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92919] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6512), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6515), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6518), 1,
      sym__string_content,
    ACTIONS(6521), 1,
      sym__string_closing,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6509), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
    STATE(3594), 2,
      sym_comment,
      aux_sym_c_string_literal_repeat1,
  [92946] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6523), 1,
      sym__string_closing,
    STATE(3595), 1,
      sym_comment,
    STATE(3624), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [92975] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6525), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3596), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93004] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6527), 1,
      sym__string_closing,
    STATE(3589), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3597), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93033] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6529), 1,
      sym__string_closing,
    STATE(3587), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3598), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93062] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6531), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3599), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93091] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6533), 1,
      sym__string_closing,
    STATE(3600), 1,
      sym_comment,
    STATE(3609), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93120] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6535), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3601), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93149] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6537), 1,
      sym__string_closing,
    STATE(3602), 1,
      sym_comment,
    STATE(3610), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93178] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6539), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3603), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93207] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6409), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3604), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [93232] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6541), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3605), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93261] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6543), 1,
      sym__string_closing,
    STATE(3599), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3606), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93290] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6545), 1,
      sym__string_closing,
    STATE(3607), 1,
      sym_comment,
    STATE(3627), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93319] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6547), 1,
      sym__string_closing,
    STATE(3601), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3608), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93348] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6549), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3609), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93377] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6551), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3610), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93406] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6553), 1,
      sym__string_closing,
    STATE(3603), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3611), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93435] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6555), 1,
      sym__string_closing,
    STATE(3596), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3612), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93464] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6557), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3613), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93493] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6559), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3614), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93522] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6561), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3615), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93551] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6563), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3616), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93580] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6565), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3617), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93609] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3618), 1,
      sym_comment,
    ACTIONS(6342), 8,
      anon_sym_LBRACK,
      anon_sym_pub,
      anon_sym_fn,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_enum,
      anon_sym_interface,
      anon_sym_module,
  [93626] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6567), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3619), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93655] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6569), 1,
      sym__string_closing,
    STATE(3583), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3620), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93684] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6571), 1,
      sym__string_closing,
    STATE(3617), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3621), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93713] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6573), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3622), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93742] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6575), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3623), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93771] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6577), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3624), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93800] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6579), 1,
      sym__string_closing,
    STATE(3571), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3625), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93829] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6581), 1,
      sym__string_closing,
    STATE(3615), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3626), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93858] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6583), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3627), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93887] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6585), 1,
      sym__string_closing,
    STATE(3628), 1,
      sym_comment,
    STATE(3632), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93916] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6587), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3629), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93945] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6589), 1,
      sym__string_closing,
    STATE(3616), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3630), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [93974] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6591), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3631), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [94003] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6463), 1,
      sym__braced_interpolation_opening,
    ACTIONS(6465), 1,
      sym__unbraced_interpolation_opening,
    ACTIONS(6467), 1,
      sym__string_content,
    ACTIONS(6593), 1,
      sym__string_closing,
    STATE(3594), 1,
      aux_sym_c_string_literal_repeat1,
    STATE(3632), 1,
      sym_comment,
    STATE(3755), 1,
      sym_string_interpolation,
    ACTIONS(6461), 2,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [94032] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3633), 1,
      sym_comment,
    ACTIONS(1212), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_LT2,
      anon_sym_GT2,
  [94048] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3634), 1,
      sym_comment,
    ACTIONS(6595), 7,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
  [94064] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3635), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(3310), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [94082] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3636), 1,
      sym_comment,
    ACTIONS(1468), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
      anon_sym_EQ,
  [94098] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6597), 1,
      anon_sym_DOT,
    STATE(3079), 1,
      sym_literal_value,
    STATE(3637), 1,
      sym_comment,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(1046), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [94120] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6597), 1,
      anon_sym_DOT,
    STATE(3079), 1,
      sym_literal_value,
    STATE(3638), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [94144] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6599), 1,
      sym_identifier,
    ACTIONS(6601), 1,
      anon_sym_RPAREN,
    ACTIONS(6603), 1,
      sym__old_identifier,
    STATE(3639), 1,
      sym_comment,
    STATE(3640), 1,
      aux_sym_global_var_declaration_repeat1,
    STATE(4322), 1,
      sym_const_spec,
    STATE(4252), 2,
      sym__global_var_spec,
      sym_global_var_type_initializer,
  [94170] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6605), 1,
      sym_identifier,
    ACTIONS(6608), 1,
      anon_sym_RPAREN,
    ACTIONS(6610), 1,
      sym__old_identifier,
    STATE(4322), 1,
      sym_const_spec,
    STATE(3640), 2,
      sym_comment,
      aux_sym_global_var_declaration_repeat1,
    STATE(4252), 2,
      sym__global_var_spec,
      sym_global_var_type_initializer,
  [94194] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3641), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [94216] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6613), 1,
      anon_sym_pub,
    ACTIONS(6615), 1,
      anon_sym_fn,
    ACTIONS(6619), 1,
      anon_sym_enum,
    ACTIONS(6621), 1,
      anon_sym_interface,
    ACTIONS(6623), 1,
      anon_sym_module,
    STATE(3642), 1,
      sym_comment,
    ACTIONS(6617), 2,
      anon_sym_struct,
      anon_sym_union,
  [94242] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(5462), 1,
      anon_sym_COLON,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6627), 1,
      anon_sym_DOT,
    STATE(959), 1,
      sym_literal_value,
    STATE(3643), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [94270] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6599), 1,
      sym_identifier,
    ACTIONS(6603), 1,
      sym__old_identifier,
    ACTIONS(6629), 1,
      anon_sym_RPAREN,
    STATE(3639), 1,
      aux_sym_global_var_declaration_repeat1,
    STATE(3644), 1,
      sym_comment,
    STATE(4322), 1,
      sym_const_spec,
    STATE(4252), 2,
      sym__global_var_spec,
      sym_global_var_type_initializer,
  [94296] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(5462), 1,
      anon_sym_COLON,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6631), 1,
      anon_sym_LBRACE,
    ACTIONS(6633), 1,
      anon_sym_DOT,
    STATE(2750), 1,
      sym_literal_value,
    STATE(3645), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [94324] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3646), 1,
      sym_comment,
    ACTIONS(6635), 7,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
  [94340] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACE,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3647), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [94364] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    STATE(3648), 1,
      sym_comment,
    STATE(3789), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(1172), 3,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [94386] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6619), 1,
      anon_sym_enum,
    ACTIONS(6637), 1,
      anon_sym_fn,
    ACTIONS(6639), 1,
      anon_sym_const,
    ACTIONS(6641), 1,
      anon_sym_type,
    ACTIONS(6645), 1,
      anon_sym_interface,
    STATE(3649), 1,
      sym_comment,
    ACTIONS(6643), 2,
      anon_sym_struct,
      anon_sym_union,
  [94412] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3650), 1,
      sym_comment,
    ACTIONS(1464), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
      anon_sym_EQ,
  [94428] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3651), 1,
      sym_comment,
    ACTIONS(6649), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
    ACTIONS(6647), 4,
      anon_sym_RBRACE,
      sym_identifier,
      anon_sym_mut,
      sym_type_identifier,
  [94446] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(937), 1,
      sym__c_string_opening,
    ACTIONS(939), 1,
      sym__raw_string_opening,
    ACTIONS(941), 1,
      sym__string_opening,
    ACTIONS(6651), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_comment,
    STATE(4468), 3,
      sym_c_string_literal,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [94470] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(937), 1,
      sym__c_string_opening,
    ACTIONS(939), 1,
      sym__raw_string_opening,
    ACTIONS(941), 1,
      sym__string_opening,
    ACTIONS(6653), 1,
      sym_identifier,
    STATE(3653), 1,
      sym_comment,
    STATE(4476), 3,
      sym_c_string_literal,
      sym_raw_string_literal,
      sym_interpreted_string_literal,
  [94494] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3654), 1,
      sym_comment,
    ACTIONS(1046), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [94509] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6655), 1,
      sym_identifier,
    STATE(3125), 1,
      sym__reserved_identifier,
    STATE(3655), 1,
      sym_comment,
    ACTIONS(6657), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [94528] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6659), 1,
      sym_identifier,
    STATE(1440), 1,
      sym__reserved_identifier,
    STATE(3656), 1,
      sym_comment,
    ACTIONS(6661), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [94547] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6663), 1,
      anon_sym_LBRACE,
    ACTIONS(6665), 1,
      anon_sym_DOT,
    STATE(1074), 1,
      sym_literal_value,
    STATE(3657), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [94572] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6667), 1,
      anon_sym_LBRACE,
    ACTIONS(6669), 1,
      anon_sym_DOT,
    STATE(1794), 1,
      sym_literal_value,
    STATE(3658), 1,
      sym_comment,
    ACTIONS(4594), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94595] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6671), 1,
      sym_identifier,
    STATE(2500), 1,
      sym__reserved_identifier,
    STATE(3659), 1,
      sym_comment,
    ACTIONS(6673), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [94614] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6675), 1,
      anon_sym_LBRACE,
    ACTIONS(6677), 1,
      anon_sym_DOT,
    STATE(2439), 1,
      sym_literal_value,
    STATE(3660), 1,
      sym_comment,
    ACTIONS(5302), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94637] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6679), 1,
      anon_sym_LBRACE,
    ACTIONS(6681), 1,
      anon_sym_DOT,
    STATE(3354), 1,
      sym_literal_value,
    STATE(3661), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [94662] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3662), 1,
      sym_comment,
    ACTIONS(1294), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [94677] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6667), 1,
      anon_sym_LBRACE,
    ACTIONS(6669), 1,
      anon_sym_DOT,
    STATE(1794), 1,
      sym_literal_value,
    STATE(3663), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [94702] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6683), 1,
      sym_identifier,
    STATE(2377), 1,
      sym__reserved_identifier,
    STATE(3664), 1,
      sym_comment,
    ACTIONS(6685), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [94721] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5702), 1,
      anon_sym_RPAREN,
    ACTIONS(5704), 1,
      sym__automatic_separator,
    STATE(3665), 1,
      sym_comment,
    STATE(3923), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94744] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5031), 1,
      anon_sym_static,
    STATE(3666), 1,
      sym_comment,
    ACTIONS(4753), 5,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
      sym_identifier,
  [94761] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6627), 1,
      anon_sym_DOT,
    STATE(959), 1,
      sym_literal_value,
    STATE(3667), 1,
      sym_comment,
    ACTIONS(3238), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94784] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6687), 1,
      sym_identifier,
    STATE(891), 1,
      sym__reserved_identifier,
    STATE(3668), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [94803] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3669), 1,
      sym_comment,
    ACTIONS(1282), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [94818] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6691), 1,
      anon_sym_LBRACE,
    ACTIONS(6693), 1,
      anon_sym_DOT,
    STATE(2373), 1,
      sym_literal_value,
    STATE(3670), 1,
      sym_comment,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94841] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    ACTIONS(6697), 1,
      anon_sym_DOT,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3671), 1,
      sym_comment,
    ACTIONS(6699), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94864] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6697), 1,
      anon_sym_DOT,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3672), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(6699), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94885] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6701), 1,
      anon_sym_DOT,
    STATE(198), 1,
      sym_literal_value,
    STATE(3673), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(1178), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94906] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6677), 1,
      anon_sym_DOT,
    STATE(2439), 1,
      sym_literal_value,
    STATE(3674), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [94929] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6677), 1,
      anon_sym_DOT,
    STATE(2439), 1,
      sym_literal_value,
    STATE(3675), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(5302), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [94950] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6703), 1,
      sym_identifier,
    STATE(2427), 1,
      sym__reserved_identifier,
    STATE(3676), 1,
      sym_comment,
    ACTIONS(6673), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [94969] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6705), 1,
      sym_identifier,
    STATE(1742), 1,
      sym__reserved_identifier,
    STATE(3677), 1,
      sym_comment,
    ACTIONS(6707), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [94988] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6709), 1,
      sym_identifier,
    STATE(2346), 1,
      sym__reserved_identifier,
    STATE(3678), 1,
      sym_comment,
    ACTIONS(6685), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95007] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6711), 1,
      sym_identifier,
    STATE(1109), 1,
      sym__reserved_identifier,
    STATE(3679), 1,
      sym_comment,
    ACTIONS(6713), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95026] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3680), 1,
      sym_comment,
    ACTIONS(6306), 2,
      anon_sym_RBRACE,
      sym_type_identifier,
    ACTIONS(6715), 4,
      sym_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [95043] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5746), 1,
      anon_sym_RPAREN,
    ACTIONS(5748), 1,
      sym__automatic_separator,
    STATE(3681), 1,
      sym_comment,
    STATE(3884), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95066] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6675), 1,
      anon_sym_LBRACE,
    ACTIONS(6677), 1,
      anon_sym_DOT,
    STATE(2439), 1,
      sym_literal_value,
    STATE(3682), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [95091] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6717), 1,
      sym_identifier,
    STATE(214), 1,
      sym__reserved_identifier,
    STATE(3683), 1,
      sym_comment,
    ACTIONS(6719), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95110] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3684), 1,
      sym_comment,
    ACTIONS(1316), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [95125] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    ACTIONS(6697), 1,
      anon_sym_DOT,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3685), 1,
      sym_comment,
    ACTIONS(6721), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95148] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6723), 1,
      sym_identifier,
    STATE(2628), 1,
      sym__reserved_identifier,
    STATE(3686), 1,
      sym_comment,
    ACTIONS(6331), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95167] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5750), 1,
      anon_sym_RPAREN,
    ACTIONS(5752), 1,
      sym__automatic_separator,
    STATE(3687), 1,
      sym_comment,
    STATE(3947), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95190] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6631), 1,
      anon_sym_LBRACE,
    ACTIONS(6633), 1,
      anon_sym_DOT,
    STATE(2750), 1,
      sym_literal_value,
    STATE(3688), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95213] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6597), 1,
      anon_sym_DOT,
    ACTIONS(6725), 1,
      anon_sym_LBRACE,
    STATE(3079), 1,
      sym_literal_value,
    STATE(3689), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [95238] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6597), 1,
      anon_sym_DOT,
    ACTIONS(6725), 1,
      anon_sym_LBRACE,
    STATE(3079), 1,
      sym_literal_value,
    STATE(3690), 1,
      sym_comment,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95261] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6727), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(1250), 1,
      sym_literal_value,
    STATE(3691), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [95286] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6731), 1,
      sym_identifier,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(3692), 1,
      sym_comment,
    ACTIONS(6733), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95305] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5742), 1,
      anon_sym_RPAREN,
    ACTIONS(5744), 1,
      sym__automatic_separator,
    STATE(3693), 1,
      sym_comment,
    STATE(3963), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95328] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6422), 1,
      anon_sym_RBRACE,
    STATE(3694), 1,
      sym_comment,
    ACTIONS(6735), 5,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [95345] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6739), 1,
      anon_sym_RBRACE,
    STATE(3695), 1,
      sym_comment,
    ACTIONS(6737), 5,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [95362] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5676), 1,
      anon_sym_RPAREN,
    ACTIONS(5678), 1,
      sym__automatic_separator,
    STATE(3696), 1,
      sym_comment,
    STATE(3912), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95385] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(1250), 1,
      sym_literal_value,
    STATE(3697), 1,
      sym_comment,
    ACTIONS(3624), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95408] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3079), 1,
      sym_literal_value,
    STATE(3698), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [95429] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6741), 1,
      sym_identifier,
    STATE(1248), 1,
      sym__reserved_identifier,
    STATE(3699), 1,
      sym_comment,
    ACTIONS(6743), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95448] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6669), 1,
      anon_sym_DOT,
    STATE(1794), 1,
      sym_literal_value,
    STATE(3700), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [95471] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6627), 1,
      anon_sym_DOT,
    STATE(959), 1,
      sym_literal_value,
    STATE(3701), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(3238), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95492] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6701), 1,
      anon_sym_DOT,
    STATE(198), 1,
      sym_literal_value,
    STATE(3702), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [95515] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6631), 1,
      anon_sym_LBRACE,
    ACTIONS(6633), 1,
      anon_sym_DOT,
    STATE(2750), 1,
      sym_literal_value,
    STATE(3703), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [95540] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6745), 1,
      sym_identifier,
    STATE(1764), 1,
      sym__reserved_identifier,
    STATE(3704), 1,
      sym_comment,
    ACTIONS(6707), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95559] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6627), 1,
      anon_sym_DOT,
    STATE(959), 1,
      sym_literal_value,
    STATE(3705), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [95582] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6739), 1,
      anon_sym_RBRACE,
    STATE(3706), 1,
      sym_comment,
    ACTIONS(6737), 5,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [95599] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6739), 1,
      anon_sym_RBRACE,
    STATE(3707), 1,
      sym_comment,
    ACTIONS(6737), 5,
      sym_identifier,
      sym__old_identifier,
      anon_sym_mut,
      anon_sym_pub,
      anon_sym___global,
  [95616] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6697), 1,
      anon_sym_DOT,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3708), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(6721), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95637] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6697), 1,
      anon_sym_DOT,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3709), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [95660] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6697), 1,
      anon_sym_DOT,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3710), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(6747), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95681] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6749), 1,
      sym_identifier,
    STATE(2798), 1,
      sym__reserved_identifier,
    STATE(3711), 1,
      sym_comment,
    ACTIONS(6751), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95700] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3712), 1,
      sym_comment,
    ACTIONS(1394), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [95715] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6681), 1,
      anon_sym_DOT,
    STATE(3354), 1,
      sym_literal_value,
    STATE(3713), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [95738] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    ACTIONS(5756), 1,
      sym__automatic_separator,
    STATE(3714), 1,
      sym_comment,
    STATE(3960), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95761] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6753), 1,
      sym_identifier,
    STATE(2503), 1,
      sym__reserved_identifier,
    STATE(3715), 1,
      sym_comment,
    ACTIONS(4877), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95780] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6755), 1,
      sym_identifier,
    STATE(2872), 1,
      sym__reserved_identifier,
    STATE(3716), 1,
      sym_comment,
    ACTIONS(6751), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95799] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_DOT,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(198), 1,
      sym_literal_value,
    STATE(3717), 1,
      sym_comment,
    ACTIONS(1178), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95822] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(941), 1,
      sym__string_opening,
    ACTIONS(6759), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_unsafe,
    ACTIONS(6763), 1,
      anon_sym_if,
    STATE(3718), 1,
      sym_comment,
    STATE(4452), 1,
      sym_attribute_spec,
    STATE(4527), 1,
      sym_interpreted_string_literal,
  [95847] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6765), 1,
      sym_identifier,
    STATE(2677), 1,
      sym__reserved_identifier,
    STATE(3719), 1,
      sym_comment,
    ACTIONS(6767), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95866] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    ACTIONS(6697), 1,
      anon_sym_DOT,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3720), 1,
      sym_comment,
    ACTIONS(6747), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95889] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    ACTIONS(6697), 1,
      anon_sym_DOT,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3721), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [95914] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6769), 1,
      sym_identifier,
    STATE(904), 1,
      sym__reserved_identifier,
    STATE(3722), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [95933] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6633), 1,
      anon_sym_DOT,
    STATE(2750), 1,
      sym_literal_value,
    STATE(3723), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [95956] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6633), 1,
      anon_sym_DOT,
    STATE(2750), 1,
      sym_literal_value,
    STATE(3724), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95977] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6771), 1,
      anon_sym_DOT,
    STATE(2675), 1,
      sym_literal_value,
    STATE(3725), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(6773), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [95998] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6771), 1,
      anon_sym_DOT,
    STATE(2675), 1,
      sym_literal_value,
    STATE(3726), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [96021] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6771), 1,
      anon_sym_DOT,
    ACTIONS(6775), 1,
      anon_sym_LBRACE,
    STATE(2675), 1,
      sym_literal_value,
    STATE(3727), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [96046] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6771), 1,
      anon_sym_DOT,
    ACTIONS(6775), 1,
      anon_sym_LBRACE,
    STATE(2675), 1,
      sym_literal_value,
    STATE(3728), 1,
      sym_comment,
    ACTIONS(6773), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96069] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6777), 1,
      sym_identifier,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(3729), 1,
      sym_comment,
    ACTIONS(6767), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96088] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3730), 1,
      sym_comment,
    ACTIONS(6779), 6,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [96103] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6701), 1,
      anon_sym_DOT,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(198), 1,
      sym_literal_value,
    STATE(3731), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [96128] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6781), 1,
      sym_identifier,
    STATE(231), 1,
      sym__reserved_identifier,
    STATE(3732), 1,
      sym_comment,
    ACTIONS(6719), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96147] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6681), 1,
      anon_sym_DOT,
    STATE(3354), 1,
      sym_literal_value,
    STATE(3733), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(5842), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96168] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6665), 1,
      anon_sym_DOT,
    STATE(1074), 1,
      sym_literal_value,
    STATE(3734), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [96191] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6783), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_DOT,
    STATE(1404), 1,
      sym_literal_value,
    STATE(3735), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
  [96216] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(3141), 1,
      sym__reserved_identifier,
    STATE(3736), 1,
      sym_comment,
    ACTIONS(6733), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96235] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6785), 1,
      anon_sym_DOT,
    STATE(1404), 1,
      sym_literal_value,
    STATE(3737), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(6789), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96256] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6785), 1,
      anon_sym_DOT,
    STATE(1404), 1,
      sym_literal_value,
    STATE(3738), 1,
      sym_comment,
    STATE(3739), 1,
      sym_type_parameters,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [96279] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3739), 1,
      sym_comment,
    ACTIONS(1348), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [96294] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3740), 1,
      sym_comment,
    ACTIONS(1398), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [96309] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3741), 1,
      sym_comment,
    ACTIONS(1414), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [96324] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6791), 1,
      sym_identifier,
    STATE(3341), 1,
      sym__reserved_identifier,
    STATE(3742), 1,
      sym_comment,
    ACTIONS(6793), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96343] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6795), 1,
      sym_identifier,
    STATE(3743), 1,
      sym_comment,
    STATE(4427), 1,
      sym__reserved_identifier,
    ACTIONS(6331), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96362] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    ACTIONS(6799), 1,
      anon_sym_DOT,
    STATE(3744), 1,
      sym_comment,
    STATE(4001), 1,
      sym_type_parameters,
    STATE(1165), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [96385] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6691), 1,
      anon_sym_LBRACE,
    ACTIONS(6693), 1,
      anon_sym_DOT,
    STATE(2373), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3745), 1,
      sym_comment,
  [96410] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6801), 1,
      sym_identifier,
    STATE(3348), 1,
      sym__reserved_identifier,
    STATE(3746), 1,
      sym_comment,
    ACTIONS(6793), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96429] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6679), 1,
      anon_sym_LBRACE,
    ACTIONS(6681), 1,
      anon_sym_DOT,
    STATE(3354), 1,
      sym_literal_value,
    STATE(3747), 1,
      sym_comment,
    ACTIONS(5842), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96452] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6407), 1,
      anon_sym_LBRACE,
    ACTIONS(6409), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3748), 1,
      sym_comment,
  [96477] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6627), 1,
      anon_sym_DOT,
    STATE(959), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3749), 1,
      sym_comment,
  [96502] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6783), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_DOT,
    STATE(1404), 1,
      sym_literal_value,
    STATE(3750), 1,
      sym_comment,
    ACTIONS(6789), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96525] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6803), 1,
      sym_identifier,
    STATE(3122), 1,
      sym__reserved_identifier,
    STATE(3751), 1,
      sym_comment,
    ACTIONS(6657), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96544] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3752), 1,
      sym_comment,
    ACTIONS(1436), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [96559] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6805), 1,
      sym_identifier,
    STATE(1401), 1,
      sym__reserved_identifier,
    STATE(3753), 1,
      sym_comment,
    ACTIONS(6661), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96578] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6665), 1,
      anon_sym_DOT,
    STATE(1074), 1,
      sym_literal_value,
    STATE(3754), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(3296), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96599] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3755), 1,
      sym_comment,
    ACTIONS(6807), 6,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [96614] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6809), 1,
      sym_identifier,
    ACTIONS(6811), 1,
      anon_sym_LPAREN,
    ACTIONS(6813), 1,
      sym__old_identifier,
    STATE(1657), 1,
      sym_const_spec,
    STATE(3756), 1,
      sym_comment,
    STATE(1662), 2,
      sym__global_var_spec,
      sym_global_var_type_initializer,
  [96637] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    ACTIONS(5692), 1,
      sym__automatic_separator,
    STATE(3757), 1,
      sym_comment,
    STATE(3981), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96660] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6817), 1,
      anon_sym_EQ,
    STATE(3758), 1,
      sym_comment,
    ACTIONS(6815), 5,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
      anon_sym_RBRACE,
      sym_identifier,
  [96677] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6819), 1,
      sym_identifier,
    STATE(2640), 1,
      sym__reserved_identifier,
    STATE(3759), 1,
      sym_comment,
    ACTIONS(6331), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96696] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3760), 1,
      sym_comment,
    ACTIONS(1286), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [96711] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RPAREN,
    ACTIONS(5710), 1,
      sym__automatic_separator,
    STATE(3761), 1,
      sym_comment,
    STATE(3953), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96734] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6693), 1,
      anon_sym_DOT,
    STATE(2373), 1,
      sym_literal_value,
    STATE(3762), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96755] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3763), 1,
      sym_comment,
    ACTIONS(6807), 6,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [96770] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3764), 1,
      sym_comment,
    ACTIONS(6821), 6,
      sym__braced_interpolation_opening,
      sym__unbraced_interpolation_opening,
      sym__string_content,
      sym__string_closing,
      sym_escape_sequence,
      anon_sym_DOLLAR2,
  [96785] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5738), 1,
      anon_sym_RPAREN,
    ACTIONS(5740), 1,
      sym__automatic_separator,
    STATE(3765), 1,
      sym_comment,
    STATE(3949), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96808] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3766), 1,
      sym_comment,
    ACTIONS(1422), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [96823] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(941), 1,
      sym__string_opening,
    ACTIONS(6759), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_unsafe,
    ACTIONS(6763), 1,
      anon_sym_if,
    STATE(3767), 1,
      sym_comment,
    STATE(4060), 1,
      sym_attribute_spec,
    STATE(4527), 1,
      sym_interpreted_string_literal,
  [96848] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6663), 1,
      anon_sym_LBRACE,
    ACTIONS(6665), 1,
      anon_sym_DOT,
    STATE(1074), 1,
      sym_literal_value,
    STATE(3768), 1,
      sym_comment,
    ACTIONS(3296), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96871] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3769), 1,
      sym_comment,
    STATE(4001), 1,
      sym_type_parameters,
    STATE(1165), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [96894] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6823), 1,
      sym_identifier,
    STATE(1068), 1,
      sym__reserved_identifier,
    STATE(3770), 1,
      sym_comment,
    ACTIONS(6713), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [96913] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    ACTIONS(5684), 1,
      sym__automatic_separator,
    STATE(3771), 1,
      sym_comment,
    STATE(3900), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96936] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5686), 1,
      anon_sym_RPAREN,
    ACTIONS(5688), 1,
      sym__automatic_separator,
    STATE(3772), 1,
      sym_comment,
    STATE(3907), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96959] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5726), 1,
      anon_sym_RPAREN,
    ACTIONS(5728), 1,
      sym__automatic_separator,
    STATE(3773), 1,
      sym_comment,
    STATE(3872), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [96982] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6825), 1,
      sym_identifier,
    STATE(1303), 1,
      sym__reserved_identifier,
    STATE(3774), 1,
      sym_comment,
    ACTIONS(6743), 4,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
  [97001] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5714), 1,
      anon_sym_RPAREN,
    ACTIONS(5716), 1,
      sym__automatic_separator,
    STATE(3775), 1,
      sym_comment,
    STATE(3902), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [97024] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(941), 1,
      sym__string_opening,
    ACTIONS(6759), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_unsafe,
    ACTIONS(6763), 1,
      anon_sym_if,
    STATE(3776), 1,
      sym_comment,
    STATE(4344), 1,
      sym_attribute_spec,
    STATE(4527), 1,
      sym_interpreted_string_literal,
  [97049] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3777), 1,
      sym_comment,
    ACTIONS(1616), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_GT2,
  [97064] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6669), 1,
      anon_sym_DOT,
    STATE(1794), 1,
      sym_literal_value,
    STATE(3778), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(4594), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [97085] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(1250), 1,
      sym_literal_value,
    STATE(3779), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(3624), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [97106] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5696), 1,
      anon_sym_RPAREN,
    ACTIONS(5698), 1,
      sym__automatic_separator,
    STATE(3780), 1,
      sym_comment,
    STATE(3944), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [97129] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5644), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5672), 1,
      sym__automatic_separator,
    STATE(3781), 1,
      sym_comment,
    STATE(3894), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [97152] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6693), 1,
      anon_sym_DOT,
    STATE(2373), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3782), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [97175] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(1250), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3783), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [97198] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(1250), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3784), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [97218] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(198), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3785), 1,
      sym_comment,
  [97240] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(2992), 1,
      sym_block,
    STATE(3786), 1,
      sym_comment,
    ACTIONS(1414), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [97258] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1979), 1,
      sym_parameter_list,
    STATE(3787), 1,
      sym_comment,
    STATE(4545), 1,
      sym_exposed_variables_list,
  [97280] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3788), 1,
      sym_comment,
    STATE(4261), 1,
      sym_type_parameters,
    STATE(1138), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [97300] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5578), 1,
      anon_sym_COMMA,
    STATE(3789), 1,
      sym_comment,
    STATE(3830), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(3808), 3,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [97318] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3790), 1,
      sym_comment,
    STATE(4001), 1,
      sym_type_parameters,
    STATE(1165), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [97338] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(1794), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3791), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [97358] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3792), 1,
      sym_comment,
    STATE(4003), 1,
      sym_type_parameters,
    STATE(1152), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [97378] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3793), 1,
      sym_comment,
    ACTIONS(1046), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [97394] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1989), 1,
      sym_parameter_list,
    STATE(3794), 1,
      sym_comment,
    STATE(4533), 1,
      sym_exposed_variables_list,
  [97416] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1013), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6829), 1,
      anon_sym_DOT,
    STATE(97), 1,
      sym_argument_list,
    STATE(3795), 1,
      sym_comment,
    STATE(4511), 1,
      sym_type_parameters,
  [97438] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3796), 1,
      sym_comment,
    ACTIONS(4815), 5,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
      sym_identifier,
  [97452] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3797), 1,
      sym_comment,
    STATE(4042), 1,
      sym_type_parameters,
    STATE(1139), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [97472] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3798), 1,
      sym_comment,
    STATE(4027), 1,
      sym_type_parameters,
    STATE(1166), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [97492] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6679), 1,
      anon_sym_LBRACE,
    STATE(3354), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3799), 1,
      sym_comment,
  [97514] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3800), 1,
      sym_comment,
    STATE(4007), 1,
      sym_type_parameters,
    STATE(1160), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [97534] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5840), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2916), 1,
      sym_argument_list,
    STATE(3801), 1,
      sym_comment,
    STATE(4447), 1,
      sym_type_parameters,
  [97556] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6831), 1,
      anon_sym_LPAREN,
    ACTIONS(6833), 1,
      anon_sym_DOT,
    STATE(1338), 1,
      sym_argument_list,
    STATE(3802), 1,
      sym_comment,
    STATE(4579), 1,
      sym_type_parameters,
  [97578] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3803), 1,
      sym_comment,
    ACTIONS(6835), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(6837), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
  [97594] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1975), 1,
      sym_parameter_list,
    STATE(3804), 1,
      sym_comment,
    STATE(4561), 1,
      sym_exposed_variables_list,
  [97616] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6631), 1,
      anon_sym_LBRACE,
    STATE(2750), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3805), 1,
      sym_comment,
  [97638] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1982), 1,
      sym_parameter_list,
    STATE(3806), 1,
      sym_comment,
    STATE(4582), 1,
      sym_exposed_variables_list,
  [97660] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1966), 1,
      sym_parameter_list,
    STATE(3807), 1,
      sym_comment,
    STATE(4604), 1,
      sym_exposed_variables_list,
  [97682] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5199), 1,
      anon_sym_in,
    ACTIONS(5201), 1,
      anon_sym_COMMA,
    STATE(3808), 1,
      sym_comment,
    STATE(4218), 1,
      aux_sym_identifier_list_repeat1,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [97702] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(959), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3809), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [97722] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3810), 1,
      sym_comment,
    STATE(4004), 1,
      sym_type_parameters,
    STATE(1163), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [97742] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6667), 1,
      anon_sym_LBRACE,
    STATE(1794), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3811), 1,
      sym_comment,
  [97764] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6783), 1,
      anon_sym_LBRACE,
    STATE(1404), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_comment,
  [97786] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    ACTIONS(5668), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2667), 1,
      sym_argument_list,
    STATE(3813), 1,
      sym_comment,
    STATE(4465), 1,
      sym_type_parameters,
  [97808] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3814), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [97828] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2439), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3815), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [97848] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1956), 1,
      sym_parameter_list,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(3816), 1,
      sym_comment,
    STATE(4516), 1,
      sym_exposed_variables_list,
  [97870] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2373), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3817), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [97890] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6603), 1,
      sym__old_identifier,
    ACTIONS(6839), 1,
      sym_identifier,
    ACTIONS(6841), 1,
      anon_sym_RPAREN,
    STATE(3818), 1,
      sym_comment,
    STATE(3821), 1,
      aux_sym_const_declaration_repeat1,
    STATE(4247), 1,
      sym_const_spec,
  [97912] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    STATE(2885), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3819), 1,
      sym_comment,
  [97934] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6843), 1,
      anon_sym_LPAREN,
    ACTIONS(6845), 1,
      anon_sym_DOT,
    STATE(2508), 1,
      sym_argument_list,
    STATE(3820), 1,
      sym_comment,
    STATE(4472), 1,
      sym_type_parameters,
  [97956] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6847), 1,
      sym_identifier,
    ACTIONS(6850), 1,
      anon_sym_RPAREN,
    ACTIONS(6852), 1,
      sym__old_identifier,
    STATE(4247), 1,
      sym_const_spec,
    STATE(3821), 2,
      sym_comment,
      aux_sym_const_declaration_repeat1,
  [97976] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3822), 1,
      sym_comment,
    STATE(4173), 1,
      sym_type_parameters,
    STATE(1136), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [97996] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6855), 1,
      anon_sym_fn,
    ACTIONS(6859), 1,
      anon_sym_enum,
    ACTIONS(6861), 1,
      anon_sym_interface,
    STATE(3823), 1,
      sym_comment,
    ACTIONS(6857), 2,
      anon_sym_struct,
      anon_sym_union,
  [98016] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    ACTIONS(5580), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2509), 1,
      sym_argument_list,
    STATE(3824), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
  [98038] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    ACTIONS(6044), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2509), 1,
      sym_argument_list,
    STATE(3825), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
  [98060] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACE,
    STATE(3211), 1,
      sym_literal_value,
    STATE(3826), 1,
      sym_comment,
    ACTIONS(1046), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [98078] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3827), 1,
      sym_comment,
    STATE(4346), 1,
      sym_type_parameters,
    STATE(1145), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [98098] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3828), 1,
      sym_comment,
    STATE(4313), 1,
      sym_type_parameters,
    STATE(1144), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [98118] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1985), 1,
      sym_parameter_list,
    STATE(3829), 1,
      sym_comment,
    STATE(4547), 1,
      sym_exposed_variables_list,
  [98140] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6863), 1,
      anon_sym_COMMA,
    STATE(3830), 2,
      sym_comment,
      aux_sym_expression_list_repeat1,
    ACTIONS(3310), 3,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [98156] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3831), 1,
      sym_comment,
    STATE(4156), 1,
      sym_type_parameters,
    STATE(1167), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [98176] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1963), 1,
      sym_parameter_list,
    STATE(3832), 1,
      sym_comment,
    STATE(4460), 1,
      sym_exposed_variables_list,
  [98198] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      anon_sym_DOT,
    STATE(2504), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_comment,
    STATE(4391), 1,
      sym_type_parameters,
  [98220] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3834), 1,
      sym_comment,
    ACTIONS(4753), 5,
      anon_sym_array,
      anon_sym_string,
      anon_sym_char,
      anon_sym_sql,
      sym_identifier,
  [98234] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3354), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3835), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [98254] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1984), 1,
      sym_parameter_list,
    STATE(3836), 1,
      sym_comment,
    STATE(4499), 1,
      sym_exposed_variables_list,
  [98276] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5199), 1,
      anon_sym_in,
    ACTIONS(5201), 1,
      anon_sym_COMMA,
    STATE(3837), 1,
      sym_comment,
    STATE(4218), 1,
      aux_sym_identifier_list_repeat1,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [98296] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2675), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3838), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [98316] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6775), 1,
      anon_sym_LBRACE,
    STATE(2675), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3839), 1,
      sym_comment,
  [98338] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(198), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3840), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [98358] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6691), 1,
      anon_sym_LBRACE,
    STATE(2373), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3841), 1,
      sym_comment,
  [98380] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5197), 1,
      anon_sym_LPAREN,
    ACTIONS(5254), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2237), 1,
      sym_argument_list,
    STATE(3842), 1,
      sym_comment,
    STATE(4417), 1,
      sym_type_parameters,
  [98402] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1990), 1,
      sym_parameter_list,
    STATE(3843), 1,
      sym_comment,
    STATE(4474), 1,
      sym_exposed_variables_list,
  [98424] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    STATE(1787), 1,
      sym_block,
    STATE(3844), 1,
      sym_comment,
    ACTIONS(6872), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [98444] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3845), 1,
      sym_comment,
    STATE(4084), 1,
      sym_type_parameters,
    STATE(1142), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [98464] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2750), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3846), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [98484] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(1074), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [98504] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(1404), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3848), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [98524] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_comment,
    STATE(4285), 1,
      sym_type_parameters,
    STATE(1146), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [98544] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6874), 1,
      anon_sym_DOT,
    STATE(2695), 1,
      sym_argument_list,
    STATE(3850), 1,
      sym_comment,
    STATE(4580), 1,
      sym_type_parameters,
  [98566] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6725), 1,
      anon_sym_LBRACE,
    STATE(3079), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3851), 1,
      sym_comment,
  [98588] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3594), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6876), 1,
      anon_sym_DOT,
    STATE(1181), 1,
      sym_argument_list,
    STATE(3852), 1,
      sym_comment,
    STATE(4588), 1,
      sym_type_parameters,
  [98610] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3853), 1,
      sym_comment,
  [98632] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3854), 1,
      sym_comment,
    STATE(4101), 1,
      sym_type_parameters,
    STATE(1156), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [98652] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6727), 1,
      anon_sym_LBRACE,
    STATE(1250), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3855), 1,
      sym_comment,
  [98674] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1973), 1,
      sym_parameter_list,
    STATE(3856), 1,
      sym_comment,
    STATE(4591), 1,
      sym_exposed_variables_list,
  [98696] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6663), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3857), 1,
      sym_comment,
  [98718] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3858), 1,
      sym_comment,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
    ACTIONS(5758), 3,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [98734] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1960), 1,
      sym_parameter_list,
    STATE(3859), 1,
      sym_comment,
    STATE(4490), 1,
      sym_exposed_variables_list,
  [98756] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1968), 1,
      sym_parameter_list,
    STATE(3860), 1,
      sym_comment,
    STATE(4628), 1,
      sym_exposed_variables_list,
  [98778] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_only_parameter_list,
    STATE(1970), 1,
      sym_parameter_list,
    STATE(3861), 1,
      sym_comment,
    STATE(4606), 1,
      sym_exposed_variables_list,
  [98800] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3862), 1,
      sym_comment,
    STATE(4080), 1,
      sym_type_parameters,
    STATE(1137), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [98820] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6675), 1,
      anon_sym_LBRACE,
    STATE(2439), 1,
      sym_literal_value,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3863), 1,
      sym_comment,
  [98842] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(3864), 1,
      sym_comment,
    STATE(4295), 1,
      sym_type_parameters,
    STATE(1168), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [98862] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3266), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6878), 1,
      anon_sym_DOT,
    STATE(988), 1,
      sym_argument_list,
    STATE(3865), 1,
      sym_comment,
    STATE(4502), 1,
      sym_type_parameters,
  [98884] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5228), 1,
      anon_sym_LPAREN,
    ACTIONS(5290), 1,
      anon_sym_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2293), 1,
      sym_argument_list,
    STATE(3866), 1,
      sym_comment,
    STATE(4553), 1,
      sym_type_parameters,
  [98906] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2784), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6880), 1,
      anon_sym_DOT,
    STATE(448), 1,
      sym_argument_list,
    STATE(3867), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
  [98928] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1172), 1,
      anon_sym_LBRACE,
    ACTIONS(5862), 1,
      anon_sym_COMMA,
    STATE(3868), 1,
      sym_comment,
    STATE(4048), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [98948] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3892), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6882), 1,
      anon_sym_DOT,
    STATE(1450), 1,
      sym_argument_list,
    STATE(3869), 1,
      sym_comment,
    STATE(4369), 1,
      sym_type_parameters,
  [98970] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6603), 1,
      sym__old_identifier,
    ACTIONS(6839), 1,
      sym_identifier,
    ACTIONS(6884), 1,
      anon_sym_RPAREN,
    STATE(3821), 1,
      aux_sym_const_declaration_repeat1,
    STATE(3870), 1,
      sym_comment,
    STATE(4247), 1,
      sym_const_spec,
  [98992] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(718), 1,
      anon_sym_DOLLARif,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(3871), 1,
      sym_comment,
    STATE(1070), 2,
      sym_block,
      sym_comptime_if_expression,
  [99009] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2240), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6886), 1,
      sym__automatic_separator,
    STATE(3872), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [99028] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6813), 1,
      sym__old_identifier,
    ACTIONS(6888), 1,
      sym_identifier,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    STATE(1648), 1,
      sym_const_spec,
    STATE(3873), 1,
      sym_comment,
  [99047] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3594), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(1181), 1,
      sym_argument_list,
    STATE(3874), 1,
      sym_comment,
    STATE(4588), 1,
      sym_type_parameters,
  [99066] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5676), 1,
      anon_sym_RPAREN,
    ACTIONS(5678), 1,
      sym__automatic_separator,
    STATE(3875), 1,
      sym_comment,
    STATE(3912), 1,
      aux_sym_argument_list_repeat1,
  [99085] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6892), 1,
      sym_identifier,
    ACTIONS(6894), 1,
      sym_type_identifier,
    STATE(3876), 1,
      sym_comment,
    STATE(4617), 1,
      sym_qualified_type,
    STATE(4623), 1,
      sym_generic_type,
  [99104] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5746), 1,
      anon_sym_RPAREN,
    ACTIONS(5748), 1,
      sym__automatic_separator,
    STATE(3877), 1,
      sym_comment,
    STATE(3884), 1,
      aux_sym_argument_list_repeat1,
  [99123] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    STATE(1639), 1,
      sym_interface_spec_list,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3878), 1,
      sym_comment,
  [99142] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(1616), 1,
      sym_struct_field_declaration_list,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3879), 1,
      sym_comment,
  [99161] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      anon_sym_if,
    STATE(3880), 1,
      sym_comment,
    STATE(1056), 2,
      sym_block,
      sym_if_expression,
  [99178] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      anon_sym_if,
    STATE(3881), 1,
      sym_comment,
    STATE(1047), 2,
      sym_block,
      sym_if_expression,
  [99195] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(718), 1,
      anon_sym_DOLLARif,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(3882), 1,
      sym_comment,
    STATE(1041), 2,
      sym_block,
      sym_comptime_if_expression,
  [99212] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6603), 1,
      sym__old_identifier,
    ACTIONS(6839), 1,
      sym_identifier,
    STATE(3870), 1,
      aux_sym_const_declaration_repeat1,
    STATE(3883), 1,
      sym_comment,
    STATE(4247), 1,
      sym_const_spec,
  [99231] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2228), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6902), 1,
      sym__automatic_separator,
    STATE(3884), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [99250] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5606), 1,
      anon_sym_COMMA,
    ACTIONS(5610), 1,
      anon_sym_LBRACE,
    ACTIONS(6904), 1,
      anon_sym_LPAREN,
    STATE(3885), 1,
      sym_comment,
    STATE(4278), 1,
      aux_sym_case_list_repeat1,
  [99269] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5197), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2237), 1,
      sym_argument_list,
    STATE(3886), 1,
      sym_comment,
    STATE(4417), 1,
      sym_type_parameters,
  [99288] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6906), 1,
      anon_sym_as,
    ACTIONS(6908), 1,
      anon_sym_LBRACE2,
    STATE(1548), 1,
      sym_import_symbols,
    STATE(1586), 1,
      sym_import_alias,
    STATE(3887), 1,
      sym_comment,
  [99307] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    STATE(2504), 1,
      sym_argument_list,
    STATE(3888), 1,
      sym_comment,
    STATE(4391), 1,
      sym_type_parameters,
  [99326] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3110), 1,
      anon_sym_DOLLARif,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(3889), 1,
      sym_comment,
    STATE(2847), 2,
      sym_block,
      sym_comptime_if_expression,
  [99343] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      anon_sym_if,
    STATE(3890), 1,
      sym_comment,
    STATE(2825), 2,
      sym_block,
      sym_if_expression,
  [99360] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      anon_sym_if,
    STATE(3891), 1,
      sym_comment,
    STATE(2824), 2,
      sym_block,
      sym_if_expression,
  [99377] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3110), 1,
      anon_sym_DOLLARif,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(3892), 1,
      sym_comment,
    STATE(2741), 2,
      sym_block,
      sym_comptime_if_expression,
  [99394] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3058), 1,
      anon_sym_DOLLARif,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(3893), 1,
      sym_comment,
    STATE(2703), 2,
      sym_block,
      sym_comptime_if_expression,
  [99411] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2236), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6912), 1,
      sym__automatic_separator,
    STATE(3894), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [99430] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6914), 1,
      sym_identifier,
    ACTIONS(6916), 1,
      anon_sym_RBRACE,
    STATE(3803), 1,
      sym_enum_member,
    STATE(3895), 1,
      sym_comment,
    STATE(3937), 1,
      aux_sym_enum_member_declaration_list_repeat1,
  [99449] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1013), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(97), 1,
      sym_argument_list,
    STATE(3896), 1,
      sym_comment,
    STATE(4511), 1,
      sym_type_parameters,
  [99468] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    ACTIONS(6918), 1,
      anon_sym_if,
    STATE(3897), 1,
      sym_comment,
    STATE(2715), 2,
      sym_block,
      sym_if_expression,
  [99485] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    ACTIONS(6918), 1,
      anon_sym_if,
    STATE(3898), 1,
      sym_comment,
    STATE(2716), 2,
      sym_block,
      sym_if_expression,
  [99502] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3058), 1,
      anon_sym_DOLLARif,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(3899), 1,
      sym_comment,
    STATE(2717), 2,
      sym_block,
      sym_comptime_if_expression,
  [99519] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2230), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6920), 1,
      sym__automatic_separator,
    STATE(3900), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [99538] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5714), 1,
      anon_sym_RPAREN,
    ACTIONS(5716), 1,
      sym__automatic_separator,
    STATE(3901), 1,
      sym_comment,
    STATE(3902), 1,
      aux_sym_argument_list_repeat1,
  [99557] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2262), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6922), 1,
      sym__automatic_separator,
    STATE(3902), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [99576] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5686), 1,
      anon_sym_RPAREN,
    ACTIONS(5688), 1,
      sym__automatic_separator,
    STATE(3903), 1,
      sym_comment,
    STATE(3907), 1,
      aux_sym_argument_list_repeat1,
  [99595] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    ACTIONS(5684), 1,
      sym__automatic_separator,
    STATE(3900), 1,
      aux_sym_argument_list_repeat1,
    STATE(3904), 1,
      sym_comment,
  [99614] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5696), 1,
      anon_sym_RPAREN,
    ACTIONS(5698), 1,
      sym__automatic_separator,
    STATE(3905), 1,
      sym_comment,
    STATE(3944), 1,
      aux_sym_argument_list_repeat1,
  [99633] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5644), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5672), 1,
      sym__automatic_separator,
    STATE(3894), 1,
      aux_sym_argument_list_repeat1,
    STATE(3906), 1,
      sym_comment,
  [99652] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2254), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6924), 1,
      sym__automatic_separator,
    STATE(3907), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [99671] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6843), 1,
      anon_sym_LPAREN,
    STATE(2508), 1,
      sym_argument_list,
    STATE(3908), 1,
      sym_comment,
    STATE(4472), 1,
      sym_type_parameters,
  [99690] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(983), 1,
      anon_sym_DOLLARif,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(3909), 1,
      sym_comment,
    STATE(2306), 2,
      sym_block,
      sym_comptime_if_expression,
  [99707] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5738), 1,
      anon_sym_RPAREN,
    ACTIONS(5740), 1,
      sym__automatic_separator,
    STATE(3910), 1,
      sym_comment,
    STATE(3949), 1,
      aux_sym_argument_list_repeat1,
  [99726] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(6926), 1,
      anon_sym_if,
    STATE(3911), 1,
      sym_comment,
    STATE(2305), 2,
      sym_block,
      sym_if_expression,
  [99743] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2234), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6928), 1,
      sym__automatic_separator,
    STATE(3912), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [99762] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(1599), 1,
      sym_struct_field_declaration_list,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3913), 1,
      sym_comment,
  [99781] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(6926), 1,
      anon_sym_if,
    STATE(3914), 1,
      sym_comment,
    STATE(2304), 2,
      sym_block,
      sym_if_expression,
  [99798] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(983), 1,
      anon_sym_DOLLARif,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(3915), 1,
      sym_comment,
    STATE(2297), 2,
      sym_block,
      sym_comptime_if_expression,
  [99815] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1734), 1,
      anon_sym_DOLLARif,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(3916), 1,
      sym_comment,
    STATE(3095), 2,
      sym_block,
      sym_comptime_if_expression,
  [99832] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym_if,
    STATE(3917), 1,
      sym_comment,
    STATE(3077), 2,
      sym_block,
      sym_if_expression,
  [99849] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym_if,
    STATE(3918), 1,
      sym_comment,
    STATE(3073), 2,
      sym_block,
      sym_if_expression,
  [99866] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(834), 1,
      anon_sym_DOLLARif,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(3919), 1,
      sym_comment,
    STATE(1286), 2,
      sym_block,
      sym_comptime_if_expression,
  [99883] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_if,
    STATE(3920), 1,
      sym_comment,
    STATE(1283), 2,
      sym_block,
      sym_if_expression,
  [99900] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_if,
    STATE(3921), 1,
      sym_comment,
    STATE(1282), 2,
      sym_block,
      sym_if_expression,
  [99917] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1734), 1,
      anon_sym_DOLLARif,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(3922), 1,
      sym_comment,
    STATE(3071), 2,
      sym_block,
      sym_comptime_if_expression,
  [99934] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2224), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6934), 1,
      sym__automatic_separator,
    STATE(3923), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [99953] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5228), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2293), 1,
      sym_argument_list,
    STATE(3924), 1,
      sym_comment,
    STATE(4553), 1,
      sym_type_parameters,
  [99972] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(2954), 1,
      sym_block,
    STATE(3925), 1,
      sym_comment,
    ACTIONS(1414), 2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [99989] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2910), 1,
      anon_sym_DOLLARif,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3926), 1,
      sym_comment,
    STATE(3289), 2,
      sym_block,
      sym_comptime_if_expression,
  [100006] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    STATE(1609), 1,
      sym_interface_spec_list,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3927), 1,
      sym_comment,
  [100025] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5702), 1,
      anon_sym_RPAREN,
    ACTIONS(5704), 1,
      sym__automatic_separator,
    STATE(3923), 1,
      aux_sym_argument_list_repeat1,
    STATE(3928), 1,
      sym_comment,
  [100044] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    ACTIONS(6936), 1,
      anon_sym_if,
    STATE(3929), 1,
      sym_comment,
    STATE(191), 2,
      sym_block,
      sym_if_expression,
  [100061] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(834), 1,
      anon_sym_DOLLARif,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(3930), 1,
      sym_comment,
    STATE(1271), 2,
      sym_block,
      sym_comptime_if_expression,
  [100078] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    ACTIONS(6936), 1,
      anon_sym_if,
    STATE(3931), 1,
      sym_comment,
    STATE(193), 2,
      sym_block,
      sym_if_expression,
  [100095] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(87), 1,
      anon_sym_DOLLARif,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    STATE(3932), 1,
      sym_comment,
    STATE(196), 2,
      sym_block,
      sym_comptime_if_expression,
  [100112] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6914), 1,
      sym_identifier,
    ACTIONS(6938), 1,
      anon_sym_RBRACE,
    STATE(3803), 1,
      sym_enum_member,
    STATE(3895), 1,
      aux_sym_enum_member_declaration_list_repeat1,
    STATE(3933), 1,
      sym_comment,
  [100131] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3266), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(988), 1,
      sym_argument_list,
    STATE(3934), 1,
      sym_comment,
    STATE(4502), 1,
      sym_type_parameters,
  [100150] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2475), 1,
      anon_sym_DOLLARif,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(3935), 1,
      sym_comment,
    STATE(1736), 2,
      sym_block,
      sym_comptime_if_expression,
  [100167] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3936), 1,
      sym_comment,
    ACTIONS(6363), 2,
      anon_sym_RBRACE,
      sym_type_identifier,
    ACTIONS(6940), 2,
      sym_identifier,
      anon_sym_mut,
  [100182] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6942), 1,
      sym_identifier,
    ACTIONS(6945), 1,
      anon_sym_RBRACE,
    STATE(3803), 1,
      sym_enum_member,
    STATE(3937), 2,
      sym_comment,
      aux_sym_enum_member_declaration_list_repeat1,
  [100199] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_if,
    STATE(3938), 1,
      sym_comment,
    STATE(3343), 2,
      sym_block,
      sym_if_expression,
  [100216] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(6949), 1,
      anon_sym_if,
    STATE(3939), 1,
      sym_comment,
    STATE(1728), 2,
      sym_block,
      sym_if_expression,
  [100233] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_if,
    STATE(3940), 1,
      sym_comment,
    STATE(3346), 2,
      sym_block,
      sym_if_expression,
  [100250] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2910), 1,
      anon_sym_DOLLARif,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3941), 1,
      sym_comment,
    STATE(3347), 2,
      sym_block,
      sym_comptime_if_expression,
  [100267] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(6949), 1,
      anon_sym_if,
    STATE(3942), 1,
      sym_comment,
    STATE(1727), 2,
      sym_block,
      sym_if_expression,
  [100284] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2475), 1,
      anon_sym_DOLLARif,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(3943), 1,
      sym_comment,
    STATE(1726), 2,
      sym_block,
      sym_comptime_if_expression,
  [100301] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2226), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6951), 1,
      sym__automatic_separator,
    STATE(3944), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [100320] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6892), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      sym_type_identifier,
    STATE(3945), 1,
      sym_comment,
    STATE(4550), 1,
      sym_generic_type,
    STATE(4617), 1,
      sym_qualified_type,
  [100339] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2695), 1,
      sym_argument_list,
    STATE(3946), 1,
      sym_comment,
    STATE(4580), 1,
      sym_type_parameters,
  [100358] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2248), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6955), 1,
      sym__automatic_separator,
    STATE(3947), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [100377] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5742), 1,
      anon_sym_RPAREN,
    ACTIONS(5744), 1,
      sym__automatic_separator,
    STATE(3948), 1,
      sym_comment,
    STATE(3963), 1,
      aux_sym_argument_list_repeat1,
  [100396] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2242), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6957), 1,
      sym__automatic_separator,
    STATE(3949), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [100415] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5750), 1,
      anon_sym_RPAREN,
    ACTIONS(5752), 1,
      sym__automatic_separator,
    STATE(3947), 1,
      aux_sym_argument_list_repeat1,
    STATE(3950), 1,
      sym_comment,
  [100434] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3079), 1,
      sym_literal_value,
    STATE(3951), 1,
      sym_comment,
    ACTIONS(1046), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [100449] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2667), 1,
      sym_argument_list,
    STATE(3952), 1,
      sym_comment,
    STATE(4465), 1,
      sym_type_parameters,
  [100468] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2252), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6959), 1,
      sym__automatic_separator,
    STATE(3953), 1,
      sym_comment,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
  [100487] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    ACTIONS(6961), 2,
      sym__automatic_separator,
      anon_sym_COMMA,
    STATE(3954), 2,
      sym_comment,
      aux_sym_argument_list_repeat1,
  [100502] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2998), 1,
      anon_sym_DOLLARif,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(3955), 1,
      sym_comment,
    STATE(1419), 2,
      sym_block,
      sym_comptime_if_expression,
  [100519] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2509), 1,
      sym_argument_list,
    STATE(3956), 1,
      sym_comment,
    STATE(4403), 1,
      sym_type_parameters,
  [100538] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    ACTIONS(6964), 1,
      anon_sym_if,
    STATE(3957), 1,
      sym_comment,
    STATE(1443), 2,
      sym_block,
      sym_if_expression,
  [100555] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    ACTIONS(6964), 1,
      anon_sym_if,
    STATE(3958), 1,
      sym_comment,
    STATE(1444), 2,
      sym_block,
      sym_if_expression,
  [100572] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2998), 1,
      anon_sym_DOLLARif,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(3959), 1,
      sym_comment,
    STATE(1445), 2,
      sym_block,
      sym_comptime_if_expression,
  [100589] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2274), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6966), 1,
      sym__automatic_separator,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
    STATE(3960), 1,
      sym_comment,
  [100608] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_interface_spec_list,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_comment,
  [100627] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(1549), 1,
      sym_struct_field_declaration_list,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3962), 1,
      sym_comment,
  [100646] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2276), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6968), 1,
      sym__automatic_separator,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
    STATE(3963), 1,
      sym_comment,
  [100665] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3964), 1,
      sym_comment,
    ACTIONS(1398), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [100678] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3892), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(1450), 1,
      sym_argument_list,
    STATE(3965), 1,
      sym_comment,
    STATE(4369), 1,
      sym_type_parameters,
  [100697] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    ACTIONS(5756), 1,
      sym__automatic_separator,
    STATE(3960), 1,
      aux_sym_argument_list_repeat1,
    STATE(3966), 1,
      sym_comment,
  [100716] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2850), 1,
      anon_sym_DOLLARif,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(3967), 1,
      sym_comment,
    STATE(2459), 2,
      sym_block,
      sym_comptime_if_expression,
  [100733] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    ACTIONS(6970), 1,
      anon_sym_if,
    STATE(3968), 1,
      sym_comment,
    STATE(2458), 2,
      sym_block,
      sym_if_expression,
  [100750] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(341), 1,
      anon_sym_DOLLARif,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(3969), 1,
      sym_comment,
    STATE(955), 2,
      sym_block,
      sym_comptime_if_expression,
  [100767] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(925), 1,
      anon_sym_DOLLARif,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(3970), 1,
      sym_comment,
    STATE(2773), 2,
      sym_block,
      sym_comptime_if_expression,
  [100784] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    ACTIONS(6972), 1,
      anon_sym_if,
    STATE(3971), 1,
      sym_comment,
    STATE(2769), 2,
      sym_block,
      sym_if_expression,
  [100801] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    ACTIONS(6972), 1,
      anon_sym_if,
    STATE(3972), 1,
      sym_comment,
    STATE(2766), 2,
      sym_block,
      sym_if_expression,
  [100818] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    ACTIONS(6970), 1,
      anon_sym_if,
    STATE(3973), 1,
      sym_comment,
    STATE(2457), 2,
      sym_block,
      sym_if_expression,
  [100835] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(6974), 1,
      anon_sym_if,
    STATE(3974), 1,
      sym_comment,
    STATE(979), 2,
      sym_block,
      sym_if_expression,
  [100852] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6892), 1,
      sym_identifier,
    ACTIONS(6976), 1,
      sym_type_identifier,
    STATE(3975), 1,
      sym_comment,
    STATE(4535), 1,
      sym_generic_type,
    STATE(4617), 1,
      sym_qualified_type,
  [100871] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(6974), 1,
      anon_sym_if,
    STATE(3976), 1,
      sym_comment,
    STATE(974), 2,
      sym_block,
      sym_if_expression,
  [100888] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(341), 1,
      anon_sym_DOLLARif,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(3977), 1,
      sym_comment,
    STATE(973), 2,
      sym_block,
      sym_comptime_if_expression,
  [100905] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2850), 1,
      anon_sym_DOLLARif,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(3978), 1,
      sym_comment,
    STATE(2447), 2,
      sym_block,
      sym_comptime_if_expression,
  [100922] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(925), 1,
      anon_sym_DOLLARif,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(3979), 1,
      sym_comment,
    STATE(2726), 2,
      sym_block,
      sym_comptime_if_expression,
  [100939] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(1592), 1,
      sym_struct_field_declaration_list,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3980), 1,
      sym_comment,
  [100958] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2244), 1,
      anon_sym_RPAREN,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(6978), 1,
      sym__automatic_separator,
    STATE(3954), 1,
      aux_sym_argument_list_repeat1,
    STATE(3981), 1,
      sym_comment,
  [100977] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RPAREN,
    ACTIONS(5710), 1,
      sym__automatic_separator,
    STATE(3953), 1,
      aux_sym_argument_list_repeat1,
    STATE(3982), 1,
      sym_comment,
  [100996] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6603), 1,
      sym__old_identifier,
    ACTIONS(6839), 1,
      sym_identifier,
    STATE(3818), 1,
      aux_sym_const_declaration_repeat1,
    STATE(3983), 1,
      sym_comment,
    STATE(4247), 1,
      sym_const_spec,
  [101015] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6831), 1,
      anon_sym_LPAREN,
    STATE(1338), 1,
      sym_argument_list,
    STATE(3984), 1,
      sym_comment,
    STATE(4579), 1,
      sym_type_parameters,
  [101034] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    STATE(1629), 1,
      sym_interface_spec_list,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(3985), 1,
      sym_comment,
  [101053] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(2916), 1,
      sym_argument_list,
    STATE(3986), 1,
      sym_comment,
    STATE(4447), 1,
      sym_type_parameters,
  [101072] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    ACTIONS(5692), 1,
      sym__automatic_separator,
    STATE(3981), 1,
      aux_sym_argument_list_repeat1,
    STATE(3987), 1,
      sym_comment,
  [101091] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6892), 1,
      sym_identifier,
    ACTIONS(6980), 1,
      sym_type_identifier,
    STATE(3988), 1,
      sym_comment,
    STATE(4389), 1,
      sym_generic_type,
    STATE(4617), 1,
      sym_qualified_type,
  [101110] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(87), 1,
      anon_sym_DOLLARif,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    STATE(3989), 1,
      sym_comment,
    STATE(256), 2,
      sym_block,
      sym_comptime_if_expression,
  [101127] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5664), 1,
      anon_sym_COMMA,
    ACTIONS(5726), 1,
      anon_sym_RPAREN,
    ACTIONS(5728), 1,
      sym__automatic_separator,
    STATE(3872), 1,
      aux_sym_argument_list_repeat1,
    STATE(3990), 1,
      sym_comment,
  [101146] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1678), 1,
      anon_sym_DOLLARif,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(3991), 1,
      sym_comment,
    STATE(3186), 2,
      sym_block,
      sym_comptime_if_expression,
  [101163] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6813), 1,
      sym__old_identifier,
    ACTIONS(6888), 1,
      sym_identifier,
    ACTIONS(6982), 1,
      anon_sym_LPAREN,
    STATE(1626), 1,
      sym_const_spec,
    STATE(3992), 1,
      sym_comment,
  [101182] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    ACTIONS(6984), 1,
      anon_sym_if,
    STATE(3993), 1,
      sym_comment,
    STATE(3208), 2,
      sym_block,
      sym_if_expression,
  [101199] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    ACTIONS(6984), 1,
      anon_sym_if,
    STATE(3994), 1,
      sym_comment,
    STATE(3213), 2,
      sym_block,
      sym_if_expression,
  [101216] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2784), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(448), 1,
      sym_argument_list,
    STATE(3995), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
  [101235] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1678), 1,
      anon_sym_DOLLARif,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(3996), 1,
      sym_comment,
    STATE(3218), 2,
      sym_block,
      sym_comptime_if_expression,
  [101252] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5956), 1,
      anon_sym_LBRACE,
    STATE(3997), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [101266] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6986), 1,
      anon_sym_RPAREN,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    STATE(3998), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [101282] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6990), 1,
      anon_sym_RPAREN,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    STATE(3999), 1,
      sym_comment,
    STATE(4015), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [101298] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_literal_value,
    STATE(4000), 1,
      sym_comment,
  [101314] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4001), 1,
      sym_comment,
    STATE(1164), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101328] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(6996), 1,
      sym__string_closing,
    STATE(4002), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [101344] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4003), 1,
      sym_comment,
    STATE(1147), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101358] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4004), 1,
      sym_comment,
    STATE(1154), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101372] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7000), 1,
      anon_sym_RBRACK,
    STATE(4005), 1,
      sym_comment,
    ACTIONS(6998), 2,
      sym_int_literal,
      sym_identifier,
  [101386] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7002), 1,
      sym_int_literal,
    ACTIONS(7004), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(7006), 1,
      aux_sym_format_specifier_token2,
    STATE(4006), 1,
      sym_comment,
  [101402] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4007), 1,
      sym_comment,
    STATE(1161), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101416] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6018), 1,
      anon_sym_LBRACE,
    STATE(4008), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [101430] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5155), 1,
      anon_sym_LPAREN,
    STATE(4009), 1,
      sym_comment,
    STATE(1961), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101444] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7010), 1,
      anon_sym_RBRACK,
    STATE(4010), 1,
      sym_comment,
    ACTIONS(7008), 2,
      sym_int_literal,
      sym_identifier,
  [101458] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7012), 1,
      anon_sym_RPAREN,
    STATE(4011), 1,
      sym_comment,
    STATE(4151), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [101474] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7016), 1,
      anon_sym_GT2,
    STATE(4012), 1,
      sym_comment,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
  [101490] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7020), 1,
      anon_sym_RBRACE,
    STATE(4013), 1,
      sym_comment,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
  [101506] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7022), 1,
      anon_sym_RPAREN,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    STATE(4014), 1,
      sym_comment,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
  [101522] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7026), 1,
      anon_sym_RPAREN,
    STATE(4015), 1,
      sym_comment,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [101538] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7028), 1,
      anon_sym_RPAREN,
    STATE(4016), 1,
      sym_comment,
    STATE(4028), 1,
      aux_sym_multi_return_type_repeat1,
  [101554] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4017), 1,
      sym_comment,
    STATE(1143), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101568] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6024), 1,
      anon_sym_LBRACE,
    STATE(4018), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [101582] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2182), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4013), 1,
      aux_sym_literal_value_repeat2,
    STATE(4019), 1,
      sym_comment,
  [101598] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7030), 1,
      anon_sym_GT2,
    STATE(4012), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4020), 1,
      sym_comment,
  [101614] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7032), 1,
      anon_sym_RPAREN,
    STATE(4021), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [101630] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5674), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      anon_sym_COMMA,
    STATE(4022), 2,
      sym_comment,
      aux_sym_case_list_repeat1,
  [101644] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7039), 1,
      anon_sym_RPAREN,
    ACTIONS(7041), 1,
      anon_sym_COMMA,
    STATE(4023), 1,
      sym_comment,
  [101660] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5928), 1,
      anon_sym_LBRACE,
    STATE(4024), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [101674] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7043), 1,
      anon_sym_RPAREN,
    ACTIONS(7045), 1,
      anon_sym_COMMA,
    STATE(4025), 1,
      sym_comment,
  [101690] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    STATE(4026), 1,
      sym_comment,
    ACTIONS(6872), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [101704] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4027), 1,
      sym_comment,
    STATE(1149), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101718] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7047), 1,
      anon_sym_RPAREN,
    STATE(4028), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [101734] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7049), 1,
      sym__string_closing,
    STATE(4002), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4029), 1,
      sym_comment,
  [101750] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7051), 1,
      anon_sym_GT2,
    STATE(4030), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_multi_return_type_repeat1,
  [101766] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(4031), 1,
      sym_comment,
    STATE(1957), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101780] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6904), 1,
      anon_sym_LPAREN,
    STATE(4032), 1,
      sym_comment,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [101794] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2188), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4033), 1,
      sym_comment,
    STATE(4057), 1,
      aux_sym_literal_value_repeat2,
  [101810] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7053), 1,
      sym__old_identifier,
    STATE(4034), 1,
      sym_comment,
    ACTIONS(6608), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [101824] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7055), 1,
      sym__string_closing,
    STATE(4035), 1,
      sym_comment,
    STATE(4052), 1,
      aux_sym_raw_string_literal_repeat1,
  [101840] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7057), 1,
      sym__string_closing,
    STATE(4036), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [101856] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3733), 1,
      anon_sym_COLON,
    STATE(4037), 1,
      sym_comment,
    ACTIONS(3735), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [101870] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3310), 1,
      anon_sym_LBRACE,
    ACTIONS(7059), 1,
      anon_sym_COMMA,
    STATE(4038), 2,
      sym_comment,
      aux_sym_expression_list_repeat1,
  [101884] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    STATE(4039), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [101898] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7062), 1,
      anon_sym_RPAREN,
    STATE(4040), 1,
      sym_comment,
    STATE(4063), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [101914] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6679), 1,
      anon_sym_LBRACE,
    STATE(3354), 1,
      sym_literal_value,
    STATE(4041), 1,
      sym_comment,
  [101930] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4042), 1,
      sym_comment,
    STATE(1155), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [101944] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(890), 1,
      sym_block,
    STATE(4043), 1,
      sym_comment,
  [101960] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7064), 1,
      anon_sym_RPAREN,
    ACTIONS(7066), 1,
      anon_sym_COMMA,
    STATE(4044), 2,
      sym_comment,
      aux_sym_type_only_parameter_list_repeat1,
  [101974] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7069), 1,
      anon_sym_COMMA,
    ACTIONS(7071), 1,
      anon_sym_RBRACE,
    STATE(4045), 1,
      sym_comment,
    STATE(4075), 1,
      aux_sym_import_symbols_list_repeat1,
  [101990] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7073), 1,
      anon_sym_RPAREN,
    STATE(4021), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4046), 1,
      sym_comment,
  [102006] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7069), 1,
      anon_sym_COMMA,
    ACTIONS(7075), 1,
      anon_sym_RBRACE,
    STATE(4047), 1,
      sym_comment,
    STATE(4120), 1,
      aux_sym_import_symbols_list_repeat1,
  [102022] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3808), 1,
      anon_sym_LBRACE,
    ACTIONS(5862), 1,
      anon_sym_COMMA,
    STATE(4038), 1,
      aux_sym_expression_list_repeat1,
    STATE(4048), 1,
      sym_comment,
  [102038] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6783), 1,
      anon_sym_LBRACE,
    STATE(1404), 1,
      sym_literal_value,
    STATE(4049), 1,
      sym_comment,
  [102054] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5944), 1,
      anon_sym_LBRACE,
    STATE(4050), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [102068] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7077), 1,
      sym__string_closing,
    STATE(4036), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4051), 1,
      sym_comment,
  [102084] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7079), 1,
      sym__string_closing,
    STATE(4052), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [102100] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2439), 1,
      sym_literal_value,
    STATE(4053), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [102114] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5990), 1,
      anon_sym_LBRACE,
    STATE(4054), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [102128] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2545), 1,
      anon_sym_RBRACK,
    STATE(4055), 1,
      sym_comment,
    ACTIONS(7081), 2,
      sym_int_literal,
      sym_identifier,
  [102142] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7083), 1,
      anon_sym_GT2,
    STATE(4056), 1,
      sym_comment,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
  [102158] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7085), 1,
      anon_sym_RBRACE,
    STATE(4057), 1,
      sym_comment,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
  [102174] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2750), 1,
      sym_literal_value,
    STATE(4058), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [102188] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7087), 1,
      anon_sym_RPAREN,
    STATE(4059), 1,
      sym_comment,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
  [102204] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7089), 1,
      anon_sym_RBRACK,
    ACTIONS(7091), 1,
      anon_sym_SEMI,
    STATE(4060), 1,
      sym_comment,
    STATE(4219), 1,
      aux_sym_attribute_declaration_repeat1,
  [102220] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7095), 1,
      anon_sym_RBRACK,
    STATE(4061), 1,
      sym_comment,
    ACTIONS(7093), 2,
      sym_int_literal,
      sym_identifier,
  [102234] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7097), 1,
      anon_sym_LPAREN,
    STATE(4062), 1,
      sym_comment,
    STATE(1823), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [102248] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7099), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4063), 1,
      sym_comment,
  [102264] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7101), 1,
      anon_sym_RPAREN,
    STATE(4064), 1,
      sym_comment,
    STATE(4073), 1,
      aux_sym_multi_return_type_repeat1,
  [102280] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7103), 1,
      anon_sym_RPAREN,
    STATE(4065), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [102296] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7105), 1,
      anon_sym_RPAREN,
    ACTIONS(7107), 1,
      anon_sym_COMMA,
    STATE(4066), 1,
      sym_comment,
  [102312] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7109), 1,
      anon_sym_GT2,
    STATE(4067), 1,
      sym_comment,
    STATE(4132), 1,
      aux_sym_multi_return_type_repeat1,
  [102328] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(7111), 1,
      anon_sym_EQ,
    STATE(4068), 1,
      sym_comment,
    STATE(4822), 1,
      sym_type_parameters,
  [102344] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7113), 1,
      anon_sym_RPAREN,
    STATE(4069), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [102360] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5938), 1,
      anon_sym_LBRACE,
    STATE(4070), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [102374] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6040), 1,
      anon_sym_LBRACE,
    STATE(4071), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [102388] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7115), 1,
      anon_sym_RPAREN,
    ACTIONS(7117), 1,
      anon_sym_COMMA,
    STATE(4072), 2,
      sym_comment,
      aux_sym_parameter_list_repeat1,
  [102402] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7120), 1,
      anon_sym_RPAREN,
    STATE(4073), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [102418] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4074), 1,
      sym_comment,
    STATE(4138), 1,
      aux_sym_literal_value_repeat2,
  [102434] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7069), 1,
      anon_sym_COMMA,
    ACTIONS(7122), 1,
      anon_sym_RBRACE,
    STATE(4075), 1,
      sym_comment,
    STATE(4331), 1,
      aux_sym_import_symbols_list_repeat1,
  [102450] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(4076), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [102464] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(959), 1,
      sym_literal_value,
    STATE(4077), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [102478] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6016), 1,
      anon_sym_LBRACE,
    STATE(4078), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [102492] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7124), 1,
      anon_sym_RPAREN,
    STATE(4069), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4079), 1,
      sym_comment,
  [102508] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4080), 1,
      sym_comment,
    STATE(1153), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [102522] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7126), 1,
      anon_sym_RPAREN,
    STATE(4065), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4081), 1,
      sym_comment,
  [102538] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7128), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4082), 1,
      sym_comment,
  [102554] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7130), 1,
      sym__string_closing,
    STATE(4083), 1,
      sym_comment,
    STATE(4098), 1,
      aux_sym_raw_string_literal_repeat1,
  [102570] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4084), 1,
      sym_comment,
    STATE(1159), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [102584] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7132), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4085), 1,
      sym_comment,
  [102600] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7134), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4086), 1,
      sym_comment,
  [102616] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7136), 1,
      anon_sym_RBRACE,
    STATE(4087), 1,
      sym_comment,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
  [102632] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7138), 1,
      anon_sym_LPAREN,
    STATE(4088), 1,
      sym_comment,
    STATE(1330), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [102646] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      anon_sym_RPAREN,
    ACTIONS(7142), 1,
      anon_sym_COMMA,
    STATE(4089), 1,
      sym_comment,
  [102662] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7144), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_comment,
    STATE(4108), 1,
      aux_sym_multi_return_type_repeat1,
  [102678] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6667), 1,
      anon_sym_LBRACE,
    STATE(1794), 1,
      sym_literal_value,
    STATE(4091), 1,
      sym_comment,
  [102694] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2198), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4092), 1,
      sym_comment,
    STATE(4109), 1,
      aux_sym_literal_value_repeat2,
  [102710] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7146), 1,
      anon_sym_GT2,
    STATE(4093), 1,
      sym_comment,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
  [102726] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7148), 1,
      anon_sym_RPAREN,
    STATE(4094), 1,
      sym_comment,
    STATE(4110), 1,
      aux_sym_parameter_list_repeat1,
  [102742] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7150), 1,
      anon_sym_RPAREN,
    STATE(4095), 1,
      sym_comment,
    STATE(4111), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [102758] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(1377), 1,
      sym_block,
    STATE(4096), 1,
      sym_comment,
  [102774] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7154), 1,
      anon_sym_RBRACK,
    STATE(4097), 1,
      sym_comment,
    ACTIONS(7152), 2,
      sym_int_literal,
      sym_identifier,
  [102788] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7156), 1,
      sym__string_closing,
    STATE(4098), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [102804] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7158), 1,
      anon_sym_RPAREN,
    STATE(4099), 1,
      sym_comment,
    STATE(4143), 1,
      aux_sym_parameter_list_repeat1,
  [102820] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5974), 1,
      anon_sym_LBRACE,
    STATE(4100), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [102834] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4101), 1,
      sym_comment,
    STATE(1148), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [102848] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7160), 1,
      anon_sym_COMMA,
    ACTIONS(7163), 1,
      anon_sym_RBRACE,
    STATE(4102), 2,
      sym_comment,
      aux_sym_literal_value_repeat2,
  [102862] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7165), 1,
      anon_sym_COMMA,
    ACTIONS(7168), 1,
      anon_sym_GT2,
    STATE(4103), 2,
      sym_comment,
      aux_sym_multi_return_type_repeat1,
  [102876] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7170), 1,
      anon_sym_RBRACK,
    ACTIONS(7172), 1,
      anon_sym_SEMI,
    STATE(4104), 2,
      sym_comment,
      aux_sym_attribute_declaration_repeat1,
  [102890] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7175), 1,
      anon_sym_in,
    ACTIONS(7177), 1,
      anon_sym_COMMA,
    STATE(4105), 2,
      sym_comment,
      aux_sym_identifier_list_repeat1,
  [102904] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4106), 1,
      sym_comment,
    ACTIONS(7180), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
  [102916] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7182), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4107), 1,
      sym_comment,
  [102932] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7184), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4108), 1,
      sym_comment,
  [102948] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7186), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4109), 1,
      sym_comment,
  [102964] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7188), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4110), 1,
      sym_comment,
  [102980] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7190), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4111), 1,
      sym_comment,
  [102996] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_RPAREN,
    STATE(4112), 1,
      sym_comment,
    STATE(4124), 1,
      aux_sym_multi_return_type_repeat1,
  [103012] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7196), 1,
      anon_sym_RBRACK,
    STATE(4113), 1,
      sym_comment,
    ACTIONS(7194), 2,
      sym_int_literal,
      sym_identifier,
  [103026] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7091), 1,
      anon_sym_SEMI,
    ACTIONS(7198), 1,
      anon_sym_RBRACK,
    STATE(4104), 1,
      aux_sym_attribute_declaration_repeat1,
    STATE(4114), 1,
      sym_comment,
  [103042] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3120), 1,
      sym_block,
    STATE(4115), 1,
      sym_comment,
  [103058] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7200), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4116), 1,
      sym_comment,
  [103074] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7202), 1,
      anon_sym_LPAREN,
    STATE(4117), 1,
      sym_comment,
    STATE(1710), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [103088] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4118), 1,
      sym_comment,
    ACTIONS(7168), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT2,
  [103100] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5958), 1,
      anon_sym_LBRACE,
    STATE(4119), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [103114] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7069), 1,
      anon_sym_COMMA,
    ACTIONS(7204), 1,
      anon_sym_RBRACE,
    STATE(4120), 1,
      sym_comment,
    STATE(4331), 1,
      aux_sym_import_symbols_list_repeat1,
  [103130] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(2405), 1,
      sym_block,
    STATE(4121), 1,
      sym_comment,
  [103146] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7206), 1,
      anon_sym_RPAREN,
    STATE(4082), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4122), 1,
      sym_comment,
  [103162] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7208), 1,
      anon_sym_RPAREN,
    STATE(4085), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4123), 1,
      sym_comment,
  [103178] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7210), 1,
      anon_sym_RPAREN,
    STATE(4124), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [103194] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7212), 1,
      sym__string_closing,
    STATE(4125), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [103210] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7214), 1,
      anon_sym_RPAREN,
    STATE(4059), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4126), 1,
      sym_comment,
  [103226] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7216), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4127), 1,
      sym_comment,
  [103242] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7218), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4128), 1,
      sym_comment,
  [103258] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4129), 1,
      sym_comment,
    ACTIONS(5758), 3,
      sym__automatic_separator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103270] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2184), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4087), 1,
      aux_sym_literal_value_repeat2,
    STATE(4130), 1,
      sym_comment,
  [103286] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7220), 1,
      sym__string_closing,
    STATE(4131), 1,
      sym_comment,
    STATE(4148), 1,
      aux_sym_raw_string_literal_repeat1,
  [103302] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7222), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4132), 1,
      sym_comment,
  [103318] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7224), 1,
      anon_sym_GT2,
    STATE(4093), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4133), 1,
      sym_comment,
  [103334] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7226), 1,
      anon_sym_RPAREN,
    ACTIONS(7228), 1,
      anon_sym_COMMA,
    STATE(4134), 1,
      sym_comment,
  [103350] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7230), 1,
      anon_sym_GT2,
    STATE(4135), 1,
      sym_comment,
    STATE(4146), 1,
      aux_sym_multi_return_type_repeat1,
  [103366] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7232), 1,
      anon_sym_RPAREN,
    ACTIONS(7234), 1,
      anon_sym_COMMA,
    STATE(4136), 1,
      sym_comment,
  [103382] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2076), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4137), 1,
      sym_comment,
    STATE(4147), 1,
      aux_sym_literal_value_repeat2,
  [103398] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7236), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4138), 1,
      sym_comment,
  [103414] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7238), 1,
      anon_sym_RPAREN,
    STATE(4139), 1,
      sym_comment,
    STATE(4149), 1,
      aux_sym_parameter_list_repeat1,
  [103430] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7240), 1,
      anon_sym_RPAREN,
    STATE(4140), 1,
      sym_comment,
    STATE(4150), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [103446] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(1685), 1,
      sym_block,
    STATE(4141), 1,
      sym_comment,
  [103462] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7242), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(7244), 1,
      anon_sym_DOT,
    ACTIONS(7246), 1,
      sym__interpolation_closing,
    STATE(4142), 1,
      sym_comment,
  [103478] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7248), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4143), 1,
      sym_comment,
  [103494] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4144), 1,
      sym_comment,
    ACTIONS(3994), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
  [103506] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6725), 1,
      anon_sym_LBRACE,
    STATE(3079), 1,
      sym_literal_value,
    STATE(4145), 1,
      sym_comment,
  [103522] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7250), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4146), 1,
      sym_comment,
  [103538] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7252), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4147), 1,
      sym_comment,
  [103554] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7254), 1,
      sym__string_closing,
    STATE(4148), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [103570] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7256), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4149), 1,
      sym_comment,
  [103586] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7258), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4150), 1,
      sym_comment,
  [103602] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7260), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4151), 1,
      sym_comment,
  [103618] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    STATE(4152), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [103632] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7262), 1,
      anon_sym_RPAREN,
    STATE(4153), 1,
      sym_comment,
    STATE(4161), 1,
      aux_sym_multi_return_type_repeat1,
  [103648] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7264), 1,
      anon_sym_RPAREN,
    STATE(4154), 1,
      sym_comment,
    STATE(4187), 1,
      aux_sym_multi_return_type_repeat1,
  [103664] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7266), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(7268), 1,
      anon_sym_DOT,
    ACTIONS(7270), 1,
      sym__interpolation_closing,
    STATE(4155), 1,
      sym_comment,
  [103680] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4156), 1,
      sym_comment,
    STATE(1140), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [103694] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7274), 1,
      anon_sym_RBRACK,
    STATE(4157), 1,
      sym_comment,
    ACTIONS(7272), 2,
      sym_int_literal,
      sym_identifier,
  [103708] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7276), 1,
      anon_sym_LPAREN,
    STATE(4158), 1,
      sym_comment,
    STATE(734), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [103722] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7278), 1,
      sym__string_closing,
    STATE(4159), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [103738] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5352), 1,
      anon_sym_QMARK,
    STATE(4160), 1,
      sym_comment,
    ACTIONS(5354), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [103752] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7280), 1,
      anon_sym_RPAREN,
    STATE(4161), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [103768] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7282), 1,
      sym__string_closing,
    STATE(4125), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4162), 1,
      sym_comment,
  [103784] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(1794), 1,
      sym_literal_value,
    STATE(4163), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [103798] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7284), 1,
      sym__string_closing,
    STATE(4164), 1,
      sym_comment,
    STATE(4171), 1,
      aux_sym_raw_string_literal_repeat1,
  [103814] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7286), 1,
      anon_sym_LPAREN,
    STATE(4165), 1,
      sym_comment,
    STATE(1699), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [103828] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7290), 1,
      anon_sym_RBRACK,
    STATE(4166), 1,
      sym_comment,
    ACTIONS(7288), 2,
      sym_int_literal,
      sym_identifier,
  [103842] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(2572), 1,
      sym_block,
    STATE(4167), 1,
      sym_comment,
  [103858] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6663), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_literal_value,
    STATE(4168), 1,
      sym_comment,
  [103874] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7292), 1,
      anon_sym_LPAREN,
    STATE(4169), 1,
      sym_comment,
    STATE(1741), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [103888] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7296), 1,
      anon_sym_RBRACK,
    STATE(4170), 1,
      sym_comment,
    ACTIONS(7294), 2,
      sym_int_literal,
      sym_identifier,
  [103902] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7298), 1,
      sym__string_closing,
    STATE(4171), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [103918] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7300), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4172), 1,
      sym_comment,
  [103934] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4173), 1,
      sym_comment,
    STATE(1158), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [103948] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(4174), 1,
      sym_comment,
    STATE(131), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [103962] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7306), 1,
      anon_sym_RBRACK,
    STATE(4175), 1,
      sym_comment,
    ACTIONS(7304), 2,
      sym_int_literal,
      sym_identifier,
  [103976] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(1250), 1,
      sym_literal_value,
    STATE(4176), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [103990] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7308), 1,
      anon_sym_RPAREN,
    STATE(4086), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4177), 1,
      sym_comment,
  [104006] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7310), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4178), 1,
      sym_comment,
  [104022] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7312), 1,
      anon_sym_RPAREN,
    STATE(4178), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4179), 1,
      sym_comment,
  [104038] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7292), 1,
      anon_sym_LPAREN,
    STATE(4180), 1,
      sym_comment,
    STATE(1808), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [104052] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7314), 1,
      anon_sym_RPAREN,
    STATE(4107), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4181), 1,
      sym_comment,
  [104068] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7316), 1,
      anon_sym_RPAREN,
    STATE(4014), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4182), 1,
      sym_comment,
  [104084] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7318), 1,
      sym__string_closing,
    STATE(4183), 1,
      sym_comment,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
  [104100] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7322), 1,
      anon_sym_RBRACK,
    STATE(4184), 1,
      sym_comment,
    ACTIONS(7320), 2,
      sym_int_literal,
      sym_identifier,
  [104114] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7324), 1,
      anon_sym_RPAREN,
    ACTIONS(7326), 1,
      anon_sym_COMMA,
    STATE(4185), 1,
      sym_comment,
  [104130] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7328), 1,
      anon_sym_GT2,
    STATE(4186), 1,
      sym_comment,
    STATE(4204), 1,
      aux_sym_multi_return_type_repeat1,
  [104146] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7330), 1,
      anon_sym_RPAREN,
    STATE(4187), 1,
      sym_comment,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
  [104162] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2200), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4188), 1,
      sym_comment,
    STATE(4205), 1,
      aux_sym_literal_value_repeat2,
  [104178] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6675), 1,
      anon_sym_LBRACE,
    STATE(2439), 1,
      sym_literal_value,
    STATE(4189), 1,
      sym_comment,
  [104194] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_RPAREN,
    STATE(4190), 1,
      sym_comment,
    STATE(4206), 1,
      aux_sym_parameter_list_repeat1,
  [104210] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7334), 1,
      anon_sym_RPAREN,
    STATE(4191), 1,
      sym_comment,
    STATE(4207), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [104226] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7336), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4192), 1,
      sym_comment,
  [104242] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2196), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4116), 1,
      aux_sym_literal_value_repeat2,
    STATE(4193), 1,
      sym_comment,
  [104258] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7338), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4194), 1,
      sym_comment,
  [104274] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7340), 1,
      anon_sym_RPAREN,
    STATE(4194), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4195), 1,
      sym_comment,
  [104290] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7344), 1,
      anon_sym_RBRACK,
    STATE(4196), 1,
      sym_comment,
    ACTIONS(7342), 2,
      sym_int_literal,
      sym_identifier,
  [104304] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7346), 1,
      anon_sym_LPAREN,
    STATE(4197), 1,
      sym_comment,
    STATE(87), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [104318] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7292), 1,
      anon_sym_LPAREN,
    STATE(4198), 1,
      sym_comment,
    STATE(1814), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [104332] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7350), 1,
      anon_sym_RBRACK,
    STATE(4199), 1,
      sym_comment,
    ACTIONS(7348), 2,
      sym_int_literal,
      sym_identifier,
  [104346] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7352), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4200), 1,
      sym_comment,
  [104362] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7354), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4201), 1,
      sym_comment,
  [104378] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7356), 1,
      anon_sym_RPAREN,
    STATE(4200), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4202), 1,
      sym_comment,
  [104394] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    STATE(4203), 1,
      sym_comment,
    STATE(1981), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [104408] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7358), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4204), 1,
      sym_comment,
  [104424] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7360), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4205), 1,
      sym_comment,
  [104440] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7362), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4206), 1,
      sym_comment,
  [104456] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7364), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4207), 1,
      sym_comment,
  [104472] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7366), 1,
      anon_sym_RPAREN,
    STATE(4208), 1,
      sym_comment,
    STATE(4220), 1,
      aux_sym_multi_return_type_repeat1,
  [104488] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7368), 1,
      anon_sym_RPAREN,
    STATE(4201), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4209), 1,
      sym_comment,
  [104504] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7370), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4210), 1,
      sym_comment,
  [104520] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7372), 1,
      anon_sym_GT2,
    STATE(4128), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4211), 1,
      sym_comment,
  [104536] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7168), 1,
      anon_sym_RPAREN,
    ACTIONS(7374), 1,
      anon_sym_COMMA,
    STATE(4212), 2,
      sym_comment,
      aux_sym_multi_return_type_repeat1,
  [104550] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7377), 1,
      sym__string_content,
    ACTIONS(7380), 1,
      sym__string_closing,
    STATE(4213), 2,
      sym_comment,
      aux_sym_raw_string_literal_repeat1,
  [104564] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7382), 1,
      sym__string_closing,
    STATE(4183), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4214), 1,
      sym_comment,
  [104580] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5155), 1,
      anon_sym_LPAREN,
    STATE(4215), 1,
      sym_comment,
    STATE(1953), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [104594] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7386), 1,
      anon_sym_RBRACK,
    STATE(4216), 1,
      sym_comment,
    ACTIONS(7384), 2,
      sym_int_literal,
      sym_identifier,
  [104608] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2373), 1,
      sym_literal_value,
    STATE(4217), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [104622] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5201), 1,
      anon_sym_COMMA,
    ACTIONS(7388), 1,
      anon_sym_in,
    STATE(4105), 1,
      aux_sym_identifier_list_repeat1,
    STATE(4218), 1,
      sym_comment,
  [104638] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7091), 1,
      anon_sym_SEMI,
    ACTIONS(7390), 1,
      anon_sym_RBRACK,
    STATE(4104), 1,
      aux_sym_attribute_declaration_repeat1,
    STATE(4219), 1,
      sym_comment,
  [104654] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7392), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4220), 1,
      sym_comment,
  [104670] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7394), 1,
      anon_sym_RPAREN,
    STATE(3998), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4221), 1,
      sym_comment,
  [104686] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7396), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4222), 1,
      sym_comment,
  [104702] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7398), 1,
      anon_sym_RPAREN,
    STATE(4222), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4223), 1,
      sym_comment,
  [104718] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(1404), 1,
      sym_literal_value,
    STATE(4224), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [104732] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7400), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4225), 1,
      sym_comment,
  [104748] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7402), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4226), 1,
      sym_comment,
  [104764] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7404), 1,
      sym__string_closing,
    STATE(4227), 1,
      sym_comment,
    STATE(4244), 1,
      aux_sym_raw_string_literal_repeat1,
  [104780] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7406), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4228), 1,
      sym_comment,
  [104796] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7408), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4229), 1,
      sym_comment,
  [104812] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7410), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4230), 1,
      sym_comment,
  [104828] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7412), 1,
      anon_sym_RPAREN,
    STATE(4225), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4231), 1,
      sym_comment,
  [104844] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7414), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4232), 1,
      sym_comment,
  [104860] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7416), 1,
      anon_sym_GT2,
    STATE(4230), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4233), 1,
      sym_comment,
  [104876] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7418), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4234), 1,
      sym_comment,
  [104892] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7420), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4235), 1,
      sym_comment,
  [104908] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7422), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4236), 1,
      sym_comment,
  [104924] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    STATE(4237), 1,
      sym_comment,
    STATE(1813), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [104938] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7426), 1,
      anon_sym_RPAREN,
    ACTIONS(7428), 1,
      anon_sym_COMMA,
    STATE(4238), 1,
      sym_comment,
  [104954] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7432), 1,
      anon_sym_RBRACK,
    STATE(4239), 1,
      sym_comment,
    ACTIONS(7430), 2,
      sym_int_literal,
      sym_identifier,
  [104968] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7434), 1,
      anon_sym_RPAREN,
    ACTIONS(7436), 1,
      anon_sym_COMMA,
    STATE(4240), 1,
      sym_comment,
  [104984] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    STATE(2885), 1,
      sym_literal_value,
    STATE(4241), 1,
      sym_comment,
  [105000] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7438), 1,
      anon_sym_RPAREN,
    STATE(4228), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4242), 1,
      sym_comment,
  [105016] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7440), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4243), 1,
      sym_comment,
  [105032] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7442), 1,
      sym__string_closing,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4244), 1,
      sym_comment,
  [105048] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7444), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4245), 1,
      sym_comment,
  [105064] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7446), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4246), 1,
      sym_comment,
  [105080] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4247), 1,
      sym_comment,
    ACTIONS(7448), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
  [105092] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7450), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4248), 1,
      sym_comment,
  [105108] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7452), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4249), 1,
      sym_comment,
  [105124] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7454), 1,
      anon_sym_RPAREN,
    STATE(4249), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4250), 1,
      sym_comment,
  [105140] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(3354), 1,
      sym_literal_value,
    STATE(4251), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [105154] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4252), 1,
      sym_comment,
    ACTIONS(7456), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
  [105166] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7460), 1,
      anon_sym_RBRACK,
    STATE(4253), 1,
      sym_comment,
    ACTIONS(7458), 2,
      sym_int_literal,
      sym_identifier,
  [105180] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    STATE(4254), 1,
      sym_comment,
    STATE(1820), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [105194] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7464), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4255), 1,
      sym_comment,
  [105210] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7466), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4256), 1,
      sym_comment,
  [105226] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7468), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4257), 1,
      sym_comment,
  [105242] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7470), 1,
      anon_sym_RPAREN,
    STATE(4255), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4258), 1,
      sym_comment,
  [105258] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7472), 1,
      anon_sym_RPAREN,
    STATE(4256), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4259), 1,
      sym_comment,
  [105274] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7474), 1,
      anon_sym_GT2,
    STATE(4257), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4260), 1,
      sym_comment,
  [105290] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4261), 1,
      sym_comment,
    STATE(1150), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [105304] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7476), 1,
      sym__old_identifier,
    STATE(4262), 1,
      sym_comment,
    ACTIONS(6850), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [105318] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7478), 1,
      sym__string_closing,
    STATE(4263), 1,
      sym_comment,
    STATE(4338), 1,
      aux_sym_raw_string_literal_repeat1,
  [105334] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7480), 1,
      anon_sym_LPAREN,
    STATE(4264), 1,
      sym_comment,
    STATE(1132), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [105348] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7484), 1,
      anon_sym_RBRACK,
    STATE(4265), 1,
      sym_comment,
    ACTIONS(7482), 2,
      sym_int_literal,
      sym_identifier,
  [105362] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7486), 1,
      sym_identifier,
    ACTIONS(7488), 1,
      sym_type_identifier,
    STATE(4266), 1,
      sym_comment,
    STATE(4751), 1,
      sym_import_symbols_list,
  [105378] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7490), 1,
      anon_sym_RPAREN,
    ACTIONS(7492), 1,
      anon_sym_COMMA,
    STATE(4267), 1,
      sym_comment,
  [105394] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(2266), 1,
      sym_block,
    STATE(4268), 1,
      sym_comment,
  [105410] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7494), 1,
      anon_sym_RPAREN,
    ACTIONS(7496), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_comment,
  [105426] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7498), 1,
      anon_sym_RPAREN,
    STATE(4243), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4270), 1,
      sym_comment,
  [105442] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7500), 1,
      anon_sym_RPAREN,
    STATE(4245), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4271), 1,
      sym_comment,
  [105458] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2190), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4246), 1,
      aux_sym_literal_value_repeat2,
    STATE(4272), 1,
      sym_comment,
  [105474] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7502), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4273), 1,
      sym_comment,
  [105490] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7504), 1,
      anon_sym_GT2,
    STATE(4248), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4274), 1,
      sym_comment,
  [105506] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7506), 1,
      anon_sym_GT2,
    STATE(4275), 1,
      sym_comment,
    STATE(4318), 1,
      aux_sym_multi_return_type_repeat1,
  [105522] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7508), 1,
      anon_sym_RPAREN,
    STATE(4273), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4276), 1,
      sym_comment,
  [105538] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7510), 1,
      anon_sym_RPAREN,
    ACTIONS(7512), 1,
      anon_sym_COMMA,
    STATE(4277), 1,
      sym_comment,
  [105554] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5606), 1,
      anon_sym_COMMA,
    ACTIONS(7514), 1,
      anon_sym_LBRACE,
    STATE(4022), 1,
      aux_sym_case_list_repeat1,
    STATE(4278), 1,
      sym_comment,
  [105570] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7516), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4279), 1,
      sym_comment,
  [105586] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7518), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4280), 1,
      sym_comment,
  [105602] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7520), 1,
      anon_sym_RPAREN,
    ACTIONS(7522), 1,
      anon_sym_COMMA,
    STATE(4281), 1,
      sym_comment,
  [105618] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7524), 1,
      anon_sym_GT2,
    STATE(4282), 1,
      sym_comment,
    STATE(4300), 1,
      aux_sym_multi_return_type_repeat1,
  [105634] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7526), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4283), 1,
      sym_comment,
  [105650] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2194), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4284), 1,
      sym_comment,
    STATE(4301), 1,
      aux_sym_literal_value_repeat2,
  [105666] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4285), 1,
      sym_comment,
    STATE(1141), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [105680] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7528), 1,
      anon_sym_RPAREN,
    STATE(4286), 1,
      sym_comment,
    STATE(4302), 1,
      aux_sym_parameter_list_repeat1,
  [105696] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7530), 1,
      anon_sym_RPAREN,
    STATE(4287), 1,
      sym_comment,
    STATE(4303), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [105712] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(2594), 1,
      sym_block,
    STATE(4288), 1,
      sym_comment,
  [105728] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5606), 1,
      anon_sym_COMMA,
    ACTIONS(7532), 1,
      anon_sym_LBRACE,
    STATE(4022), 1,
      aux_sym_case_list_repeat1,
    STATE(4289), 1,
      sym_comment,
  [105744] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7534), 1,
      anon_sym_RPAREN,
    STATE(4279), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4290), 1,
      sym_comment,
  [105760] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    STATE(138), 1,
      sym_block,
    STATE(4291), 1,
      sym_comment,
  [105776] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7536), 1,
      anon_sym_RPAREN,
    STATE(4280), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4292), 1,
      sym_comment,
  [105792] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7538), 1,
      anon_sym_GT2,
    STATE(4283), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4293), 1,
      sym_comment,
  [105808] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2204), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4294), 1,
      sym_comment,
    STATE(4319), 1,
      aux_sym_literal_value_repeat2,
  [105824] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4295), 1,
      sym_comment,
    STATE(1157), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [105838] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4296), 1,
      sym_comment,
    ACTIONS(7540), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
  [105850] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7542), 1,
      anon_sym_RPAREN,
    STATE(4297), 1,
      sym_comment,
    STATE(4325), 1,
      aux_sym_parameter_list_repeat1,
  [105866] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7544), 1,
      anon_sym_RPAREN,
    STATE(4298), 1,
      sym_comment,
    STATE(4327), 1,
      aux_sym_type_only_parameter_list_repeat1,
  [105882] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(1211), 1,
      sym_block,
    STATE(4299), 1,
      sym_comment,
  [105898] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7546), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4300), 1,
      sym_comment,
  [105914] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7548), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4301), 1,
      sym_comment,
  [105930] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7550), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4302), 1,
      sym_comment,
  [105946] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7552), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4303), 1,
      sym_comment,
  [105962] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7554), 1,
      anon_sym_RPAREN,
    STATE(4304), 1,
      sym_comment,
    STATE(4316), 1,
      aux_sym_multi_return_type_repeat1,
  [105978] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7556), 1,
      anon_sym_GT2,
    STATE(4192), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4305), 1,
      sym_comment,
  [105994] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7558), 1,
      anon_sym_RPAREN,
    STATE(4226), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4306), 1,
      sym_comment,
  [106010] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7560), 1,
      anon_sym_RPAREN,
    STATE(4234), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4307), 1,
      sym_comment,
  [106026] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(198), 1,
      sym_literal_value,
    STATE(4308), 1,
      sym_comment,
  [106042] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(1022), 1,
      sym_block,
    STATE(4309), 1,
      sym_comment,
  [106058] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    STATE(4310), 1,
      sym_comment,
    STATE(1930), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [106072] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7566), 1,
      anon_sym_RBRACK,
    STATE(4311), 1,
      sym_comment,
    ACTIONS(7564), 2,
      sym_int_literal,
      sym_identifier,
  [106086] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2192), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4210), 1,
      aux_sym_literal_value_repeat2,
    STATE(4312), 1,
      sym_comment,
  [106102] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4313), 1,
      sym_comment,
    STATE(1162), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [106116] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2210), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4235), 1,
      aux_sym_literal_value_repeat2,
    STATE(4314), 1,
      sym_comment,
  [106132] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7568), 1,
      anon_sym_GT2,
    STATE(4236), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4315), 1,
      sym_comment,
  [106148] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7570), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4316), 1,
      sym_comment,
  [106164] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
    ACTIONS(7574), 1,
      anon_sym_COMMA,
    STATE(4317), 1,
      sym_comment,
  [106180] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7576), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4318), 1,
      sym_comment,
  [106196] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7578), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4319), 1,
      sym_comment,
  [106212] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2885), 1,
      sym_literal_value,
    STATE(4320), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [106226] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(2675), 1,
      sym_literal_value,
    STATE(4321), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [106240] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4322), 1,
      sym_comment,
    ACTIONS(4380), 3,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_CR_LF,
  [106252] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7580), 1,
      sym__string_closing,
    STATE(4323), 1,
      sym_comment,
    STATE(4340), 1,
      aux_sym_raw_string_literal_repeat1,
  [106268] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7582), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4324), 1,
      sym_comment,
  [106284] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7584), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4325), 1,
      sym_comment,
  [106300] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7586), 1,
      anon_sym_RPAREN,
    STATE(4127), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4326), 1,
      sym_comment,
  [106316] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7588), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4327), 1,
      sym_comment,
  [106332] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4328), 1,
      sym_comment,
  [106348] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7592), 1,
      anon_sym_RPAREN,
    STATE(4329), 1,
      sym_comment,
    STATE(4365), 1,
      aux_sym_multi_return_type_repeat1,
  [106364] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7594), 1,
      anon_sym_LPAREN,
    STATE(4330), 1,
      sym_comment,
    STATE(1175), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [106378] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7596), 1,
      anon_sym_COMMA,
    ACTIONS(7599), 1,
      anon_sym_RBRACE,
    STATE(4331), 2,
      sym_comment,
      aux_sym_import_symbols_list_repeat1,
  [106392] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7603), 1,
      anon_sym_RBRACK,
    STATE(4332), 1,
      sym_comment,
    ACTIONS(7601), 2,
      sym_int_literal,
      sym_identifier,
  [106406] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7605), 1,
      anon_sym_LPAREN,
    STATE(4333), 1,
      sym_comment,
    STATE(80), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [106420] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7609), 1,
      anon_sym_RBRACK,
    STATE(4334), 1,
      sym_comment,
    ACTIONS(7607), 2,
      sym_int_literal,
      sym_identifier,
  [106434] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7611), 1,
      anon_sym_RPAREN,
    STATE(4324), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4335), 1,
      sym_comment,
  [106450] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_LBRACE,
    STATE(1250), 1,
      sym_literal_value,
    STATE(4336), 1,
      sym_comment,
  [106466] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6775), 1,
      anon_sym_LBRACE,
    STATE(2675), 1,
      sym_literal_value,
    STATE(4337), 1,
      sym_comment,
  [106482] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7613), 1,
      sym__string_closing,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4338), 1,
      sym_comment,
  [106498] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7615), 1,
      anon_sym_RPAREN,
    STATE(4044), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4339), 1,
      sym_comment,
  [106514] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7617), 1,
      sym__string_closing,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4340), 1,
      sym_comment,
  [106530] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7619), 1,
      sym__string_closing,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4341), 1,
      sym_comment,
  [106546] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6691), 1,
      anon_sym_LBRACE,
    STATE(2373), 1,
      sym_literal_value,
    STATE(4342), 1,
      sym_comment,
  [106562] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7621), 1,
      anon_sym_RPAREN,
    STATE(4072), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4343), 1,
      sym_comment,
  [106578] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7091), 1,
      anon_sym_SEMI,
    ACTIONS(7623), 1,
      anon_sym_RBRACK,
    STATE(4114), 1,
      aux_sym_attribute_declaration_repeat1,
    STATE(4344), 1,
      sym_comment,
  [106594] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    ACTIONS(7625), 1,
      anon_sym_RBRACE,
    STATE(4102), 1,
      aux_sym_literal_value_repeat2,
    STATE(4345), 1,
      sym_comment,
  [106610] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_comment,
    STATE(1151), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [106624] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7627), 1,
      anon_sym_GT2,
    STATE(4103), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4347), 1,
      sym_comment,
  [106640] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7631), 1,
      anon_sym_RBRACK,
    STATE(4348), 1,
      sym_comment,
    ACTIONS(7629), 2,
      sym_int_literal,
      sym_identifier,
  [106654] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7635), 1,
      anon_sym_RBRACK,
    STATE(4349), 1,
      sym_comment,
    ACTIONS(7633), 2,
      sym_int_literal,
      sym_identifier,
  [106668] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5155), 1,
      anon_sym_LPAREN,
    STATE(4350), 1,
      sym_comment,
    STATE(1931), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [106682] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7637), 1,
      sym__string_closing,
    STATE(4213), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4351), 1,
      sym_comment,
  [106698] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(4352), 1,
      sym_comment,
    STATE(1208), 2,
      sym_parameter_list,
      sym_type_only_parameter_list,
  [106712] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5606), 1,
      anon_sym_COMMA,
    ACTIONS(7641), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      aux_sym_case_list_repeat1,
    STATE(4353), 1,
      sym_comment,
  [106728] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(6631), 1,
      anon_sym_LBRACE,
    STATE(2750), 1,
      sym_literal_value,
    STATE(4354), 1,
      sym_comment,
  [106744] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(198), 1,
      sym_literal_value,
    STATE(4355), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [106758] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    ACTIONS(7643), 1,
      anon_sym_EQ,
    STATE(4356), 1,
      sym_comment,
    STATE(5003), 1,
      sym_type_parameters,
  [106774] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7645), 1,
      sym__string_closing,
    STATE(4351), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4357), 1,
      sym_comment,
  [106790] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(2590), 1,
      sym_block,
    STATE(4358), 1,
      sym_comment,
  [106806] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7647), 1,
      sym__string_closing,
    STATE(4159), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4359), 1,
      sym_comment,
  [106822] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    ACTIONS(7649), 1,
      anon_sym_RPAREN,
    STATE(4339), 1,
      aux_sym_type_only_parameter_list_repeat1,
    STATE(4360), 1,
      sym_comment,
  [106838] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6994), 1,
      sym__string_content,
    ACTIONS(7651), 1,
      sym__string_closing,
    STATE(4341), 1,
      aux_sym_raw_string_literal_repeat1,
    STATE(4361), 1,
      sym_comment,
  [106854] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(1074), 1,
      sym_literal_value,
    STATE(4362), 1,
      sym_comment,
    ACTIONS(1046), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [106868] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7024), 1,
      anon_sym_COMMA,
    ACTIONS(7653), 1,
      anon_sym_RPAREN,
    STATE(4343), 1,
      aux_sym_parameter_list_repeat1,
    STATE(4363), 1,
      sym_comment,
  [106884] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2202), 1,
      anon_sym_RBRACE,
    ACTIONS(7018), 1,
      anon_sym_COMMA,
    STATE(4345), 1,
      aux_sym_literal_value_repeat2,
    STATE(4364), 1,
      sym_comment,
  [106900] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6988), 1,
      anon_sym_COMMA,
    ACTIONS(7655), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4365), 1,
      sym_comment,
  [106916] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7014), 1,
      anon_sym_COMMA,
    ACTIONS(7657), 1,
      anon_sym_GT2,
    STATE(4347), 1,
      aux_sym_multi_return_type_repeat1,
    STATE(4366), 1,
      sym_comment,
  [106932] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7661), 1,
      anon_sym_RBRACK,
    STATE(4367), 1,
      sym_comment,
    ACTIONS(7659), 2,
      sym_int_literal,
      sym_identifier,
  [106946] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5500), 1,
      anon_sym_LBRACE,
    STATE(3157), 1,
      sym__content_block,
    STATE(4368), 1,
      sym_comment,
  [106959] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3892), 1,
      anon_sym_LPAREN,
    STATE(1473), 1,
      sym_argument_list,
    STATE(4369), 1,
      sym_comment,
  [106972] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3664), 1,
      anon_sym_LBRACE,
    STATE(1277), 1,
      sym__content_block,
    STATE(4370), 1,
      sym_comment,
  [106985] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7663), 1,
      sym_identifier,
    ACTIONS(7665), 1,
      anon_sym_LPAREN,
    STATE(4371), 1,
      sym_comment,
  [106998] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7667), 1,
      anon_sym_LBRACE,
    STATE(1670), 1,
      sym__binded_struct_field_declaration_list,
    STATE(4372), 1,
      sym_comment,
  [107011] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7669), 1,
      sym_identifier,
    ACTIONS(7671), 1,
      anon_sym_LPAREN,
    STATE(4373), 1,
      sym_comment,
  [107024] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5252), 1,
      anon_sym_LBRACE,
    STATE(1841), 1,
      sym_block,
    STATE(4374), 1,
      sym_comment,
  [107037] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(2759), 1,
      sym_block,
    STATE(4375), 1,
      sym_comment,
  [107050] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3191), 1,
      sym_block,
    STATE(4376), 1,
      sym_comment,
  [107063] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(1229), 1,
      sym_block,
    STATE(4377), 1,
      sym_comment,
  [107076] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7434), 1,
      anon_sym_RPAREN,
    ACTIONS(7436), 1,
      anon_sym_COMMA,
    STATE(4378), 1,
      sym_comment,
  [107089] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(2709), 1,
      sym_block,
    STATE(4379), 1,
      sym_comment,
  [107102] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3404), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_block,
    STATE(4380), 1,
      sym_comment,
  [107115] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    STATE(209), 1,
      sym_block,
    STATE(4381), 1,
      sym_comment,
  [107128] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1628), 1,
      sym_enum_member_declaration_list,
    STATE(4382), 1,
      sym_comment,
  [107141] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5622), 1,
      anon_sym_LBRACE,
    STATE(2617), 1,
      sym_block,
    STATE(4383), 1,
      sym_comment,
  [107154] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1914), 1,
      sym_block,
    STATE(4384), 1,
      sym_comment,
  [107167] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(1318), 1,
      sym_block,
    STATE(4385), 1,
      sym_comment,
  [107180] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(2632), 1,
      sym_block,
    STATE(4386), 1,
      sym_comment,
  [107193] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7677), 1,
      sym_identifier,
    ACTIONS(7679), 1,
      anon_sym_LPAREN,
    STATE(4387), 1,
      sym_comment,
  [107206] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4388), 1,
      sym_comment,
    ACTIONS(7681), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107217] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    STATE(1639), 1,
      sym_interface_spec_list,
    STATE(4389), 1,
      sym_comment,
  [107230] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      sym__old_identifier,
    STATE(4390), 1,
      sym_comment,
  [107243] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    STATE(2516), 1,
      sym_argument_list,
    STATE(4391), 1,
      sym_comment,
  [107256] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4392), 1,
      sym_comment,
    ACTIONS(7687), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107267] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(1257), 1,
      sym_block,
    STATE(4393), 1,
      sym_comment,
  [107280] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(2850), 1,
      sym__content_block,
    STATE(4394), 1,
      sym_comment,
  [107293] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4395), 1,
      sym_comment,
    ACTIONS(7691), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107304] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4396), 1,
      sym_comment,
    ACTIONS(7599), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107315] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(2450), 1,
      sym_block,
    STATE(4397), 1,
      sym_comment,
  [107328] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
    ACTIONS(7574), 1,
      anon_sym_COMMA,
    STATE(4398), 1,
      sym_comment,
  [107341] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4399), 1,
      sym_comment,
    ACTIONS(7693), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107352] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(4400), 1,
      sym_comment,
    STATE(4941), 1,
      sym_block,
  [107365] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(2570), 1,
      sym_block,
    STATE(4401), 1,
      sym_comment,
  [107378] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5358), 1,
      anon_sym_LBRACE,
    STATE(2846), 1,
      sym__content_block,
    STATE(4402), 1,
      sym_comment,
  [107391] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5336), 1,
      anon_sym_LPAREN,
    STATE(2519), 1,
      sym_argument_list,
    STATE(4403), 1,
      sym_comment,
  [107404] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(2673), 1,
      sym_block,
    STATE(4404), 1,
      sym_comment,
  [107417] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7695), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      sym__old_identifier,
    STATE(4405), 1,
      sym_comment,
  [107430] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(1014), 1,
      sym_block,
    STATE(4406), 1,
      sym_comment,
  [107443] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(1302), 1,
      sym_block,
    STATE(4407), 1,
      sym_comment,
  [107456] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4408), 1,
      sym_comment,
    ACTIONS(7699), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107467] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    STATE(1843), 1,
      sym__content_block,
    STATE(4409), 1,
      sym_comment,
  [107480] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4410), 1,
      sym_comment,
    ACTIONS(1178), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [107491] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7703), 1,
      sym_identifier,
    ACTIONS(7705), 1,
      anon_sym_LPAREN,
    STATE(4411), 1,
      sym_comment,
  [107504] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5252), 1,
      anon_sym_LBRACE,
    STATE(1863), 1,
      sym_block,
    STATE(4412), 1,
      sym_comment,
  [107517] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5210), 1,
      anon_sym_LBRACE,
    STATE(2355), 1,
      sym__content_block,
    STATE(4413), 1,
      sym_comment,
  [107530] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5252), 1,
      anon_sym_LBRACE,
    STATE(1856), 1,
      sym_block,
    STATE(4414), 1,
      sym_comment,
  [107543] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(2644), 1,
      sym_block,
    STATE(4415), 1,
      sym_comment,
  [107556] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5884), 1,
      anon_sym_LBRACE,
    STATE(1207), 1,
      sym_block,
    STATE(4416), 1,
      sym_comment,
  [107569] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5197), 1,
      anon_sym_LPAREN,
    STATE(2236), 1,
      sym_argument_list,
    STATE(4417), 1,
      sym_comment,
  [107582] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7707), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(7709), 1,
      sym__interpolation_closing,
    STATE(4418), 1,
      sym_comment,
  [107595] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(2870), 1,
      sym_block,
    STATE(4419), 1,
      sym_comment,
  [107608] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_LPAREN,
    STATE(4420), 1,
      sym_comment,
  [107621] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7715), 1,
      sym_identifier,
    ACTIONS(7717), 1,
      sym__old_identifier,
    STATE(4421), 1,
      sym_comment,
  [107634] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7719), 1,
      sym_identifier,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    STATE(4422), 1,
      sym_comment,
  [107647] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7426), 1,
      anon_sym_RPAREN,
    ACTIONS(7428), 1,
      anon_sym_COMMA,
    STATE(4423), 1,
      sym_comment,
  [107660] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5001), 1,
      anon_sym_LBRACE,
    STATE(1198), 1,
      sym_block,
    STATE(4424), 1,
      sym_comment,
  [107673] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7723), 1,
      sym_identifier,
    ACTIONS(7725), 1,
      sym_type_identifier,
    STATE(4425), 1,
      sym_comment,
  [107686] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(2647), 1,
      sym_block,
    STATE(4426), 1,
      sym_comment,
  [107699] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4427), 1,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_in,
      anon_sym_COMMA,
  [107710] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7727), 1,
      sym_identifier,
    ACTIONS(7729), 1,
      sym__old_identifier,
    STATE(4428), 1,
      sym_comment,
  [107723] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(2653), 1,
      sym_block,
    STATE(4429), 1,
      sym_comment,
  [107736] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3154), 1,
      sym_block,
    STATE(4430), 1,
      sym_comment,
  [107749] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4431), 1,
      sym_comment,
    ACTIONS(7731), 2,
      sym__string_content,
      sym__string_closing,
  [107760] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    STATE(190), 1,
      sym_block,
    STATE(4432), 1,
      sym_comment,
  [107773] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5874), 1,
      anon_sym_LBRACE,
    STATE(1025), 1,
      sym_block,
    STATE(4433), 1,
      sym_comment,
  [107786] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7733), 1,
      sym_identifier,
    ACTIONS(7735), 1,
      anon_sym_LPAREN,
    STATE(4434), 1,
      sym_comment,
  [107799] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4435), 1,
      sym_comment,
    ACTIONS(1142), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [107810] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(2603), 1,
      sym_block,
    STATE(4436), 1,
      sym_comment,
  [107823] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4437), 1,
      sym_comment,
    ACTIONS(6945), 2,
      anon_sym_RBRACE,
      sym_identifier,
  [107834] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7737), 1,
      sym_identifier,
    ACTIONS(7739), 1,
      sym__old_identifier,
    STATE(4438), 1,
      sym_comment,
  [107847] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(2278), 1,
      sym_block,
    STATE(4439), 1,
      sym_comment,
  [107860] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(2335), 1,
      sym_block,
    STATE(4440), 1,
      sym_comment,
  [107873] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4441), 1,
      sym_comment,
    ACTIONS(6773), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [107884] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4442), 1,
      sym_comment,
    ACTIONS(1564), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [107895] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4443), 1,
      sym_comment,
    ACTIONS(4356), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [107906] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4444), 1,
      sym_comment,
    ACTIONS(4360), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [107917] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(1043), 1,
      sym_block,
    STATE(4445), 1,
      sym_comment,
  [107930] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(2659), 1,
      sym_block,
    STATE(4446), 1,
      sym_comment,
  [107943] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    STATE(2918), 1,
      sym_argument_list,
    STATE(4447), 1,
      sym_comment,
  [107956] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(2755), 1,
      sym_block,
    STATE(4448), 1,
      sym_comment,
  [107969] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7520), 1,
      anon_sym_RPAREN,
    ACTIONS(7522), 1,
      anon_sym_COMMA,
    STATE(4449), 1,
      sym_comment,
  [107982] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7510), 1,
      anon_sym_RPAREN,
    ACTIONS(7512), 1,
      anon_sym_COMMA,
    STATE(4450), 1,
      sym_comment,
  [107995] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4451), 1,
      sym_comment,
    ACTIONS(6699), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [108006] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4452), 1,
      sym_comment,
    ACTIONS(7170), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [108017] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(2326), 1,
      sym_block,
    STATE(4453), 1,
      sym_comment,
  [108030] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7494), 1,
      anon_sym_RPAREN,
    ACTIONS(7496), 1,
      anon_sym_COMMA,
    STATE(4454), 1,
      sym_comment,
  [108043] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(2781), 1,
      sym_block,
    STATE(4455), 1,
      sym_comment,
  [108056] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5522), 1,
      anon_sym_LBRACE,
    STATE(3180), 1,
      sym__content_block,
    STATE(4456), 1,
      sym_comment,
  [108069] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(2657), 1,
      sym_block,
    STATE(4457), 1,
      sym_comment,
  [108082] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4458), 1,
      sym_comment,
    ACTIONS(1620), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [108093] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(2281), 1,
      sym_block,
    STATE(4459), 1,
      sym_comment,
  [108106] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1977), 1,
      sym_parameter_list,
    STATE(4460), 1,
      sym_comment,
  [108119] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4461), 1,
      sym_comment,
    ACTIONS(7741), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [108130] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7743), 1,
      sym_identifier,
    ACTIONS(7745), 1,
      sym__old_identifier,
    STATE(4462), 1,
      sym_comment,
  [108143] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7490), 1,
      anon_sym_RPAREN,
    ACTIONS(7492), 1,
      anon_sym_COMMA,
    STATE(4463), 1,
      sym_comment,
  [108156] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(2583), 1,
      sym_block,
    STATE(4464), 1,
      sym_comment,
  [108169] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5480), 1,
      anon_sym_LPAREN,
    STATE(2720), 1,
      sym_argument_list,
    STATE(4465), 1,
      sym_comment,
  [108182] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4466), 1,
      sym_comment,
    ACTIONS(4068), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [108193] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      sym__old_identifier,
    STATE(4467), 1,
      sym_comment,
  [108206] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4468), 1,
      sym_comment,
    ACTIONS(7751), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [108217] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4469), 1,
      sym_comment,
    ACTIONS(6721), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [108228] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4470), 1,
      sym_comment,
    ACTIONS(4072), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [108239] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7753), 1,
      sym_identifier,
    ACTIONS(7755), 1,
      sym__old_identifier,
    STATE(4471), 1,
      sym_comment,
  [108252] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6843), 1,
      anon_sym_LPAREN,
    STATE(2514), 1,
      sym_argument_list,
    STATE(4472), 1,
      sym_comment,
  [108265] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7757), 1,
      anon_sym_mut,
    ACTIONS(7759), 1,
      anon_sym_COLON2,
    STATE(4473), 1,
      sym_comment,
  [108278] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1991), 1,
      sym_parameter_list,
    STATE(4474), 1,
      sym_comment,
  [108291] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7761), 1,
      anon_sym_LBRACE,
    STATE(2810), 1,
      sym__content_block,
    STATE(4475), 1,
      sym_comment,
  [108304] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4476), 1,
      sym_comment,
    ACTIONS(7763), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [108315] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(1616), 1,
      sym_struct_field_declaration_list,
    STATE(4477), 1,
      sym_comment,
  [108328] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3310), 1,
      sym_block,
    STATE(4478), 1,
      sym_comment,
  [108341] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(1115), 1,
      sym_block,
    STATE(4479), 1,
      sym_comment,
  [108354] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(3103), 1,
      sym_block,
    STATE(4480), 1,
      sym_comment,
  [108367] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7105), 1,
      anon_sym_RPAREN,
    ACTIONS(7107), 1,
      anon_sym_COMMA,
    STATE(4481), 1,
      sym_comment,
  [108380] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4482), 1,
      sym_comment,
    ACTIONS(6747), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [108391] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(2267), 1,
      sym_block,
    STATE(4483), 1,
      sym_comment,
  [108404] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7765), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(7767), 1,
      sym__interpolation_closing,
    STATE(4484), 1,
      sym_comment,
  [108417] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(3240), 1,
      sym_block,
    STATE(4485), 1,
      sym_comment,
  [108430] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7769), 1,
      sym_identifier,
    ACTIONS(7771), 1,
      sym__old_identifier,
    STATE(4486), 1,
      sym_comment,
  [108443] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(1030), 1,
      sym_block,
    STATE(4487), 1,
      sym_comment,
  [108456] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACE,
    STATE(2857), 1,
      sym_block,
    STATE(4488), 1,
      sym_comment,
  [108469] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(1599), 1,
      sym_struct_field_declaration_list,
    STATE(4489), 1,
      sym_comment,
  [108482] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1971), 1,
      sym_parameter_list,
    STATE(4490), 1,
      sym_comment,
  [108495] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3308), 1,
      sym_block,
    STATE(4491), 1,
      sym_comment,
  [108508] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3256), 1,
      sym_block,
    STATE(4492), 1,
      sym_comment,
  [108521] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      sym__old_identifier,
    STATE(4493), 1,
      sym_comment,
  [108534] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7777), 1,
      sym_identifier,
    ACTIONS(7779), 1,
      anon_sym_LPAREN,
    STATE(4494), 1,
      sym_comment,
  [108547] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4495), 1,
      sym_comment,
    ACTIONS(5618), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [108558] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7039), 1,
      anon_sym_RPAREN,
    ACTIONS(7041), 1,
      anon_sym_COMMA,
    STATE(4496), 1,
      sym_comment,
  [108571] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(3150), 1,
      sym_block,
    STATE(4497), 1,
      sym_comment,
  [108584] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7781), 1,
      sym_identifier,
    ACTIONS(7783), 1,
      anon_sym_LPAREN,
    STATE(4498), 1,
      sym_comment,
  [108597] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1983), 1,
      sym_parameter_list,
    STATE(4499), 1,
      sym_comment,
  [108610] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7785), 1,
      sym_identifier,
    ACTIONS(7787), 1,
      sym__old_identifier,
    STATE(4500), 1,
      sym_comment,
  [108623] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym_block,
    STATE(4501), 1,
      sym_comment,
  [108636] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3266), 1,
      anon_sym_LPAREN,
    STATE(995), 1,
      sym_argument_list,
    STATE(4502), 1,
      sym_comment,
  [108649] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4503), 1,
      sym_comment,
    ACTIONS(1196), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [108660] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(3198), 1,
      sym_block,
    STATE(4504), 1,
      sym_comment,
  [108673] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5626), 1,
      anon_sym_LBRACE,
    STATE(3358), 1,
      sym__content_block,
    STATE(4505), 1,
      sym_comment,
  [108686] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      sym__old_identifier,
    STATE(4506), 1,
      sym_comment,
  [108699] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4507), 1,
      sym_comment,
    ACTIONS(6789), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [108710] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(1708), 1,
      sym_block,
    STATE(4508), 1,
      sym_comment,
  [108723] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7667), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym__binded_struct_field_declaration_list,
    STATE(4509), 1,
      sym_comment,
  [108736] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1228), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym__content_block,
    STATE(4510), 1,
      sym_comment,
  [108749] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1013), 1,
      anon_sym_LPAREN,
    STATE(99), 1,
      sym_argument_list,
    STATE(4511), 1,
      sym_comment,
  [108762] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(2945), 1,
      sym_block,
    STATE(4512), 1,
      sym_comment,
  [108775] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7793), 1,
      anon_sym_mut,
    ACTIONS(7795), 1,
      anon_sym_COLON2,
    STATE(4513), 1,
      sym_comment,
  [108788] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7797), 1,
      sym_identifier,
    ACTIONS(7799), 1,
      anon_sym_LPAREN,
    STATE(4514), 1,
      sym_comment,
  [108801] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym__content_block,
    STATE(4515), 1,
      sym_comment,
  [108814] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1987), 1,
      sym_parameter_list,
    STATE(4516), 1,
      sym_comment,
  [108827] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7801), 1,
      sym_identifier,
    ACTIONS(7803), 1,
      sym__old_identifier,
    STATE(4517), 1,
      sym_comment,
  [108840] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_block,
    STATE(4518), 1,
      sym_comment,
  [108853] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3208), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym__content_block,
    STATE(4519), 1,
      sym_comment,
  [108866] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4520), 1,
      sym_comment,
    ACTIONS(5670), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [108877] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7805), 1,
      sym_identifier,
    ACTIONS(7807), 1,
      sym__old_identifier,
    STATE(4521), 1,
      sym_comment,
  [108890] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5814), 1,
      anon_sym_LBRACE,
    STATE(155), 1,
      sym_block,
    STATE(4522), 1,
      sym_comment,
  [108903] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4973), 1,
      anon_sym_LBRACE,
    STATE(3368), 1,
      sym_block,
    STATE(4523), 1,
      sym_comment,
  [108916] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_enum_member_declaration_list,
    STATE(4524), 1,
      sym_comment,
  [108929] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(2784), 1,
      anon_sym_LPAREN,
    STATE(447), 1,
      sym_argument_list,
    STATE(4525), 1,
      sym_comment,
  [108942] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7809), 1,
      sym_identifier,
    ACTIONS(7811), 1,
      sym__old_identifier,
    STATE(4526), 1,
      sym_comment,
  [108955] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4527), 1,
      sym_comment,
    ACTIONS(3735), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [108966] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(2994), 1,
      sym_block,
    STATE(4528), 1,
      sym_comment,
  [108979] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_block,
    STATE(4529), 1,
      sym_comment,
  [108992] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_block,
    STATE(4530), 1,
      sym_comment,
  [109005] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(3084), 1,
      sym_block,
    STATE(4531), 1,
      sym_comment,
  [109018] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7324), 1,
      anon_sym_RPAREN,
    ACTIONS(7326), 1,
      anon_sym_COMMA,
    STATE(4532), 1,
      sym_comment,
  [109031] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1988), 1,
      sym_parameter_list,
    STATE(4533), 1,
      sym_comment,
  [109044] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7813), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      sym__old_identifier,
    STATE(4534), 1,
      sym_comment,
  [109057] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    STATE(1609), 1,
      sym_interface_spec_list,
    STATE(4535), 1,
      sym_comment,
  [109070] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4536), 1,
      sym_comment,
    ACTIONS(7817), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [109081] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACE,
    STATE(3072), 1,
      sym_block,
    STATE(4537), 1,
      sym_comment,
  [109094] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7043), 1,
      anon_sym_RPAREN,
    ACTIONS(7045), 1,
      anon_sym_COMMA,
    STATE(4538), 1,
      sym_comment,
  [109107] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4539), 1,
      sym_comment,
    ACTIONS(3624), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [109118] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    STATE(153), 1,
      sym_block,
    STATE(4540), 1,
      sym_comment,
  [109131] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_block,
    STATE(4541), 1,
      sym_comment,
  [109144] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(3129), 1,
      sym_block,
    STATE(4542), 1,
      sym_comment,
  [109157] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(2977), 1,
      sym_block,
    STATE(4543), 1,
      sym_comment,
  [109170] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4544), 1,
      sym_comment,
    ACTIONS(7819), 2,
      anon_sym_LPAREN,
      anon_sym_LT2,
  [109181] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1980), 1,
      sym_parameter_list,
    STATE(4545), 1,
      sym_comment,
  [109194] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7821), 1,
      sym_identifier,
    ACTIONS(7823), 1,
      sym__old_identifier,
    STATE(4546), 1,
      sym_comment,
  [109207] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1965), 1,
      sym_parameter_list,
    STATE(4547), 1,
      sym_comment,
  [109220] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7825), 1,
      sym_identifier,
    ACTIONS(7827), 1,
      anon_sym_LPAREN,
    STATE(4548), 1,
      sym_comment,
  [109233] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5270), 1,
      anon_sym_LBRACE,
    STATE(2464), 1,
      sym__content_block,
    STATE(4549), 1,
      sym_comment,
  [109246] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    STATE(1629), 1,
      sym_interface_spec_list,
    STATE(4550), 1,
      sym_comment,
  [109259] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(1787), 1,
      sym_block,
    STATE(4551), 1,
      sym_comment,
  [109272] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5878), 1,
      anon_sym_LBRACE,
    STATE(886), 1,
      sym_block,
    STATE(4552), 1,
      sym_comment,
  [109285] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5228), 1,
      anon_sym_LPAREN,
    STATE(2328), 1,
      sym_argument_list,
    STATE(4553), 1,
      sym_comment,
  [109298] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(1407), 1,
      sym_block,
    STATE(4554), 1,
      sym_comment,
  [109311] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      sym__old_identifier,
    STATE(4555), 1,
      sym_comment,
  [109324] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(2371), 1,
      sym_block,
    STATE(4556), 1,
      sym_comment,
  [109337] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4557), 1,
      sym_comment,
    ACTIONS(5842), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [109348] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7833), 1,
      sym_identifier,
    ACTIONS(7835), 1,
      anon_sym_LPAREN,
    STATE(4558), 1,
      sym_comment,
  [109361] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4559), 1,
      sym_comment,
    ACTIONS(7064), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109372] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7839), 1,
      sym__old_identifier,
    STATE(4560), 1,
      sym_comment,
  [109385] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1972), 1,
      sym_parameter_list,
    STATE(4561), 1,
      sym_comment,
  [109398] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7667), 1,
      anon_sym_LBRACE,
    STATE(1611), 1,
      sym__binded_struct_field_declaration_list,
    STATE(4562), 1,
      sym_comment,
  [109411] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(1592), 1,
      sym_struct_field_declaration_list,
    STATE(4563), 1,
      sym_comment,
  [109424] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7841), 1,
      sym_identifier,
    ACTIONS(7843), 1,
      anon_sym_LPAREN,
    STATE(4564), 1,
      sym_comment,
  [109437] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      sym__old_identifier,
    STATE(4565), 1,
      sym_comment,
  [109450] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7849), 1,
      sym_identifier,
    ACTIONS(7851), 1,
      sym__old_identifier,
    STATE(4566), 1,
      sym_comment,
  [109463] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4567), 1,
      sym_comment,
    ACTIONS(5302), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [109474] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7853), 1,
      sym_identifier,
    ACTIONS(7855), 1,
      sym__old_identifier,
    STATE(4568), 1,
      sym_comment,
  [109487] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7857), 1,
      sym_identifier,
    ACTIONS(7859), 1,
      sym__old_identifier,
    STATE(4569), 1,
      sym_comment,
  [109500] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7861), 1,
      sym_identifier,
    ACTIONS(7863), 1,
      sym__old_identifier,
    STATE(4570), 1,
      sym_comment,
  [109513] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      sym__old_identifier,
    STATE(4571), 1,
      sym_comment,
  [109526] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7869), 1,
      sym_identifier,
    ACTIONS(7871), 1,
      sym__old_identifier,
    STATE(4572), 1,
      sym_comment,
  [109539] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7873), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      sym__old_identifier,
    STATE(4573), 1,
      sym_comment,
  [109552] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7877), 1,
      sym_identifier,
    ACTIONS(7879), 1,
      sym__old_identifier,
    STATE(4574), 1,
      sym_comment,
  [109565] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7881), 1,
      sym_identifier,
    ACTIONS(7883), 1,
      sym__old_identifier,
    STATE(4575), 1,
      sym_comment,
  [109578] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7885), 1,
      anon_sym_LBRACE,
    STATE(1546), 1,
      sym__content_block,
    STATE(4576), 1,
      sym_comment,
  [109591] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACE,
    STATE(1431), 1,
      sym__content_block,
    STATE(4577), 1,
      sym_comment,
  [109604] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    STATE(880), 1,
      sym_block,
    STATE(4578), 1,
      sym_comment,
  [109617] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6831), 1,
      anon_sym_LPAREN,
    STATE(1335), 1,
      sym_argument_list,
    STATE(4579), 1,
      sym_comment,
  [109630] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5478), 1,
      anon_sym_LPAREN,
    STATE(2803), 1,
      sym_argument_list,
    STATE(4580), 1,
      sym_comment,
  [109643] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7889), 1,
      sym_identifier,
    ACTIONS(7891), 1,
      sym__old_identifier,
    STATE(4581), 1,
      sym_comment,
  [109656] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1986), 1,
      sym_parameter_list,
    STATE(4582), 1,
      sym_comment,
  [109669] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4583), 1,
      sym_comment,
    ACTIONS(5260), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [109680] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4584), 1,
      sym_comment,
    ACTIONS(1456), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [109691] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4585), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [109702] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4586), 1,
      sym_comment,
    ACTIONS(7115), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109713] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(1351), 1,
      sym_block,
    STATE(4587), 1,
      sym_comment,
  [109726] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3594), 1,
      anon_sym_LPAREN,
    STATE(1179), 1,
      sym_argument_list,
    STATE(4588), 1,
      sym_comment,
  [109739] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(1451), 1,
      sym_block,
    STATE(4589), 1,
      sym_comment,
  [109752] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(2686), 1,
      sym_block,
    STATE(4590), 1,
      sym_comment,
  [109765] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1976), 1,
      sym_parameter_list,
    STATE(4591), 1,
      sym_comment,
  [109778] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(2397), 1,
      sym_block,
    STATE(4592), 1,
      sym_comment,
  [109791] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7140), 1,
      anon_sym_RPAREN,
    ACTIONS(7142), 1,
      anon_sym_COMMA,
    STATE(4593), 1,
      sym_comment,
  [109804] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7893), 1,
      sym_identifier,
    ACTIONS(7895), 1,
      anon_sym_LPAREN,
    STATE(4594), 1,
      sym_comment,
  [109817] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4595), 1,
      sym_comment,
    ACTIONS(3296), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [109828] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3404), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      sym_block,
    STATE(4596), 1,
      sym_comment,
  [109841] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7897), 1,
      sym_identifier,
    ACTIONS(7899), 1,
      sym__old_identifier,
    STATE(4597), 1,
      sym_comment,
  [109854] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(2413), 1,
      sym_block,
    STATE(4598), 1,
      sym_comment,
  [109867] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(3404), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_block,
    STATE(4599), 1,
      sym_comment,
  [109880] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_block,
    STATE(4600), 1,
      sym_comment,
  [109893] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(1468), 1,
      sym_block,
    STATE(4601), 1,
      sym_comment,
  [109906] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4965), 1,
      anon_sym_LBRACE,
    STATE(4602), 1,
      sym_comment,
    STATE(4973), 1,
      sym_block,
  [109919] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(2443), 1,
      sym_block,
    STATE(4603), 1,
      sym_comment,
  [109932] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1974), 1,
      sym_parameter_list,
    STATE(4604), 1,
      sym_comment,
  [109945] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5778), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_block,
    STATE(4605), 1,
      sym_comment,
  [109958] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1964), 1,
      sym_parameter_list,
    STATE(4606), 1,
      sym_comment,
  [109971] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4607), 1,
      sym_comment,
    ACTIONS(1200), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [109982] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    STATE(160), 1,
      sym_block,
    STATE(4608), 1,
      sym_comment,
  [109995] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4609), 1,
      sym_comment,
    ACTIONS(7175), 2,
      anon_sym_in,
      anon_sym_COMMA,
  [110006] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(1549), 1,
      sym_struct_field_declaration_list,
    STATE(4610), 1,
      sym_comment,
  [110019] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4611), 1,
      sym_comment,
    ACTIONS(7163), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [110030] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4612), 1,
      sym_comment,
    ACTIONS(4594), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [110041] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7667), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym__binded_struct_field_declaration_list,
    STATE(4613), 1,
      sym_comment,
  [110054] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5782), 1,
      anon_sym_LBRACE,
    STATE(1686), 1,
      sym_block,
    STATE(4614), 1,
      sym_comment,
  [110067] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1907), 1,
      sym_block,
    STATE(4615), 1,
      sym_comment,
  [110080] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4941), 1,
      anon_sym_LBRACE,
    STATE(3093), 1,
      sym_block,
    STATE(4616), 1,
      sym_comment,
  [110093] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6411), 1,
      anon_sym_LT2,
    STATE(3739), 1,
      sym_type_parameters,
    STATE(4617), 1,
      sym_comment,
  [110106] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1560), 1,
      sym_enum_member_declaration_list,
    STATE(4618), 1,
      sym_comment,
  [110119] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(1746), 1,
      sym_block,
    STATE(4619), 1,
      sym_comment,
  [110132] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7232), 1,
      anon_sym_RPAREN,
    ACTIONS(7234), 1,
      anon_sym_COMMA,
    STATE(4620), 1,
      sym_comment,
  [110145] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    STATE(4621), 1,
      sym_comment,
  [110158] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7226), 1,
      anon_sym_RPAREN,
    ACTIONS(7228), 1,
      anon_sym_COMMA,
    STATE(4622), 1,
      sym_comment,
  [110171] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_interface_spec_list,
    STATE(4623), 1,
      sym_comment,
  [110184] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4999), 1,
      anon_sym_LBRACE,
    STATE(1374), 1,
      sym_block,
    STATE(4624), 1,
      sym_comment,
  [110197] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(2412), 1,
      sym_block,
    STATE(4625), 1,
      sym_comment,
  [110210] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4969), 1,
      anon_sym_LBRACE,
    STATE(2485), 1,
      sym_block,
    STATE(4626), 1,
      sym_comment,
  [110223] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4542), 1,
      anon_sym_LBRACE,
    STATE(1772), 1,
      sym__content_block,
    STATE(4627), 1,
      sym_comment,
  [110236] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(1969), 1,
      sym_parameter_list,
    STATE(4628), 1,
      sym_comment,
  [110249] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(1760), 1,
      sym_block,
    STATE(4629), 1,
      sym_comment,
  [110262] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(1688), 1,
      sym_block,
    STATE(4630), 1,
      sym_comment,
  [110275] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(4787), 1,
      anon_sym_LBRACE,
    STATE(254), 1,
      sym_block,
    STATE(4631), 1,
      sym_comment,
  [110288] = 3,
    ACTIONS(3), 1,
      sym__comment,
    STATE(4632), 1,
      sym_comment,
    ACTIONS(3238), 2,
      anon_sym_is,
      anon_sym_BANGis,
  [110299] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7905), 1,
      anon_sym_RBRACK,
    STATE(4633), 1,
      sym_comment,
  [110309] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7907), 1,
      anon_sym_RBRACE,
    STATE(4634), 1,
      sym_comment,
  [110319] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7909), 1,
      sym_type_identifier,
    STATE(4635), 1,
      sym_comment,
  [110329] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7911), 1,
      anon_sym_DOT,
    STATE(4636), 1,
      sym_comment,
  [110339] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7913), 1,
      aux_sym__content_block_token1,
    STATE(4637), 1,
      sym_comment,
  [110349] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7915), 1,
      sym_identifier,
    STATE(4638), 1,
      sym_comment,
  [110359] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7917), 1,
      anon_sym_RBRACK,
    STATE(4639), 1,
      sym_comment,
  [110369] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7919), 1,
      anon_sym_RBRACE,
    STATE(4640), 1,
      sym_comment,
  [110379] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7921), 1,
      anon_sym_LBRACE,
    STATE(4641), 1,
      sym_comment,
  [110389] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1504), 1,
      anon_sym_RBRACE,
    STATE(4642), 1,
      sym_comment,
  [110399] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7923), 1,
      sym_type_identifier,
    STATE(4643), 1,
      sym_comment,
  [110409] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7925), 1,
      anon_sym_LBRACE,
    STATE(4644), 1,
      sym_comment,
  [110419] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7927), 1,
      anon_sym_RBRACE,
    STATE(4645), 1,
      sym_comment,
  [110429] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7929), 1,
      sym_import_path,
    STATE(4646), 1,
      sym_comment,
  [110439] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7931), 1,
      anon_sym_DOT2,
    STATE(4647), 1,
      sym_comment,
  [110449] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7933), 1,
      anon_sym_RBRACK,
    STATE(4648), 1,
      sym_comment,
  [110459] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7935), 1,
      sym_immediate_identifier,
    STATE(4649), 1,
      sym_comment,
  [110469] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(477), 1,
      anon_sym_RBRACE,
    STATE(4650), 1,
      sym_comment,
  [110479] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1778), 1,
      anon_sym_RBRACE,
    STATE(4651), 1,
      sym_comment,
  [110489] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7937), 1,
      anon_sym_RBRACE,
    STATE(4652), 1,
      sym_comment,
  [110499] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7939), 1,
      anon_sym_RBRACE,
    STATE(4653), 1,
      sym_comment,
  [110509] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7941), 1,
      anon_sym_RBRACK,
    STATE(4654), 1,
      sym_comment,
  [110519] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7943), 1,
      anon_sym_RBRACK,
    STATE(4655), 1,
      sym_comment,
  [110529] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7945), 1,
      anon_sym_DOT2,
    STATE(4656), 1,
      sym_comment,
  [110539] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1506), 1,
      anon_sym_RBRACE,
    STATE(4657), 1,
      sym_comment,
  [110549] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7947), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4658), 1,
      sym_comment,
  [110559] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7949), 1,
      anon_sym_RBRACE,
    STATE(4659), 1,
      sym_comment,
  [110569] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1324), 1,
      anon_sym_RBRACE,
    STATE(4660), 1,
      sym_comment,
  [110579] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7951), 1,
      sym_int_literal,
    STATE(4661), 1,
      sym_comment,
  [110589] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7246), 1,
      sym__interpolation_closing,
    STATE(4662), 1,
      sym_comment,
  [110599] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7953), 1,
      anon_sym_DOT,
    STATE(4663), 1,
      sym_comment,
  [110609] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7955), 1,
      aux_sym__content_block_token1,
    STATE(4664), 1,
      sym_comment,
  [110619] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(439), 1,
      anon_sym_RBRACE,
    STATE(4665), 1,
      sym_comment,
  [110629] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1472), 1,
      anon_sym_RBRACE,
    STATE(4666), 1,
      sym_comment,
  [110639] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7957), 1,
      anon_sym_RBRACK,
    STATE(4667), 1,
      sym_comment,
  [110649] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7959), 1,
      anon_sym_LBRACE,
    STATE(4668), 1,
      sym_comment,
  [110659] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1486), 1,
      anon_sym_RBRACE,
    STATE(4669), 1,
      sym_comment,
  [110669] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7961), 1,
      anon_sym_RBRACK,
    STATE(4670), 1,
      sym_comment,
  [110679] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7963), 1,
      anon_sym_RBRACE,
    STATE(4671), 1,
      sym_comment,
  [110689] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7965), 1,
      anon_sym_RBRACK,
    STATE(4672), 1,
      sym_comment,
  [110699] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6099), 1,
      anon_sym_COLON_EQ,
    STATE(4673), 1,
      sym_comment,
  [110709] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7967), 1,
      anon_sym_LBRACE,
    STATE(4674), 1,
      sym_comment,
  [110719] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7969), 1,
      anon_sym_RBRACK,
    STATE(4675), 1,
      sym_comment,
  [110729] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7971), 1,
      anon_sym_RBRACK,
    STATE(4676), 1,
      sym_comment,
  [110739] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7973), 1,
      anon_sym_DOT2,
    STATE(4677), 1,
      sym_comment,
  [110749] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7975), 1,
      anon_sym_LBRACE,
    STATE(4678), 1,
      sym_comment,
  [110759] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7977), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4679), 1,
      sym_comment,
  [110769] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(431), 1,
      anon_sym_RBRACE,
    STATE(4680), 1,
      sym_comment,
  [110779] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5019), 1,
      anon_sym_EQ,
    STATE(4681), 1,
      sym_comment,
  [110789] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7979), 1,
      anon_sym_EQ,
    STATE(4682), 1,
      sym_comment,
  [110799] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7981), 1,
      sym_int_literal,
    STATE(4683), 1,
      sym_comment,
  [110809] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7983), 1,
      anon_sym_DOT,
    STATE(4684), 1,
      sym_comment,
  [110819] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7985), 1,
      aux_sym__content_block_token1,
    STATE(4685), 1,
      sym_comment,
  [110829] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7987), 1,
      anon_sym_RBRACE,
    STATE(4686), 1,
      sym_comment,
  [110839] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7989), 1,
      anon_sym_RBRACE,
    STATE(4687), 1,
      sym_comment,
  [110849] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7991), 1,
      anon_sym_RBRACK,
    STATE(4688), 1,
      sym_comment,
  [110859] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7993), 1,
      anon_sym_LBRACE,
    STATE(4689), 1,
      sym_comment,
  [110869] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7995), 1,
      anon_sym_SEMI,
    STATE(4690), 1,
      sym_comment,
  [110879] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7997), 1,
      anon_sym_in,
    STATE(4691), 1,
      sym_comment,
  [110889] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7999), 1,
      aux_sym__content_block_token1,
    STATE(4692), 1,
      sym_comment,
  [110899] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    STATE(4693), 1,
      sym_comment,
  [110909] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8003), 1,
      anon_sym_RBRACE,
    STATE(4694), 1,
      sym_comment,
  [110919] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8005), 1,
      anon_sym_RBRACE,
    STATE(4695), 1,
      sym_comment,
  [110929] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8007), 1,
      anon_sym_COLON,
    STATE(4696), 1,
      sym_comment,
  [110939] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8009), 1,
      anon_sym_DOT2,
    STATE(4697), 1,
      sym_comment,
  [110949] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8011), 1,
      anon_sym_,
    STATE(4698), 1,
      sym_comment,
  [110959] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1708), 1,
      anon_sym_RBRACE,
    STATE(4699), 1,
      sym_comment,
  [110969] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7270), 1,
      sym__interpolation_closing,
    STATE(4700), 1,
      sym_comment,
  [110979] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8013), 1,
      anon_sym_RBRACE,
    STATE(4701), 1,
      sym_comment,
  [110989] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1460), 1,
      anon_sym_RBRACE,
    STATE(4702), 1,
      sym_comment,
  [110999] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8015), 1,
      anon_sym_RBRACE,
    STATE(4703), 1,
      sym_comment,
  [111009] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8017), 1,
      anon_sym_DOT,
    STATE(4704), 1,
      sym_comment,
  [111019] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8019), 1,
      aux_sym__content_block_token1,
    STATE(4705), 1,
      sym_comment,
  [111029] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1766), 1,
      anon_sym_RBRACE,
    STATE(4706), 1,
      sym_comment,
  [111039] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1798), 1,
      anon_sym_RBRACE,
    STATE(4707), 1,
      sym_comment,
  [111049] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8021), 1,
      anon_sym_RBRACE,
    STATE(4708), 1,
      sym_comment,
  [111059] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8023), 1,
      anon_sym_LBRACE,
    STATE(4709), 1,
      sym_comment,
  [111069] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8025), 1,
      sym_type_identifier,
    STATE(4710), 1,
      sym_comment,
  [111079] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1258), 1,
      anon_sym_RBRACE,
    STATE(4711), 1,
      sym_comment,
  [111089] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8027), 1,
      aux_sym_hash_statement_token1,
    STATE(4712), 1,
      sym_comment,
  [111099] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1446), 1,
      anon_sym_RBRACE,
    STATE(4713), 1,
      sym_comment,
  [111109] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8029), 1,
      sym_type_identifier,
    STATE(4714), 1,
      sym_comment,
  [111119] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8031), 1,
      sym_identifier,
    STATE(4715), 1,
      sym_comment,
  [111129] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8033), 1,
      sym_type_identifier,
    STATE(4716), 1,
      sym_comment,
  [111139] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8035), 1,
      anon_sym_DOT2,
    STATE(4717), 1,
      sym_comment,
  [111149] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8037), 1,
      anon_sym_DOT2,
    STATE(4718), 1,
      sym_comment,
  [111159] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8039), 1,
      anon_sym_RBRACK,
    STATE(4719), 1,
      sym_comment,
  [111169] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8041), 1,
      anon_sym_RBRACE,
    STATE(4720), 1,
      sym_comment,
  [111179] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8043), 1,
      anon_sym_RBRACE,
    STATE(4721), 1,
      sym_comment,
  [111189] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8045), 1,
      anon_sym_RBRACK,
    STATE(4722), 1,
      sym_comment,
  [111199] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8047), 1,
      anon_sym_RBRACE,
    STATE(4723), 1,
      sym_comment,
  [111209] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8049), 1,
      anon_sym_DOT,
    STATE(4724), 1,
      sym_comment,
  [111219] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8051), 1,
      aux_sym__content_block_token1,
    STATE(4725), 1,
      sym_comment,
  [111229] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(411), 1,
      anon_sym_RBRACE,
    STATE(4726), 1,
      sym_comment,
  [111239] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8053), 1,
      anon_sym_RBRACE,
    STATE(4727), 1,
      sym_comment,
  [111249] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8055), 1,
      anon_sym_RBRACE,
    STATE(4728), 1,
      sym_comment,
  [111259] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACE,
    STATE(4729), 1,
      sym_comment,
  [111269] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5005), 1,
      anon_sym_EQ,
    STATE(4730), 1,
      sym_comment,
  [111279] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(443), 1,
      anon_sym_RBRACE,
    STATE(4731), 1,
      sym_comment,
  [111289] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8059), 1,
      anon_sym_RBRACE,
    STATE(4732), 1,
      sym_comment,
  [111299] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8061), 1,
      anon_sym_RBRACK,
    STATE(4733), 1,
      sym_comment,
  [111309] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8063), 1,
      anon_sym_LBRACE,
    STATE(4734), 1,
      sym_comment,
  [111319] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8065), 1,
      sym_immediate_identifier,
    STATE(4735), 1,
      sym_comment,
  [111329] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8067), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4736), 1,
      sym_comment,
  [111339] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8069), 1,
      anon_sym_DOT2,
    STATE(4737), 1,
      sym_comment,
  [111349] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8071), 1,
      anon_sym_EQ,
    STATE(4738), 1,
      sym_comment,
  [111359] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8073), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4739), 1,
      sym_comment,
  [111369] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1442), 1,
      anon_sym_RBRACE,
    STATE(4740), 1,
      sym_comment,
  [111379] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(457), 1,
      anon_sym_RBRACE,
    STATE(4741), 1,
      sym_comment,
  [111389] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8075), 1,
      anon_sym_RBRACE,
    STATE(4742), 1,
      sym_comment,
  [111399] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8077), 1,
      anon_sym_RBRACK,
    STATE(4743), 1,
      sym_comment,
  [111409] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(5157), 1,
      anon_sym_DOT,
    STATE(4744), 1,
      sym_comment,
  [111419] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8079), 1,
      aux_sym__content_block_token1,
    STATE(4745), 1,
      sym_comment,
  [111429] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8081), 1,
      sym_type_identifier,
    STATE(4746), 1,
      sym_comment,
  [111439] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8083), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4747), 1,
      sym_comment,
  [111449] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8085), 1,
      anon_sym_LBRACE,
    STATE(4748), 1,
      sym_comment,
  [111459] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8087), 1,
      anon_sym_LBRACE,
    STATE(4749), 1,
      sym_comment,
  [111469] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(463), 1,
      anon_sym_RBRACE,
    STATE(4750), 1,
      sym_comment,
  [111479] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8089), 1,
      anon_sym_RBRACE,
    STATE(4751), 1,
      sym_comment,
  [111489] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8091), 1,
      anon_sym_RBRACE,
    STATE(4752), 1,
      sym_comment,
  [111499] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8093), 1,
      anon_sym_RBRACK,
    STATE(4753), 1,
      sym_comment,
  [111509] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8095), 1,
      sym_immediate_identifier,
    STATE(4754), 1,
      sym_comment,
  [111519] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8097), 1,
      anon_sym_RBRACK,
    STATE(4755), 1,
      sym_comment,
  [111529] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8099), 1,
      anon_sym_RBRACK,
    STATE(4756), 1,
      sym_comment,
  [111539] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8101), 1,
      anon_sym_DOT2,
    STATE(4757), 1,
      sym_comment,
  [111549] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8103), 1,
      anon_sym_RBRACE,
    STATE(4758), 1,
      sym_comment,
  [111559] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(497), 1,
      anon_sym_RBRACE,
    STATE(4759), 1,
      sym_comment,
  [111569] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8105), 1,
      anon_sym_RBRACE,
    STATE(4760), 1,
      sym_comment,
  [111579] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(433), 1,
      anon_sym_RBRACE,
    STATE(4761), 1,
      sym_comment,
  [111589] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8107), 1,
      anon_sym_RBRACE,
    STATE(4762), 1,
      sym_comment,
  [111599] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8109), 1,
      anon_sym_RBRACE,
    STATE(4763), 1,
      sym_comment,
  [111609] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8111), 1,
      anon_sym_DOT,
    STATE(4764), 1,
      sym_comment,
  [111619] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8113), 1,
      aux_sym__content_block_token1,
    STATE(4765), 1,
      sym_comment,
  [111629] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8115), 1,
      anon_sym_RBRACK,
    STATE(4766), 1,
      sym_comment,
  [111639] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8117), 1,
      anon_sym_RBRACE,
    STATE(4767), 1,
      sym_comment,
  [111649] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8119), 1,
      anon_sym_RBRACE,
    STATE(4768), 1,
      sym_comment,
  [111659] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8121), 1,
      anon_sym_LBRACE,
    STATE(4769), 1,
      sym_comment,
  [111669] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8123), 1,
      anon_sym_RBRACE,
    STATE(4770), 1,
      sym_comment,
  [111679] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1440), 1,
      anon_sym_RBRACE,
    STATE(4771), 1,
      sym_comment,
  [111689] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(425), 1,
      anon_sym_RBRACE,
    STATE(4772), 1,
      sym_comment,
  [111699] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8125), 1,
      anon_sym_RBRACE,
    STATE(4773), 1,
      sym_comment,
  [111709] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8127), 1,
      anon_sym_RBRACE,
    STATE(4774), 1,
      sym_comment,
  [111719] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8129), 1,
      anon_sym_RBRACK,
    STATE(4775), 1,
      sym_comment,
  [111729] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8131), 1,
      anon_sym_RBRACE,
    STATE(4776), 1,
      sym_comment,
  [111739] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8133), 1,
      anon_sym_DOT2,
    STATE(4777), 1,
      sym_comment,
  [111749] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(485), 1,
      anon_sym_RBRACE,
    STATE(4778), 1,
      sym_comment,
  [111759] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7795), 1,
      anon_sym_COLON2,
    STATE(4779), 1,
      sym_comment,
  [111769] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1298), 1,
      anon_sym_RBRACE,
    STATE(4780), 1,
      sym_comment,
  [111779] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8135), 1,
      anon_sym_RBRACE,
    STATE(4781), 1,
      sym_comment,
  [111789] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8137), 1,
      sym_type_identifier,
    STATE(4782), 1,
      sym_comment,
  [111799] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8139), 1,
      anon_sym_RBRACK,
    STATE(4783), 1,
      sym_comment,
  [111809] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8141), 1,
      anon_sym_DOT,
    STATE(4784), 1,
      sym_comment,
  [111819] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8143), 1,
      aux_sym__content_block_token1,
    STATE(4785), 1,
      sym_comment,
  [111829] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8145), 1,
      anon_sym_RBRACK,
    STATE(4786), 1,
      sym_comment,
  [111839] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1814), 1,
      anon_sym_RBRACE,
    STATE(4787), 1,
      sym_comment,
  [111849] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8147), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4788), 1,
      sym_comment,
  [111859] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8149), 1,
      anon_sym_LBRACE,
    STATE(4789), 1,
      sym_comment,
  [111869] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8151), 1,
      anon_sym_RBRACK,
    STATE(4790), 1,
      sym_comment,
  [111879] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8153), 1,
      anon_sym_RBRACK,
    STATE(4791), 1,
      sym_comment,
  [111889] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8155), 1,
      anon_sym_RBRACK,
    STATE(4792), 1,
      sym_comment,
  [111899] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8157), 1,
      anon_sym_RBRACK,
    STATE(4793), 1,
      sym_comment,
  [111909] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(493), 1,
      anon_sym_RBRACE,
    STATE(4794), 1,
      sym_comment,
  [111919] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8159), 1,
      sym__interpolation_closing,
    STATE(4795), 1,
      sym_comment,
  [111929] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8161), 1,
      anon_sym_RBRACK,
    STATE(4796), 1,
      sym_comment,
  [111939] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8163), 1,
      anon_sym_DOT2,
    STATE(4797), 1,
      sym_comment,
  [111949] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8165), 1,
      sym_type_identifier,
    STATE(4798), 1,
      sym_comment,
  [111959] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1816), 1,
      anon_sym_RBRACE,
    STATE(4799), 1,
      sym_comment,
  [111969] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8167), 1,
      aux_sym__content_block_token1,
    STATE(4800), 1,
      sym_comment,
  [111979] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8169), 1,
      anon_sym_RBRACE,
    STATE(4801), 1,
      sym_comment,
  [111989] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    STATE(4802), 1,
      sym_comment,
  [111999] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(409), 1,
      anon_sym_RBRACE,
    STATE(4803), 1,
      sym_comment,
  [112009] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8171), 1,
      anon_sym_DOT,
    STATE(4804), 1,
      sym_comment,
  [112019] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8173), 1,
      aux_sym__content_block_token1,
    STATE(4805), 1,
      sym_comment,
  [112029] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8085), 1,
      anon_sym_LBRACE,
    STATE(4806), 1,
      sym_comment,
  [112039] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8175), 1,
      anon_sym_RBRACK,
    STATE(4807), 1,
      sym_comment,
  [112049] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8177), 1,
      sym_type_identifier,
    STATE(4808), 1,
      sym_comment,
  [112059] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8179), 1,
      anon_sym_LBRACE,
    STATE(4809), 1,
      sym_comment,
  [112069] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1306), 1,
      anon_sym_RBRACE,
    STATE(4810), 1,
      sym_comment,
  [112079] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8181), 1,
      anon_sym_RBRACE,
    STATE(4811), 1,
      sym_comment,
  [112089] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(399), 1,
      anon_sym_RBRACE,
    STATE(4812), 1,
      sym_comment,
  [112099] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8183), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4813), 1,
      sym_comment,
  [112109] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8185), 1,
      anon_sym_RBRACK,
    STATE(4814), 1,
      sym_comment,
  [112119] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8187), 1,
      anon_sym_RBRACE,
    STATE(4815), 1,
      sym_comment,
  [112129] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1380), 1,
      anon_sym_RBRACE,
    STATE(4816), 1,
      sym_comment,
  [112139] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8189), 1,
      anon_sym_DOT2,
    STATE(4817), 1,
      sym_comment,
  [112149] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8191), 1,
      anon_sym_RBRACE,
    STATE(4818), 1,
      sym_comment,
  [112159] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    STATE(4819), 1,
      sym_comment,
  [112169] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6799), 1,
      anon_sym_DOT,
    STATE(4820), 1,
      sym_comment,
  [112179] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1530), 1,
      anon_sym_RBRACE,
    STATE(4821), 1,
      sym_comment,
  [112189] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8195), 1,
      anon_sym_EQ,
    STATE(4822), 1,
      sym_comment,
  [112199] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8197), 1,
      anon_sym_RBRACE,
    STATE(4823), 1,
      sym_comment,
  [112209] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8199), 1,
      anon_sym_DOT,
    STATE(4824), 1,
      sym_comment,
  [112219] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8201), 1,
      aux_sym__content_block_token1,
    STATE(4825), 1,
      sym_comment,
  [112229] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8203), 1,
      anon_sym_RBRACE,
    STATE(4826), 1,
      sym_comment,
  [112239] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8205), 1,
      anon_sym_RBRACE,
    STATE(4827), 1,
      sym_comment,
  [112249] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1770), 1,
      anon_sym_RBRACE,
    STATE(4828), 1,
      sym_comment,
  [112259] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8207), 1,
      anon_sym_LBRACE,
    STATE(4829), 1,
      sym_comment,
  [112269] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8209), 1,
      anon_sym_RBRACE,
    STATE(4830), 1,
      sym_comment,
  [112279] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8211), 1,
      anon_sym_COLON2,
    STATE(4831), 1,
      sym_comment,
  [112289] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8213), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4832), 1,
      sym_comment,
  [112299] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8215), 1,
      anon_sym_RBRACE,
    STATE(4833), 1,
      sym_comment,
  [112309] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8217), 1,
      anon_sym_RBRACE,
    STATE(4834), 1,
      sym_comment,
  [112319] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8219), 1,
      sym_type_identifier,
    STATE(4835), 1,
      sym_comment,
  [112329] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7767), 1,
      sym__interpolation_closing,
    STATE(4836), 1,
      sym_comment,
  [112339] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8221), 1,
      anon_sym_DOT2,
    STATE(4837), 1,
      sym_comment,
  [112349] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8223), 1,
      sym_int_literal,
    STATE(4838), 1,
      sym_comment,
  [112359] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8225), 1,
      anon_sym_RBRACE,
    STATE(4839), 1,
      sym_comment,
  [112369] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8227), 1,
      anon_sym_RBRACK,
    STATE(4840), 1,
      sym_comment,
  [112379] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8229), 1,
      anon_sym_RBRACK,
    STATE(4841), 1,
      sym_comment,
  [112389] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8231), 1,
      anon_sym_RBRACE,
    STATE(4842), 1,
      sym_comment,
  [112399] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8233), 1,
      anon_sym_COLON2,
    STATE(4843), 1,
      sym_comment,
  [112409] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8235), 1,
      anon_sym_DOT,
    STATE(4844), 1,
      sym_comment,
  [112419] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8237), 1,
      aux_sym__content_block_token1,
    STATE(4845), 1,
      sym_comment,
  [112429] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(471), 1,
      anon_sym_RBRACE,
    STATE(4846), 1,
      sym_comment,
  [112439] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8239), 1,
      anon_sym_RBRACK,
    STATE(4847), 1,
      sym_comment,
  [112449] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(465), 1,
      anon_sym_RBRACE,
    STATE(4848), 1,
      sym_comment,
  [112459] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8241), 1,
      anon_sym_LBRACE,
    STATE(4849), 1,
      sym_comment,
  [112469] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8243), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      sym_comment,
  [112479] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1312), 1,
      anon_sym_RBRACE,
    STATE(4851), 1,
      sym_comment,
  [112489] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8245), 1,
      anon_sym_RBRACK,
    STATE(4852), 1,
      sym_comment,
  [112499] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8247), 1,
      anon_sym_RBRACE,
    STATE(4853), 1,
      sym_comment,
  [112509] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(437), 1,
      anon_sym_RBRACE,
    STATE(4854), 1,
      sym_comment,
  [112519] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1933), 1,
      anon_sym_RBRACE,
    STATE(4855), 1,
      sym_comment,
  [112529] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8249), 1,
      anon_sym_RBRACE,
    STATE(4856), 1,
      sym_comment,
  [112539] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8251), 1,
      anon_sym_DOT2,
    STATE(4857), 1,
      sym_comment,
  [112549] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8253), 1,
      anon_sym_COLON,
    STATE(4858), 1,
      sym_comment,
  [112559] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7759), 1,
      anon_sym_COLON2,
    STATE(4859), 1,
      sym_comment,
  [112569] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8255), 1,
      sym_type_identifier,
    STATE(4860), 1,
      sym_comment,
  [112579] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8257), 1,
      anon_sym_RBRACK,
    STATE(4861), 1,
      sym_comment,
  [112589] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8259), 1,
      anon_sym_RBRACE,
    STATE(4862), 1,
      sym_comment,
  [112599] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8261), 1,
      anon_sym_RBRACE,
    STATE(4863), 1,
      sym_comment,
  [112609] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8263), 1,
      anon_sym_DOT,
    STATE(4864), 1,
      sym_comment,
  [112619] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8265), 1,
      aux_sym__content_block_token1,
    STATE(4865), 1,
      sym_comment,
  [112629] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1546), 1,
      anon_sym_RBRACE,
    STATE(4866), 1,
      sym_comment,
  [112639] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8267), 1,
      anon_sym_RBRACE,
    STATE(4867), 1,
      sym_comment,
  [112649] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8269), 1,
      sym_type_identifier,
    STATE(4868), 1,
      sym_comment,
  [112659] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8271), 1,
      anon_sym_LBRACE,
    STATE(4869), 1,
      sym_comment,
  [112669] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8273), 1,
      anon_sym_RBRACE,
    STATE(4870), 1,
      sym_comment,
  [112679] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8275), 1,
      anon_sym_RBRACK,
    STATE(4871), 1,
      sym_comment,
  [112689] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8277), 1,
      sym_type_identifier,
    STATE(4872), 1,
      sym_comment,
  [112699] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8279), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym_comment,
  [112709] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8281), 1,
      anon_sym_RBRACK,
    STATE(4874), 1,
      sym_comment,
  [112719] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8283), 1,
      anon_sym_RBRACK,
    STATE(4875), 1,
      sym_comment,
  [112729] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8285), 1,
      anon_sym_DOT2,
    STATE(4876), 1,
      sym_comment,
  [112739] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(453), 1,
      anon_sym_RBRACE,
    STATE(4877), 1,
      sym_comment,
  [112749] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8287), 1,
      anon_sym_RBRACE,
    STATE(4878), 1,
      sym_comment,
  [112759] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(415), 1,
      anon_sym_RBRACE,
    STATE(4879), 1,
      sym_comment,
  [112769] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    STATE(4880), 1,
      sym_comment,
  [112779] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8291), 1,
      aux_sym__content_block_token1,
    STATE(4881), 1,
      sym_comment,
  [112789] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8293), 1,
      anon_sym_RBRACE,
    STATE(4882), 1,
      sym_comment,
  [112799] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1264), 1,
      anon_sym_RBRACE,
    STATE(4883), 1,
      sym_comment,
  [112809] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8295), 1,
      anon_sym_RBRACE,
    STATE(4884), 1,
      sym_comment,
  [112819] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8297), 1,
      anon_sym_DOT2,
    STATE(4885), 1,
      sym_comment,
  [112829] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8299), 1,
      anon_sym_RBRACE,
    STATE(4886), 1,
      sym_comment,
  [112839] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8301), 1,
      anon_sym_RBRACE,
    STATE(4887), 1,
      sym_comment,
  [112849] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8303), 1,
      anon_sym_DOT,
    STATE(4888), 1,
      sym_comment,
  [112859] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8305), 1,
      aux_sym__content_block_token1,
    STATE(4889), 1,
      sym_comment,
  [112869] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8307), 1,
      anon_sym_RBRACK,
    STATE(4890), 1,
      sym_comment,
  [112879] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8309), 1,
      anon_sym_RBRACK,
    STATE(4891), 1,
      sym_comment,
  [112889] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8311), 1,
      anon_sym_RBRACK,
    STATE(4892), 1,
      sym_comment,
  [112899] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8313), 1,
      anon_sym_DOT2,
    STATE(4893), 1,
      sym_comment,
  [112909] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8315), 1,
      anon_sym_RBRACK,
    STATE(4894), 1,
      sym_comment,
  [112919] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8317), 1,
      anon_sym_DOT,
    STATE(4895), 1,
      sym_comment,
  [112929] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8319), 1,
      anon_sym_RBRACE,
    STATE(4896), 1,
      sym_comment,
  [112939] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8321), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4897), 1,
      sym_comment,
  [112949] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8323), 1,
      anon_sym_RBRACE,
    STATE(4898), 1,
      sym_comment,
  [112959] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8325), 1,
      anon_sym_DOT2,
    STATE(4899), 1,
      sym_comment,
  [112969] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1941), 1,
      anon_sym_RBRACE,
    STATE(4900), 1,
      sym_comment,
  [112979] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1302), 1,
      anon_sym_RBRACE,
    STATE(4901), 1,
      sym_comment,
  [112989] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8327), 1,
      anon_sym_DOT2,
    STATE(4902), 1,
      sym_comment,
  [112999] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8329), 1,
      anon_sym_RBRACK,
    STATE(4903), 1,
      sym_comment,
  [113009] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1552), 1,
      anon_sym_RBRACE,
    STATE(4904), 1,
      sym_comment,
  [113019] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8331), 1,
      anon_sym_DOT2,
    STATE(4905), 1,
      sym_comment,
  [113029] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1498), 1,
      anon_sym_RBRACE,
    STATE(4906), 1,
      sym_comment,
  [113039] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1782), 1,
      anon_sym_RBRACE,
    STATE(4907), 1,
      sym_comment,
  [113049] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8333), 1,
      anon_sym_DOT2,
    STATE(4908), 1,
      sym_comment,
  [113059] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8335), 1,
      anon_sym_RBRACE,
    STATE(4909), 1,
      sym_comment,
  [113069] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8337), 1,
      anon_sym_DOT2,
    STATE(4910), 1,
      sym_comment,
  [113079] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8339), 1,
      anon_sym_DOT2,
    STATE(4911), 1,
      sym_comment,
  [113089] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8341), 1,
      anon_sym_DOT2,
    STATE(4912), 1,
      sym_comment,
  [113099] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8343), 1,
      anon_sym_DOT2,
    STATE(4913), 1,
      sym_comment,
  [113109] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8345), 1,
      anon_sym_DOT2,
    STATE(4914), 1,
      sym_comment,
  [113119] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8347), 1,
      anon_sym_DOT2,
    STATE(4915), 1,
      sym_comment,
  [113129] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8349), 1,
      anon_sym_DOT2,
    STATE(4916), 1,
      sym_comment,
  [113139] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8351), 1,
      anon_sym_DOT2,
    STATE(4917), 1,
      sym_comment,
  [113149] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8353), 1,
      anon_sym_DOT2,
    STATE(4918), 1,
      sym_comment,
  [113159] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8355), 1,
      anon_sym_DOT2,
    STATE(4919), 1,
      sym_comment,
  [113169] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1268), 1,
      anon_sym_RBRACE,
    STATE(4920), 1,
      sym_comment,
  [113179] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8357), 1,
      anon_sym_RBRACE,
    STATE(4921), 1,
      sym_comment,
  [113189] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8359), 1,
      anon_sym_RBRACK,
    STATE(4922), 1,
      sym_comment,
  [113199] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8361), 1,
      anon_sym_LPAREN,
    STATE(4923), 1,
      sym_comment,
  [113209] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8363), 1,
      anon_sym_RBRACE,
    STATE(4924), 1,
      sym_comment,
  [113219] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8365), 1,
      anon_sym_RBRACE,
    STATE(4925), 1,
      sym_comment,
  [113229] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1338), 1,
      anon_sym_RBRACE,
    STATE(4926), 1,
      sym_comment,
  [113239] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8367), 1,
      anon_sym_RBRACK,
    STATE(4927), 1,
      sym_comment,
  [113249] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8369), 1,
      sym_type_identifier,
    STATE(4928), 1,
      sym_comment,
  [113259] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8371), 1,
      anon_sym_RBRACK,
    STATE(4929), 1,
      sym_comment,
  [113269] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8373), 1,
      anon_sym_RBRACK,
    STATE(4930), 1,
      sym_comment,
  [113279] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8375), 1,
      anon_sym_RBRACE,
    STATE(4931), 1,
      sym_comment,
  [113289] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1937), 1,
      anon_sym_RBRACE,
    STATE(4932), 1,
      sym_comment,
  [113299] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8377), 1,
      anon_sym_RBRACE,
    STATE(4933), 1,
      sym_comment,
  [113309] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1384), 1,
      anon_sym_RBRACE,
    STATE(4934), 1,
      sym_comment,
  [113319] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8379), 1,
      anon_sym_RBRACE,
    STATE(4935), 1,
      sym_comment,
  [113329] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8381), 1,
      anon_sym_RBRACE,
    STATE(4936), 1,
      sym_comment,
  [113339] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8383), 1,
      anon_sym_RBRACE,
    STATE(4937), 1,
      sym_comment,
  [113349] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8385), 1,
      anon_sym_RBRACE,
    STATE(4938), 1,
      sym_comment,
  [113359] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8387), 1,
      anon_sym_,
    STATE(4939), 1,
      sym_comment,
  [113369] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8389), 1,
      anon_sym_RBRACK,
    STATE(4940), 1,
      sym_comment,
  [113379] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8391), 1,
      anon_sym_RBRACE,
    STATE(4941), 1,
      sym_comment,
  [113389] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8393), 1,
      sym__interpolation_closing,
    STATE(4942), 1,
      sym_comment,
  [113399] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8395), 1,
      anon_sym_RBRACK,
    STATE(4943), 1,
      sym_comment,
  [113409] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8397), 1,
      anon_sym_RBRACK,
    STATE(4944), 1,
      sym_comment,
  [113419] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7709), 1,
      sym__interpolation_closing,
    STATE(4945), 1,
      sym_comment,
  [113429] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(429), 1,
      anon_sym_RBRACE,
    STATE(4946), 1,
      sym_comment,
  [113439] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8399), 1,
      anon_sym_LPAREN,
    STATE(4947), 1,
      sym_comment,
  [113449] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1310), 1,
      anon_sym_RBRACE,
    STATE(4948), 1,
      sym_comment,
  [113459] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8401), 1,
      anon_sym_RBRACE,
    STATE(4949), 1,
      sym_comment,
  [113469] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8403), 1,
      anon_sym_RBRACE,
    STATE(4950), 1,
      sym_comment,
  [113479] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8405), 1,
      sym_type_identifier,
    STATE(4951), 1,
      sym_comment,
  [113489] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8407), 1,
      anon_sym_RBRACE,
    STATE(4952), 1,
      sym_comment,
  [113499] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8409), 1,
      anon_sym_RBRACE,
    STATE(4953), 1,
      sym_comment,
  [113509] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8411), 1,
      anon_sym_RBRACK,
    STATE(4954), 1,
      sym_comment,
  [113519] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8413), 1,
      anon_sym_RBRACK,
    STATE(4955), 1,
      sym_comment,
  [113529] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8415), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4956), 1,
      sym_comment,
  [113539] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8417), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4957), 1,
      sym_comment,
  [113549] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8419), 1,
      anon_sym_RBRACE,
    STATE(4958), 1,
      sym_comment,
  [113559] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1434), 1,
      anon_sym_RBRACE,
    STATE(4959), 1,
      sym_comment,
  [113569] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8421), 1,
      anon_sym_RBRACE,
    STATE(4960), 1,
      sym_comment,
  [113579] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1812), 1,
      anon_sym_RBRACE,
    STATE(4961), 1,
      sym_comment,
  [113589] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8423), 1,
      sym_type_identifier,
    STATE(4962), 1,
      sym_comment,
  [113599] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8425), 1,
      ts_builtin_sym_end,
    STATE(4963), 1,
      sym_comment,
  [113609] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8427), 1,
      anon_sym_,
    STATE(4964), 1,
      sym_comment,
  [113619] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8429), 1,
      anon_sym_,
    STATE(4965), 1,
      sym_comment,
  [113629] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8431), 1,
      aux_sym_hash_statement_token1,
    STATE(4966), 1,
      sym_comment,
  [113639] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8433), 1,
      anon_sym_RBRACE,
    STATE(4967), 1,
      sym_comment,
  [113649] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8435), 1,
      anon_sym_COLON2,
    STATE(4968), 1,
      sym_comment,
  [113659] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(487), 1,
      anon_sym_RBRACE,
    STATE(4969), 1,
      sym_comment,
  [113669] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8437), 1,
      sym_type_identifier,
    STATE(4970), 1,
      sym_comment,
  [113679] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(417), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      sym_comment,
  [113689] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8439), 1,
      sym_identifier,
    STATE(4972), 1,
      sym_comment,
  [113699] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8441), 1,
      anon_sym_RBRACE,
    STATE(4973), 1,
      sym_comment,
  [113709] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8443), 1,
      anon_sym_RBRACK,
    STATE(4974), 1,
      sym_comment,
  [113719] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8445), 1,
      anon_sym_RBRACK,
    STATE(4975), 1,
      sym_comment,
  [113729] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8447), 1,
      sym_type_identifier,
    STATE(4976), 1,
      sym_comment,
  [113739] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8449), 1,
      anon_sym_RBRACE,
    STATE(4977), 1,
      sym_comment,
  [113749] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8451), 1,
      anon_sym_RBRACE,
    STATE(4978), 1,
      sym_comment,
  [113759] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8453), 1,
      anon_sym_RBRACE,
    STATE(4979), 1,
      sym_comment,
  [113769] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8455), 1,
      anon_sym_LBRACE,
    STATE(4980), 1,
      sym_comment,
  [113779] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8457), 1,
      sym_identifier,
    STATE(4981), 1,
      sym_comment,
  [113789] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8459), 1,
      anon_sym_RBRACK,
    STATE(4982), 1,
      sym_comment,
  [113799] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(407), 1,
      anon_sym_RBRACE,
    STATE(4983), 1,
      sym_comment,
  [113809] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(451), 1,
      anon_sym_RBRACE,
    STATE(4984), 1,
      sym_comment,
  [113819] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1430), 1,
      anon_sym_RBRACE,
    STATE(4985), 1,
      sym_comment,
  [113829] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1756), 1,
      anon_sym_RBRACE,
    STATE(4986), 1,
      sym_comment,
  [113839] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8461), 1,
      anon_sym_LPAREN,
    STATE(4987), 1,
      sym_comment,
  [113849] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8463), 1,
      sym_type_identifier,
    STATE(4988), 1,
      sym_comment,
  [113859] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8465), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4989), 1,
      sym_comment,
  [113869] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8467), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4990), 1,
      sym_comment,
  [113879] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8469), 1,
      anon_sym_RBRACE,
    STATE(4991), 1,
      sym_comment,
  [113889] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8471), 1,
      sym_identifier,
    STATE(4992), 1,
      sym_comment,
  [113899] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1576), 1,
      anon_sym_RBRACE,
    STATE(4993), 1,
      sym_comment,
  [113909] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8473), 1,
      sym_type_identifier,
    STATE(4994), 1,
      sym_comment,
  [113919] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8475), 1,
      anon_sym_DOT2,
    STATE(4995), 1,
      sym_comment,
  [113929] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8477), 1,
      anon_sym_LPAREN,
    STATE(4996), 1,
      sym_comment,
  [113939] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8479), 1,
      anon_sym_RBRACE,
    STATE(4997), 1,
      sym_comment,
  [113949] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8481), 1,
      anon_sym_LPAREN,
    STATE(4998), 1,
      sym_comment,
  [113959] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8483), 1,
      aux_sym_pseudo_comptime_identifier_token1,
    STATE(4999), 1,
      sym_comment,
  [113969] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8485), 1,
      anon_sym_LPAREN,
    STATE(5000), 1,
      sym_comment,
  [113979] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8487), 1,
      anon_sym_RBRACE,
    STATE(5001), 1,
      sym_comment,
  [113989] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8489), 1,
      anon_sym_LPAREN,
    STATE(5002), 1,
      sym_comment,
  [113999] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8491), 1,
      anon_sym_EQ,
    STATE(5003), 1,
      sym_comment,
  [114009] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8493), 1,
      anon_sym_LPAREN,
    STATE(5004), 1,
      sym_comment,
  [114019] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8495), 1,
      anon_sym_RBRACK,
    STATE(5005), 1,
      sym_comment,
  [114029] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8497), 1,
      anon_sym_LPAREN,
    STATE(5006), 1,
      sym_comment,
  [114039] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8499), 1,
      anon_sym_RBRACK,
    STATE(5007), 1,
      sym_comment,
  [114049] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    STATE(5008), 1,
      sym_comment,
  [114059] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1752), 1,
      anon_sym_RBRACE,
    STATE(5009), 1,
      sym_comment,
  [114069] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8501), 1,
      anon_sym_LPAREN,
    STATE(5010), 1,
      sym_comment,
  [114079] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8503), 1,
      anon_sym_RBRACK,
    STATE(5011), 1,
      sym_comment,
  [114089] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(6904), 1,
      anon_sym_LPAREN,
    STATE(5012), 1,
      sym_comment,
  [114099] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8505), 1,
      anon_sym_RBRACE,
    STATE(5013), 1,
      sym_comment,
  [114109] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8507), 1,
      anon_sym_LPAREN,
    STATE(5014), 1,
      sym_comment,
  [114119] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8509), 1,
      anon_sym_RBRACK,
    STATE(5015), 1,
      sym_comment,
  [114129] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8511), 1,
      anon_sym_LPAREN,
    STATE(5016), 1,
      sym_comment,
  [114139] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8513), 1,
      anon_sym_RBRACK,
    STATE(5017), 1,
      sym_comment,
  [114149] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(8515), 1,
      anon_sym_RBRACK,
    STATE(5018), 1,
      sym_comment,
  [114159] = 1,
    ACTIONS(8517), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1963)] = 0,
  [SMALL_STATE(1964)] = 111,
  [SMALL_STATE(1965)] = 222,
  [SMALL_STATE(1966)] = 333,
  [SMALL_STATE(1967)] = 444,
  [SMALL_STATE(1968)] = 547,
  [SMALL_STATE(1969)] = 658,
  [SMALL_STATE(1970)] = 769,
  [SMALL_STATE(1971)] = 880,
  [SMALL_STATE(1972)] = 991,
  [SMALL_STATE(1973)] = 1102,
  [SMALL_STATE(1974)] = 1213,
  [SMALL_STATE(1975)] = 1324,
  [SMALL_STATE(1976)] = 1435,
  [SMALL_STATE(1977)] = 1546,
  [SMALL_STATE(1978)] = 1657,
  [SMALL_STATE(1979)] = 1754,
  [SMALL_STATE(1980)] = 1865,
  [SMALL_STATE(1981)] = 1976,
  [SMALL_STATE(1982)] = 2085,
  [SMALL_STATE(1983)] = 2196,
  [SMALL_STATE(1984)] = 2307,
  [SMALL_STATE(1985)] = 2418,
  [SMALL_STATE(1986)] = 2529,
  [SMALL_STATE(1987)] = 2640,
  [SMALL_STATE(1988)] = 2751,
  [SMALL_STATE(1989)] = 2862,
  [SMALL_STATE(1990)] = 2973,
  [SMALL_STATE(1991)] = 3084,
  [SMALL_STATE(1992)] = 3195,
  [SMALL_STATE(1993)] = 3303,
  [SMALL_STATE(1994)] = 3407,
  [SMALL_STATE(1995)] = 3511,
  [SMALL_STATE(1996)] = 3619,
  [SMALL_STATE(1997)] = 3724,
  [SMALL_STATE(1998)] = 3827,
  [SMALL_STATE(1999)] = 3932,
  [SMALL_STATE(2000)] = 4037,
  [SMALL_STATE(2001)] = 4142,
  [SMALL_STATE(2002)] = 4247,
  [SMALL_STATE(2003)] = 4352,
  [SMALL_STATE(2004)] = 4457,
  [SMALL_STATE(2005)] = 4562,
  [SMALL_STATE(2006)] = 4667,
  [SMALL_STATE(2007)] = 4772,
  [SMALL_STATE(2008)] = 4877,
  [SMALL_STATE(2009)] = 4982,
  [SMALL_STATE(2010)] = 5087,
  [SMALL_STATE(2011)] = 5192,
  [SMALL_STATE(2012)] = 5297,
  [SMALL_STATE(2013)] = 5402,
  [SMALL_STATE(2014)] = 5509,
  [SMALL_STATE(2015)] = 5614,
  [SMALL_STATE(2016)] = 5717,
  [SMALL_STATE(2017)] = 5822,
  [SMALL_STATE(2018)] = 5927,
  [SMALL_STATE(2019)] = 6032,
  [SMALL_STATE(2020)] = 6137,
  [SMALL_STATE(2021)] = 6242,
  [SMALL_STATE(2022)] = 6349,
  [SMALL_STATE(2023)] = 6454,
  [SMALL_STATE(2024)] = 6559,
  [SMALL_STATE(2025)] = 6659,
  [SMALL_STATE(2026)] = 6755,
  [SMALL_STATE(2027)] = 6857,
  [SMALL_STATE(2028)] = 6957,
  [SMALL_STATE(2029)] = 7059,
  [SMALL_STATE(2030)] = 7159,
  [SMALL_STATE(2031)] = 7263,
  [SMALL_STATE(2032)] = 7364,
  [SMALL_STATE(2033)] = 7465,
  [SMALL_STATE(2034)] = 7566,
  [SMALL_STATE(2035)] = 7667,
  [SMALL_STATE(2036)] = 7767,
  [SMALL_STATE(2037)] = 7867,
  [SMALL_STATE(2038)] = 7967,
  [SMALL_STATE(2039)] = 8067,
  [SMALL_STATE(2040)] = 8165,
  [SMALL_STATE(2041)] = 8265,
  [SMALL_STATE(2042)] = 8365,
  [SMALL_STATE(2043)] = 8465,
  [SMALL_STATE(2044)] = 8565,
  [SMALL_STATE(2045)] = 8665,
  [SMALL_STATE(2046)] = 8765,
  [SMALL_STATE(2047)] = 8865,
  [SMALL_STATE(2048)] = 8965,
  [SMALL_STATE(2049)] = 9065,
  [SMALL_STATE(2050)] = 9165,
  [SMALL_STATE(2051)] = 9265,
  [SMALL_STATE(2052)] = 9365,
  [SMALL_STATE(2053)] = 9465,
  [SMALL_STATE(2054)] = 9563,
  [SMALL_STATE(2055)] = 9660,
  [SMALL_STATE(2056)] = 9757,
  [SMALL_STATE(2057)] = 9854,
  [SMALL_STATE(2058)] = 9951,
  [SMALL_STATE(2059)] = 10045,
  [SMALL_STATE(2060)] = 10111,
  [SMALL_STATE(2061)] = 10177,
  [SMALL_STATE(2062)] = 10243,
  [SMALL_STATE(2063)] = 10339,
  [SMALL_STATE(2064)] = 10435,
  [SMALL_STATE(2065)] = 10531,
  [SMALL_STATE(2066)] = 10627,
  [SMALL_STATE(2067)] = 10720,
  [SMALL_STATE(2068)] = 10813,
  [SMALL_STATE(2069)] = 10906,
  [SMALL_STATE(2070)] = 10999,
  [SMALL_STATE(2071)] = 11092,
  [SMALL_STATE(2072)] = 11185,
  [SMALL_STATE(2073)] = 11278,
  [SMALL_STATE(2074)] = 11371,
  [SMALL_STATE(2075)] = 11464,
  [SMALL_STATE(2076)] = 11557,
  [SMALL_STATE(2077)] = 11650,
  [SMALL_STATE(2078)] = 11743,
  [SMALL_STATE(2079)] = 11836,
  [SMALL_STATE(2080)] = 11929,
  [SMALL_STATE(2081)] = 12022,
  [SMALL_STATE(2082)] = 12115,
  [SMALL_STATE(2083)] = 12208,
  [SMALL_STATE(2084)] = 12301,
  [SMALL_STATE(2085)] = 12394,
  [SMALL_STATE(2086)] = 12487,
  [SMALL_STATE(2087)] = 12580,
  [SMALL_STATE(2088)] = 12673,
  [SMALL_STATE(2089)] = 12766,
  [SMALL_STATE(2090)] = 12859,
  [SMALL_STATE(2091)] = 12952,
  [SMALL_STATE(2092)] = 13045,
  [SMALL_STATE(2093)] = 13138,
  [SMALL_STATE(2094)] = 13231,
  [SMALL_STATE(2095)] = 13324,
  [SMALL_STATE(2096)] = 13417,
  [SMALL_STATE(2097)] = 13510,
  [SMALL_STATE(2098)] = 13603,
  [SMALL_STATE(2099)] = 13696,
  [SMALL_STATE(2100)] = 13789,
  [SMALL_STATE(2101)] = 13882,
  [SMALL_STATE(2102)] = 13975,
  [SMALL_STATE(2103)] = 14068,
  [SMALL_STATE(2104)] = 14161,
  [SMALL_STATE(2105)] = 14254,
  [SMALL_STATE(2106)] = 14347,
  [SMALL_STATE(2107)] = 14440,
  [SMALL_STATE(2108)] = 14533,
  [SMALL_STATE(2109)] = 14626,
  [SMALL_STATE(2110)] = 14719,
  [SMALL_STATE(2111)] = 14812,
  [SMALL_STATE(2112)] = 14905,
  [SMALL_STATE(2113)] = 14998,
  [SMALL_STATE(2114)] = 15091,
  [SMALL_STATE(2115)] = 15184,
  [SMALL_STATE(2116)] = 15277,
  [SMALL_STATE(2117)] = 15370,
  [SMALL_STATE(2118)] = 15463,
  [SMALL_STATE(2119)] = 15556,
  [SMALL_STATE(2120)] = 15649,
  [SMALL_STATE(2121)] = 15742,
  [SMALL_STATE(2122)] = 15835,
  [SMALL_STATE(2123)] = 15928,
  [SMALL_STATE(2124)] = 16021,
  [SMALL_STATE(2125)] = 16114,
  [SMALL_STATE(2126)] = 16207,
  [SMALL_STATE(2127)] = 16300,
  [SMALL_STATE(2128)] = 16393,
  [SMALL_STATE(2129)] = 16486,
  [SMALL_STATE(2130)] = 16579,
  [SMALL_STATE(2131)] = 16672,
  [SMALL_STATE(2132)] = 16765,
  [SMALL_STATE(2133)] = 16858,
  [SMALL_STATE(2134)] = 16951,
  [SMALL_STATE(2135)] = 17044,
  [SMALL_STATE(2136)] = 17137,
  [SMALL_STATE(2137)] = 17230,
  [SMALL_STATE(2138)] = 17323,
  [SMALL_STATE(2139)] = 17416,
  [SMALL_STATE(2140)] = 17509,
  [SMALL_STATE(2141)] = 17602,
  [SMALL_STATE(2142)] = 17695,
  [SMALL_STATE(2143)] = 17788,
  [SMALL_STATE(2144)] = 17881,
  [SMALL_STATE(2145)] = 17974,
  [SMALL_STATE(2146)] = 18067,
  [SMALL_STATE(2147)] = 18160,
  [SMALL_STATE(2148)] = 18253,
  [SMALL_STATE(2149)] = 18346,
  [SMALL_STATE(2150)] = 18439,
  [SMALL_STATE(2151)] = 18532,
  [SMALL_STATE(2152)] = 18625,
  [SMALL_STATE(2153)] = 18718,
  [SMALL_STATE(2154)] = 18811,
  [SMALL_STATE(2155)] = 18904,
  [SMALL_STATE(2156)] = 18997,
  [SMALL_STATE(2157)] = 19090,
  [SMALL_STATE(2158)] = 19183,
  [SMALL_STATE(2159)] = 19276,
  [SMALL_STATE(2160)] = 19369,
  [SMALL_STATE(2161)] = 19462,
  [SMALL_STATE(2162)] = 19555,
  [SMALL_STATE(2163)] = 19648,
  [SMALL_STATE(2164)] = 19741,
  [SMALL_STATE(2165)] = 19834,
  [SMALL_STATE(2166)] = 19927,
  [SMALL_STATE(2167)] = 20020,
  [SMALL_STATE(2168)] = 20113,
  [SMALL_STATE(2169)] = 20206,
  [SMALL_STATE(2170)] = 20299,
  [SMALL_STATE(2171)] = 20392,
  [SMALL_STATE(2172)] = 20485,
  [SMALL_STATE(2173)] = 20578,
  [SMALL_STATE(2174)] = 20671,
  [SMALL_STATE(2175)] = 20764,
  [SMALL_STATE(2176)] = 20857,
  [SMALL_STATE(2177)] = 20950,
  [SMALL_STATE(2178)] = 21043,
  [SMALL_STATE(2179)] = 21136,
  [SMALL_STATE(2180)] = 21229,
  [SMALL_STATE(2181)] = 21322,
  [SMALL_STATE(2182)] = 21415,
  [SMALL_STATE(2183)] = 21508,
  [SMALL_STATE(2184)] = 21601,
  [SMALL_STATE(2185)] = 21694,
  [SMALL_STATE(2186)] = 21787,
  [SMALL_STATE(2187)] = 21880,
  [SMALL_STATE(2188)] = 21973,
  [SMALL_STATE(2189)] = 22066,
  [SMALL_STATE(2190)] = 22159,
  [SMALL_STATE(2191)] = 22252,
  [SMALL_STATE(2192)] = 22345,
  [SMALL_STATE(2193)] = 22438,
  [SMALL_STATE(2194)] = 22531,
  [SMALL_STATE(2195)] = 22624,
  [SMALL_STATE(2196)] = 22717,
  [SMALL_STATE(2197)] = 22810,
  [SMALL_STATE(2198)] = 22903,
  [SMALL_STATE(2199)] = 22996,
  [SMALL_STATE(2200)] = 23089,
  [SMALL_STATE(2201)] = 23182,
  [SMALL_STATE(2202)] = 23275,
  [SMALL_STATE(2203)] = 23368,
  [SMALL_STATE(2204)] = 23461,
  [SMALL_STATE(2205)] = 23554,
  [SMALL_STATE(2206)] = 23647,
  [SMALL_STATE(2207)] = 23740,
  [SMALL_STATE(2208)] = 23833,
  [SMALL_STATE(2209)] = 23926,
  [SMALL_STATE(2210)] = 24019,
  [SMALL_STATE(2211)] = 24112,
  [SMALL_STATE(2212)] = 24205,
  [SMALL_STATE(2213)] = 24298,
  [SMALL_STATE(2214)] = 24391,
  [SMALL_STATE(2215)] = 24484,
  [SMALL_STATE(2216)] = 24577,
  [SMALL_STATE(2217)] = 24670,
  [SMALL_STATE(2218)] = 24763,
  [SMALL_STATE(2219)] = 24856,
  [SMALL_STATE(2220)] = 24949,
  [SMALL_STATE(2221)] = 25042,
  [SMALL_STATE(2222)] = 25135,
  [SMALL_STATE(2223)] = 25228,
  [SMALL_STATE(2224)] = 25321,
  [SMALL_STATE(2225)] = 25414,
  [SMALL_STATE(2226)] = 25507,
  [SMALL_STATE(2227)] = 25600,
  [SMALL_STATE(2228)] = 25693,
  [SMALL_STATE(2229)] = 25786,
  [SMALL_STATE(2230)] = 25879,
  [SMALL_STATE(2231)] = 25972,
  [SMALL_STATE(2232)] = 26065,
  [SMALL_STATE(2233)] = 26158,
  [SMALL_STATE(2234)] = 26251,
  [SMALL_STATE(2235)] = 26344,
  [SMALL_STATE(2236)] = 26418,
  [SMALL_STATE(2237)] = 26492,
  [SMALL_STATE(2238)] = 26566,
  [SMALL_STATE(2239)] = 26640,
  [SMALL_STATE(2240)] = 26714,
  [SMALL_STATE(2241)] = 26790,
  [SMALL_STATE(2242)] = 26863,
  [SMALL_STATE(2243)] = 26924,
  [SMALL_STATE(2244)] = 26985,
  [SMALL_STATE(2245)] = 27046,
  [SMALL_STATE(2246)] = 27107,
  [SMALL_STATE(2247)] = 27168,
  [SMALL_STATE(2248)] = 27249,
  [SMALL_STATE(2249)] = 27309,
  [SMALL_STATE(2250)] = 27371,
  [SMALL_STATE(2251)] = 27431,
  [SMALL_STATE(2252)] = 27493,
  [SMALL_STATE(2253)] = 27555,
  [SMALL_STATE(2254)] = 27617,
  [SMALL_STATE(2255)] = 27677,
  [SMALL_STATE(2256)] = 27739,
  [SMALL_STATE(2257)] = 27799,
  [SMALL_STATE(2258)] = 27861,
  [SMALL_STATE(2259)] = 27923,
  [SMALL_STATE(2260)] = 27985,
  [SMALL_STATE(2261)] = 28045,
  [SMALL_STATE(2262)] = 28107,
  [SMALL_STATE(2263)] = 28172,
  [SMALL_STATE(2264)] = 28233,
  [SMALL_STATE(2265)] = 28294,
  [SMALL_STATE(2266)] = 28355,
  [SMALL_STATE(2267)] = 28420,
  [SMALL_STATE(2268)] = 28485,
  [SMALL_STATE(2269)] = 28546,
  [SMALL_STATE(2270)] = 28607,
  [SMALL_STATE(2271)] = 28668,
  [SMALL_STATE(2272)] = 28733,
  [SMALL_STATE(2273)] = 28800,
  [SMALL_STATE(2274)] = 28865,
  [SMALL_STATE(2275)] = 28926,
  [SMALL_STATE(2276)] = 28986,
  [SMALL_STATE(2277)] = 29048,
  [SMALL_STATE(2278)] = 29110,
  [SMALL_STATE(2279)] = 29172,
  [SMALL_STATE(2280)] = 29234,
  [SMALL_STATE(2281)] = 29296,
  [SMALL_STATE(2282)] = 29358,
  [SMALL_STATE(2283)] = 29421,
  [SMALL_STATE(2284)] = 29484,
  [SMALL_STATE(2285)] = 29543,
  [SMALL_STATE(2286)] = 29602,
  [SMALL_STATE(2287)] = 29661,
  [SMALL_STATE(2288)] = 29720,
  [SMALL_STATE(2289)] = 29779,
  [SMALL_STATE(2290)] = 29838,
  [SMALL_STATE(2291)] = 29911,
  [SMALL_STATE(2292)] = 29970,
  [SMALL_STATE(2293)] = 30039,
  [SMALL_STATE(2294)] = 30108,
  [SMALL_STATE(2295)] = 30167,
  [SMALL_STATE(2296)] = 30226,
  [SMALL_STATE(2297)] = 30285,
  [SMALL_STATE(2298)] = 30344,
  [SMALL_STATE(2299)] = 30403,
  [SMALL_STATE(2300)] = 30462,
  [SMALL_STATE(2301)] = 30521,
  [SMALL_STATE(2302)] = 30616,
  [SMALL_STATE(2303)] = 30675,
  [SMALL_STATE(2304)] = 30734,
  [SMALL_STATE(2305)] = 30793,
  [SMALL_STATE(2306)] = 30852,
  [SMALL_STATE(2307)] = 30911,
  [SMALL_STATE(2308)] = 30970,
  [SMALL_STATE(2309)] = 31039,
  [SMALL_STATE(2310)] = 31098,
  [SMALL_STATE(2311)] = 31157,
  [SMALL_STATE(2312)] = 31216,
  [SMALL_STATE(2313)] = 31275,
  [SMALL_STATE(2314)] = 31346,
  [SMALL_STATE(2315)] = 31405,
  [SMALL_STATE(2316)] = 31464,
  [SMALL_STATE(2317)] = 31523,
  [SMALL_STATE(2318)] = 31582,
  [SMALL_STATE(2319)] = 31641,
  [SMALL_STATE(2320)] = 31700,
  [SMALL_STATE(2321)] = 31759,
  [SMALL_STATE(2322)] = 31818,
  [SMALL_STATE(2323)] = 31877,
  [SMALL_STATE(2324)] = 31936,
  [SMALL_STATE(2325)] = 31995,
  [SMALL_STATE(2326)] = 32054,
  [SMALL_STATE(2327)] = 32113,
  [SMALL_STATE(2328)] = 32172,
  [SMALL_STATE(2329)] = 32241,
  [SMALL_STATE(2330)] = 32300,
  [SMALL_STATE(2331)] = 32375,
  [SMALL_STATE(2332)] = 32448,
  [SMALL_STATE(2333)] = 32515,
  [SMALL_STATE(2334)] = 32574,
  [SMALL_STATE(2335)] = 32639,
  [SMALL_STATE(2336)] = 32698,
  [SMALL_STATE(2337)] = 32757,
  [SMALL_STATE(2338)] = 32816,
  [SMALL_STATE(2339)] = 32887,
  [SMALL_STATE(2340)] = 32946,
  [SMALL_STATE(2341)] = 33015,
  [SMALL_STATE(2342)] = 33074,
  [SMALL_STATE(2343)] = 33133,
  [SMALL_STATE(2344)] = 33228,
  [SMALL_STATE(2345)] = 33287,
  [SMALL_STATE(2346)] = 33346,
  [SMALL_STATE(2347)] = 33405,
  [SMALL_STATE(2348)] = 33464,
  [SMALL_STATE(2349)] = 33523,
  [SMALL_STATE(2350)] = 33582,
  [SMALL_STATE(2351)] = 33641,
  [SMALL_STATE(2352)] = 33700,
  [SMALL_STATE(2353)] = 33759,
  [SMALL_STATE(2354)] = 33818,
  [SMALL_STATE(2355)] = 33891,
  [SMALL_STATE(2356)] = 33950,
  [SMALL_STATE(2357)] = 34009,
  [SMALL_STATE(2358)] = 34068,
  [SMALL_STATE(2359)] = 34127,
  [SMALL_STATE(2360)] = 34186,
  [SMALL_STATE(2361)] = 34245,
  [SMALL_STATE(2362)] = 34304,
  [SMALL_STATE(2363)] = 34363,
  [SMALL_STATE(2364)] = 34422,
  [SMALL_STATE(2365)] = 34481,
  [SMALL_STATE(2366)] = 34540,
  [SMALL_STATE(2367)] = 34599,
  [SMALL_STATE(2368)] = 34658,
  [SMALL_STATE(2369)] = 34717,
  [SMALL_STATE(2370)] = 34786,
  [SMALL_STATE(2371)] = 34845,
  [SMALL_STATE(2372)] = 34904,
  [SMALL_STATE(2373)] = 34963,
  [SMALL_STATE(2374)] = 35022,
  [SMALL_STATE(2375)] = 35081,
  [SMALL_STATE(2376)] = 35140,
  [SMALL_STATE(2377)] = 35199,
  [SMALL_STATE(2378)] = 35258,
  [SMALL_STATE(2379)] = 35317,
  [SMALL_STATE(2380)] = 35376,
  [SMALL_STATE(2381)] = 35435,
  [SMALL_STATE(2382)] = 35507,
  [SMALL_STATE(2383)] = 35571,
  [SMALL_STATE(2384)] = 35628,
  [SMALL_STATE(2385)] = 35685,
  [SMALL_STATE(2386)] = 35742,
  [SMALL_STATE(2387)] = 35799,
  [SMALL_STATE(2388)] = 35886,
  [SMALL_STATE(2389)] = 35943,
  [SMALL_STATE(2390)] = 36000,
  [SMALL_STATE(2391)] = 36057,
  [SMALL_STATE(2392)] = 36114,
  [SMALL_STATE(2393)] = 36171,
  [SMALL_STATE(2394)] = 36228,
  [SMALL_STATE(2395)] = 36285,
  [SMALL_STATE(2396)] = 36348,
  [SMALL_STATE(2397)] = 36404,
  [SMALL_STATE(2398)] = 36464,
  [SMALL_STATE(2399)] = 36520,
  [SMALL_STATE(2400)] = 36580,
  [SMALL_STATE(2401)] = 36636,
  [SMALL_STATE(2402)] = 36692,
  [SMALL_STATE(2403)] = 36752,
  [SMALL_STATE(2404)] = 36808,
  [SMALL_STATE(2405)] = 36866,
  [SMALL_STATE(2406)] = 36926,
  [SMALL_STATE(2407)] = 36986,
  [SMALL_STATE(2408)] = 37043,
  [SMALL_STATE(2409)] = 37100,
  [SMALL_STATE(2410)] = 37157,
  [SMALL_STATE(2411)] = 37214,
  [SMALL_STATE(2412)] = 37269,
  [SMALL_STATE(2413)] = 37326,
  [SMALL_STATE(2414)] = 37383,
  [SMALL_STATE(2415)] = 37440,
  [SMALL_STATE(2416)] = 37497,
  [SMALL_STATE(2417)] = 37552,
  [SMALL_STATE(2418)] = 37606,
  [SMALL_STATE(2419)] = 37668,
  [SMALL_STATE(2420)] = 37722,
  [SMALL_STATE(2421)] = 37780,
  [SMALL_STATE(2422)] = 37834,
  [SMALL_STATE(2423)] = 37890,
  [SMALL_STATE(2424)] = 37944,
  [SMALL_STATE(2425)] = 37998,
  [SMALL_STATE(2426)] = 38052,
  [SMALL_STATE(2427)] = 38106,
  [SMALL_STATE(2428)] = 38160,
  [SMALL_STATE(2429)] = 38214,
  [SMALL_STATE(2430)] = 38270,
  [SMALL_STATE(2431)] = 38324,
  [SMALL_STATE(2432)] = 38378,
  [SMALL_STATE(2433)] = 38432,
  [SMALL_STATE(2434)] = 38492,
  [SMALL_STATE(2435)] = 38566,
  [SMALL_STATE(2436)] = 38640,
  [SMALL_STATE(2437)] = 38694,
  [SMALL_STATE(2438)] = 38748,
  [SMALL_STATE(2439)] = 38802,
  [SMALL_STATE(2440)] = 38856,
  [SMALL_STATE(2441)] = 38910,
  [SMALL_STATE(2442)] = 38968,
  [SMALL_STATE(2443)] = 39022,
  [SMALL_STATE(2444)] = 39076,
  [SMALL_STATE(2445)] = 39130,
  [SMALL_STATE(2446)] = 39184,
  [SMALL_STATE(2447)] = 39238,
  [SMALL_STATE(2448)] = 39292,
  [SMALL_STATE(2449)] = 39346,
  [SMALL_STATE(2450)] = 39400,
  [SMALL_STATE(2451)] = 39454,
  [SMALL_STATE(2452)] = 39508,
  [SMALL_STATE(2453)] = 39562,
  [SMALL_STATE(2454)] = 39616,
  [SMALL_STATE(2455)] = 39670,
  [SMALL_STATE(2456)] = 39724,
  [SMALL_STATE(2457)] = 39778,
  [SMALL_STATE(2458)] = 39832,
  [SMALL_STATE(2459)] = 39886,
  [SMALL_STATE(2460)] = 39940,
  [SMALL_STATE(2461)] = 40008,
  [SMALL_STATE(2462)] = 40062,
  [SMALL_STATE(2463)] = 40132,
  [SMALL_STATE(2464)] = 40186,
  [SMALL_STATE(2465)] = 40240,
  [SMALL_STATE(2466)] = 40294,
  [SMALL_STATE(2467)] = 40348,
  [SMALL_STATE(2468)] = 40402,
  [SMALL_STATE(2469)] = 40456,
  [SMALL_STATE(2470)] = 40510,
  [SMALL_STATE(2471)] = 40564,
  [SMALL_STATE(2472)] = 40618,
  [SMALL_STATE(2473)] = 40672,
  [SMALL_STATE(2474)] = 40726,
  [SMALL_STATE(2475)] = 40780,
  [SMALL_STATE(2476)] = 40834,
  [SMALL_STATE(2477)] = 40888,
  [SMALL_STATE(2478)] = 40942,
  [SMALL_STATE(2479)] = 40996,
  [SMALL_STATE(2480)] = 41050,
  [SMALL_STATE(2481)] = 41104,
  [SMALL_STATE(2482)] = 41158,
  [SMALL_STATE(2483)] = 41212,
  [SMALL_STATE(2484)] = 41266,
  [SMALL_STATE(2485)] = 41320,
  [SMALL_STATE(2486)] = 41374,
  [SMALL_STATE(2487)] = 41428,
  [SMALL_STATE(2488)] = 41482,
  [SMALL_STATE(2489)] = 41536,
  [SMALL_STATE(2490)] = 41590,
  [SMALL_STATE(2491)] = 41644,
  [SMALL_STATE(2492)] = 41698,
  [SMALL_STATE(2493)] = 41752,
  [SMALL_STATE(2494)] = 41806,
  [SMALL_STATE(2495)] = 41860,
  [SMALL_STATE(2496)] = 41914,
  [SMALL_STATE(2497)] = 41968,
  [SMALL_STATE(2498)] = 42022,
  [SMALL_STATE(2499)] = 42076,
  [SMALL_STATE(2500)] = 42130,
  [SMALL_STATE(2501)] = 42184,
  [SMALL_STATE(2502)] = 42237,
  [SMALL_STATE(2503)] = 42292,
  [SMALL_STATE(2504)] = 42345,
  [SMALL_STATE(2505)] = 42403,
  [SMALL_STATE(2506)] = 42467,
  [SMALL_STATE(2507)] = 42525,
  [SMALL_STATE(2508)] = 42583,
  [SMALL_STATE(2509)] = 42641,
  [SMALL_STATE(2510)] = 42703,
  [SMALL_STATE(2511)] = 42765,
  [SMALL_STATE(2512)] = 42825,
  [SMALL_STATE(2513)] = 42883,
  [SMALL_STATE(2514)] = 42941,
  [SMALL_STATE(2515)] = 42999,
  [SMALL_STATE(2516)] = 43059,
  [SMALL_STATE(2517)] = 43117,
  [SMALL_STATE(2518)] = 43177,
  [SMALL_STATE(2519)] = 43239,
  [SMALL_STATE(2520)] = 43301,
  [SMALL_STATE(2521)] = 43363,
  [SMALL_STATE(2522)] = 43425,
  [SMALL_STATE(2523)] = 43485,
  [SMALL_STATE(2524)] = 43534,
  [SMALL_STATE(2525)] = 43583,
  [SMALL_STATE(2526)] = 43644,
  [SMALL_STATE(2527)] = 43695,
  [SMALL_STATE(2528)] = 43746,
  [SMALL_STATE(2529)] = 43797,
  [SMALL_STATE(2530)] = 43845,
  [SMALL_STATE(2531)] = 43893,
  [SMALL_STATE(2532)] = 43941,
  [SMALL_STATE(2533)] = 43989,
  [SMALL_STATE(2534)] = 44039,
  [SMALL_STATE(2535)] = 44089,
  [SMALL_STATE(2536)] = 44151,
  [SMALL_STATE(2537)] = 44199,
  [SMALL_STATE(2538)] = 44261,
  [SMALL_STATE(2539)] = 44309,
  [SMALL_STATE(2540)] = 44359,
  [SMALL_STATE(2541)] = 44409,
  [SMALL_STATE(2542)] = 44457,
  [SMALL_STATE(2543)] = 44519,
  [SMALL_STATE(2544)] = 44567,
  [SMALL_STATE(2545)] = 44615,
  [SMALL_STATE(2546)] = 44677,
  [SMALL_STATE(2547)] = 44725,
  [SMALL_STATE(2548)] = 44785,
  [SMALL_STATE(2549)] = 44833,
  [SMALL_STATE(2550)] = 44881,
  [SMALL_STATE(2551)] = 44929,
  [SMALL_STATE(2552)] = 44979,
  [SMALL_STATE(2553)] = 45029,
  [SMALL_STATE(2554)] = 45077,
  [SMALL_STATE(2555)] = 45125,
  [SMALL_STATE(2556)] = 45177,
  [SMALL_STATE(2557)] = 45225,
  [SMALL_STATE(2558)] = 45273,
  [SMALL_STATE(2559)] = 45323,
  [SMALL_STATE(2560)] = 45373,
  [SMALL_STATE(2561)] = 45423,
  [SMALL_STATE(2562)] = 45476,
  [SMALL_STATE(2563)] = 45529,
  [SMALL_STATE(2564)] = 45578,
  [SMALL_STATE(2565)] = 45627,
  [SMALL_STATE(2566)] = 45676,
  [SMALL_STATE(2567)] = 45727,
  [SMALL_STATE(2568)] = 45774,
  [SMALL_STATE(2569)] = 45835,
  [SMALL_STATE(2570)] = 45884,
  [SMALL_STATE(2571)] = 45935,
  [SMALL_STATE(2572)] = 45984,
  [SMALL_STATE(2573)] = 46037,
  [SMALL_STATE(2574)] = 46090,
  [SMALL_STATE(2575)] = 46139,
  [SMALL_STATE(2576)] = 46192,
  [SMALL_STATE(2577)] = 46239,
  [SMALL_STATE(2578)] = 46286,
  [SMALL_STATE(2579)] = 46335,
  [SMALL_STATE(2580)] = 46382,
  [SMALL_STATE(2581)] = 46447,
  [SMALL_STATE(2582)] = 46498,
  [SMALL_STATE(2583)] = 46547,
  [SMALL_STATE(2584)] = 46600,
  [SMALL_STATE(2585)] = 46647,
  [SMALL_STATE(2586)] = 46694,
  [SMALL_STATE(2587)] = 46743,
  [SMALL_STATE(2588)] = 46790,
  [SMALL_STATE(2589)] = 46839,
  [SMALL_STATE(2590)] = 46902,
  [SMALL_STATE(2591)] = 46953,
  [SMALL_STATE(2592)] = 47000,
  [SMALL_STATE(2593)] = 47047,
  [SMALL_STATE(2594)] = 47102,
  [SMALL_STATE(2595)] = 47153,
  [SMALL_STATE(2596)] = 47200,
  [SMALL_STATE(2597)] = 47251,
  [SMALL_STATE(2598)] = 47302,
  [SMALL_STATE(2599)] = 47349,
  [SMALL_STATE(2600)] = 47396,
  [SMALL_STATE(2601)] = 47443,
  [SMALL_STATE(2602)] = 47494,
  [SMALL_STATE(2603)] = 47547,
  [SMALL_STATE(2604)] = 47598,
  [SMALL_STATE(2605)] = 47645,
  [SMALL_STATE(2606)] = 47691,
  [SMALL_STATE(2607)] = 47737,
  [SMALL_STATE(2608)] = 47783,
  [SMALL_STATE(2609)] = 47829,
  [SMALL_STATE(2610)] = 47875,
  [SMALL_STATE(2611)] = 47921,
  [SMALL_STATE(2612)] = 47967,
  [SMALL_STATE(2613)] = 48013,
  [SMALL_STATE(2614)] = 48063,
  [SMALL_STATE(2615)] = 48109,
  [SMALL_STATE(2616)] = 48157,
  [SMALL_STATE(2617)] = 48205,
  [SMALL_STATE(2618)] = 48253,
  [SMALL_STATE(2619)] = 48299,
  [SMALL_STATE(2620)] = 48347,
  [SMALL_STATE(2621)] = 48393,
  [SMALL_STATE(2622)] = 48441,
  [SMALL_STATE(2623)] = 48487,
  [SMALL_STATE(2624)] = 48535,
  [SMALL_STATE(2625)] = 48581,
  [SMALL_STATE(2626)] = 48641,
  [SMALL_STATE(2627)] = 48703,
  [SMALL_STATE(2628)] = 48751,
  [SMALL_STATE(2629)] = 48799,
  [SMALL_STATE(2630)] = 48845,
  [SMALL_STATE(2631)] = 48907,
  [SMALL_STATE(2632)] = 48967,
  [SMALL_STATE(2633)] = 49015,
  [SMALL_STATE(2634)] = 49063,
  [SMALL_STATE(2635)] = 49111,
  [SMALL_STATE(2636)] = 49159,
  [SMALL_STATE(2637)] = 49209,
  [SMALL_STATE(2638)] = 49257,
  [SMALL_STATE(2639)] = 49305,
  [SMALL_STATE(2640)] = 49353,
  [SMALL_STATE(2641)] = 49401,
  [SMALL_STATE(2642)] = 49451,
  [SMALL_STATE(2643)] = 49499,
  [SMALL_STATE(2644)] = 49549,
  [SMALL_STATE(2645)] = 49599,
  [SMALL_STATE(2646)] = 49645,
  [SMALL_STATE(2647)] = 49691,
  [SMALL_STATE(2648)] = 49739,
  [SMALL_STATE(2649)] = 49785,
  [SMALL_STATE(2650)] = 49833,
  [SMALL_STATE(2651)] = 49881,
  [SMALL_STATE(2652)] = 49929,
  [SMALL_STATE(2653)] = 49977,
  [SMALL_STATE(2654)] = 50027,
  [SMALL_STATE(2655)] = 50075,
  [SMALL_STATE(2656)] = 50123,
  [SMALL_STATE(2657)] = 50171,
  [SMALL_STATE(2658)] = 50219,
  [SMALL_STATE(2659)] = 50265,
  [SMALL_STATE(2660)] = 50313,
  [SMALL_STATE(2661)] = 50361,
  [SMALL_STATE(2662)] = 50407,
  [SMALL_STATE(2663)] = 50453,
  [SMALL_STATE(2664)] = 50499,
  [SMALL_STATE(2665)] = 50545,
  [SMALL_STATE(2666)] = 50590,
  [SMALL_STATE(2667)] = 50635,
  [SMALL_STATE(2668)] = 50692,
  [SMALL_STATE(2669)] = 50737,
  [SMALL_STATE(2670)] = 50782,
  [SMALL_STATE(2671)] = 50829,
  [SMALL_STATE(2672)] = 50874,
  [SMALL_STATE(2673)] = 50919,
  [SMALL_STATE(2674)] = 50964,
  [SMALL_STATE(2675)] = 51009,
  [SMALL_STATE(2676)] = 51054,
  [SMALL_STATE(2677)] = 51111,
  [SMALL_STATE(2678)] = 51156,
  [SMALL_STATE(2679)] = 51201,
  [SMALL_STATE(2680)] = 51246,
  [SMALL_STATE(2681)] = 51305,
  [SMALL_STATE(2682)] = 51352,
  [SMALL_STATE(2683)] = 51397,
  [SMALL_STATE(2684)] = 51462,
  [SMALL_STATE(2685)] = 51515,
  [SMALL_STATE(2686)] = 51566,
  [SMALL_STATE(2687)] = 51611,
  [SMALL_STATE(2688)] = 51660,
  [SMALL_STATE(2689)] = 51705,
  [SMALL_STATE(2690)] = 51750,
  [SMALL_STATE(2691)] = 51795,
  [SMALL_STATE(2692)] = 51840,
  [SMALL_STATE(2693)] = 51887,
  [SMALL_STATE(2694)] = 51932,
  [SMALL_STATE(2695)] = 51989,
  [SMALL_STATE(2696)] = 52046,
  [SMALL_STATE(2697)] = 52095,
  [SMALL_STATE(2698)] = 52140,
  [SMALL_STATE(2699)] = 52185,
  [SMALL_STATE(2700)] = 52230,
  [SMALL_STATE(2701)] = 52277,
  [SMALL_STATE(2702)] = 52322,
  [SMALL_STATE(2703)] = 52387,
  [SMALL_STATE(2704)] = 52432,
  [SMALL_STATE(2705)] = 52477,
  [SMALL_STATE(2706)] = 52528,
  [SMALL_STATE(2707)] = 52593,
  [SMALL_STATE(2708)] = 52652,
  [SMALL_STATE(2709)] = 52697,
  [SMALL_STATE(2710)] = 52742,
  [SMALL_STATE(2711)] = 52787,
  [SMALL_STATE(2712)] = 52832,
  [SMALL_STATE(2713)] = 52877,
  [SMALL_STATE(2714)] = 52922,
  [SMALL_STATE(2715)] = 52967,
  [SMALL_STATE(2716)] = 53012,
  [SMALL_STATE(2717)] = 53057,
  [SMALL_STATE(2718)] = 53102,
  [SMALL_STATE(2719)] = 53149,
  [SMALL_STATE(2720)] = 53194,
  [SMALL_STATE(2721)] = 53251,
  [SMALL_STATE(2722)] = 53298,
  [SMALL_STATE(2723)] = 53345,
  [SMALL_STATE(2724)] = 53392,
  [SMALL_STATE(2725)] = 53439,
  [SMALL_STATE(2726)] = 53484,
  [SMALL_STATE(2727)] = 53531,
  [SMALL_STATE(2728)] = 53578,
  [SMALL_STATE(2729)] = 53625,
  [SMALL_STATE(2730)] = 53670,
  [SMALL_STATE(2731)] = 53715,
  [SMALL_STATE(2732)] = 53760,
  [SMALL_STATE(2733)] = 53807,
  [SMALL_STATE(2734)] = 53872,
  [SMALL_STATE(2735)] = 53917,
  [SMALL_STATE(2736)] = 53974,
  [SMALL_STATE(2737)] = 54025,
  [SMALL_STATE(2738)] = 54070,
  [SMALL_STATE(2739)] = 54123,
  [SMALL_STATE(2740)] = 54180,
  [SMALL_STATE(2741)] = 54239,
  [SMALL_STATE(2742)] = 54284,
  [SMALL_STATE(2743)] = 54329,
  [SMALL_STATE(2744)] = 54374,
  [SMALL_STATE(2745)] = 54419,
  [SMALL_STATE(2746)] = 54466,
  [SMALL_STATE(2747)] = 54511,
  [SMALL_STATE(2748)] = 54558,
  [SMALL_STATE(2749)] = 54615,
  [SMALL_STATE(2750)] = 54660,
  [SMALL_STATE(2751)] = 54707,
  [SMALL_STATE(2752)] = 54752,
  [SMALL_STATE(2753)] = 54799,
  [SMALL_STATE(2754)] = 54844,
  [SMALL_STATE(2755)] = 54889,
  [SMALL_STATE(2756)] = 54934,
  [SMALL_STATE(2757)] = 54981,
  [SMALL_STATE(2758)] = 55028,
  [SMALL_STATE(2759)] = 55075,
  [SMALL_STATE(2760)] = 55122,
  [SMALL_STATE(2761)] = 55187,
  [SMALL_STATE(2762)] = 55252,
  [SMALL_STATE(2763)] = 55297,
  [SMALL_STATE(2764)] = 55342,
  [SMALL_STATE(2765)] = 55389,
  [SMALL_STATE(2766)] = 55434,
  [SMALL_STATE(2767)] = 55481,
  [SMALL_STATE(2768)] = 55528,
  [SMALL_STATE(2769)] = 55573,
  [SMALL_STATE(2770)] = 55620,
  [SMALL_STATE(2771)] = 55665,
  [SMALL_STATE(2772)] = 55712,
  [SMALL_STATE(2773)] = 55759,
  [SMALL_STATE(2774)] = 55806,
  [SMALL_STATE(2775)] = 55851,
  [SMALL_STATE(2776)] = 55896,
  [SMALL_STATE(2777)] = 55943,
  [SMALL_STATE(2778)] = 55988,
  [SMALL_STATE(2779)] = 56037,
  [SMALL_STATE(2780)] = 56082,
  [SMALL_STATE(2781)] = 56129,
  [SMALL_STATE(2782)] = 56174,
  [SMALL_STATE(2783)] = 56221,
  [SMALL_STATE(2784)] = 56266,
  [SMALL_STATE(2785)] = 56313,
  [SMALL_STATE(2786)] = 56360,
  [SMALL_STATE(2787)] = 56405,
  [SMALL_STATE(2788)] = 56450,
  [SMALL_STATE(2789)] = 56495,
  [SMALL_STATE(2790)] = 56540,
  [SMALL_STATE(2791)] = 56585,
  [SMALL_STATE(2792)] = 56632,
  [SMALL_STATE(2793)] = 56677,
  [SMALL_STATE(2794)] = 56724,
  [SMALL_STATE(2795)] = 56771,
  [SMALL_STATE(2796)] = 56818,
  [SMALL_STATE(2797)] = 56863,
  [SMALL_STATE(2798)] = 56908,
  [SMALL_STATE(2799)] = 56953,
  [SMALL_STATE(2800)] = 56998,
  [SMALL_STATE(2801)] = 57043,
  [SMALL_STATE(2802)] = 57088,
  [SMALL_STATE(2803)] = 57133,
  [SMALL_STATE(2804)] = 57190,
  [SMALL_STATE(2805)] = 57235,
  [SMALL_STATE(2806)] = 57280,
  [SMALL_STATE(2807)] = 57325,
  [SMALL_STATE(2808)] = 57370,
  [SMALL_STATE(2809)] = 57417,
  [SMALL_STATE(2810)] = 57462,
  [SMALL_STATE(2811)] = 57507,
  [SMALL_STATE(2812)] = 57568,
  [SMALL_STATE(2813)] = 57615,
  [SMALL_STATE(2814)] = 57662,
  [SMALL_STATE(2815)] = 57707,
  [SMALL_STATE(2816)] = 57752,
  [SMALL_STATE(2817)] = 57799,
  [SMALL_STATE(2818)] = 57844,
  [SMALL_STATE(2819)] = 57891,
  [SMALL_STATE(2820)] = 57936,
  [SMALL_STATE(2821)] = 57983,
  [SMALL_STATE(2822)] = 58030,
  [SMALL_STATE(2823)] = 58075,
  [SMALL_STATE(2824)] = 58120,
  [SMALL_STATE(2825)] = 58165,
  [SMALL_STATE(2826)] = 58210,
  [SMALL_STATE(2827)] = 58257,
  [SMALL_STATE(2828)] = 58304,
  [SMALL_STATE(2829)] = 58349,
  [SMALL_STATE(2830)] = 58394,
  [SMALL_STATE(2831)] = 58439,
  [SMALL_STATE(2832)] = 58484,
  [SMALL_STATE(2833)] = 58529,
  [SMALL_STATE(2834)] = 58574,
  [SMALL_STATE(2835)] = 58619,
  [SMALL_STATE(2836)] = 58664,
  [SMALL_STATE(2837)] = 58709,
  [SMALL_STATE(2838)] = 58754,
  [SMALL_STATE(2839)] = 58801,
  [SMALL_STATE(2840)] = 58848,
  [SMALL_STATE(2841)] = 58893,
  [SMALL_STATE(2842)] = 58938,
  [SMALL_STATE(2843)] = 58983,
  [SMALL_STATE(2844)] = 59032,
  [SMALL_STATE(2845)] = 59077,
  [SMALL_STATE(2846)] = 59122,
  [SMALL_STATE(2847)] = 59169,
  [SMALL_STATE(2848)] = 59214,
  [SMALL_STATE(2849)] = 59259,
  [SMALL_STATE(2850)] = 59306,
  [SMALL_STATE(2851)] = 59351,
  [SMALL_STATE(2852)] = 59396,
  [SMALL_STATE(2853)] = 59441,
  [SMALL_STATE(2854)] = 59488,
  [SMALL_STATE(2855)] = 59533,
  [SMALL_STATE(2856)] = 59580,
  [SMALL_STATE(2857)] = 59627,
  [SMALL_STATE(2858)] = 59672,
  [SMALL_STATE(2859)] = 59717,
  [SMALL_STATE(2860)] = 59762,
  [SMALL_STATE(2861)] = 59807,
  [SMALL_STATE(2862)] = 59852,
  [SMALL_STATE(2863)] = 59899,
  [SMALL_STATE(2864)] = 59944,
  [SMALL_STATE(2865)] = 59995,
  [SMALL_STATE(2866)] = 60040,
  [SMALL_STATE(2867)] = 60085,
  [SMALL_STATE(2868)] = 60130,
  [SMALL_STATE(2869)] = 60175,
  [SMALL_STATE(2870)] = 60234,
  [SMALL_STATE(2871)] = 60281,
  [SMALL_STATE(2872)] = 60338,
  [SMALL_STATE(2873)] = 60383,
  [SMALL_STATE(2874)] = 60428,
  [SMALL_STATE(2875)] = 60473,
  [SMALL_STATE(2876)] = 60518,
  [SMALL_STATE(2877)] = 60563,
  [SMALL_STATE(2878)] = 60608,
  [SMALL_STATE(2879)] = 60655,
  [SMALL_STATE(2880)] = 60700,
  [SMALL_STATE(2881)] = 60745,
  [SMALL_STATE(2882)] = 60792,
  [SMALL_STATE(2883)] = 60837,
  [SMALL_STATE(2884)] = 60882,
  [SMALL_STATE(2885)] = 60927,
  [SMALL_STATE(2886)] = 60972,
  [SMALL_STATE(2887)] = 61017,
  [SMALL_STATE(2888)] = 61063,
  [SMALL_STATE(2889)] = 61109,
  [SMALL_STATE(2890)] = 61155,
  [SMALL_STATE(2891)] = 61211,
  [SMALL_STATE(2892)] = 61267,
  [SMALL_STATE(2893)] = 61325,
  [SMALL_STATE(2894)] = 61385,
  [SMALL_STATE(2895)] = 61431,
  [SMALL_STATE(2896)] = 61487,
  [SMALL_STATE(2897)] = 61543,
  [SMALL_STATE(2898)] = 61601,
  [SMALL_STATE(2899)] = 61657,
  [SMALL_STATE(2900)] = 61703,
  [SMALL_STATE(2901)] = 61761,
  [SMALL_STATE(2902)] = 61817,
  [SMALL_STATE(2903)] = 61862,
  [SMALL_STATE(2904)] = 61907,
  [SMALL_STATE(2905)] = 61952,
  [SMALL_STATE(2906)] = 61997,
  [SMALL_STATE(2907)] = 62042,
  [SMALL_STATE(2908)] = 62087,
  [SMALL_STATE(2909)] = 62132,
  [SMALL_STATE(2910)] = 62177,
  [SMALL_STATE(2911)] = 62240,
  [SMALL_STATE(2912)] = 62285,
  [SMALL_STATE(2913)] = 62342,
  [SMALL_STATE(2914)] = 62387,
  [SMALL_STATE(2915)] = 62442,
  [SMALL_STATE(2916)] = 62487,
  [SMALL_STATE(2917)] = 62542,
  [SMALL_STATE(2918)] = 62597,
  [SMALL_STATE(2919)] = 62652,
  [SMALL_STATE(2920)] = 62707,
  [SMALL_STATE(2921)] = 62752,
  [SMALL_STATE(2922)] = 62811,
  [SMALL_STATE(2923)] = 62856,
  [SMALL_STATE(2924)] = 62901,
  [SMALL_STATE(2925)] = 62946,
  [SMALL_STATE(2926)] = 62991,
  [SMALL_STATE(2927)] = 63046,
  [SMALL_STATE(2928)] = 63102,
  [SMALL_STATE(2929)] = 63158,
  [SMALL_STATE(2930)] = 63204,
  [SMALL_STATE(2931)] = 63250,
  [SMALL_STATE(2932)] = 63306,
  [SMALL_STATE(2933)] = 63350,
  [SMALL_STATE(2934)] = 63394,
  [SMALL_STATE(2935)] = 63438,
  [SMALL_STATE(2936)] = 63482,
  [SMALL_STATE(2937)] = 63526,
  [SMALL_STATE(2938)] = 63576,
  [SMALL_STATE(2939)] = 63624,
  [SMALL_STATE(2940)] = 63670,
  [SMALL_STATE(2941)] = 63714,
  [SMALL_STATE(2942)] = 63758,
  [SMALL_STATE(2943)] = 63814,
  [SMALL_STATE(2944)] = 63860,
  [SMALL_STATE(2945)] = 63916,
  [SMALL_STATE(2946)] = 63964,
  [SMALL_STATE(2947)] = 64020,
  [SMALL_STATE(2948)] = 64076,
  [SMALL_STATE(2949)] = 64132,
  [SMALL_STATE(2950)] = 64188,
  [SMALL_STATE(2951)] = 64236,
  [SMALL_STATE(2952)] = 64292,
  [SMALL_STATE(2953)] = 64336,
  [SMALL_STATE(2954)] = 64380,
  [SMALL_STATE(2955)] = 64428,
  [SMALL_STATE(2956)] = 64484,
  [SMALL_STATE(2957)] = 64528,
  [SMALL_STATE(2958)] = 64572,
  [SMALL_STATE(2959)] = 64622,
  [SMALL_STATE(2960)] = 64678,
  [SMALL_STATE(2961)] = 64722,
  [SMALL_STATE(2962)] = 64770,
  [SMALL_STATE(2963)] = 64826,
  [SMALL_STATE(2964)] = 64884,
  [SMALL_STATE(2965)] = 64928,
  [SMALL_STATE(2966)] = 64984,
  [SMALL_STATE(2967)] = 65040,
  [SMALL_STATE(2968)] = 65084,
  [SMALL_STATE(2969)] = 65128,
  [SMALL_STATE(2970)] = 65172,
  [SMALL_STATE(2971)] = 65215,
  [SMALL_STATE(2972)] = 65260,
  [SMALL_STATE(2973)] = 65305,
  [SMALL_STATE(2974)] = 65350,
  [SMALL_STATE(2975)] = 65399,
  [SMALL_STATE(2976)] = 65442,
  [SMALL_STATE(2977)] = 65487,
  [SMALL_STATE(2978)] = 65532,
  [SMALL_STATE(2979)] = 65579,
  [SMALL_STATE(2980)] = 65638,
  [SMALL_STATE(2981)] = 65685,
  [SMALL_STATE(2982)] = 65730,
  [SMALL_STATE(2983)] = 65803,
  [SMALL_STATE(2984)] = 65846,
  [SMALL_STATE(2985)] = 65919,
  [SMALL_STATE(2986)] = 65966,
  [SMALL_STATE(2987)] = 66039,
  [SMALL_STATE(2988)] = 66084,
  [SMALL_STATE(2989)] = 66129,
  [SMALL_STATE(2990)] = 66172,
  [SMALL_STATE(2991)] = 66219,
  [SMALL_STATE(2992)] = 66266,
  [SMALL_STATE(2993)] = 66313,
  [SMALL_STATE(2994)] = 66356,
  [SMALL_STATE(2995)] = 66401,
  [SMALL_STATE(2996)] = 66474,
  [SMALL_STATE(2997)] = 66517,
  [SMALL_STATE(2998)] = 66590,
  [SMALL_STATE(2999)] = 66663,
  [SMALL_STATE(3000)] = 66708,
  [SMALL_STATE(3001)] = 66781,
  [SMALL_STATE(3002)] = 66828,
  [SMALL_STATE(3003)] = 66871,
  [SMALL_STATE(3004)] = 66918,
  [SMALL_STATE(3005)] = 66963,
  [SMALL_STATE(3006)] = 67006,
  [SMALL_STATE(3007)] = 67049,
  [SMALL_STATE(3008)] = 67122,
  [SMALL_STATE(3009)] = 67167,
  [SMALL_STATE(3010)] = 67240,
  [SMALL_STATE(3011)] = 67283,
  [SMALL_STATE(3012)] = 67328,
  [SMALL_STATE(3013)] = 67401,
  [SMALL_STATE(3014)] = 67474,
  [SMALL_STATE(3015)] = 67523,
  [SMALL_STATE(3016)] = 67566,
  [SMALL_STATE(3017)] = 67621,
  [SMALL_STATE(3018)] = 67694,
  [SMALL_STATE(3019)] = 67755,
  [SMALL_STATE(3020)] = 67798,
  [SMALL_STATE(3021)] = 67867,
  [SMALL_STATE(3022)] = 67920,
  [SMALL_STATE(3023)] = 67975,
  [SMALL_STATE(3024)] = 68048,
  [SMALL_STATE(3025)] = 68107,
  [SMALL_STATE(3026)] = 68180,
  [SMALL_STATE(3027)] = 68225,
  [SMALL_STATE(3028)] = 68298,
  [SMALL_STATE(3029)] = 68341,
  [SMALL_STATE(3030)] = 68386,
  [SMALL_STATE(3031)] = 68459,
  [SMALL_STATE(3032)] = 68502,
  [SMALL_STATE(3033)] = 68553,
  [SMALL_STATE(3034)] = 68599,
  [SMALL_STATE(3035)] = 68669,
  [SMALL_STATE(3036)] = 68711,
  [SMALL_STATE(3037)] = 68753,
  [SMALL_STATE(3038)] = 68797,
  [SMALL_STATE(3039)] = 68839,
  [SMALL_STATE(3040)] = 68881,
  [SMALL_STATE(3041)] = 68923,
  [SMALL_STATE(3042)] = 68969,
  [SMALL_STATE(3043)] = 69011,
  [SMALL_STATE(3044)] = 69053,
  [SMALL_STATE(3045)] = 69095,
  [SMALL_STATE(3046)] = 69137,
  [SMALL_STATE(3047)] = 69179,
  [SMALL_STATE(3048)] = 69221,
  [SMALL_STATE(3049)] = 69263,
  [SMALL_STATE(3050)] = 69305,
  [SMALL_STATE(3051)] = 69347,
  [SMALL_STATE(3052)] = 69389,
  [SMALL_STATE(3053)] = 69431,
  [SMALL_STATE(3054)] = 69473,
  [SMALL_STATE(3055)] = 69515,
  [SMALL_STATE(3056)] = 69557,
  [SMALL_STATE(3057)] = 69599,
  [SMALL_STATE(3058)] = 69641,
  [SMALL_STATE(3059)] = 69683,
  [SMALL_STATE(3060)] = 69725,
  [SMALL_STATE(3061)] = 69767,
  [SMALL_STATE(3062)] = 69809,
  [SMALL_STATE(3063)] = 69851,
  [SMALL_STATE(3064)] = 69893,
  [SMALL_STATE(3065)] = 69961,
  [SMALL_STATE(3066)] = 70003,
  [SMALL_STATE(3067)] = 70045,
  [SMALL_STATE(3068)] = 70087,
  [SMALL_STATE(3069)] = 70129,
  [SMALL_STATE(3070)] = 70171,
  [SMALL_STATE(3071)] = 70241,
  [SMALL_STATE(3072)] = 70283,
  [SMALL_STATE(3073)] = 70327,
  [SMALL_STATE(3074)] = 70369,
  [SMALL_STATE(3075)] = 70411,
  [SMALL_STATE(3076)] = 70481,
  [SMALL_STATE(3077)] = 70523,
  [SMALL_STATE(3078)] = 70565,
  [SMALL_STATE(3079)] = 70607,
  [SMALL_STATE(3080)] = 70649,
  [SMALL_STATE(3081)] = 70691,
  [SMALL_STATE(3082)] = 70761,
  [SMALL_STATE(3083)] = 70803,
  [SMALL_STATE(3084)] = 70845,
  [SMALL_STATE(3085)] = 70887,
  [SMALL_STATE(3086)] = 70929,
  [SMALL_STATE(3087)] = 70971,
  [SMALL_STATE(3088)] = 71013,
  [SMALL_STATE(3089)] = 71055,
  [SMALL_STATE(3090)] = 71097,
  [SMALL_STATE(3091)] = 71139,
  [SMALL_STATE(3092)] = 71181,
  [SMALL_STATE(3093)] = 71225,
  [SMALL_STATE(3094)] = 71267,
  [SMALL_STATE(3095)] = 71309,
  [SMALL_STATE(3096)] = 71351,
  [SMALL_STATE(3097)] = 71421,
  [SMALL_STATE(3098)] = 71467,
  [SMALL_STATE(3099)] = 71509,
  [SMALL_STATE(3100)] = 71551,
  [SMALL_STATE(3101)] = 71593,
  [SMALL_STATE(3102)] = 71663,
  [SMALL_STATE(3103)] = 71705,
  [SMALL_STATE(3104)] = 71749,
  [SMALL_STATE(3105)] = 71819,
  [SMALL_STATE(3106)] = 71863,
  [SMALL_STATE(3107)] = 71933,
  [SMALL_STATE(3108)] = 71977,
  [SMALL_STATE(3109)] = 72019,
  [SMALL_STATE(3110)] = 72061,
  [SMALL_STATE(3111)] = 72103,
  [SMALL_STATE(3112)] = 72147,
  [SMALL_STATE(3113)] = 72189,
  [SMALL_STATE(3114)] = 72231,
  [SMALL_STATE(3115)] = 72301,
  [SMALL_STATE(3116)] = 72343,
  [SMALL_STATE(3117)] = 72405,
  [SMALL_STATE(3118)] = 72465,
  [SMALL_STATE(3119)] = 72519,
  [SMALL_STATE(3120)] = 72569,
  [SMALL_STATE(3121)] = 72615,
  [SMALL_STATE(3122)] = 72657,
  [SMALL_STATE(3123)] = 72699,
  [SMALL_STATE(3124)] = 72741,
  [SMALL_STATE(3125)] = 72791,
  [SMALL_STATE(3126)] = 72833,
  [SMALL_STATE(3127)] = 72887,
  [SMALL_STATE(3128)] = 72933,
  [SMALL_STATE(3129)] = 72975,
  [SMALL_STATE(3130)] = 73017,
  [SMALL_STATE(3131)] = 73081,
  [SMALL_STATE(3132)] = 73125,
  [SMALL_STATE(3133)] = 73195,
  [SMALL_STATE(3134)] = 73237,
  [SMALL_STATE(3135)] = 73295,
  [SMALL_STATE(3136)] = 73339,
  [SMALL_STATE(3137)] = 73381,
  [SMALL_STATE(3138)] = 73441,
  [SMALL_STATE(3139)] = 73483,
  [SMALL_STATE(3140)] = 73525,
  [SMALL_STATE(3141)] = 73595,
  [SMALL_STATE(3142)] = 73637,
  [SMALL_STATE(3143)] = 73679,
  [SMALL_STATE(3144)] = 73725,
  [SMALL_STATE(3145)] = 73767,
  [SMALL_STATE(3146)] = 73809,
  [SMALL_STATE(3147)] = 73853,
  [SMALL_STATE(3148)] = 73895,
  [SMALL_STATE(3149)] = 73965,
  [SMALL_STATE(3150)] = 74007,
  [SMALL_STATE(3151)] = 74049,
  [SMALL_STATE(3152)] = 74091,
  [SMALL_STATE(3153)] = 74133,
  [SMALL_STATE(3154)] = 74175,
  [SMALL_STATE(3155)] = 74221,
  [SMALL_STATE(3156)] = 74263,
  [SMALL_STATE(3157)] = 74333,
  [SMALL_STATE(3158)] = 74375,
  [SMALL_STATE(3159)] = 74417,
  [SMALL_STATE(3160)] = 74461,
  [SMALL_STATE(3161)] = 74503,
  [SMALL_STATE(3162)] = 74547,
  [SMALL_STATE(3163)] = 74589,
  [SMALL_STATE(3164)] = 74631,
  [SMALL_STATE(3165)] = 74673,
  [SMALL_STATE(3166)] = 74743,
  [SMALL_STATE(3167)] = 74807,
  [SMALL_STATE(3168)] = 74877,
  [SMALL_STATE(3169)] = 74919,
  [SMALL_STATE(3170)] = 74961,
  [SMALL_STATE(3171)] = 75003,
  [SMALL_STATE(3172)] = 75045,
  [SMALL_STATE(3173)] = 75104,
  [SMALL_STATE(3174)] = 75167,
  [SMALL_STATE(3175)] = 75208,
  [SMALL_STATE(3176)] = 75275,
  [SMALL_STATE(3177)] = 75316,
  [SMALL_STATE(3178)] = 75357,
  [SMALL_STATE(3179)] = 75424,
  [SMALL_STATE(3180)] = 75465,
  [SMALL_STATE(3181)] = 75506,
  [SMALL_STATE(3182)] = 75547,
  [SMALL_STATE(3183)] = 75588,
  [SMALL_STATE(3184)] = 75629,
  [SMALL_STATE(3185)] = 75670,
  [SMALL_STATE(3186)] = 75737,
  [SMALL_STATE(3187)] = 75778,
  [SMALL_STATE(3188)] = 75819,
  [SMALL_STATE(3189)] = 75862,
  [SMALL_STATE(3190)] = 75903,
  [SMALL_STATE(3191)] = 75944,
  [SMALL_STATE(3192)] = 75987,
  [SMALL_STATE(3193)] = 76028,
  [SMALL_STATE(3194)] = 76087,
  [SMALL_STATE(3195)] = 76128,
  [SMALL_STATE(3196)] = 76185,
  [SMALL_STATE(3197)] = 76226,
  [SMALL_STATE(3198)] = 76293,
  [SMALL_STATE(3199)] = 76334,
  [SMALL_STATE(3200)] = 76391,
  [SMALL_STATE(3201)] = 76458,
  [SMALL_STATE(3202)] = 76499,
  [SMALL_STATE(3203)] = 76562,
  [SMALL_STATE(3204)] = 76603,
  [SMALL_STATE(3205)] = 76670,
  [SMALL_STATE(3206)] = 76711,
  [SMALL_STATE(3207)] = 76752,
  [SMALL_STATE(3208)] = 76793,
  [SMALL_STATE(3209)] = 76834,
  [SMALL_STATE(3210)] = 76883,
  [SMALL_STATE(3211)] = 76950,
  [SMALL_STATE(3212)] = 76991,
  [SMALL_STATE(3213)] = 77032,
  [SMALL_STATE(3214)] = 77073,
  [SMALL_STATE(3215)] = 77140,
  [SMALL_STATE(3216)] = 77207,
  [SMALL_STATE(3217)] = 77248,
  [SMALL_STATE(3218)] = 77289,
  [SMALL_STATE(3219)] = 77330,
  [SMALL_STATE(3220)] = 77393,
  [SMALL_STATE(3221)] = 77434,
  [SMALL_STATE(3222)] = 77475,
  [SMALL_STATE(3223)] = 77542,
  [SMALL_STATE(3224)] = 77583,
  [SMALL_STATE(3225)] = 77624,
  [SMALL_STATE(3226)] = 77665,
  [SMALL_STATE(3227)] = 77718,
  [SMALL_STATE(3228)] = 77763,
  [SMALL_STATE(3229)] = 77816,
  [SMALL_STATE(3230)] = 77859,
  [SMALL_STATE(3231)] = 77900,
  [SMALL_STATE(3232)] = 77941,
  [SMALL_STATE(3233)] = 77982,
  [SMALL_STATE(3234)] = 78049,
  [SMALL_STATE(3235)] = 78108,
  [SMALL_STATE(3236)] = 78175,
  [SMALL_STATE(3237)] = 78224,
  [SMALL_STATE(3238)] = 78277,
  [SMALL_STATE(3239)] = 78334,
  [SMALL_STATE(3240)] = 78385,
  [SMALL_STATE(3241)] = 78426,
  [SMALL_STATE(3242)] = 78469,
  [SMALL_STATE(3243)] = 78510,
  [SMALL_STATE(3244)] = 78553,
  [SMALL_STATE(3245)] = 78594,
  [SMALL_STATE(3246)] = 78641,
  [SMALL_STATE(3247)] = 78686,
  [SMALL_STATE(3248)] = 78729,
  [SMALL_STATE(3249)] = 78790,
  [SMALL_STATE(3250)] = 78839,
  [SMALL_STATE(3251)] = 78880,
  [SMALL_STATE(3252)] = 78947,
  [SMALL_STATE(3253)] = 78988,
  [SMALL_STATE(3254)] = 79029,
  [SMALL_STATE(3255)] = 79070,
  [SMALL_STATE(3256)] = 79111,
  [SMALL_STATE(3257)] = 79154,
  [SMALL_STATE(3258)] = 79195,
  [SMALL_STATE(3259)] = 79236,
  [SMALL_STATE(3260)] = 79299,
  [SMALL_STATE(3261)] = 79344,
  [SMALL_STATE(3262)] = 79385,
  [SMALL_STATE(3263)] = 79438,
  [SMALL_STATE(3264)] = 79479,
  [SMALL_STATE(3265)] = 79546,
  [SMALL_STATE(3266)] = 79603,
  [SMALL_STATE(3267)] = 79644,
  [SMALL_STATE(3268)] = 79685,
  [SMALL_STATE(3269)] = 79744,
  [SMALL_STATE(3270)] = 79811,
  [SMALL_STATE(3271)] = 79852,
  [SMALL_STATE(3272)] = 79893,
  [SMALL_STATE(3273)] = 79934,
  [SMALL_STATE(3274)] = 79975,
  [SMALL_STATE(3275)] = 80016,
  [SMALL_STATE(3276)] = 80057,
  [SMALL_STATE(3277)] = 80124,
  [SMALL_STATE(3278)] = 80165,
  [SMALL_STATE(3279)] = 80206,
  [SMALL_STATE(3280)] = 80247,
  [SMALL_STATE(3281)] = 80314,
  [SMALL_STATE(3282)] = 80355,
  [SMALL_STATE(3283)] = 80395,
  [SMALL_STATE(3284)] = 80435,
  [SMALL_STATE(3285)] = 80475,
  [SMALL_STATE(3286)] = 80515,
  [SMALL_STATE(3287)] = 80555,
  [SMALL_STATE(3288)] = 80595,
  [SMALL_STATE(3289)] = 80635,
  [SMALL_STATE(3290)] = 80675,
  [SMALL_STATE(3291)] = 80739,
  [SMALL_STATE(3292)] = 80779,
  [SMALL_STATE(3293)] = 80837,
  [SMALL_STATE(3294)] = 80901,
  [SMALL_STATE(3295)] = 80941,
  [SMALL_STATE(3296)] = 80981,
  [SMALL_STATE(3297)] = 81045,
  [SMALL_STATE(3298)] = 81101,
  [SMALL_STATE(3299)] = 81153,
  [SMALL_STATE(3300)] = 81193,
  [SMALL_STATE(3301)] = 81257,
  [SMALL_STATE(3302)] = 81297,
  [SMALL_STATE(3303)] = 81337,
  [SMALL_STATE(3304)] = 81381,
  [SMALL_STATE(3305)] = 81429,
  [SMALL_STATE(3306)] = 81469,
  [SMALL_STATE(3307)] = 81533,
  [SMALL_STATE(3308)] = 81573,
  [SMALL_STATE(3309)] = 81613,
  [SMALL_STATE(3310)] = 81653,
  [SMALL_STATE(3311)] = 81693,
  [SMALL_STATE(3312)] = 81733,
  [SMALL_STATE(3313)] = 81773,
  [SMALL_STATE(3314)] = 81835,
  [SMALL_STATE(3315)] = 81875,
  [SMALL_STATE(3316)] = 81915,
  [SMALL_STATE(3317)] = 81955,
  [SMALL_STATE(3318)] = 81995,
  [SMALL_STATE(3319)] = 82035,
  [SMALL_STATE(3320)] = 82079,
  [SMALL_STATE(3321)] = 82121,
  [SMALL_STATE(3322)] = 82161,
  [SMALL_STATE(3323)] = 82201,
  [SMALL_STATE(3324)] = 82241,
  [SMALL_STATE(3325)] = 82281,
  [SMALL_STATE(3326)] = 82321,
  [SMALL_STATE(3327)] = 82367,
  [SMALL_STATE(3328)] = 82431,
  [SMALL_STATE(3329)] = 82471,
  [SMALL_STATE(3330)] = 82535,
  [SMALL_STATE(3331)] = 82575,
  [SMALL_STATE(3332)] = 82615,
  [SMALL_STATE(3333)] = 82655,
  [SMALL_STATE(3334)] = 82717,
  [SMALL_STATE(3335)] = 82775,
  [SMALL_STATE(3336)] = 82815,
  [SMALL_STATE(3337)] = 82871,
  [SMALL_STATE(3338)] = 82923,
  [SMALL_STATE(3339)] = 82971,
  [SMALL_STATE(3340)] = 83011,
  [SMALL_STATE(3341)] = 83051,
  [SMALL_STATE(3342)] = 83091,
  [SMALL_STATE(3343)] = 83131,
  [SMALL_STATE(3344)] = 83171,
  [SMALL_STATE(3345)] = 83211,
  [SMALL_STATE(3346)] = 83275,
  [SMALL_STATE(3347)] = 83315,
  [SMALL_STATE(3348)] = 83355,
  [SMALL_STATE(3349)] = 83395,
  [SMALL_STATE(3350)] = 83435,
  [SMALL_STATE(3351)] = 83475,
  [SMALL_STATE(3352)] = 83537,
  [SMALL_STATE(3353)] = 83577,
  [SMALL_STATE(3354)] = 83617,
  [SMALL_STATE(3355)] = 83657,
  [SMALL_STATE(3356)] = 83721,
  [SMALL_STATE(3357)] = 83761,
  [SMALL_STATE(3358)] = 83801,
  [SMALL_STATE(3359)] = 83841,
  [SMALL_STATE(3360)] = 83881,
  [SMALL_STATE(3361)] = 83945,
  [SMALL_STATE(3362)] = 83985,
  [SMALL_STATE(3363)] = 84025,
  [SMALL_STATE(3364)] = 84065,
  [SMALL_STATE(3365)] = 84105,
  [SMALL_STATE(3366)] = 84167,
  [SMALL_STATE(3367)] = 84207,
  [SMALL_STATE(3368)] = 84271,
  [SMALL_STATE(3369)] = 84311,
  [SMALL_STATE(3370)] = 84351,
  [SMALL_STATE(3371)] = 84391,
  [SMALL_STATE(3372)] = 84431,
  [SMALL_STATE(3373)] = 84495,
  [SMALL_STATE(3374)] = 84535,
  [SMALL_STATE(3375)] = 84599,
  [SMALL_STATE(3376)] = 84639,
  [SMALL_STATE(3377)] = 84679,
  [SMALL_STATE(3378)] = 84719,
  [SMALL_STATE(3379)] = 84759,
  [SMALL_STATE(3380)] = 84799,
  [SMALL_STATE(3381)] = 84863,
  [SMALL_STATE(3382)] = 84927,
  [SMALL_STATE(3383)] = 84967,
  [SMALL_STATE(3384)] = 85007,
  [SMALL_STATE(3385)] = 85047,
  [SMALL_STATE(3386)] = 85087,
  [SMALL_STATE(3387)] = 85127,
  [SMALL_STATE(3388)] = 85188,
  [SMALL_STATE(3389)] = 85249,
  [SMALL_STATE(3390)] = 85310,
  [SMALL_STATE(3391)] = 85371,
  [SMALL_STATE(3392)] = 85432,
  [SMALL_STATE(3393)] = 85493,
  [SMALL_STATE(3394)] = 85554,
  [SMALL_STATE(3395)] = 85615,
  [SMALL_STATE(3396)] = 85676,
  [SMALL_STATE(3397)] = 85737,
  [SMALL_STATE(3398)] = 85798,
  [SMALL_STATE(3399)] = 85859,
  [SMALL_STATE(3400)] = 85920,
  [SMALL_STATE(3401)] = 85981,
  [SMALL_STATE(3402)] = 86042,
  [SMALL_STATE(3403)] = 86103,
  [SMALL_STATE(3404)] = 86164,
  [SMALL_STATE(3405)] = 86225,
  [SMALL_STATE(3406)] = 86286,
  [SMALL_STATE(3407)] = 86347,
  [SMALL_STATE(3408)] = 86408,
  [SMALL_STATE(3409)] = 86469,
  [SMALL_STATE(3410)] = 86530,
  [SMALL_STATE(3411)] = 86591,
  [SMALL_STATE(3412)] = 86652,
  [SMALL_STATE(3413)] = 86713,
  [SMALL_STATE(3414)] = 86774,
  [SMALL_STATE(3415)] = 86835,
  [SMALL_STATE(3416)] = 86896,
  [SMALL_STATE(3417)] = 86957,
  [SMALL_STATE(3418)] = 87018,
  [SMALL_STATE(3419)] = 87079,
  [SMALL_STATE(3420)] = 87140,
  [SMALL_STATE(3421)] = 87201,
  [SMALL_STATE(3422)] = 87262,
  [SMALL_STATE(3423)] = 87323,
  [SMALL_STATE(3424)] = 87384,
  [SMALL_STATE(3425)] = 87445,
  [SMALL_STATE(3426)] = 87506,
  [SMALL_STATE(3427)] = 87567,
  [SMALL_STATE(3428)] = 87628,
  [SMALL_STATE(3429)] = 87689,
  [SMALL_STATE(3430)] = 87750,
  [SMALL_STATE(3431)] = 87811,
  [SMALL_STATE(3432)] = 87872,
  [SMALL_STATE(3433)] = 87933,
  [SMALL_STATE(3434)] = 87994,
  [SMALL_STATE(3435)] = 88055,
  [SMALL_STATE(3436)] = 88096,
  [SMALL_STATE(3437)] = 88157,
  [SMALL_STATE(3438)] = 88218,
  [SMALL_STATE(3439)] = 88279,
  [SMALL_STATE(3440)] = 88340,
  [SMALL_STATE(3441)] = 88401,
  [SMALL_STATE(3442)] = 88462,
  [SMALL_STATE(3443)] = 88523,
  [SMALL_STATE(3444)] = 88584,
  [SMALL_STATE(3445)] = 88645,
  [SMALL_STATE(3446)] = 88706,
  [SMALL_STATE(3447)] = 88767,
  [SMALL_STATE(3448)] = 88828,
  [SMALL_STATE(3449)] = 88889,
  [SMALL_STATE(3450)] = 88950,
  [SMALL_STATE(3451)] = 89008,
  [SMALL_STATE(3452)] = 89066,
  [SMALL_STATE(3453)] = 89126,
  [SMALL_STATE(3454)] = 89184,
  [SMALL_STATE(3455)] = 89232,
  [SMALL_STATE(3456)] = 89277,
  [SMALL_STATE(3457)] = 89322,
  [SMALL_STATE(3458)] = 89367,
  [SMALL_STATE(3459)] = 89400,
  [SMALL_STATE(3460)] = 89429,
  [SMALL_STATE(3461)] = 89462,
  [SMALL_STATE(3462)] = 89501,
  [SMALL_STATE(3463)] = 89540,
  [SMALL_STATE(3464)] = 89573,
  [SMALL_STATE(3465)] = 89606,
  [SMALL_STATE(3466)] = 89645,
  [SMALL_STATE(3467)] = 89684,
  [SMALL_STATE(3468)] = 89716,
  [SMALL_STATE(3469)] = 89742,
  [SMALL_STATE(3470)] = 89768,
  [SMALL_STATE(3471)] = 89796,
  [SMALL_STATE(3472)] = 89829,
  [SMALL_STATE(3473)] = 89862,
  [SMALL_STATE(3474)] = 89895,
  [SMALL_STATE(3475)] = 89928,
  [SMALL_STATE(3476)] = 89957,
  [SMALL_STATE(3477)] = 89990,
  [SMALL_STATE(3478)] = 90023,
  [SMALL_STATE(3479)] = 90056,
  [SMALL_STATE(3480)] = 90082,
  [SMALL_STATE(3481)] = 90108,
  [SMALL_STATE(3482)] = 90134,
  [SMALL_STATE(3483)] = 90160,
  [SMALL_STATE(3484)] = 90185,
  [SMALL_STATE(3485)] = 90210,
  [SMALL_STATE(3486)] = 90235,
  [SMALL_STATE(3487)] = 90260,
  [SMALL_STATE(3488)] = 90286,
  [SMALL_STATE(3489)] = 90315,
  [SMALL_STATE(3490)] = 90350,
  [SMALL_STATE(3491)] = 90379,
  [SMALL_STATE(3492)] = 90408,
  [SMALL_STATE(3493)] = 90443,
  [SMALL_STATE(3494)] = 90466,
  [SMALL_STATE(3495)] = 90496,
  [SMALL_STATE(3496)] = 90526,
  [SMALL_STATE(3497)] = 90556,
  [SMALL_STATE(3498)] = 90576,
  [SMALL_STATE(3499)] = 90596,
  [SMALL_STATE(3500)] = 90616,
  [SMALL_STATE(3501)] = 90638,
  [SMALL_STATE(3502)] = 90668,
  [SMALL_STATE(3503)] = 90698,
  [SMALL_STATE(3504)] = 90718,
  [SMALL_STATE(3505)] = 90748,
  [SMALL_STATE(3506)] = 90778,
  [SMALL_STATE(3507)] = 90798,
  [SMALL_STATE(3508)] = 90828,
  [SMALL_STATE(3509)] = 90848,
  [SMALL_STATE(3510)] = 90868,
  [SMALL_STATE(3511)] = 90888,
  [SMALL_STATE(3512)] = 90918,
  [SMALL_STATE(3513)] = 90938,
  [SMALL_STATE(3514)] = 90958,
  [SMALL_STATE(3515)] = 90978,
  [SMALL_STATE(3516)] = 91008,
  [SMALL_STATE(3517)] = 91038,
  [SMALL_STATE(3518)] = 91058,
  [SMALL_STATE(3519)] = 91090,
  [SMALL_STATE(3520)] = 91110,
  [SMALL_STATE(3521)] = 91130,
  [SMALL_STATE(3522)] = 91160,
  [SMALL_STATE(3523)] = 91180,
  [SMALL_STATE(3524)] = 91210,
  [SMALL_STATE(3525)] = 91230,
  [SMALL_STATE(3526)] = 91250,
  [SMALL_STATE(3527)] = 91270,
  [SMALL_STATE(3528)] = 91290,
  [SMALL_STATE(3529)] = 91310,
  [SMALL_STATE(3530)] = 91340,
  [SMALL_STATE(3531)] = 91370,
  [SMALL_STATE(3532)] = 91401,
  [SMALL_STATE(3533)] = 91434,
  [SMALL_STATE(3534)] = 91453,
  [SMALL_STATE(3535)] = 91486,
  [SMALL_STATE(3536)] = 91515,
  [SMALL_STATE(3537)] = 91534,
  [SMALL_STATE(3538)] = 91557,
  [SMALL_STATE(3539)] = 91580,
  [SMALL_STATE(3540)] = 91603,
  [SMALL_STATE(3541)] = 91626,
  [SMALL_STATE(3542)] = 91651,
  [SMALL_STATE(3543)] = 91679,
  [SMALL_STATE(3544)] = 91697,
  [SMALL_STATE(3545)] = 91729,
  [SMALL_STATE(3546)] = 91747,
  [SMALL_STATE(3547)] = 91765,
  [SMALL_STATE(3548)] = 91795,
  [SMALL_STATE(3549)] = 91815,
  [SMALL_STATE(3550)] = 91833,
  [SMALL_STATE(3551)] = 91851,
  [SMALL_STATE(3552)] = 91871,
  [SMALL_STATE(3553)] = 91889,
  [SMALL_STATE(3554)] = 91919,
  [SMALL_STATE(3555)] = 91937,
  [SMALL_STATE(3556)] = 91955,
  [SMALL_STATE(3557)] = 91973,
  [SMALL_STATE(3558)] = 92003,
  [SMALL_STATE(3559)] = 92021,
  [SMALL_STATE(3560)] = 92039,
  [SMALL_STATE(3561)] = 92063,
  [SMALL_STATE(3562)] = 92095,
  [SMALL_STATE(3563)] = 92113,
  [SMALL_STATE(3564)] = 92131,
  [SMALL_STATE(3565)] = 92151,
  [SMALL_STATE(3566)] = 92169,
  [SMALL_STATE(3567)] = 92187,
  [SMALL_STATE(3568)] = 92205,
  [SMALL_STATE(3569)] = 92223,
  [SMALL_STATE(3570)] = 92253,
  [SMALL_STATE(3571)] = 92282,
  [SMALL_STATE(3572)] = 92311,
  [SMALL_STATE(3573)] = 92340,
  [SMALL_STATE(3574)] = 92357,
  [SMALL_STATE(3575)] = 92386,
  [SMALL_STATE(3576)] = 92415,
  [SMALL_STATE(3577)] = 92444,
  [SMALL_STATE(3578)] = 92473,
  [SMALL_STATE(3579)] = 92502,
  [SMALL_STATE(3580)] = 92527,
  [SMALL_STATE(3581)] = 92556,
  [SMALL_STATE(3582)] = 92585,
  [SMALL_STATE(3583)] = 92614,
  [SMALL_STATE(3584)] = 92643,
  [SMALL_STATE(3585)] = 92672,
  [SMALL_STATE(3586)] = 92701,
  [SMALL_STATE(3587)] = 92730,
  [SMALL_STATE(3588)] = 92759,
  [SMALL_STATE(3589)] = 92788,
  [SMALL_STATE(3590)] = 92817,
  [SMALL_STATE(3591)] = 92846,
  [SMALL_STATE(3592)] = 92869,
  [SMALL_STATE(3593)] = 92890,
  [SMALL_STATE(3594)] = 92919,
  [SMALL_STATE(3595)] = 92946,
  [SMALL_STATE(3596)] = 92975,
  [SMALL_STATE(3597)] = 93004,
  [SMALL_STATE(3598)] = 93033,
  [SMALL_STATE(3599)] = 93062,
  [SMALL_STATE(3600)] = 93091,
  [SMALL_STATE(3601)] = 93120,
  [SMALL_STATE(3602)] = 93149,
  [SMALL_STATE(3603)] = 93178,
  [SMALL_STATE(3604)] = 93207,
  [SMALL_STATE(3605)] = 93232,
  [SMALL_STATE(3606)] = 93261,
  [SMALL_STATE(3607)] = 93290,
  [SMALL_STATE(3608)] = 93319,
  [SMALL_STATE(3609)] = 93348,
  [SMALL_STATE(3610)] = 93377,
  [SMALL_STATE(3611)] = 93406,
  [SMALL_STATE(3612)] = 93435,
  [SMALL_STATE(3613)] = 93464,
  [SMALL_STATE(3614)] = 93493,
  [SMALL_STATE(3615)] = 93522,
  [SMALL_STATE(3616)] = 93551,
  [SMALL_STATE(3617)] = 93580,
  [SMALL_STATE(3618)] = 93609,
  [SMALL_STATE(3619)] = 93626,
  [SMALL_STATE(3620)] = 93655,
  [SMALL_STATE(3621)] = 93684,
  [SMALL_STATE(3622)] = 93713,
  [SMALL_STATE(3623)] = 93742,
  [SMALL_STATE(3624)] = 93771,
  [SMALL_STATE(3625)] = 93800,
  [SMALL_STATE(3626)] = 93829,
  [SMALL_STATE(3627)] = 93858,
  [SMALL_STATE(3628)] = 93887,
  [SMALL_STATE(3629)] = 93916,
  [SMALL_STATE(3630)] = 93945,
  [SMALL_STATE(3631)] = 93974,
  [SMALL_STATE(3632)] = 94003,
  [SMALL_STATE(3633)] = 94032,
  [SMALL_STATE(3634)] = 94048,
  [SMALL_STATE(3635)] = 94064,
  [SMALL_STATE(3636)] = 94082,
  [SMALL_STATE(3637)] = 94098,
  [SMALL_STATE(3638)] = 94120,
  [SMALL_STATE(3639)] = 94144,
  [SMALL_STATE(3640)] = 94170,
  [SMALL_STATE(3641)] = 94194,
  [SMALL_STATE(3642)] = 94216,
  [SMALL_STATE(3643)] = 94242,
  [SMALL_STATE(3644)] = 94270,
  [SMALL_STATE(3645)] = 94296,
  [SMALL_STATE(3646)] = 94324,
  [SMALL_STATE(3647)] = 94340,
  [SMALL_STATE(3648)] = 94364,
  [SMALL_STATE(3649)] = 94386,
  [SMALL_STATE(3650)] = 94412,
  [SMALL_STATE(3651)] = 94428,
  [SMALL_STATE(3652)] = 94446,
  [SMALL_STATE(3653)] = 94470,
  [SMALL_STATE(3654)] = 94494,
  [SMALL_STATE(3655)] = 94509,
  [SMALL_STATE(3656)] = 94528,
  [SMALL_STATE(3657)] = 94547,
  [SMALL_STATE(3658)] = 94572,
  [SMALL_STATE(3659)] = 94595,
  [SMALL_STATE(3660)] = 94614,
  [SMALL_STATE(3661)] = 94637,
  [SMALL_STATE(3662)] = 94662,
  [SMALL_STATE(3663)] = 94677,
  [SMALL_STATE(3664)] = 94702,
  [SMALL_STATE(3665)] = 94721,
  [SMALL_STATE(3666)] = 94744,
  [SMALL_STATE(3667)] = 94761,
  [SMALL_STATE(3668)] = 94784,
  [SMALL_STATE(3669)] = 94803,
  [SMALL_STATE(3670)] = 94818,
  [SMALL_STATE(3671)] = 94841,
  [SMALL_STATE(3672)] = 94864,
  [SMALL_STATE(3673)] = 94885,
  [SMALL_STATE(3674)] = 94906,
  [SMALL_STATE(3675)] = 94929,
  [SMALL_STATE(3676)] = 94950,
  [SMALL_STATE(3677)] = 94969,
  [SMALL_STATE(3678)] = 94988,
  [SMALL_STATE(3679)] = 95007,
  [SMALL_STATE(3680)] = 95026,
  [SMALL_STATE(3681)] = 95043,
  [SMALL_STATE(3682)] = 95066,
  [SMALL_STATE(3683)] = 95091,
  [SMALL_STATE(3684)] = 95110,
  [SMALL_STATE(3685)] = 95125,
  [SMALL_STATE(3686)] = 95148,
  [SMALL_STATE(3687)] = 95167,
  [SMALL_STATE(3688)] = 95190,
  [SMALL_STATE(3689)] = 95213,
  [SMALL_STATE(3690)] = 95238,
  [SMALL_STATE(3691)] = 95261,
  [SMALL_STATE(3692)] = 95286,
  [SMALL_STATE(3693)] = 95305,
  [SMALL_STATE(3694)] = 95328,
  [SMALL_STATE(3695)] = 95345,
  [SMALL_STATE(3696)] = 95362,
  [SMALL_STATE(3697)] = 95385,
  [SMALL_STATE(3698)] = 95408,
  [SMALL_STATE(3699)] = 95429,
  [SMALL_STATE(3700)] = 95448,
  [SMALL_STATE(3701)] = 95471,
  [SMALL_STATE(3702)] = 95492,
  [SMALL_STATE(3703)] = 95515,
  [SMALL_STATE(3704)] = 95540,
  [SMALL_STATE(3705)] = 95559,
  [SMALL_STATE(3706)] = 95582,
  [SMALL_STATE(3707)] = 95599,
  [SMALL_STATE(3708)] = 95616,
  [SMALL_STATE(3709)] = 95637,
  [SMALL_STATE(3710)] = 95660,
  [SMALL_STATE(3711)] = 95681,
  [SMALL_STATE(3712)] = 95700,
  [SMALL_STATE(3713)] = 95715,
  [SMALL_STATE(3714)] = 95738,
  [SMALL_STATE(3715)] = 95761,
  [SMALL_STATE(3716)] = 95780,
  [SMALL_STATE(3717)] = 95799,
  [SMALL_STATE(3718)] = 95822,
  [SMALL_STATE(3719)] = 95847,
  [SMALL_STATE(3720)] = 95866,
  [SMALL_STATE(3721)] = 95889,
  [SMALL_STATE(3722)] = 95914,
  [SMALL_STATE(3723)] = 95933,
  [SMALL_STATE(3724)] = 95956,
  [SMALL_STATE(3725)] = 95977,
  [SMALL_STATE(3726)] = 95998,
  [SMALL_STATE(3727)] = 96021,
  [SMALL_STATE(3728)] = 96046,
  [SMALL_STATE(3729)] = 96069,
  [SMALL_STATE(3730)] = 96088,
  [SMALL_STATE(3731)] = 96103,
  [SMALL_STATE(3732)] = 96128,
  [SMALL_STATE(3733)] = 96147,
  [SMALL_STATE(3734)] = 96168,
  [SMALL_STATE(3735)] = 96191,
  [SMALL_STATE(3736)] = 96216,
  [SMALL_STATE(3737)] = 96235,
  [SMALL_STATE(3738)] = 96256,
  [SMALL_STATE(3739)] = 96279,
  [SMALL_STATE(3740)] = 96294,
  [SMALL_STATE(3741)] = 96309,
  [SMALL_STATE(3742)] = 96324,
  [SMALL_STATE(3743)] = 96343,
  [SMALL_STATE(3744)] = 96362,
  [SMALL_STATE(3745)] = 96385,
  [SMALL_STATE(3746)] = 96410,
  [SMALL_STATE(3747)] = 96429,
  [SMALL_STATE(3748)] = 96452,
  [SMALL_STATE(3749)] = 96477,
  [SMALL_STATE(3750)] = 96502,
  [SMALL_STATE(3751)] = 96525,
  [SMALL_STATE(3752)] = 96544,
  [SMALL_STATE(3753)] = 96559,
  [SMALL_STATE(3754)] = 96578,
  [SMALL_STATE(3755)] = 96599,
  [SMALL_STATE(3756)] = 96614,
  [SMALL_STATE(3757)] = 96637,
  [SMALL_STATE(3758)] = 96660,
  [SMALL_STATE(3759)] = 96677,
  [SMALL_STATE(3760)] = 96696,
  [SMALL_STATE(3761)] = 96711,
  [SMALL_STATE(3762)] = 96734,
  [SMALL_STATE(3763)] = 96755,
  [SMALL_STATE(3764)] = 96770,
  [SMALL_STATE(3765)] = 96785,
  [SMALL_STATE(3766)] = 96808,
  [SMALL_STATE(3767)] = 96823,
  [SMALL_STATE(3768)] = 96848,
  [SMALL_STATE(3769)] = 96871,
  [SMALL_STATE(3770)] = 96894,
  [SMALL_STATE(3771)] = 96913,
  [SMALL_STATE(3772)] = 96936,
  [SMALL_STATE(3773)] = 96959,
  [SMALL_STATE(3774)] = 96982,
  [SMALL_STATE(3775)] = 97001,
  [SMALL_STATE(3776)] = 97024,
  [SMALL_STATE(3777)] = 97049,
  [SMALL_STATE(3778)] = 97064,
  [SMALL_STATE(3779)] = 97085,
  [SMALL_STATE(3780)] = 97106,
  [SMALL_STATE(3781)] = 97129,
  [SMALL_STATE(3782)] = 97152,
  [SMALL_STATE(3783)] = 97175,
  [SMALL_STATE(3784)] = 97198,
  [SMALL_STATE(3785)] = 97218,
  [SMALL_STATE(3786)] = 97240,
  [SMALL_STATE(3787)] = 97258,
  [SMALL_STATE(3788)] = 97280,
  [SMALL_STATE(3789)] = 97300,
  [SMALL_STATE(3790)] = 97318,
  [SMALL_STATE(3791)] = 97338,
  [SMALL_STATE(3792)] = 97358,
  [SMALL_STATE(3793)] = 97378,
  [SMALL_STATE(3794)] = 97394,
  [SMALL_STATE(3795)] = 97416,
  [SMALL_STATE(3796)] = 97438,
  [SMALL_STATE(3797)] = 97452,
  [SMALL_STATE(3798)] = 97472,
  [SMALL_STATE(3799)] = 97492,
  [SMALL_STATE(3800)] = 97514,
  [SMALL_STATE(3801)] = 97534,
  [SMALL_STATE(3802)] = 97556,
  [SMALL_STATE(3803)] = 97578,
  [SMALL_STATE(3804)] = 97594,
  [SMALL_STATE(3805)] = 97616,
  [SMALL_STATE(3806)] = 97638,
  [SMALL_STATE(3807)] = 97660,
  [SMALL_STATE(3808)] = 97682,
  [SMALL_STATE(3809)] = 97702,
  [SMALL_STATE(3810)] = 97722,
  [SMALL_STATE(3811)] = 97742,
  [SMALL_STATE(3812)] = 97764,
  [SMALL_STATE(3813)] = 97786,
  [SMALL_STATE(3814)] = 97808,
  [SMALL_STATE(3815)] = 97828,
  [SMALL_STATE(3816)] = 97848,
  [SMALL_STATE(3817)] = 97870,
  [SMALL_STATE(3818)] = 97890,
  [SMALL_STATE(3819)] = 97912,
  [SMALL_STATE(3820)] = 97934,
  [SMALL_STATE(3821)] = 97956,
  [SMALL_STATE(3822)] = 97976,
  [SMALL_STATE(3823)] = 97996,
  [SMALL_STATE(3824)] = 98016,
  [SMALL_STATE(3825)] = 98038,
  [SMALL_STATE(3826)] = 98060,
  [SMALL_STATE(3827)] = 98078,
  [SMALL_STATE(3828)] = 98098,
  [SMALL_STATE(3829)] = 98118,
  [SMALL_STATE(3830)] = 98140,
  [SMALL_STATE(3831)] = 98156,
  [SMALL_STATE(3832)] = 98176,
  [SMALL_STATE(3833)] = 98198,
  [SMALL_STATE(3834)] = 98220,
  [SMALL_STATE(3835)] = 98234,
  [SMALL_STATE(3836)] = 98254,
  [SMALL_STATE(3837)] = 98276,
  [SMALL_STATE(3838)] = 98296,
  [SMALL_STATE(3839)] = 98316,
  [SMALL_STATE(3840)] = 98338,
  [SMALL_STATE(3841)] = 98358,
  [SMALL_STATE(3842)] = 98380,
  [SMALL_STATE(3843)] = 98402,
  [SMALL_STATE(3844)] = 98424,
  [SMALL_STATE(3845)] = 98444,
  [SMALL_STATE(3846)] = 98464,
  [SMALL_STATE(3847)] = 98484,
  [SMALL_STATE(3848)] = 98504,
  [SMALL_STATE(3849)] = 98524,
  [SMALL_STATE(3850)] = 98544,
  [SMALL_STATE(3851)] = 98566,
  [SMALL_STATE(3852)] = 98588,
  [SMALL_STATE(3853)] = 98610,
  [SMALL_STATE(3854)] = 98632,
  [SMALL_STATE(3855)] = 98652,
  [SMALL_STATE(3856)] = 98674,
  [SMALL_STATE(3857)] = 98696,
  [SMALL_STATE(3858)] = 98718,
  [SMALL_STATE(3859)] = 98734,
  [SMALL_STATE(3860)] = 98756,
  [SMALL_STATE(3861)] = 98778,
  [SMALL_STATE(3862)] = 98800,
  [SMALL_STATE(3863)] = 98820,
  [SMALL_STATE(3864)] = 98842,
  [SMALL_STATE(3865)] = 98862,
  [SMALL_STATE(3866)] = 98884,
  [SMALL_STATE(3867)] = 98906,
  [SMALL_STATE(3868)] = 98928,
  [SMALL_STATE(3869)] = 98948,
  [SMALL_STATE(3870)] = 98970,
  [SMALL_STATE(3871)] = 98992,
  [SMALL_STATE(3872)] = 99009,
  [SMALL_STATE(3873)] = 99028,
  [SMALL_STATE(3874)] = 99047,
  [SMALL_STATE(3875)] = 99066,
  [SMALL_STATE(3876)] = 99085,
  [SMALL_STATE(3877)] = 99104,
  [SMALL_STATE(3878)] = 99123,
  [SMALL_STATE(3879)] = 99142,
  [SMALL_STATE(3880)] = 99161,
  [SMALL_STATE(3881)] = 99178,
  [SMALL_STATE(3882)] = 99195,
  [SMALL_STATE(3883)] = 99212,
  [SMALL_STATE(3884)] = 99231,
  [SMALL_STATE(3885)] = 99250,
  [SMALL_STATE(3886)] = 99269,
  [SMALL_STATE(3887)] = 99288,
  [SMALL_STATE(3888)] = 99307,
  [SMALL_STATE(3889)] = 99326,
  [SMALL_STATE(3890)] = 99343,
  [SMALL_STATE(3891)] = 99360,
  [SMALL_STATE(3892)] = 99377,
  [SMALL_STATE(3893)] = 99394,
  [SMALL_STATE(3894)] = 99411,
  [SMALL_STATE(3895)] = 99430,
  [SMALL_STATE(3896)] = 99449,
  [SMALL_STATE(3897)] = 99468,
  [SMALL_STATE(3898)] = 99485,
  [SMALL_STATE(3899)] = 99502,
  [SMALL_STATE(3900)] = 99519,
  [SMALL_STATE(3901)] = 99538,
  [SMALL_STATE(3902)] = 99557,
  [SMALL_STATE(3903)] = 99576,
  [SMALL_STATE(3904)] = 99595,
  [SMALL_STATE(3905)] = 99614,
  [SMALL_STATE(3906)] = 99633,
  [SMALL_STATE(3907)] = 99652,
  [SMALL_STATE(3908)] = 99671,
  [SMALL_STATE(3909)] = 99690,
  [SMALL_STATE(3910)] = 99707,
  [SMALL_STATE(3911)] = 99726,
  [SMALL_STATE(3912)] = 99743,
  [SMALL_STATE(3913)] = 99762,
  [SMALL_STATE(3914)] = 99781,
  [SMALL_STATE(3915)] = 99798,
  [SMALL_STATE(3916)] = 99815,
  [SMALL_STATE(3917)] = 99832,
  [SMALL_STATE(3918)] = 99849,
  [SMALL_STATE(3919)] = 99866,
  [SMALL_STATE(3920)] = 99883,
  [SMALL_STATE(3921)] = 99900,
  [SMALL_STATE(3922)] = 99917,
  [SMALL_STATE(3923)] = 99934,
  [SMALL_STATE(3924)] = 99953,
  [SMALL_STATE(3925)] = 99972,
  [SMALL_STATE(3926)] = 99989,
  [SMALL_STATE(3927)] = 100006,
  [SMALL_STATE(3928)] = 100025,
  [SMALL_STATE(3929)] = 100044,
  [SMALL_STATE(3930)] = 100061,
  [SMALL_STATE(3931)] = 100078,
  [SMALL_STATE(3932)] = 100095,
  [SMALL_STATE(3933)] = 100112,
  [SMALL_STATE(3934)] = 100131,
  [SMALL_STATE(3935)] = 100150,
  [SMALL_STATE(3936)] = 100167,
  [SMALL_STATE(3937)] = 100182,
  [SMALL_STATE(3938)] = 100199,
  [SMALL_STATE(3939)] = 100216,
  [SMALL_STATE(3940)] = 100233,
  [SMALL_STATE(3941)] = 100250,
  [SMALL_STATE(3942)] = 100267,
  [SMALL_STATE(3943)] = 100284,
  [SMALL_STATE(3944)] = 100301,
  [SMALL_STATE(3945)] = 100320,
  [SMALL_STATE(3946)] = 100339,
  [SMALL_STATE(3947)] = 100358,
  [SMALL_STATE(3948)] = 100377,
  [SMALL_STATE(3949)] = 100396,
  [SMALL_STATE(3950)] = 100415,
  [SMALL_STATE(3951)] = 100434,
  [SMALL_STATE(3952)] = 100449,
  [SMALL_STATE(3953)] = 100468,
  [SMALL_STATE(3954)] = 100487,
  [SMALL_STATE(3955)] = 100502,
  [SMALL_STATE(3956)] = 100519,
  [SMALL_STATE(3957)] = 100538,
  [SMALL_STATE(3958)] = 100555,
  [SMALL_STATE(3959)] = 100572,
  [SMALL_STATE(3960)] = 100589,
  [SMALL_STATE(3961)] = 100608,
  [SMALL_STATE(3962)] = 100627,
  [SMALL_STATE(3963)] = 100646,
  [SMALL_STATE(3964)] = 100665,
  [SMALL_STATE(3965)] = 100678,
  [SMALL_STATE(3966)] = 100697,
  [SMALL_STATE(3967)] = 100716,
  [SMALL_STATE(3968)] = 100733,
  [SMALL_STATE(3969)] = 100750,
  [SMALL_STATE(3970)] = 100767,
  [SMALL_STATE(3971)] = 100784,
  [SMALL_STATE(3972)] = 100801,
  [SMALL_STATE(3973)] = 100818,
  [SMALL_STATE(3974)] = 100835,
  [SMALL_STATE(3975)] = 100852,
  [SMALL_STATE(3976)] = 100871,
  [SMALL_STATE(3977)] = 100888,
  [SMALL_STATE(3978)] = 100905,
  [SMALL_STATE(3979)] = 100922,
  [SMALL_STATE(3980)] = 100939,
  [SMALL_STATE(3981)] = 100958,
  [SMALL_STATE(3982)] = 100977,
  [SMALL_STATE(3983)] = 100996,
  [SMALL_STATE(3984)] = 101015,
  [SMALL_STATE(3985)] = 101034,
  [SMALL_STATE(3986)] = 101053,
  [SMALL_STATE(3987)] = 101072,
  [SMALL_STATE(3988)] = 101091,
  [SMALL_STATE(3989)] = 101110,
  [SMALL_STATE(3990)] = 101127,
  [SMALL_STATE(3991)] = 101146,
  [SMALL_STATE(3992)] = 101163,
  [SMALL_STATE(3993)] = 101182,
  [SMALL_STATE(3994)] = 101199,
  [SMALL_STATE(3995)] = 101216,
  [SMALL_STATE(3996)] = 101235,
  [SMALL_STATE(3997)] = 101252,
  [SMALL_STATE(3998)] = 101266,
  [SMALL_STATE(3999)] = 101282,
  [SMALL_STATE(4000)] = 101298,
  [SMALL_STATE(4001)] = 101314,
  [SMALL_STATE(4002)] = 101328,
  [SMALL_STATE(4003)] = 101344,
  [SMALL_STATE(4004)] = 101358,
  [SMALL_STATE(4005)] = 101372,
  [SMALL_STATE(4006)] = 101386,
  [SMALL_STATE(4007)] = 101402,
  [SMALL_STATE(4008)] = 101416,
  [SMALL_STATE(4009)] = 101430,
  [SMALL_STATE(4010)] = 101444,
  [SMALL_STATE(4011)] = 101458,
  [SMALL_STATE(4012)] = 101474,
  [SMALL_STATE(4013)] = 101490,
  [SMALL_STATE(4014)] = 101506,
  [SMALL_STATE(4015)] = 101522,
  [SMALL_STATE(4016)] = 101538,
  [SMALL_STATE(4017)] = 101554,
  [SMALL_STATE(4018)] = 101568,
  [SMALL_STATE(4019)] = 101582,
  [SMALL_STATE(4020)] = 101598,
  [SMALL_STATE(4021)] = 101614,
  [SMALL_STATE(4022)] = 101630,
  [SMALL_STATE(4023)] = 101644,
  [SMALL_STATE(4024)] = 101660,
  [SMALL_STATE(4025)] = 101674,
  [SMALL_STATE(4026)] = 101690,
  [SMALL_STATE(4027)] = 101704,
  [SMALL_STATE(4028)] = 101718,
  [SMALL_STATE(4029)] = 101734,
  [SMALL_STATE(4030)] = 101750,
  [SMALL_STATE(4031)] = 101766,
  [SMALL_STATE(4032)] = 101780,
  [SMALL_STATE(4033)] = 101794,
  [SMALL_STATE(4034)] = 101810,
  [SMALL_STATE(4035)] = 101824,
  [SMALL_STATE(4036)] = 101840,
  [SMALL_STATE(4037)] = 101856,
  [SMALL_STATE(4038)] = 101870,
  [SMALL_STATE(4039)] = 101884,
  [SMALL_STATE(4040)] = 101898,
  [SMALL_STATE(4041)] = 101914,
  [SMALL_STATE(4042)] = 101930,
  [SMALL_STATE(4043)] = 101944,
  [SMALL_STATE(4044)] = 101960,
  [SMALL_STATE(4045)] = 101974,
  [SMALL_STATE(4046)] = 101990,
  [SMALL_STATE(4047)] = 102006,
  [SMALL_STATE(4048)] = 102022,
  [SMALL_STATE(4049)] = 102038,
  [SMALL_STATE(4050)] = 102054,
  [SMALL_STATE(4051)] = 102068,
  [SMALL_STATE(4052)] = 102084,
  [SMALL_STATE(4053)] = 102100,
  [SMALL_STATE(4054)] = 102114,
  [SMALL_STATE(4055)] = 102128,
  [SMALL_STATE(4056)] = 102142,
  [SMALL_STATE(4057)] = 102158,
  [SMALL_STATE(4058)] = 102174,
  [SMALL_STATE(4059)] = 102188,
  [SMALL_STATE(4060)] = 102204,
  [SMALL_STATE(4061)] = 102220,
  [SMALL_STATE(4062)] = 102234,
  [SMALL_STATE(4063)] = 102248,
  [SMALL_STATE(4064)] = 102264,
  [SMALL_STATE(4065)] = 102280,
  [SMALL_STATE(4066)] = 102296,
  [SMALL_STATE(4067)] = 102312,
  [SMALL_STATE(4068)] = 102328,
  [SMALL_STATE(4069)] = 102344,
  [SMALL_STATE(4070)] = 102360,
  [SMALL_STATE(4071)] = 102374,
  [SMALL_STATE(4072)] = 102388,
  [SMALL_STATE(4073)] = 102402,
  [SMALL_STATE(4074)] = 102418,
  [SMALL_STATE(4075)] = 102434,
  [SMALL_STATE(4076)] = 102450,
  [SMALL_STATE(4077)] = 102464,
  [SMALL_STATE(4078)] = 102478,
  [SMALL_STATE(4079)] = 102492,
  [SMALL_STATE(4080)] = 102508,
  [SMALL_STATE(4081)] = 102522,
  [SMALL_STATE(4082)] = 102538,
  [SMALL_STATE(4083)] = 102554,
  [SMALL_STATE(4084)] = 102570,
  [SMALL_STATE(4085)] = 102584,
  [SMALL_STATE(4086)] = 102600,
  [SMALL_STATE(4087)] = 102616,
  [SMALL_STATE(4088)] = 102632,
  [SMALL_STATE(4089)] = 102646,
  [SMALL_STATE(4090)] = 102662,
  [SMALL_STATE(4091)] = 102678,
  [SMALL_STATE(4092)] = 102694,
  [SMALL_STATE(4093)] = 102710,
  [SMALL_STATE(4094)] = 102726,
  [SMALL_STATE(4095)] = 102742,
  [SMALL_STATE(4096)] = 102758,
  [SMALL_STATE(4097)] = 102774,
  [SMALL_STATE(4098)] = 102788,
  [SMALL_STATE(4099)] = 102804,
  [SMALL_STATE(4100)] = 102820,
  [SMALL_STATE(4101)] = 102834,
  [SMALL_STATE(4102)] = 102848,
  [SMALL_STATE(4103)] = 102862,
  [SMALL_STATE(4104)] = 102876,
  [SMALL_STATE(4105)] = 102890,
  [SMALL_STATE(4106)] = 102904,
  [SMALL_STATE(4107)] = 102916,
  [SMALL_STATE(4108)] = 102932,
  [SMALL_STATE(4109)] = 102948,
  [SMALL_STATE(4110)] = 102964,
  [SMALL_STATE(4111)] = 102980,
  [SMALL_STATE(4112)] = 102996,
  [SMALL_STATE(4113)] = 103012,
  [SMALL_STATE(4114)] = 103026,
  [SMALL_STATE(4115)] = 103042,
  [SMALL_STATE(4116)] = 103058,
  [SMALL_STATE(4117)] = 103074,
  [SMALL_STATE(4118)] = 103088,
  [SMALL_STATE(4119)] = 103100,
  [SMALL_STATE(4120)] = 103114,
  [SMALL_STATE(4121)] = 103130,
  [SMALL_STATE(4122)] = 103146,
  [SMALL_STATE(4123)] = 103162,
  [SMALL_STATE(4124)] = 103178,
  [SMALL_STATE(4125)] = 103194,
  [SMALL_STATE(4126)] = 103210,
  [SMALL_STATE(4127)] = 103226,
  [SMALL_STATE(4128)] = 103242,
  [SMALL_STATE(4129)] = 103258,
  [SMALL_STATE(4130)] = 103270,
  [SMALL_STATE(4131)] = 103286,
  [SMALL_STATE(4132)] = 103302,
  [SMALL_STATE(4133)] = 103318,
  [SMALL_STATE(4134)] = 103334,
  [SMALL_STATE(4135)] = 103350,
  [SMALL_STATE(4136)] = 103366,
  [SMALL_STATE(4137)] = 103382,
  [SMALL_STATE(4138)] = 103398,
  [SMALL_STATE(4139)] = 103414,
  [SMALL_STATE(4140)] = 103430,
  [SMALL_STATE(4141)] = 103446,
  [SMALL_STATE(4142)] = 103462,
  [SMALL_STATE(4143)] = 103478,
  [SMALL_STATE(4144)] = 103494,
  [SMALL_STATE(4145)] = 103506,
  [SMALL_STATE(4146)] = 103522,
  [SMALL_STATE(4147)] = 103538,
  [SMALL_STATE(4148)] = 103554,
  [SMALL_STATE(4149)] = 103570,
  [SMALL_STATE(4150)] = 103586,
  [SMALL_STATE(4151)] = 103602,
  [SMALL_STATE(4152)] = 103618,
  [SMALL_STATE(4153)] = 103632,
  [SMALL_STATE(4154)] = 103648,
  [SMALL_STATE(4155)] = 103664,
  [SMALL_STATE(4156)] = 103680,
  [SMALL_STATE(4157)] = 103694,
  [SMALL_STATE(4158)] = 103708,
  [SMALL_STATE(4159)] = 103722,
  [SMALL_STATE(4160)] = 103738,
  [SMALL_STATE(4161)] = 103752,
  [SMALL_STATE(4162)] = 103768,
  [SMALL_STATE(4163)] = 103784,
  [SMALL_STATE(4164)] = 103798,
  [SMALL_STATE(4165)] = 103814,
  [SMALL_STATE(4166)] = 103828,
  [SMALL_STATE(4167)] = 103842,
  [SMALL_STATE(4168)] = 103858,
  [SMALL_STATE(4169)] = 103874,
  [SMALL_STATE(4170)] = 103888,
  [SMALL_STATE(4171)] = 103902,
  [SMALL_STATE(4172)] = 103918,
  [SMALL_STATE(4173)] = 103934,
  [SMALL_STATE(4174)] = 103948,
  [SMALL_STATE(4175)] = 103962,
  [SMALL_STATE(4176)] = 103976,
  [SMALL_STATE(4177)] = 103990,
  [SMALL_STATE(4178)] = 104006,
  [SMALL_STATE(4179)] = 104022,
  [SMALL_STATE(4180)] = 104038,
  [SMALL_STATE(4181)] = 104052,
  [SMALL_STATE(4182)] = 104068,
  [SMALL_STATE(4183)] = 104084,
  [SMALL_STATE(4184)] = 104100,
  [SMALL_STATE(4185)] = 104114,
  [SMALL_STATE(4186)] = 104130,
  [SMALL_STATE(4187)] = 104146,
  [SMALL_STATE(4188)] = 104162,
  [SMALL_STATE(4189)] = 104178,
  [SMALL_STATE(4190)] = 104194,
  [SMALL_STATE(4191)] = 104210,
  [SMALL_STATE(4192)] = 104226,
  [SMALL_STATE(4193)] = 104242,
  [SMALL_STATE(4194)] = 104258,
  [SMALL_STATE(4195)] = 104274,
  [SMALL_STATE(4196)] = 104290,
  [SMALL_STATE(4197)] = 104304,
  [SMALL_STATE(4198)] = 104318,
  [SMALL_STATE(4199)] = 104332,
  [SMALL_STATE(4200)] = 104346,
  [SMALL_STATE(4201)] = 104362,
  [SMALL_STATE(4202)] = 104378,
  [SMALL_STATE(4203)] = 104394,
  [SMALL_STATE(4204)] = 104408,
  [SMALL_STATE(4205)] = 104424,
  [SMALL_STATE(4206)] = 104440,
  [SMALL_STATE(4207)] = 104456,
  [SMALL_STATE(4208)] = 104472,
  [SMALL_STATE(4209)] = 104488,
  [SMALL_STATE(4210)] = 104504,
  [SMALL_STATE(4211)] = 104520,
  [SMALL_STATE(4212)] = 104536,
  [SMALL_STATE(4213)] = 104550,
  [SMALL_STATE(4214)] = 104564,
  [SMALL_STATE(4215)] = 104580,
  [SMALL_STATE(4216)] = 104594,
  [SMALL_STATE(4217)] = 104608,
  [SMALL_STATE(4218)] = 104622,
  [SMALL_STATE(4219)] = 104638,
  [SMALL_STATE(4220)] = 104654,
  [SMALL_STATE(4221)] = 104670,
  [SMALL_STATE(4222)] = 104686,
  [SMALL_STATE(4223)] = 104702,
  [SMALL_STATE(4224)] = 104718,
  [SMALL_STATE(4225)] = 104732,
  [SMALL_STATE(4226)] = 104748,
  [SMALL_STATE(4227)] = 104764,
  [SMALL_STATE(4228)] = 104780,
  [SMALL_STATE(4229)] = 104796,
  [SMALL_STATE(4230)] = 104812,
  [SMALL_STATE(4231)] = 104828,
  [SMALL_STATE(4232)] = 104844,
  [SMALL_STATE(4233)] = 104860,
  [SMALL_STATE(4234)] = 104876,
  [SMALL_STATE(4235)] = 104892,
  [SMALL_STATE(4236)] = 104908,
  [SMALL_STATE(4237)] = 104924,
  [SMALL_STATE(4238)] = 104938,
  [SMALL_STATE(4239)] = 104954,
  [SMALL_STATE(4240)] = 104968,
  [SMALL_STATE(4241)] = 104984,
  [SMALL_STATE(4242)] = 105000,
  [SMALL_STATE(4243)] = 105016,
  [SMALL_STATE(4244)] = 105032,
  [SMALL_STATE(4245)] = 105048,
  [SMALL_STATE(4246)] = 105064,
  [SMALL_STATE(4247)] = 105080,
  [SMALL_STATE(4248)] = 105092,
  [SMALL_STATE(4249)] = 105108,
  [SMALL_STATE(4250)] = 105124,
  [SMALL_STATE(4251)] = 105140,
  [SMALL_STATE(4252)] = 105154,
  [SMALL_STATE(4253)] = 105166,
  [SMALL_STATE(4254)] = 105180,
  [SMALL_STATE(4255)] = 105194,
  [SMALL_STATE(4256)] = 105210,
  [SMALL_STATE(4257)] = 105226,
  [SMALL_STATE(4258)] = 105242,
  [SMALL_STATE(4259)] = 105258,
  [SMALL_STATE(4260)] = 105274,
  [SMALL_STATE(4261)] = 105290,
  [SMALL_STATE(4262)] = 105304,
  [SMALL_STATE(4263)] = 105318,
  [SMALL_STATE(4264)] = 105334,
  [SMALL_STATE(4265)] = 105348,
  [SMALL_STATE(4266)] = 105362,
  [SMALL_STATE(4267)] = 105378,
  [SMALL_STATE(4268)] = 105394,
  [SMALL_STATE(4269)] = 105410,
  [SMALL_STATE(4270)] = 105426,
  [SMALL_STATE(4271)] = 105442,
  [SMALL_STATE(4272)] = 105458,
  [SMALL_STATE(4273)] = 105474,
  [SMALL_STATE(4274)] = 105490,
  [SMALL_STATE(4275)] = 105506,
  [SMALL_STATE(4276)] = 105522,
  [SMALL_STATE(4277)] = 105538,
  [SMALL_STATE(4278)] = 105554,
  [SMALL_STATE(4279)] = 105570,
  [SMALL_STATE(4280)] = 105586,
  [SMALL_STATE(4281)] = 105602,
  [SMALL_STATE(4282)] = 105618,
  [SMALL_STATE(4283)] = 105634,
  [SMALL_STATE(4284)] = 105650,
  [SMALL_STATE(4285)] = 105666,
  [SMALL_STATE(4286)] = 105680,
  [SMALL_STATE(4287)] = 105696,
  [SMALL_STATE(4288)] = 105712,
  [SMALL_STATE(4289)] = 105728,
  [SMALL_STATE(4290)] = 105744,
  [SMALL_STATE(4291)] = 105760,
  [SMALL_STATE(4292)] = 105776,
  [SMALL_STATE(4293)] = 105792,
  [SMALL_STATE(4294)] = 105808,
  [SMALL_STATE(4295)] = 105824,
  [SMALL_STATE(4296)] = 105838,
  [SMALL_STATE(4297)] = 105850,
  [SMALL_STATE(4298)] = 105866,
  [SMALL_STATE(4299)] = 105882,
  [SMALL_STATE(4300)] = 105898,
  [SMALL_STATE(4301)] = 105914,
  [SMALL_STATE(4302)] = 105930,
  [SMALL_STATE(4303)] = 105946,
  [SMALL_STATE(4304)] = 105962,
  [SMALL_STATE(4305)] = 105978,
  [SMALL_STATE(4306)] = 105994,
  [SMALL_STATE(4307)] = 106010,
  [SMALL_STATE(4308)] = 106026,
  [SMALL_STATE(4309)] = 106042,
  [SMALL_STATE(4310)] = 106058,
  [SMALL_STATE(4311)] = 106072,
  [SMALL_STATE(4312)] = 106086,
  [SMALL_STATE(4313)] = 106102,
  [SMALL_STATE(4314)] = 106116,
  [SMALL_STATE(4315)] = 106132,
  [SMALL_STATE(4316)] = 106148,
  [SMALL_STATE(4317)] = 106164,
  [SMALL_STATE(4318)] = 106180,
  [SMALL_STATE(4319)] = 106196,
  [SMALL_STATE(4320)] = 106212,
  [SMALL_STATE(4321)] = 106226,
  [SMALL_STATE(4322)] = 106240,
  [SMALL_STATE(4323)] = 106252,
  [SMALL_STATE(4324)] = 106268,
  [SMALL_STATE(4325)] = 106284,
  [SMALL_STATE(4326)] = 106300,
  [SMALL_STATE(4327)] = 106316,
  [SMALL_STATE(4328)] = 106332,
  [SMALL_STATE(4329)] = 106348,
  [SMALL_STATE(4330)] = 106364,
  [SMALL_STATE(4331)] = 106378,
  [SMALL_STATE(4332)] = 106392,
  [SMALL_STATE(4333)] = 106406,
  [SMALL_STATE(4334)] = 106420,
  [SMALL_STATE(4335)] = 106434,
  [SMALL_STATE(4336)] = 106450,
  [SMALL_STATE(4337)] = 106466,
  [SMALL_STATE(4338)] = 106482,
  [SMALL_STATE(4339)] = 106498,
  [SMALL_STATE(4340)] = 106514,
  [SMALL_STATE(4341)] = 106530,
  [SMALL_STATE(4342)] = 106546,
  [SMALL_STATE(4343)] = 106562,
  [SMALL_STATE(4344)] = 106578,
  [SMALL_STATE(4345)] = 106594,
  [SMALL_STATE(4346)] = 106610,
  [SMALL_STATE(4347)] = 106624,
  [SMALL_STATE(4348)] = 106640,
  [SMALL_STATE(4349)] = 106654,
  [SMALL_STATE(4350)] = 106668,
  [SMALL_STATE(4351)] = 106682,
  [SMALL_STATE(4352)] = 106698,
  [SMALL_STATE(4353)] = 106712,
  [SMALL_STATE(4354)] = 106728,
  [SMALL_STATE(4355)] = 106744,
  [SMALL_STATE(4356)] = 106758,
  [SMALL_STATE(4357)] = 106774,
  [SMALL_STATE(4358)] = 106790,
  [SMALL_STATE(4359)] = 106806,
  [SMALL_STATE(4360)] = 106822,
  [SMALL_STATE(4361)] = 106838,
  [SMALL_STATE(4362)] = 106854,
  [SMALL_STATE(4363)] = 106868,
  [SMALL_STATE(4364)] = 106884,
  [SMALL_STATE(4365)] = 106900,
  [SMALL_STATE(4366)] = 106916,
  [SMALL_STATE(4367)] = 106932,
  [SMALL_STATE(4368)] = 106946,
  [SMALL_STATE(4369)] = 106959,
  [SMALL_STATE(4370)] = 106972,
  [SMALL_STATE(4371)] = 106985,
  [SMALL_STATE(4372)] = 106998,
  [SMALL_STATE(4373)] = 107011,
  [SMALL_STATE(4374)] = 107024,
  [SMALL_STATE(4375)] = 107037,
  [SMALL_STATE(4376)] = 107050,
  [SMALL_STATE(4377)] = 107063,
  [SMALL_STATE(4378)] = 107076,
  [SMALL_STATE(4379)] = 107089,
  [SMALL_STATE(4380)] = 107102,
  [SMALL_STATE(4381)] = 107115,
  [SMALL_STATE(4382)] = 107128,
  [SMALL_STATE(4383)] = 107141,
  [SMALL_STATE(4384)] = 107154,
  [SMALL_STATE(4385)] = 107167,
  [SMALL_STATE(4386)] = 107180,
  [SMALL_STATE(4387)] = 107193,
  [SMALL_STATE(4388)] = 107206,
  [SMALL_STATE(4389)] = 107217,
  [SMALL_STATE(4390)] = 107230,
  [SMALL_STATE(4391)] = 107243,
  [SMALL_STATE(4392)] = 107256,
  [SMALL_STATE(4393)] = 107267,
  [SMALL_STATE(4394)] = 107280,
  [SMALL_STATE(4395)] = 107293,
  [SMALL_STATE(4396)] = 107304,
  [SMALL_STATE(4397)] = 107315,
  [SMALL_STATE(4398)] = 107328,
  [SMALL_STATE(4399)] = 107341,
  [SMALL_STATE(4400)] = 107352,
  [SMALL_STATE(4401)] = 107365,
  [SMALL_STATE(4402)] = 107378,
  [SMALL_STATE(4403)] = 107391,
  [SMALL_STATE(4404)] = 107404,
  [SMALL_STATE(4405)] = 107417,
  [SMALL_STATE(4406)] = 107430,
  [SMALL_STATE(4407)] = 107443,
  [SMALL_STATE(4408)] = 107456,
  [SMALL_STATE(4409)] = 107467,
  [SMALL_STATE(4410)] = 107480,
  [SMALL_STATE(4411)] = 107491,
  [SMALL_STATE(4412)] = 107504,
  [SMALL_STATE(4413)] = 107517,
  [SMALL_STATE(4414)] = 107530,
  [SMALL_STATE(4415)] = 107543,
  [SMALL_STATE(4416)] = 107556,
  [SMALL_STATE(4417)] = 107569,
  [SMALL_STATE(4418)] = 107582,
  [SMALL_STATE(4419)] = 107595,
  [SMALL_STATE(4420)] = 107608,
  [SMALL_STATE(4421)] = 107621,
  [SMALL_STATE(4422)] = 107634,
  [SMALL_STATE(4423)] = 107647,
  [SMALL_STATE(4424)] = 107660,
  [SMALL_STATE(4425)] = 107673,
  [SMALL_STATE(4426)] = 107686,
  [SMALL_STATE(4427)] = 107699,
  [SMALL_STATE(4428)] = 107710,
  [SMALL_STATE(4429)] = 107723,
  [SMALL_STATE(4430)] = 107736,
  [SMALL_STATE(4431)] = 107749,
  [SMALL_STATE(4432)] = 107760,
  [SMALL_STATE(4433)] = 107773,
  [SMALL_STATE(4434)] = 107786,
  [SMALL_STATE(4435)] = 107799,
  [SMALL_STATE(4436)] = 107810,
  [SMALL_STATE(4437)] = 107823,
  [SMALL_STATE(4438)] = 107834,
  [SMALL_STATE(4439)] = 107847,
  [SMALL_STATE(4440)] = 107860,
  [SMALL_STATE(4441)] = 107873,
  [SMALL_STATE(4442)] = 107884,
  [SMALL_STATE(4443)] = 107895,
  [SMALL_STATE(4444)] = 107906,
  [SMALL_STATE(4445)] = 107917,
  [SMALL_STATE(4446)] = 107930,
  [SMALL_STATE(4447)] = 107943,
  [SMALL_STATE(4448)] = 107956,
  [SMALL_STATE(4449)] = 107969,
  [SMALL_STATE(4450)] = 107982,
  [SMALL_STATE(4451)] = 107995,
  [SMALL_STATE(4452)] = 108006,
  [SMALL_STATE(4453)] = 108017,
  [SMALL_STATE(4454)] = 108030,
  [SMALL_STATE(4455)] = 108043,
  [SMALL_STATE(4456)] = 108056,
  [SMALL_STATE(4457)] = 108069,
  [SMALL_STATE(4458)] = 108082,
  [SMALL_STATE(4459)] = 108093,
  [SMALL_STATE(4460)] = 108106,
  [SMALL_STATE(4461)] = 108119,
  [SMALL_STATE(4462)] = 108130,
  [SMALL_STATE(4463)] = 108143,
  [SMALL_STATE(4464)] = 108156,
  [SMALL_STATE(4465)] = 108169,
  [SMALL_STATE(4466)] = 108182,
  [SMALL_STATE(4467)] = 108193,
  [SMALL_STATE(4468)] = 108206,
  [SMALL_STATE(4469)] = 108217,
  [SMALL_STATE(4470)] = 108228,
  [SMALL_STATE(4471)] = 108239,
  [SMALL_STATE(4472)] = 108252,
  [SMALL_STATE(4473)] = 108265,
  [SMALL_STATE(4474)] = 108278,
  [SMALL_STATE(4475)] = 108291,
  [SMALL_STATE(4476)] = 108304,
  [SMALL_STATE(4477)] = 108315,
  [SMALL_STATE(4478)] = 108328,
  [SMALL_STATE(4479)] = 108341,
  [SMALL_STATE(4480)] = 108354,
  [SMALL_STATE(4481)] = 108367,
  [SMALL_STATE(4482)] = 108380,
  [SMALL_STATE(4483)] = 108391,
  [SMALL_STATE(4484)] = 108404,
  [SMALL_STATE(4485)] = 108417,
  [SMALL_STATE(4486)] = 108430,
  [SMALL_STATE(4487)] = 108443,
  [SMALL_STATE(4488)] = 108456,
  [SMALL_STATE(4489)] = 108469,
  [SMALL_STATE(4490)] = 108482,
  [SMALL_STATE(4491)] = 108495,
  [SMALL_STATE(4492)] = 108508,
  [SMALL_STATE(4493)] = 108521,
  [SMALL_STATE(4494)] = 108534,
  [SMALL_STATE(4495)] = 108547,
  [SMALL_STATE(4496)] = 108558,
  [SMALL_STATE(4497)] = 108571,
  [SMALL_STATE(4498)] = 108584,
  [SMALL_STATE(4499)] = 108597,
  [SMALL_STATE(4500)] = 108610,
  [SMALL_STATE(4501)] = 108623,
  [SMALL_STATE(4502)] = 108636,
  [SMALL_STATE(4503)] = 108649,
  [SMALL_STATE(4504)] = 108660,
  [SMALL_STATE(4505)] = 108673,
  [SMALL_STATE(4506)] = 108686,
  [SMALL_STATE(4507)] = 108699,
  [SMALL_STATE(4508)] = 108710,
  [SMALL_STATE(4509)] = 108723,
  [SMALL_STATE(4510)] = 108736,
  [SMALL_STATE(4511)] = 108749,
  [SMALL_STATE(4512)] = 108762,
  [SMALL_STATE(4513)] = 108775,
  [SMALL_STATE(4514)] = 108788,
  [SMALL_STATE(4515)] = 108801,
  [SMALL_STATE(4516)] = 108814,
  [SMALL_STATE(4517)] = 108827,
  [SMALL_STATE(4518)] = 108840,
  [SMALL_STATE(4519)] = 108853,
  [SMALL_STATE(4520)] = 108866,
  [SMALL_STATE(4521)] = 108877,
  [SMALL_STATE(4522)] = 108890,
  [SMALL_STATE(4523)] = 108903,
  [SMALL_STATE(4524)] = 108916,
  [SMALL_STATE(4525)] = 108929,
  [SMALL_STATE(4526)] = 108942,
  [SMALL_STATE(4527)] = 108955,
  [SMALL_STATE(4528)] = 108966,
  [SMALL_STATE(4529)] = 108979,
  [SMALL_STATE(4530)] = 108992,
  [SMALL_STATE(4531)] = 109005,
  [SMALL_STATE(4532)] = 109018,
  [SMALL_STATE(4533)] = 109031,
  [SMALL_STATE(4534)] = 109044,
  [SMALL_STATE(4535)] = 109057,
  [SMALL_STATE(4536)] = 109070,
  [SMALL_STATE(4537)] = 109081,
  [SMALL_STATE(4538)] = 109094,
  [SMALL_STATE(4539)] = 109107,
  [SMALL_STATE(4540)] = 109118,
  [SMALL_STATE(4541)] = 109131,
  [SMALL_STATE(4542)] = 109144,
  [SMALL_STATE(4543)] = 109157,
  [SMALL_STATE(4544)] = 109170,
  [SMALL_STATE(4545)] = 109181,
  [SMALL_STATE(4546)] = 109194,
  [SMALL_STATE(4547)] = 109207,
  [SMALL_STATE(4548)] = 109220,
  [SMALL_STATE(4549)] = 109233,
  [SMALL_STATE(4550)] = 109246,
  [SMALL_STATE(4551)] = 109259,
  [SMALL_STATE(4552)] = 109272,
  [SMALL_STATE(4553)] = 109285,
  [SMALL_STATE(4554)] = 109298,
  [SMALL_STATE(4555)] = 109311,
  [SMALL_STATE(4556)] = 109324,
  [SMALL_STATE(4557)] = 109337,
  [SMALL_STATE(4558)] = 109348,
  [SMALL_STATE(4559)] = 109361,
  [SMALL_STATE(4560)] = 109372,
  [SMALL_STATE(4561)] = 109385,
  [SMALL_STATE(4562)] = 109398,
  [SMALL_STATE(4563)] = 109411,
  [SMALL_STATE(4564)] = 109424,
  [SMALL_STATE(4565)] = 109437,
  [SMALL_STATE(4566)] = 109450,
  [SMALL_STATE(4567)] = 109463,
  [SMALL_STATE(4568)] = 109474,
  [SMALL_STATE(4569)] = 109487,
  [SMALL_STATE(4570)] = 109500,
  [SMALL_STATE(4571)] = 109513,
  [SMALL_STATE(4572)] = 109526,
  [SMALL_STATE(4573)] = 109539,
  [SMALL_STATE(4574)] = 109552,
  [SMALL_STATE(4575)] = 109565,
  [SMALL_STATE(4576)] = 109578,
  [SMALL_STATE(4577)] = 109591,
  [SMALL_STATE(4578)] = 109604,
  [SMALL_STATE(4579)] = 109617,
  [SMALL_STATE(4580)] = 109630,
  [SMALL_STATE(4581)] = 109643,
  [SMALL_STATE(4582)] = 109656,
  [SMALL_STATE(4583)] = 109669,
  [SMALL_STATE(4584)] = 109680,
  [SMALL_STATE(4585)] = 109691,
  [SMALL_STATE(4586)] = 109702,
  [SMALL_STATE(4587)] = 109713,
  [SMALL_STATE(4588)] = 109726,
  [SMALL_STATE(4589)] = 109739,
  [SMALL_STATE(4590)] = 109752,
  [SMALL_STATE(4591)] = 109765,
  [SMALL_STATE(4592)] = 109778,
  [SMALL_STATE(4593)] = 109791,
  [SMALL_STATE(4594)] = 109804,
  [SMALL_STATE(4595)] = 109817,
  [SMALL_STATE(4596)] = 109828,
  [SMALL_STATE(4597)] = 109841,
  [SMALL_STATE(4598)] = 109854,
  [SMALL_STATE(4599)] = 109867,
  [SMALL_STATE(4600)] = 109880,
  [SMALL_STATE(4601)] = 109893,
  [SMALL_STATE(4602)] = 109906,
  [SMALL_STATE(4603)] = 109919,
  [SMALL_STATE(4604)] = 109932,
  [SMALL_STATE(4605)] = 109945,
  [SMALL_STATE(4606)] = 109958,
  [SMALL_STATE(4607)] = 109971,
  [SMALL_STATE(4608)] = 109982,
  [SMALL_STATE(4609)] = 109995,
  [SMALL_STATE(4610)] = 110006,
  [SMALL_STATE(4611)] = 110019,
  [SMALL_STATE(4612)] = 110030,
  [SMALL_STATE(4613)] = 110041,
  [SMALL_STATE(4614)] = 110054,
  [SMALL_STATE(4615)] = 110067,
  [SMALL_STATE(4616)] = 110080,
  [SMALL_STATE(4617)] = 110093,
  [SMALL_STATE(4618)] = 110106,
  [SMALL_STATE(4619)] = 110119,
  [SMALL_STATE(4620)] = 110132,
  [SMALL_STATE(4621)] = 110145,
  [SMALL_STATE(4622)] = 110158,
  [SMALL_STATE(4623)] = 110171,
  [SMALL_STATE(4624)] = 110184,
  [SMALL_STATE(4625)] = 110197,
  [SMALL_STATE(4626)] = 110210,
  [SMALL_STATE(4627)] = 110223,
  [SMALL_STATE(4628)] = 110236,
  [SMALL_STATE(4629)] = 110249,
  [SMALL_STATE(4630)] = 110262,
  [SMALL_STATE(4631)] = 110275,
  [SMALL_STATE(4632)] = 110288,
  [SMALL_STATE(4633)] = 110299,
  [SMALL_STATE(4634)] = 110309,
  [SMALL_STATE(4635)] = 110319,
  [SMALL_STATE(4636)] = 110329,
  [SMALL_STATE(4637)] = 110339,
  [SMALL_STATE(4638)] = 110349,
  [SMALL_STATE(4639)] = 110359,
  [SMALL_STATE(4640)] = 110369,
  [SMALL_STATE(4641)] = 110379,
  [SMALL_STATE(4642)] = 110389,
  [SMALL_STATE(4643)] = 110399,
  [SMALL_STATE(4644)] = 110409,
  [SMALL_STATE(4645)] = 110419,
  [SMALL_STATE(4646)] = 110429,
  [SMALL_STATE(4647)] = 110439,
  [SMALL_STATE(4648)] = 110449,
  [SMALL_STATE(4649)] = 110459,
  [SMALL_STATE(4650)] = 110469,
  [SMALL_STATE(4651)] = 110479,
  [SMALL_STATE(4652)] = 110489,
  [SMALL_STATE(4653)] = 110499,
  [SMALL_STATE(4654)] = 110509,
  [SMALL_STATE(4655)] = 110519,
  [SMALL_STATE(4656)] = 110529,
  [SMALL_STATE(4657)] = 110539,
  [SMALL_STATE(4658)] = 110549,
  [SMALL_STATE(4659)] = 110559,
  [SMALL_STATE(4660)] = 110569,
  [SMALL_STATE(4661)] = 110579,
  [SMALL_STATE(4662)] = 110589,
  [SMALL_STATE(4663)] = 110599,
  [SMALL_STATE(4664)] = 110609,
  [SMALL_STATE(4665)] = 110619,
  [SMALL_STATE(4666)] = 110629,
  [SMALL_STATE(4667)] = 110639,
  [SMALL_STATE(4668)] = 110649,
  [SMALL_STATE(4669)] = 110659,
  [SMALL_STATE(4670)] = 110669,
  [SMALL_STATE(4671)] = 110679,
  [SMALL_STATE(4672)] = 110689,
  [SMALL_STATE(4673)] = 110699,
  [SMALL_STATE(4674)] = 110709,
  [SMALL_STATE(4675)] = 110719,
  [SMALL_STATE(4676)] = 110729,
  [SMALL_STATE(4677)] = 110739,
  [SMALL_STATE(4678)] = 110749,
  [SMALL_STATE(4679)] = 110759,
  [SMALL_STATE(4680)] = 110769,
  [SMALL_STATE(4681)] = 110779,
  [SMALL_STATE(4682)] = 110789,
  [SMALL_STATE(4683)] = 110799,
  [SMALL_STATE(4684)] = 110809,
  [SMALL_STATE(4685)] = 110819,
  [SMALL_STATE(4686)] = 110829,
  [SMALL_STATE(4687)] = 110839,
  [SMALL_STATE(4688)] = 110849,
  [SMALL_STATE(4689)] = 110859,
  [SMALL_STATE(4690)] = 110869,
  [SMALL_STATE(4691)] = 110879,
  [SMALL_STATE(4692)] = 110889,
  [SMALL_STATE(4693)] = 110899,
  [SMALL_STATE(4694)] = 110909,
  [SMALL_STATE(4695)] = 110919,
  [SMALL_STATE(4696)] = 110929,
  [SMALL_STATE(4697)] = 110939,
  [SMALL_STATE(4698)] = 110949,
  [SMALL_STATE(4699)] = 110959,
  [SMALL_STATE(4700)] = 110969,
  [SMALL_STATE(4701)] = 110979,
  [SMALL_STATE(4702)] = 110989,
  [SMALL_STATE(4703)] = 110999,
  [SMALL_STATE(4704)] = 111009,
  [SMALL_STATE(4705)] = 111019,
  [SMALL_STATE(4706)] = 111029,
  [SMALL_STATE(4707)] = 111039,
  [SMALL_STATE(4708)] = 111049,
  [SMALL_STATE(4709)] = 111059,
  [SMALL_STATE(4710)] = 111069,
  [SMALL_STATE(4711)] = 111079,
  [SMALL_STATE(4712)] = 111089,
  [SMALL_STATE(4713)] = 111099,
  [SMALL_STATE(4714)] = 111109,
  [SMALL_STATE(4715)] = 111119,
  [SMALL_STATE(4716)] = 111129,
  [SMALL_STATE(4717)] = 111139,
  [SMALL_STATE(4718)] = 111149,
  [SMALL_STATE(4719)] = 111159,
  [SMALL_STATE(4720)] = 111169,
  [SMALL_STATE(4721)] = 111179,
  [SMALL_STATE(4722)] = 111189,
  [SMALL_STATE(4723)] = 111199,
  [SMALL_STATE(4724)] = 111209,
  [SMALL_STATE(4725)] = 111219,
  [SMALL_STATE(4726)] = 111229,
  [SMALL_STATE(4727)] = 111239,
  [SMALL_STATE(4728)] = 111249,
  [SMALL_STATE(4729)] = 111259,
  [SMALL_STATE(4730)] = 111269,
  [SMALL_STATE(4731)] = 111279,
  [SMALL_STATE(4732)] = 111289,
  [SMALL_STATE(4733)] = 111299,
  [SMALL_STATE(4734)] = 111309,
  [SMALL_STATE(4735)] = 111319,
  [SMALL_STATE(4736)] = 111329,
  [SMALL_STATE(4737)] = 111339,
  [SMALL_STATE(4738)] = 111349,
  [SMALL_STATE(4739)] = 111359,
  [SMALL_STATE(4740)] = 111369,
  [SMALL_STATE(4741)] = 111379,
  [SMALL_STATE(4742)] = 111389,
  [SMALL_STATE(4743)] = 111399,
  [SMALL_STATE(4744)] = 111409,
  [SMALL_STATE(4745)] = 111419,
  [SMALL_STATE(4746)] = 111429,
  [SMALL_STATE(4747)] = 111439,
  [SMALL_STATE(4748)] = 111449,
  [SMALL_STATE(4749)] = 111459,
  [SMALL_STATE(4750)] = 111469,
  [SMALL_STATE(4751)] = 111479,
  [SMALL_STATE(4752)] = 111489,
  [SMALL_STATE(4753)] = 111499,
  [SMALL_STATE(4754)] = 111509,
  [SMALL_STATE(4755)] = 111519,
  [SMALL_STATE(4756)] = 111529,
  [SMALL_STATE(4757)] = 111539,
  [SMALL_STATE(4758)] = 111549,
  [SMALL_STATE(4759)] = 111559,
  [SMALL_STATE(4760)] = 111569,
  [SMALL_STATE(4761)] = 111579,
  [SMALL_STATE(4762)] = 111589,
  [SMALL_STATE(4763)] = 111599,
  [SMALL_STATE(4764)] = 111609,
  [SMALL_STATE(4765)] = 111619,
  [SMALL_STATE(4766)] = 111629,
  [SMALL_STATE(4767)] = 111639,
  [SMALL_STATE(4768)] = 111649,
  [SMALL_STATE(4769)] = 111659,
  [SMALL_STATE(4770)] = 111669,
  [SMALL_STATE(4771)] = 111679,
  [SMALL_STATE(4772)] = 111689,
  [SMALL_STATE(4773)] = 111699,
  [SMALL_STATE(4774)] = 111709,
  [SMALL_STATE(4775)] = 111719,
  [SMALL_STATE(4776)] = 111729,
  [SMALL_STATE(4777)] = 111739,
  [SMALL_STATE(4778)] = 111749,
  [SMALL_STATE(4779)] = 111759,
  [SMALL_STATE(4780)] = 111769,
  [SMALL_STATE(4781)] = 111779,
  [SMALL_STATE(4782)] = 111789,
  [SMALL_STATE(4783)] = 111799,
  [SMALL_STATE(4784)] = 111809,
  [SMALL_STATE(4785)] = 111819,
  [SMALL_STATE(4786)] = 111829,
  [SMALL_STATE(4787)] = 111839,
  [SMALL_STATE(4788)] = 111849,
  [SMALL_STATE(4789)] = 111859,
  [SMALL_STATE(4790)] = 111869,
  [SMALL_STATE(4791)] = 111879,
  [SMALL_STATE(4792)] = 111889,
  [SMALL_STATE(4793)] = 111899,
  [SMALL_STATE(4794)] = 111909,
  [SMALL_STATE(4795)] = 111919,
  [SMALL_STATE(4796)] = 111929,
  [SMALL_STATE(4797)] = 111939,
  [SMALL_STATE(4798)] = 111949,
  [SMALL_STATE(4799)] = 111959,
  [SMALL_STATE(4800)] = 111969,
  [SMALL_STATE(4801)] = 111979,
  [SMALL_STATE(4802)] = 111989,
  [SMALL_STATE(4803)] = 111999,
  [SMALL_STATE(4804)] = 112009,
  [SMALL_STATE(4805)] = 112019,
  [SMALL_STATE(4806)] = 112029,
  [SMALL_STATE(4807)] = 112039,
  [SMALL_STATE(4808)] = 112049,
  [SMALL_STATE(4809)] = 112059,
  [SMALL_STATE(4810)] = 112069,
  [SMALL_STATE(4811)] = 112079,
  [SMALL_STATE(4812)] = 112089,
  [SMALL_STATE(4813)] = 112099,
  [SMALL_STATE(4814)] = 112109,
  [SMALL_STATE(4815)] = 112119,
  [SMALL_STATE(4816)] = 112129,
  [SMALL_STATE(4817)] = 112139,
  [SMALL_STATE(4818)] = 112149,
  [SMALL_STATE(4819)] = 112159,
  [SMALL_STATE(4820)] = 112169,
  [SMALL_STATE(4821)] = 112179,
  [SMALL_STATE(4822)] = 112189,
  [SMALL_STATE(4823)] = 112199,
  [SMALL_STATE(4824)] = 112209,
  [SMALL_STATE(4825)] = 112219,
  [SMALL_STATE(4826)] = 112229,
  [SMALL_STATE(4827)] = 112239,
  [SMALL_STATE(4828)] = 112249,
  [SMALL_STATE(4829)] = 112259,
  [SMALL_STATE(4830)] = 112269,
  [SMALL_STATE(4831)] = 112279,
  [SMALL_STATE(4832)] = 112289,
  [SMALL_STATE(4833)] = 112299,
  [SMALL_STATE(4834)] = 112309,
  [SMALL_STATE(4835)] = 112319,
  [SMALL_STATE(4836)] = 112329,
  [SMALL_STATE(4837)] = 112339,
  [SMALL_STATE(4838)] = 112349,
  [SMALL_STATE(4839)] = 112359,
  [SMALL_STATE(4840)] = 112369,
  [SMALL_STATE(4841)] = 112379,
  [SMALL_STATE(4842)] = 112389,
  [SMALL_STATE(4843)] = 112399,
  [SMALL_STATE(4844)] = 112409,
  [SMALL_STATE(4845)] = 112419,
  [SMALL_STATE(4846)] = 112429,
  [SMALL_STATE(4847)] = 112439,
  [SMALL_STATE(4848)] = 112449,
  [SMALL_STATE(4849)] = 112459,
  [SMALL_STATE(4850)] = 112469,
  [SMALL_STATE(4851)] = 112479,
  [SMALL_STATE(4852)] = 112489,
  [SMALL_STATE(4853)] = 112499,
  [SMALL_STATE(4854)] = 112509,
  [SMALL_STATE(4855)] = 112519,
  [SMALL_STATE(4856)] = 112529,
  [SMALL_STATE(4857)] = 112539,
  [SMALL_STATE(4858)] = 112549,
  [SMALL_STATE(4859)] = 112559,
  [SMALL_STATE(4860)] = 112569,
  [SMALL_STATE(4861)] = 112579,
  [SMALL_STATE(4862)] = 112589,
  [SMALL_STATE(4863)] = 112599,
  [SMALL_STATE(4864)] = 112609,
  [SMALL_STATE(4865)] = 112619,
  [SMALL_STATE(4866)] = 112629,
  [SMALL_STATE(4867)] = 112639,
  [SMALL_STATE(4868)] = 112649,
  [SMALL_STATE(4869)] = 112659,
  [SMALL_STATE(4870)] = 112669,
  [SMALL_STATE(4871)] = 112679,
  [SMALL_STATE(4872)] = 112689,
  [SMALL_STATE(4873)] = 112699,
  [SMALL_STATE(4874)] = 112709,
  [SMALL_STATE(4875)] = 112719,
  [SMALL_STATE(4876)] = 112729,
  [SMALL_STATE(4877)] = 112739,
  [SMALL_STATE(4878)] = 112749,
  [SMALL_STATE(4879)] = 112759,
  [SMALL_STATE(4880)] = 112769,
  [SMALL_STATE(4881)] = 112779,
  [SMALL_STATE(4882)] = 112789,
  [SMALL_STATE(4883)] = 112799,
  [SMALL_STATE(4884)] = 112809,
  [SMALL_STATE(4885)] = 112819,
  [SMALL_STATE(4886)] = 112829,
  [SMALL_STATE(4887)] = 112839,
  [SMALL_STATE(4888)] = 112849,
  [SMALL_STATE(4889)] = 112859,
  [SMALL_STATE(4890)] = 112869,
  [SMALL_STATE(4891)] = 112879,
  [SMALL_STATE(4892)] = 112889,
  [SMALL_STATE(4893)] = 112899,
  [SMALL_STATE(4894)] = 112909,
  [SMALL_STATE(4895)] = 112919,
  [SMALL_STATE(4896)] = 112929,
  [SMALL_STATE(4897)] = 112939,
  [SMALL_STATE(4898)] = 112949,
  [SMALL_STATE(4899)] = 112959,
  [SMALL_STATE(4900)] = 112969,
  [SMALL_STATE(4901)] = 112979,
  [SMALL_STATE(4902)] = 112989,
  [SMALL_STATE(4903)] = 112999,
  [SMALL_STATE(4904)] = 113009,
  [SMALL_STATE(4905)] = 113019,
  [SMALL_STATE(4906)] = 113029,
  [SMALL_STATE(4907)] = 113039,
  [SMALL_STATE(4908)] = 113049,
  [SMALL_STATE(4909)] = 113059,
  [SMALL_STATE(4910)] = 113069,
  [SMALL_STATE(4911)] = 113079,
  [SMALL_STATE(4912)] = 113089,
  [SMALL_STATE(4913)] = 113099,
  [SMALL_STATE(4914)] = 113109,
  [SMALL_STATE(4915)] = 113119,
  [SMALL_STATE(4916)] = 113129,
  [SMALL_STATE(4917)] = 113139,
  [SMALL_STATE(4918)] = 113149,
  [SMALL_STATE(4919)] = 113159,
  [SMALL_STATE(4920)] = 113169,
  [SMALL_STATE(4921)] = 113179,
  [SMALL_STATE(4922)] = 113189,
  [SMALL_STATE(4923)] = 113199,
  [SMALL_STATE(4924)] = 113209,
  [SMALL_STATE(4925)] = 113219,
  [SMALL_STATE(4926)] = 113229,
  [SMALL_STATE(4927)] = 113239,
  [SMALL_STATE(4928)] = 113249,
  [SMALL_STATE(4929)] = 113259,
  [SMALL_STATE(4930)] = 113269,
  [SMALL_STATE(4931)] = 113279,
  [SMALL_STATE(4932)] = 113289,
  [SMALL_STATE(4933)] = 113299,
  [SMALL_STATE(4934)] = 113309,
  [SMALL_STATE(4935)] = 113319,
  [SMALL_STATE(4936)] = 113329,
  [SMALL_STATE(4937)] = 113339,
  [SMALL_STATE(4938)] = 113349,
  [SMALL_STATE(4939)] = 113359,
  [SMALL_STATE(4940)] = 113369,
  [SMALL_STATE(4941)] = 113379,
  [SMALL_STATE(4942)] = 113389,
  [SMALL_STATE(4943)] = 113399,
  [SMALL_STATE(4944)] = 113409,
  [SMALL_STATE(4945)] = 113419,
  [SMALL_STATE(4946)] = 113429,
  [SMALL_STATE(4947)] = 113439,
  [SMALL_STATE(4948)] = 113449,
  [SMALL_STATE(4949)] = 113459,
  [SMALL_STATE(4950)] = 113469,
  [SMALL_STATE(4951)] = 113479,
  [SMALL_STATE(4952)] = 113489,
  [SMALL_STATE(4953)] = 113499,
  [SMALL_STATE(4954)] = 113509,
  [SMALL_STATE(4955)] = 113519,
  [SMALL_STATE(4956)] = 113529,
  [SMALL_STATE(4957)] = 113539,
  [SMALL_STATE(4958)] = 113549,
  [SMALL_STATE(4959)] = 113559,
  [SMALL_STATE(4960)] = 113569,
  [SMALL_STATE(4961)] = 113579,
  [SMALL_STATE(4962)] = 113589,
  [SMALL_STATE(4963)] = 113599,
  [SMALL_STATE(4964)] = 113609,
  [SMALL_STATE(4965)] = 113619,
  [SMALL_STATE(4966)] = 113629,
  [SMALL_STATE(4967)] = 113639,
  [SMALL_STATE(4968)] = 113649,
  [SMALL_STATE(4969)] = 113659,
  [SMALL_STATE(4970)] = 113669,
  [SMALL_STATE(4971)] = 113679,
  [SMALL_STATE(4972)] = 113689,
  [SMALL_STATE(4973)] = 113699,
  [SMALL_STATE(4974)] = 113709,
  [SMALL_STATE(4975)] = 113719,
  [SMALL_STATE(4976)] = 113729,
  [SMALL_STATE(4977)] = 113739,
  [SMALL_STATE(4978)] = 113749,
  [SMALL_STATE(4979)] = 113759,
  [SMALL_STATE(4980)] = 113769,
  [SMALL_STATE(4981)] = 113779,
  [SMALL_STATE(4982)] = 113789,
  [SMALL_STATE(4983)] = 113799,
  [SMALL_STATE(4984)] = 113809,
  [SMALL_STATE(4985)] = 113819,
  [SMALL_STATE(4986)] = 113829,
  [SMALL_STATE(4987)] = 113839,
  [SMALL_STATE(4988)] = 113849,
  [SMALL_STATE(4989)] = 113859,
  [SMALL_STATE(4990)] = 113869,
  [SMALL_STATE(4991)] = 113879,
  [SMALL_STATE(4992)] = 113889,
  [SMALL_STATE(4993)] = 113899,
  [SMALL_STATE(4994)] = 113909,
  [SMALL_STATE(4995)] = 113919,
  [SMALL_STATE(4996)] = 113929,
  [SMALL_STATE(4997)] = 113939,
  [SMALL_STATE(4998)] = 113949,
  [SMALL_STATE(4999)] = 113959,
  [SMALL_STATE(5000)] = 113969,
  [SMALL_STATE(5001)] = 113979,
  [SMALL_STATE(5002)] = 113989,
  [SMALL_STATE(5003)] = 113999,
  [SMALL_STATE(5004)] = 114009,
  [SMALL_STATE(5005)] = 114019,
  [SMALL_STATE(5006)] = 114029,
  [SMALL_STATE(5007)] = 114039,
  [SMALL_STATE(5008)] = 114049,
  [SMALL_STATE(5009)] = 114059,
  [SMALL_STATE(5010)] = 114069,
  [SMALL_STATE(5011)] = 114079,
  [SMALL_STATE(5012)] = 114089,
  [SMALL_STATE(5013)] = 114099,
  [SMALL_STATE(5014)] = 114109,
  [SMALL_STATE(5015)] = 114119,
  [SMALL_STATE(5016)] = 114129,
  [SMALL_STATE(5017)] = 114139,
  [SMALL_STATE(5018)] = 114149,
  [SMALL_STATE(5019)] = 114159,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(90),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(872),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(871),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(870),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4371),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(172),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(11),
  [138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(445),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2106),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2024),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1868),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2027),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(194),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(194),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3683),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(195),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(157),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1922),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4995),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3573),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3717),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4990),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3731),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(851),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4380),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4381),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3649),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3454),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3756),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3873),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4981),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1666),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1655),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(81),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2978),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(840),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(839),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4972),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(103),
  [234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(455),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(836),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(469),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2545),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4970),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3876),
  [252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4966),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4965),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4964),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(818),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(566),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(473),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3575),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4359),
  [276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3584),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4715),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4992),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(449),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(637),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(657),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(656),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4371),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(978),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(8),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list, 2),
  [522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(459),
  [525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(2106),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(2024),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(1868),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(2027),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(977),
  [540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(977),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(3668),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(976),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(879),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(1922),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4647),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(3573),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(3667),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4813),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(3749),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(715),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4374),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4501),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(3860),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4715),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(1846),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(1847),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(88),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(714),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(713),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4992),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(118),
  [606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(533),
  [609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(639),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(516),
  [615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4712),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(850),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(574),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(535),
  [627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(3577),
  [630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(4029),
  [633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2), SHIFT_REPEAT(3582),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 14),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 10),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 10),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_type, 1),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_type, 1),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_result_type, 1),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_result_type, 1),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type, 1),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type, 1),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4684),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(4798),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_call_expression, 2, .production_id = 8),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_call_expression, 2, .production_id = 8),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 8),
  [875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 8),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, .production_id = 63),
  [879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, .production_id = 63),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 17),
  [883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 17),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4602),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), REDUCE(sym__binded_type, 1, .production_id = 2),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [1038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [1040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fn_literal, 4, .production_id = 51),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fn_literal, 4, .production_id = 51),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, .production_id = 1),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, .production_id = 1),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, .production_id = 36),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, .production_id = 36),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_literal_value, 2),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_literal_value, 2),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_identifier, 2),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_identifier, 2),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fn_literal, 4, .production_id = 48),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fn_literal, 4, .production_id = 48),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_only_parameter_list, 4),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_only_parameter_list, 4),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, .production_id = 35),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, .production_id = 35),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_only_parameter_list, 3),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_only_parameter_list, 3),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binded_identifier, 3, .production_id = 18),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binded_identifier, 3, .production_id = 18),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binded_identifier, 3, .production_id = 19),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binded_identifier, 3, .production_id = 19),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_selector_expression, 4),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_selector_expression, 4),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fn_literal, 5, .production_id = 87),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fn_literal, 5, .production_id = 87),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, .production_id = 16),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, .production_id = 16),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_if_expression, 4, .production_id = 57),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_if_expression, 4, .production_id = 57),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fn_literal, 3, .production_id = 25),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fn_literal, 3, .production_id = 25),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_if_expression, 3, .production_id = 28),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_if_expression, 3, .production_id = 28),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 28),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, .production_id = 28),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 29),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, .production_id = 29),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 3),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 3),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sql_expression, 2),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sql_expression, 2),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fn_literal, 4, .production_id = 49),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fn_literal, 4, .production_id = 49),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_line_expression, 1),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_line_expression, 1),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binded_type, 1, .production_id = 2),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_type, 1, .production_id = 2),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 2, .production_id = 6),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 2, .production_id = 6),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 5, .production_id = 61),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_expression, 5, .production_id = 61),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shared_type, 2),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shared_type, 2),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_thread_type, 2),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_thread_type, 2),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 17),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 17),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_block, 2),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_block, 2),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, .production_id = 94),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, .production_id = 94),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, .production_id = 93),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, .production_id = 93),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_if_expression, 5, .production_id = 93),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_if_expression, 5, .production_id = 93),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_initializer, 2, .production_id = 9),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_initializer, 2, .production_id = 9),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_comptime_identifier, 2),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_comptime_identifier, 2),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fn_literal, 5, .production_id = 88),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fn_literal, 5, .production_id = 88),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 5),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_expression, 5),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_cast_expression, 4, .production_id = 66),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_cast_expression, 4, .production_id = 66),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__content_block, 3),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__content_block, 3),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fixed_array, 4),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fixed_array, 4),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unsafe_expression, 2),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unsafe_expression, 2),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fn_literal, 5, .production_id = 82),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fn_literal, 5, .production_id = 82),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, .production_id = 15),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, .production_id = 15),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_selector_expression, 2, .production_id = 7),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_selector_expression, 2, .production_id = 7),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lock_expression, 2, .production_id = 13),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lock_expression, 2, .production_id = 13),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 24),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 24),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, .production_id = 54),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, .production_id = 54),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fixed_array_type, 4, .production_id = 38),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fixed_array_type, 4, .production_id = 38),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 5, .production_id = 63),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 5, .production_id = 63),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 4, .production_id = 40),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 4, .production_id = 40),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_expression, 3, .production_id = 21),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_expression, 3, .production_id = 21),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_selector_expression, 3, .production_id = 20),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_selector_expression, 3, .production_id = 20),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_type, 2),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_type, 2),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, .production_id = 65),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, .production_id = 65),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 8),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 8),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_call_expression, 3, .production_id = 8),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_call_expression, 3, .production_id = 8),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_propagator, 1),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_propagator, 1),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fn_literal, 6, .production_id = 132),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fn_literal, 6, .production_id = 132),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lock_expression, 3, .production_id = 32),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lock_expression, 3, .production_id = 32),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_string_literal, 3),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_string_literal, 3),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_if_expression, 6, .production_id = 134),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_if_expression, 6, .production_id = 134),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 3),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 3),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 4, .production_id = 61),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_expression, 4, .production_id = 61),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 33),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 33),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 4),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_expression, 4),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sql_expression, 3),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sql_expression, 3),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_return_type, 3),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_return_type, 3),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_type_cast_expression, 3),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_type_cast_expression, 3),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 2),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 2),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 3),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_expression, 3),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fixed_array, 3),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fixed_array, 3),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, .production_id = 54),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, .production_id = 54),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_string_literal, 2),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_string_literal, 2),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 6, .production_id = 54),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 6, .production_id = 54),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 6, .production_id = 61),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_expression, 6, .production_id = 61),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_with_blocks, 1),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_with_blocks, 1),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_result_type, 2),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_result_type, 2),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_return_type, 4),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_return_type, 4),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4658),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2505),
  [1825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(618),
  [1828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(834),
  [1831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(835),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2),
  [1836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(4371),
  [1839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2670),
  [1842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(437),
  [1845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(502),
  [1848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2106),
  [1851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2024),
  [1854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(1868),
  [1857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2027),
  [1860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2681),
  [1863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2681),
  [1866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(3686),
  [1869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2613),
  [1872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(2593),
  [1875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(1922),
  [1878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(4718),
  [1881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(3573),
  [1884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(3688),
  [1887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(4999),
  [1890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(3703),
  [1893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(4375),
  [1896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(3829),
  [1899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(619),
  [1902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(523),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2),
  [1907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(779),
  [1910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(545),
  [1913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(466),
  [1916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(3590),
  [1919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(4357),
  [1922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(3597),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_clause, 3, .production_id = 54),
  [1973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(2680),
  [1976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(725),
  [1979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(608),
  [1982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(611),
  [1985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(4371),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3121),
  [1991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(416),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2),
  [1996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(499),
  [1999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(2106),
  [2002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(2024),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(1868),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(2027),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3153),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3153),
  [2017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3692),
  [2020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3029),
  [2023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(2937),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(1922),
  [2029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(4908),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3573),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3637),
  [2038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(4658),
  [2041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3638),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(4616),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3859),
  [2050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(726),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(522),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2),
  [2058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(874),
  [2061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(553),
  [2064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(484),
  [2067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3625),
  [2070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(4131),
  [2073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 2), SHIFT_REPEAT(3628),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [2078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2626),
  [2081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(618),
  [2084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(718),
  [2087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(717),
  [2090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(4371),
  [2093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2670),
  [2096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(688),
  [2099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(437),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(502),
  [2107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2106),
  [2110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2024),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(1868),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2027),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2987),
  [2122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2681),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(3686),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2613),
  [2131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(2593),
  [2134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(1922),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(4718),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(3573),
  [2143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(3688),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(4999),
  [2149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(3645),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(4375),
  [2155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(3829),
  [2158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(619),
  [2161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(523),
  [2164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(779),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(541),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(521),
  [2173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(3590),
  [2176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(4357),
  [2179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(3597),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_clause, 2),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_clause, 3, .production_id = 56),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_clause, 4, .production_id = 92),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [2302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2626),
  [2305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(618),
  [2308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(718),
  [2311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(717),
  [2314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(4371),
  [2317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2670),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(437),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2),
  [2325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(502),
  [2328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2106),
  [2331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2024),
  [2334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(1868),
  [2337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2027),
  [2340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2987),
  [2343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2681),
  [2346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(3686),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2613),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(2593),
  [2355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(1922),
  [2358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(4718),
  [2361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(3573),
  [2364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(3688),
  [2367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(4999),
  [2370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(3645),
  [2373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(4375),
  [2376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(3829),
  [2379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(619),
  [2382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(523),
  [2385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(779),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(541),
  [2391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(521),
  [2394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(3590),
  [2397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(4357),
  [2400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2), SHIFT_REPEAT(3597),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4541),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__element_key, 1, .production_id = 5),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__element_key, 1),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(1387),
  [2608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(652),
  [2611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(625),
  [2614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(624),
  [2617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(4371),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(1762),
  [2623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(422),
  [2626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(531),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(2106),
  [2634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(2024),
  [2637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(1868),
  [2640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(2027),
  [2643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(1782),
  [2646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(1782),
  [2649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(3677),
  [2652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(1784),
  [2655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(1714),
  [2658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(1922),
  [2661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(4656),
  [2664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(3573),
  [2667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(3658),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(4679),
  [2673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(3663),
  [2676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(4551),
  [2679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(3861),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(653),
  [2685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(493),
  [2688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(863),
  [2691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(572),
  [2694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(515),
  [2697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(3611),
  [2700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(4083),
  [2703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 2), SHIFT_REPEAT(3620),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range, 1),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range, 2, .production_id = 64),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [2872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mutable_expression_2, 2),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mutable_expression_2, 2),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mutable_identifier, 2),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mutable_identifier, 2),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [3316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mutable_expression, 2),
  [3318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mutable_expression, 2),
  [3320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, .production_id = 39),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, .production_id = 39),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [3340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_statement, 3, .production_id = 34),
  [3342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_statement, 3, .production_id = 34),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 2),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, .production_id = 37),
  [3350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, .production_id = 37),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_statement, 2),
  [3354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_go_statement, 2),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spawn_statement, 2),
  [3388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_spawn_statement, 2),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 67),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [3400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 67),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 74),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 74),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 110),
  [3432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 110),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 150),
  [3436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 150),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 206),
  [3440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 206),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 72),
  [3444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 72),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 73),
  [3448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 73),
  [3450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, .production_id = 23),
  [3452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, .production_id = 23),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 103),
  [3456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 103),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [3460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 128),
  [3464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 128),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 160),
  [3468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 160),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 86),
  [3472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 86),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 153),
  [3476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 153),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 141),
  [3480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 141),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 83),
  [3484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 83),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 120),
  [3488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 120),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 180),
  [3492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 180),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 187),
  [3496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 187),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 117),
  [3500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 117),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 149),
  [3504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 149),
  [3506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 108),
  [3508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 108),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 116),
  [3512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 116),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 142),
  [3516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 142),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 176),
  [3520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 176),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 46),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 46),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 143),
  [3528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 143),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 81),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 81),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 47),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 47),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 50),
  [3540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 50),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 177),
  [3544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 177),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 109),
  [3548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 109),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), REDUCE(sym__binded_type, 1, .production_id = 2),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_spec, 1),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sum_type_list, 1),
  [3765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sum_type_list, 1),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(2174),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sum_type_list_repeat1, 2),
  [3776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sum_type_list_repeat1, 2),
  [3778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sum_type_list_repeat1, 2), SHIFT_REPEAT(2095),
  [3781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_spread_operator, 2),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_operator, 2),
  [3799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(693),
  [3802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sum_type_list, 2),
  [3804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sum_type_list, 2),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [3808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [3810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [3812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyed_element, 3, .production_id = 37),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3, .production_id = 37),
  [3816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 208),
  [3818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 208),
  [3820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 189),
  [3822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 189),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 106),
  [3826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 106),
  [3828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 174),
  [3830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 174),
  [3832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 112),
  [3834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 112),
  [3836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 172),
  [3838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 172),
  [3840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 185),
  [3842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 185),
  [3844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 84),
  [3846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 84),
  [3848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 156),
  [3850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 156),
  [3852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 158),
  [3854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 158),
  [3856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 139),
  [3858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 139),
  [3860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 193),
  [3862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 193),
  [3864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 145),
  [3866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 145),
  [3868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 147),
  [3870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 147),
  [3872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [3874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [3876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 126),
  [3878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 126),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 178),
  [3882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 178),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 44),
  [3886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 44),
  [3888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 183),
  [3890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 183),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, .production_id = 31),
  [3896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3, .production_id = 31),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [3900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 162),
  [3902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 162),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 166),
  [3906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 166),
  [3908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 130),
  [3910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 130),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 114),
  [3914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 114),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 151),
  [3918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 151),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 124),
  [3922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 124),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 202),
  [3926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 202),
  [3928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 204),
  [3930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 204),
  [3932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 79),
  [3934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 79),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 118),
  [3938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 118),
  [3940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 218),
  [3942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 218),
  [3944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 77),
  [3946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 77),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 212),
  [3950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 212),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 144),
  [3954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 144),
  [3956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_clause, 4, .production_id = 69),
  [3958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_clause, 4, .production_id = 69),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_statement, 3),
  [3962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm_statement, 3),
  [3964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 78),
  [3966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 78),
  [3968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, .production_id = 98),
  [3970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 5, .production_id = 98),
  [3972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 3, .dynamic_precedence = -1, .production_id = 30),
  [3974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 3, .dynamic_precedence = -1, .production_id = 30),
  [3976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_spec_list, 3),
  [3978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_spec_list, 3),
  [3980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, .production_id = 27),
  [3982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, .production_id = 27),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_spec_list, 2),
  [3986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_spec_list, 2),
  [3988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 210),
  [3990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 210),
  [3992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_var_type_initializer, 2, .production_id = 26),
  [3994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_var_type_initializer, 2, .production_id = 26),
  [3996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration_list, 3),
  [3998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_member_declaration_list, 3),
  [4000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 211),
  [4002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 211),
  [4004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 123),
  [4006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 123),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 122),
  [4010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 122),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 115),
  [4014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 115),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 30),
  [4018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 30),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 6, .production_id = 121),
  [4022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 6, .production_id = 121),
  [4024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binded_struct_field_declaration_list, 3),
  [4026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration_list, 3),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 30),
  [4030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 30),
  [4032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binded_struct_declaration, 3, .dynamic_precedence = -1, .production_id = 30),
  [4034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_declaration, 3, .dynamic_precedence = -1, .production_id = 30),
  [4036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 3, .production_id = 42),
  [4038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 3, .production_id = 42),
  [4040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_statement, 3),
  [4042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_statement, 3),
  [4044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_clause, 3),
  [4046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_clause, 3),
  [4048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_var_declaration, 3),
  [4050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_var_declaration, 3),
  [4052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 159),
  [4054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 159),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 161),
  [4058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 161),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 113),
  [4062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 113),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 157),
  [4066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 157),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_var_declaration, 3, .production_id = 21),
  [4070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_short_var_declaration, 3, .production_id = 21),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, .production_id = 33),
  [4074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, .production_id = 33),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field_declaration_list, 3),
  [4078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration_list, 3),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 163),
  [4082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 163),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 164),
  [4086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 164),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 165),
  [4090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 165),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, .production_id = 12),
  [4094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, .production_id = 12),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 5, .production_id = 89),
  [4098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 5, .production_id = 89),
  [4100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 213),
  [4102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 213),
  [4104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_for_statement, 3, .production_id = 27),
  [4106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_for_statement, 3, .production_id = 27),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 167),
  [4110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 167),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, .production_id = 99),
  [4114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 5, .production_id = 99),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 181),
  [4118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 181),
  [4120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 209),
  [4122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 209),
  [4124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2),
  [4126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2),
  [4128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 182),
  [4130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 182),
  [4132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 184),
  [4134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 184),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 4, .dynamic_precedence = -1, .production_id = 68),
  [4138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 4, .dynamic_precedence = -1, .production_id = 68),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, .production_id = 3),
  [4142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1, .production_id = 3),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_symbols, 3),
  [4148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_symbols, 3),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 85),
  [4152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 85),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 140),
  [4156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 140),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 214),
  [4160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 214),
  [4162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, .dynamic_precedence = -1, .production_id = 104),
  [4164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, .dynamic_precedence = -1, .production_id = 104),
  [4166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 155),
  [4168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 155),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 171),
  [4172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 171),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 154),
  [4176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 154),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 186),
  [4180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 186),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 173),
  [4184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 173),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binded_struct_declaration, 5, .dynamic_precedence = -1, .production_id = 104),
  [4188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_declaration, 5, .dynamic_precedence = -1, .production_id = 104),
  [4190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 215),
  [4192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 215),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 105),
  [4196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 105),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 216),
  [4200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 216),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 104),
  [4204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 104),
  [4206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 188),
  [4208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 188),
  [4210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binded_struct_declaration, 4, .dynamic_precedence = -1, .production_id = 68),
  [4212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_declaration, 4, .dynamic_precedence = -1, .production_id = 68),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 107),
  [4216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 107),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [4220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 175),
  [4224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 175),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 190),
  [4228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 190),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 4, .dynamic_precedence = -1, .production_id = 42),
  [4232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 4, .dynamic_precedence = -1, .production_id = 42),
  [4234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [4236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, .production_id = 12),
  [4240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, .production_id = 12),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 76),
  [4244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 76),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 217),
  [4248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 217),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 179),
  [4252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 179),
  [4254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 111),
  [4256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 111),
  [4258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [4260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 191),
  [4266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 191),
  [4268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3),
  [4270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 42),
  [4274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 42),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 68),
  [4278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 68),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 125),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 125),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 219),
  [4286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 219),
  [4288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 168),
  [4290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 168),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, .production_id = 12),
  [4294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, .production_id = 12),
  [4296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, .production_id = 13),
  [4298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, .production_id = 13),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 220),
  [4302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 220),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 192),
  [4306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 192),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 221),
  [4310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 221),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [4314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [4316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 42),
  [4318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 42),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field_declaration_list, 2),
  [4322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration_list, 2),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binded_struct_field_declaration_list, 2),
  [4326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration_list, 2),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 146),
  [4330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 146),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 148),
  [4334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 148),
  [4336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 194),
  [4338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 194),
  [4340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 195),
  [4342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 195),
  [4344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 2),
  [4346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 2),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 196),
  [4350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 196),
  [4352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration_list, 2),
  [4354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_member_declaration_list, 2),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inc_statement, 2),
  [4358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inc_statement, 2),
  [4360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dec_statement, 2),
  [4362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dec_statement, 2),
  [4364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 10, .production_id = 222),
  [4366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 10, .production_id = 222),
  [4368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [4372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 45),
  [4376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 45),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__global_var_spec, 1, .production_id = 11),
  [4380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__global_var_spec, 1, .production_id = 11),
  [4382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 80),
  [4384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 80),
  [4386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 200),
  [4388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 200),
  [4390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 14),
  [4392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 14),
  [4394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, .production_id = 52),
  [4396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4, .production_id = 52),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_var_declaration, 2),
  [4400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_var_declaration, 2),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 5, .production_id = 75),
  [4404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 5, .production_id = 75),
  [4406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 127),
  [4408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 127),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 201),
  [4412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 201),
  [4414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [4418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 129),
  [4422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 129),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 5),
  [4428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 5),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binded_struct_declaration, 4, .dynamic_precedence = -1, .production_id = 42),
  [4432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_declaration, 4, .dynamic_precedence = -1, .production_id = 42),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 119),
  [4436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 119),
  [4438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4),
  [4440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 207),
  [4444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 207),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 131),
  [4448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 131),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 203),
  [4452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 203),
  [4454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 152),
  [4456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 152),
  [4458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_var_declaration, 4),
  [4460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_var_declaration, 4),
  [4462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 205),
  [4464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 205),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [4472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 3),
  [4474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 3),
  [4476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4663),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 1),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__non_empty_array_repeat1, 1),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [4740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(640),
  [4743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list, 1),
  [4745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list, 1),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [4753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mutable_prefix, 1),
  [4755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mutable_prefix, 1),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [4761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list, 2),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [4765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 1),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [4769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 1),
  [4771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 1),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 1),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_expression_repeat1, 1),
  [4793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 1),
  [4795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_branch, 2),
  [4797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_branch, 2),
  [4799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [4801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_expression_repeat1, 1),
  [4803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_expression_repeat1, 1),
  [4805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 2, .production_id = 101),
  [4807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 2, .production_id = 101),
  [4809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_map_repeat1, 2),
  [4811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__non_empty_array_repeat1, 2),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [4815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mutable_prefix, 2),
  [4817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mutable_prefix, 2),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4310),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [4935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_spec, 2, .production_id = 97),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [5189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_list, 1),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [5203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(4798),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [5264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_operator, 3, .production_id = 21),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [5346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 2),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [5354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_spec, 2),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [5364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [5392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [5402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 4, .production_id = 169),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [5420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [5424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [5434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 4, .production_id = 169),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [5438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [5448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 5, .production_id = 198),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element_key, 1),
  [5464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 5, .production_id = 197),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 5, .production_id = 197),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [5472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 4, .production_id = 170),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element_key, 1, .production_id = 5),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_member, 3, .production_id = 37),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [5610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_list, 1),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [5652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [5674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [5786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [5906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definite_range, 3, .production_id = 102),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [5986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range, 2, .production_id = 62),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [6026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range, 3, .production_id = 102),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [6072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_list_repeat1, 2),
  [6074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [6076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [6078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(638),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exposed_variables_list, 3),
  [6097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exposed_variables_list, 3),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 2, .production_id = 95),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [6129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [6131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [6133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 2, .production_id = 95),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [6139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [6141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 2, .production_id = 26),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [6181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [6207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [6237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [6277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [6279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [6287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [6303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2036),
  [6306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_field_declaration_list_repeat1, 2),
  [6308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4779),
  [6311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3548),
  [6314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4513),
  [6317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [6321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [6325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [6329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4609),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [6333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 3, .production_id = 135),
  [6335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [6339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(3767),
  [6342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [6344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 3, .production_id = 135),
  [6346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [6350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 3, .production_id = 136),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [6358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1),
  [6360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_spec_list_repeat1, 2), SHIFT_REPEAT(2021),
  [6363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_spec_list_repeat1, 2),
  [6365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_spec_list_repeat1, 2), SHIFT_REPEAT(4968),
  [6368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_spec_list_repeat1, 2), SHIFT_REPEAT(3548),
  [6371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 5, .production_id = 170),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [6383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 2, .production_id = 96),
  [6385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_scope, 2),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [6393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 1, .production_id = 22),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [6397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 6, .production_id = 197),
  [6399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 6, .production_id = 198),
  [6401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_field_declaration_list_repeat1, 1),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [6405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 3, .production_id = 95),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [6413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 4, .production_id = 135),
  [6415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 4, .production_id = 135),
  [6417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 4, .production_id = 136),
  [6419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2055),
  [6422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 2),
  [6424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2054),
  [6427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4859),
  [6430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4473),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_scope, 3),
  [6435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 1, .production_id = 58),
  [6437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [6445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 6, .production_id = 197),
  [6447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 1),
  [6449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [6451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 3, .production_id = 26),
  [6453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 5, .production_id = 169),
  [6455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binded_struct_field_declaration, 3, .production_id = 95),
  [6457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_field_declaration, 5, .production_id = 169),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [6509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_string_literal_repeat1, 2), SHIFT_REPEAT(3755),
  [6512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_string_literal_repeat1, 2), SHIFT_REPEAT(783),
  [6515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_string_literal_repeat1, 2), SHIFT_REPEAT(780),
  [6518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_string_literal_repeat1, 2), SHIFT_REPEAT(3763),
  [6521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_c_string_literal_repeat1, 2),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [6595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_field_scope, 2),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [6605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_var_declaration_repeat1, 2), SHIFT_REPEAT(1995),
  [6608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_var_declaration_repeat1, 2),
  [6610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_var_declaration_repeat1, 2), SHIFT_REPEAT(4682),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [6635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_spec, 3, .production_id = 137),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [6647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_spec_list_repeat1, 1),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [6661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [6671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [6683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [6689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [6715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_field_declaration_list_repeat1, 2),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [6735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 2),
  [6737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 2, .production_id = 58),
  [6739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binded_struct_field_declaration_list_repeat1, 2, .production_id = 58),
  [6741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [6765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [6779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 4),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4427),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [6807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_c_string_literal_repeat1, 1),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [6815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_member, 1, .production_id = 59),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [6821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 3),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [6835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_member_declaration_list_repeat1, 1),
  [6837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [6847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(4681),
  [6850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [6852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(4682),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [6863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(855),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [6872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_spec, 1, .production_id = 1),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [6940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_spec_list_repeat1, 2),
  [6942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_member_declaration_list_repeat1, 2), SHIFT_REPEAT(3758),
  [6945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_member_declaration_list_repeat1, 2),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [6961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(434),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [7034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2), SHIFT_REPEAT(551),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [7053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_global_var_declaration_repeat1, 2),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [7059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(670),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [7064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_only_parameter_list_repeat1, 2),
  [7066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_only_parameter_list_repeat1, 2), SHIFT_REPEAT(2013),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [7071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_symbols_list, 1, .production_id = 1),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [7075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_symbols_list, 1),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [7115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [7117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(3518),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [7122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_symbols_list, 2, .production_id = 1),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat2, 2), SHIFT_REPEAT(565),
  [7163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat2, 2),
  [7165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multi_return_type_repeat1, 2), SHIFT_REPEAT(2193),
  [7168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multi_return_type_repeat1, 2),
  [7170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [7172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(3718),
  [7175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifier_list_repeat1, 2),
  [7177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifier_list_repeat1, 2), SHIFT_REPEAT(3535),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [7204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_symbols_list, 2),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [7246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_specifier, 2),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [7270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_specifier, 3),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [7374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multi_return_type_repeat1, 2), SHIFT_REPEAT(2068),
  [7377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_raw_string_literal_repeat1, 2), SHIFT_REPEAT(4431),
  [7380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_raw_string_literal_repeat1, 2),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [7388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_list, 2),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [7476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [7514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_list, 2),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [7532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_list, 2, .production_id = 60),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [7596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_symbols_list_repeat1, 2), SHIFT_REPEAT(4425),
  [7599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_symbols_list_repeat1, 2),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [7641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_list, 1, .production_id = 60),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [7681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type, 2),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [7687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 26),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [7691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_symbols_list_repeat1, 2, .production_id = 199),
  [7693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, .production_id = 22),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [7697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [7699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, .production_id = 43),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [7709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_specifier, 5),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [7731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_raw_string_literal_repeat1, 1),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [7741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_spec, 3),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [7749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [7751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_spec, 3, .production_id = 39),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [7755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [7763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_spec, 3, .production_id = 37),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [7767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_specifier, 4),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [7775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [7787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [7791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [7803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [7807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [7811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [7817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2, .production_id = 138),
  [7819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overloadable_operator, 1),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [7823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [7883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [7891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4607),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [7925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_clause, 5, .production_id = 133),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [7967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_clause, 3, .production_id = 53),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_operator, 3, .production_id = 55),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [8193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_clause, 4, .production_id = 91),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [8391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2, .production_id = 100),
  [8393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_specifier, 6),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [8425] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [8433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_default_branch, 3),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [8441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_default_branch, 2),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [8455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_clause, 4, .production_id = 90),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [8517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_v_external_scanner_create(void);
void tree_sitter_v_external_scanner_destroy(void *);
bool tree_sitter_v_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_v_external_scanner_serialize(void *, char *);
void tree_sitter_v_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_v(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_v_external_scanner_create,
      tree_sitter_v_external_scanner_destroy,
      tree_sitter_v_external_scanner_scan,
      tree_sitter_v_external_scanner_serialize,
      tree_sitter_v_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
